/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.component.redis.properties;

import com.crunii.micro.component.redis.cache.CacheNodeExpire;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.time.Duration;
import java.util.ArrayList;
import java.util.List;

/**
 * @author 田平 create 2019年7月16日下午6:43:11
 */
@Component
@Setter
@Getter
@ToString
@ConfigurationProperties(prefix = "micro.cache")
public class MicroCacheProperties {

	/**
	 * 单独设置某个缓存的过期时间
	 */
	private List<CacheNodeExpire> expires = new ArrayList<>();

	/**
	 * 全局缓存名称
	 */
	private List<String> globalCacheNames = new ArrayList<>();

	private String refreshPassword;

	private String globalPrefix;

	private Duration globalTimeToLive;
}
