/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.intf.httpdemo.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.MicroCoreClient;
import feign.Request;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.TimeUnit;

/**
 * @author 田平 create 2019年12月24日下午4:38:52
 */
@RestController
@RequestMapping("/intf/FeignClientTestController")
@Slf4j
public class FeignClientTestController {

	@Autowired
	private MicroCoreClient microCoreClient;

	@GetMapping("/testFeignClient")
	@ResponseBody
	public Result<String> testFeignClient() {
		return microCoreClient.testFeignClient();
	}

	@GetMapping("/testFeignClientCustomTimeout")
	@ResponseBody
	public Result<String> testFeignClientCustomTimeout() {
		//单独设置连接超时时间和读取超时时间（响应）
		Request.Options options = new Request.Options(10, TimeUnit.SECONDS,
				1, TimeUnit.SECONDS, true);
		return microCoreClient.testFeignClientCustomTimeout(options);
	}

	@GetMapping("/testTimeout")
	@ResponseBody
	public Result<String> testTimeout() {
		return microCoreClient.testTimeout();
	}

	@GetMapping("/testBreaker")
	@ResponseBody
	public Result<String> testBreaker() {
		return microCoreClient.testBreaker();
	}

}
