/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.intf.httpdemo.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.dto.UserTest;
import com.crunii.micro.intf.httpdemo.service.DemoService;
import com.crunii.micro.intf.httpdemo.service.HttpLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author 田平 create 2019年12月24日下午4:38:52
 */
@RestController
@RequestMapping("/intf/IntfHttpDemoController")
@Slf4j
public class IntfHttpDemoController {

	@Autowired
	private HttpLogService httpLogService;

	@Autowired
	private DemoService demoService;

	@PostMapping("/getUserTest")
	@ResponseBody
	public UserTest getUserTest(@RequestBody UserTest user) {
		log.info("{}", user);
		return demoService.getUserTest(user);
	}

	@GetMapping("/getUser")
	@ResponseBody
	public UserTest getUser(String username, String password) {
		//int a=1/0;
		UserTest user = new UserTest();
		user.setUsername(username);
		user.setPassword(password);
		return user;
	}

	@GetMapping("/httpLogDemo")
	@ResponseBody
	public Result<String> httpLogDemo() {
		return httpLogService.httpLogDemo();
	}
}
