package com.crunii.micro.intf.httpdemo.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.feign.client.dto.LoginPhoneDto;
import com.crunii.micro.intf.httpdemo.service.YkzUserInformationService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

@RestController
@RequestMapping("/intf/YkzObtainUserInformationController")
@Slf4j
public class YkzUserInformationController {
    @Value("${spring.application.name}")
    private String appName;

    @Autowired
    private YkzUserInformationService ykzUserInformationService;

    @ApiOperation(value = "愉快政免密登录")
    @RequestMapping(path = "/ykzFreeLogin", method = RequestMethod.POST)
    @ResponseBody
    public com.crunii.micro.common.dto.Result<Worker> ykzFreeLogin(@RequestBody LoginPhoneDto loginPhoneDto, HttpServletRequest request) throws IOException {
        // 当前调用的url
        String callUrl = "/" + appName + request.getRequestURI();
        return com.crunii.micro.common.dto.Result.ofSuccess(ykzUserInformationService.ykzFreeLogin(request,loginPhoneDto,callUrl,false));
    }

    @ApiOperation(value = "获取渝快政用户信息")
    @RequestMapping(path = "/getYkzUserInfo", method = RequestMethod.POST)
    @ResponseBody
    public Result<String> getYkzUserInfo() {
        this.ykzUserInformationService.getYkzUserInfo();
        return new Result<>();
    }

    @ApiOperation(value = "刷新渝快政用户信息")
    @RequestMapping(path = "/saveYkzUserInfo", method = RequestMethod.POST)
    @ResponseBody
    public Result<String> saveYkzUserInfo(@RequestBody LoginPhoneDto loginPhoneDto) {
        return ykzUserInformationService.saveYkzUserInfo(loginPhoneDto);
    }

}
