package com.crunii.micro.intf.httpdemo.job;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONObject;
import com.crunii.micro.domain.entity.main.TsmWorker;
import com.crunii.micro.intf.httpdemo.jdbc.YkzObtainUserInformationJdbc;
import com.crunii.micro.intf.httpdemo.service.AccessTokenService;
import com.dcqc.uc.oauth.sdk.enums.ResultCodeEnum;
import com.dcqc.uc.oauth.sdk.model.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Log4j2
@Component
public class YkzJob {
    @Resource
    private YkzObtainUserInformationJdbc ykzObtainUserInformationJdbc;
    @Autowired
    private AccessTokenService accessTokenService;
    @Value("${uc.api.url}")
    private String ucApiUrl;
    @Scheduled(cron = "0 57 15 * * ?")
    public Result YkzObtainUserInformation() {
        List<TsmWorker> workers = ykzObtainUserInformationJdbc.workerList();
        Result accessTokens = accessTokenService.getAccessToken();
        log.info("accessTokens:"+accessTokens);
        if (accessTokens.getStatus() != 0) {
            return accessTokens;
        }
        String accessToken = (String) accessTokens.getData();
        String apiUrl = ucApiUrl + "/ykz/user/getByMobile";
        if(workers.size()>0){
            for(TsmWorker worker : workers){
                try {
                    JSONObject requestBody = new JSONObject()
                            .fluentPut("data", new JSONObject()
                                    .fluentPut("mobile", worker.getMobile())
                            )
                            .fluentPut("requestId", StrUtil.uuid());
                    String resp = HttpRequest.post(apiUrl)
                            .header("Content-Type", "application/json")
                            .header("Authorization", "Bearer " + accessToken)
                            .body(requestBody.toJSONString())
                            .timeout(5000)
                            .execute()
                            .body();
                    cn.hutool.json.JSONObject jsonResponse = JSONUtil.parseObj(resp);
                    log.info("JSONObject参数:"+jsonResponse);
                    if (jsonResponse.getBool("success")) {

                    }
                } catch (Exception e) {
                    e.printStackTrace();
                    return new Result<>(500, e.toString());
                }
            }
        }
        return new Result<>(ResultCodeEnum.SUCCESS);
    }
}
