package com.crunii.micro.intf.httpdemo.service.impl;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.xxpt.gateway.shared.api.request.OapiGettokenJsonRequest;
import com.alibaba.xxpt.gateway.shared.api.request.OapiRpcOauth2DingtalkAppUserJsonRequest;
import com.alibaba.xxpt.gateway.shared.api.response.OapiGettokenJsonResponse;
import com.alibaba.xxpt.gateway.shared.api.response.OapiRpcOauth2DingtalkAppUserJsonResponse;
import com.alibaba.xxpt.gateway.shared.client.http.ExecutableClient;
import com.alibaba.xxpt.gateway.shared.client.http.IntelligentGetClient;
import com.alibaba.xxpt.gateway.shared.client.http.IntelligentPostClient;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.domain.dto.LoginInfoDto;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.TsmWorker;
import com.crunii.micro.domain.repo.main.TsmWorkerRepo;
import com.crunii.micro.feign.client.SysService;
import com.crunii.micro.feign.client.dto.LoginPhoneDto;
import com.crunii.micro.intf.httpdemo.jdbc.YkzObtainUserInformationJdbc;
import com.crunii.micro.intf.httpdemo.service.AccessTokenService;
import com.crunii.micro.intf.httpdemo.service.YkzUserInformationService;
import com.crunii.micro.intf.httpdemo.utils.Sm2Util;
import com.dcqc.uc.oauth.sdk.model.Result;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;

import javax.servlet.http.HttpServletRequest;
import java.util.*;

@Service
@Slf4j
public class YkzUserInformationServiceImpl implements YkzUserInformationService {
    private static ExecutableClient executableClient;
    @Autowired
    private TsmWorkerRepo tsmWorkerRepo;
    @Autowired
    private AccessTokenService accessTokenService;
    @Autowired
    private YkzObtainUserInformationJdbc ykzObtainUserInformationJdbc;
    @Autowired
    private SysService sysService;
    @Value("https://youth.cq.cqyl.org.cn:11020/api/LoginController/loginExternalMobile")
    public String ykzFreeUrl;
    @Value("${uc.api.url}")
    private String ucApiUrl;
    //国密密钥

    public static final String PRIVATE_WEB_KEY = "184c211702d2bc05d8e5a1729c4295df7d96309397174d56f46ca04372ccc0b5";

    static {
        executableClient = ExecutableClient.getInstance();
        //DomainName不同环境对应不同域名，渝快政使用下面示例, 政务外网需要查看接口必读完成配置
        executableClient.setDomainName("zd-openplatform.bigdatacq.com");
        executableClient.setProtocal("https");
        //应用App Key
        executableClient.setAccessKey("qccq-gqtcqsw-F8mjn9Br9cA7v6Rby");
        //应用App Secret
        executableClient.setSecretKey("Dju0i1gUWF427e5GDDOcfaUGqyD21V852e1sHe6n");
        executableClient.init();
    }

    @Override
    public Worker ykzFreeLogin(HttpServletRequest request, LoginPhoneDto loginPhoneDto, String callUrl, boolean b) throws JsonProcessingException {
        //executableClient保证单例
        IntelligentGetClient intelligentGetClient = executableClient.newIntelligentGetClient("/gettoken.json");
        OapiGettokenJsonRequest oapiGettokenJsonRequest = new OapiGettokenJsonRequest();
        //应用的唯一标识key
        oapiGettokenJsonRequest.setAppkey("qccq-gqtcqsw-F8mjn9Br9cA7v6Rby");
        //应用的密钥
        oapiGettokenJsonRequest.setAppsecret("Dju0i1gUWF427e5GDDOcfaUGqyD21V852e1sHe6n");
        //获取结果
        OapiGettokenJsonResponse apiResult = intelligentGetClient.get(oapiGettokenJsonRequest);
        cn.hutool.json.JSONObject jsonResponse = JSONUtil.parseObj(apiResult);
        if (jsonResponse.getBool("success")) {
            cn.hutool.json.JSONObject content = jsonResponse.getJSONObject("content");
            String data = content.get("data").toString();
            cn.hutool.json.JSONObject jsonObject2 = new cn.hutool.json.JSONObject(data);
            String accessToken = jsonObject2.get("accessToken").toString();
            //executableClient保证单例
            IntelligentPostClient intelligentPostClient = executableClient.newIntelligentPostClient("/rpc/oauth2/dingtalk_app_user.json");
            OapiRpcOauth2DingtalkAppUserJsonRequest oapiRpcOauth2DingtalkAppUserJsonRequest = new OapiRpcOauth2DingtalkAppUserJsonRequest();
            //登录access_token
            oapiRpcOauth2DingtalkAppUserJsonRequest.setAccess_token(accessToken);
            //临时授权码  授权码用国密进行加密 需解密
            //2024/01/24改动
//            String jsonStr = "";
            String decrypt = "";
            try {
                decrypt = Sm2Util.decrypt(PRIVATE_WEB_KEY, true, loginPhoneDto.getAuthCode());
                log.info("encode解密参数:" + decrypt);
            } catch (Exception e) {
                log.error("解密失败", e);
                throw new BusinessException("数据解析失败,请联系系统管理员!");
            }
            // 使用 Jackson 库来解析 JSON 字符串
//            ObjectMapper objectMapper = new ObjectMapper();
//            JsonNode jsonNode = objectMapper.readTree(jsonStr);
//            // 获取 BatchCodeId 和 Count 参数的值
//            String authCode = "";
//            authCode = jsonNode.get("AuthCode").asText();
            oapiRpcOauth2DingtalkAppUserJsonRequest.setAuth_code(decrypt );
            //获取结果
            OapiRpcOauth2DingtalkAppUserJsonResponse result = intelligentPostClient.post(oapiRpcOauth2DingtalkAppUserJsonRequest);
            cn.hutool.json.JSONObject userInfoResponse = JSONUtil.parseObj(result);
            if (userInfoResponse.getBool("success")) {
                cn.hutool.json.JSONObject usercontent = userInfoResponse.getJSONObject("content");
                String userContent = usercontent.get("content").toString();
                cn.hutool.json.JSONObject jsonObject = new cn.hutool.json.JSONObject(userContent);
                String userData = jsonObject.get("data").toString();
                cn.hutool.json.JSONObject jsonObjectData = new cn.hutool.json.JSONObject(userData);
                String accountId = jsonObjectData.get("accountId").toString();
                System.out.println(accountId);
                if (!StringUtils.hasText(accountId)) {
                    throw new BusinessException("获取愉快政用户信息失败!");
                }
                Map<String, Object> props = new HashMap<>(2);
                props.put("accountId", accountId);
                TsmWorker curr = tsmWorkerRepo.getUniqueByProps(props);
                if (Objects.isNull(curr)) {
                    throw new BusinessException("该用户未注册青春重庆!");
                }
                LoginInfoDto dto = new LoginInfoDto();
                dto.setMobile(curr.getMobile());
                dto.setYkz("1");
                if (StringUtils.hasText(loginPhoneDto.getScope())) {
                    dto.setScope("WEB");
                } else {
                    dto.setScope("PHONE");
                }
                System.out.println(curr.getMobile());
                com.crunii.micro.common.dto.Result<Worker> resultWorker = sysService.loginExternalMobile(dto);
                System.out.println(JSONUtil.toJsonStr(resultWorker));
                com.alibaba.fastjson.JSONObject returnStr = com.alibaba.fastjson.JSONObject.parseObject(JSONUtil.toJsonStr(resultWorker));
                if (returnStr.get("success").toString().equals("true")) {
                    String userInfoData = returnStr.get("data").toString();
                    ObjectMapper mapper = new ObjectMapper(); // 创建ObjectMapper对象
                    Worker worker = mapper.readValue(userInfoData, Worker.class); // 将JSON字符串转换为Person对象
                    worker.setAccountId(accountId);
                    return worker;
                }
            }
        }
        throw new BusinessException("获取愉快政用户信息失败!");
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void getYkzUserInfo() {
        List<TsmWorker> userList = ykzObtainUserInformationJdbc.workerList();
        log.info("用户数量：" + userList.size());
        List<TsmWorker> list = new ArrayList<>();
        String apiUrl = ucApiUrl + "/ykz/user/getByAccountId";
        Result accessTokens = accessTokenService.getAccessToken();
        if (accessTokens.getStatus() != 0) {
        }
        String accessToken = (String) accessTokens.getData();
        for (TsmWorker worker : userList) {
            try {
                JSONObject requestBody = new JSONObject()
                        .fluentPut("data", new JSONObject()
                                .fluentPut("mobile", worker.getMobile())
                        )
                        .fluentPut("requestId", StrUtil.uuid());
                String resp = HttpRequest.post(apiUrl)
                        .header("Content-Type", "application/json")
                        .header("Authorization", "Bearer " + accessToken)
                        .body(requestBody.toJSONString())
                        .timeout(5000)
                        .execute()
                        .body();
                cn.hutool.json.JSONObject jsonResponse = JSONUtil.parseObj(resp);
                if (jsonResponse.getBool("success")) {
                    cn.hutool.json.JSONObject data = jsonResponse.getJSONObject("data");
                    String accountId = data.get("accountId").toString();
                    if (!accountId.equals(worker.getAccountId())) {
                        worker.setAccountId(Long.valueOf(accountId));
                        list.add(worker);
                    }
                    //ykzObtainUserInformationJdbc.updateAccountId(worker.getLoginId(),Long.valueOf(accountId));
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        userList.clear();
        if (CollectionUtils.isNotEmpty(list)) {
            log.info("要更改的数据量：" + list.size());
            tsmWorkerRepo.saveAllAndFlush(list);
        }
    }

    @Override
    public com.crunii.micro.common.dto.Result saveYkzUserInfo(LoginPhoneDto loginPhoneDto) {
        if (org.apache.commons.lang3.StringUtils.isEmpty(loginPhoneDto.getMobile())) {
            throw new BusinessException("请传入需要手机号!");
        }
        TsmWorker worker = ykzObtainUserInformationJdbc.worker(loginPhoneDto.getMobile());
        String apiUrl = ucApiUrl + "/ykz/user/getByAccountId";
        Result accessTokens = accessTokenService.getAccessToken();
        if (accessTokens.getStatus() != 0) {
        }
        String accessToken = (String) accessTokens.getData();
        try {
            JSONObject requestBody = new JSONObject()
                    .fluentPut("data", new JSONObject()
                            .fluentPut("mobile", worker.getMobile())
                    )
                    .fluentPut("requestId", StrUtil.uuid());
            String resp = HttpRequest.post(apiUrl)
                    .header("Content-Type", "application/json")
                    .header("Authorization", "Bearer " + accessToken)
                    .body(requestBody.toJSONString())
                    .timeout(5000)
                    .execute()
                    .body();
            cn.hutool.json.JSONObject jsonResponse = JSONUtil.parseObj(resp);
            if (jsonResponse.getBool("success")) {
                cn.hutool.json.JSONObject data = jsonResponse.getJSONObject("data");
                String accountId = data.get("accountId").toString();
                if (!accountId.equals(worker.getAccountId())) {
                    ykzObtainUserInformationJdbc.updateAccountId(worker.getLoginId(), Long.valueOf(accountId));
                }
                return com.crunii.micro.common.dto.Result.ofSuccess("绑定成功！");
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return com.crunii.micro.common.dto.Result.ofFail("绑定失败！");
    }
}
