/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.dto;

import com.crunii.micro.common.utils.JsonUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author 田平 create 2018年11月1日下午3:00:26
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建员工")
public class WorkerC implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private String orgId;

	@ApiModelProperty(value = "生日")
	private Date birthday;
	@ApiModelProperty(value = "邮件地址")
	private String email;
	@ApiModelProperty(value = "登录工号")
	private String loginCode;
	@ApiModelProperty(value = "手机号")
	private String mobile;
	@ApiModelProperty(value = "电话")
	private String phone;
	@ApiModelProperty(value = "性别|0女1男")
	private Integer sex;
	@ApiModelProperty(value = "职务")
	private String position;
	@ApiModelProperty(value = "姓名")
	private String workerName;
	@ApiModelProperty(value = "角色ids")
	private List<Integer> roleIds;
	@ApiModelProperty(value = "状态|1启用0禁用")
	private int state;

	@ApiModelProperty(value = "用户头像图片key")
	private String headPortraitPicKey;

	@ApiModelProperty(value = "fileId")
	private Long fileId;


	public static void main(String[] args) {
		System.out.println(JsonUtil.getJsonString(new WorkerC()));
	}
}
