/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.dto.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author 田平 create 2021/8/18 15:04
 */
@Setter
@Getter
@ToString
@ApiModel(description = "菜单扩展信息")
public class MenuExtend implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "菜单编码")
	private String menuCode;

	@ApiModelProperty(value = "菜单名称")
	private String menuName;

	@ApiModelProperty(value = "菜单描述")
	private String menuDesc;

	@ApiModelProperty(value = "菜单url")
	private String menuUrl;

	@ApiModelProperty(value = "0:目录 1:菜单 2:按钮")
	private int menuType;

	@ApiModelProperty(value = "按钮对应的url_id,类型为菜单的为0")
	private int buttonUrlId;

	@ApiModelProperty(value = "父菜单编码")
	private String parentMenuCode;
	@ApiModelProperty(value = "父菜单名称")
	private String parentMenuName;

	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

	@ApiModelProperty(value = "更新时间")
	private java.util.Date updateTime;

	@ApiModelProperty(value = "更新时间")
	private String icon;

	@ApiModelProperty(value = "排序")
	private int sortId;

	@ApiModelProperty(value = "0 无效，1有效")
	private int state;

	//扩展属性
	@ApiModelProperty(value = "url 路径")
	private String urlPath;

	@ApiModelProperty(value = "url名称功能")
	private String urlName;

	@ApiModelProperty(value = "true 是叶子节点 false 不是叶子节点")
	private boolean leaf;

	@ApiModelProperty(value = "菜单编码")
	private String code;

	@ApiModelProperty(value = "展示终端")
	private List<String> terminal;

}
