/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.ds.properties;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 田平 create 2019年7月16日下午6:43:11
 */
@Component
@Setter
@Getter
@ToString
@ConfigurationProperties(prefix = "hibernate")
public class HibernateProperties {
	private boolean cache_use_query_cache;
	private boolean cache_use_second_level_cache;
	private String dialect_informix;
	private String dialect_mysql;
	private String dialect_oracle;
	private String dialect_teledb;
	private String dialect_postgre;
	private String dialect_dm;
	private boolean show_sql;
	private boolean transaction_flush_before_completion;
	private String transaction_jta_platform_resolver;
	/**
	 * Teledb 使用mycat代理，不支持设置read only，会有大量报错，因此核心程序不设置read only
	 */
	private boolean allow_read_only = true;
	//不检查org.postgresql.jdbc.PgConnection.createClob()
	private boolean temp_use_jdbc_metadata_defaults;
}
