/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.common.jdbc.page.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @author 田平 create 2021/11/29 10:50
 */
@Target(FIELD)
@Retention(RUNTIME)
public @interface Match {

	String EQ = "等于=";
	String GT = "大于>,指定propName，不指定取当前属性名，同一个字段的的范围必须指定propName";
	String LT = "小于<,指定propName，不指定取当前属性名，同一个字段的的范围必须指定propName";
	String GE = "大于等于>=,指定propName，不指定取当前属性名，同一个字段的的范围必须指定propName";
	String LE = "小于等于<=,指定propName，不指定取当前属性名，同一个字段的的范围必须指定propName";
	String IN = "in请求参数属性必须是集合，必须指定propName";
	String LIKE = "模糊匹配%xx%";
	String LEFT_LIKE = "左模糊匹配xx%，可以用到索引";

	public String propName() default "";//如果为空，取属性名对应的字段，如果条件为IN，必须设定in的属性名

	public String condition();//条件，=，>,<,in,>=,<=,like(like '%aa%'),left_like( like 'aa%')
}
