package com.crunii.micro.domain.dto.sys;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/6/17 9:12
 */
@Data
public class PicInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long uploadId;

    @ApiModelProperty(value = "是否图册，1：是 0：否 ")
    private Integer isAlbum;

    @ApiModelProperty(value = "文件标题")
    private String fileTitle;

    @ApiModelProperty(value = "所需积分")
    private String requiredIntegral;

    @ApiModelProperty(value = "上传人名字")
    private String uploadWorkerName;

    @ApiModelProperty(value = "审核通过时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date pushTime;

    @ApiModelProperty(value = "描述")
    private String describe;

    @ApiModelProperty("关键字")
    @NotNull( message = "关键字不能为空")
    private List<LabelCpDto> labels;

    @ApiModelProperty(value = "数据")
    private List<FileDetailDto> fileDetailDtoList;
}
