package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "t_cache_refresh")
@NamedQuery(name = "TCacheRefresh.findAll", query="SELECT t FROM TCacheRefresh t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"refreshId"})
@ApiModel(description = "缓存刷新表")
public class TCacheRefresh  implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name = "refresh_id")
	@ApiModelProperty(value = "主键ID 缓存刷新ID")
	private int refreshId;

	@Column(name = "refresh_name")
	@ApiModelProperty(value = "刷新名称")
	private String refreshName;

	@Column(name = "group_name")
	@ApiModelProperty(value = "分组名称default|workflow|intf|service 默认，工作流，接口，服务")
	private String groupName;

	@Column(name = "app_name")
	@ApiModelProperty(value = "应用名称spring.application.name")
	private String appName;

	@Column(name = "refresh_url")
	@ApiModelProperty(value = "刷新的url，都通过gateway过来的url，唯一索引,所有ur采用GET方法")
	private String refreshUrl;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

}
