package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "t_cache_refresh_param")
@NamedQuery(name = "TCacheRefreshParam.findAll", query="SELECT t FROM TCacheRefreshParam t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"paramId"})
@ApiModel(description = "缓存刷新参数表")
public class TCacheRefreshParam  implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name = "param_id")
	@ApiModelProperty(value = "主键ID")
	private int paramId;

	@Column(name = "refresh_id")
	@ApiModelProperty(value = "缓存刷新ID")
	private int refreshId;

	@Column(name = "param_code")
	@ApiModelProperty(value = "controller里面的url参数名称")
	private String paramCode;

	@Column(name = "param_name")
	@ApiModelProperty(value = "参数中文名称")
	private String paramName;

	@Column(name = "param_type")
	@ApiModelProperty(value = "参数类型String Integer Long Float Date ")
	private String paramType;

	@Column(name = "param_required")
	@ApiModelProperty(value = "是否必填 0 否 1是 默认1")
	private int paramRequired;

}
