package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "t_encrypt_config")
@NamedQuery(name = "TEncryptConfig.findAll", query = "SELECT t FROM TEncryptConfig t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "加密字段配置表")
public class TEncryptConfig implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "id")
	@ApiModelProperty(value = "主键")
	private int id;

	@Column(name = "tab_name")
	@ApiModelProperty(value = "表名")
	private String tabName;

	@Column(name = "col_name")
	@ApiModelProperty(value = "字段名")
	private String colName;

	@Column(name = "state")
	@ApiModelProperty(value = "状态 0 无效 1有效")
	private int state;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

	@Column(name = "update_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date updateTime;

}
