package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "tfm_property")
@NamedQuery(name = "TfmProperty.findAll", query = "SELECT t FROM TfmProperty t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "propId" })
@ApiModel(description = "流程属性表")
public class TfmProperty implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "prop_id")
	@ApiModelProperty(value = "id")
	private int propId;

	@Column(name = "prop_code")
	@ApiModelProperty(value = "属性编码")
	private String propCode;

	@Column(name = "prop_name")
	@ApiModelProperty(value = "属性名称")
	private String propName;

	@Column(name = "prop_desc")
	@ApiModelProperty(value = "属性描述")
	private String propDesc;

	@Column(name = "prop_control")
	@ApiModelProperty(value = "控制字段")
	private String propControl;

	@Column(name = "state")
	@ApiModelProperty(value = "0 无效，1有效")
	private int state;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

}
