package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "tfm_property_value")
@NamedQuery(name = "TfmPropertyValue.findAll", query = "SELECT t FROM TfmPropertyValue t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "valueId" })
@ApiModel(description = "流程属性值表")
public class TfmPropertyValue implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "value_id")
	@ApiModelProperty(value = "主键")
	private int valueId;

	@Column(name = "prop_id")
	@ApiModelProperty(value = "属性ID")
	private int propId;

	@Column(name = "value_code")
	@ApiModelProperty(value = "值编码")
	private String valueCode;

	@Column(name = "value_name")
	@ApiModelProperty(value = "值名称")
	private String valueName;

	@Column(name = "value_desc")
	@ApiModelProperty(value = "值描述")
	private String valueDesc;

	@Column(name = "value_control")
	@ApiModelProperty(value = "控制字段")
	private String valueControl;

	@Column(name = "sort_id")
	@ApiModelProperty(value = "排序")
	private int sortId;

	@Column(name = "state")
	@ApiModelProperty(value = "状态 0无效|1有效")
	private int state;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

}
