package com.crunii.micro.domain.entity.main;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author denggl
 * date 2024/1/7
 */
@Entity
@NamedQuery(name = "TsmDownloadRecord.findAll", query = "SELECT t FROM TsmDownloadRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "app下载记录",description = "")
@Table(name="tsm_download_record")
public class TsmDownloadRecord implements Serializable,Cloneable {
    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @ApiModelProperty(name = "id", notes = "")
    @Column(name = "id")
    private Long id;
    /**
     * 删除标志
     */
    @ApiModelProperty(name = "删除标志", notes = "")
    @Column(name = "DEL_FLAG")
    private Integer delFlag;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(name = "更新人", notes = "")
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间", notes = "")
    @Column(name = "update_time")
    private Date updateTime;
}
