package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "tsm_file")
@NamedQuery(name = "TsmFile.findAll", query = "SELECT t FROM TsmFile t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "fileId" })
@ApiModel(description = "图片存储表")
public class TsmFile implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "file_id")
	@ApiModelProperty(value = "文件Id（UUID去掉-,生成无规律）")
	private String fileId;

	@Column(name = "file_name")
	@ApiModelProperty(value = "文件原始名称")
	private String fileName;

	@Column(name = "file_path")
	@ApiModelProperty(value = "文件路径")
	private String filePath;

	@Column(name = "file_store_name")
	@ApiModelProperty(value = "文件存储名称")
	private String fileStoreName;

	@Column(name = "file_full_path")
	@ApiModelProperty(value = "文件完整路径 file_path+“/”+file_store_name")
	private String fileFullPath;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

}
