package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "tsm_group_url")
@NamedQuery(name = "TsmGroupUrl.findAll", query="SELECT t FROM TsmGroupUrl t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"id"})
@ApiModel(description = "url组对应URL表-")
public class TsmGroupUrl  implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name = "id")
	@ApiModelProperty(value = "主键")
	private int id;

	@Column(name = "group_id")
	@ApiModelProperty(value = "角色id")
	private int groupId;

	@Column(name = "url_id")
	@ApiModelProperty(value = "urlId")
	private int urlId;

}
