package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "tsm_pub_content")
@NamedQuery(name = "TsmPubContent.findAll", query="SELECT t FROM TsmPubContent t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"pubId"})
@ApiModel(description = "发布内容表")
public class TsmPubContent  implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "pub_id")
	@ApiModelProperty(value = "发布Id")
	private int pubId;

	@Column(name = "pub_content")
	@ApiModelProperty(value = "发布内容")
	private String pubContent;

}
