/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @author shenhs create 2023/7/14 17:09
 */
@Entity
@Table(name = "tsm_role_button")
@NamedQuery(name = "TsmRoleButton.findAll", query="SELECT t FROM TsmRoleButton t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"id"})
@ApiModel(description = "角色_按钮关联表")
public class TsmRoleButton {

	@Id
	@SequenceGenerator(name = "tsm_role_button_seq", sequenceName = "tsm_role_button_seq", allocationSize = 1)
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "tsm_role_button_seq")
	@Column(name = "id")
	@ApiModelProperty(value = "记录id")
	private int id;

	@Column(name = "role_id")
	@ApiModelProperty(value = "角色id")
	private int roleId;

	@Column(name = "btn_id")
	@ApiModelProperty(value = "角色id")
	private int btnId;


}
