package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "tsm_url_group")
@NamedQuery(name = "TsmUrlGroup.findAll", query="SELECT t FROM TsmUrlGroup t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"groupId"})
@ApiModel(description = "URL组表")
public class TsmUrlGroup  implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name = "tsm_url_group_group_id", sequenceName = "tsm_url_group_group_id", allocationSize = 1)
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "tsm_url_group_group_id")
	@Column(name = "group_id")
	@ApiModelProperty(value = " urlId")
	private int groupId;

	@Column(name = "group_name")
	@ApiModelProperty(value = "url组名称")
	private String groupName;

	@Column(name = "group_desc")
	@ApiModelProperty(value = "url描述")
	private String groupDesc;

	@Column(name = "state")
	@ApiModelProperty(value = "0 无效，1有效")
	private int state;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

}
