package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @author denggl
 * date 2024/1/8
 */

@Entity
@Table(name = "tsm_visitor_record")
@NamedQuery(name = "TsmVisitorRecord.findAll", query = "SELECT t FROM TsmVisitorRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "访客记录表")
public class TsmVisitorRecord {
    /** id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @ApiModelProperty(name = "id",notes = "")
    @Column(name ="id")
    private Long id ;
    /** 删除标志 */
    @ApiModelProperty(name = "删除标志",notes = "")
    @Column(name ="DEL_FLAG")
    private Integer delFlag ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    @Column(name ="create_id")
    private Long createId ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @Column(name ="create_time")
    private Date createTime ;
    /** 更新人 */
    @ApiModelProperty(name = "更新人",notes = "")
    @Column(name ="update_id")
    private Long updateId ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")
    @Column(name ="update_time")
    private Date updateTime ;
    /** 来源 */
    @ApiModelProperty(name = "来源",notes = "")
    @Column(name ="scope")
    private String scope ;
    /** 访问唯一标识 */
    @ApiModelProperty(name = "访问唯一标识",notes = "")
    @Column(name ="visitor_code")
    private String visitorCode ;
}
