package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "tsm_worker_url")
@NamedQuery(name = "TsmWorkerUrl.findAll", query="SELECT t FROM TsmWorkerUrl t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"id"})
@ApiModel(description = "员工对应URL表")
public class TsmWorkerUrl  implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name = "tsm_worker_url_id_seq", sequenceName = "tsm_worker_url_id_seq", allocationSize = 1)
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "tsm_worker_url_id_seq")
	@Column(name = "id")
	@ApiModelProperty(value = "主键")
	private int id;

	@Column(name = "login_id")
	@ApiModelProperty(value = "工号id")
	private int loginId;

	@Column(name = "url_id")
	@ApiModelProperty(value = "urlID")
	private int urlId;

}
