package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

@Entity
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "活动参与组织信息表")
@Table(name="YCQ_ACTIVITY_ORG")
public class YcqActivityOrg {

    @Id
    @GeneratedValue(generator = "idGenerator")
    private Long id;

    @Column(name = "ACTIVITY_ID")
    private Long activityId;

    @Column(name = "ORG_ID")
    private Long orgId;

    @Column(name = "ORG_NAME")
    private String orgName;
}
