package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

@Entity
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "活动区域信息表")
@Table(name="YCQ_ACTIVITY_ZONE")
public class YcqActivityZone {

    @Id
    @GeneratedValue(generator = "idGenerator")
    private Long id;

    @Column(name = "ACTIVITY_ID")
    private Long activityId;

    @Column(name = "ZONE_TYPE")
    private Integer zoneType;

    @Column(name = "PARENT_CODE")
    private String parentCode;

    @Column(name = "VALUE_CODE")
    private String valueCode;

    @Column(name = "VALUE_NAME")
    private String valueName;
}
