package com.crunii.micro.domain.entity.main;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;


@Entity
@Table(name = "YCQ_COCKPIT_YLL")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛马比拼总图-高校系统")
public class YcqCockpitYll {


    @ApiModelProperty(name = "类型", notes = "")
    @ExcelProperty(value = "类型", index = 0)
    @Column(name = "type")
    private String type;
    /**
     * 区委/县委
     */
    @ApiModelProperty(name = "区委/县委", notes = "")
    @ExcelProperty(value = "区委/县委", index = 1)
    @Column(name = "name")
    private String name;
    /**
     * 百分率
     */
    @ApiModelProperty(name = "百分率", notes = "")
    @ExcelProperty(value = "百分率", index = 2)
    @Column(name = "percentage")
    private String percentage;


    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    @ExcelIgnore
    private Long id;

    /**
     * 乐观锁
     */
    @ApiModelProperty(name = "乐观锁", notes = "")
    @Column(name = "REVISION")
    @ExcelIgnore
    private String revision;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    @Column(name = "CREATED_BY")
    @ExcelIgnore
    private String createdBy;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "CREATED_TIME")
    @ExcelIgnore
    private Date createdTime;
    /**
     * 更新人
     */
    @ApiModelProperty(name = "更新人", notes = "")
    @Column(name = "UPDATED_BY")
    @ExcelIgnore
    private String updatedBy;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间", notes = "")
    @Column(name = "UPDATED_TIME")
    @ExcelIgnore
    private Date updatedTime;
}
