package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/27 16:02
 */
@Entity
@Table(name = "ycq_cqzysc_service")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "")
public class YcqCqzyscService implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @Column(name = "month")
    @ApiModelProperty(value = "月份(yyyyMM)")
    private String month;

    @Column(name = "events_num")
    @ApiModelProperty(value = "活动次数")
    private Integer eventsNum;

    @Column(name = "apply_num")
    @ApiModelProperty(value = "报名人数")
    private Integer applyNum;

    @Column(name = "date_time")
    @ApiModelProperty(value = "数据推送日期")
    private String dateTime;

}
