package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/27 16:05
 */
@Entity
@Table(name = "ycq_cqzysc_service_time")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "")
public class YcqCqzyscServiceTime implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @Column(name = "area_name")
    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @Column(name = "service_time")
    @ApiModelProperty(value = "服务时长(小时)")
    private double serviceTime;

    @Column(name = "service_num")
    @ApiModelProperty(value = "服务人数")
    private Integer serviceNum;

    @Column(name = "date_time")
    @ApiModelProperty(value = "数据日期")
    private String dateTime;
}
