package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * ClassName:FloFormContentEntity <br/>
 * Function: TODO ADD FUNCTION. <br/>
 * Reason:	 TODO ADD REASON. <br/>
 * Date:     2022年6月21日 上午10:04:06 <br/>
 *
 * @author sky198
 * @see
 * @since JDK 1.8
 */
@ApiModel(value = "表单内容", description = "")
@Table(name = "YCQ_DYNAMIC_FORM_CONTENT")
@Entity
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqDynamicFormContent {

    /**
     * 主键
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键ID")
    private Long id;

    @Column(name = "config_id")
    private Long configId;

    @Column(name = "business_id")
    private Long businessId;

    /**
     * 表单内容
     */
    @ApiModelProperty(name = "表单内容", notes = "")
    @Column(name = "content_json")
    private String contentJson;

    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    @Column(name = "create_id")
    private Integer createId;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(name = "更新人", notes = "")
    @Column(name = "update_id")
    private Integer updateId;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间", notes = "")
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 是否删除 0否1是
     */
    @Column(name = "del_flag")
    private Integer delFlag;

}

