package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/6/26 17:13
 */
@Entity
@Table(name = "YCQ_EVENTS_TASK")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"events_id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "文件表")
public class YcqEventsTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "events_id")
    @ApiModelProperty(value = "主键id")
    private Long eventsId;

    @Column(name = "task_time")
    @ApiModelProperty(value = "任务时间")
    private Date taskTime;

    @Column(name = "longitude")
    @ApiModelProperty(value = "经度")
    private String longitude;

    @Column(name = "latitude")
    @ApiModelProperty(value = "纬度")
    private String latitude;

    @Column(name = "transaction_description")
    @ApiModelProperty(value = "事项描述")
    private String transactionDescription;

    @Column(name = "task_type")
    @ApiModelProperty(value = "任务类别（静态值）")
    private Integer taskType;

    @Column(name = "cover_people")
    @ApiModelProperty(value = "覆盖人数(选择交流谈心时，作为覆盖基层青年人)")
    private Integer coverPeople;

    @Column(name = "cover_group_people")
    @ApiModelProperty(value = "覆盖人数（覆盖团干部人次）")
    private Integer coverGroupPeople;

    @Column(name = "contact_days")
    @ApiModelProperty(value = "联系天数（静态值）")
    private Double contactDays;

    @Column(name = "state")
    @ApiModelProperty(value = "状态")
    private Integer state;

    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @Column(name = "upload_worker_id")
    @ApiModelProperty(value = "上传用户id")
    private Long uploadWorkerId;

    @Column(name = "place_name")
    @ApiModelProperty(value = "地点名称")
    private String placeName;



}
