package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/6/6 14:25
 */
@Entity
@Table(name = "YCQ_FILE_AUDIT")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "文件审核记录表")
public class YcqFileAudit implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "record_id")
    @ApiModelProperty(value = "主键")
    private Long recordId;

    @Column(name = "file_id")
    @ApiModelProperty(value = "文件id")
    private String fileId;

    @Column(name = "worker_id")
    @ApiModelProperty(value = "审核人id")
    private String workerId;

    @Column(name = "audit_status")
    @ApiModelProperty(value = "审核状态（0：未通过，-1：部门审核中，-2：内容审核中，1：通过，2：重发）")
    private Integer auditStatus;

    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;

    @Column(name = "note")
    @ApiModelProperty(value = "备注")
    private String note;

    @Column(name = "reject_reason")
    @ApiModelProperty(value = "驳回原因")
    private String rejectReason;

    /**
     * 记录ID
     */

    /**
     * uploadId
     * 上传ID
     */

    /**
     * 工号
     */

    /**
     * 角色
     */

    /**
     * 状态
     */

    /**
     * 意见标签
     */

    /**
     * 意见
     */

    /**
     * 时间
     */
}
