/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @author shenhs create 2023/6/19 10:42
 */
@Entity
@Table(name = "YCQ_FILE_AUDIT_RECORD")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "文件审核记录表")
public class YcqFileAuditRecord {

	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "record_id")
	@ApiModelProperty(value = "主键")
	private Long recordId;

	@Column(name = "upload_id")
	@ApiModelProperty(value = "文件id")
	private Long uploadId;

	@Column(name = "worker_id")
	@ApiModelProperty(value = "工号ID")
	private Integer workerId;

	@Column(name = "role_id")
	@ApiModelProperty(value = "角色id")
	private Integer roleId;

	@Column(name = "status")
	@ApiModelProperty(value = "审核状态")
	private Integer status;

	@Column(name = "reason_label")
	@ApiModelProperty(value = "意见标签")
	private String reasonLabel;

	@Column(name = "reason")
	@ApiModelProperty(value = "意见")
	private String reason;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@Column(name = "worker_name")
	@ApiModelProperty(value = "姓名")
	private String workerName;

}
