package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/6/10 15:47
 */
@Entity
@Table(name = "YCQ_FILE_AUDIT_ROLE")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@ApiModel(description = "文件审核角色表")
public class YcqFileAuditRole implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "upload_id")
    @ApiModelProperty(value = "文件id")
    private Long uploadId;

    @Column(name = "upload_worker_id")
    @ApiModelProperty(value = "上传员id")
    private Long uploadWorkerId;

    @Column(name = "upload_worker_org")
    @ApiModelProperty(value = "上传员组织id")
    private String uploadWorkerOrg;

    @Column(name = "department_worker_id")
    @ApiModelProperty(value = "部门审核人id")
    private Long departmentWorkerId;

    @Column(name = "sys_worker_id")
    @ApiModelProperty(value = "系统审核人id")
    private Long sysWorkerId;

    @Column(name = "deparment_audit_status")
    @ApiModelProperty(value = "部门审核状态")
    private Integer departmentAuditStatus;

    @Column(name = "sys_audit_status")
    @ApiModelProperty(value = "系统审核状态")
    private Integer sysAuditStatus;
}
