package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/7/28 16:44
 */
@Entity
@Table(name = "ycq_headline_article_column")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"articleColumnId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青春头条文章关联二级栏目")
public class YcqHeadlineArticleColumn implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "article_column_id")
    @ApiModelProperty(value = "主键")
    private Long articleColumnId;

    @Column(name = "headline_id")
    @ApiModelProperty(value = "文章id")
    private Long headlineId;

    @Column(name = "column_two_id")
    @ApiModelProperty(value = "二级栏目id")
    private String columnTwoId;

    @Column(name = "column_two_name")
    @ApiModelProperty(value = "二级栏目名称")
    private String columnTwoName;

    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除")
    private String deleted;
}
