package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangchen create 2023/5/31 16:44
 */
@Entity
@Table(name = "ycq_league_edu")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"leagueEduId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "团委组织学历表")
public class YcqLeagueEdu implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "league_edu_id")
    @ApiModelProperty(value = "主键")
    private String leagueEduId;

    @Column(name = "league_code")
    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @Column(name = "league_name")
    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @Column(name = "edu_level")
    @ApiModelProperty(value = "文化程度")
    private String eduLevel;

    @Column(name = "lm_count")
    @ApiModelProperty(value = "团员数量")
    private Integer imCount;

    @Column(name = "sort")
    @ApiModelProperty(value = "排序")
    private Integer sort;
}

