package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangchen create 2023/5/31 16:44
 */
@Entity
@Table(name = "ycq_league_leader_count")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"leaderCountId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "团委组织学历表")
public class YcqLeagueLeaderCount implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "leader_count_id")
    @ApiModelProperty(value = "主键")
    private Long leaderCountId;

    @Column(name = "league_code")
    @ApiModelProperty(value = "组织编码")
    private String leagueCode;

    @Column(name = "cadre_total")
    @ApiModelProperty(value = "基层团干部")
    private Integer cadreTotal;

    @Column(name = "ldjg_cadre_count")
    @ApiModelProperty(value = "领导机关团干部")
    private Integer ldjgCadreCount;

    @Column(name = "league_name")
    @ApiModelProperty(value = "组织名称")
    private String leagueName;

    @Column(name = "short_name")
    @ApiModelProperty(value = "组织名称短")
    private String shortName;

    @Column(name = "update_time")
    @ApiModelProperty(value = "更新时间")
    private String updateTime;
}

