package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangchen create 2023/7/20 11:01
 */
@Entity
@Table(name = "YCQ_LEAGUE_USER_HONOR")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"userHonorId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "团员荣誉表-")
public class YcqLeagueUserHonor implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "user_honor_id")
    @ApiModelProperty(value = "主键")
    private Long userHonorId;

    @Column(name = "user_id")
    @ApiModelProperty(value = "用户id")
    private String userId;

    @Column(name = "assignor_league_full_name")
    @ApiModelProperty(value = "组织全称")
    private String assignorLeagueFullName;

    @Column(name = "assignor_league_id")
    @ApiModelProperty(value = "组织id")
    private String assignorLeagueId;

    @Column(name = "assignor_league_name")
    @ApiModelProperty(value = "组织简称")
    private String assignorLeagueName;

    @Column(name = "honor_id")
    @ApiModelProperty(value = "荣誉id")
    private String honorId;

    @Column(name = "honor_name")
    @ApiModelProperty(value = "荣誉名称")
    private String honorName;

    @Column(name = "honor_struct")
    @ApiModelProperty(value = "荣誉结构")
    private String honorStruct;

    @Column(name = "honor_type")
    @ApiModelProperty(value = "荣誉类型")
    private Integer honorType;

    @Column(name = "year")
    @ApiModelProperty(value = "年份")
    private Integer year;
}
