/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 菜单快捷方式
 * @author zjw
 */
@Entity
@Table(name = "YCQ_MENU_SHORTCUT")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "菜单快捷方式表")
public class YcqMenuShortcut implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "id")
	@ApiModelProperty(name = "主键id",notes = "")
	private Long id ;

	/** 菜单code */
	@Column(name = "menu_code")
	private String menuCode ;
	/** 登陆人id */
	@Column(name = "login_id")
	private Integer loginId ;

	/** 创建时间 */
	@Column(name = "CREATE_TIME")
	private Date createTime ;
	/** 修改时间 */
	@Column(name = "UPDATE_TIME")
	private Date updateTime ;
	/** 删除标识;是否被删除0否1是 */
	@Column(name = "DEL_FLAG")
	private Integer delFlag ;
}
