package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 18:54
 */
@Entity
@Table(name = "ycq_report_education")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of= {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "校外教育表")
public class YcqReportEducation {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @Column(name = "year")
    @ApiModelProperty(value = "年份")
    private String year;

    @Column(name = "mechanism_num")
    @ApiModelProperty(value = "机构数量(单位:个)")
    private String mechanismNum;

    @Column(name = "area_position")
    @ApiModelProperty(value = "阵地面积(单位:万平方米)")
    private String areaPosition;

    @Column(name = "youth_service")
    @ApiModelProperty(value = "服务青少年人次(单位:万)")
    private String youthService;

    @Column(name = "external_educator")
    @ApiModelProperty(value = "校外教育工作者人数(单位:个)")
    private String externalEducator;

    @Column(name = "funds")
    @ApiModelProperty(value = "投入经费(单位:万)")
    private String funds;

}
