package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 14:46
 */
@Entity
@Table(name = "ycq_report_youth_situation")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "请情表")
public class YcqReportYouthSituation implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @Column(name = "year")
    @ApiModelProperty(value = "年份")
    private String year;

    @Column(name = "people_num")
    @ApiModelProperty(value = "人数(单位:万)")
    private String peopleNum;

    @Column(name = "men_num")
    @ApiModelProperty(value = "男青年人数")
    private String menNum;

    @Column(name = "women_num")
    @ApiModelProperty(value = "女青年人数")
    private String womenNum;

    @Column(name = "doctoral_candidate_num")
    @ApiModelProperty(value = "全日制博士研究生人数")
    private String doctoralCandidateNum;

    @Column(name = "postgraduate_num")
    @ApiModelProperty(value = "全日制硕士研究生人数")
    private String postgraduateNum;

    @Column(name = "undergraduate_num")
    @ApiModelProperty(value = "全日制普通本科生人数")
    private String undergraduateNum;

    @Column(name = "college_student_num")
    @ApiModelProperty(value = "全日制高职专科生人数")
    private String collegeStudentNum;

    @Column(name = "school_student_num")
    @ApiModelProperty(value = "全日制普通高中生人数")
    private String schoolStudentNum;

    @Column(name = "education_student_num")
    @ApiModelProperty(value = "全日制中等职业教育学生人数")
    private String educationStudentNum;

    @Column(name = "junior_student_num")
    @ApiModelProperty(value = "全日制普通初中生人数")
    private String juniorStudentNum;
}










