package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_ROLL_PIC")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "缓存刷新表")
public class YcqRollPic implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "id")
	@ApiModelProperty(value = "主键ID")
	private Long id;

	/** 轮播图名称 */
	@ApiModelProperty(name = "轮播图名称",notes = "")
	@Column(name = "roll_pic_name")
	private String rollPicName ;
	/** 所属系统id */
	@ApiModelProperty(name = "所属系统id",notes = "")
	@Column(name = "system_id")
	private Integer systemId ;
	/** 所属系统 */
	@ApiModelProperty(name = "所属系统",notes = "")
	@Column(name = "system_name")
	private String systemName ;
	/** 配置值 */
	@ApiModelProperty(name = "配置位置",notes = "")
	@Column(name = "location")
	private String location ;

	@Column(name = "location_id")
	private Integer locationId ;
	/** 配置图片地址 */
	@ApiModelProperty(name = "配置图片地址",notes = "")
	@Column(name = "pic_urls")
	private String picUrls ;
	/** 发布状态 */
	@ApiModelProperty(name = "发布状态1待发布，2已发布",notes = "")
	@Column(name = "status")
	private Integer status ;
	/** 是否被删除 */
	@ApiModelProperty(name = "是否被删除,0否 1是",notes = "")
	@Column(name = "del_flag")
	private Integer delFlag ;
	/** 创建人id */
	@ApiModelProperty(name = "创建人id",notes = "")
	@Column(name = "create_id")
	private Integer createId ;
	/** 创建时间 */
	@ApiModelProperty(name = "创建时间",notes = "")
	@Column(name = "create_time")
	private Date createTime ;
	/** 修改人id */
	@ApiModelProperty(name = "修改人id",notes = "")
	@Column(name = "update_id")
	private Integer updateId ;
	/** 修改时间 */
	@ApiModelProperty(name = "修改时间",notes = "")
	@Column(name = "update_time")
	private Date updateTime ;


	@ApiModelProperty(name = "第二个配置位置",notes = "修改时间")
	@Column(name = "SECOND_LOCATION")
	private String secondLocation ;

}
