package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青春重庆视频上传表;
 * @author : http://www.chiner.pro
 * @date : 2023-12-14
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_UPLOAD_VIDEO")
@EqualsAndHashCode(of = { "uploadVideoId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青春重庆视频上传表",description = "")
public class YcqUploadVideo implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="upload_video_id")
    @ApiModelProperty("主键id")
    private Long uploadVideoId;

    /** 业务类型(静态值ycq-video-type) */
    @Column(name="server_type")
    @ApiModelProperty("业务类型(静态值ycq-video-type)")
    private Integer serverType;

    /** 文件名称 */
    @Column(name="file_name")
    @ApiModelProperty("文件名称")
    private String fileName;

    /** 转码前地址(仅做记录) */
    @Column(name="file_key")
    @ApiModelProperty("转码前地址(仅做记录)")
    private String fileKey;

    /** 文件类型 */
    @Column(name="file_type")
    @ApiModelProperty("文件类型")
    private String fileType;

    /** 文件大小 */
    @Column(name="file_size")
    @ApiModelProperty("文件大小")
    private String fileSize;

    /** 是否转码完成(1是0否) */
    @Column(name="file_status")
    @ApiModelProperty("是否转码完成(1是0否)")
    private Integer fileStatus;

    /** 转码后url地址 */
    @Column(name="file_url")
    @ApiModelProperty("转码后url地址")
    private String fileUrl;

    /** 转码后的文件id */
    @Column(name="file_id")
    @ApiModelProperty("转码后的文件id")
    private String fileId;

    /** picture_url */
    @Column(name="picture_url")
    @ApiModelProperty("picture_url")
    private String pictureUrl;

    /** 文件日期yyyymmdd */
    @Column(name="file_date")
    @ApiModelProperty("文件日期yyyymmdd")
    private String fileDate;

    /** 视频时长(单位秒) */
    @Column(name="file_duration")
    @ApiModelProperty("视频时长(单位秒)")
    private Integer fileDuration;

    /** 创建人id */
    @Column(name="create_by")
    @ApiModelProperty("创建人id")
    private Integer createBy;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="del_flag")
    @ApiModelProperty("是否删除")
    private Integer delFlag;


}