package com.crunii.micro.domain.entity.main.jex;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 驾驶舱中心数据表
 * @TableName YCQ_COCKPIT_CENTER
 */
@Entity
@Table(name = "YCQ_COCKPIT_CENTER")
@NamedQuery(name = "YcqCockpitCenter.findAll", query = "SELECT t FROM YcqCockpitCenter t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_COCKPIT_CENTER表")
public class YcqCockpitCenter implements Serializable, Cloneable {

    /**
     * 注册用户数
     */
    @Column(name = "users")
    private String users;

    /**
     * 访问次数
     */
    @Column(name = "visits")
    private String visits;

    /**
     * 活跃用户数
     */
    @Column(name = "active")
    private String active;

    /**
     * 最热板块
     */
    @Column(name = "hottest")
    private String hottest;

    /**
     * 编号
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

}
