package com.crunii.micro.domain.entity.main.jex;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 驾驶舱赛马比拼表
 * @TableName YCQ_COCKPIT_COMPETITION
 */
@Entity
@Table(name = "YCQ_COCKPIT_COMPETITION")
@NamedQuery(name = "YcqCockpitCompetition.findAll", query = "SELECT t FROM YcqCockpitCompetition t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_COCKPIT_COMPETITION表")
public class YcqCockpitCompetition implements Serializable, Cloneable {

    /**
     * 编号
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 直属团
     */
    @Column(name = "team")
    private String team;

    /**
     * 重点工作
     */
    @Column(name = "work")
    private String work;

    /**
     * 城市系统
     */
    @Column(name = "city")
    private String city;

    /**
     * 高校系统
     */
    @Column(name = "school")
    private String school;

}
