package com.crunii.micro.domain.entity.main.jex;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 驾驶舱赛马比拼2023年1季度表
 * @TableName YCQ_COCKPIT_COMPETITION_2023_1
 */
@Entity
@Table(name = "YCQ_COCKPIT_COMPETITION_2023_1")
@NamedQuery(name = "YcqCockpitCompetition20231.findAll", query = "SELECT t FROM YcqCockpitCompetition20231 t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_COCKPIT_COMPETITION_2023_1表")
public class YcqCockpitCompetition20231 implements Serializable, Cloneable {

    /**
     * 编号
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "xyf_gx")
    private String xyf_gx;

    @Column(name = "xyf_cs")
    private String xyf_cs;

    @Column(name = "xyf_qx")
    private String xyf_qx;

    @Column(name = "xyf_cxl")
    private String xyf_cxl;

    @Column(name = "xyf_cc")
    private String xyf_cc;

    @Column(name = "xyf_cp")
    private String xyf_cp;

    @Column(name = "cyyjq_zyz")
    private String cyyjq_zyz;

    @Column(name = "cyyjq_hd")
    private String cyyjq_hd;

    @Column(name = "xwj_hd")
    private String xwj_hd;

    @Column(name = "xwj_cs")
    private String xwj_cs;

    @Column(name = "qmgc_xj")
    private String qmgc_xj;

    @Column(name = "qmgc_wsp")
    private String qmgc_wsp;

    @Column(name = "byhsn_jyjd")
    private String byhsn_jyjd;

    @Column(name = "byhsn_jddz")
    private String byhsn_jddz;

    @Column(name = "byhsn_jyhd")
    private String byhsn_jyhd;

    @Column(name = "byhsn_zzmm")
    private String byhsn_zzmm;

    @Column(name = "xchqn_lxfwsnqn")
    private String xchqn_lxfwsnqn;

    @Column(name = "xchqn_gszqnnm")
    private String xchqn_gszqnnm;

    @Column(name = "xchqn_ncdsqn")
    private String xchqn_ncdsqn;

    @Column(name = "xchqn_zbznhd")
    private String xchqn_zbznhd;

    @Column(name = "xchqn_sncyqn")
    private String xchqn_sncyqn;

    @Column(name = "xchqn_rz")
    private String xchqn_rz;

    @Column(name = "qmcyzt_zz")
    private String qmcyzt_zz;

    @Column(name = "qmcyzt_qchd")
    private String qmcyzt_qchd;

    @Column(name = "qmcyzt_xwxw")
    private String qmcyzt_xwxw;

    @Column(name = "qmcyzt_zthd")
    private String qmcyzt_zthd;

    @Column(name = "qmcyzt_fg")
    private String qmcyzt_fg;

    @Column(name = "qmcyzt_zd")
    private String qmcyzt_zd;

    @Column(name = "qmcyzt_al")
    private String qmcyzt_al;

    @Column(name = "zysc_hd")
    private String zysc_hd;

    @Column(name = "zysc_qsn")
    private String zysc_qsn;

    @Column(name = "zysc_zd")
    private String zysc_zd;

    @Column(name = "qcj_cxcypx")
    private String qcj_cxcypx;

    @Column(name = "qcj_cxcxhd")
    private String qcj_cxcxhd;

    @Column(name = "qcj_cxcyhd")
    private String qcj_cxcyhd;

    @Column(name = "qcj_fgcyqn")
    private String qcj_fgcyqn;

    @Column(name = "qcj_ffzj")
    private String qcj_ffzj;

    @Column(name = "xxw_cyl")
    private String xxw_cyl;

    @Column(name = "xxw_jd")
    private String xxw_jd;

    @Column(name = "xxw_hd")
    private String xxw_hd;

    @Column(name = "wwqnbss_hdfg")
    private String wwqnbss_hdfg;

    @Column(name = "wwqnbss_fgxx")
    private String wwqnbss_fgxx;

    @Column(name = "wwqnbss_jyhd")
    private String wwqnbss_jyhd;

    @Column(name = "szgqt_hyl")
    private String szgqt_hyl;

}
