package com.crunii.micro.domain.entity.main.jex;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 驾驶舱校外教育表
 * @TableName YCQ_COCKPIT_EDUCATION
 */
@Entity
@Table(name = "YCQ_COCKPIT_EDUCATION")
@NamedQuery(name = "YcqCockpitEducation.findAll", query = "SELECT t FROM YcqCockpitEducation t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_COCKPIT_EDUCATION表")
public class YcqCockpitEducation implements Serializable, Cloneable {

    /**
     * 编号
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 区域
     */
    @Column(name = "region")
    private String region;

    /**
     * 机构总数
     */
    @Column(name = "quantity")
    private String quantity;

    /**
     * 青少年活动中心
     */
    @Column(name = "activity")
    private String activity;

    /**
     * 微型少年宫
     */
    @Column(name = "palace")
    private String palace;

    /**
     * 青少年之家
     */
    @Column(name = "home")
    private String home;

}
