package com.crunii.micro.domain.entity.main.jex;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 驾驶舱团情表
 * @TableName YCQ_COCKPIT_GROUP
 */
@Entity
@Table(name = "YCQ_COCKPIT_GROUP")
@NamedQuery(name = "YcqCockpitGroup.findAll", query = "SELECT t FROM YcqCockpitGroup t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_COCKPIT_GROUP表")
public class YcqCockpitGroup implements Serializable, Cloneable {

    /**
     * 编号
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 类型
     */
    @Column(name = "type")
    private String type;

    /**
     * 数量
     */
    @Column(name = "quantity")
    private String quantity;

    /**
     * 区县系统数量
     */
    @Column(name = "county_system_quantity")
    private String countySystemQuantity;

    /**
     * 区县系统占比
     */
    @Column(name = "county_system_percentage")
    private String countySystemPercentage;

    /**
     * 高校系统数量
     */
    @Column(name = "school_system_quantity")
    private String schoolSystemQuantity;

    /**
     * 高校系统数量
     */
    @Column(name = "school_system_percentage")
    private String schoolSystemPercentage;

    /**
     * 城市系统数量
     */
    @Column(name = "city_system_quantity")
    private String citySystemQuantity;

    /**
     * 城市系统占比
     */
    @Column(name = "city_system_percentage")
    private String citySystemPercentage;

    /**
     * 社会组织
     */
    @Column(name = "field_social_organization")
    private String fieldSocialOrganization;

    /**
     * 国有企业
     */
    @Column(name = "field_country_enterprise")
    private String fieldCountryEnterprise;

    /**
     * 机关事业单位
     */
    @Column(name = "field_institutional_unit")
    private String fieldInstitutionalUnit;

    /**
     * 城市社区
     */
    @Column(name = "field_city_community")
    private String fieldCityCommunity;

    /**
     * 农村
     */
    @Column(name = "field_countryside")
    private String fieldCountryside;

    /**
     * 非公企业
     */
    @Column(name = "field_private_enterprise")
    private String fieldPrivateEnterprise;

    /**
     * 学校
     */
    @Column(name = "field_school")
    private String fieldSchool;

}
