package com.crunii.micro.domain.entity.main.jex;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 驾驶舱团组织表
 * @TableName YCQ_COCKPIT_ORGANIZATION
 */
@Entity
@Table(name = "YCQ_COCKPIT_ORGANIZATION")
@NamedQuery(name = "YcqCockpitOrganization.findAll", query = "SELECT t FROM YcqCockpitOrganization t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_COCKPIT_ORGANIZATION表")
public class YcqCockpitOrganization implements Serializable, Cloneable {

    /**
     * 编号
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 区域
     */
    @Column(name = "region")
    private String region;

    /**
     * 团组织数
     */
    @Column(name = "quantity")
    private String quantity;

    /**
     * 领导机关
     */
    @Column(name = "office")
    private String office;

    /**
     * 团委
     */
    @Column(name = "committee")
    private String committee;

    /**
     * 团工委
     */
    @Column(name = "work")
    private String work;

    /**
     * 团总支
     */
    @Column(name = "general")
    private String general;

    /**
     * 团支部
     */
    @Column(name = "branch")
    private String branch;

    /**
     * 毕业生团组织
     */
    @Column(name = "graduate")
    private String graduate;

    /**
     * 待接转团支部
     */
    @Column(name = "transferred")
    private String transferred;

}
