package com.crunii.micro.domain.entity.main.jex;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 驾驶舱青情表
 * @TableName YCQ_COCKPIT_YOUTH
 */
@Entity
@Table(name = "YCQ_COCKPIT_YOUTH")
@NamedQuery(name = "YcqCockpitYouth.findAll", query = "SELECT t FROM YcqCockpitYouth t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_COCKPIT_YOUTH表")
public class YcqCockpitYouth implements Serializable, Cloneable {

    /**
     * 编号
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 年份一
     */
    @Column(name = "year_one")
    private String yearOne;

    /**
     * 年份一数量
     */
    @Column(name = "year_one_quantity")
    private String yearOneQuantity;

    /**
     * 年份二
     */
    @Column(name = "year_two")
    private String yearTwo;

    /**
     * 年份二数量
     */
    @Column(name = "year_two_quantity")
    private String yearTwoQuantity;

    /**
     * 年份三
     */
    @Column(name = "year_three")
    private String yearThree;

    /**
     * 年份三数量
     */
    @Column(name = "year_three_quantity")
    private String yearThreeQuantity;

    /**
     * 年份四
     */
    @Column(name = "year_four")
    private String yearFour;

    /**
     * 年份四数量
     */
    @Column(name = "year_four_quantity")
    private String yearFourQuantity;

    /**
     * 年份五
     */
    @Column(name = "year_five")
    private String yearFive;

    /**
     * 年份五数量
     */
    @Column(name = "year_five_quantity")
    private String yearFiveQuantity;

    /**
     * 男性青年
     */
    @Column(name = "young_man")
    private String youngMan;

    /**
     * 女性青年
     */
    @Column(name = "young_woman")
    private String youngWoman;

    /**
     * 全日制普通初中生
     */
    @Column(name = "edu_initial")
    private String eduInitial;

    /**
     * 全日制普通高中生
     */
    @Column(name = "edu_high")
    private String eduHigh;

    /**
     * 全日制中等职业教育学生
     */
    @Column(name = "edu_vocational")
    private String eduVocational;

    /**
     * 全日制高职专科生
     */
    @Column(name = "edu_college")
    private String eduCollege;

    /**
     * 全日制普通本科生
     */
    @Column(name = "edu_bachelor")
    private String eduBachelor;

    /**
     * 全日制硕士研究生
     */
    @Column(name = "edu_master")
    private String eduMaster;

    /**
     * 全日制博士研究生
     */
    @Column(name = "edu_doctor")
    private String eduDoctor;

}
