package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqAppConfigUrl;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-09
 */
@Repository
public interface YcqAppConfigUrlRepo extends BaseRepo<YcqAppConfigUrl, Long> {

    /**
     * 查询状态为1的app配置信息
     *
     * @param state 状态值
     * @return 返回 List<YcqAppConfigUrl>
     */
    List<YcqAppConfigUrl>   findYcqAppConfigUrlByStateOrderBySortAsc(Integer state);

    List<YcqAppConfigUrl> findByState(Integer state);

    List<YcqAppConfigUrl> findByStateAndAppCode(Integer state, String appCpde);
}
