package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqMatchAnnex;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-28
 */
@Repository
public interface YcqMatchAnnexRepo extends BaseRepo<YcqMatchAnnex, Long> {

    /**
     * 通过文章id查询列表
     *
     * @param articleId 文章id
     * @return 返回List<YcqMatchAnnex>
     */
    List<YcqMatchAnnex> findAllByArticleId(Long articleId);

    YcqMatchAnnex findByAnnexIdAndState(Long annexId,Integer state);
}
