package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqUploadVideo;
import org.springframework.stereotype.Repository;

/**
 * 青春重庆视频上传表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-12-14
 */
@Repository
public interface YcqUploadVideoRepo extends BaseRepo<YcqUploadVideo, Long> {

    /**
     * 查询上传视频
     *
     * @param fileId 转码后fileId
     * @param serverType 所属服务
     * @param delFlag      是否删除
     * @return data
     */
    YcqUploadVideo findByFileIdAndServerTypeAndDelFlag(String fileId, Integer serverType,Integer delFlag);
}
