package com.crunii.micro.feign.client;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.fallbackfactory.FileManagerFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;

/**
 * @author wangchen create 2023/8/8 15:43
 */
@FeignClient(value = "service-filemanager", fallbackFactory = FileManagerFallbackFactory.class)
public interface FileManagerService {

    @ApiOperation(value = "删除图片通过标签id")
    @GetMapping("/auth/FileOperationController/delPicByLabelId")
    Result<String> delPicByLabelId(@RequestParam("labelId") @NotNull(message = "标签id不能为空") Long labelId);
}
