package com.crunii.micro.feign.client;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.dto.LoginPhoneDto;
import com.crunii.micro.feign.client.fallbackfactory.InterServiceFallbackFactory;
import com.crunii.micro.feign.client.fallbackfactory.SysServiceFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author lyx
 * @date 2024/1/17
 */
@FeignClient(value = "intf-http-demo", fallbackFactory = InterServiceFallbackFactory.class)
public interface InterService {
	@ApiOperation(value = "刷新渝快政用户信息")
	@RequestMapping(path = "/intf/YkzObtainUserInformationController/saveYkzUserInfo", method = RequestMethod.POST)
	@ResponseBody
	public Result<String> saveYkzUserInfo(@RequestBody LoginPhoneDto loginPhoneDto);
}
