package com.crunii.micro.feign.client;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.dto.StudentDetailVo;
import com.crunii.micro.feign.client.fallbackfactory.OneAffairServiceFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Service
@FeignClient(value = "service-one-affair", fallbackFactory = OneAffairServiceFallbackFactory.class)
public interface OneAffairService {


    @ApiOperation(value = "根据身份证查询少先队员的学生信息详情")
    @RequestMapping(path = "/yjs/student/auth/selectStudentByIdentityCardNo", method = RequestMethod.GET)
    @ResponseBody
    Result<StudentDetailVo> selectStudentByIdentityCardNo(@RequestParam("identityCardNo") String identityCardNo);

}
