/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.feign.client.dto;

import com.crunii.micro.domain.dto.sys.FileDetailDto;
import com.crunii.micro.domain.dto.sys.LabelCpDto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author shenhs create 2023/6/10 18:23
 */
@Getter
@Setter
@ApiModel("文件管理-传输类")
public class ElsticFileDto implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("主键")
	private Long uploadId;

	@ApiModelProperty(value = "是否图册，1：是 0：否 ")
	private Integer isAlbum;

	@ApiModelProperty(value = "文件标题")
	private String fileTitle;

	@ApiModelProperty(value = "所需积分")
	private Integer requiredIntegral;

	@ApiModelProperty(value = "上传人名字")
	private String uploadWorkerName;

	@ApiModelProperty(value = "审核通过时间")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date pushTime;

	@ApiModelProperty(value = "描述")
	private String describe;

	@ApiModelProperty("关键字")
	@NotNull( message = "关键字不能为空")
	private List<LabelCpDto> labels;

	@ApiModelProperty(value = "数据")
	private List<FileDetailDto> fileDetailDtoList;

}
