/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 田平 create 2021/4/25 14:25
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建组织")
public class OrgNode implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private Long orgId;

	@ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
	private String orgCode;

	@ApiModelProperty(value = "组织名称")
	private String orgName;

	@ApiModelProperty(value = "组织描述")
	private String orgDesc;

	@ApiModelProperty(value = "父组织ID,根组织id为0")
	private Long parentOrgId;

	@ApiModelProperty(value = "排序")
	private Integer sortId;

	@ApiModelProperty(value = "0无效，1有效")
	private int state;

	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

	@ApiModelProperty(value = "是否叶子节点")
	private Integer leafs;

	@ApiModelProperty(value = "是否叶子节点")
	private boolean isLeaf;

	@ApiModelProperty(value = "组织管理员名称")
	private String managePeopleName;

	@ApiModelProperty(value = "组织管理员id")
	private String managePeople;

}
