package com.crunii.micro.feign.client.dto;

import cn.hutool.core.lang.RegexPool;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * @author wangchen create 2023/7/7 08:50
 */
@Getter
@Setter
@ApiModel(description = "发送短信验证码")
public class SmsCodeSend implements Serializable {

	private static final long serialVersionUID = -9120328526790096158L;

	@Pattern(regexp = RegexPool.MOBILE,message = "手机号格式错误")
	@ApiModelProperty("要发送验证码的手机号")
	private String mobile;

	@NotBlank(message = "验证码必填")
	@ApiModelProperty("图形验证码")
	private String captcha;

	@NotBlank(message = "验证码必填")
	@ApiModelProperty("验证码Key")
	private String captchaKey;

}
