/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.feign.client.dto;

import com.crunii.micro.common.utils.JsonUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author 田平 create 2018年11月1日下午3:00:26
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建员工")
public class WorkerC implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private String orgId;

	@ApiModelProperty(value = "生日")
	private Date birthday;
	@ApiModelProperty(value = "邮件地址")
	private String email;
	@ApiModelProperty(value = "登录工号")
	private String loginCode;
	@ApiModelProperty(value = "手机号")
	private String mobile;
	@ApiModelProperty(value = "电话")
	private String phone;
	@ApiModelProperty(value = "性别|0女1男")
	private Integer sex;
	@ApiModelProperty(value = "姓名")
	private String workerName;
	@ApiModelProperty(value = "角色ids")
	private List<Integer> roleIds;
	@ApiModelProperty(value = "状态|1启用0禁用")
	private int state;

	@ApiModelProperty(value = "用户头像图片key")
	private String headPortraitPicKey;

	@ApiModelProperty(value = "fileId")
	private Long fileId;

	@ApiModelProperty(value = "职务数组id")
	private List<Long> postIds;

	@ApiModelProperty(value = "挂职组织id")
	private List<Long> temporaryOrgs;

	@ApiModelProperty(value = "是否临时用户(1是,0否)")
	private Integer whetherTemporary;

	@ApiModelProperty(value = "临时用户过期时间")
	private Date timeout;

	@ApiModelProperty(value = "是否是app注册")
	private Boolean app;

	@ApiModelProperty(value = "标签id列表")
	private List<Long> labelIds;

	@ApiModelProperty("作用域")
	private String scope;

	@ApiModelProperty(value = "所在部门")
	private String department;

	@ApiModelProperty(value = "登记系统直属（静态值）")
	private Integer registrationSystem;


	/**
	 * loginPwd orgCode 是这个方法加的createWorkerCustomPwd 给鸿信调用的
	 * */
	@ApiModelProperty(value = "密码")
	private String loginPwd;

	@ApiModelProperty(value = "组织编码")
	private String orgCode;

	public static void main(String[] args) {
		System.out.println(JsonUtil.getJsonString(new WorkerC()));
	}
}
