package com.crunii.micro.feign.client.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "一件事-专题管理")
@ToString
@Data
@Table(name = "YCQ_YJS_SPECIAL_MGR")
public class YcqYjsSpecialMgr implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "业务标识", notes = "生成雪花id")
    private BigInteger id;

    @Column(name = "special_number")
    @ApiModelProperty(name = "专题编号", notes = "")
    private String specialNumber;

    @Column(name = "special_name")
    @ApiModelProperty(name = "专题名称", notes = "")
    private String specialName;

    @Column(name = "affiliated_business_id")
    @ApiModelProperty(name = "所属业务", notes = "")
    private BigInteger affiliatedBusinessId;

    @Column(name = "status")
    @ApiModelProperty(name = "专题状态", notes = "")
    private Integer status;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createTime;

    @Column(name = "update_time")
    @ApiModelProperty(name = "修改时间", notes = "")
    private Date updateTime;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "是否删除(1:删除，0：未删除)", notes = "")
    private Integer delFlag;

    @Column(name = "period_validity")
    @ApiModelProperty(name = "专题有效期(1:永久,2.自定义)", notes = "")
    private Integer periodValidity;

    @Column(name = "validity_time")
    @ApiModelProperty(name = "有效期时间", notes = "")
    private Date validityTime;

    @Column(name = "special_type")
    @ApiModelProperty(name = "专题分类", notes = "")
    private Integer specialType;

}
