package com.crunii.micro.gateway.config;

import com.crunii.micro.common.utils.AESUtil;
import com.crunii.micro.common.utils.RSAUtil;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * @author wangchen create 2023/12/18 16:48
 */
@Getter
@Setter
@Configuration
@RefreshScope
@ConfigurationProperties(prefix = "replay.attack")
public class ReplayAttackFilterConfig {

    private Boolean enable;

    private long replayAttackRedisTimeOut;

    private List<String> whiteList;
}
