package com.crunii.micro.service.appsecond.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 【请填写功能名称】业务对象 app_content_manage
 *
 * @author liuchuan
 * @date 2023-12-07
 */

@Data
@EqualsAndHashCode
@ApiModel("【请填写功能名称】业务对象")
public class AppContentManageBo {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long contentManageId;

    /**
     * 媒体主键id
     */
    @ApiModelProperty(value = "媒体主键id", required = true)
    @NotNull(message = "媒体主键id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long mediumId;

    /**
     * 状态 -1 已删除 0草稿 1 已发布
     */
    @ApiModelProperty(value = "状态 -1 已删除 0草稿 1 已发布", required = true)
    @NotNull(message = "状态 -1 已删除 0草稿 1 已发布不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long state;

    /**
     * 内容标题
     */
    @ApiModelProperty(value = "内容标题")
    private String contentTitle;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Long likeCount;

    /**
     * 收藏数
     */
    @ApiModelProperty(value = "收藏数")
    private Long collectCount;

    /**
     * 浏览量
     */
    @ApiModelProperty(value = "浏览量")
    private Long readCount;

    /**
     * 标签id
     */
    @ApiModelProperty(value = "标签id")
    private Long labelId;

    /**
     * 是否热搜
     */
    @ApiModelProperty(value = "是否热搜")
    private Long whetherHotSearch;

    /**
     * 是否热榜
     */
    @ApiModelProperty(value = "是否热榜")
    private Long whetherHotList;

    /**
     * 热搜/热榜序值
     */
    @ApiModelProperty(value = "热搜/热榜序值")
    private Long ordinalValue;

    /**
     * 文件类型 1 上图下文 2 图文穿插 3视频内容
     */
    @ApiModelProperty(value = "文件类型 1 上图下文 2 图文穿插 3视频内容")
    private Long fileType;

    /**
     * 排序（app排序）
     */
    @ApiModelProperty(value = "排序（app排序）")
    private Long appSort;

    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    private Date releaseTime;

    /**
     * 是否删除;1删除  0不删除
     */
    @ApiModelProperty(value = "是否删除;1删除  0不删除", required = true)
    @NotNull(message = "是否删除;1删除  0不删除不能为空", groups = { AddGroup.class })
    private Long delFlag;


}
