package com.crunii.micro.service.appsecond.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 发现阵地主业务对象 app_discover_position
 *
 * @author ruoyi
 * @date 2023-12-14
 */

@Data
@EqualsAndHashCode
@ApiModel("发现阵地主业务对象")
public class AppDiscoverPositionBo {

    /**
     * id
     */
    @ApiModelProperty(value = "id 新建不用传")
    private Long id;

    /**
     * 阵地名称
     */
    @ApiModelProperty(value = "阵地名称")
    private String positionName;


    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;






    @ApiModelProperty(value = "阵地类型(静态表code) youthspace-position ")
    private String positionTypeCode;


    @ApiModelProperty(value = "阵地类型名称(静态值value)")
    private String positionTypeName;


    @ApiModelProperty(value = "行政区")
    private String districtName;

    @ApiModelProperty(value = "行政区 zone")
    private String districtCode;

    private List<AppDiscoverPositionAnnexBo> files;

    private List<AppDiscoverPositionAnnexBo> fileVideoList;


}
