package com.crunii.micro.service.appsecond.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;
import java.util.List;

/**
 * app帮助中心业务对象 app_help_center
 *
 * @author liuchuan
 * @date 2023-12-07
 */

@Data
@EqualsAndHashCode
@ApiModel("app帮助中心业务对象")
public class AppHelpCenterBo {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 问题
     */
    @ApiModelProperty(value = "问题")
    private String question;

    /**
     * 问题类型
     */
    @ApiModelProperty(value = "问题类型")
    private Integer helpType;

    /**
     * 关键词用英文逗号,隔开
     */
    @ApiModelProperty(value = "关键词用英文逗号,隔开")
    private String keywords;

    /**
     * 答案
     */
    @ApiModelProperty(value = "答案")
    private String answer;

    /**
     * 链接
     */
    @ApiModelProperty(value = "链接")
    private String url;

    /**
     * 附件
     */
    private List<AppHelpAnnexBo> annexs;

}
