package com.crunii.micro.service.appsecond.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 个人基础信息业务对象 app_personal_info
 *
 * @author liuchuan
 * @date 2023-12-07
 */

@Data
@EqualsAndHashCode
@ApiModel("个人基础信息业务对象")
public class AppPersonalInfoBo {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 工号id
     */
    @ApiModelProperty(value = "工号id")
    private Long loginId;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createdBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private Long updatedBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private Long sex;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idNum;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phone;

    /**
     * 居住地区
     */
    @ApiModelProperty(value = "居住地区")
    private String area;

    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    private String politicCountenance;

    /**
     * 学历
     */
    @ApiModelProperty(value = "学历")
    private String education;

    /**
     * 工作单位
     */
    @ApiModelProperty(value = "工作单位")
    private String workUnit;

    /**
     * 专长
     */
    @ApiModelProperty(value = "专长")
    private String expertise;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id")
    private Long orgId;

    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    private Long deleted;


}
