package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import com.crunii.micro.domain.dto.PicInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/4 18:57
 */
@Data
@ApiModel("分页内容")
public class ContextCreateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long contentManageId;

    @ApiModelProperty("文件类型 1 上图下文 2 图文穿插 3视频内容")
    @NotNull(message = "文件类型不能为空")
    private Integer fileType;

    @ApiModelProperty("内容标题")
    @NotBlank(message = "内容标题不能为空")
    private String contentTitle;

    @ApiModelProperty("标签名称")
    private List<String> labelName;

    @ApiModelProperty("内容")
    private String articleContext;

    @ApiModelProperty("封面图片key 如果是视频封面传入1个（否则默认第一帧）")
    private List<PicInfo> fileKeys;

    @ApiModelProperty("视频id ")
    private String fileId;
}
