package com.crunii.micro.service.appsecond.api.bo.youthHotPoint;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @author wangchen create 2023/12/4 19:48
 */
@Data
@ApiModel("媒体渠道分页参数")
public class MediumCreateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("媒体主键id 编辑时传入")
    private Long mediumId;

    @ApiModelProperty("头像 url")
    private String mediumHeadPic;

    @ApiModelProperty("账号名称")
    @Size(min = 1, max = 20, message = "账号名称长度须在小于20个字符")
    private String idName;

    @ApiModelProperty("所属组织")
    @NotNull(message = "组织不能为空")
    private Long orgId;

    @ApiModelProperty("关联用户id")
    @NotNull(message = "关联用户不能为空")
    private Integer associatedUserId;
}
