package com.crunii.micro.service.appsecond.api.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author denggl
 * date 2023/12/11
 */

@Data
@ApiModel("app端青创空间搜索参数")
public class AppCqzdSpaceContentDto  implements Serializable {
    private static final long serialVersionUID = -1859006593919251155L;

    @ApiModelProperty(value = "青创空间名称")
    private String spaceName ;

    @ApiModelProperty(value = "所在区域")
    private String location ;
    /** 共享配置 */
    @ApiModelProperty(value = "共享配置")
    private List<String> sharingSettings ;

    /** 详细地址 */
    @ApiModelProperty(value = "详细地址")
    private String fullAddress ;
    /** 经度 */
    @ApiModelProperty(value = "经度")
    private String longitude ;
    /** 维度 */
    @ApiModelProperty(value = "维度")
    private String dimension ;

    @ApiModelProperty(value = "侧重领域")
    private List<String> cqzdFocusOnAreas;
/*    @ApiModelProperty(value="工位单价")
    private CqzdPriceObjectDto workCqzdPrice;*/

    /** 最低值 */
    @ApiModelProperty(value = "工位 最低值")
    private String wpriceMin ;
    /** 最高值 */
    @ApiModelProperty(value = "工位 最高值")
    private String wpriceMax ;
    /** 是否包含水电(0:否、1:是) */
    @ApiModelProperty(value = " 工位是否包含水电(0:否、1:是)")
    private Integer wincludeState ;

   /* @ApiModelProperty(value="面积单价")
    private  CqzdPriceObjectDto areaCqzdPrice;*/

    /** 最低值 */
    @ApiModelProperty(value = "面积 最低值")
    private String apriceMin ;
    /** 最高值 */
    @ApiModelProperty(value = "面积 最高值")
    private String apriceMax ;
    /** 是否包含水电(0:否、1:是) */
    @ApiModelProperty(value = " 面积是否包含水电(0:否、1:是)")
    private Integer aincludeState ;

    /** 可申请工位数 */
    @ApiModelProperty(value = "最大可申请工位数")
    private Integer applyWorkersMax ;
    @ApiModelProperty(value = "最小可申请工位数")
    private Integer applyWorkersMin ;
    /** 可申请面积数 */
    @ApiModelProperty(value = "最大可申请面积数")
    private String applyAreaMax;
    @ApiModelProperty(value = "最小可申请面积数")
    private String applyAreaMin;
    @ApiModelProperty(value = "青创空间层级标签(no:无、city:市级、country:国家))")
    private List<String> hierarchyLabel ;
    @ApiModelProperty(value = "排序")
    AppCqzdSpaceOrderByDto orderBy;
}
