package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.dto
 * @Author: limy
 * @CreateTime: 2023-12-07  18:56
 * @Description: 个人基础信息
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode
@ApiModel("个人基础信息")
public class AppPersonalBasicInfoDto {

    /**
     * 用户头像图片key
     */
    @ApiModelProperty("用户头像图片key")
    private String headPortraitPicKey;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @NotBlank(message = "请输入用户姓名")
    private String workerName;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private Integer sex;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idNum;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String mobile;

    /**
     * 居住地区
     */
    @ApiModelProperty(value = "居住地区")
    private String area;

    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    private String politicCountenance;

    /**
     * 学历
     */
    @ApiModelProperty(value = "学历")
    private String education;



}
