package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigInteger;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.dto
 * @Author: limy
 * @CreateTime: 2023-12-07  19:31
 * @Description:
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode
@ApiModel("个人教育信息")
public class AppPersonalEduInfoDto {

    @ApiModelProperty(name = "id", notes = "id")
    private Long eduId;

    @NotNull(message = "学校必选")
    @ApiModelProperty(name = "currentSchoolId", notes = "当前学校ID")
    private BigInteger currentSchoolId;

    @Size(max= 128,message="学校名称不能超过128")
    @NotBlank(message = "学校必选")
    @ApiModelProperty(name = "currentSchoolName", notes = "当前学校名称")
    private String currentSchoolName;

    @NotNull(message = "年级必选")
    @ApiModelProperty(name = "currentGradeId", notes = "当前年级ID")
    private BigInteger currentGradeId;

    @Size(max= 128,message="年级名称不能超过128")
    @NotBlank(message = "年级必选")
    @ApiModelProperty(name = "currentGradeName", notes = "当前年级名称")
    private String currentGradeName;

    @NotNull(message = "班级必选")
    @ApiModelProperty(name = "currentClassId", notes = "当前班级ID")
    private BigInteger currentClassId;

    @Size(max= 128,message="班级名称不能超过128")
    @NotBlank(message = "班级必选")
    @ApiModelProperty(name = "currentClassName", notes = "当前班级名称")
    private String currentClassName;

}
