package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.dto
 * @Author: limy
 * @CreateTime: 2023-12-07  18:59
 * @Description: 个人信息
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode
@ApiModel("个人信息")
public class AppPersonalInfoDto {

    /**
     * 主键
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 个人基础信息
     */
    @ApiModelProperty(value = "个人基础信息")
    private AppPersonalBasicInfoDto basicInfoDto;

    /**
     * 工作单位
     */
    @ApiModelProperty(value = "工作单位")
    private String workUnit;

    /**
     * 个人教育信息
     */
    @ApiModelProperty(value = "个人教育信息")
    private AppPersonalEduInfoDto eduInfoDto;

    /**
     * 个人组织信息
     */
    @ApiModelProperty(value = "个人组织信息")
    private AppPersonalOrgInfoDto orgInfoDto;

    /**
     * 志愿组织
     */
    @ApiModelProperty(value = "志愿组织")
    private String volunteerOrg;

    /**
     * 荣誉信息
     */
    @ApiModelProperty(value = "荣誉信息")
    private List<AppPersonalHonorInfoDto> honorInfoDtos;

    /**
     * 专长
     */
    @ApiModelProperty(value = "专长")
    private String expertise;
}
