package com.crunii.micro.service.appsecond.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.dto
 * @Author: limy
 * @CreateTime: 2023-12-07  19:01
 * @Description: 个人组织信息
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode
@ApiModel("个人组织信息")
public class AppPersonalOrgInfoDto {

    @ApiModelProperty("系统直属")
    @NotBlank(message = "请选系统直属")
    private String registrationSystem;

    @ApiModelProperty("所属组织")
    @NotBlank(message = "请选所属组织")
    private String leagueCode;

    @ApiModelProperty(value = "身份类别（静态值）")
    @NotBlank(message = "请选身份类别")
    private String identityCategory;

    @ApiModelProperty("职务")
    @NotBlank(message = "请输入职务")
    private String position;

}
