package com.crunii.micro.service.appsecond.api.dto.appmultimodules;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * youth-cq.
 * 点赞/收藏/关注请求DTO
 * @author leixb
 * @since 2023-12-07 19:50
 **/
@Data
@EqualsAndHashCode
@ApiModel("点赞/收藏/关注请求DTO")
public class AppMultiModulesDto {
    
    @NotBlank(message = "id为空！")
    @ApiModelProperty(value = "点赞/收藏/关注账号的id", required = true)
    private String publicId;
    
    @NotNull(message = "increase为空！")
    @ApiModelProperty(value = "true-点赞/收藏/关注 false-取消", required = true)
    private Boolean increase;
    
    @NotNull(message = "type为空！")
    @ApiModelProperty(value = "1-收藏 2-点赞 3-关注", required = true)
    private Integer type;
}
