package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/15
 * @description 空间申请团队批量审核DTO
 */
@Data
@ApiModel(value = "空间申请团队批量审核DTO")
public class ApplyTeamAuditStateUDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /**
   * 团队id集合
   */
  @NotNull(message = "团队id集合必填", groups = {EditGroup.class })
  @ApiModelProperty(value = "团队id集合" , required = true )
  private List<String> id;

  /**
   * 审核状态(0:已撤销申请、1:待审核、2:审核通过、3:审核不通过)
   */
  @NotNull(message = "审核状态(0:已撤销申请、1:待审核、2:审核通过、3:审核不通过)必填", groups = {EditGroup.class })
  @ApiModelProperty(value = "审核状态(0:已撤销申请、1:待审核、2:审核通过、3:审核不通过)" , required = true )
  private Integer auditState;

  /**
   * 审核原因
   */
  @ApiModelProperty(value = "审核原因")
  private String auditReason;

  /**
   * 理由描述（审核原因：其它时出现的文本框）
   */
  @ApiModelProperty(value = "理由描述（审核原因：其它时出现的文本框）")
  private String reasonDetail;

}
