package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/15
 * @description 申请空间团队分页DTO
 */
@Data
@ApiModel(value = "申请空间团队分页DTO")
public class SpaceApplyTeamReqDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /**
   * 团队id
   */
  @ApiModelProperty(value = "团队id" )
  private List<String> id;

  /**
   * 青创空间名称
   */
  @ApiModelProperty(value = "青创空间名称")
  private String spaceName;

  /**
   * 申请人姓名
   */
  @ApiModelProperty(value = "申请人姓名" )
  private String applicantName;

  /**
   * 联系人电话
   */
  @ApiModelProperty(value = "联系人电话" )
  private String phone;

  /**
   * 审核状态(0:已撤销申请、1:待审核、2:审核通过、3:审核不通过)
   */
  @ApiModelProperty(value = "审核状态(0:已撤销申请、1:待审核、2:审核通过、3:审核不通过)" )
  private Integer auditState;

  /**
   * 入驻需求(0:工位需求、1:办公室需求)
   */
  @ApiModelProperty(value = "入驻需求(0:工位需求、1:办公室需求)" )
//  private List<Integer> stayState;
  private Integer stayState;

  /**
   * 营业执照(0:无、1:有)
   */
  @ApiModelProperty(value = "营业执照(0:无、1:有)" )
  private Integer businessLicense;

  /**
   * 申请时间
   */
  @ApiModelProperty(value = "开始时间")
  private String startTime;
  @ApiModelProperty(value = "结束时间")
  private String endTime;



}
