package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import com.crunii.micro.common.validate.AddGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import javax.validation.constraints.NotBlank;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/13
 * @description 已入住空间团队分页DTO
 */
@Data
@ApiModel(value = "已入住空间团队分页DTO")
public class SpacePassTeamPageReqDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /** 团队id */
  @ApiModelProperty(value = "团队id")
  private List<String> id;

  /** 空间id */
  @NotBlank(message = "空间id不能为空", groups = {AddGroup.class})
  @ApiModelProperty(value = "空间id" , required = true)
  private String spaceId;

  /** 申请人姓名 */
  @ApiModelProperty(value = "申请人姓名")
  private String applicantName;

  /** 联系人电话 */
  @ApiModelProperty(value = "联系人电话")
  private String phone;

  /** 企业名称 */
  @ApiModelProperty(value = "企业名称")
  private String companyName;

  /** 统一社会信用代码 */
  @ApiModelProperty(value = "统一社会信用代码")
  private String socialCode;

  /** 入驻时间 */
  @ApiModelProperty(value = "开始时间")
  private String startTime;
  @ApiModelProperty(value = "结束时间")
  private String endTime;
}
