package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/21
 * @description 团队批量导入请求DTO
 */
@Data
@ApiModel(value = "团队批量导入请求DTO")
public class TeamBatchImportDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /** 临时key */
  @NotNull(message = "临时key不能为空", groups = { EditGroup.class })
  @ApiModelProperty(value = "临时key" , required = true)
  private String dataKey;

  /** 空间id */
  @NotBlank(message = "空间id不能为空", groups = {EditGroup.class })
  @ApiModelProperty(value = "空间id" , required = true)
  private String spaceId;

}
