package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/12
 * @description 青创空间审核层级状态DTO
 */
@Data
@ApiModel(value = "青创空间审核层级状态DTO")
public class YouthSpacAuditReqDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /** 空间id */
  @NotBlank(message = "空间id必填", groups = {EditGroup.class })
  @ApiModelProperty(value = "空间id" ,required = true)
  private String id;

  /** 层级审核状态(0:待审核、1:通过、2：不通过) */
  @NotNull(message = "层级审核状态(0:待审核、1:通过、2：不通过)必填", groups = {EditGroup.class })
  @ApiModelProperty(value = "层级审核状态(0:待审核、1:通过、2：不通过) " , required = true)
  private Integer evaluateState;

  /** 审核原因 */
  @ApiModelProperty(value = "审核原因")
  private String evaluateRemarks;



}
