package com.crunii.micro.service.appsecond.api.dto.youthsapce;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotBlank;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/13
 * @description 青创空间上架与下架请求DTO
 */
@Data
@ApiModel(value = "青创空间上架与下架请求DTO")
public class YouthSpaceStateReqDTO implements Serializable {

  private static final Long serialVersionUID = 2L;

  /** 空间id */
  @NotBlank(message = "空间id必填", groups = {EditGroup.class })
  @ApiModelProperty(value = "空间id" ,required = true)
  private String id;

  /** 状态(down:下架、up:公示) */
  @NotBlank(message = "状态(down:下架、up:公示)", groups = {EditGroup.class })
  @ApiModelProperty(value = "状态(down:下架、up:公示)",required = true)
  private String state ;


}
