package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/12/11
 */
@Data
@ApiModel("app青创空间信息实体")
public class AppCqzdSpaceContentVo {

    /** 主键 */

    @ApiModelProperty(value = "主键")
    private Long id ;
    /** 创建人 */
    @ApiModelProperty(value = "创建人")
    private String createdBy ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    private Date createdTime ;
    /** 更新人 */
    @ApiModelProperty(value = "更新人")
    private String updatedBy ;
    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime ;
    /** 创建人id */
    @ApiModelProperty(value = "创建人id")
    private Integer createId ;

    /** 青创空间名称 */
    @ApiModelProperty(value = "青创空间名称")
    private String spaceName ;
    @ApiModelProperty(value = "联系人id")
    private Integer contactsId ;
    @ApiModelProperty(value = "联系人姓名")
    private String contactsName ;
    /** 联系电话 */
    @ApiModelProperty(value = "联系电话")
    private String phone ;
    /** 所在区域 */
    @ApiModelProperty(value = "所在区域")
    private String location ;
    /** 所在区域 */
    @ApiModelProperty(value = "所在区域翻译")
    @PropertyTranslate(propertyCode = "zone",valueFiled = "location")
    private String locationName ;
    /** 共享配置 */
    @ApiModelProperty(value = "共享配置")
    private List<SaringSettingsVo> sharingSettings ;
    /** 侧重领域 */
    @ApiModelProperty(value = "侧重领域")
    private List<FocusOnAreaVo> focusOnAreas ;
    /** 联系邮箱 */
    @ApiModelProperty(value = "联系邮箱")
    private String contactMail ;
    /** 优惠政策标志 */
    @ApiModelProperty(value = "优惠政策标志")
    private Integer preferentialPolicySign ;
    /** 优惠政策 */
    @ApiModelProperty(value = "优惠政策")
    private String preferentialPolicy ;
    /** 入驻要求标志 */
    @ApiModelProperty(value = "入驻要求标志")
    private Integer settledRequiresSign ;
    /** 入驻要求 */
    @ApiModelProperty(value = "入驻要求")
    private String settledRequires ;
    /** 青创空间层级标签(no:无、city:市级、country:国家)) */
    @ApiModelProperty(value = "青创空间层级标签(no:无、city:市级、country:国家))")
    private String hierarchyLabel ;
    /** 青创空间层级关联文件 */
    @ApiModelProperty(value = "青创空间层级关联文件")
    private Long hierarchyFileId ;
    /** 详细地址 */
    @ApiModelProperty(value = "详细地址")
    private String fullAddress ;
    /** 经度 */
    @ApiModelProperty(value = "经度")
    private String longitude ;
    /** 维度 */
    @ApiModelProperty(value = "维度")
    private String dimension ;
    /** 总工位数 */
    @ApiModelProperty(value = "总工位数")
    private Integer totalWorkers ;
    /** 可申请工位数 */
    @ApiModelProperty(value = "可申请工位数")
    private Integer applyWorkers ;
    /** 工位单价对象id */
    @ApiModelProperty(value = "工位单价对象id")
    private Long workerUnitPriceId ;
    /** 总面积数 */
    @ApiModelProperty(value = "总面积数")
    private String totalArea ;
    /** 可申请面积数 */
    @ApiModelProperty(value = "可申请面积数")
    private String applyArea ;
    /** 区域单价对象id */
    @ApiModelProperty(value = "区域单价对象id")
    private Long areaUnitPriceId ;
    /** 简介 */
    @ApiModelProperty(value = "简介")
    private String introduction ;
    /** 状态(down:下架、up:公示) */
    @ApiModelProperty(value = "状态(down:下架、up:公示)")
    private String state ;
    @ApiModelProperty(value = "青创空间图片/视频")
    private List<QczdRelationFileVo> fileVoList;

    @ApiModelProperty(value = "工位 单价类型(0:按月1:按季2:按年)")
    private Integer wpriceType ;
    /** 最低值 */
    @ApiModelProperty(value = "工位 最低值")
    private String wpriceMin ;
    /** 最高值 */
    @ApiModelProperty(value = "工位 最高值")
    private String wpriceMax ;
    /** 是否包含水电(0:否、1:是) */
    @ApiModelProperty(value = " 工位是否包含水电(0:否、1:是)")
    private Integer wincludeState ;
    /** 单价包含的具体内容 */
    @ApiModelProperty(value = "工位 单价包含的具体内容")
    private String wincludeContent ;

    @ApiModelProperty(value = "面积 单价类型(0:按月1:按季2:按年)")
    private Integer apriceType ;
    /** 最低值 */
    @ApiModelProperty(value = "面积 最低值")
    private String apriceMin ;
    /** 最高值 */
    @ApiModelProperty(value = "面积 最高值")
    private String apriceMax ;
    /** 是否包含水电(0:否、1:是) */
    @ApiModelProperty(value = " 面积是否包含水电(0:否、1:是)")
    private Integer aincludeState ;
    /** 单价包含的具体内容 */
    @ApiModelProperty(value = "面积 单价包含的具体内容")
    private String aincludeContent ;

    @ApiModelProperty(value = "团队申请空间 审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过)")
    private Integer auditState ;
    @ApiModelProperty(value = "团队申请空间id")
    private Long teamId;

    @ApiModelProperty(name = "空间审核状态(0:待审核、1:通过、2：不通过)")
    private  Integer evaluateState;
}
