package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.util.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/12/11
 */
@Data
@ApiModel("青创空间入驻团队返回实体")
public class AppCqzdTeamStayVo {
    
    @ApiModelProperty(value = "主键")
    private Long id ;

    @ApiModelProperty(value = "营业执照(0:没有、1:有)")
    private Integer businessLicense ;
    /** 申请人姓名 */
    @ApiModelProperty(value = "申请人姓名")
    private String applicantName ;
    /** 性别(男、女) */
    @ApiModelProperty(value = "性别(男、女)")
    private String sex ;
    /** 民族 */
    @ApiModelProperty(value = "民族")
    private String nation ;

    @ApiModelProperty(value = "民族翻译")
    @PropertyTranslate(propertyCode = "leagueNationality",valueFiled = "nation")

    private String nationName ;
    /** 身份证号 */
    @ApiModelProperty(value = "身份证号")
    private String idCode ;
    /** 年龄 */
    @ApiModelProperty(value = "年龄")
    private Integer age ;
    /** 学历 */
    @ApiModelProperty(value = "学历")
    private String formalSchooling ;

    @ApiModelProperty(value = "学历翻译")
    @PropertyTranslate(propertyCode = "sqkjFormalSchooling",valueFiled = "formalSchooling")
    private String formalSchoolingName ;
    /** 政治面貌 */
    @ApiModelProperty(value = "政治面貌")
    private String politicalStatus ;
    @ApiModelProperty(value = "政治面貌翻译")
    @PropertyTranslate(propertyCode = "qckjPoliticalStatus",valueFiled = "politicalStatus")
    private String politicalStatusName ;
    /** 电话 */
    @ApiModelProperty(value = "电话")
    private String phone ;
    /** 行业领域 */
    @ApiModelProperty(value = "行业领域")
    private List<IndustryFieldVo> industryFields ;
    /** 企业名称 */
    @ApiModelProperty(value = "企业名称")
    private String companyName ;
    /** 统一社会信用代码 */
    @ApiModelProperty(value = "统一社会信用代码")
    private String socialCode ;
    /** 创业经历 */
    @ApiModelProperty(value = "创业经历")
    private String entrepreneurialExperience ;
    /** 团队简介 */
    @ApiModelProperty(value = "团队简介")
    private String teamIntroduction ;
    /** 工位需求(0:否、1:是) */
    @ApiModelProperty(value = "工位需求(0:否、1:是)")
    private Integer workNeed ;
    /** 办公室需求(0:否、1:是) */
    @ApiModelProperty(value = "办公室需求(0:否、1:是)")
    private Integer officeNeed ;
    /** 申请时间 */
    @ApiModelProperty(value = "申请时间")
    private Date applyTime ;
    /** 入驻时间 */
    @ApiModelProperty(value = "入驻时间")
    private Date  settledTime ;

    /** 团队状态(0:入驻中、1、已结束孵化)) */
    @ApiModelProperty(value = "团队状态(0:入驻中、1、已结束孵化))")
    private Integer teamState ;
    /** 入住青春空间id */
    @ApiModelProperty(value = "入住青春空间id")
    private Long spaceId ;


    /** 审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过) */
    @ApiModelProperty(value = "审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过)")
    private Integer auditState ;


    /** 审核时间 */
    @ApiModelProperty(value = "审核时间")
    private Date auditTime ;
    /** 审核人id */
    @ApiModelProperty(value = "审核人id")
    private Integer auditWorkerId ;
    /** 审核人 */
    @ApiModelProperty(value = "审核人")
    private String auditWorkerName ;
    /** 审核原因 */
    @ApiModelProperty(value = "审核原因")
    private String auditReason ;

    @PropertyTranslate(propertyCode = "TeamAuditReason",valueFiled = "auditReason")
    @ApiModelProperty(value = "审核原因翻译")
    private String auditReasonName ;


    /** 理由描述（审核原因：其它的文本框） */
    @ApiModelProperty(value = "理由描述（审核原因：其它的文本框）")
    private String reasonDetail ;
    /** 团队编码 */
    @ApiModelProperty(value = "团队编码")
    private String teamCode ;

    @ApiModelProperty(value = "青创空间名称")
    private String spaceName ;

    @ApiModelProperty(name = "电子邮箱")
    private String mailbox ;

}
