package com.crunii.micro.service.appsecond.api.vo;

import java.math.BigDecimal;
import java.util.List;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;


/**
 * 发现阵地主视图对象 app_discover_position
 *
 * @author ruoyi
 * @date 2023-12-14
 */
@Data
@ApiModel("发现阵地主视图对象")
@ExcelIgnoreUnannotated
public class AppDiscoverPositionVo {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 阵地名称
     */
    @ExcelProperty(value = "阵地名称")
    @ApiModelProperty("阵地名称")
    private String positionName;


    /**
     * 联系电话
     */
    @ExcelProperty(value = "联系电话")
    @ApiModelProperty("联系电话")
    private String phone;
    /**
     * 地址
     */
    @ExcelProperty(value = "地址")
    @ApiModelProperty("地址")
    private String address;
    /**
     * 经度
     */
    @ExcelProperty(value = "经度")
    @ApiModelProperty("经度")
    private BigDecimal longitude;
    /**
     * 纬度
     */
    @ExcelProperty(value = "纬度")
    @ApiModelProperty("纬度")
    private BigDecimal latitude;

    /**
     * 发现类型（0阵地，1赛事，2活动）
     */
    @ExcelProperty(value = "发现类型")
    @ApiModelProperty("发现类型（0阵地，1赛事，2活动）")
    private Long discoverType;

    @ApiModelProperty(value = "阵地类型(静态表code)")
    private String positionTypeCode;


    @ApiModelProperty(value = "阵地类型名称(静态值value)")
    private String positionTypeName;


    @ApiModelProperty(value = "行政区")
    private String districtName;

    @ApiModelProperty(value = "行政区id")
    private String districtCode;

    private List<AppDiscoverPositionAnnexVo> files;

    private List<AppDiscoverPositionAnnexVo> fileVideoList;

}
