package com.crunii.micro.service.appsecond.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.appsecond.api.bo.AppHelpAnnexBo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.time.LocalDateTime;
import java.util.List;

/**
 * app帮助中心视图对象 app_help_center
 *
 * @author liuchuan
 * @date 2023-12-07
 */
@Data
@ApiModel("app帮助中心视图对象")
@ExcelIgnoreUnannotated
public class AppHelpCenterVo {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    /**
     * 问题
     */
    @ExcelProperty(value = "问题",index = 0)
    @ApiModelProperty("问题")
    private String question;
    /**
     * 0 欢迎结束语 1 文本类型  2 多格式类型
     */
    @ExcelProperty(value = "问题类型",index = 1)
    @ApiModelProperty("0 欢迎结束语 1 文本类型  2 多格式类型")
    private String helpType;
    /**
     * 关键词用英文逗号,隔开
     */
    @ExcelProperty(value = "关键词",index = 2)
    @ApiModelProperty("关键词用英文逗号,隔开")
    private String keywords;
    /**
     * 答案
     */
    @ExcelProperty(value = "答案",index = 3)
    @ApiModelProperty("答案")
    private String answer;
    /**
     * 链接
     */
    @ExcelProperty(value = "链接",index = 4)
    @ApiModelProperty("链接")
    private String url;
    /**
     * 点击次数
     */
    @ApiModelProperty("点击次数")
    private Long clickCount;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 附件
     */
    private List<AppHelpAnnexVo> annexs;
}
