package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.dto
 * @Author: limy
 * @CreateTime: 2023-12-07  18:56
 * @Description: 个人基础信息
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode
@ApiModel("个人基础信息")
public class AppPersonalBasicInfoVo {

    /**
     * 用户头像图片key
     */
    @ApiModelProperty("用户头像图片key")
    private String headPortraitPicKey;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String workerName;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private Integer sex;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idNum;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String mobile;

    /**
     * 居住地区
     */
    @ApiModelProperty(value = "居住地区")
    private String area;

    /**
     * 居住地区翻译
     */
    @ApiModelProperty(value = "居住地区翻译")
    @PropertyTranslate(propertyCode = "zone",valueFiled = "area")
    private String areaDesc;

    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    private String politicCountenance;

    /**
     * 政治面貌翻译
     */
    @ApiModelProperty(value = "政治面貌翻译")
    @PropertyTranslate(propertyCode = "PersonalInfopoliticCountenance",valueFiled = "politicCountenance")
    private String politicCountenanceDesc;

    /**
     * 学历
     */
    @ApiModelProperty(value = "学历")
    private String education;

    /**
     * 学历翻译
     */
    @ApiModelProperty(value = "学历翻译")
    private String educationDesc;



}
