package com.crunii.micro.service.appsecond.api.vo;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



@Data
@ApiModel("个人信息视图对象")
@ExcelIgnoreUnannotated
public class AppPersonalInfoVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 个人基础信息
     */
    @ApiModelProperty(value = "个人基础信息")
    private AppPersonalBasicInfoVo appPersonalBasicInfoVo;

    /**
     * 工作单位
     */
    @ApiModelProperty(value = "工作单位")
    private String workUnit;

    /**
     * 教育信息
     */
    @ApiModelProperty(value = "教育信息")
    private AppPersonalEduInfoVo appPersonalEduInfoVo;

    /**
     * 荣誉信息
     */
    @ApiModelProperty(value = "荣誉信息")
    private List<AppPersonalHonorVo> personalHonorVos;

    /**
     * 组织信息
     */
    @ApiModelProperty(value = "组织信息")
    private AppPersonalOrgInfoVo appPersonalOrgInfoVo;

    /**
     * 志愿组织
     */
    @ApiModelProperty(value = "志愿组织")
    private String volunteerOrg;

    /**
     * 专长
     */
    @ApiModelProperty(value = "专长")
    private String expertise;

}
