package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.dto
 * @Author: limy
 * @CreateTime: 2023-12-07  19:01
 * @Description: 个人组织信息
 * @Version: 1.0
 */
@Data
@EqualsAndHashCode
@ApiModel("个人组织信息")
public class AppPersonalOrgInfoVo {

    @ApiModelProperty("系统直属")
    private Integer registrationSystem;

    @ApiModelProperty("系统直属翻译")
//    @PropertyTranslate(propertyCode = "registrationSystem",valueFiled = "registrationSystem")
    private String registrationSystemText;

    @ApiModelProperty(value = "身份类别（静态值）")
    private Integer identityCategory;

    @ApiModelProperty(value = "身份类别翻译")
    private String identityCategoryText;

    @ApiModelProperty("团组织")
    private String orgId;

    @ApiModelProperty("团组织翻译")
    private String orgIdText;

    @ApiModelProperty("职务")
    private String position;

}
