package com.crunii.micro.service.appsecond.api.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.appsecond.api.vo
 * @Author: limy
 * @CreateTime: 2023-12-12  11:03
 * @Description: 青马用户信息
 * @Version: 1.0
 */
@Data
@ApiModel
public class QmUserInfo {
    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    private String politicCountenance;

    /**
     * 政治面貌翻译
     */
    @ApiModelProperty(value = "政治面貌翻译")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook",valueFiled = "politicCountenance")
    private String politicCountenanceDesc;

    /**
     * 学历
     */
    @ApiModelProperty(value = "学历")
    private String education;

    /**
     * 学历翻译
     */
    @ApiModelProperty(value = "学历翻译")
    @PropertyTranslate(propertyCode = "qm-education",valueFiled = "education")
    private String educationDesc;


    /**
     * 居住地区
     */
    @ApiModelProperty(value = "居住地区")
    private String area;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private Integer sex;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idNum;

    /**
     * 工作单位
     */
    @ApiModelProperty(value = "工作单位")
    private String workUnit;

    /**
     * 更新时间
     */
    @ApiModelProperty(name = "last_updated_time", notes = "最后更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String lastUpdatedTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "create_time", notes = "最后更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;
}
