package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import com.crunii.micro.domain.dto.PicInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/12/4 19:20
 */
@Data
@ApiModel("返回vo")
public class ContextManageDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("视频uid")
    private String fileId;

    private String picKey;

    @ApiModelProperty("图片url")
    private List<PicInfo> urls;

    @ApiModelProperty("封面图片key 如果是视频封面传入1个（否则默认第一帧）")
    private List<String> fileKeys;

    @ApiModelProperty("内容标题")
    private String contentTitle;

    @ApiModelProperty("内容 富文本")
    private String articleContext;

    @ApiModelProperty("标签id")
    private String labelName;

    @ApiModelProperty("标签名称")
    private String labelNameTrans;

    @ApiModelProperty("点赞数")
    private Integer likeCount;

    @ApiModelProperty("收藏数")
    private Integer collectCount;

    @ApiModelProperty("type为1最大高度")
    private Float divideNumber;

    @ApiModelProperty("是否关注 0否 1 是")
    private int interest;

    @ApiModelProperty("是否点赞 0否 1 是")
    private int concurrentLike;

    @ApiModelProperty("是否收藏 0否 1 是")
    private int concurrentCollect;

    @ApiModelProperty("媒体头像url")
    private String mediumHeadPic;

    @ApiModelProperty("媒体账号名称")
    private String idName;

    @ApiModelProperty("是否审核员")
    private boolean isAuditUser;

    @ApiModelProperty("是否有审核权限 1 是")
    private int canAuth;

    @ApiModelProperty("当前文章状态")
    private Integer state;

    @ApiModelProperty("文件类型 1 上图下文 2 图文穿插 3视频内容")
    private Integer fileType;
}
