package com.crunii.micro.service.appsecond.api.vo.youthHotPoint;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/12/4 18:57
 */
@Data
@ApiModel("分页内容")
public class ContextManageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long contentManageId;

    @ApiModelProperty("序号")
    private Integer serialNumber;

    @ApiModelProperty("文件类型 1 上图下文 2 图文穿插 3视频内容")
    private Integer fileType;

    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("状态翻译")
    @PropertyTranslate(propertyCode = "app-hot-youth",valueFiled = "state")
    private String stateTrans;

    @ApiModelProperty("封面图片")
    private String coverPic;

    @ApiModelProperty("内容标题")
    private String contentTitle;

    @ApiModelProperty("点赞数")
    private Integer likeCount;

    @ApiModelProperty("收藏数")
    private Integer collectCount;

    @ApiModelProperty("浏览量")
    private Integer readCount;

    @ApiModelProperty("管理员")
    private String workerName;

    @ApiModelProperty("标签名称")
    private String labelName;

    @ApiModelProperty("发布账号")
    private String idName;

    @ApiModelProperty("序值")
    private Integer appSort;

    @ApiModelProperty("发布时间")
    private Date releaseTime;

    @ApiModelProperty("0无 1 热搜")
    private Integer hotSearch;

    @ApiModelProperty("0无 1 热搜")
    private Integer hotList;

    @ApiModelProperty("是否有审核权限 1 是")
    private int canAuth;
}
