package com.crunii.micro.service.appsecond.api.vo.youthspace;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.core.annotation.PropertyTranslate;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.StaticValueDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/13
 * @description 入住空间的团队pageVO
 */
@Data
@ApiModel(value = "入住空间的团队pageVO")
public class SpacePassTeamPageVO implements Serializable {

  private static final Long serialVersionUID = 1L;

  /** 团队id */
  @ExcelIgnore
  @ApiModelProperty(value = "团队id")
  private String id;

  /** 空间id */
  @ExcelIgnore
  @ApiModelProperty(value = "空间id")
  private String spaceId;

  /** 营业执照(0:没有、1:有) */
  @ExcelIgnore
  @ApiModelProperty(value = "营业执照(0:无、1:有)")
  private Integer businessLicense;
  /** 营业执照名称 */
  @ExcelProperty(value = "营业执照名称(没有、有)")
  @ApiModelProperty(value = "营业执照名称")
  private String businessLicenseName;

  /** 申请人姓名 */
  @ExcelProperty(value = "姓名")
  @ApiModelProperty(value = "申请人姓名")
  private String applicantName;

  /** 性别(0:男、1:女) */
  @ExcelIgnore
  @ApiModelProperty(value = "性别(0:男、1:女)")
  private String sex;
  @ExcelProperty(value = "性别")
  private String sexName;

  /** 民族 */
  @ExcelIgnore
  @ApiModelProperty(value = "民族")
  private String nation;
  @ApiModelProperty(value = "民族名称")
  @PropertyTranslate(propertyCode = "leagueNationality" , valueFiled = "nation")
  @ExcelProperty(value = "民族")
  private String nationName;

  /** 身份证号 */
  @ExcelProperty(value = "身份证号")
  @ApiModelProperty(value = "身份证号")
  private String idCode;

  /** 年龄 */
  @ExcelProperty(value = "年龄")
  @ApiModelProperty(value = "年龄")
  private Integer age;

  /** 学历 */
  @ExcelIgnore
  @ApiModelProperty(value = "学历")
  private String formalSchooling;
  @PropertyTranslate(propertyCode = "sqkjFormalSchooling" , valueFiled = "formalSchooling")
  @ExcelProperty(value = "学历")
  private String formalSchoolingName;

  /** 政治面貌 */
  @ExcelIgnore
  @ApiModelProperty(value = "政治面貌")
  private String politicalStatus;
  @PropertyTranslate(propertyCode = "qckjPoliticalStatus" , valueFiled = "politicalStatus")
  @ExcelProperty(value = "政治面貌")
  private String politicalStatusName;

  /** 联系人电话 */
  @ExcelProperty(value = "联系人电话")
  @ApiModelProperty(value = "联系人电话")
  private String phone;

  /** 行业领域 */
  @ExcelIgnore
  @ApiModelProperty(value = "行业领域集合")
  private List<StaticValueDTO> industryFieldList;
  @ExcelIgnore
  @ApiModelProperty(value = "行业领域字符串")
  private String industryField;
  @ExcelProperty(value = "行业领域")
  private String industryFieldName;

  /** 企业名称 */
  @ExcelProperty(value = "企业名称")
  @ApiModelProperty(value = "企业名称")
  private String companyName;

  /** 统一社会信用代码 */
  @ExcelProperty(value = "统一社会信用代码")
  @ApiModelProperty(value = "统一社会信用代码")
  private String socialCode;

  /** 工位需求(0:否、1:是) */
  @ExcelIgnore
  @ApiModelProperty(value = "工位需求(0:否、1:是)")
  private Integer workNeed;
  /** 工位需求 */
  @ExcelProperty(value = "工位需求")
  @ApiModelProperty(value = "工位需求")
  private String workNeedName;

  /** 办公室需求(0:否、1:是) */
  @ExcelIgnore
  @ApiModelProperty(value = "办公室需求(0:否、1:是)")
  private Integer officeNeed;
  /** 办公室需求 */
  @ExcelProperty(value = "办公室需求")
  @ApiModelProperty(value = "办公室需求")
  private String officeNeedName;

  /** 申请时间 */
  @ExcelProperty(value = "申请时间")
  @ApiModelProperty(value = "申请时间")
  private String applyTime;

  /** 入驻时间 */
  @ExcelProperty(value = "入驻时间")
  @ApiModelProperty(value = "入驻时间")
  private String settledTime;

  /** 团队状态(0:入驻中、1、已结束 */
  @ExcelIgnore
  @ApiModelProperty(value = "团队状态(0:入驻中、1、已结束")
  private Integer teamState;
  /** 团队状态 */
  @ExcelProperty(value = "团队状态")
  @ApiModelProperty(value = "团队状态")
  private String teamStateName;

  /**
   * 电子邮箱
   */
  @ExcelIgnore
  @ApiModelProperty(value = "电子邮箱" )
  private String mailbox;

  /**
   * 创业经历
   */
  @ExcelIgnore
  @ApiModelProperty(value = "创业经历" )
  private String entrepreneurialExperience;

  /**
   * 团队简介
   */
  @ExcelIgnore
  @ApiModelProperty(value = "团队简介" )
  private String teamIntroduction;


  /**
   * 审核状态(0:已撤销申请、1:待审核、2:审核通过、3:审核不通过)
   */
  @ExcelIgnore
  @ApiModelProperty(value = "审核状态(0:已撤销申请、1:待审核、2:审核通过、3:审核不通过)" )
  private Integer auditState;
//  @ExcelProperty(value = "审核状态")
  @ExcelIgnore
  @ApiModelProperty(value = "审核状态" )
  private String auditStateName;

  /**
   * 审核时间
   */
  @ExcelIgnore
  @ApiModelProperty(value = "审核时间" )
  private String auditTime;

  /**
   * 审核人
   */
  @ExcelIgnore
  @ApiModelProperty(value = "审核人" )
  private String auditWorkerName;

  /**
   * 审核原因
   */
  @ExcelIgnore
  @ApiModelProperty(value = "审核原因" )
  private String auditReason;
//  @ExcelProperty(value = "审核原因" )
  @ExcelIgnore
  @PropertyTranslate(propertyCode = "TeamAuditReason" , valueFiled = "auditReason")
  private String auditReasonName;

  /**
   * 审核理由描述
   */
  @ExcelIgnore
  @ApiModelProperty(value = "审核理由描述" )
  private String reasonDetail;

  /**
   * 团队编号
   */
  @ExcelIgnore
//  @ExcelProperty(value = "编号")
  @ApiModelProperty(value = "团队编号" )
  private String teamCode;


}
