package com.crunii.micro.service.appsecond.api.vo.youthspace;

import com.crunii.micro.core.annotation.PropertyTranslate;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.QczdPriceObjectDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.StaticValueDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.YouthSpaceFileDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/12/12
 * @description 青创空间分页VO
 */
@Data
@ApiModel(value = "青创空间分页VO")
public class YouthSpacePageVO implements Serializable {

  private static final Long serialVersionUID = 1L;
  /** 空间id */
  @ApiModelProperty(value = "空间id")
  private String id;

  /** 青创空间名称 */
  @ApiModelProperty(value = "青创空间名称")
  private String spaceName;

  /** 所在区域 */
  @ApiModelProperty(name = "所在区域编码")
  private String location ;
  /** 所在区域 */
  @PropertyTranslate(propertyCode = "zone" , valueFiled = "location")
  @ApiModelProperty(name = "所在区域名称")
  private String locationName ;

  /** 联系人姓名 */
  @ApiModelProperty(value = "联系人姓名")
  private String contactsName;

  /** 电话(联系方式) */
  @ApiModelProperty(value = "电话(联系方式) ")
  private String phone;

  /** 共享配置*/
  @ApiModelProperty(value = "共享配置")
  private List<StaticValueDTO> sharingSettings;

  /** 侧重领域 */
  @ApiModelProperty(value = "侧重领域")
  private List<StaticValueDTO> focusOnAreas;

  /** 详细地址 */
  @ApiModelProperty(value = "详细地址")
  private String fullAddress;

  /** 经度 */
  @ApiModelProperty(value = "经度")
  private String longitude;

  /** 维度 */
  @ApiModelProperty(value = "维度")
  private String dimension;

  /** 已入驻团队 */
  @ApiModelProperty(value = "已入驻团队")
  private Integer passTeamNum;

  /** 总工位数 */
  @ApiModelProperty(value = "总工位数")
  private Integer totalWorkers;

  /** 总面积数 */
  @ApiModelProperty(value = "总面积数")
  private String totalArea;

  /** 可申请工位数 */
  @ApiModelProperty(value = "可申请工位数")
  private Integer applyWorkers;

  /** 可申请面积数 */
  @ApiModelProperty(value = "可申请面积数 */")
  private String applyArea;

  /** 青创空间层级 */
  @ApiModelProperty(value = "青创空间层级")
  private String hierarchyLabel;
  /** 青创空间层级名称 */
  @ApiModelProperty(value = "青创空间层级名称")
  private String hierarchyLabelName;

  /** 层级审核状态(0:待审核、1:通过、2：不通过) */
  @ApiModelProperty(value = "层级审核状态(0:待审核、1:通过、2：不通过) ")
  private Integer evaluateState;
  @ApiModelProperty(value = "层级审核状态(0:待审核、1:通过、2：不通过) ")
  private String evaluateStateName;

  /** 创建人 */
  @ApiModelProperty(value = "创建人")
  private String createdBy;

  /** 修改时间 */
  @ApiModelProperty(value = "修改时间")
  private String updatedTime;

  /** 状态(down:下架、up:公示 */
  @ApiModelProperty(value = "状态(down:下架、up:公示)")
  private String state;
  private String stateName;

  /** 工位单价对象 */
  @ApiModelProperty(value = "工位单价对象")
  private QczdPriceObjectDTO workerUnitPrice;

  /** 区域单价对象 */
  @ApiModelProperty(value = "区域单价对象")
  private QczdPriceObjectDTO areaUnitPrice;

  /** 优惠政策标志(0:无、1:有) */
  @ApiModelProperty(value = "优惠政策标志(0:无、1:有)")
  private Integer preferentialPolicySign;
  private String preferentialPolicyName;
  @ApiModelProperty(value = "优惠政策")
  private String preferentialPolicy;

  /** 入驻要求标志(0:无、1:有)*/
  @ApiModelProperty(value = "入驻要求标志(0:无、1:有)")
  private Integer settledRequiresSign;
  private String settledRequiresName;
  @ApiModelProperty(value = "入驻要求")
  private String settledRequires;

  /** 简介 */
  @ApiModelProperty(value = "简介")
  private String introduction;

  /** 联系邮箱 */
  @ApiModelProperty(value = "联系邮箱")
  private String contactMail;

  /** 青创空间层级关联文件 */
  @ApiModelProperty(value = "青创空间层级关联文件")
  private List<YouthSpaceFileDTO> hierarchyFile;
  /** 宣传展示 */
  @ApiModelProperty(value = "图片文件")
  private List<YouthSpaceFileDTO> imageFileIds;
  @ApiModelProperty(value = "视频文件")
  private List<YouthSpaceFileDTO> videoFileIds;


}
