package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 热点发布-内容详情;
 * @author : http://www.chiner.pro
 * @date : 2023-12-14
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="APP_CONTENT_DETAIL")
@EqualsAndHashCode(of = { "detailId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "热点发布-内容详情",description = "")
public class AppContentDetail implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="detail_id")
    @ApiModelProperty("主键id")
    private Long detailId;

    /** 内容id */
    @Column(name="content_manage_id")
    @ApiModelProperty("内容id")
    private Long contentManageId;

    /** 内容 */
    @Column(name="article_context")
    @ApiModelProperty("内容")
    private String articleContext;

    /** 图片key */
    @Column(name="pic_key")
    @ApiModelProperty("图片key")
    private String picKey;

    /** 视频key */
    @Column(name="file_id")
    @ApiModelProperty("视频key")
    private String fileId;

    /** 创建人id */
    @Column(name="create_by")
    @ApiModelProperty("创建人id")
    private Integer createBy;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 修改人id */
    @Column(name="update_by")
    @ApiModelProperty("修改人id")
    private Integer updateBy;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty("修改时间")
    private Date updateTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="del_flag")
    @ApiModelProperty("是否删除")
    private Integer delFlag;


}