package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 热点发布-内容;
 * @author : http://www.chiner.pro
 * @date : 2023-12-14
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="APP_CONTENT_MANAGE")
@EqualsAndHashCode(of = { "contentManageId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "热点发布-内容",description = "")
@Where(clause=" del_flag = 0 ")
public class AppContentManage implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="content_manage_id")
    @ApiModelProperty("主键id")
    private Long contentManageId;

    /** 媒体主键id */
    @Column(name="medium_id")
    @ApiModelProperty("媒体主键id")
    private Long mediumId;

    /** 状态 -1 已删除 0草稿 1 已发布 */
    @Column(name="state")
    @ApiModelProperty("状态 -1 已删除 0草稿 1 已发布")
    private Integer state;

    /** 内容标题 */
    @Column(name="content_title")
    @ApiModelProperty("内容标题")
    private String contentTitle;

    /** 点赞数 */
    @Column(name="like_count")
    @ApiModelProperty("点赞数")
    private Integer likeCount;

    /** 收藏数 */
    @Column(name="collect_count")
    @ApiModelProperty("收藏数")
    private Integer collectCount;

    /** 浏览量 */
    @Column(name="read_count")
    @ApiModelProperty("浏览量")
    private Integer readCount;

    /** 标签名称 */
    @Column(name="label_name")
    @ApiModelProperty("标签名称")
    private String labelName;

    /** 0无 1 热榜 */
    @Column(name="hot_list")
    @ApiModelProperty("0无 1 热榜")
    private Integer hotList;

    /** 0无 1 热搜 */
    @Column(name="hot_search")
    @ApiModelProperty("0无 1 热搜")
    private Integer hotSearch;

    /** 热榜序值 */
    @Column(name="list_ordinal_value")
    @ApiModelProperty("热榜序值")
    private Integer listOrdinalValue;

    /** 热搜序值 */
    @Column(name="search_ordinal_value")
    @ApiModelProperty("热搜序值")
    private Integer searchOrdinalValue;

    /** 文件类型 1 上图下文 2 图文穿插 3视频内容 */
    @Column(name="file_type")
    @ApiModelProperty("文件类型 1 上图下文 2 图文穿插 3视频内容")
    private Integer fileType;

    /** 排序（app排序） */
    @Column(name="app_sort")
    @ApiModelProperty("排序（app排序）")
    private Integer appSort;

    /** 发布时间 */
    @Column(name="release_time")
    @ApiModelProperty("发布时间")
    private Date releaseTime;

    /** 创建人id */
    @Column(name="create_by")
    @ApiModelProperty("创建人id")
    private Integer createBy;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 修改人id */
    @Column(name="update_by")
    @ApiModelProperty("修改人id")
    private Integer updateBy;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty("修改时间")
    private Date updateTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="del_flag")
    @ApiModelProperty("是否删除")
    private Integer delFlag;

    /** 是否删除;1删除  0不删除 */
    @Column(name="off_count")
    @ApiModelProperty("下架次数")
    private Integer offCount;
}