package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


/**
 * 【请填写功能名称】对象 app_content_record
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_content_record")
@NamedQuery(name = "AppContentRecord.findAll", query = "SELECT t FROM AppContentRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "【请填写功能名称】")
@Where(clause=" del_flag = 0 ")
public class AppContentRecord  {

private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "record_id")
    @ApiModelProperty(value = "主键id")
    private Long recordId;
    /**
     * 内容id
     */
    @Column(name = "content_manage_id")
    @ApiModelProperty(value = "内容id")
    private Long contentManageId;
    /**
     * 调整前序值
     */
    @Column(name = "before_ordinal_value")
    @ApiModelProperty(value = "调整前序值")
    private Integer beforeOrdinalValue;
    /**
     * 调整后序值
     */
    @Column(name = "after_ordinal_value")
    @ApiModelProperty(value = "调整后序值")
    private Integer afterOrdinalValue;
    /**
     * 创建人id
     */
    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人id")
    private Integer createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 是否删除;1删除  0不删除
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "是否删除;1删除  0不删除")
    private Integer delFlag;

}
