package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lyx
 * @date 2023/12/7
 */
@Entity
@Table(name = "APP_DISCOVER_POSITION")
@NamedQuery(name = "AppDiscoverPosition.findAll", query = "SELECT t FROM AppDiscoverPosition t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "【请填写功能名称】")
@Where(clause=" del_flag = 0 ")
public class AppDiscoverPosition {
	private static final long serialVersionUID=1L;

	/**
	 * 主键id
	 */
	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "id")
	@ApiModelProperty(value = "主键id")
	private Long id;


	@Column(name = "discover_type")
	@ApiModelProperty(value = "发现类型（0阵地，1赛事，2活动）")
	private Integer discoverType;


	@Column(name = "position_name")
	@ApiModelProperty(value = "阵地名称")
	private String positionName;


	@Column(name = "position_type_code")
	@ApiModelProperty(value = "阵地类型(静态表code)")
	private String positionTypeCode;


	@Column(name = "position_type_name")
	@ApiModelProperty(value = "阵地类型名称(静态值value)")
	private String positionTypeName;


	@Column(name = "district_name")
	@ApiModelProperty(value = "行政区")
	private String districtName;

	@Column(name = "district_code")
	@ApiModelProperty(value = "行政区id")
	private String districtCode;

	@Column(name = "phone")
	@ApiModelProperty(value = "联系电话")
	private String phone;

	@Column(name = "address")
	@ApiModelProperty(value = "地址")
	private String address;

	@Column(name = "longitude")
	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@Column(name = "latitude")
	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@Column(name = "create_by")
	@ApiModelProperty(value = "创建人")
	private String createBy;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@Column(name = "update_by")
	@ApiModelProperty(value = "修改人")
	private String updateBy;

	@Column(name = "update_time")
	@ApiModelProperty(value = "修改时间")
	private Date updateTime;

	@Column(name = "del_flag")
	@ApiModelProperty(value = "是否删除失效0未删除，1删除")
	private Integer delFlag;



}
