package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;


/**
 * 阵地附件对象 app_discover_position_annex
 *
 * @author ruoyi
 * @date 2023-12-14
 */
@Entity
@Table(name = "app_discover_position_annex")
@NamedQuery(name = "AppDiscoverPositionAnnex.findAll", query = "SELECT t FROM AppDiscoverPositionAnnex t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "阵地附件")
@Where(clause=" del_flag = 0 ")
public class AppDiscoverPositionAnnex {

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 附件主表id
     */
    @Column(name = "file_id")
    @ApiModelProperty(value = "附件主表id")
    private String fileId;
    /**
     * 附件名称
     */
    @Column(name = "file_name")
    @ApiModelProperty(value = "附件名称")
    private String fileName;
    /**
     * 附件url
     */
    @Column(name = "file_url")
    @ApiModelProperty(value = "附件url")
    private String fileUrl;
    /**
     * 附件类型
     */
    @Column(name = "file_type")
    @ApiModelProperty(value = "附件类型")
    private String fileType;
    /**
     * 主表id
     */
    @Column(name = "business_id")
    @ApiModelProperty(value = "主表id")
    private Long businessId;
    /**
     * 0有效，1删除
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "0有效，1删除")
    private Integer delFlag;

    @Column(name = "video_flag")
    @ApiModelProperty(value = "是否视频")
    private Integer videoFlag;
}
