package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * @author lyx
 * @date 2023/12/8
 */
@Entity
@Table(name = "APP_DOWNLOAD_RECORD")
@NamedQuery(name = "AppDownloadRecord.findAll", query = "SELECT t FROM AppDownloadRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "【请填写功能名称】")
@Where(clause=" del_flag = 0 ")
public class AppDownloadRecord {
	private static final long serialVersionUID=1L;

	/**
	 * 主键id
	 */
	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "id")
	@ApiModelProperty(value = "主键id")
	private Long id;

	@Column(name = "type")
	@ApiModelProperty(value = "发现类型（0图片，1文件）")
	private Integer type;

	@Column(name = "file_id")
	@ApiModelProperty(value = "fileId")
	private Long fileId;

	@Column(name = "create_id")
	@ApiModelProperty(value = "创建人id")
	private Long createId;

	@Column(name = "create_by")
	@ApiModelProperty(value = "创建人")
	private String createBy;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@Column(name = "del_flag")
	@ApiModelProperty(value = "是否删除失效0未删除，1删除")
	private Integer delFlag;

	@Column(name = "path")
	@ApiModelProperty(value = "手机下载路径")
	private String path;

	@Column(name = "file_url")
	@ApiModelProperty(value = "服务器下载路径")
	private String fileUrl;

}
