package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * app帮助中心对象 app_help_center
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_help_center_temp")
@NamedQuery(name = "AppHelpCenterTemp.findAll", query = "SELECT t FROM AppHelpCenterTemp t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "app帮助中心导入临时表")
@Where(clause=" del_flag = 0 ")
public class AppHelpCenterTemp {

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 问题
     */
    @Column(name = "question")
    @ApiModelProperty(value = "问题")
    private String question;
    /**
     * 关键词用英文逗号,隔开
     */
    @Column(name = "keywords")
    @ApiModelProperty(value = "关键词用英文逗号,隔开")
    private String keywords;
    /**
     * 答案
     */
    @Column(name = "answer")
    @ApiModelProperty(value = "答案")
    private String answer;
    /**
     * 链接
     */
    @Column(name = "url")
    @ApiModelProperty(value = "链接")
    private String url;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
    /**
     * 0未删除，1删除
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "0未删除，1删除")
    private Integer delFlag;

    @Column(name = "data_key")
    @ApiModelProperty(value = "数据key")
    private String dataKey;

}
