package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * 帮助中心搜索对象 app_help_history
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_help_history")
@NamedQuery(name = "AppHelpHistory.findAll", query = "SELECT t FROM AppHelpHistory t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "帮助中心搜索")
@Where(clause=" del_flag = 0 ")
public class AppHelpHistory  {

private static final long serialVersionUID=1L;

    /**
     * $column.columnComment
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;
    /**
     * 搜索记录
     */
    @Column(name = "search_history")
    @ApiModelProperty(value = "搜索记录")
    private String searchHistory;
    /**
     * 创建人
     */
    @Column(name = "CREATED_BY")
    @ApiModelProperty(value = "创建人")
    private String createdBy;
    /**
     * 创建人id
     */
    @Column(name = "CREATED_ID")
    @ApiModelProperty(value = "创建人id")
    private Long createdId;
    /**
     * 创建时间
     */
    @Column(name = "CREATED_TIME")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createdTime;
    /**
     * 是否删除
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "是否删除")
    private Integer delFlag;

}
