package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


/**
 * 【请填写功能名称】对象 app_medium
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_medium")
@NamedQuery(name = "AppMedium.findAll", query = "SELECT t FROM AppMedium t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "【请填写功能名称】")
@Where(clause=" del_flag = 0 ")
public class AppMedium {

private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "medium_id")
    @ApiModelProperty(value = "主键id")
    private Long mediumId;
    /**
     * 账号名称
     */
    @Column(name = "id_name")
    @ApiModelProperty(value = "账号名称")
    private String idName;
    /**
     * 账号状态
     */
    @Column(name = "medium_state")
    @ApiModelProperty(value = "账号状态")
    private Long mediumState;
    /**
     * 组织id
     */
    @Column(name = "org_id")
    @ApiModelProperty(value = "组织id")
    private Long orgId;
    /**
     * 媒体头像
     */
    @Column(name = "medium_head_pic")
    @ApiModelProperty(value = "媒体头像")
    private String mediumHeadPic;
    /**
     * 关联用户id
     */
    @Column(name = "associated_user_id")
    @ApiModelProperty(value = "关联用户id")
    private Integer associatedUserId;

    /**
     * 关注度
     */
    @Column(name = "attention")
    @ApiModelProperty(value = "关注度")
    private Integer attention;


    /** 发布数量 */
    @Column(name="release_count")
    @ApiModelProperty("发布数量")
    private Integer releaseCount;

    /**
     * 创建人id
     */
    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人id")
    private Integer createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改人id
     */
    @Column(name = "update_by")
    @ApiModelProperty(value = "修改人id")
    private Integer updateBy;
    /**
     * 修改时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 是否删除;1删除  0不删除
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "是否删除;1删除  0不删除")
    private Integer delFlag;

}
