package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * app帮助中心对象 app_help_center
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_not_help_center")
@NamedQuery(name = "AppNotHelpCenter.findAll", query = "SELECT t FROM AppNotHelpCenter t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "app帮助中心")
@Where(clause=" del_flag = 0 ")
public class AppNotHelpCenter {

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 问题
     */
    @Column(name = "question")
    @ApiModelProperty(value = "问题")
    private String question;

    /**
     * 创建人
     */
    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 0未删除，1删除
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "0未删除，1删除")
    private Integer delFlag;

}
