package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * 个人荣誉信息对象 app_personal_honor
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_personal_honor")
@NamedQuery(name = "AppPersonalHonor.findAll", query = "SELECT t FROM AppPersonalHonor t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "个人荣誉信息")
public class AppPersonalHonor  {

private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "ID")
    @ApiModelProperty(value = "主键")
    private Long ID;
    /**
     * 基础信息id
     */
    @Column(name = "info_id")
    @ApiModelProperty(value = "基础信息id")
    private Long infoId;
    /**
     * 获奖时间
     */
    @Column(name = "honor_time")
    @ApiModelProperty(value = "获奖时间")
    private Date honorTime;
    /**
     * 荣誉描述
     */
    @Column(name = "honor_desc")
    @ApiModelProperty(value = "荣誉描述")
    private String honorDesc;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除")
    private Long deleted;

}
