package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.GenericGenerator;
//import org.hibernate.annotations.Where;

/**
 * 个人基础信息对象 app_personal_info
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_personal_info")
@NamedQuery(name = "AppPersonalInfo.findAll", query = "SELECT t FROM AppPersonalInfo t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "个人基础信息")
//@Where(clause=" del_flag = 0 ")
public class AppPersonalInfo {

private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 工号id
     */
    @Column(name = "LOGIN_ID")
    @ApiModelProperty(value = "工号id")
    private Long loginId;
    /**
     * 创建人
     */
    @Column(name = "CREATED_BY")
    @ApiModelProperty(value = "创建人")
    private Long createdBy;
    /**
     * 创建时间
     */
    @Column(name = "CREATED_TIME")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;
    /**
     * 更新人
     */
    @Column(name = "UPDATED_BY")
    @ApiModelProperty(value = "更新人")
    private Long updatedBy;
    /**
     * 更新时间
     */
    @Column(name = "UPDATED_TIME")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;
    /**
     * 姓名
     */
    @Column(name = "worker_name")
    @ApiModelProperty(value = "姓名")
    private String workerName;
    /**
     * 性别
     */
    @Column(name = "sex")
    @ApiModelProperty(value = "性别")
    private Integer sex;
    /**
     * 身份证号
     */
    @Column(name = "id_num")
    @ApiModelProperty(value = "身份证号")
    private String idNum;
    /**
     * 手机号
     */
    @Column(name = "mobile")
    @ApiModelProperty(value = "手机号")
    private String mobile;
    /**
     * 居住地区
     */
    @Column(name = "area")
    @ApiModelProperty(value = "居住地区(静态值)")
    private String area;
    /**
     * 政治面貌
     */
    @Column(name = "politic_countenance")
    @ApiModelProperty(value = "政治面貌(静态值)")
    private String politicCountenance;
    /**
     * 学历
     */
    @Column(name = "education")
    @ApiModelProperty(value = "学历(静态值)")
    private String education;
    /**
     * 工作单位
     */
    @Column(name = "work_unit")
    @ApiModelProperty(value = "工作单位")
    private String workUnit;
    /**
     * 专长
     */
    @Column(name = "expertise")
    @ApiModelProperty(value = "专长")
    private String expertise;
    /**
     * 组织id
     */
    @Column(name = "org_id")
    @ApiModelProperty(value = "组织id")
    private Long orgId;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除")
    private Long deleted;

    /**
     * 头像
     */
    @Column(name = "head_portrait_pic_key")
    @ApiModelProperty(value = "头像")
    private String headPortraitPicKey;

    /**
     * 志愿组织
     */
    @Column(name = "volunteer_org")
    @ApiModelProperty(value = "志愿组织")
    private String volunteerOrg;

}
