package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


/**
 * app关注对象 app_user_follow
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_user_follow")
@NamedQuery(name = "AppUserFollow.findAll", query = "SELECT t FROM AppUserFollow t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "app关注")
public class AppUserFollow {

private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 内容详情id
     */
    @Column(name = "account_id")
    @ApiModelProperty(value = "媒体账号id")
    private Long accountId;
    /**
     * 关注用户id
     */
    @Column(name = "user_id")
    @ApiModelProperty(value = "关注用户id")
    private Long userId;
    /**
     * 关注时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "关注时间")
    private Date createTime;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * 是否关注(0:关注 1:取消关注)
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "是否关注(0:关注 1:取消关注)")
    private Integer delFlag;

}
