package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


/**
 * app点赞对象 app_user_like
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Entity
@Table(name = "app_user_like")
@NamedQuery(name = "AppUserLike.findAll", query = "SELECT t FROM AppUserLike t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "app点赞")
public class AppUserLike {

private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 内容详情id
     */
    @Column(name = "content_id")
    @ApiModelProperty(value = "内容详情id")
    private Long contentId;
    /**
     * 点赞用户id
     */
    @Column(name = "user_id")
    @ApiModelProperty(value = "点赞用户id")
    private Long userId;
    /**
     * 点赞时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "点赞时间")
    private Date createTime;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * 是否点赞(0:点赞 1:取消点赞)
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "是否点赞(0:点赞 1:取消点赞)")
    private Integer delFlag;

}
