package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户搜索记录;
 * @author : http://www.chiner.pro
 * @date : 2023-12-22
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="APP_WORKER_SEARCH")
@EqualsAndHashCode(of = { "searchId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "用户搜索记录",description = "")
public class AppWorkerSearch implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="search_id")
    @ApiModelProperty("主键id")
    private Long searchId;

    /** 搜索类型 */
    @Column(name="search_type ")
    @ApiModelProperty("搜索类型 1青年热点,2应用")
    private Integer searchType;

    /** 用户id */
    @Column(name="worker_id")
    @ApiModelProperty("用户id")
    private Integer workerId;

    /** 搜索内容 */
    @Column(name="search_context")
    @ApiModelProperty("搜索内容")
    private String searchContext;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty("创建人id")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="deleted")
    @ApiModelProperty("是否删除")
    private Integer deleted;


}