package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * @Author thw
 * @date 2023/12/9
 * @description
 */
@Entity
@Table(name = "qczd_focus_on_areas")
@NamedQuery(name = "QczdFocusOnAreas.findAll", query = "SELECT t FROM QczdFocusOnAreas t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Where(clause=" del_flag = 0 ")
@ApiModel(value = "青创阵地-侧重领域表")
public class QczdFocusOnAreas {
  /** 主键 */
  @Id
  @GeneratedValue(generator = "idGenerator")
  @ApiModelProperty(name = "主键")
  private Long id ;
  /** 空间id */
  @Column(name="space_id")
  @ApiModelProperty(name = "空间id")
  private Long spaceId ;
  /** 删除(0:否、1:是） */
  @Column(name="del_flag")
  @ApiModelProperty(name = "删除(0:否、1:是）")
  private Integer delFlag ;
  /** 领域名称 */
  @Column(name="field_name")
  @ApiModelProperty(name = "领域名称")
  private String fieldName ;
}
