package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * @Author thw
 * @date 2023/12/11
 * @description
 */
@Entity
@Table(name = "qczd_industry_field")
@NamedQuery(name = "QczdIndustryField.findAll", query = "SELECT t FROM QczdIndustryField t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Where(clause=" del_flag = 0 ")
@ApiModel(value = "青创阵地-团队行业领域表")
public class QczdIndustryField {

  /** id */
  @Id
  @GeneratedValue(generator = "idGenerator")
  @ApiModelProperty(name = "id")
  private Long id ;
  /** 团队id */
  @Column(name="team_id")
  @ApiModelProperty(name = "团队id")
  private Long teamId ;
  /** 领域值 */
  @Column(name="industry_field")
  @ApiModelProperty(name = "领域值")
  private String industryField ;
  /** 删除(0:否、1:是） */
  @Column(name="del_flag")
  @ApiModelProperty(name = "删除(0:否、1:是）")
  private Integer delFlag ;
}
