package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 青创空间单价对象表
 */
@Entity
@Table(name = "qczd_price_object")
@NamedQuery(name = "QczdPriceObject.findAll", query = "SELECT t FROM QczdPriceObject t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Where(clause=" del_flag = 0 ")
@ApiModel(value = "青创空间单价对象表")
public class QczdPriceObject {
  /** id */
  @Id
  @GeneratedValue(generator = "idGenerator")
  private Long id ;
  /** 单价类型(0:按月1:按季2:按年) */
  @Column(name="price_type")
  @ApiModelProperty(name = "单价类型(0:按月1:按季2:按年)")
  private Integer priceType ;
  /** 最低值 */
  @Column(name="price_min")
  @ApiModelProperty(name = "最低值")
  private BigDecimal priceMin ;
  /** 最高值 */
  @Column(name="price_max")
  @ApiModelProperty(name = "最高值")
  private BigDecimal priceMax ;
  /** 是否包含水电(0:否、1:是) */
  @Column(name="include_state")
  @ApiModelProperty(name = "是否包含水电(0:否、1:是)")
  private Integer includeState ;
  /** 单价包含的具体内容 */
  @Column(name="include_content")
  @ApiModelProperty(name = "单价包含的具体内容")
  private String includeContent ;
  /** 删除(0:否、1:是） */
  @Column(name="del_flag")
  @ApiModelProperty(name = "删除(0:否、1:是）")
  private Integer delFlag ;
  /** 空间id */
  @Column(name="space_id")
  @ApiModelProperty(name = "空间id")
  private Long spaceId ;
  /** 单价指向(0:工位单价、1:面积单价) */
  @Column(name="point_type")
  @ApiModelProperty(name = "单价指向(0:工位单价、1:面积单价)")
  private Integer pointType ;
}
