package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 青春阵地关联文件表
 */
@Entity
@Table(name = "qczd_relation_file")
@NamedQuery(name = "QczdRelationFile.findAll", query = "SELECT t FROM QczdRelationFile t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Where(clause=" del_flag = 0 ")
@ApiModel(value = "青春阵地关联文件表")
public class QczdRelationFile {

  /** 主键 */
  @Id
  @GeneratedValue(generator = "idGenerator")
  @ApiModelProperty(name = "主键")
  private Long id ;
  /** 乐观锁 */
  @Column(name="revision")
  @ApiModelProperty(name = "乐观锁")
  private Integer revision ;
  /** 创建人 */
  @Column(name="created_by")
  @ApiModelProperty(name = "创建人")
  private String createdBy ;
  /** 创建时间 */
  @Column(name="created_time")
  @ApiModelProperty(name = "创建时间")
  private LocalDateTime createdTime ;
  /** 更新人 */
  @Column(name="updated_by")
  @ApiModelProperty(name = "更新人")
  private String updatedBy ;
  /** 更新时间 */
  @Column(name="updated_time")
  @ApiModelProperty(name = "更新时间")
  private LocalDateTime  updatedTime ;
  /** 创建人id */
  @Column(name="create_id")
  @ApiModelProperty(name = "创建人id")
  private Integer createId ;
  /** 更新人id */
  @Column(name="update_id")
  @ApiModelProperty(name = "更新人id")
  private Integer updateId ;
  /** 附件id */
  @Column(name="file_id")
  @ApiModelProperty(name = "附件id")
  private String fileId ;
  /** 附件类型(1:图片、2:视频、3:pdf) */
  @Column(name="file_type")
  @ApiModelProperty(name = "附件类型(1:图片、2:视频、3:pdf)")
  private Integer fileType ;
  /** 附件名称 */
  @Column(name="file_name")
  @ApiModelProperty(name = "附件名称")
  private String fileName ;
  /** 附件地址 */
  @Column(name="file_url")
  @ApiModelProperty(name = "附件地址")
  private String fileUrl ;
  /** 删除(0:否、1:是） */
  @Column(name="del_flag")
  @ApiModelProperty(name = "删除(0:否、1:是）")
  private Integer delFlag ;
  /** 文件大小 */
  @Column(name="file_size")
  @ApiModelProperty(name = "文件大小")
  private Integer fileSize ;
  /** 图片宽度 */
  @Column(name="width")
  @ApiModelProperty(name = "图片宽度")
  private Integer width ;
  /** 图片高度 */
  @Column(name="height")
  @ApiModelProperty(name = "图片高度")
  private Integer height ;
  /** 业务id */
  @Column(name="service_id")
  @ApiModelProperty(name = "业务id")
  private Long serviceId ;
  /** 文件后缀 */
  @Column(name="file_suffix")
  @ApiModelProperty(name = "文件后缀")
  private String fileSuffix ;

}
