package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * @Author thw
 * @date 2023/12/9
 * @description
 */
@Entity
@Table(name = "qczd_space_content")
@NamedQuery(name = "QczdSpaceContent.findAll", query = "SELECT t FROM QczdSpaceContent t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Where(clause=" del_flag = 0 ")
@ApiModel(value = "青创空间")
public class QczdSpaceContent {

  /** 主键 */
  @Id
  @GeneratedValue(generator = "idGenerator")
  @ApiModelProperty(name = "主键")
  private Long id ;
  /** 乐观锁 */
  @Column(name="revision")
  @ApiModelProperty(name = "乐观锁")
  private Integer revision ;
  /** 创建人 */
  @Column(name="created_by")
  @ApiModelProperty(name = "创建人")
  private String createdBy ;
  /** 创建时间 */
  @Column(name="created_time")
  @ApiModelProperty(name = "创建时间")
  private LocalDateTime  createdTime ;
  /** 更新人 */
  @Column(name="updated_by")
  @ApiModelProperty(name = "更新人")
  private String updatedBy ;
  /** 更新时间 */
  @Column(name="updated_time")
  @ApiModelProperty(name = "更新时间")
  private LocalDateTime  updatedTime ;
  /** 创建人id */
  @Column(name="create_id")
  @ApiModelProperty(name = "创建人id")
  private Integer createId ;
  /** 修改人id */
  @Column(name="update_id")
  @ApiModelProperty(name = "修改人id")
  private Integer updateId ;
  /** 青创空间名称 */
  @Column(name="space_name")
  @ApiModelProperty(name = "青创空间名称")
  private String spaceName ;
  /** 联系人id */
  @Column(name="contacts_id")
  @ApiModelProperty(name = "联系人id")
  private Integer contactsId ;
  /** 联系人姓名 */
  @Column(name="contacts_name")
  @ApiModelProperty(name = "联系人姓名")
  private String contactsName ;
  /** 联系电话 */
  @Column(name="phone")
  @ApiModelProperty(name = "联系电话")
  private String phone ;
  /** 所在区域名称 */
  @Column(name="location_name")
  @ApiModelProperty(name = "所在区域名称")
  private String locationName ;
  /** 所在区域code*/
  @Column(name="location")
  @ApiModelProperty(name = "所在区域code")
  private String location ;
  /** 共享配置 */
  @Column(name="sharing_settings")
  @ApiModelProperty(name = "共享配置")
  private String sharingSettings ;
  /** 侧重领域 */
  @Column(name="focus_on_areas")
  @ApiModelProperty(name = "侧重领域")
  private String focusOnAreas ;
  /** 联系邮箱 */
  @Column(name="contact_mail")
  @ApiModelProperty(name = "联系邮箱")
  private String contactMail ;
  /** 优惠政策标志(0:无、1:有) */
  @Column(name="preferential_policy_sign")
  @ApiModelProperty(name = "优惠政策标志(0:无、1:有) ")
  private Integer preferentialPolicySign ;
  /** 优惠政策 */
  @Column(name="preferential_policy")
  @ApiModelProperty(name = "优惠政策")
  private String preferentialPolicy ;
  /** 入驻要求标志(0:无、1:有)  */
  @Column(name="settled_requires_sign")
  @ApiModelProperty(name = "入驻要求标志(0:无、1:有) ")
  private Integer settledRequiresSign ;
  /** 入驻要求 */
  @Column(name="settled_requires")
  @ApiModelProperty(name = "入驻要求")
  private String settledRequires ;
  /** 青创空间层级标签(no:无、city:市级、country:国家)) */
  @Column(name="hierarchy_label")
  @ApiModelProperty(name = "青创空间层级标签(no:无、city:市级、country:国家))")
  private String hierarchyLabel ;
  /** 青创空间层级关联文件 */
  @Column(name="hierarchy_file_id")
  @ApiModelProperty(name = "青创空间层级关联文件")
  private Long hierarchyFileId ;
  /** 详细地址 */
  @Column(name="full_address")
  @ApiModelProperty(name = "详细地址")
  private String fullAddress ;
  /** 经度 */
  @Column(name="longitude")
  @ApiModelProperty(name = "经度")
  private BigDecimal longitude ;
  /** 维度 */
  @Column(name="dimension")
  @ApiModelProperty(name = "维度")
  private BigDecimal dimension ;
  /** 总工位数 */
  @Column(name="total_workers")
  @ApiModelProperty(name = "总工位数")
  private Integer totalWorkers ;
  /** 可申请工位数 */
  @Column(name="apply_workers")
  @ApiModelProperty(name = "可申请工位数")
  private Integer applyWorkers ;
  /** 工位单价对象id */
  @Column(name="worker_unit_price_id")
  @ApiModelProperty(name = "工位单价对象id")
  private Long workerUnitPriceId ;
  /** 总面积数 */
  @Column(name="total_area")
  @ApiModelProperty(name = "总面积数")
  private BigDecimal totalArea ;
  /** 可申请面积数 */
  @Column(name="apply_area")
  @ApiModelProperty(name = "可申请面积数")
  private BigDecimal applyArea ;
  /** 区域单价对象id */
  @Column(name="area_unit_price_id")
  @ApiModelProperty(name = "区域单价对象id")
  private Long areaUnitPriceId ;
  /** 简介 */
  @Column(name="introduction")
  @ApiModelProperty(name = "简介")
  private String introduction ;
  /** 删除标识(0:否、1:是) */
  @Column(name="del_flag")
  @ApiModelProperty(name = "删除标识(0:否、1:是)")
  private Integer delFlag ;
  /** 审核状态(0:待审核、1:通过、2：不通过) */
  @Column(name="evaluate_state")
  @ApiModelProperty(name = "审核状态(0:待审核、1:通过、2：不通过)")
  private Integer evaluateState ;
  /** 状态(down:下架、up:公示) */
  @Column(name="state")
  @ApiModelProperty(name = "状态(down:下架、up:公示)")
  private String state ;
  /** 审核原因 */
  @Column(name="evaluate_remarks")
  @ApiModelProperty(value = "审核原因")
  private String evaluateRemarks;
  /** 创建来源(0:web、1:app) */
  @Column(name="create_point")
  @ApiModelProperty(value = "创建来源(0:web、1:app)")
  private Integer createPoint;

}
