package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * @Author thw
 * @date 2023/12/13
 * @description
 */
@Entity
@Table(name = "qczd_space_team")
@NamedQuery(name = "QczdSpaceTeam.findAll", query = "SELECT t FROM QczdSpaceTeam t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Where(clause=" del_flag = 0 ")
@ApiModel(value = "空间与团队关联表")
public class QczdSpaceTeam {

  /** id */
  @Id
  @GeneratedValue(generator = "idGenerator")
  @ApiModelProperty(name = "id")
  private Long id ;
  /** 团队id */
  @Column(name="team_id")
  @ApiModelProperty(name = "团队id")
  private Long teamId ;
  /** 空间id */
  @Column(name="space_id")
  @ApiModelProperty(name = "空间id")
  private Long spaceId ;
  /** 更新时间 */
  @Column(name="update_time")
  @ApiModelProperty(name = "更新时间")
  private LocalDateTime updateTime ;
  /** 更新人 */
  @Column(name="update_by")
  @ApiModelProperty(name = "更新人")
  private String updateBy ;
  /** 更新人id */
  @Column(name="update_id")
  @ApiModelProperty(name = "更新人id")
  private Integer updateId ;
  @Column(name="del_flag")
  /** 删除(0:否、1:是) */
  @ApiModelProperty(name = "删除(0:否、1:是)")
  private Integer delFlag ;
}
