package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime; 
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

/**
 * @Author thw
 * @date 2023/12/9
 * @description
 */
@Entity
@Table(name = "qczd_team_stay")
@NamedQuery(name = "QczdTeamStay.findAll", query = "SELECT t FROM QczdTeamStay t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Where(clause=" del_flag = 0 ")
@ApiModel(value = "团队入住表")
public class QczdTeamStay {
  /** 主键 */
  @Id
//  @GeneratedValue(generator = "idGenerator")
  @ApiModelProperty(name = "主键")
  private Long id ;
  /** 乐观锁 */
  @Column(name="revision")
  @ApiModelProperty(name = "乐观锁")
  private Integer revision ;
  /** 创建人 */
  @Column(name="created_by")
  @ApiModelProperty(name = "创建人")
  private String createdBy ;
  /** 创建时间 */
  @Column(name="created_time")
  @ApiModelProperty(name = "创建时间")
  private LocalDateTime createdTime ;
  /** 更新人 */
  @Column(name="updated_by")
  @ApiModelProperty(name = "更新人")
  private String updatedBy ;
  /** 更新时间 */
  @Column(name="updated_time")
  @ApiModelProperty(name = "更新时间")
  private LocalDateTime updatedTime ;
  /** 创建人id */
  @Column(name="create_id")
  @ApiModelProperty(name = "创建人id")
  private Integer createId ;
  /** 更新人id */
  @Column(name="update_id")
  @ApiModelProperty(name = "更新人id")
  private Integer updateId ;
  /** 营业执照(0:没有、1:有) */
  @Column(name="business_license")
  @ApiModelProperty(name = "营业执照(0:没有、1:有)")
  private Integer businessLicense ;
  /** 申请人姓名 */
  @Column(name="applicant_name")
  @ApiModelProperty(name = "申请人姓名")
  private String applicantName ;
  /** 性别(男、女) */
  @Column(name="sex")
  @ApiModelProperty(name = "性别(0男、1女)")
  private String sex ;
  /** 民族 */
  @Column(name="nation")
  @ApiModelProperty(name = "民族")
  private String nation ;
  /** 身份证号 */
  @Column(name="id_code")
  @ApiModelProperty(name = "身份证号")
  private String idCode ;
  /** 年龄 */
  @Column(name="age")
  @ApiModelProperty(name = "年龄")
  private Integer age ;
  /** 学历 */
  @Column(name="formal_schooling")
  @ApiModelProperty(name = "学历")
  private String formalSchooling ;
  /** 政治面貌 */
  @Column(name="political_status")
  @ApiModelProperty(name = "政治面貌")
  private String politicalStatus ;
  /** 电话 */
  @Column(name="phone")
  @ApiModelProperty(name = "电话")
  private String phone ;

  /** 行业领域 */
  @Column(name="industry_field")
  @ApiModelProperty(name = "行业领域")
  private String industryField ;

  /** 电子邮箱 */
  @Column(name="mailbox")
  @ApiModelProperty(name = "电子邮箱")
  private String mailbox ;
  /** 企业名称 */
  @Column(name="company_name")
  @ApiModelProperty(name = "企业名称")
  private String companyName ;
  /** 统一社会信用代码 */
  @Column(name="social_code")
  @ApiModelProperty(name = "统一社会信用代码")
  private String socialCode ;
  /** 创业经历 */
  @Column(name="entrepreneurial_experience")
  @ApiModelProperty(name = "创业经历")
  private String entrepreneurialExperience ;
  /** 团队简介 */
  @Column(name="team_introduction")
  @ApiModelProperty(name = "团队简介")
  private String teamIntroduction ;
  /** 工位需求(0:否、1:是) */
  @Column(name="work_need")
  @ApiModelProperty(name = "工位需求(0:否、1:是)")
  private Integer workNeed ;
  /** 办公室需求(0:否、1:是) */
  @Column(name="office_need")
  @ApiModelProperty(name = "办公室需求(0:否、1:是)")
  private Integer officeNeed ;
  /** 申请时间 */
  @Column(name="apply_time")
  @ApiModelProperty(name = "申请时间")
  private LocalDateTime  applyTime ;
  /** 入驻时间 */
  @Column(name="settled_time")
  @ApiModelProperty(name = "入驻时间")
  private LocalDateTime  settledTime ;
  /** 删除(0:否、1:是） */
  @Column(name="del_flag")
  @ApiModelProperty(name = "删除(0:否、1:是）")
  private Integer delFlag ;
  /** 团队状态(0:入驻中、1、已结束孵化)) */
  @Column(name="team_state")
  @ApiModelProperty(name = "团队状态(0:入驻中、1、已结束孵化))")
  private Integer teamState ;
  /** 入住青春空间id */
  @Column(name="space_id")
  @ApiModelProperty(name = "入住青春空间id")
  private Long spaceId ;
  /** 审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过) */
  @Column(name="audit_state")
  @ApiModelProperty(name = "审核状态(-1:已撤销申请、1:待审核、2:审核通过、3:审核不通过)")
  private Integer auditState ;
  /** 审核时间 */
  @Column(name="audit_time")
  @ApiModelProperty(name = "审核时间")
  private LocalDateTime auditTime ;
  /** 审核人id */
  @Column(name="audit_worker_id")
  @ApiModelProperty(name = "审核人id")
  private Integer auditWorkerId ;
  /** 审核人 */
  @Column(name="audit_worker_name")
  @ApiModelProperty(name = "审核人")
  private String auditWorkerName ;
  /** 审核原因 */
  @Column(name="audit_reason")
  @ApiModelProperty(name = "审核原因")
  private String auditReason ;
  /** 理由描述（审核原因：其它的文本框） */
  @Column(name="reason_detail")
  @ApiModelProperty(name = "理由描述（审核原因：其它的文本框）")
  private String reasonDetail ;
  /** 团队编码 */
  @Column(name="team_code")
  @ApiModelProperty(name = "团队编码")
  private String teamCode ;
  @Column(name="operate_id")
  @ApiModelProperty(value = "孵化操作人ID")
  private Long operateId;
  @Column(name="operate_name")
  @ApiModelProperty(value = "孵化操作人")
  private String operateName;
  @Column(name="operate_time")
  @ApiModelProperty(value = "孵化操作时间")
  private LocalDateTime operateTime;
  /** 创建来源(0:web、1:app) */
  @Column(name="create_point")
  @ApiModelProperty(value = "创建来源(0:web、1:app)")
  private Integer createPoint;
}
