package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppHelpHistory;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 帮助中心搜索Mapper接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Repository
public interface AppHelpHistoryRepo extends BaseRepo<AppHelpHistory, Long> {
	@Query(value = "select *from app_help_history where created_id = ?1 and del_flag = ?2 limit 10 order by CREATED_TIME desc",nativeQuery = true)
	List<AppHelpHistory> findAllByCreatedIdAndDelFlag(Long valueOf, int i);
	@Query(value = "select *from app_help_history where created_id = ?1 and to_char(search_history) = ?2 and del_flag = ?3  ",nativeQuery = true)
	AppHelpHistory findAllByCreatedIdAndSearchHistoryAndDelFlag(Long valueOf, String question, int i);
}
