package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppPersonalHonor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 个人荣誉信息Mapper接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Repository
public interface AppPersonalHonorRepo extends BaseRepo<AppPersonalHonor, Long> {

    @Query(value = "SELECT * FROM APP_PERSONAL_HONOR m WHERE m.info_id=? and m.deleted = 0 order by m.honor_time",nativeQuery = true)
    List<AppPersonalHonor> findByInfoId(Long infoId);

    @Modifying
    @Query(value = "UPDATE APP_PERSONAL_HONOR SET deleted = 1 WHERE info_id = ? ", nativeQuery = true)
    int deleteHonors(Long infoId);
}
