package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppPersonalInfo;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * 个人基础信息Mapper接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Repository
public interface AppPersonalInfoRepo extends BaseRepo<AppPersonalInfo, Long> {

    @Query(value = "SELECT * FROM APP_PERSONAL_INFO m WHERE m.login_id=? and m.deleted = 0 order by updated_time desc limit 1",nativeQuery = true)
    AppPersonalInfo findByLoginId(Long loginId);

    @Query(value = "SELECT * FROM APP_PERSONAL_INFO m WHERE m.id=? and m.deleted = 0",nativeQuery = true)
    AppPersonalInfo findByInfoId(Long loginId);

}
