package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.entity.main.AppUserCollect;
import com.crunii.micro.domain.entity.main.AppUserFollow;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.crunii.micro.domain.common.BaseRepo;

import java.util.List;

/**
 * app关注Mapper接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Repository
public interface AppUserFollowRepo extends BaseRepo<AppUserFollow, Long> {
    
    /**
     * 根据账号ID和用户ID查询关注对象列表
     * @param accountId 内容ID
     * @param userId    用户ID
     * @return 关注对象列表
     */
    List<AppUserFollow> findByAccountIdAndUserId(Long accountId, Long userId);
    
}
