package com.crunii.micro.domain.repo.main;

import java.util.List;

import com.crunii.micro.domain.entity.main.AppUserLike;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.crunii.micro.domain.common.BaseRepo;

/**
 * app点赞Mapper接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@Repository
public interface AppUserLikeRepo extends BaseRepo<AppUserLike, Long> {
    
    /**
     * 根据内容ID和用户ID查询点赞对象列表
     * @param contentId 内容ID
     * @param userId    用户ID
     * @return 点赞对象列表
     */
    List<AppUserLike> findByContentIdAndUserId(Long contentId, Long userId);


}
