package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.AppWorkerSearch;
import org.springframework.stereotype.Repository;

/**
 * 用户搜索记录;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-12-8
 */
@Repository
public interface AppWorkerSearchRepo extends BaseRepo<AppWorkerSearch, Long> {
    /**
     * 查询是否这个内容搜索过
     *
     * @param workerId   用户id
     * @param searchType   查询类型
     * @param searchText 搜索内容
     * @param deleted    是否删除
     * @return data
     */
    AppWorkerSearch findByWorkerIdAndSearchTypeAndSearchContextAndDeleted(Integer workerId, Integer searchType,String searchText, Integer deleted);

}
