package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdFocusOnAreas;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 青创阵地-侧重领域表
 */
@Repository
public interface QczdFocusOnAreasRepo extends BaseRepo<QczdFocusOnAreas,Long> {

  @Query(value = "SELECT * FROM qczd_focus_on_areas a WHERE a.del_flag = 0 and  a.space_id=?1  ",nativeQuery = true)
  List<QczdFocusOnAreas> findBySpaceId(Long spaceId);

  @Query(value = "SELECT * FROM qczd_focus_on_areas a WHERE a.del_flag = 0 and  a.space_id in(?1)  ",nativeQuery = true)
  List<QczdFocusOnAreas> findBySpaceIdIn(List<Long> spaceId);
  @Modifying
  @Query(value = "DELETE qczd_focus_on_areas WHERE space_id=?1  ",nativeQuery = true)
  void deleteBySpaceId(Long spaceId);
}
