package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdIndustryField;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/11
 * @description 青创阵地-团队行业领域表
 */
@Repository
public interface QczdIndustryFieldRepo extends BaseRepo<QczdIndustryField,Long> {

  @Query(value = "SELECT * FROM qczd_industry_field a WHERE a.del_flag = 0 and  a.team_id=?1  ",nativeQuery = true)
  List<QczdIndustryField> findByTeamId(Long teamId);

  @Modifying
  @Query(value = "DELETE qczd_industry_field WHERE team_id=?1  ",nativeQuery = true)
  void deleteByTeamId(Long teamId);


}
