package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdPriceObject;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 青创空间单价对象表
 */
@Repository
public interface QczdPriceObjectRepo extends BaseRepo<QczdPriceObject,Long> {

  @Query(value = "SELECT * FROM qczd_price_object a WHERE a.del_flag = 0 and  a.space_id=?1  ",nativeQuery = true)
  List<QczdPriceObject> findBySpaceId(Long spaceId);

  @Modifying
  @Query(value = "DELETE qczd_price_object WHERE space_id=?1  ",nativeQuery = true)
  void deleteBySpaceId(Long spaceId);
}
