package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdRelationFile;
import java.util.Collection;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 青春阵地关联文件表
 */
@Repository
public interface QczdRelationFileRepo extends BaseRepo<QczdRelationFile,Long> {

  @Query(value = "SELECT * FROM qczd_relation_file a WHERE a.del_flag = 0 and  a.service_id=?1 and file_type in ?2 ",nativeQuery = true)
  List<QczdRelationFile> findByServiceIdAndFileTypeIn(Long serviceId, Collection<Integer> fileTypes);

  @Query(value = "SELECT * FROM qczd_relation_file a WHERE a.del_flag = 0 and  a.service_id in(?1) and file_type in ?2 ",nativeQuery = true)
  List<QczdRelationFile> findByServiceIdInAndFileTypeIn(List<Long> serviceId, Collection<Integer> fileTypes);

  @Modifying
  @Query(value = "UPDATE qczd_relation_file SET del_flag = 1 WHERE del_flag = 0 and service_id=?1 ",nativeQuery = true)
  void updateByServiceId(Long serviceId);
}
