package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdSharingSettings;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 青创阵地—共享配置表
 */
@Repository
public interface QczdSharingSettingsRepo extends BaseRepo<QczdSharingSettings,Long> {

  @Query(value = "SELECT * FROM qczd_sharing_settings a WHERE a.del_flag = 0 and  a.space_id=?1  ",nativeQuery = true)
  List<QczdSharingSettings> findBySpaceId(Long spaceId);


  @Query(value = "SELECT * FROM qczd_sharing_settings a WHERE a.del_flag = 0 and  a.space_id in(?1)  ",nativeQuery = true)
  List<QczdSharingSettings> findBySpaceIdIn(List<Long> spaceId);

  @Modifying
  @Query(value = "DELETE qczd_sharing_settings WHERE space_id=?1  ",nativeQuery = true)
  void deleteBySpaceId(Long spaceId);
}
