package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdSpaceTeam;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/13
 * @description 空间与团队关联表
 */
@Repository
public interface QczdSpaceTeamRepo extends BaseRepo<QczdSpaceTeam,Long> {

  @Query(value = "SELECT * FROM qczd_space_team a WHERE a.del_flag = 0 and  a.space_id = ?1  ",nativeQuery = true)
  List<QczdSpaceTeam> findBySpaceId(Long spaceId);

  @Modifying
  @Query(value = "UPDATE qczd_space_team SET del_flag = 1 , update_id = ?1 ,update_by = ?2 , update_time = CURRENT_TIMESTAMP() WHERE del_flag = 0 and space_id = ?3  ",nativeQuery = true)
  void updateDelFlagBySpaceId(Integer loginId,String workerName,Long spaceId);

  @Query(value = "SELECT * FROM qczd_space_team a WHERE a.del_flag = 0 and  a.team_id = ?1  ",nativeQuery = true)
  List<QczdSpaceTeam> findByTeamId(Long teamId);

  @Query(value = "SELECT * FROM qczd_space_team a WHERE a.del_flag = 0 and  a.team_id in ( ?1 ) ",nativeQuery = true)
  List<QczdSpaceTeam> findAllByTeamIdIn(List<Long> teamId);
}
