package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdTeamStay;
import java.util.List;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/9
 * @description 团队入住表
 */
@Repository
public interface QczdTeamStayRepo extends BaseRepo<QczdTeamStay,Long> {

  @Query(value = "SELECT * FROM qczd_team_stay a WHERE a.del_flag = 0 and  a.space_id=?1  ",nativeQuery = true)
  List<QczdTeamStay> findBySpaceId(Long spaceId);

  @Query(value = "SELECT * FROM qczd_team_stay a WHERE a.del_flag = 0 and  a.space_id in ?1  ",nativeQuery = true)
  List<QczdTeamStay> findBySpaceIdIn(List<Long> spaceIds);

  @Query(value = "SELECT * FROM qczd_team_stay a WHERE a.del_flag = 0 and  a.applicant_name=?1 and a.phone = ?2  ",nativeQuery = true)
  List<QczdTeamStay> findByApplicantNameAndPhone(String name,String phone);

  @Query(value = "SELECT * FROM qczd_team_stay a WHERE a.del_flag = 0 and  a.applicant_name=?1 and a.phone = ?2 and a.id not in ( ?3 ) ",nativeQuery = true)
  List<QczdTeamStay> findByApplicantNameAndPhoneAndIdNotIn(String name,String phone,List<Long> ids);
  int countByAuditState(Integer state);


}
