package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QczdTeamStayTemp;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/12/21
 * @description 团队入住表-临时表
 */
@Repository
public interface QczdTeamStayTempRepo extends BaseRepo<QczdTeamStayTemp,Long> {

  @Query(value = "SELECT * FROM qczd_team_stay_temp a WHERE a.del_flag = 0 and  a.data_key=?1  ",nativeQuery = true)
  List<QczdTeamStayTemp> findAllByDataKey(String dataKey);

  @Modifying
  @Query(value = "DELETE qczd_team_stay_temp WHERE data_key=?1  ",nativeQuery = true)
  void deleteAllByDataKey(String dataKey);
}
