package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.api.bo.AppContentDetailBo;
import com.crunii.micro.service.appsecond.api.vo.AppContentDetailVo;
import com.crunii.micro.service.appsecond.service.IAppCertificateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: zwx
 * @CreateTime: 2023-12-07  10:54:27
 * @Description: 我的证件
 */

@Validated
@Api(value = "我的证件", tags = {"我的证件"})
@RequiredArgsConstructor
@RestController
@RequestMapping("auth/AppCertificateController")
public class AppCertificateController {

    private final IAppCertificateService iAppCertificateService;

    @ApiOperation("获取我的所有证件")
    @PostMapping("/myCertificate")
    public Result myCertificate() {
        return iAppCertificateService.getmyCertificate();
    }

}
