package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextAppSortDto;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextManageDto;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextSortTypeDto;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.ContextManageVo;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.HandleHistoryVo;
import com.crunii.micro.service.appsecond.service.IAppContentSortService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;


/**
 * 【请填写功能名称】Controller
 * 前端访问路由地址为:/app/record
 * @author liuchuan
 * @date 2023-12-06
 */
@Validated
@Api(value = "【内容排序】控制器", tags = {"【内容排序】管理"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/AppContentSortController")
public class AppContentSortController {

    private final IAppContentSortService iAppContentSortService;

    @ApiOperation("内容排序-更改app序值")
    @PostMapping("/updateAppSort")
    public Result<String> updateAppSort(@Validated @RequestBody ContextAppSortDto dto, @CurrWorker @ApiIgnore Worker worker){
        return Result.ofSuccess(iAppContentSortService.updateAppSort(dto,worker));
    }

    @ApiOperation("分页查询排序界面")
    @PostMapping("/pageContextManage")
    public Result<PageRsp<ContextManageVo>> pageContextManage(@RequestBody PageReq<ContextManageDto> req, @CurrWorker @ApiIgnore Worker worker){
        return Result.ofSuccess(iAppContentSortService.pageContextManage(req,worker));
    }

    @ApiOperation("内容排序-上 热搜/热榜")
    @PostMapping("/updateWhetherHot")
    public Result<String> updateWhetherHot(@Validated @RequestBody ContextSortTypeDto dto, @CurrWorker @ApiIgnore Worker worker){
        return Result.ofSuccess(iAppContentSortService.updateWhetherHot(dto,worker));
    }

    @ApiOperation("内容排序-查询操作历史")
    @PostMapping("/pageHandleHistory")
    public Result<PageRsp<HandleHistoryVo>> pageHandleHistory(@RequestBody PageReq<Object> req, @CurrWorker @ApiIgnore Worker worker){
        return Result.ofSuccess(iAppContentSortService.pageHandleHistory(req,worker));
    }

}


