package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.api.vo.AppCqzdSpaceContentVo;
import com.crunii.micro.service.appsecond.service.AppCqzdSpaceContentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import javax.validation.constraints.NotNull;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author thw
 * @date 2024/1/11
 * @description app空间详情分享
 */
@Validated
@Api(value = "青创空间app空间详情",tags = { "青创空间app空间详情" })
@RequiredArgsConstructor
@RestController
@RequestMapping("/public/AppCqzdSpacePublicController")
public class AppCqzdSpacePublicController {

  private final AppCqzdSpaceContentService appCqzdSpaceContentService;

  @ApiOperation("空间详情")
  @GetMapping("/spaceContentDetails")
  public Result<AppCqzdSpaceContentVo> spaceContentDetails(@ApiParam("spaceId 青创空间id")
  @NotNull(message = "青创空间spaceId不能为空")
  @RequestParam("spaceId")Long spaceId){
    return Result.ofSuccess(appCqzdSpaceContentService.spaceContentDetails(spaceId));
  }

}
