package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.AppDownloadRecord;
import com.crunii.micro.service.appsecond.api.bo.AppQueryPositionBo;
import com.crunii.micro.service.appsecond.api.dto.AppDownloadRecordSaveDTO;
import com.crunii.micro.service.appsecond.api.dto.LabelDto;
import com.crunii.micro.service.appsecond.api.vo.AppDiscoverListVo;
import com.crunii.micro.service.appsecond.api.vo.AppDownLoadFileVo;
import com.crunii.micro.service.appsecond.api.vo.ImagesVo;
import com.crunii.micro.service.appsecond.service.AppDownloadRecordService;
import com.crunii.micro.service.appsecond.service.IAppDiscoverPositionService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author lyx
 * @date 2023/12/8
 */
@Validated
@Api(value = "【请填写功能名称】控制器", tags = {"【请填写功能名称】管理"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/appDownloadRecordController")
public class AppDownloadRecordController {

	private final AppDownloadRecordService service;

	@ApiOperation(value = "app保存下载记录")
	@PostMapping(path = "/saveDownloadRecord")
	public Result<Boolean> saveDownloadRecord(@CurrWorker Worker worker, @RequestBody AppDownloadRecordSaveDTO dto){
		return service.saveDownloadRecord(worker,dto);
	}

	/**
	 * 查询【请填写功能名称】列表
	 */
	@ApiOperation("查询【请填写功能名称】列表")
	@GetMapping("/appList")
	public Result<List<AppDownloadRecord>> appList(@CurrWorker Worker worker, @RequestParam("type") Integer type) {
		return service.queryAppList(worker,type);
	}

	@ApiOperation(value = "app图绘青春查询")
	@PostMapping(path = "/queryImgList")
	public Result<PageRsp<ImagesVo>> queryImgList(@RequestBody PageReq<LabelDto> req){
		return service.queryList(req);
	}

	@ApiOperation(value = "app文件下载查询")
	@PostMapping(path = "/queryFileList")
	public Result<PageRsp<AppDownLoadFileVo>> queryFileList(@RequestBody PageReq<LabelDto> req){
		return service.queryFileList(req);
	}


}
