package com.crunii.micro.service.appsecond.controller;


import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import com.crunii.micro.service.appsecond.api.vo.AppHelpAnnexVo;
import com.crunii.micro.service.appsecond.api.bo.AppHelpAnnexBo;
import com.crunii.micro.service.appsecond.service.IAppHelpAnnexService;

import java.util.List;
import java.util.Arrays;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.servlet.http.HttpServletResponse;

/**
 * 【请填写功能名称】Controller
 * 前端访问路由地址为:/app/annex
 * @author liuchuan
 * @date 2023-12-06
 */
@Validated
@Api(value = "【请填写功能名称】控制器", tags = {"【请填写功能名称】管理"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/app_help_annex")
public class AppHelpAnnexController {

    private final IAppHelpAnnexService iAppHelpAnnexService;

    /**
     * 查询【请填写功能名称】列表
     */
    @ApiOperation("查询【请填写功能名称】列表")
    @GetMapping("/list")
    public Result<PageRsp<AppHelpAnnexVo>> list(PageReq<AppHelpAnnexBo> bo) {
        return iAppHelpAnnexService.queryPageList(bo);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @ApiOperation("导出【请填写功能名称】列表")
    @PostMapping("/export")
    public void export(AppHelpAnnexBo bo, HttpServletResponse response) {
        List<AppHelpAnnexVo> list = iAppHelpAnnexService.queryList(bo);
        //ExcelUtil.exportExcel(list, "【请填写功能名称】", AppHelpAnnexVo.class, response);
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @ApiOperation("获取【请填写功能名称】详细信息")
    @GetMapping("/{id}")
    public Result<AppHelpAnnexVo> getInfo(@ApiParam("主键")
                                     @NotNull(message = "主键不能为空")
                                     @PathVariable("id") Long id) {
        return Result.ofSuccess(iAppHelpAnnexService.queryById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @ApiOperation("新增【请填写功能名称】")
    @PostMapping("/add")
    public Result add(@Validated(AddGroup.class) @RequestBody AppHelpAnnexBo bo) {
        return Result.ofSuccess(iAppHelpAnnexService.insertByBo(bo) ? 1 : 0);
    }

    /**
     * 修改【请填写功能名称】
     */
    @ApiOperation("修改【请填写功能名称】")
    @PostMapping("/edit")
    public Result edit(@Validated(EditGroup.class) @RequestBody AppHelpAnnexBo bo) {
        return Result.ofSuccess(iAppHelpAnnexService.updateByBo(bo) ? 1 : 0);
    }

    /**
     * 删除【请填写功能名称】
     */
    @ApiOperation("删除【请填写功能名称】")
    @PostMapping("/remove")
    public Result remove(@ApiParam("主键串")
                          @NotEmpty(message = "主键不能为空")
                             @RequestParam("ids")  Long[] ids) {
        return Result.ofSuccess(iAppHelpAnnexService.deleteWithValidByIds(Arrays.asList(ids), true) ? 1 : 0);
    }
}
