package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.dto.MessageSendSelect;
import com.crunii.micro.feign.client.dto.AppMessageCenterDTO;
import com.crunii.micro.service.appsecond.service.AppMessageCenterService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: microservice
 * @description: 消息中心
 * @author: xiang xin
 * @create: 2023-12-08 10:34
 */
@Validated
@Api(value = "消息中心", tags = {"消息中心"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/appMessage")
public class AppMessageCenterController {
    @Autowired
    private AppMessageCenterService appMessageCenterService;

    @ApiOperation("消息中心查询")
    @PostMapping("/pageSelect")
    public Result<PageRsp<MessageSendSelect>> pageMessage(@RequestBody @ApiParam PageReq<AppMessageCenterDTO> dto) {
        return appMessageCenterService.pageMessage(dto);
    }

    @ApiOperation("消息中心通知查询(前端定时任务调用)")
    @PostMapping("/selectNumber")
    public Result<Object> selectNumber() {
        return appMessageCenterService.selectNumber();
    }

    @ApiOperation("消息中心点击状态修改")
    @PostMapping("/updateState")
    public Result<Object> doState(@RequestBody @ApiParam AppMessageCenterDTO dto) {
        return appMessageCenterService.doState(dto);
    }

    @ApiOperation("消息中心查询数据类型")
    @PostMapping("/selectState")
    public Result<Object> selectState() {
        return appMessageCenterService.selectState();
    }
}
