package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.dto.AddFaceDTO;
import com.crunii.micro.service.appsecond.api.vo.QueryAccountVO;
import com.crunii.micro.service.appsecond.service.AppSetUserService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;

/**
 * @author: LG
 * @date: 2023/12/11 9:57
 */
@Validated
@Api(value = "用户设置", tags = {"用户设置"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/AppSetUserController")
public class AppSetUserController {

    @Resource
    private AppSetUserService appSetUserService;


    @ApiOperation("添加打开面容")
    @PostMapping("/addFace")
    public Result<String> addFace(@CurrWorker @ApiIgnore Worker worker, @RequestBody @Validated AddFaceDTO dto){
        return appSetUserService.updateFace(worker,dto);
    }

    @ApiOperation("查看账号和安全")
    @GetMapping("/queryAccount")
    public Result<QueryAccountVO> queryAccount(@CurrWorker @ApiIgnore Worker worker){
        return appSetUserService.queryAccount(worker);
    }




}
