package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.bo.WorkerAppReqVO;
import com.crunii.micro.service.appsecond.api.vo.AppAllRspVO;
import com.crunii.micro.service.appsecond.api.vo.WorkerAppRspVO;
import com.crunii.micro.service.appsecond.service.AppSubjectService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/12/13 9:48
 */
@Api(tags = "app-专题")
@RestController
@RequestMapping("/auth/AppSubjectController")
public class AppSubjectController {

    @Resource
    private AppSubjectService appSubjectService;

    @ApiOperation("app-专题-查询我的常用应用")
    @GetMapping("/getMyApp")
    public Result<List<WorkerAppRspVO>> getMyApp(@CurrWorker @ApiIgnore Worker worker) {
        return Result.ofSuccess(appSubjectService.getMyApp(worker));
    }

    @ApiOperation("app-专题-删除我的常用应用")
    @GetMapping("/deleteMyApp")
    public Result<Boolean> deleteMyApp(@RequestParam("appId")Long id, @CurrWorker @ApiIgnore Worker worker) {
        return Result.ofSuccess(appSubjectService.deleteMyApp(id,worker));
    }

    @ApiOperation("app-专题-新增我的常用应用")
    @PostMapping("/createMyApp")
    public Result<Boolean> deleteMyApp(@RequestBody WorkerAppReqVO workerAppReqVO, @CurrWorker @ApiIgnore Worker worker) {
        return Result.ofSuccess(appSubjectService.createMyApp(workerAppReqVO,worker));
    }

    @ApiOperation("app-专题-查询所有应用")
    @PostMapping("/doFindAllApp")
    public Result<List<AppAllRspVO>> doFindAllApp(@RequestBody WorkerAppReqVO workerAppReqVO,@CurrWorker @ApiIgnore Worker worker) {
        return Result.ofSuccess(appSubjectService.doFindAllApp(workerAppReqVO,worker));
    }
}
