package com.crunii.micro.service.appsecond.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.service.IAppVolunteerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: zwx
 * @CreateTime: 2023-12-08  16:13:34
 * @Description: 我的志愿服务
 */
@Validated
@Api(value = "我的志愿服务", tags = {"我的志愿服务"})
@RequiredArgsConstructor
@RestController
@RequestMapping("auth/AppVolunteerServiceController")
public class AppVolunteerServiceController {

    private final IAppVolunteerService iAppVolunteerService;

    @ApiOperation("个人信息")
    @PostMapping("/personalInformation")
    public Result myPersonalInformation() {
        return iAppVolunteerService.getPersonalInformation();
    }

    @ApiOperation("我的志愿活动")
    @PostMapping("/volunteerActivity")
    public Result myVolunteerActivity() {
        return iAppVolunteerService.getVolunteerActivity();
    }

    @ApiOperation("志愿活动详情")
    @PostMapping("/volunteerDetails")
    public Result myVolunteerDetails(@RequestParam Integer activityId) {
        return iAppVolunteerService.getVolunteerDetails(activityId);
    }
}
