package com.crunii.micro.service.appsecond.controller.youthspace;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.ApplyTeamAuditStateUDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.SpaceApplyTeamReqDTO;
import com.crunii.micro.service.appsecond.api.vo.youthspace.SpaceApplyTeamPageVO;
import com.crunii.micro.service.appsecond.service.SpaceApplyTeamService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.servlet.http.HttpServletResponse;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

/**
 * @Author thw
 * @date 2023/12/15
 * @description 青创团队管理
 */
@Validated
@Api(value = "青创团队申请管理", tags = {"青创团队申请管理"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/SpaceApplyTeamController")
public class SpaceApplyTeamController {

  private final SpaceApplyTeamService spaceApplyTeamService;

  @ApiOperation("团队的分页")
  @PostMapping("/pageTeamInfo")
  public Result<PageRsp<SpaceApplyTeamPageVO>> pageApplyTeam(@Validated(AddGroup.class) @RequestBody PageReq<SpaceApplyTeamReqDTO> bo) {
    return Result.ofSuccess(spaceApplyTeamService.pageApplyTeam(bo));
  }


  @ApiOperation("团队批量审核")
  @PostMapping("/updateBatchAuditState")
  public Result updateBatchAuditState(@Validated(EditGroup.class) @RequestBody ApplyTeamAuditStateUDTO bo) {
    return spaceApplyTeamService.updateBatchAuditState(bo);
  }

  @ApiOperation(value = "批量导出的团队数据")
  @RequestMapping(path = "/exportApplyTeam", method = RequestMethod.POST)
  @ResponseBody
  public void exportApplyTeam(@Validated(AddGroup.class) @RequestBody SpaceApplyTeamReqDTO bo){
    ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
    HttpServletResponse response = attributes.getResponse();
    spaceApplyTeamService.exportApplyTeam(response,bo);
  }

}
