package com.crunii.micro.service.appsecond.converter;
import com.crunii.micro.domain.entity.main.AppContentRecord;
import com.crunii.micro.service.appsecond.api.vo.AppContentRecordVo;
import com.crunii.micro.service.appsecond.api.bo.AppContentRecordBo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 【请填写功能名称】Converter
 * @author liuchuan
 * @date 2023-12-07
 */
@Mapper(componentModel = "spring")
public interface AppContentRecordConverter {

    AppContentRecordConverter INSTANCE = Mappers.getMapper(AppContentRecordConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppContentRecordVo entityToVo(AppContentRecord entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppContentRecordBo entityToBo(AppContentRecord entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppContentRecord boToEntity(AppContentRecordBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppContentRecord voToEntity(AppContentRecordVo entity);

}
