package com.crunii.micro.service.appsecond.converter;


import com.crunii.micro.domain.entity.main.AppDiscoverPositionAnnex;
import com.crunii.micro.service.appsecond.api.bo.AppDiscoverPositionAnnexBo;
import com.crunii.micro.service.appsecond.api.vo.AppDiscoverPositionAnnexVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 阵地附件Converter
 * @author ruoyi
 * @date 2023-12-14
 */
@Mapper(componentModel = "spring")
public interface AppDiscoverPositionAnnexConverter {

    AppDiscoverPositionAnnexConverter INSTANCE = Mappers.getMapper(AppDiscoverPositionAnnexConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppDiscoverPositionAnnexVo entityToVo(AppDiscoverPositionAnnex entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppDiscoverPositionAnnexBo entityToBo(AppDiscoverPositionAnnex entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppDiscoverPositionAnnex boToEntity(AppDiscoverPositionAnnexBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppDiscoverPositionAnnex voToEntity(AppDiscoverPositionAnnexVo entity);


    public List<AppDiscoverPositionAnnexVo> entityListToVoList(List<AppDiscoverPositionAnnex> entityList);

}
