package com.crunii.micro.service.appsecond.converter;


import com.crunii.micro.domain.entity.main.AppDiscoverPosition;
import com.crunii.micro.service.appsecond.api.bo.AppDiscoverPositionBo;
import com.crunii.micro.service.appsecond.api.vo.AppDiscoverPositionVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 发现阵地主Converter
 * @author ruoyi
 * @date 2023-12-14
 */
@Mapper(componentModel = "spring")
public interface AppDiscoverPositionConverter {

    AppDiscoverPositionConverter INSTANCE = Mappers.getMapper(AppDiscoverPositionConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppDiscoverPositionVo entityToVo(AppDiscoverPosition entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppDiscoverPositionBo entityToBo(AppDiscoverPosition entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppDiscoverPosition boToEntity(AppDiscoverPositionBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppDiscoverPosition voToEntity(AppDiscoverPositionVo entity);

}
