package com.crunii.micro.service.appsecond.converter;
import com.crunii.micro.domain.entity.main.AppHelpCenter;
import com.crunii.micro.service.appsecond.api.vo.AppHelpCenterVo;
import com.crunii.micro.service.appsecond.api.bo.AppHelpCenterBo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * app帮助中心Converter
 * @author liuchuan
 * @date 2023-12-07
 */
@Mapper(componentModel = "spring")
public interface AppHelpCenterConverter {

    AppHelpCenterConverter INSTANCE = Mappers.getMapper(AppHelpCenterConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppHelpCenterVo entityToVo(AppHelpCenter entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppHelpCenterBo entityToBo(AppHelpCenter entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppHelpCenter boToEntity(AppHelpCenterBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppHelpCenter voToEntity(AppHelpCenterVo entity);

}
