package com.crunii.micro.service.appsecond.converter;
import com.crunii.micro.domain.entity.main.AppHelpHistory;
import com.crunii.micro.service.appsecond.api.vo.AppHelpHistoryVo;
import com.crunii.micro.service.appsecond.api.bo.AppHelpHistoryBo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 帮助中心搜索Converter
 * @author liuchuan
 * @date 2023-12-07
 */
@Mapper(componentModel = "spring")
public interface AppHelpHistoryConverter {

    AppHelpHistoryConverter INSTANCE = Mappers.getMapper(AppHelpHistoryConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppHelpHistoryVo entityToVo(AppHelpHistory entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppHelpHistoryBo entityToBo(AppHelpHistory entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppHelpHistory boToEntity(AppHelpHistoryBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppHelpHistory voToEntity(AppHelpHistoryVo entity);

}
