package com.crunii.micro.service.appsecond.converter;

import com.crunii.micro.domain.entity.main.AppPersonalHonor;
import com.crunii.micro.service.appsecond.api.bo.AppPersonalHonorBo;
import com.crunii.micro.service.appsecond.api.vo.AppPersonalHonorVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 个人荣誉信息Converter
 * @author liuchuan
 * @date 2023-12-07
 */
@Mapper(componentModel = "spring")
public interface AppPersonalHonorConverter {

    AppPersonalHonorConverter INSTANCE = Mappers.getMapper(AppPersonalHonorConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppPersonalHonorVo entityToVo(AppPersonalHonor entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppPersonalHonorBo entityToBo(AppPersonalHonor entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppPersonalHonor boToEntity(AppPersonalHonorBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppPersonalHonor voToEntity(AppPersonalHonorVo entity);

}
