package com.crunii.micro.service.appsecond.converter;
import com.crunii.micro.domain.entity.main.AppPersonalInfo;
import com.crunii.micro.service.appsecond.api.vo.AppPersonalInfoVo;
import com.crunii.micro.service.appsecond.api.bo.AppPersonalInfoBo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 个人基础信息Converter
 * @author liuchuan
 * @date 2023-12-07
 */
@Mapper(componentModel = "spring")
public interface AppPersonalInfoConverter {

    AppPersonalInfoConverter INSTANCE = Mappers.getMapper(AppPersonalInfoConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public AppPersonalInfoVo entityToVo(AppPersonalInfo entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public AppPersonalInfoBo entityToBo(AppPersonalInfo entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public AppPersonalInfo boToEntity(AppPersonalInfoBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public AppPersonalInfo voToEntity(AppPersonalInfoVo entity);

}
