package com.crunii.micro.service.appsecond.dao;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.dto.AppCertificateRespDTO;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-12-08  11:03:28
 * @Description: 我的证件DAO
 */
@Repository
public class AppCertificateDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNPJdbcTemplate;

    public List<AppCertificateRespDTO> getLetterOfAppointment(Worker currWorker) {
        String sql = "select te.create_time releaseTime,te.file_key fileKey,o.org_name unit      " +
                "                 from YCQ_QM_TEACHER_EXPAND te      " +
                "                 left join TSM_WORKER ts on ts.login_id=te.creator_id    " +
                "                 left join TSM_ORG o on ts.org_id = o.org_id      " +
                "                 where te.deleted=0  and te.worker_id= ?   ";

        return jdbcTemplate.queryForBeans(AppCertificateRespDTO.class,sql,currWorker.getLoginId());
    }

    public List<AppCertificateRespDTO> getCertificateOfCompletion(Worker currWorker) {
        String sql = " select se.create_time releaseTime,se.file_key fileKey,o.org_name unit      " +
                "                 from YCQ_QM_STU_EXPAND se       " +
                "                 left join TSM_WORKER ts on ts.login_id=se.creator_id     " +
                "                 left join TSM_ORG o on ts.org_id = o.org_id      " +
                "                 where se.deleted=0 and se.worker_id = ? ";
        return jdbcTemplate.queryForBeans(AppCertificateRespDTO.class,sql,currWorker.getLoginId());
    }
}
