package com.crunii.micro.service.appsecond.enums;

import lombok.Getter;

/**
 * @Author thw
 * @date 2023/12/13
 * @description
 */
public class StayTeamEnums {

  /** 通用：需求枚举  */
  public enum DemandEnum {

    NO_NEED(0,"否"),
    YES_NEED(1,"是"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    DemandEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static DemandEnum getDemandEnum(Integer num){
      DemandEnum[] values = DemandEnum.values();
      for (DemandEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }

    public static DemandEnum getDemandEnumDesc(String desc){
      DemandEnum[] values = DemandEnum.values();
      for (DemandEnum value : values) {
        if(value.getDesc().equals(desc)){
          return value;
        }
      }
      return null;
    }
  }


  /** 通用：团队入住状态  */
  public enum TeamStateEnum {

    CHECK_IN(0,"入驻中"),
    END(1,"已结束孵化"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    TeamStateEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static TeamStateEnum getTeamStateEnum(Integer num){
      TeamStateEnum[] values = TeamStateEnum.values();
      for (TeamStateEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }
  }


  /** 通用：性别枚举  */
  public enum SexEnum {

    MAN(0,"男"),
    WOMAN(1,"女"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    SexEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static SexEnum getSexEnum(Integer num){
      SexEnum[] values = SexEnum.values();
      for (SexEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }

    public static SexEnum getSexEnumDesc(String desc){
      SexEnum[] values = SexEnum.values();
      for (SexEnum value : values) {
        if(value.getDesc().equals(desc)){
          return value;
        }
      }
      return null;
    }
  }

  /** 团队审核状态 */
  public enum SteamAuditStateEnum {
    CANCEL_AUDIT(0,"已撤销申请"),
    STAY_AUDIT(1,"待审核"),
    PASS_AUDIT(2,"审核通过"),
    NO_PASS_AUDIT(3,"审核不通过"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    SteamAuditStateEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static SteamAuditStateEnum getSteamAuditStateEnum(Integer num){
      SteamAuditStateEnum[] values = SteamAuditStateEnum.values();
      for (SteamAuditStateEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }
  }

  /** 营业模板枚举状态 */
  public enum BusinessStateEnum {
    NO_BUSINESS(0,"没有"),
    YES_BUSINESS(1,"有"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    BusinessStateEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static BusinessStateEnum getBusinessStateEnum(Integer num){
      BusinessStateEnum[] values = BusinessStateEnum.values();
      for (BusinessStateEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }

    public static BusinessStateEnum getBusinessStateEnumDesc(String desc){
      BusinessStateEnum[] values = BusinessStateEnum.values();
      for (BusinessStateEnum value : values) {
        if(value.getDesc().equals(desc)){
          return value;
        }
      }
      return null;
    }
  }

}
