package com.crunii.micro.service.appsecond.enums;

import lombok.Getter;

/**
 * @Author thw
 * @date 2023/12/12
 * @description 青创空间枚举表
 */
public class YouthSpaceEnums {


  /** 青创空间下架与公示 */
  public enum StateEnum {
    UP_STATE("up","公示"),
    DOWN_STATE("down","下架"),
    ;

    @Getter
    private String code;

    @Getter
    private String desc;

    StateEnum(String code,String desc){
      this.code = code;
      this.desc = desc;
    }

    public static StateEnum getStateEnum(String code){
      StateEnum[] values = StateEnum.values();
      for (StateEnum value : values) {
        if(value.getCode().equals(code)){
          return value;
        }
      }
      return null;
    }
  }

  /** 青创空间层级-级别标志 */
  public enum HierarchyLabelEnum {
    NO_LABEL("no","无"),
    CITY_LABEL("city","市级"),
    COUNTRY_LABEL("country","国家级"),
    ;

    @Getter
    private String name;

    @Getter
    private String desc;

    HierarchyLabelEnum(String name,String desc){
      this.name = name;
      this.desc = desc;
    }

    public static HierarchyLabelEnum getHierarchyLabel(String name){
      HierarchyLabelEnum[] values = HierarchyLabelEnum.values();
      for (HierarchyLabelEnum value : values) {
        if(value.getName().equals(name)){
          return value;
        }
      }
      return null;
    }
  }

  /** 青创空间层级审核状态 */
  public enum EvaluateStateEnum {
    STAY_AUDIT(0,"待审核"),
    PASS_AUDIT(1,"已通过"),
    NO_PASS_AUDIT(2,"不通过"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    EvaluateStateEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static EvaluateStateEnum getEvaluateStateEnum(Integer num){
      EvaluateStateEnum[] values = EvaluateStateEnum.values();
      for (EvaluateStateEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }
  }


  /** 通用：枚举(无、有)  */
  public enum CommEnum {

    ZERO_COM(0,"无"),
    ONE_COM(1,"有"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    CommEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static CommEnum getCommEnum(Integer num){
      CommEnum[] values = CommEnum.values();
      for (CommEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }

    public static CommEnum getCommEnumDesc(String desc){
      CommEnum[] values = CommEnum.values();
      for (CommEnum value : values) {
        if(value.getDesc().equals(desc)){
          return value;
        }
      }
      return null;
    }
  }



  /** 通用：文件类型枚举  */
  public enum FileTypeEnum {

    ONCE_TYPE(1,"图片"),
    SECOND_TYPE(2,"视频"),
    THIRD_TYPE(3,"pdf"),
    ;

    @Getter
    private Integer num;

    @Getter
    private String desc;

    FileTypeEnum(Integer num,String desc){
      this.num = num;
      this.desc = desc;
    }

    public static FileTypeEnum getFileTypeEnum(Integer num){
      FileTypeEnum[] values = FileTypeEnum.values();
      for (FileTypeEnum value : values) {
        if(value.getNum().equals(num)){
          return value;
        }
      }
      return null;
    }
  }

}
