package com.crunii.micro.service.appsecond.enums;

import lombok.Getter;

/**
 * @Author thw
 * @date 2023/12/22
 * @description 青创空间相关角色
 */
public enum YouthSpaceRoleEnum {

    YOUTH_SPACE_MANAGER("YouthSpaceManager","青创空间管理员","青创空间管理员"),
    YOUTH_SERVICE_CENTRE_MANAGER("YouthServiceCentreManager","创新创业管理员","团市委管理员"),
    NO_MANAGER("NoManager","无权限","无权限"),
    ;

    @Getter
    private String code;

    @Getter
    private String desc;

    //别名
    @Getter
    private String alias;

  YouthSpaceRoleEnum(String code,String desc,String alias){
      this.code = code;
      this.desc = desc;
      this.alias = alias;
    }

    public static YouthSpaceRoleEnum getStateEnum(String code){
      YouthSpaceRoleEnum[] values = YouthSpaceRoleEnum.values();
      for (YouthSpaceRoleEnum value : values) {
        if(value.getCode().equals(code)){
          return value;
        }
      }
      return null;
    }

  public static YouthSpaceRoleEnum getStateEnumDesc(String desc){
    YouthSpaceRoleEnum[] values = YouthSpaceRoleEnum.values();
    for (YouthSpaceRoleEnum value : values) {
      if(value.getDesc().equals(desc)){
        return value;
      }
    }
    return null;
  }

}
