package com.crunii.micro.service.appsecond.jdbc;

import cn.hutool.core.collection.CollectionUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.dto.AppCqzdSpaceContentDto;
import com.crunii.micro.service.appsecond.api.dto.AppCqzdSpaceOrderByDto;
import com.crunii.micro.service.appsecond.api.vo.AppCqzdSpaceContentVo;
import com.crunii.micro.service.appsecond.api.vo.AppCqzdTeamStayVo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Repository;
import javax.annotation.Resource;

import java.util.*;


/**
 * @author denggl
 * date 2023/12/11
 */
@Repository
public class AppCqzdSpaceContentDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNPJdbcTemplate;

    private static   String  SPACE_SQL ="  select qsc.*,\n" +
            "  qpo.price_type AS wprice_type,qpo.price_min  AS wpriceMin,qpo.price_max AS  wpriceMax , qpo.include_state AS  wincludeState,qpo.include_content AS wincludeContent,\n" +
            "  qpoa.price_type AS aprice_type,qpoa.price_min  AS apriceMin,qpoa.price_max AS  apriceMax, qpoa.include_state  AS aincludeState,qpoa.include_content  AS aincludeContent\n" +
            "  [replace] from qczd_space_content qsc LEFT JOIN qczd_price_object qpo ON qsc.id =qpo.space_id AND qpo.point_type=0 AND qpo.del_flag =0\n" +
            "  LEFT JOIN qczd_price_object qpoa ON  qsc.id=qpoa.space_id  AND qpoa.point_type=1 AND qpoa.del_flag =0 " +
            " WHERE qsc.del_flag =0 and qsc.state='up' \n"  ;
    private static   String  SPACE_DETAILS_SQL ="  select qsc.*, res.audit_state,res.team_id,\n" +
            "  qpo.price_type AS wprice_type,qpo.price_min  AS wpriceMin,qpo.price_max AS  wpriceMax , qpo.include_state AS  wincludeState,qpo.include_content AS wincludeContent,\n" +
            "  qpoa.price_type AS aprice_type,qpoa.price_min  AS apriceMin,qpoa.price_max AS  apriceMax, qpoa.include_state  AS aincludeState,qpoa.include_content  AS aincludeContent\n" +
            "   from qczd_space_content qsc LEFT JOIN qczd_price_object qpo ON qsc.id =qpo.space_id AND qpo.point_type=0 AND qpo.del_flag =0\n" +
            "  LEFT JOIN qczd_price_object qpoa ON  qsc.id=qpoa.space_id  AND qpoa.point_type=1 AND qpoa.del_flag =0 " +
            "  LEFT JOIN (SELECT qst.space_id,qts.audit_state,qst.id,qts.id,qts.id AS team_id   FROM qczd_space_team qst LEFT JOIN qczd_team_stay  qts  ON  qts.id =qst.team_id WHERE  qts.create_id=:createId and qts.del_flag =0 and qst.del_flag=0 AND qts.audit_state !=0  AND qts.audit_state !=3 and qts.create_point=1 ) res ON  res.space_id=qsc.id\n" +
            " WHERE qsc.del_flag =0  \n"  ;

    private static   String  APP_SPACE_DETAILS_SQL ="   select qsc.*,  qpo.price_type AS wprice_type,qpo.price_min  AS wpriceMin,qpo.price_max AS  wpriceMax , qpo.include_state AS  wincludeState,qpo.include_content AS wincludeContent,    \n"
        + "  qpoa.price_type AS aprice_type,qpoa.price_min  AS apriceMin,qpoa.price_max AS  apriceMax, qpoa.include_state  AS aincludeState,qpoa.include_content  AS aincludeContent    \n"
        + "  from qczd_space_content qsc LEFT JOIN qczd_price_object qpo ON qsc.id =qpo.space_id AND qpo.point_type=0 AND qpo.del_flag =0    \n"
        + "  LEFT JOIN qczd_price_object qpoa ON  qsc.id=qpoa.space_id  AND qpoa.point_type=1 AND qpoa.del_flag =0   \n"
        + "  WHERE qsc.del_flag =0  "  ;

    private  static String COUNT_SQL=" select count(*) " +
            "   from  qczd_space_content qsc LEFT JOIN qczd_price_object qpo ON qsc.id =qpo.space_id AND qpo.point_type=0 AND qpo.del_flag =0\n" +
            "   LEFT JOIN qczd_price_object qpoa ON  qsc.id=qpoa.space_id  AND qpoa.point_type=1 AND qpoa.del_flag =0  " +
            " WHERE qsc.del_flag =0  and qsc.state='up' \n "  ;

    private static String APPLYLIST_SQL="  SELECT qts.*,re.space_name FROM  qczd_team_stay  qts     right JOIN    (  SELECT qst.space_id , qst.team_id,qsc.space_name FROM  qczd_space_team qst \n" +
            " LEFT JOIN  qczd_space_content qsc ON qsc.id =qst.space_id  where  qsc.del_flag =0   AND qst.del_flag=0)  re\n" +
            " ON re.team_id=qts.id where  qts.create_id =? AND qts.del_flag=0  and  qts.create_point=1";

    private static String INTRODUCTION_SQL=" SELECT qts.*,re.space_name FROM  qczd_team_stay  qts     right JOIN    (  SELECT qst.team_id,qsc.space_name FROM  qczd_space_team qst \n" +
           " LEFT JOIN  qczd_space_content qsc ON qsc.id =qst.space_id  where  qsc.del_flag =0 )  re ON re.team_id=qts.id where   qts.del_flag=0 ";
    private static final String PAGE_COUNT_SQL = " select count(*)  from qczd_team_stay a " +
            "  inner join qczd_space_team b on a.id = b.team_id and b.del_flag = 0 and a.del_flag = 0 \n" +
            "  inner join qczd_space_content h on b.space_id = h.id and h.del_flag = 0 \n" +
            "  where a.del_flag = 0 and a.create_point = 1 ";

    private static String INTRODUCTION_COUNT_SQL=" select * from  qczd_team_stay a  \"\n" +
            "        + \" left join qczd_space_team b on a.id = b.team_id and b.del_flag = 0 and a.del_flag = 0 \"\n" ;


    private static String TEAM_APPLIY_BASE_INFO="   SELECT * FROM qczd_team_stay qts WHERE  qts.create_id =? and qts.del_flag =0  ORDER BY  qts.apply_time desc";

    public PageRsp<AppCqzdSpaceContentVo> pageAppCqzdSpaceContent(PageReq<AppCqzdSpaceContentDto> req, Worker worker) {
        StringBuilder sb= new StringBuilder(SPACE_SQL);
        StringBuilder sbCount=new StringBuilder(COUNT_SQL);
         AppCqzdSpaceContentDto query = req.getQuery();
        Map<String,Object> params = new HashMap<>();
       //  params.put("createId",worker.getLoginId());
        if (Objects.nonNull(query)){
            if (StringUtils.isNotBlank(query.getSpaceName())){
                sb.append(" and qsc.space_name like '%"+query.getSpaceName()+"%'");
                sbCount.append(" and qsc.space_name like '%"+query.getSpaceName()+"%'");
            }
            if (StringUtils.isNotBlank(query.getLocation())){
                sb.append(" and qsc.location =:location");
                sbCount.append(" and qsc.location =:location");
                params.put("location",query.getLocation());
            }
            if (Objects.nonNull( query.getApplyWorkersMin())){
                sb.append(" and qsc.apply_workers >=:applyWorkersMin");
                sbCount.append(" and qsc.apply_workers >=:applyWorkersMin");
                params.put("applyWorkersMin",query.getApplyWorkersMin());
            }
            if (Objects.nonNull( query.getApplyWorkersMax())){
                sb.append(" and qsc.apply_workers <=:applyWorkersMax");
                sbCount.append(" and qsc.apply_workers <=:applyWorkersMax");
                params.put("applyWorkersMax",query.getApplyWorkersMax());
            }

            if (StringUtils.isNotBlank( query.getApplyAreaMin())){
                sb.append(" and qsc.apply_area >=:applyAreaMinx");
                sbCount.append(" and qsc.apply_area >=:applyAreaMinx");
                params.put("applyAreaMinx",query.getApplyAreaMin());
            }

            if (StringUtils.isNotBlank( query.getApplyAreaMax())){
                sb.append(" and qsc.apply_area <=:applyAreaMax");
                sbCount.append(" and qsc.apply_area <=:applyAreaMax");
                params.put("applyAreaMax",query.getApplyAreaMax());
            }

                if ( query.getWincludeState()!=null){
                    sb.append(" AND  qpo. include_state =:includeState");
                    sbCount.append(" AND  qpo. include_state =:includeState");
                    params.put("includeState",query.getWincludeState());
                }
                if (StringUtils.isNotBlank(query.getWpriceMin())){
                    sb.append("  AND qpo.price_min>= :priceMin");
                    sbCount.append(" AND qpo.price_min>= :priceMin");
                    params.put("priceMin",query.getWpriceMin());
                }
                if (StringUtils.isNotBlank(query.getWpriceMax())){
                    sb.append("  AND qpo.price_max<= :priceMax");
                    sbCount.append(" AND qpo.price_max<= :priceMax");
                    params.put("priceMax",query.getWpriceMax());
                }

                if ( query.getAincludeState()!=null){
                    sb.append(" AND  qpoa. include_state =:aincludeState");
                    sbCount.append(" AND qpoa. include_state =:aincludeState");
                    params.put("aincludeState",query.getAincludeState());
                }
                if (StringUtils.isNotBlank(query.getApriceMin())){
                    sb.append("  AND qpoa.price_min>= :apriceMin");
                    sbCount.append(" AND qpoa.price_min>= :apriceMin");
                    params.put("apriceMin",query.getApriceMin());
                }
                if (StringUtils.isNotBlank(query.getApriceMax())){
                    sb.append("  AND qpoa.price_max<= :apriceMax");
                    sbCount.append(" AND qpoa.price_max<= :apriceMax");
                    params.put("apriceMax",query.getApriceMax());
                }


            if (CollectionUtil.isNotEmpty(query.getHierarchyLabel())) {
                sb.append(" AND qsc.hierarchy_label IN (:label)");
                sbCount.append(" AND qsc.hierarchy_label IN (:label)");
                params.put("label",query.getHierarchyLabel());
            }
            if (CollectionUtil.isNotEmpty(query.getCqzdFocusOnAreas())){
                sb.append(" AND qsc.id IN ( SELECT space_id FROM qczd_focus_on_areas WHERE  field_name IN (:cqzdFocusOnAreas))");
                sbCount.append(" AND  qsc.id IN ( SELECT space_id FROM qczd_focus_on_areas WHERE  field_name IN (:cqzdFocusOnAreas))");
                params.put("cqzdFocusOnAreas",query.getCqzdFocusOnAreas());
            }
            if (CollectionUtil.isNotEmpty(query.getSharingSettings())){
                sb.append(" AND qsc.id IN (SELECT space_id FROM  qczd_sharing_settings WHERE  config_name IN (:settings))");
                sbCount.append(" AND qsc.id IN (SELECT space_id FROM  qczd_sharing_settings WHERE  config_name IN (:settings))");
                params.put("settings",query.getSharingSettings());
            }

        }
        int total = baseNPJdbcTemplate.queryForInt(sbCount.toString(), params);
        List<AppCqzdSpaceContentVo> result=new ArrayList<>();
        if (total > 0) {
            AppCqzdSpaceOrderByDto orderBy = query.getOrderBy();
            String oderBysql=null;
            String  distancesql="";
            if (Objects.nonNull(orderBy)){
                //离我最近排序需要传经纬度
               if (orderBy.getOderBy()==1){
                   if (StringUtils.isBlank(query.getLongitude()) && StringUtils.isBlank(query.getDimension())){
                       oderBysql=null;
                   }else {
                           //计算经纬度距离 单位千米
                           distancesql=" ,( 6371* acos( cos( radians(:dimension) ) * cos( radians( qsc.dimension ) ) * cos( radians( qsc.longitude ) - radians(:longitude) ) + sin( radians(:dimension) ) * sin( radians(qsc.dimension ) ) ) ) AS distance";
                           params.put("dimension",query.getDimension());
                           params.put("longitude",query.getLongitude());
                           oderBysql=" order by distance asc ";
                   }
               }else {
                   oderBysql= getOrderBy(orderBy.getOderBy());
               }
            }
            if (StringUtils.isBlank(oderBysql))   {
                oderBysql=" order by  qsc.created_time desc";
            }
            int startIndex = sb.indexOf("[replace]");
            int endIndex = startIndex + "[replace]".length();
            sb.replace(startIndex, endIndex, distancesql);
             sb.append(oderBysql);
            String dbType = baseNPJdbcTemplate.getDbType();
            SqlUtil.appendLimit(dbType, params, sb, req);
            result = baseNPJdbcTemplate.queryForBeans(AppCqzdSpaceContentVo.class, sb.toString(), params);
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<AppCqzdSpaceContentVo> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        // 为手机计算是否由下一页
        page.next();

        return page;
    }


    private String getOrderBy(int oder){
        String oderBy="";

        switch (oder){
            case 1:
                oderBy=" order by distance asc ";
                break;
            case 2:
                oderBy=" order by qsc.updated_time desc nulls last ";
                break;
            case 3:
                oderBy=" order by qpo.price_min asc ";
                break;
            case 4:
                oderBy=" order by qpo.price_min desc nulls last ";
                break;
            case 5:
                oderBy=" order by qsc.apply_workers asc ";
                break;
            case 6:
                oderBy=" order by qsc.apply_workers desc nulls last ";
                break;
            case 7:
                oderBy=" order by  qsc.apply_area asc ";
                break;
            case 8:
                oderBy=" order by qsc.apply_area desc nulls last ";
                break;
            case 9:
                oderBy =" order by qpoa.price_min asc ";
                break;
            case 10:
                oderBy =" order by qpoa.price_min desc nulls last ";
                break;
            default:oderBy="";
        }
        return oderBy;
    }

    public AppCqzdSpaceContentVo findQczdSpaceContent(Long spaceId,Worker worker) {
        StringBuilder sb= new StringBuilder(SPACE_DETAILS_SQL);
        Map<String,Object> params = new HashMap<>();
        params.put("createId",worker.getLoginId());
        sb.append(" and  qsc.id=:id limit 1");
        params.put("id",spaceId);

        return baseNPJdbcTemplate.queryForBean(AppCqzdSpaceContentVo.class,sb.toString(),params);
    }

    public AppCqzdSpaceContentVo findOneSpaceDetails(Long spaceId) {
        StringBuilder sb= new StringBuilder(APP_SPACE_DETAILS_SQL);
        Map<String,Object> params = new HashMap<>();
        sb.append(" and  qsc.id=:id limit 1");
        params.put("id",spaceId);
        return baseNPJdbcTemplate.queryForBean(AppCqzdSpaceContentVo.class,sb.toString(),params);
    }

    public List<AppCqzdTeamStayVo> applyList(Worker worker) {
        return jdbcTemplate.queryForBeans(AppCqzdTeamStayVo.class,APPLYLIST_SQL,worker.getLoginId());
    }


    public List<AppCqzdTeamStayVo> getBaseInfo(Integer businessLicense, Worker worker) {
        return jdbcTemplate.queryForBeans(AppCqzdTeamStayVo.class,TEAM_APPLIY_BASE_INFO,worker.getLoginId());

    }

    public List<AppCqzdTeamStayVo> findQczdTeamStayLimitFive() {
        StringBuilder sb= new StringBuilder(INTRODUCTION_SQL);
        sb.append(" and  qts.audit_state=2  and qts.team_state = 0    order by  qts.settled_time desc nulls last limit 5");
      return jdbcTemplate.queryForBeans(AppCqzdTeamStayVo.class,sb.toString());
    }

    public  AppCqzdTeamStayVo applyEnd(Worker worker,Long spaceId){
        StringBuilder sb= new StringBuilder(APPLYLIST_SQL);
        sb.append(" AND ( qts.audit_state=2  OR  qts.audit_state=1  )   AND  re.space_id=?");
        return  jdbcTemplate.queryForBean(AppCqzdTeamStayVo.class,sb.toString(),worker.getLoginId(),spaceId);
    }

    public int countByAuditState(int auditState) {
        StringBuilder sb= new StringBuilder(INTRODUCTION_COUNT_SQL);
        sb.append(" and  qts.audit_state=2 and  and qts.team_state = 0  ");
        return jdbcTemplate.queryForInt(sb.toString(),auditState);
    }

    public int reportNumber() {
        return jdbcTemplate.queryForInt(PAGE_COUNT_SQL);
    }

    public int settleNumber() {
         String sql="   SELECT  SUM(ss) FROM (   select count(c.id) ss ,c.id from  qczd_team_stay a LEFT JOIN   qczd_space_team b ON b.team_id =a.id AND b.del_flag =0 LEFT JOIN   qczd_space_content c ON c.id =b.space_id  AND  c. del_flag = 0   \n" +
                 "                where a.audit_state = 2 and a.team_state = 0 AND a.del_flag =0 GROUP  BY  c.id) ";
        return jdbcTemplate.queryForInt(sql);
    }
}
