package com.crunii.micro.service.appsecond.jdbc;

import cn.hutool.core.util.ObjectUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.feign.client.dto.MessageSendSelect;
import com.crunii.micro.feign.client.dto.AppMessageCenterDTO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @program: microservice
 * @description: 消息中心jdbc
 * @author: xiang xin
 * @create: 2023-12-08 17:25
 */
@Repository
public class AppMessageCenterDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNPJdbcTemplate;

    public PageRsp<MessageSendSelect> pageMessage(PageReq<AppMessageCenterDTO> req, Worker worker) {
        StringBuilder sb = new StringBuilder(" select  u.logo_url,a.* from YOUTH_CQ.ycq_message_record a\n" +
                "left join YCQ_APP_CONFIG_URL u on a.data_source =u.system_name\n" +
                "where 1=1 and a.send_way = 2 and a.message_type = 2 and login_id =? ");
        StringBuilder sbCount = new StringBuilder(" select  count(1) from YOUTH_CQ.ycq_message_record a\n" +
                "left join YCQ_APP_CONFIG_URL u on a.data_source =u.system_name\n" +
                "where 1=1 and a.send_way = 2 and a.message_type = 2 and login_id =? ");
        List<Object> params = new ArrayList<>();
        params.add(worker.getLoginId());
        if (ObjectUtil.isNotEmpty(req.getQuery().getDataSource()) && !"全部".equals(req.getQuery().getDataSource())) {
            sb.append(" and a.data_source = ? ");
            sbCount.append(" and a.data_source  = ? ");
            params.add(req.getQuery().getDataSource());
        }
        if (ObjectUtil.isNotEmpty(req.getQuery().getDataTitle())) {
            sb.append(" and (a.data_title like ? or  a.message_content like ? ) ");
            sbCount.append(" and (a.data_title like ? or  a.message_content like ? ) ");
            params.add("%" + req.getQuery().getDataTitle() + "%");
            params.add("%" + req.getQuery().getDataTitle() + "%");
        }
        List<MessageSendSelect> values;
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        String dbType = jdbcTemplate.getDbType();
        if (total > 0) {
            //添加orderBy
            sb.append(" ORDER BY a.push_time desc ");
            SqlUtil.appendLimit(dbType, params, sb, req);
            values = jdbcTemplate.queryForBeans(MessageSendSelect.class, sb.toString(), params.toArray());
        } else {
            values = new ArrayList<>(0);
        }
        PageRsp<MessageSendSelect> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(values);
        // 为手机计算是否由下一页
        page.next();
        return page;
    }

    public Object selectNumber(Worker worker) {
        String sql = "select  count(*) from YOUTH_CQ.ycq_message_record where 1=1 and send_way in (2,3) and message_type in (2,3) and is_read =0 and login_id =" + worker.getLoginId();
        return jdbcTemplate.queryForRawObjects(Long.class, sql);
    }

    public Object doState(AppMessageCenterDTO dto) {
        String sql = "update YOUTH_CQ.ycq_message_record set is_read = 1 where id = " + dto.getId();
        return jdbcTemplate.update(sql);
    }

    public List<String> selectState(Worker worker) {
        String sql = " select distinct app_name from ycq_app_config_url a where a.state = 1 and a.app_id in(select app_id from tsm_role_app tra \n" +
                "where tra.role_id in(select role_id from TSM_WORKER_ROLE where login_id = ? )) ";
        return jdbcTemplate.queryForRawObjects(String.class, sql, worker.getLoginId());
    }
}
