package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.bo.AppCqzdTeamStayBo;
import com.crunii.micro.service.appsecond.api.dto.AppCqzdSpaceContentDto;
import com.crunii.micro.service.appsecond.api.vo.*;

import java.util.List;


/**
 * @author denggl
 * date 2023/12/11
 */
public interface AppCqzdSpaceContentService {

    /**
     * 青创空间的介绍信息
     * @return
     */
    AppCqzdSpaceIntroductionVo introduction();

    /**
     * app分页列表
     * @param req
     * @param worker
     * @return
     */

    PageRsp<AppCqzdSpaceContentVo> pageAppCqzdSpaceContent(PageReq<AppCqzdSpaceContentDto> req, Worker worker);


    /**
     *空间详情
     * @param spaceId
     * @param worker
     * @return
     */
    AppCqzdSpaceContentVo  cqzdSpaceContentdetails(Long spaceId, Worker worker);


    /**
     *app空间详情分享
     * @param spaceId
     * @return
     */
    AppCqzdSpaceContentVo  spaceContentDetails(Long spaceId);

    /**
     * 保存申请
     * @param cqzdTeamStayBo
     * @param worker
     */
    void saveApplycCqzdSpace(AppCqzdTeamStayBo cqzdTeamStayBo, Worker worker);


    /**撤销申请
     * 入驻id
     * @param worker
     */

     void revoke(Long id,Worker worker );

    /**
     * 申请列表
     */
    AppSpaceTeamApplyVo applyList(Worker worker );

    /**
     * 返回填充数据
     */
    AppCqzdTeamStayVo getBaseInfo(Integer businessLicense, Worker worker );

    void updateApplycCqzdSpace(AppCqzdTeamStayBo cqzdTeamStayBo, Worker worker);

    AppCqzdTeamStayVo getTeamStay(Long teamId, Worker worker);


    List<QczdTeamStayschedule>  schedule(Long teamId, Long spaceId);
}
