package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.dto.AddFaceDTO;
import com.crunii.micro.service.appsecond.api.vo.QueryAccountVO;
import com.crunii.micro.web.mvc.CurrWorker;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @author: LG
 * @date: 2023/12/14 15:08
 */
public interface AppSetUserService {

    /**
     * 添加打开面容
     * @param worker
     * @param dto
     * @return
     */
    Result<String> updateFace(Worker worker, AddFaceDTO dto);

    /**
     * 删除关闭面容
     * @param worker
     * @return
     */
    Result<String> deleteFace( Worker worker);

    /**
     * 查看账号和安全
     * @param worker
     * @return
     */
    Result<QueryAccountVO> queryAccount(Worker worker);
}
