package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.bo.WorkerAppReqVO;
import com.crunii.micro.service.appsecond.api.vo.AppAllRspVO;
import com.crunii.micro.service.appsecond.api.vo.WorkerAppRspVO;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/12/13 9:49
 */
public interface AppSubjectService {
    /**
     * 查询我的应用
     * @param worker
     * @return
     */
    List<WorkerAppRspVO> getMyApp(Worker worker);

    /**
     * 删除我的应用
     * @param id
     * @param worker
     * @return
     */
    Boolean deleteMyApp(Long id, Worker worker);

    /**
     * 新增我的应用
     * @param workerAppReqVO
     * @param worker
     * @return
     */
    Boolean createMyApp(WorkerAppReqVO workerAppReqVO, Worker worker);

    /**
     * 查询所有应用
     * @param workerAppReqVO
     * @param worker
     * @return
     */
    List<AppAllRspVO> doFindAllApp(WorkerAppReqVO workerAppReqVO, Worker worker);
}
