package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextCreateDto;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextManageDto;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ToTopDto;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.YouthAuditDto;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.AuditFlowVo;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.ContextManageDetailVo;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.ContextManageVo;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
public interface IAppContentManageService {

    /**
     * 内容新增 （草稿）
     * @param dto 参数
     * @param worker 当前用户
     * @return str
     */
    String createContextDraft(ContextCreateDto dto, Worker worker);

    /**
     * 内容新增 （发布）
     * @param dto 参数
     * @param worker 当前用户
     * @return str
     */
    String createContext(ContextCreateDto dto, Worker worker);

    /**
     * 分页查询内容管理界面
     * @param req 请求参数
     * @param worker 当前用户
     * @return data
     */
    PageRsp<ContextManageVo> pageContextManage(PageReq<ContextManageDto> req, Worker worker);

    /**
     * 查询内容详细
     * @param contentManageId 主键id
     * @param worker worker
     * @return data
     */
    ContextManageDetailVo findContextManageDetail(Long contentManageId, Worker worker);

    /**
     * 批量删除（更改为下架）
     * @param contentManageIds ids
     * @param worker worker
     * @return str
     */
    String delContext(List<Long> contentManageIds,Worker worker);

    /**
     * 批量发布文章
     * @param contentManageIds 文章ids
     * @param worker 当前用户
     * @return str
     */
    String updateReleaseContext(List<Long> contentManageIds, Worker worker);

    /**
     * 同步es数据
     * @param worker 当前用户
     * @return str
     */
    String synEsData(Worker worker);

    /**
     * 批量删除
     * @param contentManageIds 主键ids
     * @param worker 当前用户
     * @return str
     */
    String delRealContext(List<Long> contentManageIds, Worker worker);

    /**
     * 置顶
     * @param toTopDto 参数
     * @param worker worker
     * @return str
     */
    String updateTop(ToTopDto toTopDto, Worker worker);

    /**
     * 审核
     * @param dto 参数
     * @param worker 当前用户
     * @return data
     */
    String updateAuditState(YouthAuditDto dto, Worker worker);

    /**
     * 查询审核流程
     * @param contentManageId 主键id
     * @param worker 当前用户
     * @return data
     */
    List<AuditFlowVo> queryAuditFlow(Long contentManageId, Worker worker);
}
