package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextAppSortDto;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextManageDto;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.ContextSortTypeDto;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.ContextManageVo;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.HandleHistoryVo;


/**
 * 【请填写功能名称】Service接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
public interface IAppContentSortService {

    /**
     * 更改app序值
     * @param dto 参数
     * @param worker worker
     * @return str
     */
    String updateAppSort(ContextAppSortDto dto, Worker worker);


    /**
     * 更新热搜 热榜
     * @param dto 参数
     * @param worker 当前用户
     * @return  str
     */
    String updateWhetherHot(ContextSortTypeDto dto, Worker worker);

    /**
     * 查询历史记录
     * @param req 请求参数
     * @param worker 当前用户
     * @return data
     */
    PageRsp<HandleHistoryVo> pageHandleHistory(PageReq<Object> req, Worker worker);

    /**
     * 分页查询内容排序
     * @param req 请求参数
     * @param worker 当前用户
     * @return data
     */
    PageRsp<ContextManageVo> pageContextManage(PageReq<ContextManageDto> req, Worker worker);
}
