package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.api.bo.AppDiscoverPositionBo;
import com.crunii.micro.service.appsecond.api.bo.AppQueryPositionBo;
import com.crunii.micro.service.appsecond.api.vo.AppDiscoverListVo;
import com.crunii.micro.service.appsecond.api.vo.AppDiscoverPositionVo;

import java.util.Collection;
import java.util.List;

/**
 * @author lyx
 * @date 2023/12/7
 */
public interface IAppDiscoverPositionService {
	Result<List<AppDiscoverListVo>> queryAppList(AppQueryPositionBo bo);
	/**
	 * 查询发现阵地主
	 */
	AppDiscoverPositionVo queryById(Long id);

	/**
	 * 查询发现阵地主列表
	 */
	Result<PageRsp<AppDiscoverPositionVo>> queryPageList(PageReq<AppDiscoverPositionBo> bo);

	/**
	 * 查询发现阵地主列表
	 */
	List<AppDiscoverPositionVo> queryList(AppDiscoverPositionBo bo);

	/**
	 * 修改发现阵地主
	 */
	Boolean insertByBo(AppDiscoverPositionBo bo);

	/**
	 * 修改发现阵地主
	 */
	Boolean updateByBo(AppDiscoverPositionBo bo);

	/**
	 * 校验并批量删除发现阵地主信息
	 */
	Boolean deleteWithValidByIds(Long id, Boolean isValid);


}
