package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.domain.entity.main.AppHelpCenter;
import com.crunii.micro.service.appsecond.api.bo.AppHelpCenterTypeBo;
import com.crunii.micro.service.appsecond.api.vo.AppHelpCenterVo;
import com.crunii.micro.service.appsecond.api.bo.AppHelpCenterBo;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.api.vo.AppHelpHotCenterVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Collection;
import java.util.List;

/**
 * app帮助中心Service接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
public interface IAppHelpCenterService {

    /**
     * 查询app帮助中心
     */
    AppHelpCenterVo queryById(Long id);

    /**
     * 查询app帮助中心列表
     */
    Result<PageRsp<AppHelpCenterVo>> queryPageList(PageReq<AppHelpCenterBo> bo);

    /**
     * 查询app帮助中心列表
     */
    List<AppHelpCenterVo> queryList(AppHelpCenterBo bo);

    /**
     * 修改app帮助中心
     */
    Boolean insertByBo(AppHelpCenterBo bo);

    /**
     * 修改app帮助中心
     */
    Boolean updateByBo(AppHelpCenterBo bo);

    /**
     * 校验并批量删除app帮助中心信息
     */
    Boolean deleteById(Long id);

    Result<List<AppHelpHotCenterVo>> queryAppHotList();

    Result<List<AppHelpHotCenterVo>> appGet(String question);

    AppHelpHotCenterVo doGetById(Long id);

    Object downloadModel() throws IOException;

    Result doVerifyExcel(MultipartFile file);

    Result doImportDate(String dataKey);

	AppHelpHotCenterVo doGetByType(AppHelpCenterTypeBo appHelpCenterTypeBo);
}
