package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.AppHelpHistory;
import com.crunii.micro.service.appsecond.api.vo.AppHelpHistoryVo;
import com.crunii.micro.service.appsecond.api.bo.AppHelpHistoryBo;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;

import java.util.Collection;
import java.util.List;

/**
 * 帮助中心搜索Service接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
public interface IAppHelpHistoryService {

    /**
     * 查询帮助中心搜索
     */
    AppHelpHistoryVo queryById(Long id);

    /**
     * 查询帮助中心搜索列表
     */
    Result<PageRsp<AppHelpHistoryVo>> queryPageList(PageReq<AppHelpHistoryBo> bo);

    /**
     * 查询帮助中心搜索列表
     */
    List<AppHelpHistoryVo> queryList(AppHelpHistoryBo bo);

    /**
     * 修改帮助中心搜索
     */
    Boolean insertByBo(AppHelpHistoryBo bo);

    /**
     * 修改帮助中心搜索
     */
    Boolean updateByBo(AppHelpHistoryBo bo);

    /**
     * 校验并批量删除帮助中心搜索信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Result<List<AppHelpHistoryVo>> queryAppList(Worker worker);
}
