package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.appsecond.api.bo.youthHotPoint.*;
import com.crunii.micro.service.appsecond.api.vo.youthHotPoint.*;

import java.util.List;


/**
 * 【请填写功能名称】Service接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
public interface IAppMediumService {

    /**
     * 创建媒体账号/修改
     * @param dto 请求参数
     * @param worker 当前用户
     * @return str
     */
    String createMedium(MediumCreateDto dto, Worker worker);

    /**
     * 分页查询媒体
     * @param req 请求参数
     * @param worker 当前用户
     * @return data
     */
    PageRsp<MediumVo> pageMedium(PageReq<MediumDto> req, Worker worker);

    /**
     * 关注/取消媒体账号
     * @param dto 参数
     * @return str
     */
    String attentionMedium(AttentionMediumDto dto);

    /**
     * 刷新本地缓存到数据库 定时调用
     */
    void flushAttentionMedium();

    /**
     * 批量启停用
     * @param dto 参数
     * @param worker 当前用户
     * @return str
     */
    String updateEnableMedium(EnableMediumDto dto, Worker worker);

    /**
     * 删除媒体渠道
     * @param mediumId 媒体id
     * @param worker 当前用户
     * @return str
     */
    String delMedium(Long mediumId, Worker worker);

    /**
     * 媒体矩阵热度-分页列表
     * @param req 请求参数
     * @param worker 当前用户
     * @return data
     */
    PageRsp<MediumHotVo> pageMediumHot(PageReq<MediumHotDto> req, Worker worker);

    /**
     * 媒体矩阵热度-媒体id分页列表
     * @param req 请求参数
     * @param worker 当前用户
     * @return data
     */
    PageRsp<MediumContentHotVo> pageMediumContentHot(PageReq<MediumContentHotDto> req, Worker worker);

    /**
     * 导出excel
     * @param dto 请求参数
     * @param worker 当前用户
     * @return str
     */
    String exportExcel(MediumHotExcelDto dto, Worker worker);

    /**
     * 查询媒体组织数
     * @param worker worker
     * @return data
     */
    MediumOrgTree findMediumTree(Worker worker);

    /**
     * 查询组织权限树
     * @param dto dto
     * @param worker worker
     * @return data
     */
    List<OrgAuthTreeVo> findAuthTree(OrgAuthTreeDto dto,Worker worker);
}
