package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.domain.entity.main.AppPersonalHonor;
import com.crunii.micro.service.appsecond.api.vo.AppPersonalHonorVo;
import com.crunii.micro.service.appsecond.api.bo.AppPersonalHonorBo;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;

import java.util.Collection;
import java.util.List;

/**
 * 个人荣誉信息Service接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
public interface IAppPersonalHonorService {

    /**
     * 查询个人荣誉信息
     */
    AppPersonalHonorVo queryById(Long ID);

    /**
     * 查询个人荣誉信息列表
     */
    Result<PageRsp<AppPersonalHonorVo>> queryPageList(PageReq<AppPersonalHonorBo> bo);

    /**
     * 查询个人荣誉信息列表
     */
    List<AppPersonalHonorVo> queryList(AppPersonalHonorBo bo);

    /**
     * 修改个人荣誉信息
     */
    Boolean insertByBo(AppPersonalHonorBo bo);

    /**
     * 修改个人荣誉信息
     */
    Boolean updateByBo(AppPersonalHonorBo bo);

    /**
     * 校验并批量删除个人荣誉信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
