package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.AppPersonalInfo;
import com.crunii.micro.service.appsecond.api.dto.AppPersonalInfoDto;
import com.crunii.micro.service.appsecond.api.vo.AppPersonalInfoVo;
import com.crunii.micro.service.appsecond.api.bo.AppPersonalInfoBo;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sysmgr.api.domain.dto.OrgNode;

import java.text.ParseException;
import java.util.Collection;
import java.util.List;

/**
 * 个人信息Service接口
 *
 * @author liuchuan
 * @date 2023-12-06
 */
public interface IAppPersonalInfoService {


    /**
     * 修改个人信息
     */
    Result updateInfo(AppPersonalInfoDto dto) throws ParseException;

     /**
     * 查询个人信息
     */
    Result<AppPersonalInfoVo> getInfo( Worker worker) throws ParseException;

    /**
     * 获取学校组织
     */
    List<OrgNode> getOrgChildrenByParentOrgId(Long parentOrgId);
}
