package com.crunii.micro.service.appsecond.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.SpacePassTeamCUReqDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.SpacePassTeamPageReqDTO;
import com.crunii.micro.service.appsecond.api.dto.youthsapce.TeamBatchImportDTO;
import com.crunii.micro.service.appsecond.api.vo.youthspace.SpacePassTeamPageVO;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Author thw
 * @date 2023/12/13
 * @description 入住空间的团队管理
 */
public interface SpacePassTeamService {

  /** 指定空间信息查询 */
  Result oneSpaceInfo(Long spaceId);

  /** 已入住团队分页 */
  PageRsp<SpacePassTeamPageVO> pageTeamInfo(PageReq<SpacePassTeamPageReqDTO> bo);

  /** 创建团队内容 */
  Result saveTeam(SpacePassTeamCUReqDTO bo);

  /** 修改团队内容 */
  Result updateTeam(SpacePassTeamCUReqDTO bo);

  /** excel批量新增团队 */
  Result saveBatchImportExcelTeam(HttpServletResponse response, MultipartFile file,Integer businessLicense)
      throws IOException;

  /** 已入住团队导出*/
  void batchExportTeam(HttpServletResponse response, SpacePassTeamPageReqDTO bo);

  /** excel新增团队模板导出*/
  void exportSpaceTeamTemplate(HttpServletResponse response, Integer businessLicense);

  /** 团队孵化结束 */
  Result updateTeamState(Long teamId);


  Result doVerifyImportTeamExcel(HttpServletResponse response, MultipartFile file, Integer businessLicense,Long spaceId);

  Result saveTeamBatchImport(TeamBatchImportDTO dto);
}
