package com.crunii.micro.service.appsecond.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.crunii.micro.service.appsecond.api.bo.AppHelpHistoryBo;
import com.crunii.micro.service.appsecond.api.vo.AppHelpHistoryVo;
import com.crunii.micro.domain.entity.main.AppHelpHistory;
import com.crunii.micro.domain.repo.main.AppHelpHistoryRepo;
import com.crunii.micro.service.appsecond.converter.AppHelpHistoryConverter;
import com.crunii.micro.service.appsecond.service.IAppHelpHistoryService;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Collection;
import java.util.stream.Collectors;

/**
 * 帮助中心搜索Service业务层处理
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@RequiredArgsConstructor
@Service
@Slf4j
public class AppHelpHistoryServiceImpl implements IAppHelpHistoryService {

    private final AppHelpHistoryRepo baseRepo;
    private final AppHelpHistoryConverter baseConverter;

    /**
     * 查询帮助中心搜索
     */
    @Override
    public AppHelpHistoryVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询帮助中心搜索列表
     */
    @Override
    public Result<PageRsp<AppHelpHistoryVo>> queryPageList(PageReq<AppHelpHistoryBo> bo) {
        return null;
    }

    /**
     * 查询帮助中心搜索列表
     */
    @Override
    public List<AppHelpHistoryVo> queryList(AppHelpHistoryBo bo) {
        return null;
    }

    /**
     * 新增帮助中心搜索
     */
    @Override
    public Boolean insertByBo(AppHelpHistoryBo bo) {
        AppHelpHistory add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改帮助中心搜索
     */
    @Override
    public Boolean updateByBo(AppHelpHistoryBo bo) {
        AppHelpHistory update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(AppHelpHistory entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除帮助中心搜索
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return null;
    }

    @Override
    public Result<List<AppHelpHistoryVo>> queryAppList(Worker worker) {
        List<AppHelpHistory> helpHistorys = baseRepo.findAllByCreatedIdAndDelFlag(Long.valueOf(worker.getLoginId()),0);
       // List<String> list = helpHistorys.stream().map(AppHelpHistory::getSearchHistory).collect(Collectors.toList());
        List<AppHelpHistoryVo> vos = new ArrayList<>();
        for (AppHelpHistory helpHistory : helpHistorys) {
            AppHelpHistoryVo vo = baseConverter.entityToVo(helpHistory);
            vos.add(vo);
        }
        return new Result<>(vos);
    }
}
