package com.crunii.micro.service.appsecond.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import com.crunii.micro.feign.client.dto.AppMessageCenterDTO;
import com.crunii.micro.feign.client.dto.MessageSendSelect;
import com.crunii.micro.service.appsecond.jdbc.AppMessageCenterDao;
import com.crunii.micro.service.appsecond.service.AppMessageCenterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @program: microservice
 * @description: 消息中心impl
 * @author: xiang xin
 * @create: 2023-12-08 10:37
 */
@Service
public class AppMessageCenterServiceImpl implements AppMessageCenterService {
    @Autowired
    private AppMessageCenterDao appMessageCenterDao;
    @Value("${upload.url}")
    private String urlPrefix;

    @Override
    public Result<PageRsp<MessageSendSelect>> pageMessage(PageReq<AppMessageCenterDTO> dto) {
//        CurrWorkerUtil.mockCurrWorker();
        Worker worker = CurrWorkerUtil.getCurrWorker();
//        if (null == worker.getOrgId()) {
//            return Result.ofFail("该账号组织异常,请联系系统管理员");
//        }
        PageRsp<MessageSendSelect> messageSendSelectPageRsp = appMessageCenterDao.pageMessage(dto, worker);
        messageSendSelectPageRsp.getResult().stream()
                .filter(e -> e.getLogoUrl() != null && !e.getLogoUrl().isEmpty())
                .forEach(e -> e.setLogoUrl(urlPrefix + e.getLogoUrl()));
        return new Result(Boolean.TRUE, messageSendSelectPageRsp);
    }

    @Override
    public Result<Object> selectNumber() {
//        CurrWorkerUtil.mockCurrWorker();
        Worker worker = CurrWorkerUtil.getCurrWorker();
        return new Result<>(Boolean.TRUE, appMessageCenterDao.selectNumber(worker));
    }

    @Override
    public Result<Object> doState(AppMessageCenterDTO dto) {
//        CurrWorkerUtil.mockCurrWorker();
        Worker worker = CurrWorkerUtil.getCurrWorker();
        if (null == dto.getId()) {
            return Result.ofFail("id不能为空");
        }
        return new Result<>(Boolean.TRUE, appMessageCenterDao.doState(dto));
    }

    @Override
    public Result<Object> selectState() {
        Worker worker = CurrWorkerUtil.getCurrWorker();
        if (null != worker) {
            List<String> list = appMessageCenterDao.selectState(worker);
            list.add(0, "全部");
            return new Result<>(list);
        } else {
            return Result.ofFail("请登录过后再尝试!");
        }
    }
}
