package com.crunii.micro.service.appsecond.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.crunii.micro.service.appsecond.api.bo.AppPersonalHonorBo;
import com.crunii.micro.service.appsecond.api.vo.AppPersonalHonorVo;
import com.crunii.micro.domain.entity.main.AppPersonalHonor;
import com.crunii.micro.domain.repo.main.AppPersonalHonorRepo;
import com.crunii.micro.service.appsecond.converter.AppPersonalHonorConverter;
import com.crunii.micro.service.appsecond.service.IAppPersonalHonorService;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 个人荣誉信息Service业务层处理
 *
 * @author liuchuan
 * @date 2023-12-06
 */
@RequiredArgsConstructor
@Service
@Slf4j
public class AppPersonalHonorServiceImpl implements IAppPersonalHonorService {

    private final AppPersonalHonorRepo baseRepo;
    private final AppPersonalHonorConverter baseConverter;

    /**
     * 查询个人荣誉信息
     */
    @Override
    public AppPersonalHonorVo queryById(Long ID){
        return baseConverter.entityToVo(baseRepo.getById(ID));
    }

    /**
     * 查询个人荣誉信息列表
     */
    @Override
    public Result<PageRsp<AppPersonalHonorVo>> queryPageList(PageReq<AppPersonalHonorBo> bo) {
        return null;
    }

    /**
     * 查询个人荣誉信息列表
     */
    @Override
    public List<AppPersonalHonorVo> queryList(AppPersonalHonorBo bo) {
        return null;
    }

    /**
     * 新增个人荣誉信息
     */
    @Override
    public Boolean insertByBo(AppPersonalHonorBo bo) {
        AppPersonalHonor add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改个人荣誉信息
     */
    @Override
    public Boolean updateByBo(AppPersonalHonorBo bo) {
        AppPersonalHonor update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(AppPersonalHonor entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除个人荣誉信息
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return null;
    }
}
