package com.crunii.micro.service.appsecond.task;

import com.crunii.micro.service.appsecond.service.IAppMediumService;
import com.crunii.micro.service.appsecond.service.impl.AppYouthHotServiceImpl;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PreDestroy;


/**
 * @author wangchen create 2023/12/8 15:17
 */
@EnableScheduling
@Component
@Slf4j
@RequiredArgsConstructor
public class MediumAttentionTask {
    private final IAppMediumService iAppMediumService;
    private final AppYouthHotServiceImpl appYouthHotService;

    /**
     * 定时刷新媒体关注到数据库
     */
    @Scheduled(fixedDelay = 1000L*60*30)
    @PreDestroy
    public void flushAttentionMedium() {
        iAppMediumService.flushAttentionMedium();

    }

    /**
     * 定时刷新媒体关注到数据库
     */
    @Scheduled(fixedDelay = 1000L*60*60)
    @PreDestroy
    public void flushReadMedium() {
        appYouthHotService.flushCash();
    }

}
