package com.crunii.micro.service.appsecond.utils;

import com.crunii.micro.common.dto.PageRsp;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class BeanCopyUtil {
    public  <T>T copyObject(Object source,Class<T> clazz){
        T t = null;
        try {
            t=clazz.newInstance();
            BeanUtils.copyProperties(source,t);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return t;
    }

    public  <T> List<T> copyList(List sources, Class<T> clazz){
        ArrayList<T> list = new ArrayList<T>();
        try {
            for (Object source : sources) {
                T t = clazz.newInstance();
                BeanUtils.copyProperties(source,t);
                list.add(t);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return list;
    }
    public <T> PageRsp<T> copyPageRsp(PageRsp sources, Class<T> clazz){
        PageRsp<T> page = new PageRsp<>();
        ArrayList<T> records = new ArrayList<>();
        try {
            for (Object source : sources.getResult()) {
                T t = clazz.newInstance();
                BeanUtils.copyProperties(source,t);
                records.add(t);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        page.setResult(records);
        page.setTotalNum(sources.getTotalNum());
        page.setHasNext(sources.isHasNext());
        page.setPageNo(sources.getPageNo());
        page.setPageSize(sources.getPageSize());
        return page;
    }
    public <T> PageRsp<T> setPageRsp(PageRsp sources, List<T> records){
        PageRsp<T> page = new PageRsp<>();
        page.setResult(records);
        page.setTotalNum(sources.getTotalNum());
        page.setHasNext(sources.isHasNext());
        page.setPageNo(sources.getPageNo());
        page.setPageSize(sources.getPageSize());
        return page;
    }
}
