package com.crunii.micro.service.appsecond.utils;


import cn.hutool.core.util.StrUtil;
import com.crunii.micro.service.appsecond.api.dto.data.ExcelHelpCenterData;
import com.crunii.micro.service.appsecond.api.dto.data.ExcelMistakeData;
import com.crunii.micro.service.appsecond.api.vo.AppHelpCenterVo;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author baoxy
 * @date 2023-10-10
 */
@Component
public class ExcelHelpCenterVerify {

    List<ExcelMistakeData> list;

    public List<ExcelMistakeData> data(ExcelHelpCenterData excelStuData, String raw) {
        list = new ArrayList<>();
        // 行数
        ExcelMistakeData data = new ExcelMistakeData();
        data.setName("行数");
        data.setValue(raw);
        data.setFlag(true);
        list.add(data);
        question(excelStuData);
        keywords(excelStuData);
        answer(excelStuData);
        List<Integer> state = list.stream().map(ExcelMistakeData::getState).collect(Collectors.toList());
        if (state.contains(0)) {
            return list;
        } else {
            list = new ArrayList<>();
        }
        return list;
    }

    /**
     * 问题描述
     */
    public void question(ExcelHelpCenterData excelStuData) {
        ExcelMistakeData mistakeData = new ExcelMistakeData();
        mistakeData.setName("问题描述");

        if (StrUtil.isEmpty(excelStuData.getQuestion())) {
            mistakeData.setFlag(false);
            mistakeData.setErrText("未填写");
            mistakeData.setState(0);
        }else {
            mistakeData.setFlag(true);
            mistakeData.setValue(excelStuData.getQuestion());
        }
        list.add(mistakeData);
    }
    /**
     * 关键词
     */
    public void keywords(ExcelHelpCenterData excelStuData) {
        ExcelMistakeData mistakeData = new ExcelMistakeData();
        mistakeData.setName("关键词");

        if (StrUtil.isEmpty(excelStuData.getKeywords())) {
            mistakeData.setFlag(false);
            mistakeData.setErrText("未填写");
            mistakeData.setState(0);
        }else {
            mistakeData.setFlag(true);
            mistakeData.setValue(excelStuData.getKeywords());
        }
        list.add(mistakeData);
    }

    /**
     * 答案
     */
    public void answer(ExcelHelpCenterData excelStuData) {
        ExcelMistakeData mistakeData = new ExcelMistakeData();
        mistakeData.setName("答案");

        if (StrUtil.isEmpty(excelStuData.getAnswer())) {
            mistakeData.setFlag(false);
            mistakeData.setErrText("未填写");
            mistakeData.setState(0);
        }else {
            mistakeData.setFlag(true);
            mistakeData.setValue(excelStuData.getAnswer());
        }
        list.add(mistakeData);
    }


}
