package com.crunii.micro.service.app.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.app.dto.AppHotSearchVo;
import com.crunii.micro.service.app.dto.ImageInfoVo;
import com.crunii.micro.service.app.dto.ImagesVo;
import com.crunii.micro.service.app.dto.LabelDto;
import com.crunii.micro.service.app.service.FileService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/16 14:39
 */
@Api(tags = "app文件中心模块")
@RestController
@Slf4j
@RequestMapping("/public/FileController")
public class PublicFileController {

    @Resource
    private FileService fileService;

    @ApiOperation(value = "app首页分页查询")
    @PostMapping(path = "/queryForLabelList")
    public Result<PageRsp<ImagesVo>> queryForLabelList(@RequestBody PageReq<LabelDto> req){
        return fileService.queryList(req);
    }

    @ApiOperation(value = "app查看详情")
    @GetMapping(path = "/details")
    public Result<ImageInfoVo> details(@RequestParam Long uploadId){
        return fileService.queryImageInfo(uploadId);
    }

    @ApiOperation(value = "app热门搜索")
    @GetMapping(path = "/popularSearches")
    public Result<List<AppHotSearchVo>> popularSearches(){
        return fileService.queryHostSearch();
    }

}
