package com.crunii.micro.service.app.dto;

import com.crunii.micro.feign.client.dto.LabelDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/16 14:48
 */
@Data
@ApiModel("上传文件Dto")
public class UploadFileDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotBlank(message = "文件id不能为空")
    @ApiModelProperty("文件id")
    private Long fileId;

    @ApiModelProperty("名称")
    @NotBlank(message = "名称不能为空")
    private String fileName;

    @ApiModelProperty("关键字")
    @NotNull( message = "关键字不能为空")
    private List<LabelDto> Labels;

    @ApiModelProperty("描述")
    private String describe;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "文件Key")
    private String fileKey;

    @ApiModelProperty(value = "图片宽度")
    private Integer picWidth;

    @ApiModelProperty(value = "图片高度")
    private Integer picHeight;

    @ApiModelProperty(value = "是否图片（0否，1是）")
    private Integer isPic;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;
}
