package com.crunii.micro.service.app.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * youth-cq.
 * 头条标签枚举类
 * @author leixb
 * @since 2024-01-24 10:59
 **/
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum HeadlineLabelEnum {

    /** 头条标签枚举类 */
    NEWS("news","要闻"),
    LOCAL("local", "本地资讯"),
    YOUTH("youth", "共青团资讯"),
    MEDIA("media", "媒体看团"),
    ;

    public static HeadlineLabelEnum getValueByCode(String code){
        //默认
        HeadlineLabelEnum result = null;
        for (HeadlineLabelEnum item : values()) {
            if (item.code.equals(code)){
                result = item;
            }
        }
        return result;
    }

    /** 编码 */
    private String code;
    /** 名称 */
    private String name;

}
