package com.crunii.micro.service.app.service;

import com.crunii.micro.common.constants.RedisKeys;
import com.crunii.micro.service.app.dto.MatchActivityVo;
import org.redisson.api.RMapCache;
import org.redisson.api.RedissonClient;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

/**
 * @author baoxy
 * @date 2023-06-02
 */
@Service
public class AiconsumeCacheService implements InitializingBean {

    @Resource
    private RedissonClient redissonClient;

    private RMapCache<String, MatchActivityVo> matchActivityCache = null;

    @Override
    public void afterPropertiesSet() {
        matchActivityCache = redissonClient.getMapCache(RedisKeys.MATCH_ACTIVITY);
    }

    public void putMatchActivity(String key, MatchActivityVo vo) {
        matchActivityCache.put(key, vo, 30, TimeUnit.MINUTES);
    }

    public MatchActivityVo getMatchActivity(String key) {
        return matchActivityCache.get(key);
    }
}
