package com.crunii.micro.service.app.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.app.dto.AppHotSearchVo;
import com.crunii.micro.service.app.dto.ImageInfoVo;
import com.crunii.micro.service.app.dto.ImagesVo;
import com.crunii.micro.service.app.dto.LabelDto;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/16 14:40
 */
public interface FileService {

    /**
     * 通过标签id查询
     * @param req
     * @return
     * @throws Exception
     */
    Result<PageRsp<ImagesVo>> queryList(PageReq<LabelDto> req);

    /**
     * 图片详情
     * @param uploadId
     * @return
     */
    Result<ImageInfoVo> queryImageInfo(Long uploadId);

    /**
     * 热门搜索
     * @return
     */
    Result<List<AppHotSearchVo>> queryHostSearch();
}
