package com.crunii.micro.service.app.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.app.dto.*;

import java.util.List;

/**
 * @author wangchen create 2023/8/14 9:23
 */
public interface HeadlineArticleService {
    boolean pinningArticle(Long id);

    /**
     * 分页查询文章
     * @param pageReq 请求参数
     * @return data
     */
    PageRsp<HeadlineArticleVo> pageArticle(PageReq<HeadlineArticleReqDto> pageReq);

    /**
     * 获取文章详情
     * @param headlineId 文章id
     * @return 详情内容
     */
    ArticleDetailVo getArticleDetail(Long headlineId);

    /**
     * 更改改用户点赞
     * @param headlineId 文章id
     * @param worker 用户
     * @return str
     */
    String modifyArticleLike(Long headlineId, Worker worker);

    /**
     * 查询用户是否点赞
     * @param headlineId 文章id
     * @param worker 用户
     * @return 是否点赞
     */
    ArticleCountVo getArticleCount(Long headlineId, Worker worker);

    boolean cancelPinningArticle(Long headlineId);
    
    /**
     * 查询标签
     * @author leixb
     * @since 2024-01-19 09:28
     * @return List<HeadlineArticleLabelVo>
     */
    List<HeadlineArticleLabelVo> findLabel();
}
