package com.crunii.micro.service.elstic.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.dto.AppMessageCenterDTO;
import com.crunii.micro.feign.client.dto.MessageSendSelect;
import com.crunii.micro.feign.client.dto.MessageSendSelectVO;
import com.crunii.micro.service.elstic.service.AppMessageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.util.List;

/**
 * @program: microservice
 * @description: 消息中心-ES
 * @author: xiang xin
 * @create: 2023-12-16 15:13
 */
@Api(tags = "APP消息中心-ES")
@RestController
@RequestMapping("/appMessageEs")
public class AppMessageController {
    private final AppMessageService appMessageService;

    public AppMessageController(AppMessageService youthHotEsService) {
        this.appMessageService = youthHotEsService;
    }

    @PostMapping("/createEs")
    @ApiOperation("创建")
    public Result<String> createEs() throws IOException {
        return Result.ofSuccess(appMessageService.create());
    }

    @PostMapping("/saveEs")
    @ApiOperation("新增")
    public Result<String> saveYouthHot(@RequestBody MessageSendSelect dto) throws IOException {
        return Result.ofSuccess(appMessageService.save(dto));
    }

    @PostMapping("/pageSearchEs")
    @ApiOperation("分页搜索ES中的数据")
    public Result<List<MessageSendSelectVO>> pageSearchEs(@RequestBody AppMessageCenterDTO dtoPageReq) throws IOException {
        return Result.ofSuccess(appMessageService.searchFileInfo(dtoPageReq));
    }

    @GetMapping("/delEs")
    @ApiOperation("删除ES中的数据")
    public Result<?> delEs(String id) throws IOException {
        appMessageService.del(id);
        return Result.ofSuccess(null);
    }
}
