/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.elstic.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.dto.LabelDto;
import com.crunii.micro.service.elstic.service.LabelEsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;
import java.util.List;

/**
 * @author shenhs create 2023/6/12 15:13
 */
@Api(tags = "标签管理-ES")
@RestController
@RequestMapping("/auth/labelESController")
public class LabelESController {

	@Autowired
	private LabelEsService labelEsService;


	@PostMapping("/create")
	@ApiOperation("创建")
	public Result<?> create() throws IOException {
		labelEsService.create();
		return Result.ofSuccess(null);
	}

	@PostMapping("/save")
	@ApiOperation("保存数据到ES")
	public Result<?> save2ES(@RequestBody LabelDto dto) throws IOException {
		labelEsService.save(dto);
		return Result.ofSuccess(null);
	}

	@GetMapping("/search")
	@ApiOperation("搜索ES中的数据")
	public Result<List<LabelDto>> query(String searchText) throws IOException {
		List<LabelDto> elsticFileDtos = labelEsService.searchFileInfo(searchText);
		return Result.ofSuccess(elsticFileDtos);
	}

	@PostMapping("/batchSave")
	@ApiOperation("批量保存ES中的数据")
	public Result<?> save(@RequestBody List<LabelDto> dtos) throws IOException {
		labelEsService.save(dtos);
		return Result.ofSuccess(null);
	}

	@GetMapping("/del")
	@ApiOperation("删除ES中的数据")
	public Result<?> del(String id) throws IOException {
		labelEsService.del(id);
		return Result.ofSuccess(null);
	}

}
