package com.crunii.micro.service.elstic.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.feign.client.dto.HotEsPageDto;
import com.crunii.micro.feign.client.dto.YouthHotEsVo;
import org.springframework.beans.factory.InitializingBean;

import java.io.IOException;
import java.util.List;

/**
 * @author wangchen create 2023/12/5 15:06
 */
public interface YouthHotEsService {
    /**
     * 创建索引
     * @return str
     */
    String create() throws IOException;

    /**
     * 添加数据
     * @param dto 参数
     * @return str
     */
    String save(YouthHotEsVo dto) throws IOException;

    /**
     * 搜索
     * @param dtoPageReq 参数
     * @return
     */
    PageRsp<List<YouthHotEsVo>> searchFileInfo(PageReq<HotEsPageDto> dtoPageReq) throws IOException;

    /**
     * 删除es数据
     * @param id id
     */
    void del(String id) throws IOException;

}
