package com.crunii.micro.service.filemanager.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.filemanager.dto.*;
import com.crunii.micro.service.filemanager.service.FileAuditService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * @author shenhs create 2023/6/17 15:14
 */
@Api(tags = "审核相关")
@RestController
@Slf4j
@RequestMapping("/auth/FileAuditController")
public class FileAuditController {

	private final FileAuditService fileAuditService;

	public FileAuditController(FileAuditService fileAuditService) {
		this.fileAuditService = fileAuditService;
	}

	@PostMapping("/pageAuditFile")
	@ApiOperation(value = "分页查询文件信息")
	public Result<PageRsp<MyFileVo>> pageAuditFile(@CurrWorker  @ApiIgnore Worker worker, @RequestBody PageReq<MyFileDto> fileDelDto){
		return Result.ofSuccess(fileAuditService.pageAuditFile(worker,fileDelDto));
	}

	@PostMapping("/auditPass")
	@ApiOperation(value = "审核通过")
	public Result<String> auditPass(@CurrWorker  @ApiIgnore Worker worker,@Validated @RequestBody AuditPasDto pasDto){
		return Result.ofSuccess(fileAuditService.auditPass(worker,pasDto));
	}

	@PostMapping("/auditReg")
	@ApiOperation(value = "审核拒绝")
	public Result<String> auditReg(@CurrWorker  @ApiIgnore Worker worker,@Validated @RequestBody AuditRegDto regDto){
		return Result.ofSuccess(fileAuditService.auditReg(worker,regDto));
	}

	@GetMapping("/queryProcess")
	@ApiOperation(value = "查询流程")
	public Result<List<AuditProcessVo>> queryProcess(@CurrWorker  @ApiIgnore Worker worker, Long uploadId){
		return Result.ofSuccess(fileAuditService.queryProcess(worker,uploadId));
	}
}
