package com.crunii.micro.service.filemanager.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.filemanager.service.FileOperationService;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.NotNull;

/**
 * @author wangchen create 2023/8/8 15:20
 */
@Api(tags = "文件操作")
@RestController
@RequestMapping("/auth/FileOperationController")
public class FileOperationController {

    private final FileOperationService fileOperationService;

    public FileOperationController(FileOperationService fileOperationService) {
        this.fileOperationService = fileOperationService;
    }

    @GetMapping("/delPicByLabelId")
    public Result<String> delPicByLabelId(@RequestParam("labelId") @NotNull(message = "标签id不能为空") Long labelId){
        return Result.ofSuccess(fileOperationService.delPicByLabelId(labelId));
    }
}
