package com.crunii.micro.service.filemanager.dto;

import com.crunii.micro.domain.dto.sys.FileDetailDto;
import com.crunii.micro.feign.client.dto.LabelDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/16 14:57
 */
@Data
public class UploadInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "是否图册，1：是 0：否 ")
    private Integer isAlbum;

    @ApiModelProperty(value = "图片张数")
    private Integer imgNum;

    @ApiModelProperty(value = "描述")
    private String describe;

    @ApiModelProperty(value = "文件标题")
    private String fileTitle;

    @ApiModelProperty("关键字")
    @NotNull( message = "关键字不能为空")
    private List<LabelDto> labels;

    @ApiModelProperty(value = "数据")
    private List<FileDetailDto> fileDetailDtoList;
}
