package com.crunii.micro.service.filemanager.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.sys.PicInfoVo;
import com.crunii.micro.feign.client.dto.ElsticFileDto;
import com.crunii.micro.feign.client.dto.FileElsticPageDto;
import com.crunii.micro.service.filemanager.dto.FileExhibition;

import java.util.List;

/**
 * @author wangchen create 2023/6/16 14:36
 */
public interface FileUploadService {

    /**
     * 查询热门&&最近上传
     * @return data
     */
    FileExhibition queryFileExhibition();

    /**
     * 查询热门问题
     * @return data
     */
    List<PicInfoVo> queryHotSearch();


    /**
     * 查询文件详情
     * @param uploadIds 上传id
     * @return 文件详情
     */
    List<ElsticFileDto> queryFileDetail(List<Long> uploadIds);

    /**
     * 文件中心-搜索
     * @param keyword 关键字
     * @return data
     */
    Result<PageRsp<ElsticFileDto>> keywordSearch(PageReq<FileElsticPageDto> keyword);

    /**
     * 同步刷新es数据
     * @param code code
     */
    void synEsFile(String code);
}
