/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.filemanager.statemachine;

/**
 * @author shenhs create 2023/6/17 16:09
 * 审核员的状态
 */
public enum AuditWorkerStatus {

	REJECT(0,"驳回"),
	PASS(1,"审核通过"),
	WAIT_AUDIT(-1,"待审核"),
	CANNOT_AUDIT(-2,"流程未到，不能审核");

	private Integer state;
	private String desc;

	AuditWorkerStatus(Integer state,String desc){
		this.desc = desc;
		this.state = state;
	}

	public Integer getState() {
		return state;
	}
	public String getDesc() {
		return desc;
	}

	public static AuditWorkerStatus getByKey(Integer key) {
		for (AuditWorkerStatus e : values()) {
			if (e.getState().equals(key)) {
				return e;
			}
		}
		throw new RuntimeException("enum not exists.");
	}

}
