/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.filemanager.statemachine;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.connection.RedisConnectionFactory;
import org.springframework.statemachine.data.redis.RedisStateMachineContextRepository;
import org.springframework.statemachine.data.redis.RedisStateMachinePersister;
import org.springframework.statemachine.persist.RepositoryStateMachinePersist;

import javax.annotation.Resource;

/**
 * @author shenhs create 2023/6/17 14:23
 */
@Configuration
@Slf4j
public class FileStateMachinePersist {

	@Resource
	private RedisConnectionFactory redisConnectionFactory;
	/**
	 * 持久化到redis中，在分布式系统中使用
	 *
	 * @return
	 */
	@Bean(name = "stateMachineRedisPersister")
	public RedisStateMachinePersister<FileStatus, FileAuditEvent> getRedisPersister() {
		RedisStateMachineContextRepository<FileStatus, FileAuditEvent> repository = new RedisStateMachineContextRepository<>(redisConnectionFactory);
		RepositoryStateMachinePersist p = new RepositoryStateMachinePersist<>(repository);
		return new RedisStateMachinePersister<>(p);
	}
}
