/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.filemanager.statemachine;

/**
 * @author shenhs create 2023/6/17 11:20
 * 文件的审核状态 0驳回 1审核通过  -1待审核-部门审核 -2待审核-系统审核
 */
public enum FileStatus {
	UPLOAD_SUCCESS(-3,"上传完成"),
	REJECT(0,"驳回"),
	PASS(1,"审核通过"),
	WAIT_DEPARTMENT_AUDIT(-1,"部门审核中"),
	WAIT_SYSTEM_AUDIT(-2,"系统审核员审核中");

	private Integer state;
	private String desc;

	FileStatus(Integer state,String desc){
		this.desc = desc;
		this.state = state;
	}

	public Integer getState() {
		return state;
	}
	public String getDesc() {
		return desc;
	}

	public static FileStatus getByKey(Integer key) {
		for (FileStatus e : values()) {
			if (e.getState().equals(key)) {
				return e;
			}
		}
		throw new RuntimeException("enum not exists.");
	}

}
