package com.crunii.micro.service.filemanager.task;

import com.crunii.micro.service.filemanager.service.FileUploadService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


/**
 * @author wangchen create 2023/6/17 12:40
 */
@Component
public class HotFileSearchTask {

    private final FileUploadService fileUploadService;

    public HotFileSearchTask(FileUploadService fileUploadService) {
        this.fileUploadService = fileUploadService;
    }

    @Scheduled(cron = "0 0/30 * * * ?")
    public void hotFileCash(){
        fileUploadService.queryHotSearch();
    }
}
