package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */

@Entity
@Table(name = "tsm_category_management")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "categoryId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "类别管理表")
public class TsmCategoryManagement implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "category_id")
	@ApiModelProperty(value = "类别id(主键id)")
	private Long categoryId;

	@Column(name = "category_name")
	@ApiModelProperty(value = "分类名称")
	private String categoryName;

	@Column(name = "category_desc")
	@ApiModelProperty(value = "分类描述")
	private String categoryDesc;

	@Column(name = "category_parent_id")
	@ApiModelProperty(value = "分类父级ID,根分类id为0")
	private Long categoryParentId;

	@Column(name = "level")
	@ApiModelProperty(value = "级别")
	private Integer level;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

	@Column(name = "update_time")
	@ApiModelProperty(value = "更新时间")
	private java.util.Date updateTime;

	@Column(name = "state")
	@ApiModelProperty(value = "0无效，1有效")
	private Integer state;

	@Column(name = "last_worker")
	@ApiModelProperty(value = "最后的操作人(传入的是登录Id)")
	private String lastWorker;

	@Column(name = "leaf")
	@ApiModelProperty(value = "叶子结点(1为是,0为否)")
	private Integer leaf;

	@Column(name = "service_type")
	@ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
	private String serviceType;
}
