package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */

@Entity
@Table(name = "tsm_label_management")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "labelId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "标签管理表")
public class TsmLabelManagement implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "label_id")
	@ApiModelProperty(value = "标签id(主键id)")
	private Long labelId;

	@Column(name = "category_id")
	@ApiModelProperty(value = "类别id(与类别管理表关联)")
	private Long categoryId;

	@Column(name = "label_name")
	@ApiModelProperty(value = "标签名称")
	private String labelName;

	@Column(name = "label_desc")
	@ApiModelProperty(value = "标签描述")
	private String labelDesc;

	@Column(name = "create_time")
	@ApiModelProperty(value = "创建时间")
	private java.util.Date createTime;

	@Column(name = "update_time")
	@ApiModelProperty(value = "更新时间")
	private java.util.Date updateTime;

	@Column(name = "state")
	@ApiModelProperty(value = "0无效，1有效")
	private Integer state;

	@Column(name = "last_worker")
	@ApiModelProperty(value = "最后的操作人(传入的是登录Id)")
	private String lastWorker;

	@Column(name = "use_count")
	@ApiModelProperty(value = "引用次数")
	private Integer useCount;

	@Column(name = "service_type")
	@ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
	private String serviceType;
}
