package com.crunii.micro.service.label.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.label.UseCountDto;
import com.crunii.micro.service.label.service.LabelInternalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-06
 */
@Api(tags = "标签管理内部接口")
@RestController
@RequestMapping("/auth/LabelInternalController")
public class LabelInternalController {

    @Resource
    private LabelInternalService labelInternalService;

    @ApiOperation(value = "标签引用次数")
    @RequestMapping(path = "/labelUseCount", method = RequestMethod.POST)
    @ResponseBody
    public Result<Object> labelUseCount(@RequestBody List<UseCountDto> useCountList) {
        return labelInternalService.labelUseCount(useCountList);
    }

    @ApiOperation(value = "重新组装redis标签引用次数的数据")
    @RequestMapping(path = "/assembleRedisUseCount", method = RequestMethod.POST)
    @ResponseBody
    public Result<Object> assembleRedisUseCount() {
        return labelInternalService.assembleRedisUseCount();
    }

    @ApiOperation(value = "重新加载标签的ES数据")
    @RequestMapping(path = "/reassemblyLabelEsData", method = RequestMethod.POST)
    @ResponseBody
    public Result<Object> reassemblyLabelEsData() {
        return labelInternalService.reassemblyLabelEsData();
    }
}
