package com.crunii.micro.service.label.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.dto.LabelDto;
import com.crunii.micro.service.label.dto.label.dto.LabelPageSearchDto;
import com.crunii.micro.service.label.dto.label.dto.LabelRecentlyCountDto;
import com.crunii.micro.service.label.dto.label.vo.LabelPageSearchVo;
import com.crunii.micro.service.label.dto.label.vo.LabelRecentlyCountVo;
import com.crunii.micro.service.label.service.LabelManagementService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Api(tags = "标签管理-公共类")
@RestController
@RequestMapping("/public/LabelManagementController")
public class PublicLabelManagementController {

    @Resource
    private LabelManagementService labelManagementService;

    @ApiOperation(value = "标签管理分页查询")
    @RequestMapping(path = "/pageSearch", method = RequestMethod.POST)
    @ResponseBody
    public Result<PageRsp<LabelPageSearchVo>> pageSearch(@RequestBody PageReq<LabelPageSearchDto> req) {
        return labelManagementService.pageSearch(req);
    }

    @ApiOperation(value = "热门标签")
    @RequestMapping(path = "/hotLabel", method = RequestMethod.GET)
    @ResponseBody
    public Result<List<LabelDto>> hotLabel() {
        return labelManagementService.hotLabel();
    }

    @ApiOperation(value = "内容标签-展示最近时间的标签(数量自定义)")
    @PostMapping("/labelRecentlyCount")
    public Result<List<LabelRecentlyCountVo>> labelRecentlyCount(@RequestBody LabelRecentlyCountDto dto) {
        return labelManagementService.labelPublicRecentlyCount(dto);
    }
}
