package com.crunii.micro.service.label.dto.category.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "类别管理添加分类传入字段")
public class AddCategoryDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分类名称")
    @NotEmpty(message = "请输入分类名称")
    private String categoryName;

    @ApiModelProperty(value = "上级分类父级的id(若没有传值, 默认为顶级分类,顶级父级id为0)")
    private String categoryParentId = "0";

    @ApiModelProperty(value = "分类描述")
    private String categoryDesc;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
    private String serviceType;
}
