package com.crunii.micro.service.label.dto.category.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "类别管理转移标签传入字段")
public class MoveLabelDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "原分类的ID(编码)")
    @NotEmpty(message = "请传主键id")
    private String categoryId;

    @ApiModelProperty(value = "目标分类的id")
    @NotEmpty(message = "请传目标分类id")
    private String targetCategoryId;
}
