package com.crunii.micro.service.label.dto.category.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "类别管理修改分类传入字段")
public class UpdateCategoryDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类别id(主键id)")
    @NotEmpty(message = "请输入类别id")
    private String categoryId;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "上级分类父级的id")
    private String categoryParentId;

    @ApiModelProperty(value = "分类描述")
    private String categoryDesc;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
    private String serviceType;
}
