package com.crunii.micro.service.label.dto.category.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "类别管理分页查询返回字段")
public class CategorySearchVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编码(id),类别唯一标识")
    private String categoryId;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "分类描述")
    private String categoryDesc;

    @ApiModelProperty(value = "类别父级id")
    private String categoryParentId;

    @ApiModelProperty(value = "是否为叶子节点, true是, false否")
    private boolean leaf;

    @ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
    private String serviceType;

    @ApiModelProperty(value = "业务类型名称(图绘青春,青年热点)")
    @PropertyTranslate(propertyCode = "label-serviceType", valueFiled = "serviceType")
    private String serviceTypeName;
}
