package com.crunii.micro.service.label.dto.category.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "类别管理查询类别树(同步查询)返回字段")
public class SearchSynchronousTreeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编码(id),类别唯一标识")
    private String categoryId;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "分类描述")
    private String categoryDesc;

    @ApiModelProperty(value = "类别父级id")
    private String categoryParentId;

    @ApiModelProperty(value = "子类别")
    private List<SearchSynchronousTreeVo> children;

    @ApiModelProperty(value = "是否为叶子节点, true是, false否")
    private boolean leaf;
}
