package com.crunii.micro.service.label.dto.label.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "标签管理编辑标签传入字段")
public class UpdateLabelDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标签id(主键id)")
    @NotEmpty(message = "请传入标签id")
    private String labelId;

    @ApiModelProperty(value = "类别id")
    private String categoryId;

    @ApiModelProperty(value = "标签名称")
    private String labelName;

    @ApiModelProperty(value = "标签描述")
    private String labelDesc;

    @ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
    private String serviceType;
}
