package com.crunii.micro.service.label.dto.label.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-05-30
 */
@Data
@ApiModel(description = "标签管理分页查询返回字段")
public class LabelPageSearchVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编码(id),类别唯一标识")
    private String labelId;

    @ApiModelProperty(value = "类别id")
    private String categoryId;

    @ApiModelProperty(value = "类别名称")
    private List<String> categoryName;

    @ApiModelProperty(value = "标签名称")
    private String labelName;

    @ApiModelProperty(value = "描述")
    private String labelDesc;

    @ApiModelProperty(value = "发布时间")
    private String createTime;

    @ApiModelProperty(value = "引用次数")
    private Integer useCount;

    @ApiModelProperty(value = "业务类型(1:图绘青春,2:青年热点)")
    private String serviceType;

    @ApiModelProperty(value = "业务类型名称(图绘青春,青年热点)")
    @PropertyTranslate(propertyCode = "label-serviceType", valueFiled = "serviceType")
    private String serviceTypeName;
}
