package com.crunii.micro.service.label.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.label.UseCountDto;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-07
 */
public interface LabelInternalService {

    /**
     * 收集标签引用次数
     *
     * @param useCountList 标签引用次数列表
     * @return 返回object
     */
    Result<Object> labelUseCount(List<UseCountDto> useCountList);

    /**
     * 组装redis数据
     *
     * @return 返回object
     */
    Result<Object> assembleRedisUseCount();

    /**
     * 重新加载标签的ES数据
     *
     * @return 返回object
     */
    Result<Object> reassemblyLabelEsData();
}
