package com.crunii.micro.service.label.utils;


import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author baoxy
 * @date 2023-06-13
 */
public class MapSortUtils {

    public static Map<String, Integer> mapValueSortDesc(Map<String, Integer> maps) {
        //需要用LinkedHashMap排序
        HashMap<String, Integer> finalMap = new LinkedHashMap<>();
        //取出map键值对Entry<K,V>，然后按照值排序，最后组成一个新的列表集合
        List<Map.Entry<String, Integer>> list = maps.entrySet()
                .stream()
                //sorted((p2,p1)   表示由大到小排序   ||  sorted((p1,p2)   表示由小到大排序
                .sorted((p2, p1) -> p1.getValue().compareTo(p2.getValue()))
                .collect(Collectors.toList());
        //遍历集合，将排好序的键值对Entry<K,V>放入新的map并返回。
        list.forEach(ele -> finalMap.put(ele.getKey(), ele.getValue()));
        return finalMap;
    }
}
