package com.crunii.micro.service.league.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @author wangchen create 2023/7/10 10:58
 */
@Data
@ApiModel("干部基本信息")
public class BasicLeaderVo  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别 1男 0女")
    private Integer gender;

    @ApiModelProperty("民族")
    private String nationalId;

    @ApiModelProperty("民族翻译")
    private String nationalIdTrans;

    @ApiModelProperty("籍贯")
    private String placeOfOrigin;

    @ApiModelProperty("出生日期")
    private String birthDay;

    @ApiModelProperty("出生地")
    private String placeOfBirth;

    @ApiModelProperty("手机号码")
    private String mobile;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("全日制教育学历")
    private String onTheJobTrainingEd;

    @ApiModelProperty("全日制教育学历翻译")
    private String onTheJobTrainingEdTrans;

    @ApiModelProperty("最高教育学历")
    private String maxFullTimeEducationDegree;

    @ApiModelProperty("最高教育学历翻译")
    private String maxFullTimeEducationDegreeTrans;

    @ApiModelProperty(value = "学位")
    private String academicDegrees;

    @ApiModelProperty(value = "学位翻译")
    private String academicDegreeTrans;

    @ApiModelProperty(value = "政治面貌")
    private String politicalId;

    @ApiModelProperty(value = "政治面貌翻译")
    private String politicalIdTrans;

    @ApiModelProperty(value = "入团时间")
    private String joinLeagueTime;

    @ApiModelProperty(value = "团籍所在团支部")
    private String leagueName;

    @ApiModelProperty(value = "发展团员编号")
    private String userCode;

    @ApiModelProperty(value = "入党时间")
    private String dateOfJoinCcp;

    @ApiModelProperty(value = "是否递交入党申请书 0是 1否")
    private String applyApplicationOfCcp;

    @ApiModelProperty(value = "递交入党申请书时间")
    private String partyRecordTime;

    @Column(name = "join_volunteer_time")
    @ApiModelProperty(value = "成为注册志愿者的时间")
    private String joinVolunteerTime;

    @Column(name = "volunteer")
    @ApiModelProperty(value = "是否志愿者0否 1是")
    private Integer volunteer;
}
