package com.crunii.micro.service.league.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/7/10 11:24
 */
@Data
@ApiModel("工作信息")
public class LeaderWorkerVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所在单位")
    private String leagueName;

    @ApiModelProperty(value = "单位所在地（省市县）")
    private Integer seatProvince;

    @ApiModelProperty(value = "所在部门")
    private String orgDepartment;

    @ApiModelProperty(value = "现任职务")
    private String currentDuty;

    @ApiModelProperty(value = "现任职务翻译")
    private String currentDutyTrans;

    @ApiModelProperty(value = "现职级")
    private String currentDutyLevel;

    @ApiModelProperty(value = "现职级翻译")
    private String currentDutyLevelTrans;

    @ApiModelProperty(value = "专兼职")
    private String cadreProperty;

    @ApiModelProperty("专兼职")
    private String cadrePropertyTrans;

    @ApiModelProperty(value = "其他主要职务")
    private String otherOrgDuty;

    @ApiModelProperty(value = "其他主要职务翻译")
    private String otherOrgDutyTrans;

    @ApiModelProperty(value = "编制")
    private String establishment;

    @ApiModelProperty(value = "编制翻译")
    private String establishmentTrans;

    @ApiModelProperty(value = "参加工作时间")
    private String beginWorkDate;

    @ApiModelProperty(value = "产生方式")
    private String generationType;

    @ApiModelProperty(value = "产生方式翻译")
    private String generationTypeTrans;

    @ApiModelProperty(value = "任职时间")
    private String takeCurrentDutyDate;

    @ApiModelProperty(value = "初到本单位时间")
    private String joinDepartmentDate;

    @ApiModelProperty(value = "初到本单位职务")
    private String beginDuty;

    @ApiModelProperty(value = "初到本单位职务翻译")
    private String beginDutyTrans;

    @ApiModelProperty(value = "初到本单位职级")
    private String beginDutyLevel;

    @ApiModelProperty(value = "初到本单位职级翻译")
    private String beginDutyLevelTrans;

    @ApiModelProperty(value = "在岗状态")
    private String onDutyStatus;

    @ApiModelProperty(value = "在岗状态翻译")
    private String onDutyStatusTrans;

    @ApiModelProperty(value = "本级团委中职务")
    private String currentLeagueDuty;

    @ApiModelProperty(value = "本级团委中职务")
    private String currentLeagueDutyTrans;

    @ApiModelProperty(value = "上级团委中职务")
    private String superiorLeagueDuty;

    @ApiModelProperty(value = "上级团委中职务翻译")
    private String superiorLeagueDutyTrans;

    @ApiModelProperty(value = "同级党委中职务")
    private String sampCcpDuty;

    @ApiModelProperty(value = "同级党委中职务翻译")
    private String sampCcpDutyTrans;

    @ApiModelProperty(value = "是否人大代表 0否 1是")
    private String isNpc;

    @ApiModelProperty(value = "是否政协委员 0否 1是")
    private String isCppcc;

    @ApiModelProperty(value = "备注")
    private String cadreComment;
}
