package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author wangchen create 2023/6/7 16:14
 */
@Data
@ApiModel(description = "团员列表/超龄离团青年列表请求参数")
public class MemberDto implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("组织编码")
    @NotBlank(message = "组织编码不能为空！")
    private String leagueCode;

    @ApiModelProperty("查询类型 1：团员列表 2：超龄团员列表 ps:不传/不在1，2则查询团员列表")
    private Integer queryType;
}
