package com.crunii.micro.service.league.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/6/7 15:44
 */
@Data
@ApiModel(description = "团员列表/超龄离团青年列表返回")
public class MemberVo implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("政治面貌")
    private String political;

    @ApiModelProperty("政治面貌翻译")
    @PropertyTranslate(propertyCode = "leagueLmState",valueFiled = "political")
    private String politicalTrans;

    @ApiModelProperty("文化程度")
    private String education;

    @ApiModelProperty("文化程度翻译")
    @PropertyTranslate(propertyCode = "leagueEduLevel",valueFiled = "education")
    private String educationTrans;

    @ApiModelProperty(value = "职业需翻译")
    private String occupation;

    @ApiModelProperty(value = "职业")
    private String job;

    @ApiModelProperty(value = "学习工作单位")
    private String jobLearWorker;

    @ApiModelProperty("民族")
    private String nationality;

    @ApiModelProperty("民族翻译")
    @PropertyTranslate(propertyCode = "leagueNationality",valueFiled = "nationality")
    private String nationalityTrans;

    @ApiModelProperty("手机号码")
    private String phoneNumber;

    @ApiModelProperty("电子邮箱")
    private String eMail;

    @ApiModelProperty(value = "QQ")
    private String qq;

    @ApiModelProperty(value = "微博")
    private String microBlog;

    @ApiModelProperty(value = "微信")
    private String wechat;

    @ApiModelProperty("发展团员号")
    private String memberNumber;

    @ApiModelProperty("团委所在团支部")
    private String leagueBranch;

    @ApiModelProperty("入团时间")
    private String leagueEntryTime;

    @ApiModelProperty("职务")
    private String position;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("职务翻译")
    @PropertyTranslate(propertyCode = "leaguePosition",valueFiled = "position")
    private String positionTrans;

    @ApiModelProperty(value = "身份证校验")
    private String identityCardMark;

    @ApiModelProperty(value = "成为注册志愿者年月")
    private String volunteerYear;

    @ApiModelProperty(value = "入党时间")
    private String timeOfAdmission;

    @ApiModelProperty(value = "身份证校验翻译")
    @PropertyTranslate(propertyCode = "identityCardMarkCode",valueFiled = "identityCardMark")
    private String identityCardMarkTrans;
}
