package com.crunii.micro.service.league.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/7/10 10:15
 */
@Data
@ApiModel(description = "团干部列表参数")
public class PageLeaderDto implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("组织编码")
    @NotBlank(message = "组织编码不能为空")
    private String leagueCode;

    @ApiModelProperty("性别 0女，1男")
    private Integer gender;

    @ApiModelProperty("姓名/手机号")
    private String nameOrPhone;

    @ApiModelProperty("查询类型")
    private Integer queryType;
}
