package com.crunii.micro.service.league.service;

import com.crunii.micro.service.league.dto.*;

import java.util.List;

/**
 * @author wangchen create 2023/7/10 9:31
 */
public interface LeagueSynService {

    /**
     * 获取未同步组织id
     * @return list
     */
    List<LeagueIdTypeVo> getNotSynData();

    /**
     * 同步数据
     * @param ycqLeagueC 数据类容
     * @param type 0 1
     * @return str
     */
    String saveSynLeagueData(YcqLeagueC ycqLeagueC, Integer type);

    /**
     * 同步组织领导表
     * @param leagueLeaderC 创建参数
     * @return str
     */
    String synLeagueLeader(List<LeagueLeaderC> leagueLeaderC);

    /**
     * 同步领导数量表
     * @param leagueLeaderC 创建参数
     * @return str
     */
    String synLeagueLeaderCount(List<YcqLeagueLeaderCountC> leagueLeaderC);

    /**
     * 同步年龄数据
     * @param ycqLeagueAgeC 参数
     * @return str
     */
    String synLeagueAgeData(List<YcqLeagueAgeC> ycqLeagueAgeC);

    /**
     * 同步民族表
     * @param ycqLeagueNation 参数
     * @return str
     */
    String synLeagueNationData(List<YcqLeagueNationC> ycqLeagueNation);

    /**
     * 同步学历信息
     * @param ycqLeagueEduC 参数
     * @return str
     */
    String synLeagueEduData(List<YcqLeagueEduC> ycqLeagueEduC);

    /**
     * 同步组织详细表
     * @param ycqLeagueDetailC 同步参数
     * @return str
     */
    String synLeagueDetail(List<YcqLeagueDetailC> ycqLeagueDetailC);

    /**
     * 获取组织信息
     * @param secret 密钥 gongqintuan
     * @param limit limit
     * @param pageNum offset
     * @return jieguo
     */
    List<LeagueIdTypeVo> getLeagueIdAndType(String secret,Integer limit,Integer pageNum);

    /**
     * 获取组织条数
     * @param secret gongqingtuan
     * @return integer
     */
    Integer getLeagueIdAndTypeCount(String secret);

    /**
     * 领导表完成后调用
     * @return str
     */
    String leaderCompleteNotice();

    /**
     * 同步组织数量
     */
    String saveLeagueCountDate();

    /**
     * 同步团委团员荣誉表
     * @param userHonor 参数
     * @return str
     */
    String synUserHonor(List<UserHonorC> userHonor);
}
