package com.crunii.micro.service.league.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.league.dto.*;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/1 19:30
 */
public interface MemberService {
    /**
     * 同步数据
     * @param ycqMemberC 数据类容
     * @return str
     */
    String saveMemberData(List<YcqMemberC> ycqMemberC);

    /**
     * 同步数据
     * @param youthLeaveC 数据类容
     * @return str
     */
    String saveOverageYouthLeaveData(List<YcqOverageYouthLeaveC> youthLeaveC);

    /**
     * 分页获取组织和团员数量
     * @param req 请求参数
     * @return 分页数据
     */
    PageRsp<OrgMemberVo> getOrgMember(PageReq<OrgMemberDto> req);

    /**
     * 查询超龄团员/团员信息
     * @param req 请求参数 ps：查询类型
     * @return 查询参数
     */
    PageRsp<MemberVo> getOrgLeagueMember(PageReq<MemberDto> req);

    /**
     * 获取团员人数
     * @param leagueCode 组织编码
     * @return 人数
     */
    Integer getLmNumber(String leagueCode);


    /**
     * 分页获取干部信息
     * @param req 请求参数
     * @return data
     */
    Object pageLeader(PageReq<PageLeaderDto> req);

    /**
     * 获取人员详情
     * @param leaderId 主键id
     * @param queryType 查询类型
     * @return data
     */
    Object getLeaderDetail(Long leaderId,Integer queryType);

    /**
     * 获取用户的荣誉
     * @param userId 用户id
     * @return data
     */
    List<String> getHonor(String userId);
}
