package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author thw
 * @date 2023/11/16
 * @description
 */
@Data
@EqualsAndHashCode
@ApiModel("赛事发布管理生成承办方账号请求ReqBo")
public class MatchOrganizerAccountReqBo implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(value = "比赛id" , required = true)
  @NotNull(message = "比赛id不能为空", groups = { AddGroup.class, EditGroup.class })
  private Long matchId;

  @ApiModelProperty("是否导出模板(true:是；false:否）")
  private Boolean templateFlag;

}
