package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/16
 * @description
 */
@Data
@ApiModel(description = "承办方修改请求Bo")
public class MatchOrganizerAccountUpdateBo implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(value = "比赛id" , required = true)
  @NotBlank(message = "比赛id", groups = {EditGroup.class })
  private String matchId;

  @ApiModelProperty(value = "区域id" , required = true)
  @NotBlank(message = "区域id", groups = {EditGroup.class })
  private String areaId;

  @ApiModelProperty("承办方信息表主键")
  private OrganizerAccountContentBo account;

}
