package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * @author xujie
 * @date 2023-09-25
 */
@Data
@ApiModel(description = "赛事发布列表页面视图对象")
public class MatchPublishListBo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 比赛名称
     */
    @ApiModelProperty(value = "比赛名称")
    private String matchName;
    @ApiModelProperty(value = "状态")
    private String status;
    @ApiModelProperty(value = "状态")
    private List<String> statusList;
    @ApiModelProperty(value = "发布组织id")
    private Long publishOrgId;
    @ApiModelProperty(value = "发布人")
    private String publisherName;

    @ApiModelProperty(value = "比赛等级(逗号分割)（直接创建场次模板)）")
    private String matchLevel;

    @ApiModelProperty(value = "主办方id")
    private Long sponsorId;
    @ApiModelProperty(value = "承办方id")
    private Long organizerId;
    @ApiModelProperty(value = "创建人组织id")
    private Long createOrgId;
    @ApiModelProperty(value = "创建人部门名称")
    private String createDeptName;
}
