package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/21
 * @description 评审员请求bo
 */
@Data
@ApiModel("评审员请求bo")
public class MatchReviewerPageReqBo implements Serializable {

  private static final long serialVersionUID = 1L;

  @ApiModelProperty(value = "id")
  private Long id;
  /**
   * 场次id
   */
  @NotNull(message = "场次id不能为空", groups = { AddGroup.class, EditGroup.class })
  @ApiModelProperty(value = "场次id")
  private Long roundId;
  /**
   * 评审员id
   */
  @ApiModelProperty(value = "评审员id")
  private Long reviewerId;
  /**
   *
   * 赛项id
   */
  @ApiModelProperty(value = "赛项id")
  private Long itemId;
  /**
   * 赛项名称
   */
  @ApiModelProperty(value = "赛项名称")
  private String itemName;
  /**
   * 是否为导出模板(是:true,否:false)
   */
  @NotNull(message = "导出模板(是:true,否:false)必填", groups = { AddGroup.class, EditGroup.class })
  @ApiModelProperty(value = "是否为导出模板(是:true,否:false)")
  private Boolean exportFlag;

}
