package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/20
 * @description
 */
@Data
@ApiModel("生成评审员账号请求Bo")
public class MatchReviewerReqBo implements Serializable {

  private static final long serialVersionUID = 1L;

//  @NotBlank(message = "比赛id不能为空", groups = { AddGroup.class, EditGroup.class })
//  @ApiModelProperty("比赛id")
//  private Long matchId;

  @NotNull(message = "比赛id不能为空", groups = { AddGroup.class, EditGroup.class })
  @ApiModelProperty("场次id")
  private Long roundId;

  @NotNull(message = "单个作品评审次数", groups = { AddGroup.class, EditGroup.class })
  @ApiModelProperty("评审次数(默认1,其它传值)")
  private Integer reviewCount;

  @NotBlank(message = "是否按赛项生成账号标识不能为空", groups = { AddGroup.class, EditGroup.class })
  @ApiModelProperty("是否按赛项生成账号（1:是,0:否）")
  private String flag;


}
