package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/21
 * @description 评审员修改备注bo
 */
@Data
@ApiModel("评审员修改备注bo")
public class MatchReviewerUpBo implements Serializable {

  private static final long serialVersionUID = 1L;

  @NotNull(message = "id不允许为空", groups = { EditGroup.class })
  @ApiModelProperty(value = "主键id")
  private Long id;
  /**
   * 备注
   */
  @NotBlank(message = "备注不允许为空", groups = { EditGroup.class })
  @ApiModelProperty(value = "备注")
  private String remarks;

}
