package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 赛事-场次-比赛区域等级;业务对象 mth_area
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("比赛区域等级业务对象")
public class MthAreaBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 区域类型(校区，区县、片区)
     */
    @ApiModelProperty(value = "区域类型(校区，区县、片区)", required = false)
    private String areaType;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = false)
    private String areaName;

    /**
     * code
     */
    @ApiModelProperty(value = "code", required = false)
    private String areaCode;

    /**
     * parent_id
     */
    @ApiModelProperty(value = "parent_id", required = false)
    private Long parentId;

}
