package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.QueryGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * APP我的赛事-撤销报名-请求参数
 *
 * @author xiangjunming
 * @date 2023/9/25
 */
@Data
@EqualsAndHashCode
@ApiModel("APP我的赛事-撤销报名-请求参数")
public class MthCancelRegisterAppBo {

    /**
     * 赛事id
     */
    @ApiModelProperty(value = "赛事id")
    @NotNull(message = "赛事id不能为空", groups = {QueryGroup.class})
    private Long matchId;

    /**
     * 报名id
     */
    @ApiModelProperty(value = "报名id")
    @NotNull(message = "报名id不能为空", groups = {QueryGroup.class})
    private Long registerId;
}
