package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事报名配置;业务对象 mth_form_config
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("报名配置业务对象")
public class MthFormConfigBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 显示名称
     */
    @ApiModelProperty(value = "显示名称", required = true)
    @NotBlank(message = "显示名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String showName;

    /**
     * 是否必填
     */
    @ApiModelProperty(value = "是否必填", required = true)
    @NotBlank(message = "是否必填不能为空", groups = { AddGroup.class, EditGroup.class })
    private String requiredFlag;

    /**
     * 类型(文本、单选、多选、附件)
     */
    @ApiModelProperty(value = "类型(文本、单选、多选、附件)", required = true)
    @NotBlank(message = "类型(文本、单选、多选、附件)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String configType;

    /**
     * 关联id(数据字典、业务数据id)
     */
    @ApiModelProperty(value = "关联id(数据字典、业务数据id)", required = true)
    @NotBlank(message = "关联id(数据字典、业务数据id)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String refId;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment", required = true)
    @NotBlank(message = "$column.columnComment不能为空", groups = { AddGroup.class, EditGroup.class })
    private String key;


    private String refType;

    /**
     * 提示
     */
    @Column(name = "hint")
    private String hint;

    /**
     * 动态配置标志
     */
    @Column(name = "dynamic_flag")
    private Integer dynamicFlag;


}
