package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-赛项-组别信息;业务对象 mth_match_group
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事组别业务对象")
public class MthMatchGroupBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 赛项id
     */
    @ApiModelProperty(value = "赛项id", required = true)
    private String itemId;

    /**
     * 组别名称
     */
    @ApiModelProperty(value = "组别名称", required = true)
    @NotBlank(message = "组别名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String groupName;


    @ApiModelProperty("开始年龄")
    private String ageBegin;

    @ApiModelProperty("结束年龄")
    private String ageEnd;

}
