package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.List;

/**
 * 赛事-赛项信息;业务对象 mth_match_item
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事赛项信息业务对象")
public class MthMatchItemBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 比赛id
     */
    @ApiModelProperty(value = "比赛id", required = true)
    private Long matchId;

    /**
     * 赛项名称
     */
    @ApiModelProperty(value = "赛项名称", required = true)
    @NotBlank(message = "赛项名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String itemName;


    @ApiModelProperty(value = "组别")
    private List<MthMatchGroupBo> groupBoList;


}
