package com.crunii.micro.service.match.api.bo;


import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("比赛管理-报名信息查询业务对象")
public class MthMatchManagerRegisterReqBo implements Serializable {
        private static final long serialVersionUID = 1L;

        @ApiModelProperty("报名ID")
        private Long registerId;
        @ExcelProperty(value = "参赛者编号")
        @ApiModelProperty("参赛者编号")
        private String registerCode;
        @ExcelProperty(value = "参赛者姓名")
        @ApiModelProperty("参赛者姓名")
        private String userName;
        @ApiModelProperty("用户ID")
        private Long userId;
        @ExcelProperty(value = "参赛者手机")
        @ApiModelProperty("参赛者手机")
        private String telephone;
        @ApiModelProperty("学校/单位")
        private String areaName;
        @ApiModelProperty("报名时间start")
        private Date registerStartTime;
        @ApiModelProperty("报名时间end")
        private Date registerEndTime;
        @ApiModelProperty("审核时间start")
        private String reviewStartTime;
        @ApiModelProperty("审核时间end")
        private String reviewEndTime;
        @ExcelProperty(value = "审核状态")
        @ApiModelProperty("审核状态")
        private String reviewResult;
        @ApiModelProperty("审核原因")
        private String reviewReason;
        @ExcelProperty(value = "比赛名称")
        @ApiModelProperty("比赛名称")
        private String mthMatchName;
        @ExcelProperty(value = "场次名称")
        @ApiModelProperty("场次名称")
        private String mthRoundName;
        @ApiModelProperty("比赛id")
        private Long mthMatchId;
        @ApiModelProperty("场次id")
        private Long mthRoundId;
        /**
         * 比赛场次实际状态(赛事流程状态、表定义字段) 0.报名中，1.待评审，2.待设置晋级，3.待结束，4.结束
         * */
        @ApiModelProperty("比赛状态")
        private List<Integer> matchState;
        /**
         * 学校名称
         */
        @ApiModelProperty("学校名称")
        private String schoolName;

        @ApiModelProperty("赛项id")
        private Long itemId;
        @ApiModelProperty("组别id")
        private Long groupId;
        /**
         * 报名中查询报名配置表标志 0报名中,与matchState相同
         */
        @ApiModelProperty("报名中查询报名配置表标志 0报名中,与matchState相同")
        private Integer registerFlag;
}
