package com.crunii.micro.service.match.api.bo;


import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@ApiModel("比赛管理-评审结果信息查询业务对象")
public class MthMatchManagerReviewReqBo implements Serializable {
        private static final long serialVersionUID = 1L;
        @ApiModelProperty("比赛名称")
        private String mthMatchName;
        @ApiModelProperty("场次名称")
        private String mthRoundName;
        @ApiModelProperty("报名ID")
        private Long registerId;
        /**
         * *mth_round_score评审状态状态0-未审核 1-已审核
         */
        @ApiModelProperty("评审状态:0-未审核 1-已审核")
        private Integer reviewState;
        /**
         * *mth_register 报名审核状态
         * PENDING-待审核  APPROVED-审核通过  REJECT-审核拒绝  "NOREVIEW-无审核  CANCEL-已撤销
         */
        @ApiModelProperty("报名审核状态")
        private String reviewResult;

        @ApiModelProperty("比赛id")
        private Long mthMatchId;

        @ApiModelProperty("场次id")
        private Long mthRoundId;

        @ApiModelProperty("学校/单位名称")
        private String areaName;
        @ApiModelProperty("参赛者姓名")
        private String userName;

        @ApiModelProperty("参赛者编码")
        private String registerCode;

        @ApiModelProperty("作品编号")
        private String workCode;

        @ApiModelProperty("作品名称")
        private String workName;

        @ApiModelProperty("审核时间start")
        private Date reviewStartTime;
        @ApiModelProperty("审核时间start")
        private Date reviewEndTime;

        @ApiModelProperty("作品提交时间start")
        private Date registerStartTime;
        @ApiModelProperty("作品提交时间end")
        private Date registerEndTime;
        /**
         * 手机号
         */
        @ApiModelProperty("参赛者手机号")
        private String telephone;

        /**
         * 学校名称
         */
        @ApiModelProperty("学校名称")
        private String schoolName;

        @ApiModelProperty("赛项id")
        private Long itemId;
        @ApiModelProperty("组别id")
        private Long groupId;
        @ApiModelProperty("是否获奖 1 是 0否")
        private Integer prizeFlag;
        @ApiModelProperty("是否晋级 1 是 0 否")
        private Integer promotionFlag;

        @ApiModelProperty("报名中查询报名配置表标志 0报名中,与matchState相同")
        private Integer registerFlag;


}
