package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事过程记录;业务对象 mth_match_process
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事过程记录业务对象")
public class MthMatchProcessBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 事件类型
     */
    @ApiModelProperty(value = "事件类型", required = true)
    @NotBlank(message = "事件类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;

    /**
     * 关联业务id
     */
    @ApiModelProperty(value = "关联业务id", required = true)
    @NotBlank(message = "关联业务id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String bizId;

    /**
     * 显示名称
     */
    @ApiModelProperty(value = "显示名称", required = true)
    @NotBlank(message = "显示名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String showTitle;

    /**
     * 显示结果
     */
    @ApiModelProperty(value = "显示结果", required = true)
    @NotBlank(message = "显示结果不能为空", groups = { AddGroup.class, EditGroup.class })
    private String result;

    /**
     * 参赛人员id
     */
    @ApiModelProperty(value = "参赛人员id", required = true)
    @NotBlank(message = "参赛人员id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String userId;



}
