package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 青创赛事项目业务对象 mth_project
 *
 * @author ruoyi
 * @date 2023-12-18
 */

@Data
@EqualsAndHashCode
@ApiModel("青创赛事项目业务对象")
public class MthProjectBo {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 赛事报名id
     */
    @ApiModelProperty(value = "赛事报名id")
    private Long registerId;

    /**
     * 项目名称
     */
    @ApiModelProperty(value = "项目名称")
    private String name;

    /**
     * 项目logo
     */
    @ApiModelProperty(value = "项目logo")
    private Long logo;

    /**
     * 项目赛项
     */
    @ApiModelProperty(value = "项目赛项")
    private String itemName;

    /**
     * 项目组别
     */
    @ApiModelProperty(value = "项目组别")
    private String groupName;

    /**
     * 项目启动时间
     */
    @ApiModelProperty(value = "项目启动时间")
    private Date startTime;

    /**
     * 项目所在地
     */
    @ApiModelProperty(value = "项目所在地")
    private String address;

    /**
     * 项目简介
     */
    @ApiModelProperty(value = "项目简介")
    private String itemDesc;

    /**
     * 项目展示(逗号分隔)
     */
    @ApiModelProperty(value = "项目展示(逗号分隔)")
    private String showImages;

    /**
     * 单位名称
     */
    @ApiModelProperty(value = "单位名称")
    private String companyName;

    /**
     * 单位职务
     */
    @ApiModelProperty(value = "单位职务")
    private String position;

    /**
     * 注册地址
     */
    @ApiModelProperty(value = "注册地址")
    private String registerAddress;

    /**
     * 注册时间
     */
    @ApiModelProperty(value = "注册时间")
    private Date regiserTime;

    /**
     * 注册资本(万)
     */
    @ApiModelProperty(value = "注册资本(万)")
    private BigDecimal regiserCapital;

    /**
     * 注册资本(货币)
     */
    @ApiModelProperty(value = "注册资本(货币)")
    private String regiserCapitalCurrency;

    /**
     * 法定代表人
     */
    @ApiModelProperty(value = "法定代表人")
    private String legalRepresentative;

    /**
     * 所属行业(逗号分隔)
     */
    @ApiModelProperty(value = "所属行业(逗号分隔)")
    private String industry;

    /**
     * 企业负债金额
     */
    @ApiModelProperty(value = "企业负债金额")
    private BigDecimal enterpriseDebtAmount;

    /**
     * 上一年营收
     */
    @ApiModelProperty(value = "上一年营收")
    private BigDecimal previousYearRevenue;

    /**
     * 上一年税收
     */
    @ApiModelProperty(value = "上一年税收")
    private BigDecimal previousYearTaxRevenue;

    /**
     * 员工数
     */
    @ApiModelProperty(value = "员工数")
    private Integer employeeCount;

    /**
     * 是否有融资需求
     */
    @ApiModelProperty(value = "是否有融资需求")
    private String financingNeed;


}
