package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 青创赛事项目融资申请业务对象 mth_project_financing
 *
 * @author ruoyi
 * @date 2023-12-18
 */

@Data
@EqualsAndHashCode
@ApiModel("青创赛事项目融资申请业务对象")
public class MthProjectFinancingBo {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    private String code;

    /**
     * 青创赛事项目id
     */
    @ApiModelProperty(value = "青创赛事项目id")
    private Long projectId;

    /**
     * 一句话介绍
     */
    @ApiModelProperty(value = "一句话介绍")
    private String introduce;

    /**
     * 期望融资金额(万)
     */
    @ApiModelProperty(value = "期望融资金额(万)")
    private BigDecimal expectedAmount;

    /**
     * 出让股权(%)
     */
    @ApiModelProperty(value = "出让股权(%)")
    private BigDecimal transferEquity;

    /**
     * 官方网址
     */
    @ApiModelProperty(value = "官方网址")
    private String officialWebsite;

    /**
     * 审核状态(0待审核1已通过2不通过)
     */
    @ApiModelProperty(value = "审核状态(0待审核1已通过2不通过)")
    private Integer reviewStatus;

    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    private Date reviewTime;

    /**
     * 审核原因
     */
    @ApiModelProperty(value = "审核原因")
    private String reviewReason;

    /**
     * 审核人id
     */
    @ApiModelProperty(value = "审核人id")
    private Long reviewerId;

    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人")
    private String reviewerName;

    /**
     * 公示状态(0未公示1已公示)
     */
    @ApiModelProperty(value = "公示状态(0未公示1已公示)")
    private Integer publicityStatus;

    /**
     * 申请人id
     */
    @ApiModelProperty(value = "申请人id")
    private Long userId;
}
