package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 青创赛事项目融资历史业务对象 mth_project_financing_history
 *
 * @author ruoyi
 * @date 2023-12-18
 */

@Data
@EqualsAndHashCode
@ApiModel("青创赛事项目融资历史业务对象")
public class MthProjectFinancingHistoryBo {

    /**
     * ID
     */
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 项目融资id
     */
    @ApiModelProperty(value = "项目融资id")
    private Long financingId;

    /**
     * 融资轮次
     */
    @ApiModelProperty(value = "融资轮次")
    private String financingRounds;

    /**
     * 融资时间
     */
    @ApiModelProperty(value = "融资时间")
    private String financingTime;

    /**
     * 融资金额(万元)
     */
    @ApiModelProperty(value = "融资金额(万元)")
    private BigDecimal amount;

    /**
     * 对外公布融资金额(0否1是)
     */
    @ApiModelProperty(value = "对外公布融资金额(0否1是)")
    private Integer publicityAmount;

    /**
     * 投资方
     */
    @ApiModelProperty(value = "投资方")
    private String investor;

    /**
     * 对外公布投资方(0否1是)
     */
    @ApiModelProperty(value = "对外公布投资方(0否1是)")
    private Integer publicityInvestor;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    private Integer sortNum;
}
