package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import com.crunii.micro.service.match.api.FileDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;
import java.util.List;

/**
 * 赛事-报名信息;业务对象 mth_register_config
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事报名信息业务对象")
public class MthRegisterConfigBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 赛事id
     */
    @ApiModelProperty(value = "赛事id", required = false)
    private Long matchId;

    /**
     * 类别（个人信息、作品）
     */
    @ApiModelProperty(value = "类别（报名信息 register、作品 works）", required = false)
    private String configType;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = false)
    @NotBlank(message = "名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述", required = false)
    private String configDesc;

    /**
     * 图片
     */
    @ApiModelProperty(value = "图片", required = false)
    private Long picId;

    @ApiModelProperty("配置详情列表")
    private List<MthRegisterConfigDetailBo> configDetailList;


    @ApiModelProperty(value = "图片")
    private FileDto fileDto;


}
