package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.service.match.api.vo.MthFormConfigValueVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 赛事-报名配置-详情;业务对象 mth_register_config_detail
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("报名配置详情业务对象")
public class MthRegisterConfigDetailBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 报名信息id
     */
    @ApiModelProperty(value = "报名信息id")
    private Long registerInfoId;

    /**
     * 配置id
     */
    @ApiModelProperty(value = "配置id")
    private Long registerConfigId;

    /**
     * 分组名称
     */
    @ApiModelProperty(value = "分组名称", required = true)
    private String groupName;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序", required = true)
    private Integer sortNum;

    /**
     * 动态配置标志
     */
    @ApiModelProperty(value = "是否动态配置",required = true)
    private Integer dynamicFlag;


    //自定义需要传以下字段
    /**
     * 显示名称
     */
    @ApiModelProperty(value = "显示名称")
    private String showName;
    /**
     * 是否必填
     */
    @ApiModelProperty(value = "是否必填")
    private Integer requiredFlag;
    /**
     * 类型(文本、单选、多选、附件)
     */
    @ApiModelProperty(value = "类型(文本、单选、多选、附件)")
    private String configType;
    /**
     * 关联id(数据字典、业务数据id)
     */
    @ApiModelProperty(value = "关联id(数据字典、业务数据id)")
    private String refId;
    /**
     * 标识key
     */
    @ApiModelProperty(value = "标识key")
    private String key;
    /**
     * 引用类型
     */
    private String refType;

    private String hint;

    @ApiModelProperty(value = "单选、多选配置中的值")
    private List<MthFormConfigValueVo> valueList;

    @ApiModelProperty(value = "文件大小")
    private Integer minFileSize;

    @ApiModelProperty(value = "文件大小")
    private Integer maxFileSize;

    @ApiModelProperty(value = "字数限制")
    private Integer limitNum;



}
