package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-赛项-组别-区域报名详情;业务对象 mth_register_detail
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事区域报名详情业务对象")
public class MthRegisterDetailBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 报名id
     */
    @ApiModelProperty(value = "报名id", required = true)
    @NotNull(message = "报名id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long bizId;

    /**
     * 报名配置详情id
     */
    @ApiModelProperty(value = "报名配置详情id", required = true)
    @NotNull(message = "报名配置详情id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long configDetailId;

    /**
     * 配置id
     */
    @ApiModelProperty(value = "配置id", required = true)
    @NotNull(message = "配置id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long configId;

    /**
     * 配置中的key
     */
    @ApiModelProperty(value = "配置中的key", required = true)
    @NotBlank(message = "配置中的key不能为空", groups = { AddGroup.class, EditGroup.class })
    private String key;

    /**
     * 用户提交数据
     */
    @ApiModelProperty(value = "用户提交数据", required = true)
    @NotBlank(message = "用户提交数据不能为空", groups = { AddGroup.class, EditGroup.class })
    private String value;

    /**
     * 类型(报名信息、作品信息)
     */
    @ApiModelProperty(value = "类型(报名信息、作品信息)", required = true)
    @NotBlank(message = "类型(报名信息、作品信息)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;



}
