package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-赛项-报名-审核记录;业务对象 mth_register_review
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事审核记录业务对象")
public class MthRegisterReviewBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment", required = true)
    @NotBlank(message = "$column.columnComment不能为空", groups = { AddGroup.class, EditGroup.class })
    private String registerId;

    /**
     * 审核结果
     */
    @ApiModelProperty(value = "审核结果", required = true)
    @NotBlank(message = "审核结果不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewResult;

    /**
     * 审核人id
     */
    @ApiModelProperty(value = "审核人id", required = true)
    @NotBlank(message = "审核人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewerId;

    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人", required = true)
    @NotBlank(message = "审核人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewerName;

    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间", required = true)
    @NotBlank(message = "审核时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewerTime;

    /**
     * 原因
     */
    @ApiModelProperty(value = "原因", required = true)
    @NotBlank(message = "原因不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reason;


}
