package com.crunii.micro.service.match.api.bo;


import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
@ApiModel("比赛管理-报名时间节点信息查询业务对象")
public class MthRegistrationTimeNodeReqBo implements Serializable {
        private static final long serialVersionUID = 1L;

        @ApiModelProperty("用户ID")
        @NotBlank(message = "用户ID不能为空", groups = { AddGroup.class, EditGroup.class })
        private Long userId;

        @ApiModelProperty("比赛id")
        @NotBlank(message = "比赛ID不能为空", groups = { AddGroup.class, EditGroup.class })
        private Long mthMatchId;

        @ApiModelProperty("场次id")
        @NotBlank(message = "场次ID不能为空", groups = { AddGroup.class, EditGroup.class })
        private Long roundId;

}
