package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;
import java.util.List;

/**
 * 赛事-场次-等级-区域;业务对象 mth_round_area
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("场次区域业务对象")
public class MthRoundAreaBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 区域类型(4校区，3区县、2片区、1市)
     */
    @ApiModelProperty(value = "区域类型(4校区，3区县、2片区、1市)", required = true)
    private String areaType;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = true)
    private String areaName;

    /**
     * code
     */
    @ApiModelProperty(value = "code", required = true)
    private String areaCode;

    /**
     * area_id
     */
    @ApiModelProperty(value = "area_id", required = true)
    private Long areaId;

    /**
     * 场次模板id
     */
    @ApiModelProperty(value = "场次模板id", required = true)
    private Long roundId;

    /**
     * 父级id
     */
    @ApiModelProperty(value = "父级id")
    private Long parentId;

    /**
     * 片区下级区域id
     */
    @ApiModelProperty(value = "片区下级区域id")
    private List<Long> childrenIds;
}
