package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-赛项-组别-区域-场次-名单;业务对象 mth_round_list
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事场次名单业务对象")
public class MthRoundListBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 报名信息id
     */
    @ApiModelProperty(value = "报名信息id", required = true)
    @NotBlank(message = "报名信息id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String registerId;

    /**
     * 场次
     */
    @ApiModelProperty(value = "场次", required = true)
    @NotBlank(message = "场次不能为空", groups = { AddGroup.class, EditGroup.class })
    private String roundId;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment", required = true)
    @NotBlank(message = "$column.columnComment不能为空", groups = { AddGroup.class, EditGroup.class })
    private String userId;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment", required = true)
    @NotBlank(message = "$column.columnComment不能为空", groups = { AddGroup.class, EditGroup.class })
    private String userName;

    /**
     * 场次名单状态: RUNNING进行中, END已结束
     */
    @Column(name = "status")
    @ApiModelProperty(value = "场次名单状态: RUNNING进行中, END已结束")
    private String status;


}
