package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-场次-名次配置;业务对象 mth_round_prize
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事场次名次配置业务对象")
public class MthRoundPrizeBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * $column.columnComment
     */
    private Long roundId;

    /**
     * 奖项code
     */
    @ApiModelProperty(value = "奖项code", required = true)
    @NotBlank(message = "奖项code不能为空", groups = { AddGroup.class, EditGroup.class })
    private String prizeCode;

    /**
     * 奖项
     */
    @ApiModelProperty(value = "奖项", required = true)
    @NotBlank(message = "奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String prizeName;

    /**
     * 奖项方式（人数、百分比）
     */
    @ApiModelProperty(value = "奖项方式（人数 num 、百分比 percent）", required = true)
    @NotBlank(message = "奖项方式（人数、百分比）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String prizeMode;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量", required = true)
    @NotBlank(message = "数量不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer prizeNum;

    /**
     * 赛项id
     */
    @ApiModelProperty(value = "赛项id")
    private Long itemId;
    /**
     * 赛项name
     */
    @ApiModelProperty(value = "赛项name")
    private String itemName;

    /**
     * 组别id
     */
    @ApiModelProperty(value = "组别id")
    private Long groupId;
    /**
     * 组别name
     */
    @ApiModelProperty(value = "组别name")
    private String groupName;

}
