package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-场次-比赛-晋级调整记录;业务对象 mth_round_qualify_log
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("比赛晋级调整记录业务对象")
public class MthRoundQualifyLogBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 评分表id
     */
    @ApiModelProperty(value = "评分表id", required = true)
    @NotBlank(message = "评分表id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long scoreId;

    /**
     * 原评分
     */
    @ApiModelProperty(value = "原评分", required = true)
    @NotBlank(message = "原评分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String oldScore;

    /**
     * 原排名
     */
    @ApiModelProperty(value = "原排名", required = true)
    @NotBlank(message = "原排名不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer oldSort;

    /**
     * 修改后评分
     */
    @ApiModelProperty(value = "修改后评分", required = true)
    @NotBlank(message = "修改后评分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String score;

    /**
     * 修改后排名
     */
    @ApiModelProperty(value = "修改后排名", required = true)
    @NotBlank(message = "修改后排名不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer sort;

    /**
     * 作品编码
     */
    @ApiModelProperty(value = "作品编码", required = true)
    @NotBlank(message = "作品编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workCode;

    /**
     * 作品名称
     */
    @ApiModelProperty(value = "作品名称", required = true)
    @NotBlank(message = "作品名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String workName;



}
