package com.crunii.micro.service.match.api.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 赛事-场次配置;业务对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("查询待评审列表bo业务对象")
public class MthRoundRankingListBo {


    /**
     * 场次id
     */
    @ApiModelProperty(value = "场次id", required = true)
    private Long roundId;

    /**
     * 作品编码
     */
    @ApiModelProperty(value = "作品编码", required = false)
    private String workCode;

    /**
     * 比赛名称
     */
    @ApiModelProperty(value = "比赛名称", required = false)
    private String matchName;

    /**
     * 场次名称
     */
    @ApiModelProperty(value = "场次名称", required = false)
    private String roundName;

    /**
     * 评审状态
     */
    @ApiModelProperty(value = "评审状态", required = false)
    private Integer workStatus;

    /**
     * 作品提交时间
     */
    @ApiModelProperty(value = "作品提交时间", required = false)
    private Date workSignTimeStart;

    /**
     * 作品提交时间
     */
    @ApiModelProperty(value = "作品提交时间", required = false)
    private Date workSignTimeEnd;

    /**
     * 评审时间
     */
    @ApiModelProperty(value = "评审时间", required = false)
    private Date reviewTimeStart;

    /**
     * 评审时间
     */
    @ApiModelProperty(value = "评审时间", required = false)
    private Date reviewTimeEnd;


    /**
     * 赛项id
     */
    @ApiModelProperty( "赛项id")
    private Long itemId;


    /**
     * 组别id
     */
    @ApiModelProperty( "组别id")
    private Long groupId;

    private List<OrderByBo> orderByBo;


}
