package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-场次-评审员配置;业务对象 mth_round_review_conf
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事评审员配置业务对象")
public class MthRoundReviewConfBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 场次id
     */
    @ApiModelProperty(value = "场次id", required = true)
    @NotBlank(message = "场次id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long roundId;

    /**
     * 按照赛事
     */
    @ApiModelProperty(value = "按照赛事", required = true)
    @NotBlank(message = "按照赛事不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer matchItemFlag;

    /**
     * 评审次数
     */
    @ApiModelProperty(value = "评审次数", required = true)
    @NotBlank(message = "评审次数不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer reviewCount;

    /**
     * 评审方式(评审全部、平均分配)
     */
    @ApiModelProperty(value = "评审方式(评审全部、平均分配)", required = true)
    @NotBlank(message = "评审方式(评审全部、平均分配)不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer reviewType;



}
