package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-场次-评审指标配置;业务对象 mth_round_review
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事评审指标配置业务对象")
public class MthRoundReviewStandarBo {

    @ApiModelProperty("id")
    private Long id;


    /** 赛项id */
    @ApiModelProperty(value = "赛项id",notes = "")
    private Long itemId;
    /** 赛项名字 */
    @ApiModelProperty(value = "赛项名字",notes = "")
    private String itemName ;
    /**
     * 场次实例id
     */
    @ApiModelProperty(value = "场次实例id", required = true)
    @NotBlank(message = "场次实例id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long roundId;

    /**
     * 标准
     */
    @ApiModelProperty(value = "标准", required = true)
    @NotBlank(message = "标准不能为空", groups = { AddGroup.class, EditGroup.class })
    private String standar;

    /**
     * 分值
     */
    @ApiModelProperty(value = "分值", required = true)
    @NotBlank(message = "分值不能为空", groups = { AddGroup.class, EditGroup.class })
    private String score;

    /**
     * 权重
     */
    @ApiModelProperty(value = "权重")
    private String weight;

    @ApiModelProperty(value = "评审标准（按赛项、按比赛）")
    private String reviewerStandar;

}
