package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

/**
 * 赛事-场次-评审员账号关系;业务对象 mth_round_reviewer
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("场次评审员账号关系业务对象")
public class MthRoundReviewerBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 场次id
     */
    @ApiModelProperty(value = "场次id", required = true)
    @NotBlank(message = "场次id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long roundId;

    /**
     * 评审员id
     */
    @ApiModelProperty(value = "评审员id", required = true)
    @NotBlank(message = "评审员id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long reviewerId;


}
