package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;
import java.util.List;

/**
 * 赛事-场次-比赛评分;业务对象 mth_round_score
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("赛事比赛评分业务对象")
public class MthRoundScoreBo {

    @ApiModelProperty("id")
    private Long id;

    /**
     * 场次名单id
     */
    @ApiModelProperty(value = "场次名单id", required = true)
    @NotBlank(message = "场次名单id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long roundListId;

    /**
     * 排名
     */
    @ApiModelProperty(value = "排名", required = true)
    @NotBlank(message = "排名不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer sort;

    /**
     * 分数
     */
    @ApiModelProperty(value = "分数", required = true)
    @NotBlank(message = "分数不能为空", groups = { AddGroup.class, EditGroup.class })
    private String score;

    /**
     * 结果（晋级淘汰）
     */
    @ApiModelProperty(value = "结果（晋级淘汰）", required = true)
    @NotBlank(message = "结果（晋级淘汰）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String result;

    /**
     * 原排名
     */
    @ApiModelProperty(value = "原排名", required = true)
    @NotBlank(message = "原排名不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer oldSort;

    /**
     * 原分数
     */
    @ApiModelProperty(value = "原分数", required = true)
    @NotBlank(message = "原分数不能为空", groups = { AddGroup.class, EditGroup.class })
    private String oldScore;

    /**
     * 奖项
     */
    @ApiModelProperty(value = "奖项", required = true)
    @NotBlank(message = "奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String prizeId;

    /**
     * 奖项
     */
    @ApiModelProperty(value = "奖项", required = true)
    @NotBlank(message = "奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String prizeName;

    /**
     * 其他奖项
     */
    @ApiModelProperty(value = "其他奖项", required = true)
    @NotBlank(message = "其他奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String otherPrizeId;

    /**
     * 其他奖项
     */
    @ApiModelProperty(value = "其他奖项", required = true)
    @NotBlank(message = "其他奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String oherPrizeName;

    /**
     * 评语
     */
    @ApiModelProperty(value = "评语", required = true)
    @NotBlank(message = "评语不能为空", groups = { AddGroup.class, EditGroup.class })
    private String comment;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment", required = true)
    @NotBlank(message = "$column.columnComment不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long reviewerId;

    /**
     * 评委
     */
    @ApiModelProperty(value = "评委", required = true)
    @NotBlank(message = "评委不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewerName;

    /**
     * 评委签名
     */
    @ApiModelProperty(value = "评委签名", required = true)
    @NotBlank(message = "评委签名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reviewerSign;


}
