package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 场次晋级排名列表查询;业务对象 mth_round_score
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("场次晋级排名列表查询业务对象")
public class MthRoundScoreRankingSaveListBo {

    @ApiModelProperty(value = "名单评分id", required = true)
    @NotBlank(message = "名单评分id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long id;


    @ApiModelProperty(value = "场次id", required = true)
    @NotBlank(message = "场次id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long roundId;

    /**
     * 场次名单id
     */
    @ApiModelProperty(value = "场次名单id", required = true)
    @NotBlank(message = "场次名单id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long mthRoundListId;

    /**
     * 分数
     */
    @ApiModelProperty(value = "分数", required = true)
    @NotBlank(message = "分数不能为空", groups = { AddGroup.class, EditGroup.class })
    private String score;

    /**
     * 结果（晋级淘汰）
     */
    @ApiModelProperty(value = "结果（晋级淘汰）", required = true)
//    @NotBlank(message = "结果（晋级淘汰）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String result;

    /**
     * 奖项
     */
    @ApiModelProperty(value = "奖项", required = false)
    @NotBlank(message = "奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String prizeId;

    /**
     * 奖项
     */
    @ApiModelProperty(value = "奖项", required = false)
    @NotBlank(message = "奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String prizeName;

    /**
     * 其他奖项
     */
    @ApiModelProperty(value = "其他奖项", required = false)
    @NotBlank(message = "其他奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String otherPrizeId;

    /**
     * 其他奖项
     */
    @ApiModelProperty(value = "其他奖项", required = false)
    @NotBlank(message = "其他奖项不能为空", groups = { AddGroup.class, EditGroup.class })
    private String otherPrizeName;

    /**
     * 排名
     */
    @ApiModelProperty(value = "排名", required = false)
    @NotBlank(message = "排名不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer sort;

    /**
     * 历史排名
     */
    @ApiModelProperty(value = "历史排名", required = false)
    private Integer oldSort;

    @ApiModelProperty(value = "itemId")
    private Long itemId;
    @ApiModelProperty(value = "groupId")
    private Long groupId;

}
