package com.crunii.micro.service.match.api.bo;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import com.crunii.micro.service.match.api.bo.MthRoundScoreDetailBo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 赛事-场次-比赛评分;业务对象 mth_round_score
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@EqualsAndHashCode
@ApiModel("保存评审业务对象")
public class MthRoundScoreReviewBo {

    /**
     * 场次名单id
     */
    @ApiModelProperty(value = "场次名单id", required = true)
    @NotBlank(message = "场次名单id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long roundListId;

    /**
     * 分数
     */
    @ApiModelProperty(value = "分数", required = true)
    @NotBlank(message = "分数不能为空", groups = { AddGroup.class, EditGroup.class })
    private String score;

    /**
     * 评语
     */
    @ApiModelProperty(value = "评语", required = true)
 //   @NotBlank(message = "评语不能为空", groups = { AddGroup.class, EditGroup.class })
    private String comment;

//    /**
//     * 评分方式(10分制、百分制、ABC、通过不通过))
//     */
//    @ApiModelProperty(value = "评分方式(10分制、百分制、ABC、通过不通过))", required = true)
//    @NotBlank(message = "评分方式(10分制、百分制、ABC、通过不通过))", groups = { AddGroup.class, EditGroup.class })
//    private String socreMode;
//    /**
//     * 场次实例id
//     */
//    @ApiModelProperty(value = "场次实例id", required = true)
//    @NotBlank(message = "场次实例id", groups = { AddGroup.class, EditGroup.class })
//    private Long roundId;

    /**
     * 比赛评分明细
     */
    @ApiModelProperty(value = "比赛评分明细", required = false)
    private List<MthRoundScoreDetailBo> mthRoundScoreDetailBos;
}
