package com.crunii.micro.service.match.api.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author gongsongtao
 * @date 2023/11/22 11:29
 */
@Data
@ApiModel("签到信息")
public class SignInfoVo {

    /**
     * 签到信息id
     */
    @ApiModelProperty("签到信息id")
    private Long id;

    /**
     * 场次ID
     */
    @ApiModelProperty("场次ID")
    private Long instanceId;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date signStartTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date signEndTime;

    /**
     * 方式(1扫码,2定位,3扫码+定位)
     */
    @ApiModelProperty("方式(1扫码,2定位,3扫码+定位)")
    private Integer signType;

    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private String signLongitude;

    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private String signLatitude;

    /**
     * 签到二维码
     */
    @ApiModelProperty("二维码")
    private String signQrId;

    /**
     * 签到地点名称
     */
    @ApiModelProperty(value ="签到地点名称" )
    private String signSiteName;

    /**
     * 详细地址
     */
    @ApiModelProperty(value ="详细地址" )
    private String signAddress="";

    /**
     * 类型(1签到,-1签退)
     */
    @ApiModelProperty(value ="(1签到,-1签退)" )
    private Integer informationType;
}
