package com.crunii.micro.service.match.api.fallback;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.service.match.api.MatchService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author wangchen create 2023/8/8 15:44
 */
@Component
public class MatchFallbackFactory implements FallbackFactory<MatchService> {

    private static final Logger logger = LoggerFactory.getLogger(MatchFallbackFactory.class);

    @Override
    public MatchService create(Throwable cause) {
        logger.error(StrUtil.format("fallback; exception was: {}",cause.getMessage()), cause);
        return new MatchService() {

        };
    }
}
