package com.crunii.micro.service.match.api.fallback;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.MatchJobHandlerService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2024/1/16 10:04
 */
@Component
@Slf4j
public class MatchJobHandlerFallbackFactory implements FallbackFactory<MatchJobHandlerService> {
    @Override
    public MatchJobHandlerService create(Throwable cause) {
        log.error("fallback; exception was: {}", cause.toString());
        log.error("fallback; reason was: {}", cause.getMessage());
        return new MatchJobHandlerService(){
            @Override
            public Result<Void> roundState() {
                Result<Void> result = new Result();
                result.setSuccess(false);
                result.setMsg("接口调用失败");
                return result;            }
        };
    }
}
