package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.crunii.micro.service.match.api.FileDto;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author gongsongtao
 * @date 2024/1/20 10:02
 */
@Data
@ApiModel("app待审额详情")
public class AppDetailVo {

    private Long id;

    @ApiModelProperty("赛事id")
    private Long matchId;

    @ApiModelProperty("赛事名称")
    private String matchName;

    @ApiModelProperty("赛事标签")
    private String matchLabel;

    @ApiModelProperty("分类名称")
    private String categoryName;

    @ApiModelProperty(value = "赛事主办方")
    private String matchSponsorName;

    @ApiModelProperty(value = "其他赛事主办方")
    private String otherMatchSponsorName;

    @ApiModelProperty(value = "赛事承办方")
    private String matchUndertakeName;

    @ApiModelProperty(value = "其他赛事承办方")
    private String otherMatchUndertakeName;

    @ApiModelProperty(value = "报名开始时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date registerationStart;

    @ApiModelProperty(value = "报名结束时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date registerationEnd;

    @ApiModelProperty(value = "报名是否需要审核")
    private Integer registerationAuditFlag;

    @ApiModelProperty(value = "报名是否需要审核名称")
    private String registerationAuditFlagName;

    @ApiModelProperty(value = "赛项与组别")
    private List<ItemList> groupItemList;

    @ApiModelProperty(value = "比赛范围")
    private List<MthMatchAreaVo> matchScope;

    @ApiModelProperty("是否已审核")
    private Boolean whetherApprove;

    @ApiModelProperty(value = "实例id")
    private Long roundInstanceId;

    @ApiModelProperty(value = "图片")
    private FileDto fileDto;


    @Data
    @ApiModel("赛项信息")
    public static class ItemList{

        private Long id;

        @ApiModelProperty("赛项名称")
        private String itemName;

        @ApiModelProperty("组别信息")
        private List<GroupList> groupList;
    }

    @Data
    @ApiModel("组别信息")
    public static class GroupList{

        private Long id;

        @ApiModelProperty("组别名称")
        private String name;
    }

    @Data
    @ApiModel("比赛范围")
    public static class MatchScope{

        private Long id;

        @ApiModelProperty("比赛等级")
        private String matchLevel;

        @ApiModelProperty("比赛范围")
        private List<MatchScopeDetail> matchScope;
    }

    @Data
    @ApiModel("具体范围名称")
    public static class MatchScopeDetail{

        private Long id;

        @ApiModelProperty("范围名称")
        private String scopeName;
    }
}
