package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author gongsongtao
 * @date 2024/1/18 17:19
 */
@Data
@ApiModel("审核记录返回参数")
public class ApproveRecordVo {

    private Long id;

    @ApiModelProperty("环节名称")
    private String nodeName;

    @ApiModelProperty("环节")
    private String node;

    @ApiModelProperty("审核结果")
    private Integer resultType;

    @ApiModelProperty("审核结果名称")
    private String resultTypeName;

    @ApiModelProperty("审核意见")
    private String reason;

    @ApiModelProperty("审核时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date approveTime;

    @ApiModelProperty("处理人信息")
    private String dealInformation;
}
