package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.match.api.FileDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author xujie
 * @date 2023-09-22
 */
@Data
@ApiModel("预览比赛基本信息视图对象")
@ExcelIgnoreUnannotated
public class MatchBaseInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 比赛名称
     */
    @ExcelProperty(value = "比赛名称")
    @ApiModelProperty("比赛名称")
    private String matchName;
    /**
     * 分类id
     */
    @ExcelProperty(value = "分类id")
    @ApiModelProperty("分类id")
    private Long categoryId;
    /**
     * 分类名称
     */
    @ExcelProperty(value = "分类名称")
    @ApiModelProperty("分类名称")
    private String categoryName;
    /**
     * 标签名称
     */
    @ExcelProperty(value = "标签名称")
    @ApiModelProperty("标签名称")
    private List<String> labelName;
    private Long bannerId;
    /**
     * 图片路径
     */
    @ExcelProperty(value = "图片路径")
    @ApiModelProperty("图片路径")
    private String bannerUrl;
    /**
     * 是否需要审核
     */
    @ExcelProperty(value = "是否需要审核")
    @ApiModelProperty("是否需要审核")
    private Integer registerationAuditFlag;
    /**
     * 赛项组别信息
     */
    @ExcelProperty(value = "赛项组别信息")
    @ApiModelProperty("赛项组别信息")
    private List<MatchBaseItemVo> itemLists;
    @ExcelProperty(value = "报名开始时间")
    @ApiModelProperty("报名开始时间")
    private Date registrationStartTime;
    @ExcelProperty(value = "报名结束时间")
    @ApiModelProperty("报名结束时间")
    private Date registrationEndTime;

    @ApiModelProperty(value = "图片")
    private FileDto fileDto;

    @ApiModelProperty(value = "主办方")
    private List<MthMatchSponsorVo> sponsorBoList;

    @ApiModelProperty(value = "承办方")
    private List<MthMatchSponsorVo> organizerBoList;

    @ApiModelProperty("统计类别")
    private String statisticsType;

    @ApiModelProperty("报名方式（统一报名、承办单位确定）")
    private String registerationType;

    @ApiModelProperty("年龄限制方式（按比赛、按组别）")
    private String ageLimit;

    @ApiModelProperty("开始年龄")
    private String ageBegin;

    @ApiModelProperty("结束年龄")
    private String ageEnd;

    @ApiModelProperty("比赛等级(逗号分割)（直接创建场次模板)）")
    private String matchLevel;

    @ApiModelProperty(value = "是否青创赛事(1是0否)")
    private Integer qcFlag;

    @ApiModelProperty(value = "其他主办方")
    private String otherSponsor;

    @ApiModelProperty(value = "其他承办方")
    private String otherOrganizer;
}
