package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.crunii.micro.service.match.api.bo.SignInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author xujie
 * @date 2023-09-25
 */
@Data
@ApiModel("预览比赛场次信息视图对象")
@ExcelIgnoreUnannotated
public class MatchRoundTemplateInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("场次ID")
    private Long id;
    @ApiModelProperty("场次名称")
    private String name;
    @ApiModelProperty("场次等级")
    private String level;
    @ApiModelProperty("场次等级名称")
    private String levelName;
    @ApiModelProperty("场次序号")
    private String roundSort;
    @ApiModelProperty("区域信息")
    private List<MthRoundAreaVo> orgInfos;
    @ApiModelProperty("是否公示")
    private Integer publicity;
    @ApiModelProperty("公示天数")
    private String publicityDay;
    @ApiModelProperty("比赛方式")
    private String playMode;
    @ApiModelProperty("评审方式")
    private String auditMode;
    @ApiModelProperty("评审指标")
    private String standar;
    @ApiModelProperty("晋级方式")
    private String promotionMode;
    @ApiModelProperty("晋级数量")
    private Integer promptionNum;
    @ApiModelProperty("作品提交方式")
    private String entrySubmitMode;
    @ApiModelProperty("报名时间")
    private String registerationTime;
    @ApiModelProperty("比赛时间")
    private String roundTime;
    @ApiModelProperty("签到信息")
    private SignInfoVo signInfoVo;
    @ApiModelProperty("名次设置类型")
    private String   prizeType;
    @ApiModelProperty( "评审标准")
    private  String  reviewerStandar;
    @ApiModelProperty("上传作品截至时间")
    private Date  entryDeadline;
    @ApiModelProperty("场次开始时间")
    private  Date roundStart;
    @ApiModelProperty("场次结束时间")
    private  Date roundEnd;
    @ApiModelProperty("名次信息")
    private List<MthRoundPrizeVo> prizeVoList;
    @ApiModelProperty("评分标准信息")
   private List<MthRoundReviewStandarVo> mthRoundReviewStandarBoList;







}
