package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;


/**
 * 赛事报名配置;视图对象 mth_form_config
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事报名配置视图对象")
@ExcelIgnoreUnannotated
public class MthFormConfigVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 显示名称
     */
    @ExcelProperty(value = "显示名称")
    @ApiModelProperty("显示名称")
    private String showName;
    /**
     * 是否必填
     */
    @ExcelProperty(value = "是否必填")
    @ApiModelProperty("是否必填")
    private Integer requiredFlag;
    /**
     * 类型(文本、单选、多选、附件)
     */
    @ExcelProperty(value = "类型(文本、单选、多选、附件)")
    @ApiModelProperty("类型(文本、单选、多选、附件)")
    private String configType;
    /**
     * 关联id(数据字典、业务数据id)
     */
    @ExcelProperty(value = "关联id(数据字典、业务数据id)")
    @ApiModelProperty("关联id(数据字典、业务数据id)")
    private String refId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String key;

    private String refType;

    private List<MthFormConfigValueVo> valueList;


    private String hint;

    /**
     * 动态配置标志
     */
    private Integer dynamicFlag;

    @ApiModelProperty(value = "文件大小")
    private Integer minFileSize;
    @ApiModelProperty(value = "文件大小")
    private Integer maxFileSize;
    @ApiModelProperty(value = "字数限制")
    private Integer limitNum;
    @ApiModelProperty("分组名称")
    private String groupName;

}
