package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 赛事区域视图对象
 *
 * @author xiangjunming
 * @date 2023/11/23
 */
@Data
@ApiModel("赛事区域视图对象")
@ExcelIgnoreUnannotated
public class MthMatchAreaVo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 比赛等级
     */
    @ExcelProperty(value = "比赛等级")
    @ApiModelProperty("比赛等级")
    private String matchLevel;
    /**
     * 区域id
     */
    @ExcelProperty(value = "区域id")
    @ApiModelProperty("区域id")
    private Long areaId;
    /**
     * 区域名称
     */
    @ExcelProperty(value = "区域名称")
    @ApiModelProperty("区域名称")
    private String areaName;
    /**
     * 参与人数
     */
    @ExcelProperty(value = "参与人数")
    @ApiModelProperty("参与人数")
    private String totalCount;
    /**
     * 晋级人数
     */
    @ExcelProperty(value = "晋级人数")
    @ApiModelProperty("晋级人数")
    private String nextLevelCount;
    /**
     * 下级区域
     */
    @ExcelProperty(value = "下级区域")
    @ApiModelProperty("下级区域")
    private List<MthMatchAreaVo> children;
}
