package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.persistence.Column;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/11/18
 * @description
 */
@Data
public class MthMatchContractorVO implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 比赛等级（市、片区、区县、校区）
   */
  @Column(name = "matchLevel")
  @ExcelIgnore
  @ApiModelProperty(value = "比赛等级（市、片区、区县、校区）")
  private String matchLevel;
  @ExcelProperty(value = "比赛等级" , index = 0)
  private String matchLevelName;

  @Column(name = "id")
  @ExcelIgnore
  @ApiModelProperty(value = "id")
  private Long id;
  /**
   * 比赛id
   */
  @Column(name = "match_id")
  @ExcelIgnore
  @ApiModelProperty(value = "比赛id")
  private Long matchId;
  /**
   * 区域id
   */
  @Column(name = "area_id")
  @ExcelIgnore
  @ApiModelProperty(value = "区域id")
  private Long areaId;
  /**
   * 区域名称
   */
  @Column(name = "area_name")
  @ExcelProperty(value = "区域名称" , index = 1)
  @ApiModelProperty(value = "区域名称")
  private String areaName;
  /**
   * 承办方组织
   */
  @Column(name = "org_id")
  @ExcelIgnore
  @ApiModelProperty(value = "承办方组织")
  private Long orgId;
  /**
   * 承办方名称
   */
  @Column(name = "org_name")
  @ExcelIgnore
  @ApiModelProperty(value = "承办方名称")
  private String orgName;
  /**
   * 承办方姓名
   */
  @Column(name = "contractor_name")
  @ExcelIgnore
  @ApiModelProperty(value = "承办方姓名")
  private String contractorName;
  @ExcelProperty(value = "承办方临时账号" , index = 2)
  @ApiModelProperty(value = "生成的临时用户账号")
  private String mobile;
  /**
   * 承办方id（人员id）
   */
  @Column(name = "contractor_id")
  @ExcelIgnore
  @ApiModelProperty(value = "承办方id（人员id）")
  private Long contractorId;
  @ExcelProperty(value = "密码" , index = 3)
  private String contractorIdPwd;

  /**
   * 账号类型(long_term,temp)
   */
  @Column(name = "limit_type")
  @ExcelIgnore
  @ApiModelProperty(value = "账号类型(long_term,temp)")
  private String limitType;
  /**
   * 删除标志
   */
  @Column(name = "del_flag")
  @ExcelIgnore
  @ApiModelProperty(value = "删除标志")
  private Integer delFlag;
  /**
   * 赛项id
   */
  @Column(name = "item_id")
  @ExcelIgnore
  @ApiModelProperty(value = "赛项id")
  private Long itemId;
  /**
   * 赛项名称
   */
  @Column(name = "item_name")
  @ExcelIgnore
  @ApiModelProperty(value = "赛项名称")
  private String itemName;



}
