package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



/**
 * 赛事信息主;视图对象 mth_match_info
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事信息视图对象")
@ExcelIgnoreUnannotated
public class MthMatchInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id;id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("区域id")
    private Long areaId;

    /**
     * 比赛名称
     */
    @ExcelProperty(value = "比赛名称")
    @ApiModelProperty("比赛名称")
    private String matchName;

    @ApiModelProperty("区域名称")
    private String areaName;
    /**
     * 分类cod
     */
    @ExcelProperty(value = "分类id")
    @ApiModelProperty("分类id")
    private String categoryCode;
    /**
     * 分类名称
     */
    @ExcelProperty(value = "分类名称")
    @ApiModelProperty("分类名称")
    private String categoryName;
    /**
     * bannerId
     */
    @ExcelProperty(value = "banner")
    @ApiModelProperty("banner")
    private Long bannerId;
    /**
     * 报名开始时间
     */
    @ExcelProperty(value = "报名开始时间")
    @ApiModelProperty("报名开始时间")
    private Date registerationStart;
    /**
     * 报名结束时间
     */
    @ExcelProperty(value = "报名结束时间")
    @ApiModelProperty("报名结束时间")
    private Date registerationEnd;
    /**
     * 报名审核标志
     */
    @ExcelProperty(value = "报名审核标志")
    @ApiModelProperty("报名审核标志")
    private Integer registerationAuditFlag;
    /**
     * 发布组织id
     */
    @ExcelProperty(value = "发布组织id")
    @ApiModelProperty("发布组织id")
    private Long publishOrgId;
    /**
     * 发布组织
     */
    @ExcelProperty(value = "发布组织")
    @ApiModelProperty("发布组织")
    private String publishOrgName;
    /**
     * 发布人
     */
    @ExcelProperty(value = "发布人Id")
    @ApiModelProperty("发布人Id")
    private Long publisherId;
    /**
     * 发布人
     */
    @ExcelProperty(value = "发布人")
    @ApiModelProperty("发布人")
    private String publisherName;
    /**
     * 发布时间
     */
    @ExcelProperty(value = "发布时间")
    @ApiModelProperty("发布时间")
    private Date publishTime;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private String status;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("报名配置地址")
    private String registerUrl;

    @ApiModelProperty("配置链接地址")
    private String configUrl;

    @ApiModelProperty("比赛等级(逗号分割)（直接创建场次模板)）")
    private String matchLevel;

    @ApiModelProperty("是否已生成承办方账号")
    private Integer genFlag;

    @ApiModelProperty("创建人所属组织id")
    private String orgId;

    @ApiModelProperty("可编辑标识:1可编辑0不可编辑")
    private Integer editFlag;

    @ApiModelProperty(value = "主办方")
    private String sponsor;
    @ApiModelProperty(value = "其他主办方")
    private String otherSponsor;

    @ApiModelProperty(value = "承办方")
    private String organizer;
    @ApiModelProperty(value = "其他承办方")
    private String otherOrganizer;

    @ApiModelProperty(value = "创建人组织id")
    private Long createOrgId;

    @ApiModelProperty(value = "创建人组织名称")
    private String createOrgName;

    @ApiModelProperty(value = "创建人部门id")
    private Long createDeptId;

    @ApiModelProperty(value = "创建人部门名称")
    private String createDeptName;

    @ApiModelProperty(value = "主办方是否包含团市委(1是，0否)")
    private Integer whetherSponsor;

    @ApiModelProperty("是否青创赛事(1是0否)")
    private  Integer qcFlag;
}
