package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 赛事管理-报名列表-视图
 *
 * @author luox
 * @date 2023-09-24
 */
@Data
@ApiModel("赛事管理报名列表视图对象")
@ExcelIgnoreUnannotated
public class MthMatchManagerRegisterVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("场次名单id")
    private Long roundListId;

    @ApiModelProperty("参赛者id")
    private Long registerId;

 //   @ExcelProperty(value = "参赛者编号")
    @ApiModelProperty("参赛者编号")
    private String registerCode;

    @ApiModelProperty("比赛ID")
    private String matchId;

    @ExcelProperty(value = "比赛名称")
    @ApiModelProperty("比赛名称")
    private String matchName;

    @ApiModelProperty("场次ID")
    private String roundId;

    @ExcelProperty(value = "场次名称")
    @ApiModelProperty("场次名称")
    private String roundName;

    @ExcelProperty(value = "赛项")
    @ApiModelProperty("赛项")
    private String itemName;

    @ExcelProperty(value = "组别")
    @ApiModelProperty("组别")
    private String groupName;

    @ApiModelProperty("用户编码")
    private String userId;

    @ExcelProperty(value = "参赛者姓名")
    @ApiModelProperty("参赛者姓名")
    private String userName;

    @ExcelProperty(value = "学校")
    @ApiModelProperty("学校")
    private String schoolName;

    @ExcelProperty(value = "单位名称")
    @ApiModelProperty("单位名称")
    private String companyName;

    @ExcelProperty(value = "参赛者手机号")
    @ApiModelProperty("参赛者手机号")
    private String telephone;

    @ExcelProperty(value = "报名时间")
    @ApiModelProperty("报名时间")
    private Date registerTime;

    @ExcelProperty(value = "审核状态")
    @ApiModelProperty("审核状态")
    private String reviewResult;

    @ExcelProperty(value = "审核时间")
    @ApiModelProperty("审核时间")
    private Date reviewTime;

    @ApiModelProperty("比赛范围")
    private String areaName;
    @ApiModelProperty("报名配置")
    private List<MthMyMatchListDetailAppVo.Detail> details;

}
