package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 赛事管理-报名列表-视图
 *
 * @author luox
 * @date 2023-09-24
 */
@Data
@ApiModel("赛事管理报名列表视图对象")
@ExcelIgnoreUnannotated
public class MthMatchRegisterInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("比赛ID")
    private String matchId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("比赛名称")
    private String matchName;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String itemId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String itemName;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String groupId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String groupName;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String areaId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String areaName;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String userId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String userName;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String telephone;
    /**
     * 报名审核结果
     */
    @ExcelProperty(value = "报名审核结果")
    @ApiModelProperty("报名审核结果")
    private String reviewResult;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
