package com.crunii.micro.service.match.api.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * app-我的项目
 *
 * @author mth
 * @date 2023-09-19
 */

@Data
@ApiModel("app-我的项目")
public class MthMyProjectApplyAppVo {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("编号")
    private String code;

    @ApiModelProperty("项目名称")
    private String name;

    @ApiModelProperty("审核状态(0待审核1已通过2不通过)")
    private Integer reviewStatus;

    @ApiModelProperty("审核状态")
    private String reviewStatusName;

    @ApiModelProperty("公示状态(0未公示1已公示)")
    private Integer publicityStatus;

    @ApiModelProperty("公示状态")
    private String publicityStatusName;

    @ApiModelProperty("申请人id")
    private Long userId;

    @ApiModelProperty("申请人")
    private String userName;

    @ApiModelProperty("申请时间")
    @JsonFormat(pattern = "yyyy年MM月d日")
    private Date createTime;

    @ApiModelProperty("审核人id")
    private Long reviewerId;

    @ApiModelProperty("审核人")
    private String reviewerName;

    @ApiModelProperty("审核时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reviewTime;

    @ApiModelProperty("审核原因")
    private String reviewReason;

}
