package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.common.serializer.BigDecimalSerializer;
import com.crunii.micro.common.serializer.DateSerializer;
import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 赛事-场次-比赛区域等级;业务对象 mth_area
 *
 * @author mth
 * @date 2023-09-19e
 */

@Data
@ApiModel("app-融资项目库")
public class MthProjectAppVo implements Serializable {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("报名id")
    private Long registerId;

    @ApiModelProperty("项目名称")
    private String name;

    @ApiModelProperty("项目logo")
    private Long logo;

    @ApiModelProperty("项目logo")
    private ObsFileInfoBo logoFile;

    @ApiModelProperty("项目所在地")
    private String address;

    @ApiModelProperty(value = "所属行业")
    private String industry;

    @ApiModelProperty(value = "项目启动时间")
    @JsonSerialize(using = DateSerializer.class)
    private Date startTime;

    @ApiModelProperty(value = "期望融资金额(万)")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal expectedAmount;

    @ApiModelProperty(value = "一句话介绍")
    private String introduce;

    @ApiModelProperty(value = "项目赛组")
    private String groupName;

    @ApiModelProperty(value = "奖项名称")
    private String prizeName;

    @ApiModelProperty(value = "官方网址")
    private String officialWebsite;


}
