package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.common.serializer.BigDecimalSerializer;
import com.crunii.micro.common.serializer.DateSerializer;
import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * app-查询融资项目库-详情
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Data
@ApiModel("app-查询融资项目库-详情-返回参数")
public class MthProjectDetailsVo extends MthProjectAppVo{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "项目简介")
    private String itemDesc;

    @ApiModelProperty(value = "单位名称")
    private String companyName;

    @ApiModelProperty(value = "单位职务")
    private String position;

    @ApiModelProperty(value = "注册地址")
    private String registerAddress;

    @ApiModelProperty(value = "注册时间")
    @JsonSerialize(using = DateSerializer.class)
    private Date regiserTime;

    @ApiModelProperty(value = "注册资本")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal regiserCapital;

    @ApiModelProperty(value = "法人")
    private String legalRepresentative;

    /*----------------------------------------融资信息----------------------------------------*/
    @ApiModelProperty(value = "融资历史")
    private List<FinancingHistory> financingHistory;

    @ApiModelProperty(value = "团队核心成员")
    private List<TeamMembers> allMembers;

    @Data
    @ApiModel("融资历史")
    public static class FinancingHistory {

        private Long id;

        @ApiModelProperty(value = "融资轮次")
        private String financingRounds;

        @ApiModelProperty(value = "融资时间")
        private String financingTime;

        @ApiModelProperty(value = "融资金额")
        private String amount;

        @ApiModelProperty(value = "投资方")
        private String investor;
    }

    @Data
    @ApiModel("团队核心成员")
    public static class TeamMembers {

        private Long id;

        @ApiModelProperty(value = "头像")
        private Long headSculpture;

        @ApiModelProperty(value = "头像file对象")
        private ObsFileInfoBo headSculptureFlie;

        @ApiModelProperty(value = "姓名")
        private String memberName;

        @ApiModelProperty(value = "职务")
        private String position;

        @ApiModelProperty(value = "个人经历")
        private String personalExperience;
    }
}
