package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.common.serializer.*;
import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 青创赛事项目融资申请-详情基础参数
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Data
@ApiModel("青创赛事项目融资申请-详情基础参数")
public class MthProjectFinancingBaselVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /*----------------------------------------赛事信息----------------------------------------*/
    @ApiModelProperty(value = "赛事id")
    private Long matchId;

    @ApiModelProperty(value = "赛事名称")
    private String matchName;

    @ApiModelProperty(value = "赛项名称")
    private String itemName;

    @ApiModelProperty(value = "报名id")
    private Long registerId;

    @ApiModelProperty(value = "组别名称")
    private String groupName;

    @ApiModelProperty(value = "报名开始时间")
    @JsonSerialize(using = DateTimeTwoSerializer.class)
    private Date registerationStart;

    @ApiModelProperty(value = "报名结束时间")
    @JsonSerialize(using = DateTimeTwoSerializer.class)
    private Date registerationEnd;

    @ApiModelProperty(value = "名单表id")
    private Long roundListId;

    /*----------------------------------------报名信息(青创赛事报名信息)----------------------------------------*/
    @ApiModelProperty(value = "项目赛项")
    private String projectItemName;

    @ApiModelProperty(value = "项目组别")
    private String projectGroupName;

    @ApiModelProperty(value = "项目启动时间")
    @JsonSerialize(using = DateSerializer.class)
    private Date startTime;

    @ApiModelProperty(value = "项目所在地")
    private String address;

    @ApiModelProperty(value = "项目简介")
    private String itemDesc;

    @ApiModelProperty(value = "项目展示(逗号隔开)")
    private String showImages;

    @ApiModelProperty(value = "单位名称")
    private String companyName;

    @ApiModelProperty(value = "单位职务")
    private String position;

    @ApiModelProperty(value = "注册地址")
    private String registerAddress;

    @ApiModelProperty(value = "注册时间")
    @JsonSerialize(using = DateSerializer.class)
    private Date regiserTime;

    @ApiModelProperty(value = "注册资本")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal regiserCapital;

    @ApiModelProperty(value = "法人")
    private String legalRepresentative;

    @ApiModelProperty(value = "所属行业")
    private String industry;

    @ApiModelProperty(value = "企业负债金额")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal enterpriseDebtAmount;

    @ApiModelProperty(value = "上一年营收")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal previousYearRevenue;

    @ApiModelProperty(value = "上一年税收")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal previousYearTaxRevenue;

    @ApiModelProperty(value = "员工数")
    private Integer employeeCount;

    @ApiModelProperty(value = "项目logo")
    private Long Logo;

    @ApiModelProperty(value = "项目logoFile")
    private ObsFileInfoBo logoFile;

    @ApiModelProperty(value = "项目名称")
    private String name;

    @ApiModelProperty(value = "团队成员数")
    private Integer teamTotal;

    /*----------------------------------------融资信息----------------------------------------*/
    @ApiModelProperty(value = "融资id")
    private Long financingId;

    @ApiModelProperty(value = "一句话介绍")
    private String introduce;

    @ApiModelProperty(value = "期望融资")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal expectedAmount;

    @ApiModelProperty(value = "出让股权(%)")
    @JsonSerialize(using = PercentSerializer.class)
    private BigDecimal transferEquity;

    @ApiModelProperty(value = "官方网址")
    private String officialWebsite;

    /*----------------------------------------审核信息----------------------------------------*/
    @ApiModelProperty(value = "审核人Id")
    private Long reviewerId;

    @ApiModelProperty(value = "审核人姓名")
    private String reviewerName;

    @ApiModelProperty(value = "审核时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date reviewTime;

    @ApiModelProperty(value = "审核结果")
    private String ProjectReviewStatus;

    @ApiModelProperty(value = "审核原因")
    private String reviewReason;
}
