package com.crunii.micro.service.match.api.vo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 青创赛事项目融资历史视图对象 mth_project_financing_history
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Data
@ApiModel("青创赛事项目融资历史视图对象")
@ExcelIgnoreUnannotated
public class MthProjectFinancingHistoryVo {

    private static final long serialVersionUID = 1L;

    /**
     * 项目融资id
     */
    @ExcelProperty(value = "项目融资id")
    @ApiModelProperty("项目融资id")
    private Long financingId;
    /**
     * 融资轮次
     */
    @ExcelProperty(value = "融资轮次")
    @ApiModelProperty("融资轮次")
    private String financingRounds;
    /**
     * 融资时间
     */
    @ExcelProperty(value = "融资时间")
    @ApiModelProperty("融资时间")
    private String financingTime;
    /**
     * 融资金额(万元)
     */
    @ExcelProperty(value = "融资金额(万元)")
    @ApiModelProperty("融资金额(万元)")
    private BigDecimal amount;
    /**
     * 对外公布融资金额(0否1是)
     */
    @ExcelProperty(value = "对外公布融资金额(0否1是)")
    @ApiModelProperty("对外公布融资金额(0否1是)")
    private Integer publicityAmount;
    /**
     * 投资方
     */
    @ExcelProperty(value = "投资方")
    @ApiModelProperty("投资方")
    private String investor;
    /**
     * 对外公布投资方(0否1是)
     */
    @ExcelProperty(value = "对外公布投资方(0否1是)")
    @ApiModelProperty("对外公布投资方(0否1是)")
    private Integer publicityInvestor;
    /**
     * 排序
     */
    @ExcelProperty(value = "排序")
    @ApiModelProperty("排序")
    private Integer sortNum;
    /**
     * 创建人ID
     */
    @ExcelProperty(value = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;
    /**
     * 更新人ID
     */
    @ExcelProperty(value = "更新人ID")
    @ApiModelProperty("更新人ID")
    private Long updateId;

}
