package com.crunii.micro.service.match.api.vo;

import com.crunii.micro.common.serializer.BigDecimalSerializer;
import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.crunii.micro.common.serializer.PercentSerializer;
import com.crunii.micro.service.match.api.bo.ContactBo;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Transient;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/12/18 19:50
 */
@Data
@ApiModel("web-青创赛事融资申请表-返回参数")
public class MthProjectFinancingPageVo {

    /**
     * 申请id
     */
    @ApiModelProperty("赛事报名id")
    private Long id;

    @ApiModelProperty("赛事id")
    private Long matchId;

    @ApiModelProperty("报名表id")
    private Long registerId;

    @ApiModelProperty("场次名单id")
    private Long roundListId;


    /**
     * 赛事名称
     */
    @ApiModelProperty("赛事名称")
    private String matchName;

    /**
     * 赛事分类名称
     */
    @ApiModelProperty("赛事分类名称")
    private String categoryName;

    /**
     * 赛项名称
     */
    @ApiModelProperty("赛项名称")
    private String itemName;

    /**
     * 组别名称
     */
    @ApiModelProperty("组别名称")
    private String groupName;

    /**
     * 参赛者名称
     */
    @ApiModelProperty("参赛者名称")
    private String workerName;

    /**
     * 参赛者手机号
     */
    @ApiModelProperty("参赛者手机号")
    private String mobile;

    /**
     * 获奖名称
     */
    @ApiModelProperty("获奖名称")
    private String prizeName;

    /**
     * 期望融资金额(万)
     */
    @ApiModelProperty("期望融资金额(万)")
    @JsonSerialize(using = BigDecimalSerializer.class)
    private BigDecimal expectedAmount;

    /**
     * 出让股权(%)
     */
    @ApiModelProperty("出让股权(%)")
    @JsonSerialize(using = PercentSerializer.class)
    private BigDecimal transferEquity;

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String code;

    /**
     * 审核状态
     */
    @ApiModelProperty("审核状态(0待审核1已通过2不通过)")
    private Integer reviewStatus;

    /**
     * 审核状态名称
     */
    @ApiModelProperty("审核状态名称")
    private String reviewStatusName;

    /**
     * 申请日期
     */
    @ApiModelProperty("申请日期")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date createTime;

    /**
     * 公示状态
     */
    @ApiModelProperty("公示状态")
    private Integer publicityStatus ;

    /**
     * 公示状态名称
     */
    @ApiModelProperty("公示状态名称")
    private String publicityStatusName ;

    /**
     * 来源
     */
    @ApiModelProperty("来源")
    private Integer source ;


}
