package com.crunii.micro.service.match.api.vo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 青创赛事项目融资申请视图对象 mth_project_financing
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Data
@ApiModel("青创赛事项目融资申请视图对象")
@ExcelIgnoreUnannotated
public class MthProjectFinancingVo {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    @ApiModelProperty("编号")
    private String code;
    /**
     * 青创赛事项目id
     */
    @ExcelProperty(value = "青创赛事项目id")
    @ApiModelProperty("青创赛事项目id")
    private Long projectId;
    /**
     * 一句话介绍
     */
    @ExcelProperty(value = "一句话介绍")
    @ApiModelProperty("一句话介绍")
    private String introduce;
    /**
     * 期望融资金额(万)
     */
    @ExcelProperty(value = "期望融资金额(万)")
    @ApiModelProperty("期望融资金额(万)")
    private BigDecimal expectedAmount;
    /**
     * 出让股权(%)
     */
    @ExcelProperty(value = "出让股权(%)")
    @ApiModelProperty("出让股权(%)")
    private BigDecimal transferEquity;
    /**
     * 官方网址
     */
    @ExcelProperty(value = "官方网址")
    @ApiModelProperty("官方网址")
    private String officialWebsite;
    /**
     * 审核状态(0待审核1已通过2不通过)
     */
    @ExcelProperty(value = "审核状态(0待审核1已通过2不通过)")
    @ApiModelProperty("审核状态(0待审核1已通过2不通过)")
    private Integer reviewStatus;
    /**
     * 审核时间
     */
    @ExcelProperty(value = "审核时间")
    @ApiModelProperty("审核时间")
    private Date reviewTime;
    /**
     * 审核原因
     */
    @ExcelProperty(value = "审核原因")
    @ApiModelProperty("审核原因")
    private String reviewReason;
    /**
     * 审核人id
     */
    @ExcelProperty(value = "审核人id")
    @ApiModelProperty("审核人id")
    private Long reviewerId;
    /**
     * 审核人
     */
    @ExcelProperty(value = "审核人")
    @ApiModelProperty("审核人")
    private String reviewerName;
    /**
     * 公示状态(0未公示1已公示)
     */
    @ExcelProperty(value = "公示状态(0未公示1已公示)")
    @ApiModelProperty("公示状态(0未公示1已公示)")
    private Integer publicityStatus;
    /**
     * 创建人ID
     */
    @ExcelProperty(value = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;
    /**
     * 更新人ID
     */
    @ExcelProperty(value = "更新人ID")
    @ApiModelProperty("更新人ID")
    private Long updateId;

}
