package com.crunii.micro.service.match.api.vo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 青创赛事项目视图对象 mth_project
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Data
@ApiModel("青创赛事项目视图对象")
@ExcelIgnoreUnannotated
public class MthProjectVo {

    private static final long serialVersionUID = 1L;

    /**
     * 赛事报名id
     */
    @ExcelProperty(value = "赛事报名id")
    @ApiModelProperty("赛事报名id")
    private Long registerId;
    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称")
    @ApiModelProperty("项目名称")
    private String name;
    /**
     * 项目logo
     */
    @ExcelProperty(value = "项目logo")
    @ApiModelProperty("项目logo")
    private Long logo;
    /**
     * 项目赛项
     */
    @ExcelProperty(value = "项目赛项")
    @ApiModelProperty("项目赛项")
    private String itemName;
    /**
     * 项目组别
     */
    @ExcelProperty(value = "项目组别")
    @ApiModelProperty("项目组别")
    private String groupName;
    /**
     * 项目启动时间
     */
    @ExcelProperty(value = "项目启动时间")
    @ApiModelProperty("项目启动时间")
    private Date startTime;
    /**
     * 项目所在地
     */
    @ExcelProperty(value = "项目所在地")
    @ApiModelProperty("项目所在地")
    private String address;
    /**
     * 项目简介
     */
    @ExcelProperty(value = "项目简介")
    @ApiModelProperty("项目简介")
    private String itemDesc;
    /**
     * 项目展示(逗号分隔)
     */
    @ExcelProperty(value = "项目展示(逗号分隔)")
    @ApiModelProperty("项目展示(逗号分隔)")
    private String showImages;
    /**
     * 单位名称
     */
    @ExcelProperty(value = "单位名称")
    @ApiModelProperty("单位名称")
    private String companyName;
    /**
     * 单位职务
     */
    @ExcelProperty(value = "单位职务")
    @ApiModelProperty("单位职务")
    private String position;
    /**
     * 注册地址
     */
    @ExcelProperty(value = "注册地址")
    @ApiModelProperty("注册地址")
    private String registerAddress;
    /**
     * 注册时间
     */
    @ExcelProperty(value = "注册时间")
    @ApiModelProperty("注册时间")
    private Date regiserTime;
    /**
     * 注册资本(万)
     */
    @ExcelProperty(value = "注册资本(万)")
    @ApiModelProperty("注册资本(万)")
    private BigDecimal regiserCapital;
    /**
     * 注册资本(货币)
     */
    @ExcelProperty(value = "注册资本(货币)")
    @ApiModelProperty("注册资本(货币)")
    private String regiserCapitalCurrency;
    /**
     * 法定代表人
     */
    @ExcelProperty(value = "法定代表人")
    @ApiModelProperty("法定代表人")
    private String legalRepresentative;
    /**
     * 所属行业(逗号分隔)
     */
    @ExcelProperty(value = "所属行业(逗号分隔)")
    @ApiModelProperty("所属行业(逗号分隔)")
    private String industry;
    /**
     * 企业负债金额
     */
    @ExcelProperty(value = "企业负债金额")
    @ApiModelProperty("企业负债金额")
    private BigDecimal enterpriseDebtAmount;
    /**
     * 上一年营收
     */
    @ExcelProperty(value = "上一年营收")
    @ApiModelProperty("上一年营收")
    private BigDecimal previousYearRevenue;
    /**
     * 上一年税收
     */
    @ExcelProperty(value = "上一年税收")
    @ApiModelProperty("上一年税收")
    private BigDecimal previousYearTaxRevenue;
    /**
     * 员工数
     */
    @ExcelProperty(value = "员工数")
    @ApiModelProperty("员工数")
    private Integer employeeCount;
    /**
     * 是否有融资需求
     */
    @ExcelProperty(value = "是否有融资需求")
    @ApiModelProperty("是否有融资需求")
    private String financingNeed;
    /**
     * 创建人ID
     */
    @ExcelProperty(value = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;
    /**
     * 更新人ID
     */
    @ExcelProperty(value = "更新人ID")
    @ApiModelProperty("更新人ID")
    private Long updateId;

}
