package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 赛事-报名配置-详情;视图对象 mth_register_config_detail
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("报名配置详情视图对象")
@ExcelIgnoreUnannotated
public class MthRegisterConfigDetailVo extends MthFormConfigVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 报名信息id
     */
    @ExcelProperty(value = "报名信息id")
    @ApiModelProperty("报名信息id")
    private Long registerInfoId;
    /**
     * 配置id
     */
    @ExcelProperty(value = "配置id")
    @ApiModelProperty("配置id")
    private Long registerConfigId;
    /**
     * 分组名称
     */
    @ExcelProperty(value = "分组名称")
    @ApiModelProperty("分组名称")
    private String groupName;
    /**
     * 排序
     */
    @ExcelProperty(value = "排序")
    @ApiModelProperty("排序")
    private Integer sortNum;

    private String configType;

    private List<MthFormConfigValueVo> valueList;

    private String hint;

    /**
     * 动态配置标志
     */
    private Integer dynamicFlag;

    @ApiModelProperty(value = "文件大小")
    private Integer minFileSize;
    @ApiModelProperty(value = "文件大小")
    private Integer maxFileSize;
    @ApiModelProperty(value = "字数限制")
    private Integer limitNum;



}
