package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.match.api.FileDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-报名信息;视图对象 mth_register_config
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事报名信息视图对象")
@ExcelIgnoreUnannotated
public class MthRegisterConfigVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 赛事id
     */
    @ExcelProperty(value = "赛事id")
    @ApiModelProperty("赛事id")
    private Long matchId;
    /**
     * 类别（个人信息、作品）
     */
    @ExcelProperty(value = "类别")
    @ApiModelProperty("类别（报名信息 register、作品 works）")
    private String configType;
    /**
     * 名称
     */
    @ExcelProperty(value = "名称")
    @ApiModelProperty("名称")
    private String name;
    /**
     * 描述
     */
    @ExcelProperty(value = "描述")
    @ApiModelProperty("描述")
    private String configDesc;
    /**
     * 图片
     */
    @ExcelProperty(value = "图片")
    @ApiModelProperty("图片")
    private Long picId;

    private List<MthRegisterConfigDetailVo>  formList;

    private FileDto fileDto;


}
