package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 赛事过程记录;视图对象 mth_match_process
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("报名时间节点信息视图对象")
@ExcelIgnoreUnannotated
public class MthRegistrationTimeNodeVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 参赛人员id
     */
    @ExcelProperty(value = "参赛人员id")
    @ApiModelProperty("参赛人员id")
    private String userId;
    /**
     * 场次id
     */
    @ExcelProperty(value = "场次id")
    @ApiModelProperty("场次id")
    private Long roundId;
    /**
     * 比赛id
     */
    @ExcelProperty(value = "比赛id")
    @ApiModelProperty("比赛id")
    private Long matchId;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 报名时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date registerTime;

    /**
     * 报名开始时间
     */
    @ExcelProperty(value = "报名开始时间")
    @ApiModelProperty("报名开始时间")
    private Date registerationStart;

    /**
     * 报名结束时间
     */
    @ExcelProperty(value = "报名结束时间")
    @ApiModelProperty("报名结束时间")
    private Date registerationEnd;

}
