package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.util.List;


/**
 * 赛事-场次配置;视图对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("查询评审详情视图对象")
@ExcelIgnoreUnannotated
public class MthReviewDetailVo {

    private static final long serialVersionUID = 1L;

    /**
     * 作品id
     */
    @ExcelProperty(value = "作品id")
    @ApiModelProperty("作品id")
    private Long id;
    /**
     * 场次名单id
     */
    @ApiModelProperty(value = "场次名单id")
    @NotBlank(message = "场次名单id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long roundListId;
    /**
     * 赛事信息
     */
    @ExcelProperty(value = "赛事信息")
    @ApiModelProperty("赛事信息")
    private MatchBaseInfoVo mthMatchInfoDetailVo;
    /**
     * 参数作品信息
     */
    @ExcelProperty(value = "参数作品信息")
    @ApiModelProperty("参数作品信息")
    private MthMyMatchListDetailAppVo mthMyMatchListDetailAppVo;

    /**
     * 评分方式(10分制、百分制、ABC、通过不通过))
     */
    @ExcelProperty(value = "评分方式(10分制、百分制、ABC、通过不通过))")
    @ApiModelProperty("评分方式(10分制、百分制、ABC、通过不通过))")
    private String socreMode;
    @ApiModelProperty("评审指标")
    private List<MthRoundReviewStandarVo> roundReviewStandarVoList;


    /**
     *提交时间
     */
    @ApiModelProperty("提交时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    private Date updateTime;
    /**
     * 评审标准（按赛项、按比赛）
     */
    @ApiModelProperty("评审标准（按赛项设置评审指标 item  、统一的评审指标 match）")
    private String reviewerStandar;



}
