package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 赛事-场次配置;视图对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("评审场次查询视图对象")
@ExcelIgnoreUnannotated
public class MthReviewRoundVo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 比赛id
     */
    @ExcelProperty(value = "比赛id")
    @ApiModelProperty("比赛id")
    private Long matchId;

    /**
     * 比赛名
     */
    @ApiModelProperty(value = "比赛名")
    private String matchName;
    /**
     * 场次名称
     */
    @ExcelProperty(value = "场次名称")
    @ApiModelProperty("场次名称")
    private String roundName;
//
//    /**
//     * 作品提交方式（单独上传、不需上传）
//     */
//    @ExcelProperty(value = "作品提交方式")
//    @ApiModelProperty("作品提交方式（单独上传、不需上传）")
//    private String entrySubmitMode;
//    /**
//     * 作品截止时间
//     */
//    @ExcelProperty(value = "作品截止时间")
//    @ApiModelProperty("作品截止时间")
//    private Date entryDeadline;
//
//    /**
//     * 创建人
//     */
//    @ExcelProperty(value = "创建人")
//    @ApiModelProperty("创建人")
//    private String createdBy;
//    /**
//     * 创建时间
//     */
//    @ExcelProperty(value = "创建时间")
//    @ApiModelProperty("创建时间")
//    private Date createdTime;
//    /**
//     * 更新人
//     */
//    @ExcelProperty(value = "更新人")
//    @ApiModelProperty("更新人")
//    private String updatedBy;
//    /**
//     * 更新时间
//     */
//    @ExcelProperty(value = "更新时间")
//    @ApiModelProperty("更新时间")
//    private Date updatedTime;
    /**
     * 作品总数
     */
    @ExcelProperty(value = "作品总数")
    @ApiModelProperty("作品总数")
    private Integer totalWorkNum;
    /**
     * 待评审数
     */
    @ExcelProperty(value = "待评审数")
    @ApiModelProperty("待评审数")
    private Integer waitWorkNum;

    /**
     * 场次状态
     */
    @ExcelProperty(value = "场次状态")
    @ApiModelProperty("场次状态0 开始，1，关闭")
    private Integer roundState;

    @ExcelProperty(value = "场次扭转状态")
    @ApiModelProperty("场次状态0.报名中，1.待评审，2.待设置晋级，3.待结束，4.结束")
    private Integer matchState;

}
