package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 赛事-场次-等级-区域;视图对象 mth_round_area
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事场次区域视图对象")
@ExcelIgnoreUnannotated
public class MthRoundAreaSimpleVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 区域id
     */
    @ExcelProperty(value = "area_id")
    @ApiModelProperty("area_id")
    private String areaId;
    /**
     * 区域code
     */
    @ExcelProperty(value = "区域code")
    @ApiModelProperty("区域code")
    private String areaCode;
    /**
     * 区域名称
     */
    @ExcelProperty(value = "区域名称")
    @ApiModelProperty("区域名称")
    private String areaName;
    /**
     * 区域类型(4校区，3区县、2片区、1市)
     */
    @ExcelProperty(value = "区域类型(4校区，3区县、2片区、1市)")
    @ApiModelProperty("区域类型(4校区，3区县、2片区、1市)")
    private String areaType;

    @ApiModelProperty(value = "父id")
    private Long parentId;

    @ApiModelProperty(value = "子区域")
    private List<MthRoundAreaSimpleVo> children;
}
