package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.match.api.bo.MthRoundReviewStandarBo;
import com.crunii.micro.service.match.api.bo.SignInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 赛事-区域-场次实例（实例与配置的关系）;视图对象 mth_round_instance
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事场次视图对象")
@ExcelIgnoreUnannotated
public class MthRoundInstanceVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 比赛id
     */
    @ExcelProperty(value = "比赛id")
    @ApiModelProperty("比赛id")
    private Long matchId;
    /**
     * 比赛名称
     */
    @ApiModelProperty("比赛名称")
    private String matchName;

    /**
     * 场次名称
     */
    @ExcelProperty(value = "场次名称")
    @ApiModelProperty("场次名称")
    private String roundName;
    /**
     * 比赛方式（线上 线下）
     */
    @ExcelProperty(value = "比赛方式")
    @ApiModelProperty("比赛方式（线上 线下）")
    private String playMode;
    /**
     * 评审方式(线上 线下)
     */
    @ExcelProperty(value = "评审方式(线上 线下)")
    @ApiModelProperty("评审方式(线上 线下)")
    private String auditMode;
    /**
     * 评分方式(10分制、百分制、ABC、通过不通过))
     */
    @ExcelProperty(value = "评分方式(10分制、百分制、ABC、通过不通过))")
    @ApiModelProperty("评分方式(10分制、百分制、ABC、通过不通过))")
    private String socreMode;
    /**
     * 统计分方式(平均分、去掉最高最低))
     */
    @ExcelProperty(value = "统计分方式(平均分、去掉最高最低))")
    @ApiModelProperty("统计分方式(平均分、去掉最高最低))")
    private String scoreStatistics;
    /**
     * 晋级方式(人数、百分比)
     */
    @ExcelProperty(value = "晋级方式(人数、百分比)")
    @ApiModelProperty("晋级方式(人数、百分比)")
    private String promotionMode;
    /**
     * 晋级数量
     */
    @ExcelProperty(value = "晋级数量")
    @ApiModelProperty("晋级数量")
    private Integer promptionNum;
    /**
     * 报名开始时间
     */
    @ExcelProperty(value = "报名开始时间")
    @ApiModelProperty("报名开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date registerationStart;
    /**
     * 报名结束时间
     */
    @ExcelProperty(value = "报名结束时间")
    @ApiModelProperty("报名结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date registerationEnd;
    /**
     * 作品提交方式（单独上传、不需上传）
     */
    @ExcelProperty(value = "作品提交方式")
    @ApiModelProperty("作品提交方式（单独上传、不需上传）")

    private String entrySubmitMode;
    /**
     * 作品截止时间
     */
    @ExcelProperty(value = "作品截止时间")
    @ApiModelProperty("作品截止时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date entryDeadline;
    /**
     * 场次开始时间
     */
    @ExcelProperty(value = "场次开始时间")
    @ApiModelProperty("场次开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date roundStart;
    /**
     * 场次结束时间
     */
    @ExcelProperty(value = "场次结束时间")
    @ApiModelProperty("场次结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date roundEnd;
    /**
     * 比赛等级（市级、片区级、区县/校赛级）
     */
    @ExcelProperty(value = "比赛等级")
    @ApiModelProperty("比赛等级（市级、片区级、区县/校赛级）")
    private String matchLevel;
    /**
     * 场次等级初赛复赛(1234数字递增)
     */
    @ExcelProperty(value = "场次等级初赛复赛(1234数字递增)")
    @ApiModelProperty("场次等级初赛复赛(1234数字递增)")
    private Integer roundLevel;
    /**
     * 场次序号
     */
    @ExcelProperty(value = "场次序号")
    @ApiModelProperty("场次序号")
    private String roundSort;
    /**
     * 区域id
     */
    @ExcelProperty(value = "区域id")
    @ApiModelProperty("区域id")
    private Long areaId;
    /**
     * 区域名称
     */
    @ExcelProperty(value = "区域名称")
    @ApiModelProperty("区域名称")
    private String areaName;
    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    @ApiModelProperty("序号")
    private Integer sort;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")

    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 场次状态
     */
    @ExcelProperty(value = "场次状态")
    @ApiModelProperty("场次状态")
    private String roundState;
    /**
     * 比赛流转状态
     */
    @ExcelProperty(value = "比赛流转状态")
    @ApiModelProperty("比赛流转状态")
    private String matchState;


    /**
     * 是否公示
     */
    @ApiModelProperty(value = "是否公示")
    private Integer publicityFlag;

    /**
     * 公示天数
     */
    @ApiModelProperty(value = "公示天数")
    private Integer publicityDays;

    /**
     * 名次设置类型(组别、赛项、 比赛)
     */
    @ApiModelProperty(value = "名次设置类型(组别、赛项、 比赛)")
    private String prizeType;

    /**
     * 评审标准（按赛项、按比赛）
     */
    @ApiModelProperty(value = "评审标准（按赛项、按比赛）")
    private String reviewerStandar;

    /**
     * 签到信息
     */
    @ApiModelProperty(value = "签到信息")
    private SignInfoVo signInInfoVo;

    /**
     * 签退信息
     */
    @ApiModelProperty(value = "签退信息")
    private SignInfoVo signOutInfoVo;

    @ApiModelProperty(value = "是否生成评审员 0是,1否")
    private  Integer reviewer;
    private List<MthRoundPrizeVo> prizeVoList;

    private  List<MthRoundAreaVo> areavoList;

    private List<MthRoundReviewStandarVo> mthRoundReviewStandarBoList;

    @ApiModelProperty(value = "签到地址")
    private String signAddress;
    @ApiModelProperty(value = "最低比赛等级")
    private String lowestLevel;
}
