package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;


/**
 * 赛事-赛项-组别-区域-场次-名单;视图对象 mth_round_list
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事场次名单视图对象")
@ExcelIgnoreUnannotated
public class MthRoundListVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 报名信息id
     */
    @ExcelProperty(value = "报名信息id")
    @ApiModelProperty("报名信息id")
    private String registerId;
    /**
     * 场次
     */
    @ExcelProperty(value = "场次")
    @ApiModelProperty("场次")
    private String roundId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String userId;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String userName;
    /**
     * 场次名单状态: RUNNING进行中, END已结束
     */
    @Column(name = "status")
    @ApiModelProperty(value = "场次名单状态: RUNNING进行中, END已结束")
    private String status;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
