package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;


/**
 * 赛事-场次-名次配置;视图对象 mth_round_prize
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("场次名次配置视图对象")
@ExcelIgnoreUnannotated
public class MthRoundPrizeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}")
    @ApiModelProperty("$column.columnComment")
    private String roundId;
    /**
     * 奖项code
     */
    @ExcelProperty(value = "奖项code")
    @ApiModelProperty("奖项code")
    private String prizeCode;
    /**
     * 奖项
     */
    @ExcelProperty(value = "奖项")
    @ApiModelProperty("奖项")
    private String prizeName;
    /**
     * 奖项方式（人数、百分比）
     */
    @ExcelProperty(value = "奖项方式")
    @ApiModelProperty("奖项方式（人数、百分比）")
    private String prizeMode;
    /**
     * 数量
     */
    @ExcelProperty(value = "数量")
    @ApiModelProperty("数量")
    private Integer prizeNum;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;


    /**
     * 赛项id
     */
    @ApiModelProperty(value = "赛项id")
    private Long itemId;
    /**
     * 赛项name
     */
    @ApiModelProperty(value = "赛项name")
    private String itemName;
    /**
     * 组别id
     */
    @ApiModelProperty(value = "组别id")
    private Long groupId;
    /**
     * 组别name
     */
    @ApiModelProperty(value = "组别name")
    private String groupName;
}
