package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;


/**
 * 赛事-赛项-组别-区域-场次-名单;视图对象 mth_round_list
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("待评审列表视图对象")
@ExcelIgnoreUnannotated
public class MthRoundRankingListVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 作品id
     */
    @ApiModelProperty( "作品id")
    private Long id;
    /**
     * 场次
     */
   // @ExcelProperty( "场次")
    @ApiModelProperty("场次")
    private String roundId;
    /**
     * 场次名称
     */
    @ExcelProperty(value = "场次名称",index = 2)
    @ApiModelProperty("场次名称")
    private String roundName;

    /**
     * 比赛ID
     */
   // @ExcelProperty( "比赛ID")
    @ApiModelProperty("比赛ID")
    private String matchId;
    /**
     * 比赛名称
     */
    @ExcelProperty( value = "比赛名称",index = 1)
    @ApiModelProperty("比赛名称")
    private String matchName;
    /**
     * 作品编码
     */
    @ExcelProperty( value="作品编码",index=0)
    @ApiModelProperty("作品编码")
    private String workCode;
    /**
     * 作品名称
     */
    @ExcelProperty(value = "参赛作品名称",index = 5)
    @ApiModelProperty("作品名称")
    private String workName;

    /**
     * 作品提交时间
     */
    @ExcelProperty(value = "作品提交时间",index = 6)
    @ApiModelProperty("作品提交时间")
    private Date workSignTime;

    /**
     * 作品评审状态0未评审 1已评审 2作品截止时间未到且作品未上传（置灰）
     */
   // @ExcelProperty( "作品评审状态")
    @ApiModelProperty("作品评审状态")
    private Integer workReviewStatus;

    @ExcelProperty( value = "评审状态",index = 7)
    @ApiModelProperty("作品评审状态翻译")
    private String workReviewStatusCode;


    /**
     * 作品截止时间未到且作品未上传（置灰）
     */
 //   @ExcelProperty( "无作品评标识 0未评审置灰 1已评审亮")
    @ApiModelProperty("无作品评标识 0未评审置灰 1已评审亮")
    private Integer noWorkReviewFlag;

    /**
     * 评审结果
     */
    @ExcelProperty(value = "评审结果",index = 8)
    @ApiModelProperty("评审结果")
    private String score;

    /**
     * 评审时间
     */
    @ExcelProperty( value = "评审时间",index = 9)
    @ApiModelProperty("评审时间")
    private Date reviewTime;
    /**
    * 评分方式(10分制、百分制、ABC、通过不通过))
    */
   // @ExcelProperty( "评分方式(10分制、百分制、ABC、通过不通过))")
    @ApiModelProperty("评分方式(10分制、百分制、ABC、通过不通过))")
    private String socreMode;

    /**
     * 场次名单id
     */
    //@ExcelProperty( "场次名单id")
    @ApiModelProperty("场次名单id")
    private Long roundListId;


    /**
     * 赛项id
     */
    @ApiModelProperty( "赛项id")
    private Long itemId;
    /**
     * 赛项名称
     */
    @ApiModelProperty( "赛项名称")
    @ExcelProperty( value = "赛项",index = 3)
    private String itemName;
    /**
     * 组别id
     */
    @ApiModelProperty( "组别id")
    private Long groupId;
    /**
     * 组别名称
     */
    @ExcelProperty( value = "组别",index = 4)
    private String groupName;




}
