package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-场次-评审员配置;视图对象 mth_round_review_conf
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事评审员配置视图对象")
@ExcelIgnoreUnannotated
public class MthRoundReviewConfVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 场次id
     */
    @ExcelProperty(value = "场次id")
    @ApiModelProperty("场次id")
    private Long roundId;
    /**
     * 按照赛事
     */
    @ExcelProperty(value = "按照赛事")
    @ApiModelProperty("按照赛事")
    private Integer matchItemFlag;
    /**
     * 评审次数
     */
    @ExcelProperty(value = "评审次数")
    @ApiModelProperty("评审次数")
    private Integer reviewCount;
    /**
     * 评审方式(评审全部、平均分配)
     */
    @ExcelProperty(value = "评审方式(评审全部、平均分配)")
    @ApiModelProperty("评审方式(评审全部、平均分配)")
    private Integer reviewType;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

}
