package com.crunii.micro.service.match.api.vo;

import java.io.Serializable;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;


/**
 * 赛事-场次-评审指标配置;视图对象 mth_round_review
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事评审指标配置视图对象")
@ExcelIgnoreUnannotated
public class MthRoundReviewStandarVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;

    /** 赛项id */
    @ApiModelProperty("赛项id")
    private Long itemId;
    /** 赛项名字 */
    @ApiModelProperty("赛项名字")
    private String itemName ;


    /**
     * 场次实例id
     */
    @ExcelProperty(value = "场次实例id")
    @ApiModelProperty("场次实例id")
    private Long roundId;
    /**
     * 标准
     */
    @ExcelProperty(value = "标准")
    @ApiModelProperty("评分指标")
    private String standar;
    /**
     * 分值
     */
    @ExcelProperty(value = "分值")
    @ApiModelProperty("分值")
    private String score;
    /**
     * 权重
     */
    @ExcelProperty(value = "权重")
    @ApiModelProperty("权重")
    private String weight;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ExcelProperty(value = "打分")
    private String   socre;
}
