package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 赛事-场次-比赛评分;视图对象 mth_round_score
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("场次晋级排名列表查询vo视图对象")
@ExcelIgnoreUnannotated
public class MthRoundScoreRankingVo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 场次名单id
     */
    @ExcelProperty(value = "场次名单id")
    @ApiModelProperty("场次名单id")
    private Long roundListId;
    /**
     * 排名
     */
    @ExcelProperty(value = "排名")
    @ApiModelProperty("排名")
    private Integer sort;
    /**
     * 分数
     */
    @ExcelProperty(value = "分数")
    @ApiModelProperty("分数")
    private String score;
    /**
     * 结果（晋级淘汰）
     */
    @ExcelProperty(value = "结果")
    @ApiModelProperty("结果（晋级淘汰）")
    private String result;
    /**
     * 原排名
     */
    @ExcelProperty(value = "原排名")
    @ApiModelProperty("原排名")
    private Integer oldSort;
    /**
     * 原分数
     */
    @ExcelProperty(value = "原分数")
    @ApiModelProperty("原分数")
    private String oldScore;
    /**
     * 奖项
     */
    @ExcelProperty(value = "奖项")
    @ApiModelProperty("奖项")
    private String prizeId;
    /**
     * 奖项
     */
    @ExcelProperty(value = "奖项")
    @ApiModelProperty("奖项")
    private String prizeName;
    /**
     * 其他奖项
     */
    @ExcelProperty(value = "其他奖项")
    @ApiModelProperty("其他奖项")
    private String otherPrizeId;
    /**
     * 其他奖项
     */
    @ExcelProperty(value = "其他奖项")
    @ApiModelProperty("其他奖项")
    private String oherPrizeName;
    /**
     * 作品code
     */
    @ExcelProperty(value = "作品code")
    @ApiModelProperty("作品code")
    private String workCode;
    /**
     * 作品名称
     */
    @ExcelProperty(value = "作品名称")
    @ApiModelProperty("作品名称")
    private String workName;
    /**
     * 参赛者姓名
     */
    @ExcelProperty(value = "参赛者姓名")
    @ApiModelProperty("参赛者姓名")
    private String contestantName;
    /**
     * 参赛者身份证号
     */
    @ExcelProperty(value = "参赛者身份证号")
    @ApiModelProperty("参赛者身份证号")
    private String idCard;

    /**
     * 报名信息id
     */
    @ExcelProperty(value = "报名信息id")
    @ApiModelProperty("报名信息id")
    private Long registerId;

}
