package com.crunii.micro.service.match.api.vo;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 赛事-场次信息;视图对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Data
@ApiModel("赛事场次信息视图对象vo")
@ExcelIgnoreUnannotated
public class MthRoundVo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 比赛id
     */
    @ExcelProperty(value = "比赛id")
    @ApiModelProperty("比赛id")
    private Long matchId;
    /**
     * 场次名称
     */
    @ExcelProperty(value = "场次名称")
    @ApiModelProperty("场次名称")
    private String roundName;
    /**
     * 比赛方式（线上 线下）
     */
    @ExcelProperty(value = "比赛方式")
    @ApiModelProperty("比赛方式（线上 线下）")
    private String playMode;
    /**
     * 评审方式(线上 线下)
     */
    @ExcelProperty(value = "评审方式(线上 线下)")
    @ApiModelProperty("评审方式(线上 线下)")
    private String auditMode;
    /**
     * 评分方式(10分制、百分制、ABC、通过不通过))
     */
    @ExcelProperty(value = "评分方式(10分制、百分制、ABC、通过不通过))")
    @ApiModelProperty("评分方式(10分制、百分制、ABC、通过不通过))")
    private String socreMode;
    /**
     * 统计分方式(平均分、去掉最高最低))
     */
    @ExcelProperty(value = "统计分方式(平均分、去掉最高最低))")
    @ApiModelProperty("统计分方式(平均分、去掉最高最低))")
    private String scoreStatistics;
    /**
     * 晋级方式(人数、百分比)
     */
    @ExcelProperty(value = "晋级方式(人数、百分比)")
    @ApiModelProperty("晋级方式(人数、百分比)")
    private String promotionMode;
    /**
     * 晋级数量
     */
    @ExcelProperty(value = "晋级数量")
    @ApiModelProperty("晋级数量")
    private Integer promptionNum;
    /**
     * 报名开始时间
     */
    @ExcelProperty(value = "报名开始时间")
    @ApiModelProperty("报名开始时间")
    private Date registerationStart;
    /**
     * 报名结束时间
     */
    @ExcelProperty(value = "报名结束时间")
    @ApiModelProperty("报名结束时间")
    private Date registerationEnd;
    /**
     * 作品提交方式（单独上传、不需上传）
     */
    @ExcelProperty(value = "作品提交方式")
    @ApiModelProperty("作品提交方式（单独上传、不需上传）")
    private String entrySubmitMode;
    /**
     * 作品截止时间
     */
    @ExcelProperty(value = "作品截止时间")
    @ApiModelProperty("作品截止时间")
    private Date entryDeadline;
    /**
     * 场次开始时间
     */
    @ExcelProperty(value = "场次开始时间")
    @ApiModelProperty("场次开始时间")
    private String roundStart;
    /**
     * 场次结束时间
     */
    @ExcelProperty(value = "场次结束时间")
    @ApiModelProperty("场次结束时间")
    private String roundEnd;
    /**
     * 场次序号
     */
    @ExcelProperty(value = "场次序号")
    @ApiModelProperty("场次序号")
    private String roundSort;
    /**
     * 比赛等级（市、片区、区县、校区）
     */
    @ExcelProperty(value = "比赛等级")
    @ApiModelProperty("比赛等级（市、片区、区县、校区）")
    private String matchLevel;
    /**
     * 场次等级初赛复赛(1234数字递增)
     */
    @ExcelProperty(value = "场次等级初赛复赛(1234数字递增)")
    @ApiModelProperty("场次等级初赛复赛(1234数字递增)")
    private Integer roundLevel;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;
    /**
     * 场次状态
     */
    @ExcelProperty(value = "场次状态")
    @ApiModelProperty("场次状态")
    private String roundState;
    /**
     * 比赛流转状态
     */
    @ExcelProperty(value = "比赛流转状态")
    @ApiModelProperty("比赛流转状态")
    private String matchState;

}
