package com.crunii.micro.service.match.api.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 比赛管理; 作品晋级排名设置 视图对象
 *
 * @author luox
 * @date 2023-09-19
 */
@Data
@ApiModel("作品晋级排名设置视图对象")
@ExcelIgnoreUnannotated
public class MthWorkPromotionVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ExcelProperty(value = "id")
    @ApiModelProperty("id")
    private Long id;
    /**
     * 场次名单id
     */
    @ExcelProperty(value = "场次名单id")
    @ApiModelProperty("场次名单id")
    private Long roundListId;
    /**
     * 排名
     */
    @ExcelProperty(value = "排名")
    @ApiModelProperty("排名")
    private Integer sort;
    /**
     * 分数
     */
    @ExcelProperty(value = "分数")
    @ApiModelProperty("分数")
    private String score;

    /**
     * 临时分数
     */
//    @ExcelProperty(value = "分数")
    @ApiModelProperty("临时分数")
    private Double tempScore;
    /**
     * 结果（晋级淘汰）
     */
    @ExcelProperty(value = "结果")
    @ApiModelProperty("结果（晋级淘汰）")
    private String result;
    /**
     * 原排名
     */
    @ExcelProperty(value = "原排名")
    @ApiModelProperty("原排名")
    private Integer oldSort;
    /**
     * 原分数
     */
    @ExcelProperty(value = "原分数")
    @ApiModelProperty("原分数")
    private String oldScore;
    /**
     * 奖项
     */
    @ExcelProperty(value = "奖项")
    @ApiModelProperty("奖项")
    private String prizeId;
    /**
     * 奖项
     */
    @ExcelProperty(value = "奖项")
    @ApiModelProperty("奖项")
    private String prizeName;
    /**
     * 其他奖项
     */
    @ExcelProperty(value = "其他奖项")
    @ApiModelProperty("其他奖项")
    private String otherPrizeId;
    /**
     * 其他奖项
     */
    @ExcelProperty(value = "其他奖项")
    @ApiModelProperty("其他奖项")
    private String oherPrizeName;
    /**
     * 评语
     */
    @ExcelProperty(value = "评语")
    @ApiModelProperty("评语")
    private String comment;
    /**
     * 评委Id
     */
    @ExcelProperty(value = "评委Id")
    @ApiModelProperty("评委Id")
    private Long reviewerId;
    /**
     * 评委
     */
    @ExcelProperty(value = "评委")
    @ApiModelProperty("评委")
    private String reviewerName;
    /**
     * 评委签名
     */
    @ExcelProperty(value = "评委签名")
    @ApiModelProperty("评委签名")
    private String reviewerSign;
    /**
     * 创建人
     */
    @ExcelProperty(value = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ExcelProperty(value = "更新人")
    @ApiModelProperty("更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @ExcelProperty(value = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    /**
     * 作品编码
     */
    @ExcelProperty(value = "作品编码")
    @ApiModelProperty("作品编码")
    private String workCode;

    /**
     * 作品名称
     */
    @ExcelProperty(value = "作品名称")
    @ApiModelProperty("作品名称")
    private String workName;

    /**
     * 参赛者姓名
     */
    @ExcelProperty(value = "参赛者姓名")
    @ApiModelProperty("参赛者姓名")
    private String userName;

    /**
     * 场次ID
     */
    @ExcelProperty(value = "场次ID")
    @ApiModelProperty("场次ID")
    private String roundId;

    /**
     * 参赛者身份证号
     */
    @ExcelProperty(value = "参赛者身份证号")
    @ApiModelProperty("参赛者身份证号")
    private String idCared;

    /**
     * 学校
     */
    @ExcelProperty(value = "学校")
    @ApiModelProperty("学校")
    private String schoolName;

    @ApiModelProperty("赛项名称")
    private String itemName;
    @ApiModelProperty("组别名称")
    private String groupName;

    private Long itemId;

    private Long groupId;

}
