package com.crunii.micro.service.match.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel("比赛管理详情查看对象")
public class mthMatchManagerDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("比赛id")
    private Long matchId;
    @ApiModelProperty("比赛名称")
    private String matchName;
    @ApiModelProperty("场次id")
    private Long roundId;
    @ApiModelProperty("场次名称")
    private String roundName;
    @ApiModelProperty("场次组别")
    private String roundSession;
    @ApiModelProperty("场次级别")
    private String level;
    @ApiModelProperty("比赛状态")
    private String matchState;
    @ApiModelProperty("场次状态")
    private String roundState;
    @ApiModelProperty("报名总人数")
    private Long enrollNum;
    @ApiModelProperty("待审核人数")
    private Long totalReviewer;
    @ApiModelProperty("作品总数")
    private Long worksNum;
    @ApiModelProperty("作品已评审总数")
    private Long workReviewNum;
    @ApiModelProperty("获奖作品总数")
    private Long awardsNum;
    @ApiModelProperty("状态名")
    private String StatusDesc;
    @ApiModelProperty("比赛方式:online线上 offline线下")
    private String playMode;
    @ApiModelProperty("评审方式:online线上 offline线下")
    private String auditMode;
    @ApiModelProperty("报名审核标志:1是 0否")
    private String registerationAuditFlag;

    @ApiModelProperty("公告截止时间")
    private Date publicityDeadline;

    @ApiModelProperty("公示关联id")
    private Long articleId;

    /**
     * 领奖截止时间
     */
    @ApiModelProperty(value ="领奖截止时间" )
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date receiveDeadline;

    /**
     * 领奖地点
     */
    @ApiModelProperty(value ="领奖地点" )
    private String receiveAddress;

    /**
     * 领奖方式
     */
    @ApiModelProperty(value ="领奖方式  SELF 自取 DELIVERY 邮寄" )
    private String receiveType;

    @ApiModelProperty(value = "奖项设置方式 match 比赛（老数据为空兼容一下） item 赛项 group 组别")
    private String prizeType;


}
