package com.crunii.micro.service.match.api.vo.sign;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author gongsongtao
 * @date 2023/11/21 19:59
 */
@Data
@ApiModel("签到请求参数")
public class MthSignInReqVo {

    /**
     * 场次Id
     */
    @ApiModelProperty("场次Id")
    private Long roundInstanceId;

    /**
     * 操作类型
     */
    @ApiModelProperty("操作(1签到,-1签退)")
    private int handle;

    /**
     * 二维码标识
     */
    @ApiModelProperty("唯一标识")
    private String qrId;

    /**
     * 系统标识
     */
    @ApiModelProperty("系统标识")
    private String identify;

    /**
     * 方式(1扫码,2定位,3扫码+定位)
     */
    @ApiModelProperty("方式(1扫码,2定位,3扫码+定位)")
    private Integer signType;

    @ApiModelProperty(value = "赛事经度")
    @NotNull
    private String matchLongitude;

    @ApiModelProperty(value = "赛事纬度")
    @NotNull
    private String matchLatitude;

    @ApiModelProperty(value = "当前所在经度")
    @NotNull
    private String longitude;

    @ApiModelProperty(value = "当前所在纬度")
    @NotNull
    private String latitude;
}
