package com.crunii.micro.domain.entity.main;

import com.crunii.micro.service.match.config.FieldListener;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.Where;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;

import javax.persistence.Column;
import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;
import java.util.Date;


/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/9/22 9:55
 */
@Data
@MappedSuperclass
@DynamicInsert
@DynamicUpdate
@EntityListeners(FieldListener.class)
@Where(clause="del_flag = 0")
public abstract  class BaseEntity {
    /**
     * 删除标志
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "删除标志")
    private Integer delFlag;


    /**
     * 创建人
     */
    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人")
    @CreatedBy
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    @CreatedDate
    private Date createTime;

    /**
     * 更新人
     */
    @Column(name = "update_by")
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 创建人Id
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 更新人Id
     */
    @Column(name = "update_id")
    private Long updateId;
}
