package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * 赛事-场次-比赛区域等级;对象 mth_area
 *
 * @author mth
 * @date 2023-09-19
 */

@Entity
@Table(name = "mth_area")
@NamedQuery(name = "MthArea.findAll", query = "SELECT t FROM MthRoundArea t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-比赛区域等级;")
public class MthArea {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 区域类型city,
     */
    @Column(name = "area_type")
    @ApiModelProperty(value = "区域类型-city市级-area片区级-county区县级")
    private String areaType;

    /**
     * 名称
     */
    @Column(name = "area_name")
    @ApiModelProperty(value = "名称")
    private String areaName;

    /**
     * code
     */
    @Column(name = "area_code")
    @ApiModelProperty(value = "code")
    private String areaCode;

    /**
     * 父级id
     */
    @Column(name = "parent_id")
    @ApiModelProperty(value = "父级id")
    private Long parentId;

    /**
     * 删除标志
     */
    @Column(name = "del_flag")
    @ApiModelProperty(value = "删除标志")
    private Integer delFlag;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * 创建人Id
     */
    @Column(name = "create_id")
    @ApiModelProperty(value = "更新时间")
    private Long createId;
    /**
     * 更新人Id
     */
    @Column(name = "update_id")
    @ApiModelProperty(value = "更新时间")
    private Long updateId;
}
