package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事报名配置;对象 mth_form_config
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_form_config")
@NamedQuery(name = "MthFormConfig.findAll", query = "SELECT t FROM MthFormConfig t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事报名配置;")
public class MthFormConfig extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 显示名称
     */
    @Column(name = "show_name")
    @ApiModelProperty(value = "显示名称")
    private String showName;
    /**
     * 是否必填
     */
    @Column(name = "required_flag")
    @ApiModelProperty(value = "是否必填")
    private Integer requiredFlag;
    /**
     * 类型(文本、单选、多选、附件)
     */
    @Column(name = "config_type")
    @ApiModelProperty(value = "类型(文本、单选、多选、附件)")
    private String configType;
    /**
     * 关联id(数据字典、业务数据id)
     */
    @Column(name = "ref_id")
    @ApiModelProperty(value = "关联id(数据字典、业务数据id)")
    private String refId;
    /**
     * $column.columnComment
     */
    @Column(name = "key")
    @ApiModelProperty(value = "$column.columnComment")
    private String key;

    /**
     * 引用类型
     */
    @Column(name = "ref_type")
    private String refType;

    @Column(name="order_num")
    private Integer orderNum;

    /**
     * 提示
     */
    @Column(name = "hint")
    private String hint;

    /**
     * 动态配置标志
     */
    @Column(name = "dynamic_flag")
    private Integer dynamicFlag;

    @Column(name = "min_file_size")
    private Integer minFileSize;
    @Column(name = "max_file_size")
    private Integer maxFileSize;

    @Column(name="limit_num")
    private Integer limitNum;
    /**
     * 分组名称
     */
    @Column(name = "group_name")
    @ApiModelProperty(value = "分组名称")
    private String groupName;
}
