package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.util.Date;

/**
 * 赛事-场次配置;对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_form_config_data")
@NamedQuery(name = "MthFormConfigData.findAll", query = "SELECT t FROM MthFormConfigData t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次配置;")
@Where(clause=" del_flag = 0 ")
public class MthFormConfigData extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 比赛id
     */
    @Column(name = "config_id")
    @ApiModelProperty(value = "配置id")
    private Long configId;
    /**
     * 场次名称
     */
    @Column(name = "config_value")
    @ApiModelProperty(value = "配置值")
    private String configValue;
    /**
     * 场次名称
     */
    @Column(name = "config_key")
    @ApiModelProperty(value = "key")
    private String configKey;

}

