package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;


@Entity
@Table(name = "mth_match_audit_node")
@NamedQuery(name = "MthMatchAuditNode.findAll", query = "SELECT t FROM MthMatchAuditNode t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-比赛区域等级;")
public class MthMatchAuditNode extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;


    @Column(name = "department")
    @ApiModelProperty(value = "审核部门")
    private String department;

    @Column(name = "match_id")
    @ApiModelProperty(value = "赛事id")
    private Long matchId;

    @Column(name = "type")
    @ApiModelProperty(value = "审核类型(1用户,2部门)")
    private Integer type;

    @Column(name = "worker_id")
    @ApiModelProperty(value = "用户id")
    private Integer workerId;

    @Column(name = "sort")
    @ApiModelProperty(value = "顺序")
    private Integer sort;
}
