package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import java.util.Date;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;


@Entity
@Table(name = "mth_match_contractor")
@NamedQuery(name = "MthMatchContractor.findAll", query = "SELECT t FROM MthMatchContractor t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-承办方")
@Where(clause=" del_flag = 0 ")
public class MthMatchContractor extends BaseEntity {

  private static final long serialVersionUID = 1L;

  /**
   * id
   */
  @Id
  @GeneratedValue(generator = "idGenerator")
  @Column(name = "id")
  @ApiModelProperty(value = "id")
  private Long id;
  /**
   * 比赛id
   */
  @Column(name = "match_id")
  @ApiModelProperty(value = "比赛id")
  private Long matchId;
  /**
   * 区域id
   */
  @Column(name = "area_id")
  @ApiModelProperty(value = "区域id")
  private Long areaId;
  /**
   * 区域名称
   */
  @Column(name = "area_name")
  @ApiModelProperty(value = "区域名称")
  private String areaName;
  /**
   * 承办方组织
   */
  @Column(name = "org_id")
  @ApiModelProperty(value = "承办方组织")
  private Long orgId;
  /**
   * 承办方名称
   */
  @Column(name = "org_name")
  @ApiModelProperty(value = "承办方名称")
  private String orgName;
  /**
   * 承办方姓名
   */
  @Column(name = "contractor_name")
  @ApiModelProperty(value = "承办方姓名")
  private String contractorName;
  /**
   * 承办方id（人员id）
   */
  @Column(name = "contractor_id")
  @ApiModelProperty(value = "承办方id（人员id）")
  private Long contractorId;
  /**
   * 账号类型(long_term,temp)
   */
  @Column(name = "limit_type")
  @ApiModelProperty(value = "账号类型(long_term,temp)")
  private String limitType;
  /**
   * 赛项id
   */
  @Column(name = "item_id")
  @ApiModelProperty(value = "赛项id")
  private Long itemId;
  /**
   * 赛项名称
   */
  @Column(name = "item_name")
  @ApiModelProperty(value = "赛项名称")
  private String itemName;

}
