package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事等级基础（枚举替换）对象 mth_match_grade
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_match_grade")
@NamedQuery(name = "MthMatchGrade.findAll", query = "SELECT t FROM MthMatchGrade t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事等级基础（枚举替换）")
@Where(clause=" del_flag = 0 ")
public class MthMatchGrade extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 乐观锁
     */
    @Column(name = "revision")
    @ApiModelProperty(value = "乐观锁")
    private String revision;
}
