package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事-赛项-组别信息;对象 mth_match_group
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_match_group")
@NamedQuery(name = "MthMatchGroup.findAll", query = "SELECT t FROM MthMatchGroup t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "赛事-赛项-组别信息;")
@Where(clause=" del_flag = 0 ")
public class MthMatchGroup  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "match_id")
    @ApiModelProperty("赛事id")
    private Long matchId;
    /**
     * 赛项id
     */
    @Column(name = "item_id")
    @ApiModelProperty(value = "赛项id")
    private Long itemId;
    /**
     * 组别名称
     */
    @Column(name = "group_name")
    @ApiModelProperty(value = "组别名称")
    private String groupName;

    @ApiModelProperty("开始年龄")
    @Column(name = "age_begin")
    private String ageBegin;

    @ApiModelProperty("结束年龄")
    @Column(name = "age_end")
    private String ageEnd;

}
