package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.util.Date;

/**
 * 赛事信息主;对象 mth_match_info
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_match_info")
@NamedQuery(name = "MthMatchInfo.findAll", query = "SELECT t FROM MthMatchInfo t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事信息")
@Where(clause=" del_flag = 0 ")
public class MthMatchInfo extends BaseEntity {

private static final long serialVersionUID=1L;

    /**
     * id;id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 比赛名称;比赛名称
     */
    @Column(name = "match_name")
    @ApiModelProperty(value = "比赛名称")
    private String matchName;
    /**
     * 分类code;类别
     */
    @Column(name = "category_id")
    @ApiModelProperty(value = "分类id")
    private Long categoryId;
    /**
     * 分类名称
     */
    @Column(name = "category_name")
    @ApiModelProperty(value = "分类名称")
    private String categoryName;
    /**
     * banner
     */
    @Column(name = "banner_id")
    @ApiModelProperty(value = "banner")
    private Long bannerId;
    /**
     * 报名开始时间
     */
    @Column(name = "registeration_start")
    @ApiModelProperty(value = "报名开始时间")
    private Date registerationStart;
    /**
     * 报名结束时间
     */
    @Column(name = "registeration_end")
    @ApiModelProperty(value = "报名结束时间")
    private Date registerationEnd;
    /**
     * 报名审核标志
     */
    @Column(name = "registeration_audit_flag")
    @ApiModelProperty(value = "报名审核标志")
    private Integer registerationAuditFlag;
    /**
     * 发布组织id
     */
    @Column(name = "publish_org_id")
    @ApiModelProperty(value = "发布组织id")
    private Long publishOrgId;
    /**
     * 发布组织
     */
    @Column(name = "publish_org_name")
    @ApiModelProperty(value = "发布组织")
    private String publishOrgName;
    /**
     * 发布人
     */
    @Column(name = "publisher_id")
    @ApiModelProperty(value = "发布人")
    private Long publisherId;
    /**
     * 发布人
     */
    @Column(name = "publisher_name")
    @ApiModelProperty(value = "发布人")
    private String publisherName;
    /**
     * 发布时间
     */
    @Column(name = "publish_time")
    @ApiModelProperty(value = "发布时间")
    private Date publishTime;
    /**
     * 状态
     */
    @Column(name = "status")
    @ApiModelProperty(value = "状态")
    private String status;


    @ApiModelProperty("报名配置地址")
    @Column(name = "register_url")
    private String registerUrl;

    @ApiModelProperty("配置链接地址")
    @Column(name = "config_url")
    private String configUrl;

    @ApiModelProperty("统计类别")
    @Column(name = "statistics_type")
    private String statisticsType;

    @ApiModelProperty("报名方式（统一报名、承办单位确定）")
    @Column(name = "registeration_type")
    private String registerationType;

    @ApiModelProperty("年龄限制方式（按比赛、按组别）")
    @Column(name = "age_limit")
    private String ageLimit;

    @ApiModelProperty("开始年龄")
    @Column(name = "age_begin")
    private String ageBegin;

    @ApiModelProperty("结束年龄")
    @Column(name = "age_end")
    private String ageEnd;

    @ApiModelProperty("比赛等级(逗号分割)（直接创建场次模板)）")
    @Column(name = "match_level")
    private String matchLevel;

    @ApiModelProperty(value = "是否青创赛事(1是0否)")
    @Column(name = "qc_flag")
    private Integer qcFlag;

    @ApiModelProperty(value = "其他主办方")
    @Column(name = "other_sponsor")
    private String otherSponsor;

    @ApiModelProperty(value = "其他承办方")
    @Column(name = "other_organizer")
    private String otherOrganizer;

    @ApiModelProperty(value = "创建人组织id")
    @Column(name = "create_org_id")
    private Long createOrgId;

    @ApiModelProperty(value = "创建人组织名称")
    @Column(name = "create_org_name")
    private String createOrgName;

    @ApiModelProperty(value = "创建人部门id")
    @Column(name = "create_dept_id")
    private Long createDeptId;

    @ApiModelProperty(value = "创建人部门名称")
    @Column(name = "create_dept_name")
    private String createDeptName;

    @ApiModelProperty(value = "审核发起人")
    @Column(name = "launch_approve_worker")
    private Integer launchApproveWorker;

    @ApiModelProperty(value = "审核时间")
    @Column(name = "launch_approve_time")
    private Date launchApproveTime;

    @ApiModelProperty(value = "审核人组织")
    @Column(name = "launch_org_id")
    private Long launchOrgId;
}
