package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事-赛项信息;对象 mth_match_item
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_match_item")
@NamedQuery(name = "MthMatchItem.findAll", query = "SELECT t FROM MthMatchItem t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "赛事-赛项信息")
@Where(clause=" del_flag = 0 ")
public class MthMatchItem  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 比赛id
     */
    @Column(name = "match_id")
    @ApiModelProperty(value = "比赛id")
    private Long matchId;
    /**
     * 赛项名称
     */
    @Column(name = "item_name")
    @ApiModelProperty(value = "赛项名称")
    private String itemName;
}
