package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * @author xujie
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_match_label")
@NamedQuery(name = "MthMatchLabel.findAll", query = "SELECT t FROM MthMatchLabel t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事标签")
@Where(clause=" del_flag = 0 ")
public class MthMatchLabel  extends BaseEntity{
    private static final long serialVersionUID=1L;
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 比赛id
     */
    @Column(name = "match_id")
    @ApiModelProperty(value = "比赛id")
    private Long matchId;
    /**
     * 标签id
     */
    @Column(name = "label_id")
    @ApiModelProperty(value = "标签id")
    private Long labelId;

    /**
     * 标签id
     */
    @Column(name = "label_name")
    @ApiModelProperty(value = "标签名称")
    private String labelName;

}
