package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事承办方信息对象 mth_match_organizer
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_match_organizer")
@NamedQuery(name = "MthMatchOrganizer.findAll", query = "SELECT t FROM MthMatchOrganizer t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事承办方信息")
public class MthMatchOrganizer  extends BaseEntity {

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 乐观锁
     */
    @Column(name = "revision")
    @ApiModelProperty(value = "乐观锁")
    private String revision;
}
