package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事过程记录;对象 mth_match_process
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_match_process")
@NamedQuery(name = "MthMatchProcess.findAll", query = "SELECT t FROM MthMatchProcess t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事过程记录;")
public class MthMatchProcess  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 事件类型
     */
    @Column(name = "type")
    @ApiModelProperty(value = "事件类型")
    private String type;
    /**
     * 关联业务id
     */
    @Column(name = "biz_id")
    @ApiModelProperty(value = "关联业务id")
    private Long bizId;
    /**
     * 显示名称
     */
    @Column(name = "show_title")
    @ApiModelProperty(value = "显示名称")
    private String showTitle;
    /**
     * 显示结果
     */
    @Column(name = "result")
    @ApiModelProperty(value = "显示结果")
    private String result;
    /**
     * 参赛人员id
     */
    @Column(name = "user_id")
    @ApiModelProperty(value = "参赛人员id")
    private Long userId;

    @Column(name = "match_id")
    @ApiModelProperty(value = "参赛人员id")
    private Long matchId;
}
