package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.util.Date;


@Entity
@Table(name = "mth_match_sign")
@NamedQuery(name = "MthMatchSign.findAll", query = "SELECT t FROM MthMatchSign t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事签到表")
@Where(clause=" del_flag = 0 ")
public class MthMatchSign extends BaseEntity{

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id ;

    /**
     * 赛事场次报名ID
     */
    @ApiModelProperty(name = "赛事场次报名ID")
    @Column(name ="mth_round_list_id")
    private Long mthRoundListId ;

    /**
     * 用户id
     */
    @ApiModelProperty(name = "用户id")
    @Column(name ="worker_id")
    private Integer workerId ;

    /**
     *  签到时间
     */
    @ApiModelProperty(name = "签到/签退 时间")
    @Column(name ="sign_time")
    private Date signTime ;

    /**
     * 类型(1扫码，2定位，3扫码+定位)
     */
    @ApiModelProperty(name = "类型(1扫码，2定位，3扫码+定位)")
    @Column(name ="sign_type")
    private Integer signType ;

    /**
     * 签到/签退 二维码
     */
    @ApiModelProperty(name = "签到/签退 二维码")
    @Column(name ="sign_qr_id")
    private String signQrId ;

    /**
     * 操作
     */
    @ApiModelProperty(name = "操作(1签到，-1签退)")
    @Column(name ="sign_handle")
    private Integer signHandle ;
}