package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/9/26 16:18
 */
@Entity
@Table(name = "mth_match_sponsor")
@NamedQuery(name = "MthMatchSponsor.findAll", query = "SELECT t FROM MthMatchSponsor t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事主办方表")
@Where(clause=" del_flag = 0 ")
public class MthMatchSponsor extends BaseEntity{
    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 主办方id
     */
    @Column(name = "sponsor_id")
    @ApiModelProperty(value = "主办方id")
    private Long sponsorId;

    /**
     * 主办方名称
     */
    @Column(name = "sponsor_name")
    @ApiModelProperty(value = "主办方名称")
    private String sponsorName;

    @Column(name = "match_id")
    private Long matchId;

    /**
     * 类型:1主办方 2承办方
     */
    @Column(name = "type")
    private Integer type;
}
