package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 青创赛事项目融资申请对象 mth_project_financing
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Entity
@Table(name = "mth_project_financing")
@NamedQuery(name = "MthProjectFinancing.findAll", query = "SELECT t FROM MthProjectFinancing t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青创赛事项目融资申请")
@Where(clause = " del_flag = 0 ")
public class MthProjectFinancing extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 编号
     */
    @Column(name = "code")
    @ApiModelProperty(value = "编号")
    private String code;
    /**
     * 青创赛事项目id
     */
    @Column(name = "project_id")
    @ApiModelProperty(value = "青创赛事项目id")
    private Long projectId;
    /**
     * 一句话介绍
     */
    @Column(name = "introduce")
    @ApiModelProperty(value = "一句话介绍")
    private String introduce;
    /**
     * 期望融资金额(万)
     */
    @Column(name = "expected_amount")
    @ApiModelProperty(value = "期望融资金额(万)")
    private BigDecimal expectedAmount;
    /**
     * 出让股权(%)
     */
    @Column(name = "transfer_equity")
    @ApiModelProperty(value = "出让股权(%)")
    private BigDecimal transferEquity;
    /**
     * 官方网址
     */
    @Column(name = "official_website")
    @ApiModelProperty(value = "官方网址")
    private String officialWebsite;
    /**
     * 审核状态(0待审核1已通过2不通过)
     */
    @Column(name = "review_status")
    @ApiModelProperty(value = "审核状态(0待审核1已通过2不通过)")
    private Integer reviewStatus;
    /**
     * 审核时间
     */
    @Column(name = "review_time")
    @ApiModelProperty(value = "审核时间")
    private Date reviewTime;
    /**
     * 审核原因
     */
    @Column(name = "review_reason")
    @ApiModelProperty(value = "审核原因")
    private String reviewReason;
    /**
     * 审核人id
     */
    @Column(name = "reviewer_id")
    @ApiModelProperty(value = "审核人id")
    private Long reviewerId;
    /**
     * 审核人
     */
    @Column(name = "reviewer_name")
    @ApiModelProperty(value = "审核人")
    private String reviewerName;
    /**
     * 公示状态(0未公示1已公示)
     */
    @Column(name = "publicity_status")
    @ApiModelProperty(value = "公示状态(0未公示1已公示)")
    private Integer publicityStatus;
    /**
     * 申请人id
     */
    @Column(name = "user_id")
    @ApiModelProperty(value = "申请人id")
    private Long userId;

    /**
     * 来源（1赛事报名,2单独提交）
     */
    @Column(name = "source")
    @ApiModelProperty(value = "来源（1赛事报名,2单独提交）")
    private Integer source;

    /**
     * 获奖名称
     */
    @Column(name = "prize_name")
    @ApiModelProperty(value = "获奖名称")
    private String prizeName;
}
