package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * @author gongsongtao
 * @date 2024/1/16 11:16
 */
@Entity
@Table(name = "mth_project_financing_contact")
@NamedQuery(name = "MthProjectFinancingContact.findAll", query = "SELECT t FROM MthProjectFinancingContact t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青创赛事联系人表")
@Where(clause = " del_flag = 0 ")
public class MthProjectFinancingContact extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID")
    private Long id;

    @Column(name = "financing_id")
    @ApiModelProperty(value ="青创赛事申请记录id")
    private Long financingId;

    /**
     * 用户名称
     */
    @Column(name = "user_name")
    @ApiModelProperty(value = "用户名称")
    private String userName;

    /**
     * 职务名称
     */
    @Column(name = "post_name")
    @ApiModelProperty(value = "职务名称")
    private String postName;

    /**
     * 电话号码
     */
    @Column(name = "mobile")
    @ApiModelProperty(value = "电话号码")
    private String mobile;
}
