package com.crunii.micro.domain.entity.main;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 青创赛事项目融资历史对象 mth_project_financing_history
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Entity
@Table(name = "mth_project_financing_history")
@NamedQuery(name = "MthProjectFinancingHistory.findAll", query = "SELECT t FROM MthProjectFinancingHistory t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青创赛事项目融资历史")
@Where(clause = " del_flag = 0 ")
public class MthProjectFinancingHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 项目融资id
     */
    @Column(name = "financing_id")
    @ApiModelProperty(value = "项目融资id")
    private Long financingId;
    /**
     * 融资轮次
     */
    @Column(name = "financing_rounds")
    @ApiModelProperty(value = "融资轮次")
    private String financingRounds;
    /**
     * 融资时间
     */
    @Column(name = "financing_time")
    @ApiModelProperty(value = "融资时间")
    private String financingTime;
    /**
     * 融资金额(万元)
     */
    @Column(name = "amount")
    @ApiModelProperty(value = "融资金额(万元)")
    private BigDecimal amount;
    /**
     * 对外公布融资金额(0否1是)
     */
    @Column(name = "publicity_amount")
    @ApiModelProperty(value = "对外公布融资金额(0否1是)")
    private Long publicityAmount;
    /**
     * 投资方
     */
    @Column(name = "investor")
    @ApiModelProperty(value = "投资方")
    private String investor;
    /**
     * 对外公布投资方(0否1是)
     */
    @Column(name = "publicity_investor")
    @ApiModelProperty(value = "对外公布投资方(0否1是)")
    private Long publicityInvestor;
    /**
     * 排序
     */
    @Column(name = "sort_num")
    @ApiModelProperty(value = "排序")
    private Long sortNum;
}
