package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.util.Date;


/**
 * 青创赛事项目融资项目成员对象 mth_project_financing_member
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@Entity
@Table(name = "mth_project_financing_member")
@NamedQuery(name = "MthProjectFinancingMember.findAll", query = "SELECT t FROM MthProjectFinancingMember t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青创赛事项目融资项目成员")
@Where(clause = " del_flag = 0 ")
public class MthProjectFinancingMember extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID")
    private Long id;
    /**
     * 项目融资id
     */
    @Column(name = "financing_id")
    @ApiModelProperty(value = "项目融资id")
    private Long financingId;
    /**
     * 姓名
     */
    @Column(name = "name")
    @ApiModelProperty(value = "姓名")
    private String name;
    /**
     * 职务
     */
    @Column(name = "position")
    @ApiModelProperty(value = "职务")
    private String position;
    /**
     * 个人经历
     */
    @Column(name = "personal_experience")
    @ApiModelProperty(value = "个人经历")
    private String personalExperience;
    /**
     * 头像
     */
    @Column(name = "head_sculpture")
    @ApiModelProperty(value = "头像")
    private Long headSculpture;
    /**
     * 排序
     */
    @Column(name = "sort_num")
    @ApiModelProperty(value = "排序")
    private Long sortNum;
}
