package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事-赛项-组别-区域报名信息;对象 mth_register
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_register")
@NamedQuery(name = "MthRegister.findAll", query = "SELECT t FROM MthRegister t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-赛项-组别-区域报名信息;")
@Where(clause=" del_flag = 0 ")
public class MthRegister  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 参赛者编号
     */
    @Column(name = "code")
    @ApiModelProperty(value = "参赛者编号")
    private String code;
    /**
     * 赛事id
     */
    @Column(name = "match_id")
    @ApiModelProperty(value = "赛事id")
    private Long matchId;
    /**
     * 赛事名称
     */
    @Column(name = "match_name")
    @ApiModelProperty(value = "赛事名称")
    private String matchName;
    /**
     * 赛项id
     */
    @Column(name = "item_id")
    @ApiModelProperty(value = "赛项id")
    private Long itemId;
    /**
     * 赛项名称
     */
    @Column(name = "item_name")
    @ApiModelProperty(value = "赛项名称")
    private String itemName;
    /**
     * 组别id
     */
    @Column(name = "group_id")
    @ApiModelProperty(value = "组别id")
    private Long groupId;
    /**
     * 组别名称
     */
    @Column(name = "group_name")
    @ApiModelProperty(value = "组别名称")
    private String groupName;
    /**
     * 区域id
     */
    @Column(name = "area_id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;
    /**
     * 区域名称
     */
    @Column(name = "area_name")
    @ApiModelProperty(value = "区域名称")
    private String areaName;
    /**
     * 用户id
     */
    @Column(name = "user_id")
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 用户名称
     */
    @Column(name = "user_name")
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 联系电话
     */
    @Column(name = "telephone")
    @ApiModelProperty(value = "联系电话")
    private String telephone;
    /**
     * 报名审核结果
     */
    @Column(name = "review_result")
    @ApiModelProperty(value = "报名审核结果")
    private String reviewResult;
    /**
     * 配置id
     */
    @ApiModelProperty("配置id")
    @Column(name = "register_config_id")
    private Long registerConfigId;
    /**
     * 学校名称
     */
    @Column(name = "school_name")
    @ApiModelProperty(value = "学校名称")
    private String schoolName;
    /**
     * 参赛者身份证
     */
    @Column(name = "idcared")
    @ApiModelProperty(value = "参赛者身份证")
    private String idcared;
    /**
     * 单位名称
     */
    @Column(name = "company_name")
    @ApiModelProperty(value = "单位名称")
    private String companyName;
}
