package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事-报名信息;对象 mth_register_config
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_register_config")
@NamedQuery(name = "MthRegisterConfig.findAll", query = "SELECT t FROM MthRegisterConfig t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-报名信息;")
@Where(clause=" del_flag = 0 ")
public class MthRegisterConfig  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 赛事id
     */
    @Column(name = "match_id")
    @ApiModelProperty(value = "赛事id")
    private Long matchId;
    /**
     * 类别（个人信息、作品）
     */
    @Column(name = "config_type")
    @ApiModelProperty(value = "类别（个人信息、作品）")
    private String configType;
    /**
     * 名称
     */
    @Column(name = "name")
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 描述
     */
    @Column(name = "config_desc")
    @ApiModelProperty(value = "描述")
    private String configDesc;
    /**
     * 图片
     */
    @Column(name = "pic_id")
    @ApiModelProperty(value = "图片")
    private Long picId;
}
