package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事-报名配置-详情;对象 mth_register_config_detail
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_register_config_detail")
@NamedQuery(name = "MthRegisterConfigDetail.findAll", query = "SELECT t FROM MthRegisterConfigDetail t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-报名配置-详情;")
@Where(clause=" del_flag = 0 ")
public class MthRegisterConfigDetail  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 报名信息id
     */
    @Column(name = "register_info_id")
    @ApiModelProperty(value = "报名信息id")
    private Long registerInfoId;
    /**
     * 配置id
     */
    @Column(name = "register_config_id")
    @ApiModelProperty(value = "配置id")
    private Long registerConfigId;
    /**
     * 分组名称
     */
    @Column(name = "group_name")
    @ApiModelProperty(value = "分组名称")
    private String groupName;
    /**
     * 排序
     */
    @Column(name = "sort_num")
    @ApiModelProperty(value = "排序")
    private Integer sortNum;

}
