package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事-赛项-组别-区域报名详情;对象 mth_register_detail
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_register_detail")
@NamedQuery(name = "MthRegisterDetail.findAll", query = "SELECT t FROM MthRegisterDetail t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-赛项-组别-区域报名详情;")
public class MthRegisterDetail  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 报名id或作品id
     */
    @Column(name = "biz_id")
    @ApiModelProperty(value = "报名id或作品id")
    private Long bizId;
    /**
     * 报名配置详情id
     */
    @Column(name = "config_detail_id")
    @ApiModelProperty(value = "报名配置详情id")
    private Long configDetailId;
    /**
     * 配置id
     */
    @Column(name = "config_id")
    @ApiModelProperty(value = "配置id")
    private Long configId;
    /**
     * 配置中的key
     */
    @Column(name = "key")
    @ApiModelProperty(value = "配置中的key")
    private String key;
    /**
     * 用户提交数据
     */
    @Column(name = "value")
    @ApiModelProperty(value = "用户提交数据")
    private String value;
    /**
     * 类型(报名信息、作品信息)
     */
    @Column(name = "type")
    @ApiModelProperty(value = "类型(报名信息、作品信息)")
    private String type;
}
