package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * 赛事-赛项-报名-审核记录;对象 mth_register_review
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_register_review")
@NamedQuery(name = "MthRegisterReview.findAll", query = "SELECT t FROM MthRegisterReview t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-赛项-报名-审核记录;")
public class MthRegisterReview  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * $column.columnComment
     */
    @Column(name = "register_id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long registerId;
    /**
     * 审核结果
     */
    @Column(name = "review_result")
    @ApiModelProperty(value = "审核结果")
    private String reviewResult;
    /**
     * 审核人id
     */
    @Column(name = "reviewer_id")
    @ApiModelProperty(value = "审核人id")
    private Long reviewerId;
    /**
     * 审核人
     */
    @Column(name = "reviewer_name")
    @ApiModelProperty(value = "审核人")
    private String reviewerName;
    /**
     * 审核时间
     */
    @Column(name = "reviewer_time")
    @ApiModelProperty(value = "审核时间")
    private Date reviewerTime;
    /**
     * 原因
     */
    @Column(name = "reason")
    @ApiModelProperty(value = "原因")
    private String reason;
}
