package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * 赛事-场次配置;对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round")
@NamedQuery(name = "MthRound.findAll", query = "SELECT t FROM MthRound t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次配置;")
public class MthRound  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 比赛id
     */
    @Column(name = "match_id")
    @ApiModelProperty(value = "比赛id")
    private Long matchId;
    /**
     * 场次名称
     */
    @Column(name = "round_name")
    @ApiModelProperty(value = "场次名称")
    private String roundName;
    /**
     * 比赛方式（线上 线下）
     */
    @Column(name = "play_mode")
    @ApiModelProperty(value = "比赛方式（线上 线下）")
    private String playMode;
    /**
     * 评审方式(线上 线下)
     */
    @Column(name = "audit_mode")
    @ApiModelProperty(value = "评审方式(线上 线下)")
    private String auditMode;
    /**
     * 评分方式(10分制、百分制、ABC、通过不通过))
     */
    @Column(name = "socre_mode")
    @ApiModelProperty(value = "评分方式(10分制、百分制、ABC、通过不通过))")
    private String socreMode;
    /**
     * 统计分方式(平均分、去掉最高最低))
     */
    @Column(name = "score_statistics")
    @ApiModelProperty(value = "统计分方式(平均分、去掉最高最低))")
    private String scoreStatistics;
    /**
     * 晋级方式(人数、百分比)
     */
    @Column(name = "promotion_mode")
    @ApiModelProperty(value = "晋级方式(人数、百分比)")
    private String promotionMode;
    /**
     * 晋级数量
     */
    @Column(name = "promption_num")
    @ApiModelProperty(value = "晋级数量")
    private Integer promptionNum;
    /**
     * 报名开始时间
     */
    @Column(name = "registeration_start")
    @ApiModelProperty(value = "报名开始时间")
    private Date registerationStart;
    /**
     * 报名结束时间
     */
    @Column(name = "registeration_end")
    @ApiModelProperty(value = "报名结束时间")
    private Date registerationEnd;
    /**
     * 作品提交方式（单独上传、不需上传）
     */
    @Column(name = "entry_submit_mode")
    @ApiModelProperty(value = "作品提交方式（单独上传、不需上传）")
    private String entrySubmitMode;
    /**
     * 作品截止时间
     */
    @Column(name = "entry_deadline")
    @ApiModelProperty(value = "作品截止时间")
    private Date entryDeadline;
    /**
     * 场次开始时间
     */
    @Column(name = "round_start")
    @ApiModelProperty(value = "场次开始时间")
    private String roundStart;
    /**
     * 场次结束时间
     */
    @Column(name = "round_end")
    @ApiModelProperty(value = "场次结束时间")
    private String roundEnd;
    /**
     * 场次序号
     */
    @Column(name = "round_sort")
    @ApiModelProperty(value = "场次序号")
    private String roundSort;
    /**
     * 比赛等级（市、片区、区县、校区）
     */
    @Column(name = "match_level")
    @ApiModelProperty(value = "比赛等级（市、片区、区县、校区）")
    private String matchLevel;
    /**
     * 场次等级初赛复赛(1234数字递增)
     */
    @Column(name = "round_level")
    @ApiModelProperty(value = "场次等级初赛复赛(1234数字递增)")
    private Integer roundLevel;
}
