package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事-场次-等级-区域;对象 mth_round_area
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_area")
@NamedQuery(name = "MthRoundArea.findAll", query = "SELECT t FROM MthRoundArea t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-等级-区域;")
@Where(clause=" del_flag = 0 ")
public class MthRoundArea  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 区域类型(4校区，3区县、2片区、1市)
     */
    @Column(name = "area_type")
    @ApiModelProperty(value = "区域类型(4校区，3区县、2片区、1市)")
    private String areaType;
    /**
     * 名称
     */
    @Column(name = "area_name")
    @ApiModelProperty(value = "名称")
    private String areaName;
    /**
     * code
     */
    @Column(name = "area_code")
    @ApiModelProperty(value = "code")
    private String areaCode;
    /**
     * area_id
     */
    @Column(name = "area_id")
    @ApiModelProperty(value = "area_id")
    private Long areaId;
    /**
     * 场次模板id
     */
    @Column(name = "round_id")
    @ApiModelProperty(value = "场次模板id")
    private Long roundId;
    /**
     * 父级id
     */
    @Column(name = "parent_id")
    @ApiModelProperty(value = "父级id")
    private Long parentId;
}
