package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事-赛项-组别-区域-场次-名单;对象 mth_round_list
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_list")
@NamedQuery(name = "MthRoundList.findAll", query = "SELECT t FROM MthRoundList t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-赛项-组别-区域-场次-名单;")
public class MthRoundList  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 报名信息id
     */
    @Column(name = "register_id")
    @ApiModelProperty(value = "报名信息id")
    private Long registerId;
    /**
     * 场次
     */
    @Column(name = "round_id")
    @ApiModelProperty(value = "场次")
    private Long roundId;
    /**
     * 用户id
     */
    @Column(name = "user_id")
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 用户名称
     */
    @Column(name = "user_name")
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 场次名单状态: RUNNING进行中, END已结束
     */
    @Column(name = "status")
    @ApiModelProperty(value = "场次名单状态: RUNNING进行中, END已结束")
    private String status;

    /**
     * 作品id
     */
    @Column(name = "work_id")
    @ApiModelProperty(value = "作品id")
    private Long workId;
}
