package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.annotations.Where;

import javax.persistence.*;

/**
 * 赛事-场次-名次配置;对象 mth_round_prize
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_prize")
@NamedQuery(name = "MthRoundPrize.findAll", query = "SELECT t FROM MthRoundPrize t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-名次配置;")
@Where(clause=" del_flag = 0 ")
public class MthRoundPrize  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * $column.columnComment
     */
    @Column(name = "round_id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long roundId;
    /**
     * 奖项code
     */
    @Column(name = "prize_code")
    @ApiModelProperty(value = "奖项code")
    private String prizeCode;
    /**
     * 奖项
     */
    @Column(name = "prize_name")
    @ApiModelProperty(value = "奖项")
    private String prizeName;
    /**
     * 奖项方式（人数、百分比）
     */
    @Column(name = "prize_mode")
    @ApiModelProperty(value = "奖项方式（人数、百分比）")
    private String prizeMode;
    /**
     * 数量
     */
    @Column(name = "prize_num")
    @ApiModelProperty(value = "数量")
    private Integer prizeNum;
    /**
     * 赛项id
     */
    @Column(name = "item_id")
    @ApiModelProperty(value = "赛项id")
    private Long itemId;
    /**
     * 赛项name
     */
    @Column(name = "item_name")
    @ApiModelProperty(value = "赛项name")
    private String itemName;
    /**
     * 组别id
     */
    @Column(name = "group_id")
    @ApiModelProperty(value = "组别id")
    private Long groupId;
    /**
     * 组别name
     */
    @Column(name = "group_name")
    @ApiModelProperty(value = "组别name")
    private String groupName;

}
