package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事-场次-比赛-晋级调整记录;对象 mth_round_qualify_log
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_qualify_log")
@NamedQuery(name = "MthRoundQualifyLog.findAll", query = "SELECT t FROM MthRoundQualifyLog t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-比赛-晋级调整记录;")
public class MthRoundQualifyLog  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 评分表id
     */
    @Column(name = "score_id")
    @ApiModelProperty(value = "评分表id")
    private Long scoreId;
    /**
     * 原评分
     */
    @Column(name = "old_score")
    @ApiModelProperty(value = "原评分")
    private String oldScore;
    /**
     * 原排名
     */
    @Column(name = "old_sort")
    @ApiModelProperty(value = "原排名")
    private Integer oldSort;
    /**
     * 修改后评分
     */
    @Column(name = "score")
    @ApiModelProperty(value = "修改后评分")
    private String score;
    /**
     * 修改后排名
     */
    @Column(name = "sort")
    @ApiModelProperty(value = "修改后排名")
    private Integer sort;
    /**
     * 作品编码
     */
    @Column(name = "work_code")
    @ApiModelProperty(value = "作品编码")
    private String workCode;
    /**
     * 作品名称
     */
    @Column(name = "work_name")
    @ApiModelProperty(value = "作品名称")
    private String workName;
}
