package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事-场次-评审员配置;对象 mth_round_review_conf
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_review_conf")
@NamedQuery(name = "MthRoundReviewConf.findAll", query = "SELECT t FROM MthRoundReviewConf t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-评审员配置;")
public class MthRoundReviewConf  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 场次id
     */
    @Column(name = "round_id")
    @ApiModelProperty(value = "场次id")
    private Long roundId;
    /**
     * 按照赛事
     */
    @Column(name = "match_item_flag")
    @ApiModelProperty(value = "按照赛事(0:否，1：是)")
    private Integer matchItemFlag;
    /**
     * 评审次数
     */
    @Column(name = "review_count")
    @ApiModelProperty(value = "评审次数")
    private Integer reviewCount;
    /**
     * 评审方式(评审全部、平均分配)
     */
    @Column(name = "review_type")
    @ApiModelProperty(value = "评审方式(评审全部、平均分配)")
    private Integer reviewType;

}
