package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事-场次-评审指标配置;对象 mth_round_review
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_review_standar")
@NamedQuery(name = "MthRoundReview.findAll", query = "SELECT t FROM MthRoundReviewStandar t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-评审指标配置;")
public class MthRoundReviewStandar  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;


    /** 赛项id */
    @ApiModelProperty(name = "赛项id",notes = "")
    @Column(name ="item_id")
    private Long itemId;
    /** 赛项名字 */
    @ApiModelProperty(name = "赛项名字",notes = "")
    @Column(name ="item_name")
    private String itemName ;
    /**
     * 场次实例id
     */
    @Column(name = "round_id")
    @ApiModelProperty(value = "场次实例id")
    private Long roundId;
    /**
     * 标准
     */
    @Column(name = "standar")
    @ApiModelProperty(value = "标准")
    private String standar;
    /**
     * 分值
     */
    @Column(name = "score")
    @ApiModelProperty(value = "分值")
    private String score;
    /**
     * 权重
     */
    @Column(name = "weight")
    @ApiModelProperty(value = "权重")
    private String weight;

}
