package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * 赛事-场次-评审员账号关系;对象 mth_round_reviewer
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_reviewer")
@NamedQuery(name = "MthRoundReviewer.findAll", query = "SELECT t FROM MthRoundReviewer t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-评审员账号关系;")
public class MthRoundReviewer  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 场次id
     */
    @Column(name = "round_id")
    @ApiModelProperty(value = "场次id")
    private Long roundId;
    /**
     * 评审员id
     */
    @Column(name = "reviewer_id")
    @ApiModelProperty(value = "评审员id")
    private Long reviewerId;
    /**
     *
     * 赛项id
     */
    @Column(name = "item_id")
    @ApiModelProperty(value = "赛项id")
    private Long itemId;
    /**
     * 赛项名称
     */
    @Column(name = "item_name")
    @ApiModelProperty(value = "评审员id")
    private String itemName;
    /**
     * 备注
     */
    @Column(name = "remarks")
    @ApiModelProperty(value = "备注")
    private String remarks;
}
