package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * 赛事-场次-比赛评分;对象 mth_round_score
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_round_score")
@NamedQuery(name = "MthRoundScore.findAll", query = "SELECT t FROM MthRoundScore t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-比赛评分;")
public class MthRoundScore  extends BaseEntity{

private static final long serialVersionUID=1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 场次名单id
     */
    @Column(name = "round_list_id")
    @ApiModelProperty(value = "场次名单id")
    private Long roundListId;
    /**
     * 排名
     */
    @Column(name = "sort")
    @ApiModelProperty(value = "排名")
    private Integer sort;
    /**
     * 分数
     */
    @Column(name = "score")
    @ApiModelProperty(value = "分数")
    private String score;
    /**
     * 结果（晋级淘汰）
     */
    @Column(name = "result")
    @ApiModelProperty(value = "结果（晋级淘汰）")
    private String result;
    /**
     * 原排名
     */
    @Column(name = "old_sort")
    @ApiModelProperty(value = "原排名")
    private Integer oldSort;
    /**
     * 原分数
     */
    @Column(name = "old_score")
    @ApiModelProperty(value = "原分数")
    private String oldScore;
    /**
     * 奖项
     */
    @Column(name = "prize_id")
    @ApiModelProperty(value = "奖项")
    private String prizeId;
    /**
     * 奖项
     */
    @Column(name = "prize_name")
    @ApiModelProperty(value = "奖项")
    private String prizeName;
    /**
     * 其他奖项
     */
    @Column(name = "other_prize_id")
    @ApiModelProperty(value = "其他奖项")
    private String otherPrizeId;
    /**
     * 其他奖项
     */
    @Column(name = "other_prize_name")
    @ApiModelProperty(value = "其他奖项")
    private String otherPrizeName;
    /**
     * 评语
     */
    @Column(name = "comments")
    @ApiModelProperty(value = "评语")
    private String comments;
    /**
     * $column.columnComment
     */
    @Column(name = "reviewer_id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long reviewerId;
    /**
     * 评委
     */
    @Column(name = "reviewer_name")
    @ApiModelProperty(value = "评委")
    private String reviewerName;
    /**
     * 评委签名
     */
    @Column(name = "reviewer_sign")
    @ApiModelProperty(value = "评委签名")
    private String reviewerSign;

    /**
     * 审核时间
     */
    @Column(name = "review_time")
    @ApiModelProperty(value = "审核时间")
    private Date reviewTime;

    /**
     * 审核状态 0未审核 1已审核
     */
    @Column(name = "status")
    @ApiModelProperty(value = "审核状态 0未审核 1已审核")
    private Integer status;

    @Column(name = "delivery_flag")
    @ApiModelProperty(value = "审核状态 0未审核 1已审核")
    private Integer deliveryFlag;

    @Column(name = "prize_msg_flag")
    @ApiModelProperty(value = "领奖通知发送标志 ")
    private Integer prizeMsgFlag;
}
