package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @author denggl
 * date 2023/11/29
 */
@Entity
@Table(name = "mth_round_scoreinfo")
@NamedQuery(name = "MthRoundScoreinfo.findAll", query = "SELECT t FROM MthRoundScoreinfo t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-场次-比赛评审员评分明细")
public class MthRoundScoreinfo   extends BaseEntity{
    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id ;
    /** 场次名单id */
    @ApiModelProperty(name = "场次名单id",notes = "")
    @Column(name ="round_list_id")
    private Long roundListId ;
    /** 排名 */
    @ApiModelProperty(name = "排名",notes = "")
    @Column(name ="sort")
    private Integer sort ;
    /** 分数 */
    @ApiModelProperty(name = "分数",notes = "")
    @Column(name ="score")
    private String score ;
    /** 评语 */
    @ApiModelProperty(name = "评语",notes = "")
    @Column(name ="comments")
    private String comments ;
    /** 评审员id */
    @ApiModelProperty(name = "评审员id",notes = "")
    @Column(name ="reviewer_id")
    private Long reviewerId ;
    /** 评委 */
    @ApiModelProperty(name = "评委",notes = "")
    @Column(name ="reviewer_name")
    private String reviewerName ;
    /** 评委签名 */
    @ApiModelProperty(name = "评委签名",notes = "")
    @Column(name ="reviewer_sign")
    private String reviewerSign ;
    /** 删除标志 */
    @ApiModelProperty(name = "删除标志",notes = "")
    @Column(name ="del_flag")
    private Integer delFlag ;
    /** 创建人id */
    @ApiModelProperty(name = "创建人id",notes = "")
    @Column(name ="create_id")
    private Long createId ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    @Column(name ="create_by")
    private String createBy ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @Column(name ="create_time")
    private Date createTime ;
    /** 更新人 */
    @ApiModelProperty(name = "更新人",notes = "")
    @Column(name ="update_by")
    private String updateBy ;
    /** 更新人id */
    @ApiModelProperty(name = "更新人id",notes = "")
    @Column(name ="update_id")
    private Long updateId ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")
    @Column(name ="update_time")
    private Date updateTime ;
    /** 审核状态0-未审核 1-已审核 */
    @ApiModelProperty(name = "审核状态0-未审核 1-已审核",notes = "")
    @Column(name ="status")
    private Integer status ;
}
