package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;


/**
 * 赛事-作品表;视图对象 mth_round
 *
 * @author mth
 * @date 2023-09-19
 */
@Entity
@Table(name = "mth_work")
@NamedQuery(name = "MthWork.findAll", query = "SELECT t FROM MthWork t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "赛事-作品表;视图对象")
public class MthWork  extends BaseEntity{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 作品code
     */
    @ApiModelProperty("作品code")
    @Column(name = "work_code")
    private String workCode;
    /**
     * 作品名称
     */
    @ApiModelProperty("作品名称")
    @Column(name = "work_name")
    private String workName;
    /**
     * 配置id
     */
    @ApiModelProperty("配置id")
    @Column(name = "register_config_id")
    private Long registerConfigId;

}
