package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchContractor;
import java.util.Collection;
import java.util.List;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author thw
 * @date 2023/11/17
 * @description 赛事-承办方
 */
@Repository
public interface MthMatchContractorRepo extends BaseRepo<MthMatchContractor,Long> {


  List<MthMatchContractor> findByMatchIdAndLimitType(Long matchId , String limitType);

  @Modifying
  @Transactional
  @Query(value = "UPDATE mth_match_contractor  SET del_flag = 1 WHERE match_id = ?1 and area_id = ?2 and limit_type = ?3",nativeQuery = true)
  void updateDelFlagByMatchIdAndAreaIdAndLimitType(Long matchId, Long areaId , String limitType);


  List<MthMatchContractor> findByAreaIdAndDelFlag(Long areaId , Integer delFlag);

  List<MthMatchContractor> findByDelFlagAndAreaIdIn(Integer delFlag, Collection<Long> areaIds );
}
