package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchInfo;
import com.crunii.micro.service.match.api.vo.MatchBaseInfoVo;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事信息主;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthMatchInfoRepo extends BaseRepo<MthMatchInfo, Long> {
    List<MthMatchInfo> findByMatchNameLikeAndIdIsNot(String matchName,Long id);

    List<MthMatchInfo> findByIdIn(List<Long> matchIdList);

    List<MthMatchInfo> findByStatus(String status);

    @Query(value = "update mth_match_info set status = 'REGISTER' where id in (?1) and status = 'RELEASED'",nativeQuery = true)
    void updateRegisterStatus(List<Long> matchIds);

    @Query(value = "update mth_match_info set status = 'GOING' where id in (?1) and status = 'REGISTER'",nativeQuery = true)
    void updateGoingStatus(List<Long> matchIds);
}
