package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchSign;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/11/21 19:39
 */
@Repository
public interface MthMatchSignRepo extends BaseRepo<MthMatchSign, Long> {

    @Query(value = "select * from  mth_match_sign where mth_round_list_id=?1 and worker_id=?2 and sign_handle=?3 limit 1",nativeQuery = true)
    MthMatchSign findBySignRecord(Long roundInstanceId,Integer workerId,Integer signHandle);

    @Query(value = "select * from mth_match_sign where worker_id=?1 and sign_handle=1",nativeQuery = true)
    List<MthMatchSign> findByAllSignInRecordByWorker(Integer workerId);

    @Query(value = "select * from mth_match_sign where worker_id=?1 and mth_round_list_id=?2",nativeQuery = true)
    List<MthMatchSign> findByWorkerIdAndInstanceId(Integer workerId,Long instanceId);
}
