package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthMatchSponsor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-赛项-组别-区域报名信息;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthMatchSponsorRepo extends BaseRepo<MthMatchSponsor, Long> {
        @Query(value = "update mth_match_sponsor set del_flag=1 where match_id=?1",nativeQuery = true)
        void deleteByMatchId(Long matchId);

        List<MthMatchSponsor> findByMatchId(Long matchId);

        List<MthMatchSponsor> findByMatchIdIn(List<Long> matchId);

        List<MthMatchSponsor> findBySponsorId(Long sponsorId);

}
