package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRegisterConfigDetail;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 赛事-报名配置-详情;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthRegisterConfigDetailRepo extends BaseRepo<MthRegisterConfigDetail, Long> {

    List<MthRegisterConfigDetail> findByRegisterInfoId(Long registerInfoId);

    @Query(value = "update mth_register_config_detail set del_flag=1 where register_info_id=?1 ",nativeQuery = true)
    void deleteByRegisterInfoId(Long registerInfoId);

    @Query(
            value = "SELECT \n" +
                    " d.group_name AS groupName,\n" +
                    " d.sort_num AS sortNum,\n" +
                    " c.show_name AS showName,\n" +
                    " c.required_flag AS requiredFlag,\n" +
                    " c.config_type AS configType,\n" +
                    " c.ref_type AS refType,\n" +
                    " c.ref_id AS refId,\n" +
                    " C.key AS key,c.dynamic_flag as dynamicFlag ,c.min_file_size as minFileSize,c.max_file_size as maxFileSize ,c.limit_num as limit_num ,\n" +
                    "C.id as registerConfigId, d.register_info_id as registerInfoId "+
                    "FROM YOUTH_CQ.mth_register_config_detail d ,YOUTH_CQ.mth_form_config  c WHERE d.register_config_id =c.id and d.del_flag=0 and c.del_flag=0 " +
                    "AND d.register_info_id = ?1 order by d.sort_num asc "
            ,nativeQuery = true
    )
    List<Map<String, Object>> findConfigInfoBy(Long configId);

}
