package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRoundArea;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-场次-等级-区域;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthRoundAreaRepo extends BaseRepo<MthRoundArea, Long> {
    @Query(value = "update mth_round_area set del_flag=1 where round_id=?1",nativeQuery = true)
    void deleteByRoundId(Long roundId);
    List<MthRoundArea> findByRoundId(Long roundId);

    List<MthRoundArea> findByRoundIdIn(List<Long> roundIdList);

    List<MthRoundArea> findByIdIn(List<Long> idList);
    List<MthRoundArea> findByParentIdIn(List<Long> parentIdList);

    List<MthRoundArea> findByRoundIdAndAreaIdIn(Long roundId, List<Long> areaIdList);
}
