package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.MthRoundList;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 赛事-赛项-组别-区域-场次-名单;Mapper接口
 *
 * @author mth
 * @date 2023-09-19
 */
@Repository
public interface MthRoundListRepo extends BaseRepo<MthRoundList, Long> {

    List<MthRoundList> findRoundListByRoundId(Long roundId);

    @Query(value = "select count(mrl.id)\n" +
            "from mth_round_list mrl\n" +
            "left join  mth_register mrg on mrl.register_id =mrg.id \n" +
            "where mrl.round_id=?1 and mrl.del_flag=0 and (mrg.review_result='APPROVED' or mrg.review_result='NOREVIEW');\n",nativeQuery = true)
    Integer queryRoundListCount(Long roundId);

    @Query(value = "update mth_round_list set status='END' where round_id=?1 ",nativeQuery = true)
    void updateRoundListStatus(Long roundId);

    @Query(value = "    select mrg.item_id as id ,count(mrl.id) as num " +
            "            from mth_round_list mrl " +
            "            left join  mth_register mrg on mrl.register_id =mrg.id " +
            "            where mrl.round_id=?1 and mrl.del_flag=0 and (mrg.review_result='APPROVED' or mrg.review_result='NOREVIEW') " +
            "            group by mrg.item_id ",nativeQuery = true)
    List<Object[]> getCoutByItemId(Long roundId);

    @Query(value = "    select mrg.group_id as id ,count(mrl.id) as num " +
            "            from mth_round_list mrl " +
            "            left join  mth_register mrg on mrl.register_id =mrg.id " +
            "            where mrl.round_id=?1 and mrl.del_flag=0 and (mrg.review_result='APPROVED' or mrg.review_result='NOREVIEW') " +
            "            group by mrg.group_id " ,nativeQuery = true)
    List<Object[]> getCountByGroupId(Long roundId);

}
