package com.crunii.micro.service.match.config;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.ReflectUtil;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.PrePersist;
import javax.persistence.PreUpdate;
import java.util.Date;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/9/21 19:57
 */
@Slf4j
public class FieldListener extends BasicListener{

    @PrePersist
    public void prePersist(Object object)  {
        Worker worker = CurrWorkerUtil.getCurrWorker();

        if (ObjectUtil.isNull(ReflectUtil.getFieldValue(object, "createBy"))&&ObjectUtil.isNotNull(worker)){
            ReflectUtil.setFieldValue(object,"createBy",worker.getWorkerName());
        }


        if (ObjectUtil.isNull(ReflectUtil.getFieldValue(object, "createId"))&&ObjectUtil.isNotNull(worker)){
            ReflectUtil.setFieldValue(object,"createId",worker.getLoginId());
        }
        if (ObjectUtil.isNull(ReflectUtil.getFieldValue(object, "createTime"))){
            ReflectUtil.setFieldValue(object,"createTime",new Date(System.currentTimeMillis()));

        }

        updateFill(object,worker);
        ReflectUtil.setFieldValue(object,"delFlag",0);

        log.info(object.toString());
    }

    @PreUpdate
    public  void preUpdate(Object object){
        Worker worker = CurrWorkerUtil.getCurrWorker();
        updateFill(object,worker);

    }

    private void  updateFill(Object object,Worker worker){

        ReflectUtil.setFieldValue(object,"updateTime",new Date(System.currentTimeMillis()));


        if (ObjectUtil.isNotNull(worker)){
            ReflectUtil.setFieldValue(object,"updateBy",worker.getWorkerName());
            ReflectUtil.setFieldValue(object,"updateId",worker.getLoginId());
        }

    }
}
