/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.match.config;

import cn.hutool.core.util.IdUtil;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.ObsService;
import com.crunii.micro.feign.client.dto.FileVo;
import fr.opensagres.poi.xwpf.converter.core.ImageManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.stereotype.Component;

import java.io.File;
import java.io.IOException;

/**
 * @author shenhs create 2023/7/3 9:48
 */
@Component
public class URLEmbedImgManager extends ImageManager {

	@Autowired
	private ObsService obsService;

	private byte[] picture;

	public URLEmbedImgManager() {
		super(new File(""), "");
	}

	public void extract(String imagePath, byte[] imageData) throws IOException {
		this.picture = imageData;
	}

	public String resolve(String uri) {
		MockMultipartFile mockMultipartFile = new MockMultipartFile("imgFile", "worldImg_"+ IdUtil.getSnowflakeNextIdStr() +".jpg", null, picture);
		Result<FileVo> fileVoResult = obsService.feignFileUpload(mockMultipartFile);
		return fileVoResult.getData().getFileUrl();
	}
}
