package com.crunii.micro.service.match.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.dto.BasicArticleVo;
import com.crunii.micro.service.match.service.MatchTaskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.log4j.Log4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2024/1/16 9:50
 */
@Api(tags = "赛事定时任务")
@RestController
@RequestMapping("/public/MatchJobHandlerController")
@Log4j
@RequiredArgsConstructor
public class MatchJobHandlerController {

    private final MatchTaskService matchTaskService;



    @ApiOperation("场次状态流转")
    @GetMapping("/roundState")
    public Result<Void> roundState(){
        log.info("roundState start");
        matchTaskService.roundStatusTransfer();
        log.info("roundState end");

        return Result.ofSuccess();
    }

}
