package com.crunii.micro.service.match.controller;


import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.service.MatchTaskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TaskTest
 *
 * @author mth
 * @date 2023-01-17
 */
@Validated
@Api(value = "TASK-TEST", tags = {"TASK-TEST"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/MatchTaskTestController")
public class MatchTaskTestController {

    private final MatchTaskService matchTaskService;

    /**
     * 作品未上传提醒
     */
    @ApiOperation("作品未上传提醒")
    @PostMapping("/pushWorkNotUploadedMsg")
    public Result pushWorkNotUploadedMsg() {
        matchTaskService.pushWorkNotUploadedMsg();
        return Result.ofSuccess();
    }

    /**
     * 参加比赛通知提醒
     */
    @ApiOperation("参加比赛通知提醒")
    @PostMapping("/pushPlayMsg")
    public Result pushPlayMsg() {
        matchTaskService.pushPlayMsg();
        return Result.ofSuccess();
    }

    /**
     * 报名截止时间通知
     */
    @ApiOperation("报名截止时间通知")
    @PostMapping("/pushRegisterDeadlineMsg")
    public Result pushRegisterDeadlineMsg() {
        matchTaskService.pushRegisterDeadlineMsg();
        return Result.ofSuccess();
    }

    /**
     * 报名待审核通知
     */
    @ApiOperation("报名待审核通知")
    @PostMapping("/pushRegisterAuditMsg")
    public Result pushRegisterAuditMsg() {
        matchTaskService.pushRegisterAuditMsg();
        return Result.ofSuccess();
    }

    /**
     * 作品待评审通知
     */
    @ApiOperation("作品待评审通知")
    @PostMapping("/pushWorkReviewMsg")
    public Result pushWorkReviewMsg() {
        matchTaskService.pushWorkReviewMsg();
        return Result.ofSuccess();
    }
}
