package com.crunii.micro.service.match.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.domain.dto.message.SaveMessageTaskReqBo;
import com.crunii.micro.service.match.service.MatchMessageCommonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author thw
 * @date 2023/11/24
 * @description
 */
@Validated
@Api(value = "推送消息到消息发送表", tags = {"推送消息到消息发送表"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/PushMessageController")
public class PushMessageController {


  @Autowired
  private MatchMessageCommonService matchMessageCommonService;

  @ApiOperation("推送消息到消息发送表")
  @PostMapping("/saveMessage")
  public Result saveMessage(@Validated(AddGroup.class) @RequestBody SaveMessageTaskReqBo taskReqDto){
    return  matchMessageCommonService.saveMessage(taskReqDto);
  }






}
