package com.crunii.micro.service.match.controller;

import com.crunii.micro.service.match.api.bo.PushMsgTemplateBo;

import com.crunii.micro.service.match.service.PushMsgService;
import io.swagger.annotations.Api;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Author thw
 * @date 2023/11/16
 * @description
 */
@Validated
@Api(tags = "赛事发布管理-发送短信")
@RestController
@RequestMapping("/auth/PushMsgController")
@Log4j
public class PushMsgController {

  @Autowired
  private PushMsgService pushMsgService;

  @PostMapping("/pushMsg")
  public void pushMsg(@RequestBody PushMsgTemplateBo templateBo,@RequestParam Long userId) {
    log.info("调用pushMsg远程服务成功");
    pushMsgService.pushMsg(templateBo, userId, templateBo.getMap());
  }
}
