/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.match.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.service.WorldTranslateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @author shenhs create 2023/7/3 10:16
 */
@Api(tags = "world转换")
@RestController
@RequestMapping("/auth/worldTransController")
public class WorldTranslateController {

	@Autowired WorldTranslateService translateService;

	@ApiOperation("Web转换为html")
	@PostMapping("transToHtml")
	public Result<Object> trans(@RequestPart("file") MultipartFile file) throws IOException {
		String s = translateService.translateToHtml(file);
		return Result.ofSuccess(s);
	}


}
