package com.crunii.micro.service.match.controller.app;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.match.api.bo.MthMatchInfoAppBo;
import com.crunii.micro.service.match.api.vo.MatchBannerVo;
import com.crunii.micro.service.match.api.vo.MthMatchInfoAppVo;
import com.crunii.micro.service.match.service.IMthMatchInfoService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/12/20 9:25
 */
@Validated
@Api(value = "APP比赛无需登录", tags = {"APP比赛活动"})
@RequiredArgsConstructor
@RestController
@RequestMapping("/MatchAppController")
public class MatchAppController {
    private final IMthMatchInfoService iMthMatchInfoService;


    /**
     * APP青呼我为 banner图
     */
    @ApiOperation("APP青呼我为 banner图")
    @GetMapping("/queryBanner")
    public Result<List<MatchBannerVo>> queryBanner() {
        return Result.ofSuccess(iMthMatchInfoService.queryBanner());
    }

    /**
     * APP赛事活动-查询赛事列表-查看详情
     */
    @ApiOperation("APP赛事活动-查询赛事列表-查看详情")
    @PostMapping("/getListDetails")
    public Result<MthMatchInfoAppVo> doListDetails(@ApiIgnore @CurrWorker Worker worker, @RequestBody MthMatchInfoAppBo bo) {
        return iMthMatchInfoService.doListDetails(worker,bo);
    }
}
