package com.crunii.micro.service.match.controller.app;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.dto.ArticleDetailVo;
import com.crunii.micro.service.match.service.MatchEventService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author gongsongtao
 * @date 2023/11/21 14:22
 */
@Api(tags = "赛事-文章分享-查看文章详情")//不需要token
@RestController
@RequestMapping("/ArticleShareController")
public class MatchArticleController {
    @Resource
    private MatchEventService matchEventService;


    @ApiOperation(value = "赛事活动文章详情页")
    @ApiImplicitParams(
            @ApiImplicitParam(name = "articleId", value = "文章id", required = true, dataType = "String")
    )
    @RequestMapping(path = "/articleDetail", method = RequestMethod.GET)
    @ResponseBody
    public Result<ArticleDetailVo> articleDetail(String articleId) {
        return matchEventService.articleDetail(articleId);
    }
}
