package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthArea;
import com.crunii.micro.service.match.api.bo.MthAreaBo;
import com.crunii.micro.service.match.api.vo.MthAreaVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-场次-比赛区域等级;Converter
 * @author mth
 * @date 2023-09-19
 */

@Mapper(componentModel = "spring")
public interface MthAreaConverter {

    MthAreaConverter INSTANCE = Mappers.getMapper(MthAreaConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthAreaVo entityToVo(MthArea entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthAreaBo entityToBo(MthArea entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthArea boToEntity(MthAreaBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthArea voToEntity(MthAreaVo entity);
}
