package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthFormConfig;
import com.crunii.micro.service.match.api.bo.MthFormConfigBo;
import com.crunii.micro.service.match.api.vo.MthFormConfigVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事报名配置;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthFormConfigConverter {

    MthFormConfigConverter INSTANCE = Mappers.getMapper(MthFormConfigConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthFormConfigVo entityToVo(MthFormConfig entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthFormConfigBo entityToBo(MthFormConfig entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthFormConfig boToEntity(MthFormConfigBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthFormConfig voToEntity(MthFormConfigVo entity);

    public List<MthFormConfigBo> entityListToBoList(List<MthFormConfig> list);

    public List<MthFormConfigVo> entityListToVoList(List<MthFormConfig> list);

}
