package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthFormConfigData;
import com.crunii.micro.service.match.api.bo.MthFormConfigDataBo;
import com.crunii.micro.service.match.api.vo.MthFormConfigDataVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事报名配置;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthFormConfigDataConverter {

    MthFormConfigDataConverter INSTANCE = Mappers.getMapper(MthFormConfigDataConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthFormConfigDataVo entityToVo(MthFormConfigData entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthFormConfigDataBo entityToBo(MthFormConfigData entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthFormConfigData boToEntity(MthFormConfigDataBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthFormConfigData voToEntity(MthFormConfigDataVo entity);

    public List<MthFormConfigDataBo> entityListToBoList(List<MthFormConfigData> list);

    public List<MthFormConfigDataVo> entityListToVoList(List<MthFormConfigData> list);

}
