package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthMatchGrade;
import com.crunii.micro.service.match.api.bo.MthMatchGradeBo;
import com.crunii.micro.service.match.api.vo.MthMatchGradeVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事等级基础（枚举替换）Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthMatchGradeConverter {

    MthMatchGradeConverter INSTANCE = Mappers.getMapper(MthMatchGradeConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchGradeVo entityToVo(MthMatchGrade entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchGradeBo entityToBo(MthMatchGrade entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchGrade boToEntity(MthMatchGradeBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchGrade voToEntity(MthMatchGradeVo entity);

}
