package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthMatchGroup;
import com.crunii.micro.service.match.api.bo.MthMatchGroupBo;
import com.crunii.micro.service.match.api.vo.MthMatchGroupVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-赛项-组别信息;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthMatchGroupConverter {

    MthMatchGroupConverter INSTANCE = Mappers.getMapper(MthMatchGroupConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchGroupVo entityToVo(MthMatchGroup entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchGroupBo entityToBo(MthMatchGroup entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchGroup boToEntity(MthMatchGroupBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchGroup voToEntity(MthMatchGroupVo entity);

}
