package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthMatchInfo;
import com.crunii.micro.service.match.api.bo.MatchStatusInfoBo;
import com.crunii.micro.service.match.api.bo.MthMatchInfoBo;
import com.crunii.micro.service.match.api.vo.MthMatchInfoVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事信息主;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthMatchInfoConverter {

    MthMatchInfoConverter INSTANCE = Mappers.getMapper(MthMatchInfoConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchInfoVo entityToVo(MthMatchInfo entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchInfoBo entityToBo(MthMatchInfo entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchInfo boToEntity(MthMatchInfoBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchInfo voToEntity(MthMatchInfoVo entity);

     List<MatchStatusInfoBo> entityToStatusBo(List<MthMatchInfo> list);
     MatchStatusInfoBo entityToStatusBo(MthMatchInfo list);

}
