package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthMatchItem;
import com.crunii.micro.service.match.api.bo.MthMatchItemBo;
import com.crunii.micro.service.match.api.vo.MthMatchItemVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-赛项信息;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthMatchItemConverter {

    MthMatchItemConverter INSTANCE = Mappers.getMapper(MthMatchItemConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchItemVo entityToVo(MthMatchItem entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchItemBo entityToBo(MthMatchItem entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchItem boToEntity(MthMatchItemBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchItem voToEntity(MthMatchItemVo entity);

}
