package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthMatchLabel;
import com.crunii.micro.service.match.api.bo.MthMatchLabelBo;
import com.crunii.micro.service.match.api.vo.MthMatchLabelVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @author xujie
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthMatchLabelConverter {
    MthMatchLabelConverter INSTANCE = Mappers.getMapper(MthMatchLabelConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchLabelVo entityToVo(MthMatchLabel entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchLabelBo entityToBo(MthMatchLabel entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchLabel boToEntity(MthMatchLabelBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchLabel voToEntity(MthMatchLabelVo entity);
}
