package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthMatchOrganizer;
import com.crunii.micro.service.match.api.bo.MthMatchOrganizerBo;
import com.crunii.micro.service.match.api.vo.MthMatchOrganizerVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事承办方信息Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthMatchOrganizerConverter {

    MthMatchOrganizerConverter INSTANCE = Mappers.getMapper(MthMatchOrganizerConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchOrganizerVo entityToVo(MthMatchOrganizer entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchOrganizerBo entityToBo(MthMatchOrganizer entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchOrganizer boToEntity(MthMatchOrganizerBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchOrganizer voToEntity(MthMatchOrganizerVo entity);

}
