package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthMatchProcess;
import com.crunii.micro.service.match.api.bo.MthMatchProcessBo;
import com.crunii.micro.service.match.api.vo.MthMatchProcessVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事过程记录;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthMatchProcessConverter {

    MthMatchProcessConverter INSTANCE = Mappers.getMapper(MthMatchProcessConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchProcessVo entityToVo(MthMatchProcess entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchProcessBo entityToBo(MthMatchProcess entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchProcess boToEntity(MthMatchProcessBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchProcess voToEntity(MthMatchProcessVo entity);

}
