package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthArea;
import com.crunii.micro.domain.entity.main.MthMatchSponsor;
import com.crunii.micro.service.match.api.bo.MthAreaBo;
import com.crunii.micro.service.match.api.bo.MthMatchSponsorBo;
import com.crunii.micro.service.match.api.vo.MthAreaVo;
import com.crunii.micro.service.match.api.vo.MthMatchSponsorVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事-场次-比赛区域等级;Converter
 * @author mth
 * @date 2023-09-19
 */

@Mapper(componentModel = "spring")
public interface MthMatchSponsorConverter {

    MthMatchSponsorConverter INSTANCE = Mappers.getMapper(MthMatchSponsorConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthMatchSponsorVo entityToVo(MthMatchSponsor entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthMatchSponsorBo entityToBo(MthMatchSponsor entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthMatchSponsor boToEntity(MthMatchSponsorBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthMatchSponsor voToEntity(MthMatchSponsorVo entity);

    public List<MthMatchSponsorVo> entityListToVoList(List<MthMatchSponsor> list);
}
