package com.crunii.micro.service.match.converter;
import com.crunii.micro.domain.entity.main.MthProject;
import com.crunii.micro.service.match.api.bo.MthProjectBo;
import com.crunii.micro.service.match.api.vo.MthProjectVo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 青创赛事项目Converter
 * @author ruoyi
 * @date 2023-12-18
 */
@Mapper(componentModel = "spring")
public interface MthProjectConverter {

    MthProjectConverter INSTANCE = Mappers.getMapper(MthProjectConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthProjectVo entityToVo(MthProject entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthProjectBo entityToBo(MthProject entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthProject boToEntity(MthProjectBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthProject voToEntity(MthProjectVo entity);

}
