package com.crunii.micro.service.match.converter;
import com.crunii.micro.domain.entity.main.MthProjectFinancing;
import com.crunii.micro.service.match.api.bo.MthProjectFinancingBo;
import com.crunii.micro.service.match.api.vo.MthProjectFinancingVo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 青创赛事项目融资申请Converter
 * @author ruoyi
 * @date 2023-12-18
 */
@Mapper(componentModel = "spring")
public interface MthProjectFinancingConverter {

    MthProjectFinancingConverter INSTANCE = Mappers.getMapper(MthProjectFinancingConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthProjectFinancingVo entityToVo(MthProjectFinancing entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthProjectFinancingBo entityToBo(MthProjectFinancing entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthProjectFinancing boToEntity(MthProjectFinancingBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthProjectFinancing voToEntity(MthProjectFinancingVo entity);

}
