package com.crunii.micro.service.match.converter;
import com.crunii.micro.domain.entity.main.MthProjectFinancingHistory;
import com.crunii.micro.service.match.api.bo.MthProjectFinancingHistoryBo;
import com.crunii.micro.service.match.api.vo.MthProjectFinancingHistoryVo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 青创赛事项目融资历史Converter
 * @author ruoyi
 * @date 2023-12-18
 */
@Mapper(componentModel = "spring")
public interface MthProjectFinancingHistoryConverter {

    MthProjectFinancingHistoryConverter INSTANCE = Mappers.getMapper(MthProjectFinancingHistoryConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthProjectFinancingHistoryVo entityToVo(MthProjectFinancingHistory entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthProjectFinancingHistoryBo entityToBo(MthProjectFinancingHistory entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthProjectFinancingHistory boToEntity(MthProjectFinancingHistoryBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthProjectFinancingHistory voToEntity(MthProjectFinancingHistoryVo entity);

}
