package com.crunii.micro.service.match.converter;
import com.crunii.micro.domain.entity.main.MthProjectFinancingMember;
import com.crunii.micro.service.match.api.bo.MthProjectFinancingMemberBo;
import com.crunii.micro.service.match.api.vo.MthProjectFinancingMemberVo;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 青创赛事项目融资项目成员Converter
 * @author ruoyi
 * @date 2023-12-18
 */
@Mapper(componentModel = "spring")
public interface MthProjectFinancingMemberConverter {

    MthProjectFinancingMemberConverter INSTANCE = Mappers.getMapper(MthProjectFinancingMemberConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthProjectFinancingMemberVo entityToVo(MthProjectFinancingMember entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthProjectFinancingMemberBo entityToBo(MthProjectFinancingMember entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthProjectFinancingMember boToEntity(MthProjectFinancingMemberBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthProjectFinancingMember voToEntity(MthProjectFinancingMemberVo entity);

}
