package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRegisterConfig;
import com.crunii.micro.service.match.api.bo.MthRegisterConfigBo;
import com.crunii.micro.service.match.api.vo.MthRegisterConfigVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-报名信息;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRegisterConfigConverter {

    MthRegisterConfigConverter INSTANCE = Mappers.getMapper(MthRegisterConfigConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRegisterConfigVo entityToVo(MthRegisterConfig entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRegisterConfigBo entityToBo(MthRegisterConfig entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRegisterConfig boToEntity(MthRegisterConfigBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRegisterConfig voToEntity(MthRegisterConfigVo entity);

}
