package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRegisterConfigDetail;
import com.crunii.micro.service.match.api.bo.MthRegisterConfigDetailBo;
import com.crunii.micro.service.match.api.vo.MthRegisterConfigDetailVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-报名配置-详情;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRegisterConfigDetailConverter {

    MthRegisterConfigDetailConverter INSTANCE = Mappers.getMapper(MthRegisterConfigDetailConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRegisterConfigDetailVo entityToVo(MthRegisterConfigDetail entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRegisterConfigDetailBo entityToBo(MthRegisterConfigDetail entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRegisterConfigDetail boToEntity(MthRegisterConfigDetailBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRegisterConfigDetail voToEntity(MthRegisterConfigDetailVo entity);

}
