package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRegister;
import com.crunii.micro.service.match.api.bo.MthRegisterAddAppBo;
import com.crunii.micro.service.match.api.bo.MthRegisterBo;
import com.crunii.micro.service.match.api.vo.MthRegisterVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-赛项-组别-区域报名信息;Converter
 *
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRegisterConverter {

    MthRegisterConverter INSTANCE = Mappers.getMapper(MthRegisterConverter.class);

    /**
     * Po转Vo
     *
     * @param entity
     * @return
     */
    public MthRegisterVo entityToVo(MthRegister entity);

    /**
     * Po转Bo
     *
     * @param entity
     * @return
     */
    public MthRegisterBo entityToBo(MthRegister entity);

    /**
     * Bo转Po
     *
     * @param entity
     * @return
     */
    public MthRegister boToEntity(MthRegisterBo entity);

    /**
     * Vo转Po
     *
     * @param entity
     * @return
     */
    public MthRegister voToEntity(MthRegisterVo entity);

    MthRegister appBoToEntity(MthRegisterAddAppBo.Register bo);

}
