package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRegisterDetail;
import com.crunii.micro.service.match.api.bo.MthRegisterAddAppBo;
import com.crunii.micro.service.match.api.bo.MthRegisterDetailBo;
import com.crunii.micro.service.match.api.vo.MthRegisterDetailVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事-赛项-组别-区域报名详情;Converter
 *
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRegisterDetailConverter {

    MthRegisterDetailConverter INSTANCE = Mappers.getMapper(MthRegisterDetailConverter.class);

    /**
     * Po转Vo
     *
     * @param entity
     * @return
     */
    public MthRegisterDetailVo entityToVo(MthRegisterDetail entity);

    /**
     * Po转Bo
     *
     * @param entity
     * @return
     */
    public MthRegisterDetailBo entityToBo(MthRegisterDetail entity);

    /**
     * Bo转Po
     *
     * @param entity
     * @return
     */
    public MthRegisterDetail boToEntity(MthRegisterDetailBo entity);

    /**
     * Vo转Po
     *
     * @param entity
     * @return
     */
    public MthRegisterDetail voToEntity(MthRegisterDetailVo entity);

    List<MthRegisterDetail> appBoToEntity(List<MthRegisterAddAppBo.Detail> bo);
}
