package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRegisterReview;
import com.crunii.micro.service.match.api.bo.MthRegisterReviewBo;
import com.crunii.micro.service.match.api.vo.MthRegisterReviewVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-赛项-报名-审核记录;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRegisterReviewConverter {

    MthRegisterReviewConverter INSTANCE = Mappers.getMapper(MthRegisterReviewConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRegisterReviewVo entityToVo(MthRegisterReview entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRegisterReviewBo entityToBo(MthRegisterReview entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRegisterReview boToEntity(MthRegisterReviewBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRegisterReview voToEntity(MthRegisterReviewVo entity);

}
