package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundScoreDetail;
import com.crunii.micro.service.match.api.bo.MthRoundScoreDetailBo;
import com.crunii.micro.service.match.api.vo.MthRoundScoreDetailVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-场次-比赛评分明细;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoudScoreDetailConverter {

    MthRoudScoreDetailConverter INSTANCE = Mappers.getMapper(MthRoudScoreDetailConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundScoreDetailVo entityToVo(MthRoundScoreDetail entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundScoreDetailBo entityToBo(MthRoundScoreDetail entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundScoreDetail boToEntity(MthRoundScoreDetailBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundScoreDetail voToEntity(MthRoundScoreDetailVo entity);

}
