package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundArea;
import com.crunii.micro.service.match.api.bo.MthRoundAreaBo;
import com.crunii.micro.service.match.api.vo.MthRoundAreaVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事-场次-等级-区域;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundAreaConverter {

    MthRoundAreaConverter INSTANCE = Mappers.getMapper(MthRoundAreaConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundAreaVo entityToVo(MthRoundArea entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundAreaBo entityToBo(MthRoundArea entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundArea boToEntity(MthRoundAreaBo entity);
    public List<MthRoundArea> boToEntity(List<MthRoundAreaBo> entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundArea voToEntity(MthRoundAreaVo entity);

    public List<MthRoundAreaVo> entityListToVoList(List<MthRoundArea> list);

}
