package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRound;
import com.crunii.micro.service.match.api.bo.MthRoundBo;
import com.crunii.micro.service.match.api.vo.MthRoundVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-场次配置;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundConverter {

    MthRoundConverter INSTANCE = Mappers.getMapper(MthRoundConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundVo entityToVo(MthRound entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundBo entityToBo(MthRound entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRound boToEntity(MthRoundBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRound voToEntity(MthRoundVo entity);

}
