package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundInstance;
import com.crunii.micro.service.match.api.bo.MthRoundInstanceBo;
import com.crunii.micro.service.match.api.vo.MthRoundInstanceVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-区域-场次实例（实例与配置的关系）;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundInstanceConverter {

    MthRoundInstanceConverter INSTANCE = Mappers.getMapper(MthRoundInstanceConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundInstanceVo entityToVo(MthRoundInstance entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundInstanceBo entityToBo(MthRoundInstance entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundInstance boToEntity(MthRoundInstanceBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundInstance voToEntity(MthRoundInstanceVo entity);

}
