package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundList;
import com.crunii.micro.service.match.api.bo.MthRoundListBo;
import com.crunii.micro.service.match.api.vo.MthRoundListVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-赛项-组别-区域-场次-名单;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundListConverter {

    MthRoundListConverter INSTANCE = Mappers.getMapper(MthRoundListConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundListVo entityToVo(MthRoundList entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundListBo entityToBo(MthRoundList entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundList boToEntity(MthRoundListBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundList voToEntity(MthRoundListVo entity);

}
