package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundPrize;
import com.crunii.micro.service.match.api.bo.MthRoundPrizeBo;
import com.crunii.micro.service.match.api.vo.MthRoundPrizeSimpleVo;
import com.crunii.micro.service.match.api.vo.MthRoundPrizeVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事-场次-名次配置;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundPrizeConverter {

    MthRoundPrizeConverter INSTANCE = Mappers.getMapper(MthRoundPrizeConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundPrizeVo entityToVo(MthRoundPrize entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundPrizeBo entityToBo(MthRoundPrize entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundPrize boToEntity(MthRoundPrizeBo entity);


    public MthRoundPrizeSimpleVo entityToSimpleVo(MthRoundPrize entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundPrize voToEntity(MthRoundPrizeVo entity);

    public List<MthRoundPrize> boListToEntityList(List<MthRoundPrizeBo> boList);

    public List<MthRoundPrizeVo> entitryListToVoList(List<MthRoundPrize> list);

    public List<MthRoundPrizeSimpleVo> entityListToSimpleVoList(List<MthRoundPrize> entity);



}
