package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundQualifyLog;
import com.crunii.micro.service.match.api.bo.MthRoundQualifyLogBo;
import com.crunii.micro.service.match.api.vo.MthRoundQualifyLogVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-场次-比赛-晋级调整记录;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundQualifyLogConverter {

    MthRoundQualifyLogConverter INSTANCE = Mappers.getMapper(MthRoundQualifyLogConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundQualifyLogVo entityToVo(MthRoundQualifyLog entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundQualifyLogBo entityToBo(MthRoundQualifyLog entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundQualifyLog boToEntity(MthRoundQualifyLogBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundQualifyLog voToEntity(MthRoundQualifyLogVo entity);

}
