package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundReviewConf;
import com.crunii.micro.service.match.api.bo.MthRoundReviewConfBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewConfVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-场次-评审员配置;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundReviewConfConverter {

    MthRoundReviewConfConverter INSTANCE = Mappers.getMapper(MthRoundReviewConfConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundReviewConfVo entityToVo(MthRoundReviewConf entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundReviewConfBo entityToBo(MthRoundReviewConf entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundReviewConf boToEntity(MthRoundReviewConfBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundReviewConf voToEntity(MthRoundReviewConfVo entity);

}
