package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundReviewStandar;
import com.crunii.micro.service.match.api.bo.MthRoundReviewStandarBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewStandarVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事-场次-评审指标配置;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundReviewConverter {

    MthRoundReviewConverter INSTANCE = Mappers.getMapper(MthRoundReviewConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundReviewStandarVo entityToVo(MthRoundReviewStandar entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundReviewStandarBo entityToBo(MthRoundReviewStandar entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundReviewStandar boToEntity(MthRoundReviewStandarBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundReviewStandar voToEntity(MthRoundReviewStandarVo entity);

    public List<MthRoundReviewStandarVo> entitryListToVoList(List<MthRoundReviewStandar> entity );

}
