package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundReviewer;
import com.crunii.micro.service.match.api.bo.MthRoundReviewerBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewerVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 赛事-场次-评审员账号关系;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundReviewerConverter {

    MthRoundReviewerConverter INSTANCE = Mappers.getMapper(MthRoundReviewerConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundReviewerVo entityToVo(MthRoundReviewer entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundReviewerBo entityToBo(MthRoundReviewer entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundReviewer boToEntity(MthRoundReviewerBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundReviewer voToEntity(MthRoundReviewerVo entity);

}
