package com.crunii.micro.service.match.converter;

import com.crunii.micro.domain.entity.main.MthRoundScore;
import com.crunii.micro.service.match.api.bo.MthRoundScoreBo;
import com.crunii.micro.service.match.api.vo.MthRoundScoreVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 赛事-场次-比赛评分;Converter
 * @author mth
 * @date 2023-09-19
 */
@Mapper(componentModel = "spring")
public interface MthRoundScoreConverter {

    MthRoundScoreConverter INSTANCE = Mappers.getMapper(MthRoundScoreConverter.class);

    /**
     * Po转Vo
     * @param entity
     * @return
     */
    public MthRoundScoreVo entityToVo(MthRoundScore entity);

    /**
     * Po转Bo
     * @param entity
     * @return
     */
    public MthRoundScoreBo entityToBo(MthRoundScore entity);

    /**
     * Bo转Po
     * @param entity
     * @return
     */
    public MthRoundScore boToEntity(MthRoundScoreBo entity);

    /**
     * Vo转Po
     * @param entity
     * @return
     */
    public MthRoundScore voToEntity(MthRoundScoreVo entity);

}
