package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/6/28 15:57
 */
@Data
@ApiModel(description = "文章创建参数")
public class ArticleUpdateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文章id")
    @NotNull(message = "文章id不能为空")
    private Long articleId;

    @ApiModelProperty("组织id")
    @NotNull(message = "组织id不能为空")
    private Integer orgId;

    @ApiModelProperty("组织id")
    @NotBlank(message = "组织名称不能为空")
    private String orgName;

    @ApiModelProperty(value = "发布人id")
    @NotNull(message = "发布人id不能为空")
    private Integer loginId;

    @ApiModelProperty(value = "文章类别")
    @NotNull(message = "文章类别不能为空")
    private Integer articleType;

    @ApiModelProperty(value = "报名开始时间")
    private Date startEnrollTime;

    @ApiModelProperty(value = "报名结束时间")
    private Date endEnrollTime;

    //@ApiModelProperty(value = "展示周期开始时间")
    //@NotNull(message = "展示周期开始时间不能为空")
    //private Date startShowTime;

    //@ApiModelProperty(value = "展示周期结束时间")
    //@NotNull(message = "展示周期结束时间不能为空")
    //private Date endShowTime;

    @ApiModelProperty(value = "文章标题")
    @NotBlank(message = "文章标题不能为空")
    private String articleTitle;

    @ApiModelProperty(value = "文章内容")
    @NotBlank(message = "文章内容不能为空")
    private String articleContent;

    @ApiModelProperty(value = "是否设置轮播 0否 1是")
    private int haveCarousel;

    @ApiModelProperty(value = "轮播信息 如有轮播则设置")
    private CarouselInfoDto carouselCreateInfo;

    @ApiModelProperty(value = "附件")
    private List<AnnexDto> annexCreateList;

    @ApiModelProperty(value = "封面图片")
    private CoverDto cover;
}
