package com.crunii.micro.service.match.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wangchen create 2023/6/30 14:52
 */
@Data
@ApiModel(description = "文章基本信息")
public class BasicArticleVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long articleId;

    @ApiModelProperty(value = "组织id")
    private int orgId;

    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "文章类别")
    private Integer articleType;

    @ApiModelProperty(value = "文章类别翻译")
    @PropertyTranslate(propertyCode = "eventCategoryState",valueFiled = "articleType")
    private String articleTypeTrans;

    @ApiModelProperty(value = "发布人id")
    private int loginId;

    @ApiModelProperty(value = "发布人")
    private String loginName;

    @ApiModelProperty(value = "展示周期开始时间")
    private Date startShowTime;

    @ApiModelProperty(value = "展示周期结束时间")
    private Date endShowTime;

    @ApiModelProperty(value = "报名开始时间")
    private Date startEnrollTime;

    @ApiModelProperty(value = "报名结束时间")
    private Date endEnrollTime;

    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    @ApiModelProperty(value = "是否设置轮播 0否 1是")
    private int haveCarousel;

    @ApiModelProperty(value = "轮播信息 如有轮播则设置")
    private CarouselInfoDto carouselInfo;

    @ApiModelProperty(value = "附件")
    private List<AnnexDto> annexCreateList;

    @ApiModelProperty(value = "封面图片")
    private CoverDto cover;

}
