package com.crunii.micro.service.match.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/7/3 17:07
 */
@Data
@ApiModel("轮播是否展示")
public class CarouselShowDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文章id")
    @NotNull(message = "文章id不能为空")
    private Long articleId;

    @ApiModelProperty(value = "1展示中 2关闭提示")
    @Max(value = 2)
    @Min(value = 1)
    @NotNull(message = "轮播状态不能为空")
    private Integer carousel;
}
