package com.crunii.micro.service.match.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/6/29 9:26
 */
@Data
@ApiModel(description = "文章分页结果")
public class PageArticleVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long articleId;

    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    @ApiModelProperty(value = "文章类别")
    private int articleType;

    @ApiModelProperty(value = "文章类别翻译")
    @PropertyTranslate(propertyCode = "eventCategoryState",valueFiled = "articleType")
    private String articleTypeTrans;

    @ApiModelProperty(value = "轮播 0无 1展示 2不展示 3展示到期")
    private int carousel;

    @ApiModelProperty(value = "轮播翻译")
    @PropertyTranslate(propertyCode = "eventCarouselType",valueFiled = "carousel")
    private String carouselTrans;

    @ApiModelProperty(value = "文章本身状态")
    private int articleState;

    @ApiModelProperty(value = "文章本身状态翻译")
    @PropertyTranslate(propertyCode = "eventReleaseState",valueFiled = "articleState")
    private String articleStateTrans;

    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "组织id")
    private String orgId;

    @ApiModelProperty(value = "发布人")
    private String loginName;

    @ApiModelProperty(value = "展示到期 0否 1是")
    private int showDue;

    @ApiModelProperty(value = "发布时间")
    private Date publishTime;

    @ApiModelProperty(value = "是否可以操作 0不可 1可")
    private Integer allowModify;

    @ApiModelProperty(value = "赛事id")
    private Long matchId;

    @ApiModelProperty(value = "赛事名称")
    private String matchName;

    @ApiModelProperty(value = "赛事状态")
    private String matchStatus;
}
