package com.crunii.micro.service.match.enums;

/**
 * 青创赛事-融资申请枚举
 *
 * @author xiangjunming
 * @date 2023/9/23
 */
public class FinancingEnums {

    public enum ReviewStatus {
        /**
         * 待审核
         */
        PENDING(0, "待审核"),
        /**
         * 已通过
         */
        APPROVED(1, "已通过"),
        /**
         * 不通过
         */
        REJECT(2, "不通过"),
        /**
         * 已撤销
         */
        CANCEL(3, "已撤销");

        private Integer code;
        private String desc;

        ReviewStatus(Integer code, String desc) {
            this.code = code;
            this.desc = desc;
        }

        public static String getDesc(Integer code) {
            ReviewStatus[] values = ReviewStatus.values();
            for (ReviewStatus value : values) {
                if (value.getCode().equals(code)) {
                    return value.getDesc();
                }
            }
            return null;
        }

        public Integer getCode() {
            return code;
        }

        public void setCode(Integer code) {
            this.code = code;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }

    }


    public enum PublicityStatus {
        /**
         * 未公示
         */
        UNPUBLISHED(0, "未公示"),
        /**
         * 已公示
         */
        PUBLICIZED(1, "已公示");

        private Integer code;
        private String desc;

        PublicityStatus(Integer code, String desc) {
            this.code = code;
            this.desc = desc;
        }

        public static String getDesc(Integer code) {
            PublicityStatus[] values = PublicityStatus.values();
            for (PublicityStatus value : values) {
                if (value.getCode().equals(code)) {
                    return value.getDesc();
                }
            }
            return null;
        }

        public Integer getCode() {
            return code;
        }

        public void setCode(Integer code) {
            this.code = code;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }

    }
}
