package com.crunii.micro.service.match.enums;

import lombok.Data;
import lombok.Getter;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/9/25 9:16
 */
@Data
public class MatchEnums {

    public enum MatchType {

        TEMPLATE("template", "模板"),
        INSTANCE("instance", "实例");
        @Getter
        private String code;
        @Getter
        private String desc;

        MatchType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }


    public enum ConfigType {

        REGISTER("register", "个人信息"),
        WORKS("works", "作品");
        @Getter
        private String code;
        @Getter
        private String desc;

        ConfigType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }

    public enum RegisterationType {

        UNIFY_REGISTER("unify_register", "统一报名时间"),
        CONFIRM("confirm", "承办单位确定报名时间");
        @Getter
        private String code;
        @Getter
        private String desc;

        RegisterationType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }


    public enum AgeLimit {

        UNIFY_AGE("unify_age", "统一年龄"),
        GROUP("group", "根据组别限制");
        @Getter
        private String code;
        @Getter
        private String desc;

        AgeLimit(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }

    /**
     * 赛事状态
     */
    public enum AppMatchStatus {

        UNSTART("unStart", "即将开始"),
        APPLYING("applying", "报名中"),
        STARTING("starting", "进行中"),
        END("end", "比赛结束");
        @Getter
        private String code;
        @Getter
        private String desc;

        AppMatchStatus(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }
}
