package com.crunii.micro.service.match.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xujie
 * @date 2023-09-21
 */
//@Data
public enum MatchInfoStatusEnums {

    DRAFT("DRAFT","草稿"),
    TO_APPROVE("TO_APPROVE","待审核"),
    APPROVING("APPROVING","审核中"),
    NO_PASS("NO_PASS","审核不通过"),
    TO_BE_RELEASED("TO_BE_RELEASED","待发布"),
    RELEASED("RELEASED","已发布"),
    FINISHED("FINISHED","已结束"),
    SOLD_OUT("SOLD_OUT","已下架"),
    REGISTER("REGISTER","报名中"),
    GOING("GOING","进行中");


    private String status;
    private String desc;
    MatchInfoStatusEnums(String status,String desc){
        this.status=status;
        this.desc=desc;
    }

    public static String getAppStatusDesc(String status){
        MatchInfoStatusEnums[] values = MatchInfoStatusEnums.values();
        for (MatchInfoStatusEnums value : values) {
            if(value.getStatus().equals(status)){
                return value == RELEASED ? "即将开始" : value.desc;
            }
        }
        return null;
    }

    public static List<String> deletableList(){
        List<String> list=new ArrayList<>();
        list.add(MatchInfoStatusEnums.DRAFT.getStatus());
        list.add(MatchInfoStatusEnums.TO_BE_RELEASED.getStatus());
        list.add(MatchInfoStatusEnums.SOLD_OUT.getStatus());
        list.add(MatchInfoStatusEnums.FINISHED.getStatus());
        return list;
    }
    public static List<String> publishableList(){
        List<String> list=new ArrayList<>();
        list.add(MatchInfoStatusEnums.TO_BE_RELEASED.getStatus());
        list.add(MatchInfoStatusEnums.SOLD_OUT.getStatus());
        return list;
    }

    public static List<String> soldOutAbleList(){
        List<String> list=new ArrayList<>();
        list.add(MatchInfoStatusEnums.RELEASED.getStatus());
        list.add(MatchInfoStatusEnums.REGISTER.getStatus());
        list.add(MatchInfoStatusEnums.GOING.getStatus());
        return list;
    }
    public static List<String> templateList(){
        List<String> list=new ArrayList<>();
        list.add(MatchInfoStatusEnums.DRAFT.getStatus());
        list.add(MatchInfoStatusEnums.TO_BE_RELEASED.getStatus());
        return list;
    }
    public static List<String> queryAppList(){
        List<String> list=new ArrayList<>();
        list.add(MatchInfoStatusEnums.RELEASED.getStatus());
        list.add(MatchInfoStatusEnums.FINISHED.getStatus());
        list.add(MatchInfoStatusEnums.REGISTER.getStatus());
        list.add(MatchInfoStatusEnums.GOING.getStatus());
        return list;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
