package com.crunii.micro.service.match.enums;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;
import lombok.Getter;

/**
 * @Author thw
 * @date 2023/11/24
 * @description 模板消息替换枚举
 */
public enum  MessageReplaceEnum {

    COMPETITION("${competition}", "比赛名称"),
    TIME("${time}", "时间"),
    AWARD("${award}", "奖品"),
    DEADLINE("${deadline}", "时间"),
    PLACE("${place}", "地点");
    @Getter
    private String name;
    @Getter
    private String desc;

    MessageReplaceEnum(String name, String desc) {
      this.name = name;
      this.desc = desc;
    }

    /** 返回枚举中所有实例的name */
    public static List<String> getAllName(){
        MessageReplaceEnum[] values = MessageReplaceEnum.values();
        List<String> nameList = Arrays.asList(values).stream().map(MessageReplaceEnum::getName)
            .collect(Collectors.toList());
        return nameList;
    }



}
