package com.crunii.micro.service.match.enums;

/**
 * 报名审核状态
 *
 * @author xiangjunming
 * @date 2023/9/23
 */
public enum RegisterAuditStatusEnums {
    /**
     * 待审核
     */
    PENDING("PENDING", "待审核"),
    /**
     * 审核通过
     */
    APPROVED("APPROVED", "审核通过"),
    /**
     * 审核未通过
     */
    REJECT("REJECT", "审核拒绝"),
    /**
     * 无审核
     */
    NOREVIEW("NOREVIEW", "无审核"),
    /**
     * 已撤销
     */
    CANCEL("CANCEL", "已撤销");

    private String code;
    private String desc;

    RegisterAuditStatusEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static String getDesc(String code) {
        RegisterAuditStatusEnums[] values = RegisterAuditStatusEnums.values();
        for (RegisterAuditStatusEnums value : values) {
            if (value.getCode().equals(code)) {
                return value.getDesc();
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
