package com.crunii.micro.service.match.enums;

import cn.hutool.core.util.StrUtil;
import lombok.Data;
import lombok.Getter;

/**
 * @author liuchuan
 * @version 1.0
 * @description: 场次中的枚举
 * @date 2023/9/23 9:37
 */
@Data
public class RoundEnums {


    public enum AreaLevel{

        CITY("city","市级",3),
        DISTRICT("district","片区级",2),
        COUNTY_SCHOOL("county_school","区县/校赛级",1);

        @Getter
        private String code;
        @Getter
        private String desc;
        @Getter
        private Integer level;
        AreaLevel(String code, String desc,Integer level){
            this.code =code;
            this.desc=desc;
            this.level=level;
        }
        public static AreaLevel getAreaByCode(String code) {
            if (StrUtil.isEmpty(code)) {
                return null;
            }
            for (AreaLevel value : values()) {
                if (value.getCode().equals(code)) {
                    return value;
                }
            }
            return null;
        }
    }

    public enum LineEnum {

        ONLINE("online", "线上"),
        OFFLINE("offline", "线下");
        @Getter
        private String code;
        @Getter
        private String desc;

        LineEnum(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }

    /**
     * 评分方式
     */
    public enum ScoreMode {

        TEN_POINT("ten_point", "十分制"),
        HUNDRED("hundred_point", "百分制"),
        PASS("pass", "通过/不通过"),
        GRAD("grad", "A、B、C、D、E");
        @Getter
        private String code;
        @Getter
        private String desc;

        ScoreMode(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }


    }


    /**
     * 晋级方式
     */
    public enum PromotionMode {

        PERCENT("percent", "按参数人数百分比"),
        NUM("num", "按人数"),
        MANUL_OPRATION("manul_opration", "手动晋级");
        @Getter
        private String code;
        @Getter
        private String desc;

        PromotionMode(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }


    }
    /**
     * 作品上传方式
     */
    public enum EntrySubmitMode {

        ALONE("alone", "单独上传"),
        NEEDLESS("needless", "不需要"),
        FOLLOWREGISTER("follow_register", "跟随报名");
        @Getter
        private String code;
        @Getter
        private String desc;

        EntrySubmitMode(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }


    }


    public enum RoundType {

        TEMPLATE("template", "模板"),
        INSTANCE("instance", "实例");
        @Getter
        private String code;
        @Getter
        private String desc;

        RoundType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }


    public enum PrizeType {

        GROUP("group", "根据组别设置名次"),
        ITEM("item", "根据赛项设置名次"),
        MATCH("match", "不区分赛项组别");
        @Getter
        private String code;
        @Getter
        private String desc;

        PrizeType(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }


    public enum ReviewerStandar {

        ITEM("item", "按赛项设置评审指标"),
        MATCH("match", "统一的评审指标");
        @Getter
        private String code;
        @Getter
        private String desc;

        ReviewerStandar(String code, String desc) {
            this.code = code;
            this.desc = desc;
        }

    }
}
