package com.crunii.micro.service.match.enums;

/**
 * 场次名单状态
 *
 * @author xiangjunming
 * @date 2023/9/23
 */
public enum RoundListStatusEnums {
    /**
     * 进行中
     */
    RUNNING("RUNNING", "进行中"),
    /**
     * 已结束
     */
    END("END", "已结束");

    private String code;
    private String desc;

    RoundListStatusEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static RoundListStatusEnums getStatusDesc(String code) {
        RoundListStatusEnums[] values = RoundListStatusEnums.values();
        for (RoundListStatusEnums value : values) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return RUNNING;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
