package com.crunii.micro.service.match.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.entity.main.MthRoundInstance;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * @author gongsongtao
 * @date 2023/11/21 19:43
 */
@Repository
public class MthMatchSignInDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNpJdbcTemplate;



    public MthRoundInstance getNewestInstance(Integer loginId,Long instanceId) {
        String sql = "select mri.* from mth_round_list mrl" +
                " left join mth_round_instance mri on mrl.round_id=mri.id" +
                " where user_id=:userId and mri.id=:instanceId" +
                " and mrl.create_time is not null order by mrl.create_time desc limit 1";
        StringBuilder sb = new StringBuilder(sql);
        Map<String, Object> map = new HashMap<>(16);
        map.put("userId",loginId);
        map.put("instanceId",instanceId);
        return baseNpJdbcTemplate.queryForBean(MthRoundInstance.class, sb.toString(), map);
    }
}
