package com.crunii.micro.service.match.jdbc;

import cn.hutool.core.util.ObjectUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.match.api.vo.TsmWorInfoVO;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;
import javax.annotation.Resource;
import org.springframework.stereotype.Repository;

/**
 * @Author thw
 * @date 2023/11/18
 * @description
 */
@Repository
public class TsmWorkerDao {

  @Resource(name = "mainJT")
  protected BaseJdbcTemplate jdbcTemplate;

  @Resource(name = "mainNPJT")
  protected BaseNPJdbcTemplate baseNpJdbcTemplate;

  /** 查询不为临时账号的用户信息 */
  private static final String SQL = "select w.* , m.org_name from TSM_WORKER w  "
      + "left join TSM_ORG m on w.org_id::bigint = m.org_id  "
      + "where w.state = 1 and m.state = 1 and w.whether_temporary <> 1  ";


  public List<TsmWorInfoVO> findByWorker(List<Integer> workerIds,List<Long> orgIds) {
    StringBuffer sb = new StringBuffer(SQL);
//    List<Object> params = new ArrayList<>();
    if (ObjectUtil.isNotEmpty(workerIds)){
      String workerIdStr = workerIds.stream().map(e -> e.toString())
          .collect(Collectors.joining(",", "(", ")"));
      sb.append(" and w.login_id in ").append(workerIdStr);
    }
    if (ObjectUtil.isNotEmpty(orgIds)){
      String orgIdStr = orgIds.stream().map(e -> e.toString())
          .collect(Collectors.joining(",", "(", ")"));
      sb.append(" and w.org_id in ").append(orgIdStr);
    }
    return jdbcTemplate.queryForBeans(TsmWorInfoVO.class,sb.toString());
  }

  public void updateStateByLoginIn(Set<Long> ids) {
    StringBuffer sb = new StringBuffer("update TSM_WORKER set state = 0 where 1 = 1");
    if (ObjectUtil.isNotEmpty(ids)){
      String workerIdStr = ids.stream().map(e -> e.toString())
          .collect(Collectors.joining(",", "(", ")"));
      sb.append(" and login_id in ").append(workerIdStr);
      int update = jdbcTemplate.update(sb.toString());
    }
  }
}
