package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthMatchGradeBo;
import com.crunii.micro.service.match.api.vo.MthMatchGradeVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事等级基础（枚举替换）Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthMatchGradeService {

    /**
     * 查询赛事等级基础（枚举替换）
     */
    MthMatchGradeVo queryById(Long id);

    /**
     * 查询赛事等级基础（枚举替换）列表
     */
    Result<PageRsp<MthMatchGradeVo>> queryPageList(PageReq<MthMatchGradeBo> bo);

    /**
     * 查询赛事等级基础（枚举替换）列表
     */
    List<MthMatchGradeVo> queryList(MthMatchGradeBo bo);

    /**
     * 修改赛事等级基础（枚举替换）
     */
    Boolean insertByBo(MthMatchGradeBo bo);

    /**
     * 修改赛事等级基础（枚举替换）
     */
    Boolean updateByBo(MthMatchGradeBo bo);

    /**
     * 校验并批量删除赛事等级基础（枚举替换）信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
