package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthMatchGroupBo;
import com.crunii.micro.service.match.api.vo.MthMatchGroupVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-赛项-组别信息;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthMatchGroupService {

    /**
     * 查询赛事-赛项-组别信息;
     */
    MthMatchGroupVo queryById(Long id);

    /**
     * 查询赛事-赛项-组别信息;列表
     */
    Result<PageRsp<MthMatchGroupVo>> queryPageList(PageReq<MthMatchGroupBo> bo);

    /**
     * 查询赛事-赛项-组别信息;列表
     */
    List<MthMatchGroupVo> queryList(MthMatchGroupBo bo);

    /**
     * 修改赛事-赛项-组别信息;
     */
    Boolean insertByBo(MthMatchGroupBo bo);

    /**
     * 修改赛事-赛项-组别信息;
     */
    Boolean updateByBo(MthMatchGroupBo bo);

    /**
     * 校验并批量删除赛事-赛项-组别信息;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
