package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthMatchItemBo;
import com.crunii.micro.service.match.api.vo.MthMatchItemVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-赛项信息;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthMatchItemService {

    /**
     * 查询赛事-赛项信息;
     */
    MthMatchItemVo queryById(Long id);

    /**
     * 查询赛事-赛项信息;列表
     */
    Result<PageRsp<MthMatchItemVo>> queryPageList(PageReq<MthMatchItemBo> bo);

    /**
     * 查询赛事-赛项信息;列表
     */
    List<MthMatchItemVo> queryList(MthMatchItemBo bo);

    /**
     * 修改赛事-赛项信息;
     */
    Boolean insertByBo(MthMatchItemBo bo);

    /**
     * 修改赛事-赛项信息;
     */
    Boolean updateByBo(MthMatchItemBo bo);

    /**
     * 校验并批量删除赛事-赛项信息;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
