package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthMatchLabelBo;
import com.crunii.micro.service.match.api.vo.MthMatchLabelVo;

import java.util.Collection;
import java.util.List;

/**
 * @author xujie
 * @date 2023-09-19
 */
public interface IMthMatchLabelService {

    /**
     * 查询赛事-标签;
     */
    MthMatchLabelVo queryById(Long id);

    /**
     * 查询赛事-标签
     */
    Result<PageRsp<MthMatchLabelVo>> queryPageList(PageReq<MthMatchLabelBo> bo);

    /**
     * 查询赛事-标签
     */
    List<MthMatchLabelVo> queryList(MthMatchLabelBo bo);

    /**
     * 新增赛事-标签;
     */
    Boolean insertByBo(MthMatchLabelBo bo);

    /**
     * 修改赛事-标签;
     */
    Boolean updateByBo(MthMatchLabelBo bo);

    /**
     * 校验并批量删除赛事-标签
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
