package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthMatchOrganizerBo;
import com.crunii.micro.service.match.api.vo.MthMatchOrganizerVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事承办方信息Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthMatchOrganizerService {

    /**
     * 查询赛事承办方信息
     */
    MthMatchOrganizerVo queryById(Long id);

    /**
     * 查询赛事承办方信息列表
     */
    Result<PageRsp<MthMatchOrganizerVo>> queryPageList(PageReq<MthMatchOrganizerBo> bo);

    /**
     * 查询赛事承办方信息列表
     */
    List<MthMatchOrganizerVo> queryList(MthMatchOrganizerBo bo);

    /**
     * 修改赛事承办方信息
     */
    Boolean insertByBo(MthMatchOrganizerBo bo);

    /**
     * 修改赛事承办方信息
     */
    Boolean updateByBo(MthMatchOrganizerBo bo);

    /**
     * 校验并批量删除赛事承办方信息信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
