package com.crunii.micro.service.match.service;

import com.crunii.micro.service.match.api.bo.MthProjectFinancingHistoryBo;
import com.crunii.micro.service.match.api.vo.MthProjectFinancingHistoryVo;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;

import java.util.Collection;
import java.util.List;

/**
 * 青创赛事项目融资历史Service接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
public interface IMthProjectFinancingHistoryService {

    /**
     * 查询青创赛事项目融资历史
     */
    MthProjectFinancingHistoryVo queryById(Long id);

    /**
     * 查询青创赛事项目融资历史列表
     */
    Result<PageRsp<MthProjectFinancingHistoryVo>> queryPageList(PageReq<MthProjectFinancingHistoryBo> bo);

    /**
     * 查询青创赛事项目融资历史列表
     */
    List<MthProjectFinancingHistoryVo> queryList(MthProjectFinancingHistoryBo bo);

    /**
     * 修改青创赛事项目融资历史
     */
    Boolean insertByBo(MthProjectFinancingHistoryBo bo);

    /**
     * 修改青创赛事项目融资历史
     */
    Boolean updateByBo(MthProjectFinancingHistoryBo bo);

    /**
     * 校验并批量删除青创赛事项目融资历史信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
