package com.crunii.micro.service.match.service;

import com.crunii.micro.service.match.api.bo.MthProjectFinancingMemberBo;
import com.crunii.micro.service.match.api.vo.MthProjectFinancingMemberVo;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;

import java.util.Collection;
import java.util.List;

/**
 * 青创赛事项目融资项目成员Service接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
public interface IMthProjectFinancingMemberService {

    /**
     * 查询青创赛事项目融资项目成员
     */
    MthProjectFinancingMemberVo queryById(Long id);

    /**
     * 查询青创赛事项目融资项目成员列表
     */
    Result<PageRsp<MthProjectFinancingMemberVo>> queryPageList(PageReq<MthProjectFinancingMemberBo> bo);

    /**
     * 查询青创赛事项目融资项目成员列表
     */
    List<MthProjectFinancingMemberVo> queryList(MthProjectFinancingMemberBo bo);

    /**
     * 修改青创赛事项目融资项目成员
     */
    Boolean insertByBo(MthProjectFinancingMemberBo bo);

    /**
     * 修改青创赛事项目融资项目成员
     */
    Boolean updateByBo(MthProjectFinancingMemberBo bo);

    /**
     * 校验并批量删除青创赛事项目融资项目成员信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
