package com.crunii.micro.service.match.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.match.api.bo.*;
import com.crunii.micro.service.match.api.vo.*;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;

import java.util.Collection;
import java.util.List;

/**
 * 青创赛事项目融资申请Service接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
public interface IMthProjectFinancingService {

    /**
     * 查询青创赛事项目融资申请
     */
    MthProjectFinancingDetailsVo queryById(Long id);

    /**
     * 查询青创赛事项目融资申请列表
     */
    PageRsp<MthProjectFinancingPageVo> queryPageList(PageReq<PageProjectFinancingBo> bo);

    /*
    app查询融资项目库
     */
    PageRsp<MthProjectAppVo> pageProject(PageReq<MthProjectAppBo> bo);

    /**
     * 青创赛事项目融资申请列表-审核
     * @param bo
     * @return
     */
   Boolean doAudit(ProjectFinancingAuditBo bo, Worker worker);

    /**
     * 青创赛事项目融资申请列表-修改公示状态
     * @param bo
     * @return
     */
    Boolean doPublicity(ProjectFinancingAuditBo bo);

    /***
     * app-查询融资详情
     * @param id
     * @return
     */
    MthProjectDetailsVo getProjectDetails(Long id);

    /**
     * 查询我的项目
     * @param bo
     * @return
     */
    PageRsp<MthMyProjectApplyAppVo> pageMyProjectApply(PageReq<MthMyProjectApplyAppBo> bo);

    /**
     * 查询我的项目详情
     * @param id
     * @return
     */
    MthMyProjectApplyDetailsVo getMyProjectApplyDetails(Long id);

    /**
     * web-新增融资申请
     */
    Boolean createProject(FinancingBo bo,Worker worker);

    /**
     * app-青创赛事-填写联系人信息
     */
    Boolean createFinancingContact(ContactBo bo, Worker worker);

    /**
     * 查询联系人信息
     * @param req
     * @param worker
     * @return
     */
    PageRsp<ContactVo> getMyProjectContact(PageReq<ContactBo> req,Worker worker);
}
