package com.crunii.micro.service.match.service;

import com.crunii.micro.service.match.api.bo.MthProjectBo;
import com.crunii.micro.service.match.api.vo.MthProjectVo;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;

import java.util.Collection;
import java.util.List;

/**
 * 青创赛事项目Service接口
 *
 * @author ruoyi
 * @date 2023-12-18
 */
public interface IMthProjectService {

    /**
     * 查询青创赛事项目
     */
    MthProjectVo queryById(Long id);

    /**
     * 查询青创赛事项目列表
     */
    Result<PageRsp<MthProjectVo>> queryPageList(PageReq<MthProjectBo> bo);

    /**
     * 查询青创赛事项目列表
     */
    List<MthProjectVo> queryList(MthProjectBo bo);

    /**
     * 修改青创赛事项目
     */
    Boolean insertByBo(MthProjectBo bo);

    /**
     * 修改青创赛事项目
     */
    Boolean updateByBo(MthProjectBo bo);

    /**
     * 校验并批量删除青创赛事项目信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
