package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRegisterConfigDetailBo;
import com.crunii.micro.service.match.api.vo.MthRegisterConfigDetailVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-报名配置-详情;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRegisterConfigDetailService {

    /**
     * 查询赛事-报名配置-详情;
     */
    MthRegisterConfigDetailVo queryById(Long id);

    /**
     * 查询赛事-报名配置-详情;列表
     */
    Result<PageRsp<MthRegisterConfigDetailVo>> queryPageList(PageReq<MthRegisterConfigDetailBo> bo);

    /**
     * 查询赛事-报名配置-详情;列表
     */
    List<MthRegisterConfigDetailVo> queryList(MthRegisterConfigDetailBo bo);

    /**
     * 修改赛事-报名配置-详情;
     */
    Boolean insertByBo(MthRegisterConfigDetailBo bo);

    /**
     * 修改赛事-报名配置-详情;
     */
    Boolean updateByBo(MthRegisterConfigDetailBo bo);

    /**
     * 校验并批量删除赛事-报名配置-详情;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
