package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthFormConfigData;
import com.crunii.micro.domain.entity.main.MthRegisterConfig;
import com.crunii.micro.service.match.api.bo.MthFormConfigBo;
import com.crunii.micro.service.match.api.bo.MthRegisterConfigBo;
import com.crunii.micro.service.match.api.vo.MthFormConfigDataVo;
import com.crunii.micro.service.match.api.vo.MthFormConfigVo;
import com.crunii.micro.service.match.api.vo.MthRegisterConfigDetailVo;
import com.crunii.micro.service.match.api.vo.MthRegisterConfigVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-报名信息;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRegisterConfigService {

    /**
     * 查询赛事-报名信息;
     */
    MthRegisterConfigVo queryById(Long id);

    /**
     * 查询赛事-报名信息;列表
     */
    Result<PageRsp<MthRegisterConfigVo>> queryPageList(PageReq<MthRegisterConfigBo> bo);

    /**
     * 查询赛事-报名信息;列表
     */
    List<MthRegisterConfigVo> queryList(MthRegisterConfigBo bo);

    /**
     * 修改赛事-报名信息;
     */
    Boolean insertByBo(MthRegisterConfigBo bo);

    /**
     * 修改赛事-报名信息;
     */
    Boolean updateByBo(MthRegisterConfigBo bo);

    /**
     * 校验并批量删除赛事-报名信息;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    boolean createMatchConfig(MthRegisterConfigBo bo);

    boolean updateMatchConfit(MthRegisterConfigBo bo);

    /**
     * @description: 根据比赛id及类型查询表单
     * @param configId 配置id
     * @return:
     * @author liuchuan
     * @date: 2023/9/26 9:32
    */
    MthRegisterConfigVo queryConfigById(Long configId);

    /**
     * @description: 查询系统配置的表单
     * @param
     * @return:
     * @author liuchuan
     * @date: 2023/9/26 9:31
    */
    List<MthFormConfigVo> queryFormConfig();

    List<MthFormConfigDataVo> queryFormConfigData(List<Long> configIdList);


}
