package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRegisterDetailBo;
import com.crunii.micro.service.match.api.vo.MthRegisterDetailVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-赛项-组别-区域报名详情;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRegisterDetailService {

    /**
     * 查询赛事-赛项-组别-区域报名详情;
     */
    MthRegisterDetailVo queryById(Long id);

    /**
     * 查询赛事-赛项-组别-区域报名详情;列表
     */
    Result<PageRsp<MthRegisterDetailVo>> queryPageList(PageReq<MthRegisterDetailBo> bo);

    /**
     * 查询赛事-赛项-组别-区域报名详情;列表
     */
    List<MthRegisterDetailVo> queryList(MthRegisterDetailBo bo);

    /**
     * 修改赛事-赛项-组别-区域报名详情;
     */
    Boolean insertByBo(MthRegisterDetailBo bo);

    /**
     * 修改赛事-赛项-组别-区域报名详情;
     */
    Boolean updateByBo(MthRegisterDetailBo bo);

    /**
     * 校验并批量删除赛事-赛项-组别-区域报名详情;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
