package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRoundScoreDetailBo;
import com.crunii.micro.service.match.api.vo.MthRoundScoreDetailVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-比赛评分明细;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoudScoreDetailService {

    /**
     * 查询赛事-场次-比赛评分明细;
     */
    MthRoundScoreDetailVo queryById(Long id);

    /**
     * 查询赛事-场次-比赛评分明细;列表
     */
    Result<PageRsp<MthRoundScoreDetailVo>> queryPageList(PageReq<MthRoundScoreDetailBo> bo);

    /**
     * 查询赛事-场次-比赛评分明细;列表
     */
    List<MthRoundScoreDetailVo> queryList(MthRoundScoreDetailBo bo);

    /**
     * 修改赛事-场次-比赛评分明细;
     */
    Boolean insertByBo(MthRoundScoreDetailBo bo);

    /**
     * 修改赛事-场次-比赛评分明细;
     */
    Boolean updateByBo(MthRoundScoreDetailBo bo);

    /**
     * 校验并批量删除赛事-场次-比赛评分明细;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
