package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRoundAreaBo;
import com.crunii.micro.service.match.api.vo.MthRoundAreaVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-等级-区域;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoundAreaService {

    /**
     * 查询赛事-场次-等级-区域;
     */
    MthRoundAreaVo queryById(Long id);

    /**
     * 查询赛事-场次-等级-区域;列表
     */
    Result<PageRsp<MthRoundAreaVo>> queryPageList(PageReq<MthRoundAreaBo> bo);

    /**
     * 查询赛事-场次-等级-区域;列表
     */
    List<MthRoundAreaVo> queryList(MthRoundAreaBo bo);

    /**
     * 修改赛事-场次-等级-区域;
     */
    Boolean insertByBo(MthRoundAreaBo bo);

    /**
     * 修改赛事-场次-等级-区域;
     */
    Boolean updateByBo(MthRoundAreaBo bo);

    /**
     * 校验并批量删除赛事-场次-等级-区域;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
