package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRoundPrizeBo;
import com.crunii.micro.service.match.api.vo.MthRoundPrizeVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-名次配置;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoundPrizeService {

    /**
     * 查询赛事-场次-名次配置;
     */
    MthRoundPrizeVo queryById(Long id);

    /**
     * 查询赛事-场次-名次配置;列表
     */
    Result<PageRsp<MthRoundPrizeVo>> queryPageList(PageReq<MthRoundPrizeBo> bo);

    /**
     * 查询赛事-场次-名次配置;列表
     */
    List<MthRoundPrizeVo> queryList(MthRoundPrizeBo bo);

    /**
     * 修改赛事-场次-名次配置;
     */
    Boolean insertByBo(MthRoundPrizeBo bo);

    /**
     * 修改赛事-场次-名次配置;
     */
    Boolean updateByBo(MthRoundPrizeBo bo);

    /**
     * 校验并批量删除赛事-场次-名次配置;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
