package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRoundQualifyLogBo;
import com.crunii.micro.service.match.api.vo.MthRoundQualifyLogVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-比赛-晋级调整记录;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoundQualifyLogService {

    /**
     * 查询赛事-场次-比赛-晋级调整记录;
     */
    MthRoundQualifyLogVo queryById(Long id);

    /**
     * 查询赛事-场次-比赛-晋级调整记录;列表
     */
    Result<PageRsp<MthRoundQualifyLogVo>> queryPageList(PageReq<MthRoundQualifyLogBo> bo);

    /**
     * 查询赛事-场次-比赛-晋级调整记录;列表
     */
    List<MthRoundQualifyLogVo> queryList(MthRoundQualifyLogBo bo);

    /**
     * 修改赛事-场次-比赛-晋级调整记录;
     */
    Boolean insertByBo(MthRoundQualifyLogBo bo);

    /**
     * 修改赛事-场次-比赛-晋级调整记录;
     */
    Boolean updateByBo(MthRoundQualifyLogBo bo);

    /**
     * 校验并批量删除赛事-场次-比赛-晋级调整记录;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
