package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRoundReviewConfBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewConfVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-评审员配置;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoundReviewConfService {

    /**
     * 查询赛事-场次-评审员配置;
     */
    MthRoundReviewConfVo queryById(Long id);

    /**
     * 查询赛事-场次-评审员配置;列表
     */
    Result<PageRsp<MthRoundReviewConfVo>> queryPageList(PageReq<MthRoundReviewConfBo> bo);

    /**
     * 查询赛事-场次-评审员配置;列表
     */
    List<MthRoundReviewConfVo> queryList(MthRoundReviewConfBo bo);

    /**
     * 修改赛事-场次-评审员配置;
     */
    Boolean insertByBo(MthRoundReviewConfBo bo);

    /**
     * 修改赛事-场次-评审员配置;
     */
    Boolean updateByBo(MthRoundReviewConfBo bo);

    /**
     * 校验并批量删除赛事-场次-评审员配置;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
