package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRoundReviewStandarBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewStandarVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-评审指标配置;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoundReviewStandarService {

    /**
     *
     * @param list
     * @param socreMode 评分方式
     * @param reviewerStandar 评分标准
     */
    void saveBatchIMthRoundReviewStandar(List<MthRoundReviewStandarBo> list,String socreMode,String reviewerStandar );

    /**
     * 查询赛事-场次-评审指标配置;
     */
    MthRoundReviewStandarVo queryById(Long id);

    /**
     * 查询赛事-场次-评审指标配置;列表
     */
    Result<PageRsp<MthRoundReviewStandarVo>> queryPageList(PageReq<MthRoundReviewStandarBo> bo);

    /**
     * 查询赛事-场次-评审指标配置;列表
     */
    List<MthRoundReviewStandarVo> queryList(MthRoundReviewStandarBo bo);

    /**
     * 修改赛事-场次-评审指标配置;
     */
    Boolean insertByBo(MthRoundReviewStandarBo bo);

    /**
     * 修改赛事-场次-评审指标配置;
     */
    Boolean updateByBo(MthRoundReviewStandarBo bo);

    /**
     * 校验并批量删除赛事-场次-评审指标配置;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
