package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.api.bo.MthRoundReviewerBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewerVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-评审员账号关系;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoundReviewerService {

    /**
     * 查询赛事-场次-评审员账号关系;
     */
    MthRoundReviewerVo queryById(Long id);

    /**
     * 查询赛事-场次-评审员账号关系;列表
     */
    Result<PageRsp<MthRoundReviewerVo>> queryPageList(PageReq<MthRoundReviewerBo> bo);

    /**
     * 查询赛事-场次-评审员账号关系;列表
     */
    List<MthRoundReviewerVo> queryList(MthRoundReviewerBo bo);

    /**
     * 修改赛事-场次-评审员账号关系;
     */
    Boolean insertByBo(MthRoundReviewerBo bo);

    /**
     * 修改赛事-场次-评审员账号关系;
     */
    Boolean updateByBo(MthRoundReviewerBo bo);

    /**
     * 校验并批量删除赛事-场次-评审员账号关系;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
