package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.MthRoundInstance;
import com.crunii.micro.service.match.api.bo.MthMatchManagerReqBo;
import com.crunii.micro.service.match.api.bo.MthRoundScoreBo;
import com.crunii.micro.service.match.api.bo.MthRoundScoreRankingBo;
import com.crunii.micro.service.match.api.bo.MthRoundScoreRankingSaveBo;
import com.crunii.micro.service.match.api.vo.MthAwardInfoVo;
import com.crunii.micro.service.match.api.vo.MthRoundScoreRankingVo;
import com.crunii.micro.service.match.api.vo.MthRoundScoreVo;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-比赛评分;Service接口
 *
 * @author mth
 * @date 2023-09-19
 */
public interface IMthRoundScoreService {

    /**
     * 查询赛事-场次-比赛评分;
     */
    MthRoundScoreVo queryById(Long id);

    /**
     * 查询赛事-场次-比赛评分;列表
     */
    Result<PageRsp<MthRoundScoreVo>> queryPageList(PageReq<MthRoundScoreBo> bo);

    /**
     * 查询赛事-场次-比赛评分;列表
     */
    List<MthRoundScoreVo> queryList(MthRoundScoreBo bo);

    /**
     * 修改赛事-场次-比赛评分;
     */
    Boolean insertByBo(MthRoundScoreBo bo);

    /**
     * 修改赛事-场次-比赛评分;
     */
    Boolean updateByBo(MthRoundScoreBo bo);

    /**
     * 校验并批量删除赛事-场次-比赛评分;信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    PageRsp<MthRoundScoreRankingVo> getRoundScoreRankingList(Worker worker, PageReq<MthRoundScoreRankingBo> bo);

    boolean getRoundScoreRankingSaveList(Worker worker, MthRoundScoreRankingSaveBo bo);

    void dealNextRoundInfo(MthRoundInstance mthRoundInstance, MthRoundInstance nextRoundInstance);

    MthRoundInstance queryNextRoundIns(MthRoundInstance mthRoundInstance);

    List<MthAwardInfoVo> queryAwardList(MthMatchManagerReqBo bo);
}
