package com.crunii.micro.service.match.service;

import com.crunii.micro.service.match.api.bo.ObsFileInfoBo;

import java.util.List;
import java.util.function.BiConsumer;
import java.util.function.Function;

/**
 * @author xujie
 * @date 2023-09-22
 */
public interface IObsFilService {
    List<ObsFileInfoBo> getObsFileByIds(List<Long> bannerId);


    /**
     * 设置文件路径
     * @param list
     * @param getFileIdFun 获取文件id函数
     * @param setFileUrlFun 设置文件url函数
     * @param <T>
     */
    <T> void setObsFileByIds(List<T> list, Function<T, Long> getFileIdFun, BiConsumer<T, String> setFileUrlFun);
    <T> void setObsFileByIds(List<T> list, Function<T, Long> getFileIdFun, BiConsumer<T, String> setFileUrlFun, BiConsumer<T, String> setFileNameFun);
    <T> void setObsFileBoByIds(List<T> list, Function<T, Long> getFileIdFun, BiConsumer<T, ObsFileInfoBo> setFileBoFun);

    <T> void setObsFileBoById(T t, Function<T, Long> getFileIdFun, BiConsumer<T, ObsFileInfoBo> setFileBoFun);

    <T> void setObsFileBoListById(T t, Function<T, String> getFileIdFun, BiConsumer<T, List<ObsFileInfoBo>> setFileBoFun);
    <T> void setObsFileBoListByIds(List<T> list, Function<T, String> getFileIdFun, BiConsumer<T, List<ObsFileInfoBo>> setFileBoFun);
}
