package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.match.api.bo.MatchApproveBo;
import com.crunii.micro.service.match.api.bo.MatchApprovePageReqBo;
import com.crunii.micro.service.match.api.bo.MatchApproveReqBo;
import com.crunii.micro.service.match.api.vo.AppDetailVo;
import com.crunii.micro.service.match.api.vo.ApproveRecordVo;
import com.crunii.micro.service.match.api.vo.MatchApprovePageReqVo;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2024/1/17 17:17
 */
public interface MatchApproveService {
    /**
     * 提交审核
     * @param matchApproveReqBo
     * @param worker
     */
     void doSubmitAudit(MatchApproveReqBo matchApproveReqBo, Worker worker);

    /**
     * 审核
     * @param matchApproveReqBo
     * @param worker
     */
    void doApprove(MatchApproveBo matchApproveReqBo, Worker worker);

    /**
     * 查询赛事待办
     * @param pageReqBo
     * @param worker
     * @return
     */
    PageRsp<MatchApprovePageReqVo> pageApprove(PageReq<MatchApprovePageReqBo> pageReqBo, Worker worker);

    /**
     * 查询赛事审核记录
     * @param matchId
     * @return
     */
    List<ApproveRecordVo> getApproveRecord(Long matchId);

    /**
     * app-查看待审核详情
     * @param matchId 赛事id
     * @param nodeId 待办id
     * @return
     */
    AppDetailVo getApproveDetail(Long matchId,Long nodeId, Worker worker);
}
