package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.match.api.bo.*;
import com.crunii.micro.service.match.api.vo.*;

import java.util.List;

/**
 * @author denggl
 * date 2023/11/15
 */
public interface MatchContractorManageService {

    /**
     * 分页查询承办人赛事信息
     * @param bo
     * @param worker
     * @return
     */
    PageRsp<MthMatchInfoVo> pageMatchContractor(PageReq<MatchPublishListBo> bo, Worker worker);


    /**
     * 查看承办指标
     *
     */
    List<MthRoundReviewStandarVo>  listMthRoundReviewStandar(Long roundId);

    /**
     * 场次开启关闭
     * @param roundId
     * @param state
     */
     void updateRoundState(Long roundId,Integer state,Worker worker);

    /**
     * 删除承办人创建的场次
     * @param roundId
     * @param worker
     */

     void delContractorRoundInstance(Long roundId,Worker worker);

    /**
     *
     *  延长报名时间
     * @param bo
     * @param worker
     */
     void updaterRgisterationEnd(MathContractorExtendTimeBo bo, Worker worker);

    /**
     * 延长作品报名时间
     * @param bo
     * @param worker
     */
     void updateEntryDeadline(MathContractorExtendTimeBo bo,Worker worker);

    /**
     * 修改评审指标
     */
    void updateIMthRoundReviewStandar(List<MthRoundReviewStandarBo> list,Worker worker);

    List<MthRoundInstanceVo> getAllRoundInfoByMatchId(Long matchId, Long  areaId,Worker worker);



    List<MatchRoundTemplateInfoVo> previewInstance(Long matchId, Worker worker);

    MthRoundInstanceVo   roundBaseInfo(Long matchId, Worker worker);
}
