package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.match.dto.ArticleDetailVo;
import com.crunii.micro.service.match.dto.MatchCarouselVo;
import com.crunii.micro.service.match.dto.MatchSearchDto;

import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-26
 */
public interface MatchEventService {

    /**
     * 赛事活动页面分页查询(web端)
     *
     * @param req 分页实体类
     * @return 返回Object
     */
    Result<Object> matchSearchWeb(PageReq<MatchSearchDto> req);

    /**
     * 赛事活动页面分页查询(web端)
     *
     * @param req 分页实体类
     * @return 返回Object
     */
    Result<Object> matchSearchApp(PageReq<MatchSearchDto> req);

    /**
     * 赛事活动页面轮播(web端)
     *
     * @param type 类别
     * @return List<MatchCarouselVo>
     */
    Result<List<MatchCarouselVo>> matchCarouselWeb(String type);

    /**
     * 赛事活动页面轮播(app端)
     *
     * @param type 类别
     * @return List<MatchCarouselVo>
     */
    Result<List<MatchCarouselVo>> matchCarouselApp(String type);

    /**
     * 赛事活动文章详情页
     *
     * @param articleId 文章id
     * @return ArticleDetailVo实体类
     */
    Result<ArticleDetailVo> articleDetail(String articleId);
}
