package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthMatchContractor;
import com.crunii.micro.service.match.api.bo.MatchOrganizerAccountBo;
import com.crunii.micro.service.match.api.bo.MatchOrganizerAccountReqBo;
import com.crunii.micro.service.match.api.bo.MatchOrganizerAccountUpdateBo;
import com.crunii.micro.service.match.api.bo.OrganizationReqBo;
import com.crunii.micro.service.match.api.vo.MatchOrganizerAccountPageVO;
import com.crunii.micro.service.match.api.vo.TsmWorInfoVO;
import java.util.List;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author thw
 * @date 2023/11/16
 * @description 赛事发布管理-生成承办方相关功能
 */
public interface MatchOrganizerAccountService {


  /**
   * 查询承办方账号信息内容
   */
  PageRsp<MatchOrganizerAccountPageVO> pageOrganizerAccountInfo(PageReq<MatchOrganizerAccountReqBo> bo);


  /**
   * 生成承办方临时账号
   */
  Result saveTempOrganizerAccount(MatchOrganizerAccountReqBo bo);


  /**
   * 修改承办方账号信息
   */
  Result updateOrganizerAccount(List<MatchOrganizerAccountUpdateBo> bo);


  /**
   * 通过比赛id查询所有承办方临时账号并设置临时账号不可用。
    */
  Result updateOrganizerAccountState(Long matchId);


  /**
   * 导出承办方临时账号
   */
  void exportOrganizerAccount(HttpServletResponse response , MatchOrganizerAccountReqBo bo);

  /** 通过组织id查询用户信息 */
  List<TsmWorInfoVO> queryWorkerInfo(OrganizationReqBo bo);

/** 查询所有拥有承办方角色的用户 */
List<MthMatchContractor> queryOrganizerAccount(MatchOrganizerAccountBo bo);
}
