package com.crunii.micro.service.match.service;

/**
 * @author wangchen create 2023/7/4 14:48
 */
public interface MatchTaskService {
    /**
     * 扫描轮播图是否到期并修改状态
     * @return str
     */
    void updateAndScanCarousel();


    /**
     * 扫描报名状态
     * @return str
     */
    void updateAndScanEnroll();

    /**
     * 更新是否展示到期
     */
    void updateAndShowDue();

    /**
     * 赛事场次状态流转
     */
    void matchStatusTransfer();

    /**
     * 赛事场次状态流转
     */
    void roundStatusTransfer();


    void updatePublicityFinish();


    /**
     * 作品未上传通知提醒
     */
    void pushWorkNotUploadedMsg();

    /**
     * 参加比赛通知提醒
     */
    void pushPlayMsg();

    /**
     * 报名截止时间通知
     */
    void pushRegisterDeadlineMsg();

    /**
     * 报名待审核通知
     */
    void pushRegisterAuditMsg();

    /**
     * 作品待评审通知
     */
    void pushWorkReviewMsg();
}
