package com.crunii.micro.service.match.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.match.api.bo.SignInfoVo;
import com.crunii.micro.service.match.api.vo.sign.LocationDataVO;
import com.crunii.micro.service.match.api.vo.sign.MthSignInReqVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/11/21 18:48
 */
public interface MthMatchSignInService {
    /**
     * app签到-扫码提交接口
     * @param worker
     * @param mthSignInReqVo
     * @return
     */
    Result<Boolean> doSignIn(Worker worker, MthSignInReqVo mthSignInReqVo);

    /**
     * 生成签到二维码
     * @param mthSignInReqVo
     * @return
     */
    void createSignQrCode(HttpServletResponse httpServletResponse,MthSignInReqVo mthSignInReqVo);

    /**
     * web保存签到信息
     * @param signInfoVo
     * @return
     */
    Boolean saveSignInformation(SignInfoVo signInfoVo);

    /**
     * web查询签到信息
     * @param instanceId
     * @return
     */
    List<SignInfoVo> getSignInformation(Long instanceId);

    /**
     * app签到-扫码位置接口
     * @param worker
     * @param mthSignInReqVo
     * @return
     */
    Result<Boolean> doSiteSignIn(Worker worker, MthSignInReqVo mthSignInReqVo);

    /**
     *计算经纬度
     * @param mthSignInReqVo
     * @return
     */
    Result<LocationDataVO> doCalculateDistance(MthSignInReqVo mthSignInReqVo);
}
