package com.crunii.micro.service.match.service;

import com.crunii.micro.service.match.api.bo.PushAwardsBo;
import java.util.Date;
import java.util.List;

/**
 * 赛事业务消息推送
 *
 * @author xiangjunming
 * @date 2023/12/9
 */
public interface PushBusinessMsgService {

    /**
     * 比赛报名成功通知
     */
    void pushRegisteredMsg(Long userId, String competition);

    /**
     * 比赛报名审核通知
     */
    void pushRegisterAuditMsg(Long userId, String reviewResult, String competition);

    /**
     * 作品未上传提醒
     */
    void pushWorkNotUploadedMsg(List<Long> userIds, String competition, Date deadline);

    /**
     * 参加比赛通知
     */
    void pushPlayMsg(List<Long> userIds, String competition, Date time, String place);

    /**
     * 比赛获奖通知
     */
    void pushAwardsMsg(List<PushAwardsBo> list);

    /**
     * 比赛晋级通知
     */
    void pushPromotedMsg(List<Long> userIds, String competition);

    /**
     * 比赛领奖通知
     */
    void pushReceiveMsg(List<Long> userIds, String receiveType, String competition, Date time, String place);

    /**
     * 发送待审核通知消息
     */
    void pushCheckMsg(List<Long> userId);

    /**
     * 发送审核结果通知消息
     */
    void pushResultMsg(Long userId,String stateName);


    /**
     * 完善比赛信息通知
     */
    void pushImproveMatchInfoMsg(List<Long> contractorIds, String competition);


    /**
     * 报名截止时间通知
     */
    void pushRegisterDeadlineMsg(List<Long> contractorIds, String competition);

    /**
     * 报名待审核通知
     */
    void pushRegisterAuditMsg(List<Long> contractorIds, String competition);

    /**
     * 作品待评审通知
     */
    void pushWorkReviewMsg(List<Long> contractorIds, String competition);


    /**
     * 待设置排名晋级通知
     */
    void pushProMotionRandingMsg(List<Long> contractorIds, String competition);


    /**
     * 待公示通知
     */
    void pushStayPassMsg(List<Long> contractorIds, String competition);

    /**
     * 公示结束通知
     */
    void pushPublicFinish(List<Long> contractors, String matchName);

    /**
     * 比赛待结束通知
     */
    void pushMatchFinish(List<Long> contractors, String matchName);

    /**
     * 赛事发布待审核通知
     */
    void pushMatchToApproveMsg(List<Long> userId,String matchName,String organizingName,String userName,String pathAndJson);

    /**
     * 赛事发布结果通知
     */
    void pushMatchResultMsg(Long userId,String matchName,String organizingName,String userName,String stateName,String pathAndJson);

}
