package com.crunii.micro.service.match.service;

import com.crunii.micro.service.match.api.bo.PushMsgTemplateBo;
import org.springframework.scheduling.annotation.Async;

import java.util.List;
import java.util.Map;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/11/30 10:47
 */

public interface PushMsgService {



    /**
     * @description: 推送单人单调信息
     * @param templateBo  模板相关信息
     * @param userId 推送人员id
     * @param map 模板中占位符替换参数
     * @return:
     * @author liuchuan
     * @date: 2023/11/30 11:05
    */
    @Async("taskExecutor")
    void pushMsg(PushMsgTemplateBo templateBo, Long userId, Map<String,Object> map);

    /**
     * @description: 推送给多人，没人占位符中替换信息不一致
     * @param templateBo  模板相关信息
     * @param userIdList 推送人员数组
     * @param paramsMapList   模板中占位符替换参数
     * @return:
     * @author liuchuan
     * @date: 2023/11/30 11:05
     */
    @Async("taskExecutor")
    void pushMsgs(PushMsgTemplateBo templateBo, List<Long> userIdList, List<Map<String,Object>> paramsMapList);


    /**
     * @description: 推送多人相同的信息，
     * @param templateBo  模板相关信息
     * @param userIdList 推送人员id
     * @param paramsMap 模板中占位符替换参数（所有人得信息都相同）
     * @return:
     * @author liuchuan
     * @date: 2023/11/30 11:05
     */
    @Async("taskExecutor")
    void pushSameMsgs(PushMsgTemplateBo templateBo, List<Long> userIdList, Map<String,Object> paramsMap);



}
