package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthMatchGrade;
import com.crunii.micro.domain.repo.main.MthMatchGradeRepo;
import com.crunii.micro.service.match.api.bo.MthMatchGradeBo;
import com.crunii.micro.service.match.api.vo.MthMatchGradeVo;
import com.crunii.micro.service.match.converter.MthMatchGradeConverter;
import com.crunii.micro.service.match.service.IMthMatchGradeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事等级基础（枚举替换）Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthMatchGradeServiceImpl implements IMthMatchGradeService {

    private final MthMatchGradeRepo baseRepo;
    private final MthMatchGradeConverter baseConverter;

    /**
     * 查询赛事等级基础（枚举替换）
     */
    @Override
    public MthMatchGradeVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事等级基础（枚举替换）列表
     */
    @Override
    public Result<PageRsp<MthMatchGradeVo>> queryPageList(PageReq<MthMatchGradeBo> bo) {
        return null;
    }

    /**
     * 查询赛事等级基础（枚举替换）列表
     */
    @Override
    public List<MthMatchGradeVo> queryList(MthMatchGradeBo bo) {
        return null;
    }

    /**
     * 新增赛事等级基础（枚举替换）
     */
    @Override
    public Boolean insertByBo(MthMatchGradeBo bo) {
        MthMatchGrade add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事等级基础（枚举替换）
     */
    @Override
    public Boolean updateByBo(MthMatchGradeBo bo) {
        MthMatchGrade update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthMatchGrade entity){
    }

    /**
     * 批量删除赛事等级基础（枚举替换）
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
        }
        return null;
    }
}
