package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthMatchGroup;
import com.crunii.micro.domain.repo.main.MthMatchGroupRepo;
import com.crunii.micro.service.match.api.bo.MthMatchGroupBo;
import com.crunii.micro.service.match.api.vo.MthMatchGroupVo;
import com.crunii.micro.service.match.converter.MthMatchGroupConverter;
import com.crunii.micro.service.match.service.IMthMatchGroupService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-赛项-组别信息;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthMatchGroupServiceImpl implements IMthMatchGroupService {

    private final MthMatchGroupRepo baseRepo;
    private final MthMatchGroupConverter baseConverter;

    /**
     * 查询赛事-赛项-组别信息;
     */
    @Override
    public MthMatchGroupVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-赛项-组别信息;列表
     */
    @Override
    public Result<PageRsp<MthMatchGroupVo>> queryPageList(PageReq<MthMatchGroupBo> bo) {
        return null;
    }

    /**
     * 查询赛事-赛项-组别信息;列表
     */
    @Override
    public List<MthMatchGroupVo> queryList(MthMatchGroupBo bo) {
        return null;
    }

    /**
     * 新增赛事-赛项-组别信息;
     */
    @Override
    public Boolean insertByBo(MthMatchGroupBo bo) {
        MthMatchGroup add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-赛项-组别信息;
     */
    @Override
    public Boolean updateByBo(MthMatchGroupBo bo) {
        MthMatchGroup update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthMatchGroup entity){
    }

    /**
     * 批量删除赛事-赛项-组别信息;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
