package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthMatchItem;
import com.crunii.micro.domain.repo.main.MthMatchItemRepo;
import com.crunii.micro.service.match.api.bo.MthMatchItemBo;
import com.crunii.micro.service.match.api.vo.MthMatchItemVo;
import com.crunii.micro.service.match.converter.MthMatchItemConverter;
import com.crunii.micro.service.match.service.IMthMatchItemService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-赛项信息;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthMatchItemServiceImpl implements IMthMatchItemService {

    private final MthMatchItemRepo baseRepo;
    private final MthMatchItemConverter baseConverter;

    /**
     * 查询赛事-赛项信息;
     */
    @Override
    public MthMatchItemVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-赛项信息;列表
     */
    @Override
    public Result<PageRsp<MthMatchItemVo>> queryPageList(PageReq<MthMatchItemBo> bo) {
        return null;
    }

    /**
     * 查询赛事-赛项信息;列表
     */
    @Override
    public List<MthMatchItemVo> queryList(MthMatchItemBo bo) {
        return null;
    }

    /**
     * 新增赛事-赛项信息;
     */
    @Override
    public Boolean insertByBo(MthMatchItemBo bo) {
        MthMatchItem add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-赛项信息;
     */
    @Override
    public Boolean updateByBo(MthMatchItemBo bo) {
        MthMatchItem update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthMatchItem entity){
    }

    /**
     * 批量删除赛事-赛项信息;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
        }
        return null;
    }
}
