package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthMatchOrganizer;
import com.crunii.micro.domain.repo.main.MthMatchOrganizerRepo;
import com.crunii.micro.service.match.api.bo.MthMatchOrganizerBo;
import com.crunii.micro.service.match.api.vo.MthMatchOrganizerVo;
import com.crunii.micro.service.match.converter.MthMatchOrganizerConverter;
import com.crunii.micro.service.match.service.IMthMatchOrganizerService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事承办方信息Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthMatchOrganizerServiceImpl implements IMthMatchOrganizerService {

    private final MthMatchOrganizerRepo baseRepo;
    private final MthMatchOrganizerConverter baseConverter;

    /**
     * 查询赛事承办方信息
     */
    @Override
    public MthMatchOrganizerVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事承办方信息列表
     */
    @Override
    public Result<PageRsp<MthMatchOrganizerVo>> queryPageList(PageReq<MthMatchOrganizerBo> bo) {
        return null;
    }

    /**
     * 查询赛事承办方信息列表
     */
    @Override
    public List<MthMatchOrganizerVo> queryList(MthMatchOrganizerBo bo) {
        return null;
    }

    /**
     * 新增赛事承办方信息
     */
    @Override
    public Boolean insertByBo(MthMatchOrganizerBo bo) {
        MthMatchOrganizer add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事承办方信息
     */
    @Override
    public Boolean updateByBo(MthMatchOrganizerBo bo) {
        MthMatchOrganizer update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthMatchOrganizer entity){

    }

    /**
     * 批量删除赛事承办方信息
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
