package com.crunii.micro.service.match.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.ObjectUtil;
import com.crunii.micro.common.utils.DateUtil;
import com.crunii.micro.domain.entity.main.MthMatchProcess;
import com.crunii.micro.domain.entity.main.MthRoundInstance;
import com.crunii.micro.domain.repo.main.MthMatchProcessRepo;
import com.crunii.micro.domain.repo.main.MthRoundScoreRepo;
import com.crunii.micro.service.match.service.IMthMatchProcessesService;
import lombok.RequiredArgsConstructor;
import org.assertj.core.util.Lists;
import org.springframework.stereotype.Service;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * @author liuchuan
 * @version 1.0
 * @description:
 * @date 2023/12/13 14:12
 */
@RequiredArgsConstructor
@Service
public class MthMatchProcessesImpl implements IMthMatchProcessesService {

    private final MthRoundScoreRepo roundScoreRepo;
    private final MthMatchProcessRepo  mthMatchProcessRepo;

    /**
     * @description: 晋级提交时 保存晋级记录
     * @param mthRoundInstance
     * @return: 
     * @author liuchuan
     * @date: 2023/12/13 14:15
    */
    @Override
    public void saveAwardsAndPromotionLogs(MthRoundInstance mthRoundInstance) {

        List<Object[]> list = roundScoreRepo.getRoundPromotionInfo(mthRoundInstance.getId());
        if (CollectionUtil.isNotEmpty(list)){
            List<MthMatchProcess> mthMatchProcesses = Lists.newArrayList();

            for(Object[] obj:list){
                BigInteger bigRegisterId = (BigInteger)obj[0];
                Long regiseterId = Long.valueOf(bigRegisterId.toString());
                String result = (String) obj[1];
                String prizeName = (String)obj[2];
                String OtherPrizeName = (String) obj[3];
                MthMatchProcess matchProcessResultMark = new MthMatchProcess();
                String awards="";
                if (ObjectUtil.isNotEmpty(prizeName)){
                    awards = prizeName;
                }
                if (ObjectUtil.isNotEmpty(OtherPrizeName)){
                    awards =awards+" "+OtherPrizeName;
                }

                if ("1".equals(result)) {//是否晋级
                    matchProcessResultMark.setType("1");
                    matchProcessResultMark.setBizId(mthRoundInstance.getMatchId());
                    matchProcessResultMark.setUserId(regiseterId);
                    matchProcessResultMark.setShowTitle("是否晋级到下一场次：是 ");
                    matchProcessResultMark.setMatchId(mthRoundInstance.getMatchId());
                    mthMatchProcesses.add(matchProcessResultMark);

                    MthMatchProcess matchProcessResultTime = new MthMatchProcess();
                    matchProcessResultTime.setType("1");
                    matchProcessResultTime.setBizId(mthRoundInstance.getMatchId());
                    matchProcessResultTime.setUserId(regiseterId);
                    matchProcessResultTime.setMatchId(mthRoundInstance.getMatchId());
                    matchProcessResultTime.setShowTitle("晋级日期：" + DateUtil.format(new Date(), "yyyy-MM-dd"));
                    mthMatchProcesses.add(matchProcessResultTime);




                } else {
                    matchProcessResultMark.setType("1");
                    matchProcessResultMark.setBizId(mthRoundInstance.getMatchId());
                    matchProcessResultMark.setUserId(regiseterId);
                    matchProcessResultMark.setShowTitle("是否晋级到下一场次：否 ");
                    matchProcessResultMark.setMatchId(mthRoundInstance.getMatchId());
                    mthMatchProcesses.add(matchProcessResultMark);

                }
                MthMatchProcess matchProcessResult = new MthMatchProcess();
                matchProcessResult.setType("1");
                matchProcessResult.setBizId(mthRoundInstance.getMatchId());
                matchProcessResult.setUserId(regiseterId);
                matchProcessResult.setMatchId(mthRoundInstance.getMatchId());
                //获奖名次：
                if (ObjectUtil.isNotEmpty(awards)){
                    matchProcessResult.setShowTitle("获奖名次：" + awards);
                }else {
                    matchProcessResult.setShowTitle("获奖名次：无"  );

                }
                mthMatchProcesses.add(matchProcessResult);
            }

            if (CollectionUtil.isNotEmpty(mthMatchProcesses)){
                mthMatchProcessRepo.saveAllAndFlush(mthMatchProcesses);
            }
        }

    }
}
