package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthProjectFinancingHistory;
import com.crunii.micro.domain.repo.main.MthProjectFinancingHistoryRepo;
import com.crunii.micro.service.match.api.bo.MthProjectFinancingHistoryBo;
import com.crunii.micro.service.match.api.vo.MthProjectFinancingHistoryVo;
import com.crunii.micro.service.match.converter.MthProjectFinancingHistoryConverter;
import com.crunii.micro.service.match.service.IMthProjectFinancingHistoryService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 青创赛事项目融资历史Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@RequiredArgsConstructor
@Service
@Slf4j
public class MthProjectFinancingHistoryServiceImpl implements IMthProjectFinancingHistoryService {

    private final MthProjectFinancingHistoryRepo baseRepo;
    private final MthProjectFinancingHistoryConverter baseConverter;

    /**
     * 查询青创赛事项目融资历史
     */
    @Override
    public MthProjectFinancingHistoryVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询青创赛事项目融资历史列表
     */
    @Override
    public Result<PageRsp<MthProjectFinancingHistoryVo>> queryPageList(PageReq<MthProjectFinancingHistoryBo> bo) {
        return null;
    }

    /**
     * 查询青创赛事项目融资历史列表
     */
    @Override
    public List<MthProjectFinancingHistoryVo> queryList(MthProjectFinancingHistoryBo bo) {
        return null;
    }

    /**
     * 新增青创赛事项目融资历史
     */
    @Override
    public Boolean insertByBo(MthProjectFinancingHistoryBo bo) {
        MthProjectFinancingHistory add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改青创赛事项目融资历史
     */
    @Override
    public Boolean updateByBo(MthProjectFinancingHistoryBo bo) {
        MthProjectFinancingHistory update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthProjectFinancingHistory entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除青创赛事项目融资历史
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return null;
    }
}
