package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthProjectFinancingMember;
import com.crunii.micro.domain.repo.main.MthProjectFinancingMemberRepo;
import com.crunii.micro.service.match.api.bo.MthProjectFinancingMemberBo;
import com.crunii.micro.service.match.api.vo.MthProjectFinancingMemberVo;
import com.crunii.micro.service.match.converter.MthProjectFinancingMemberConverter;
import com.crunii.micro.service.match.service.IMthProjectFinancingMemberService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 青创赛事项目融资项目成员Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@RequiredArgsConstructor
@Service
@Slf4j
public class MthProjectFinancingMemberServiceImpl implements IMthProjectFinancingMemberService {

    private final MthProjectFinancingMemberRepo baseRepo;
    private final MthProjectFinancingMemberConverter baseConverter;

    /**
     * 查询青创赛事项目融资项目成员
     */
    @Override
    public MthProjectFinancingMemberVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询青创赛事项目融资项目成员列表
     */
    @Override
    public Result<PageRsp<MthProjectFinancingMemberVo>> queryPageList(PageReq<MthProjectFinancingMemberBo> bo) {
        return null;
    }

    /**
     * 查询青创赛事项目融资项目成员列表
     */
    @Override
    public List<MthProjectFinancingMemberVo> queryList(MthProjectFinancingMemberBo bo) {
        return null;
    }

    /**
     * 新增青创赛事项目融资项目成员
     */
    @Override
    public Boolean insertByBo(MthProjectFinancingMemberBo bo) {
        MthProjectFinancingMember add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改青创赛事项目融资项目成员
     */
    @Override
    public Boolean updateByBo(MthProjectFinancingMemberBo bo) {
        MthProjectFinancingMember update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthProjectFinancingMember entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除青创赛事项目融资项目成员
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return null;
    }
}
