package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthProject;
import com.crunii.micro.domain.repo.main.MthProjectRepo;
import com.crunii.micro.service.match.api.bo.MthProjectBo;
import com.crunii.micro.service.match.api.vo.MthProjectVo;
import com.crunii.micro.service.match.converter.MthProjectConverter;
import com.crunii.micro.service.match.service.IMthProjectService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 青创赛事项目Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-18
 */
@RequiredArgsConstructor
@Service
@Slf4j
public class MthProjectServiceImpl implements IMthProjectService {

    private final MthProjectRepo baseRepo;
    private final MthProjectConverter baseConverter;

    /**
     * 查询青创赛事项目
     */
    @Override
    public MthProjectVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询青创赛事项目列表
     */
    @Override
    public Result<PageRsp<MthProjectVo>> queryPageList(PageReq<MthProjectBo> bo) {
        return null;
    }

    /**
     * 查询青创赛事项目列表
     */
    @Override
    public List<MthProjectVo> queryList(MthProjectBo bo) {
        return null;
    }

    /**
     * 新增青创赛事项目
     */
    @Override
    public Boolean insertByBo(MthProjectBo bo) {
        MthProject add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改青创赛事项目
     */
    @Override
    public Boolean updateByBo(MthProjectBo bo) {
        MthProject update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthProject entity){
        //TODO 做一些数据校验,如唯一约束
    }

    /**
     * 批量删除青创赛事项目
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return null;
    }
}
