package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRegisterConfigDetail;
import com.crunii.micro.domain.repo.main.MthRegisterConfigDetailRepo;
import com.crunii.micro.service.match.api.bo.MthRegisterConfigDetailBo;
import com.crunii.micro.service.match.api.vo.MthRegisterConfigDetailVo;
import com.crunii.micro.service.match.converter.MthRegisterConfigDetailConverter;
import com.crunii.micro.service.match.service.IMthRegisterConfigDetailService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-报名配置-详情;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRegisterConfigDetailServiceImpl implements IMthRegisterConfigDetailService {

    private final MthRegisterConfigDetailRepo baseRepo;
    private final MthRegisterConfigDetailConverter baseConverter;

    /**
     * 查询赛事-报名配置-详情;
     */
    @Override
    public MthRegisterConfigDetailVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-报名配置-详情;列表
     */
    @Override
    public Result<PageRsp<MthRegisterConfigDetailVo>> queryPageList(PageReq<MthRegisterConfigDetailBo> bo) {
        return null;
    }

    /**
     * 查询赛事-报名配置-详情;列表
     */
    @Override
    public List<MthRegisterConfigDetailVo> queryList(MthRegisterConfigDetailBo bo) {
        return null;
    }

    /**
     * 新增赛事-报名配置-详情;
     */
    @Override
    public Boolean insertByBo(MthRegisterConfigDetailBo bo) {
        MthRegisterConfigDetail add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-报名配置-详情;
     */
    @Override
    public Boolean updateByBo(MthRegisterConfigDetailBo bo) {
        MthRegisterConfigDetail update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRegisterConfigDetail entity){

    }

    /**
     * 批量删除赛事-报名配置-详情;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
