package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRegisterDetail;
import com.crunii.micro.domain.repo.main.MthRegisterDetailRepo;
import com.crunii.micro.service.match.api.bo.MthRegisterDetailBo;
import com.crunii.micro.service.match.api.vo.MthRegisterDetailVo;
import com.crunii.micro.service.match.converter.MthRegisterDetailConverter;
import com.crunii.micro.service.match.service.IMthRegisterDetailService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-赛项-组别-区域报名详情;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRegisterDetailServiceImpl implements IMthRegisterDetailService {

    private final MthRegisterDetailRepo baseRepo;
    private final MthRegisterDetailConverter baseConverter;

    /**
     * 查询赛事-赛项-组别-区域报名详情;
     */
    @Override
    public MthRegisterDetailVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-赛项-组别-区域报名详情;列表
     */
    @Override
    public Result<PageRsp<MthRegisterDetailVo>> queryPageList(PageReq<MthRegisterDetailBo> bo) {
        return null;
    }

    /**
     * 查询赛事-赛项-组别-区域报名详情;列表
     */
    @Override
    public List<MthRegisterDetailVo> queryList(MthRegisterDetailBo bo) {
        return null;
    }

    /**
     * 新增赛事-赛项-组别-区域报名详情;
     */
    @Override
    public Boolean insertByBo(MthRegisterDetailBo bo) {
        MthRegisterDetail add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-赛项-组别-区域报名详情;
     */
    @Override
    public Boolean updateByBo(MthRegisterDetailBo bo) {
        MthRegisterDetail update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRegisterDetail entity){

    }

    /**
     * 批量删除赛事-赛项-组别-区域报名详情;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
