package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRoundScoreDetail;
import com.crunii.micro.domain.repo.main.MthRoudScoreDetailRepo;
import com.crunii.micro.service.match.api.bo.MthRoundScoreDetailBo;
import com.crunii.micro.service.match.api.vo.MthRoundScoreDetailVo;
import com.crunii.micro.service.match.converter.MthRoudScoreDetailConverter;
import com.crunii.micro.service.match.service.IMthRoudScoreDetailService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-比赛评分明细;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRoudScoreDetailServiceImpl implements IMthRoudScoreDetailService {

    private final MthRoudScoreDetailRepo baseRepo;
    private final MthRoudScoreDetailConverter baseConverter;

    /**
     * 查询赛事-场次-比赛评分明细;
     */
    @Override
    public MthRoundScoreDetailVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-场次-比赛评分明细;列表
     */
    @Override
    public Result<PageRsp<MthRoundScoreDetailVo>> queryPageList(PageReq<MthRoundScoreDetailBo> bo) {
        return null;
    }

    /**
     * 查询赛事-场次-比赛评分明细;列表
     */
    @Override
    public List<MthRoundScoreDetailVo> queryList(MthRoundScoreDetailBo bo) {
        return null;
    }

    /**
     * 新增赛事-场次-比赛评分明细;
     */
    @Override
    public Boolean insertByBo(MthRoundScoreDetailBo bo) {
        MthRoundScoreDetail add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-场次-比赛评分明细;
     */
    @Override
    public Boolean updateByBo(MthRoundScoreDetailBo bo) {
        MthRoundScoreDetail update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRoundScoreDetail entity){

    }

    /**
     * 批量删除赛事-场次-比赛评分明细;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
