package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRoundArea;
import com.crunii.micro.domain.repo.main.MthRoundAreaRepo;
import com.crunii.micro.service.match.api.bo.MthRoundAreaBo;
import com.crunii.micro.service.match.api.vo.MthRoundAreaVo;
import com.crunii.micro.service.match.converter.MthRoundAreaConverter;
import com.crunii.micro.service.match.service.IMthRoundAreaService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-等级-区域;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRoundAreaServiceImpl implements IMthRoundAreaService {

    private final MthRoundAreaRepo baseRepo;
    private final MthRoundAreaConverter baseConverter;

    /**
     * 查询赛事-场次-等级-区域;
     */
    @Override
    public MthRoundAreaVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-场次-等级-区域;列表
     */
    @Override
    public Result<PageRsp<MthRoundAreaVo>> queryPageList(PageReq<MthRoundAreaBo> bo) {
        return null;
    }

    /**
     * 查询赛事-场次-等级-区域;列表
     */
    @Override
    public List<MthRoundAreaVo> queryList(MthRoundAreaBo bo) {
        return null;
    }

    /**
     * 新增赛事-场次-等级-区域;
     */
    @Override
    public Boolean insertByBo(MthRoundAreaBo bo) {
        MthRoundArea add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-场次-等级-区域;
     */
    @Override
    public Boolean updateByBo(MthRoundAreaBo bo) {
        MthRoundArea update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRoundArea entity){

    }

    /**
     * 批量删除赛事-场次-等级-区域;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
