package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRoundPrize;
import com.crunii.micro.domain.repo.main.MthRoundPrizeRepo;
import com.crunii.micro.service.match.api.bo.MthRoundPrizeBo;
import com.crunii.micro.service.match.api.vo.MthRoundPrizeVo;
import com.crunii.micro.service.match.converter.MthRoundPrizeConverter;
import com.crunii.micro.service.match.service.IMthRoundPrizeService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-名次配置;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRoundPrizeServiceImpl implements IMthRoundPrizeService {

    private final MthRoundPrizeRepo baseRepo;
    private final MthRoundPrizeConverter baseConverter;

    /**
     * 查询赛事-场次-名次配置;
     */
    @Override
    public MthRoundPrizeVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-场次-名次配置;列表
     */
    @Override
    public Result<PageRsp<MthRoundPrizeVo>> queryPageList(PageReq<MthRoundPrizeBo> bo) {
        return null;
    }

    /**
     * 查询赛事-场次-名次配置;列表
     */
    @Override
    public List<MthRoundPrizeVo> queryList(MthRoundPrizeBo bo) {
        return null;
    }

    /**
     * 新增赛事-场次-名次配置;
     */
    @Override
    public Boolean insertByBo(MthRoundPrizeBo bo) {
        MthRoundPrize add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-场次-名次配置;
     */
    @Override
    public Boolean updateByBo(MthRoundPrizeBo bo) {
        MthRoundPrize update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRoundPrize entity){

    }

    /**
     * 批量删除赛事-场次-名次配置;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
