package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRoundQualifyLog;
import com.crunii.micro.domain.repo.main.MthRoundQualifyLogRepo;
import com.crunii.micro.service.match.api.bo.MthRoundQualifyLogBo;
import com.crunii.micro.service.match.api.vo.MthRoundQualifyLogVo;
import com.crunii.micro.service.match.converter.MthRoundQualifyLogConverter;
import com.crunii.micro.service.match.service.IMthRoundQualifyLogService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-比赛-晋级调整记录;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRoundQualifyLogServiceImpl implements IMthRoundQualifyLogService {

    private final MthRoundQualifyLogRepo baseRepo;
    private final MthRoundQualifyLogConverter baseConverter;

    /**
     * 查询赛事-场次-比赛-晋级调整记录;
     */
    @Override
    public MthRoundQualifyLogVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-场次-比赛-晋级调整记录;列表
     */
    @Override
    public Result<PageRsp<MthRoundQualifyLogVo>> queryPageList(PageReq<MthRoundQualifyLogBo> bo) {
        return null;
    }

    /**
     * 查询赛事-场次-比赛-晋级调整记录;列表
     */
    @Override
    public List<MthRoundQualifyLogVo> queryList(MthRoundQualifyLogBo bo) {
        return null;
    }

    /**
     * 新增赛事-场次-比赛-晋级调整记录;
     */
    @Override
    public Boolean insertByBo(MthRoundQualifyLogBo bo) {
        MthRoundQualifyLog add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-场次-比赛-晋级调整记录;
     */
    @Override
    public Boolean updateByBo(MthRoundQualifyLogBo bo) {
        MthRoundQualifyLog update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRoundQualifyLog entity){

    }

    /**
     * 批量删除赛事-场次-比赛-晋级调整记录;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
