package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRoundReviewConf;
import com.crunii.micro.domain.repo.main.MthRoundReviewConfRepo;
import com.crunii.micro.service.match.api.bo.MthRoundReviewConfBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewConfVo;
import com.crunii.micro.service.match.converter.MthRoundReviewConfConverter;
import com.crunii.micro.service.match.service.IMthRoundReviewConfService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-评审员配置;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRoundReviewConfServiceImpl implements IMthRoundReviewConfService {

    private final MthRoundReviewConfRepo baseRepo;
    private final MthRoundReviewConfConverter baseConverter;

    /**
     * 查询赛事-场次-评审员配置;
     */
    @Override
    public MthRoundReviewConfVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-场次-评审员配置;列表
     */
    @Override
    public Result<PageRsp<MthRoundReviewConfVo>> queryPageList(PageReq<MthRoundReviewConfBo> bo) {
        return null;
    }

    /**
     * 查询赛事-场次-评审员配置;列表
     */
    @Override
    public List<MthRoundReviewConfVo> queryList(MthRoundReviewConfBo bo) {
        return null;
    }

    /**
     * 新增赛事-场次-评审员配置;
     */
    @Override
    public Boolean insertByBo(MthRoundReviewConfBo bo) {
        MthRoundReviewConf add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-场次-评审员配置;
     */
    @Override
    public Boolean updateByBo(MthRoundReviewConfBo bo) {
        MthRoundReviewConf update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRoundReviewConf entity){

    }

    /**
     * 批量删除赛事-场次-评审员配置;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
