package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.MthRoundReviewer;
import com.crunii.micro.domain.repo.main.MthRoundReviewerRepo;
import com.crunii.micro.service.match.api.bo.MthRoundReviewerBo;
import com.crunii.micro.service.match.api.vo.MthRoundReviewerVo;
import com.crunii.micro.service.match.converter.MthRoundReviewerConverter;
import com.crunii.micro.service.match.service.IMthRoundReviewerService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * 赛事-场次-评审员账号关系;Service业务层处理
 *
 * @author mth
 * @date 2023-09-19
 */
@RequiredArgsConstructor
@Service
public class MthRoundReviewerServiceImpl implements IMthRoundReviewerService {

    private final MthRoundReviewerRepo baseRepo;
    private final MthRoundReviewerConverter baseConverter;

    /**
     * 查询赛事-场次-评审员账号关系;
     */
    @Override
    public MthRoundReviewerVo queryById(Long id){
        return baseConverter.entityToVo(baseRepo.getById(id));
    }

    /**
     * 查询赛事-场次-评审员账号关系;列表
     */
    @Override
    public Result<PageRsp<MthRoundReviewerVo>> queryPageList(PageReq<MthRoundReviewerBo> bo) {
        return null;
    }

    /**
     * 查询赛事-场次-评审员账号关系;列表
     */
    @Override
    public List<MthRoundReviewerVo> queryList(MthRoundReviewerBo bo) {
        return null;
    }

    /**
     * 新增赛事-场次-评审员账号关系;
     */
    @Override
    public Boolean insertByBo(MthRoundReviewerBo bo) {
        MthRoundReviewer add = baseConverter.boToEntity(bo);
        validEntityBeforeSave(add);
        baseRepo.save(add);
        return true;
    }

    /**
     * 修改赛事-场次-评审员账号关系;
     */
    @Override
    public Boolean updateByBo(MthRoundReviewerBo bo) {
        MthRoundReviewer update = baseConverter.boToEntity(bo);
        validEntityBeforeSave(update);
        return null;
    }

    /**
     * 保存前的数据校验
     */
    private void validEntityBeforeSave(MthRoundReviewer entity){

    }

    /**
     * 批量删除赛事-场次-评审员账号关系;
     */
    @Override
    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
        if(isValid){

        }
        return null;
    }
}
