/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.match.service.impl;

import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.match.config.URLEmbedImgManager;
import com.crunii.micro.service.match.service.WorldTranslateService;
import fr.opensagres.poi.xwpf.converter.xhtml.XHTMLConverter;
import fr.opensagres.poi.xwpf.converter.xhtml.XHTMLOptions;
import org.apache.poi.openxml4j.exceptions.NotOfficeXmlFileException;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * @author shenhs create 2023/7/3 10:19
 */
@Service
public class WorldTranslateServiceImpl implements WorldTranslateService {

	@Autowired
	private URLEmbedImgManager urlEmbedImgManager;

	@Override public String translateToHtml(MultipartFile file) throws IOException {
		InputStream inputStream = file.getInputStream();
		XWPFDocument document = null;
		try {
			document = new XWPFDocument(inputStream);
		}catch (NotOfficeXmlFileException ex){
			throw new BusinessException("文档格式错误，请上传doc、docx格式的文档");
		}
		XHTMLOptions options = XHTMLOptions.create();
		options.setIgnoreStylesIfUnused(false);
		options.setFragment(true);
		//图片用base64转化
		options.setImageManager(urlEmbedImgManager);

		ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
		XHTMLConverter xhtmlConverter = new XHTMLConverter();
//		FileOutputStream outputStream = new FileOutputStream(out);
		xhtmlConverter.convert(document, outputStream, options);
		String s = outputStream.toString();
		System.out.println(s);
		return s;
	}
}
