package com.crunii.micro.service.match.task;

import com.crunii.micro.service.match.service.MatchTaskService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author wangchen create 2023/7/4 14:42
 */
@Component
public class MatchCarouselTask {


    private final MatchTaskService matchTaskService;

    public MatchCarouselTask(MatchTaskService matchTaskService) {
        this.matchTaskService = matchTaskService;
    }

    @Scheduled(cron = "0 0/30 * * * ?")
    public void carouselScan(){
        matchTaskService.updateAndScanCarousel();
    }

    @Scheduled(cron = "0 10/30 * * * ? ")
    public void enrollScan(){
        matchTaskService.updateAndScanEnroll();
    }

    @Scheduled(cron = "0 20/30 * * * ?")
    public void showDueScan(){
        matchTaskService.updateAndShowDue();
    }


    @Scheduled(cron = "0 0/1 * * * ?")
    public void matchStatusTransfer(){
        System.out.println("赛事状态流转任务开始："+new Date() );
;        matchTaskService.matchStatusTransfer();
        System.out.println("赛事状态流转任务处理结束："+new Date() );


    }

    @Scheduled(cron = "0 0/1 * * * ?")
    public void roundStatusTransfer(){
        System.out.println("场次状态流转任务开始："+new Date() );
        matchTaskService.roundStatusTransfer();
        System.out.println("场次状态流转任务处理结束："+new Date() );


    }


    /**
     * @description: 公示结束状态流转
     * @param null
     * @return: 
     * @author liuchuan
     * @date: 2023/12/5 9:51
    */
    @Scheduled(cron = "0 0/1 * * * ?")
    public void updatePublicityFinish(){
        matchTaskService.updatePublicityFinish();


    }

    /**
     * 作品未上传提醒
     */
    @Scheduled(cron = "0 0/10 * * * ?")
    public void pushWorkNotUploadedMsg(){
        matchTaskService.pushWorkNotUploadedMsg();
    }

    /**
     * 参加比赛通知提醒
     */
    @Scheduled(cron = "0 0/10 * * * ?")
    public void pushPlayMsg(){
        matchTaskService.pushPlayMsg();
    }

    /**
     * 报名截止时间通知
     */
    @Scheduled(cron = "0 0/10 * * * ?")
    public void pushRegisterDeadlineMsg(){
        matchTaskService.pushRegisterDeadlineMsg();
    }

    /**
     * 报名待审核通知
     */
    @Scheduled(cron = "0 0/10 * * * ?")
    public void pushRegisterAuditMsg(){
        matchTaskService.pushRegisterAuditMsg();
    }

    /**
     * 作品待评审通知
     */
    @Scheduled(cron = "0 0/10 * * * ?")
    public void pushWorkReviewMsg(){
        matchTaskService.pushWorkReviewMsg();
    }
}
