/* --------------- 修改表 --------------- */
-- 修改表：mth_match_info[赛事信息表]
-- 添加字段：
ALTER TABLE mth_match_info ADD (statistics_type VARCHAR2(255));
COMMENT ON COLUMN mth_match_info.statistics_type IS '统计类别';
ALTER TABLE mth_match_info ADD (registeration_time VARCHAR2(255));
COMMENT ON COLUMN mth_match_info.registeration_time IS '报名方式（统一报名、承办单位确定）';
ALTER TABLE mth_match_info ADD (age_limit VARCHAR2(255));
COMMENT ON COLUMN mth_match_info.age_limit IS '年龄限制方式（按比赛、按组别）';
ALTER TABLE mth_match_info ADD (age_begin VARCHAR2(255));
COMMENT ON COLUMN mth_match_info.age_begin IS '开始年龄';
ALTER TABLE mth_match_info ADD (age_end VARCHAR2(255));
COMMENT ON COLUMN mth_match_info.age_end IS '结束年龄';


/* --------------- 修改表 --------------- */
-- 修改表：mth_match_group[赛事-赛项-组别信息表]
-- 添加字段：
ALTER TABLE mth_match_group ADD (age_begin INTEGER);
COMMENT ON COLUMN mth_match_group.age_begin IS '年龄开始';
ALTER TABLE mth_match_group ADD (age_end INTEGER);
COMMENT ON COLUMN mth_match_group.age_end IS '年龄结束';
/* --------------- 修改表 --------------- */
-- 修改表：mth_round_prize[赛事-场次-名次配置]
-- 添加字段：
ALTER TABLE mth_round_prize ADD (item_id BIGINT);
COMMENT ON COLUMN mth_round_prize.item_id IS '赛项id';
ALTER TABLE mth_round_prize ADD (item_name VARCHAR2(255));
COMMENT ON COLUMN mth_round_prize.item_name IS '赛项name';
ALTER TABLE mth_round_prize ADD (group_id BIGINT);
COMMENT ON COLUMN mth_round_prize.group_id IS '组别id';
ALTER TABLE mth_round_prize ADD (group_name VARCHAR2(255));
COMMENT ON COLUMN mth_round_prize.group_name IS '组别name';
/* --------------- 修改表 --------------- */
-- 修改表：mth_round_instance[赛事-区域-场次实例表（实例与配置的关系）]
-- 添加字段：
ALTER TABLE mth_round_instance ADD (publicity_flag INTEGER);
COMMENT ON COLUMN mth_round_instance.publicity_flag IS '是否公示';
ALTER TABLE mth_round_instance ADD (publicity_days INTEGER);
COMMENT ON COLUMN mth_round_instance.publicity_days IS '公示天数';
ALTER TABLE mth_round_instance ADD (prize_type VARCHAR2(50));
COMMENT ON COLUMN mth_round_instance.prize_type IS '名次设置类型(组别、赛项、 比赛)';
ALTER TABLE mth_round_instance ADD (reviewer_standar VARCHAR2(50));
COMMENT ON COLUMN mth_round_instance.reviewer_standar IS '评审标准（按赛项、按比赛）';
alter table mth_round_instance add(publicity_deadline TIMESTAMP);
comment on COLUMN mth_round_instance.publicity_deadline is '公示截止时间';
/* --------------- 修改表 --------------- */
-- 修改表：mth_round_reviewer[赛事-场次-评审员账号关系]
-- 添加字段：
ALTER TABLE mth_round_reviewer ADD (item_id BIGINT);
COMMENT ON COLUMN mth_round_reviewer.item_id IS '赛项id';
ALTER TABLE mth_round_reviewer ADD (item_name VARCHAR2(255));
COMMENT ON COLUMN mth_round_reviewer.item_name IS '赛项名称';
/* --------------- 修改表 --------------- */
-- 修改表：mth_round_score_detail[赛事-场次-比赛评分明细表]
-- 修改字段：
ALTER TABLE mth_round_score_detail MODIFY (socre INTEGER);
/* --------------- 修改表 --------------- */
-- 修改表：mth_form_data[配置表]
-- 基本信息:
ALTER table mth_form_config add(hint VARCHAR2(255));
COMMENT ON COLUMN mth_form_config.hint is '提示';
ALTER TABLE mth_form_config add(dynamic_flag INTEGER);
COMMENT ON COLUMN mth_form_config.dynamic_flag IS '动态配置标志';
alter table mth_form_config add(min_file_size INTEGER);
COMMENT ON COLUMN MTH_FORM_CONFIG.min_file_size is '最小文件大小';
alter table mth_form_config add(max_file_size INTEGER);
COMMENT ON COLUMN MTH_FORM_CONFIG.max_file_size is '最大文件大小';
alter table mth_form_config add(limit_num INTEGER);
comment on column mth_form_config.limit_num is '字数限制';

CREATE TABLE "YOUTH_CQ"."mth_match_contractor"
(
"id" BIGINT NOT NULL,
"match_id" BIGINT,
"area_id" BIGINT,
"area_name" VARCHAR2(255),
"org_id" BIGINT,
"org_name" VARCHAR2(255),
"contractor_name" VARCHAR2(255),
"contractor_id" BIGINT,
"limit_type" VARCHAR2(50),
"del_flag" INT,
"create_by" VARCHAR2(32),
"create_time" TIMESTAMP(6),
"update_by" VARCHAR2(32),
"update_time" TIMESTAMP(6),
"update_id" BIGINT,
"create_id" BIGINT,
"item_id" BIGINT,
"item_name" VARCHAR2(50),
NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "MAIN", CLUSTERBTR) ;

COMMENT ON TABLE "YOUTH_CQ"."mth_match_contractor" IS '赛事-承办方';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."area_id" IS '区域id';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."area_name" IS '区域名称';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."contractor_id" IS '承办方id（人员id）';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."contractor_name" IS '承办方姓名';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."create_by" IS '创建人';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."create_time" IS '创建时间';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."del_flag" IS '删除标志';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."id" IS 'id';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."item_id" IS '赛项id';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."item_name" IS '赛项名称';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."limit_type" IS '账号类型(long_term,temp)';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."match_id" IS '比赛id';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."org_id" IS '承办方组织';
COMMENT ON COLUMN "YOUTH_CQ"."mth_match_contractor"."org_name" IS '承办方名称';

--通知增加场次id
alter table YCQ_ARTICLE_DETAIL add COLUMN (round_id BIGINT);
comment on COLUMN ycq_article_detail.round_id is '发布公示 场次id';

--历史数据 配置表数据设置为系统配置
update "mth_form_config" set "mth_form_config"."dynamic_flag"=0 where dynamic_flag is null;
--历史数据处理  待公示设置为否
update mth_round_instance set publicity_flag=0 where  publicity_flag is null;

--通知历史数据修改
update YCQ_ARTICLE_DETAIL set article_type = 1 where article_type = 2;
delete from TSM_PROPERTY_VALUE where prop_code='eventCategoryState' and value_code='2';

/* --------------- 修改表 --------------- */
--修改表:mth_round_review_standar  赛事-场次-评审指标配置
 -- 修改字段：
 alter TABLE mth_round_review_standar modify weight VARCHAR2(10);
 alter TABLE mth_round_review_standar modify score VARCHAR2(10);
/* --------------- 增加表--------------- */
--增加表:mth_round_scoreinfo  赛事-场次-比赛评审员评分明细
CREATE TABLE mth_round_scoreinfo(
 	"id" BIGINT NOT NULL,
	"round_list_id" BIGINT NULL,
	"sort" INTEGER NULL,
	"score" VARCHAR2(32) NULL,
	"comments" VARCHAR2(255) NULL,
	"reviewer_id" BIGINT NULL,
	"reviewer_name" VARCHAR2(255) NULL,
	"reviewer_sign" VARCHAR2(255) NULL,
	"del_flag" INTEGER NULL,
	"create_id" BIGINT NULL,
	"create_by" VARCHAR2(32) NULL,
	"create_time" TIMESTAMP NULL,
	"update_by" VARCHAR2(32) NULL,
	"update_id" BIGINT NULL,
	"update_time" TIMESTAMP NULL,
	"status" INT NULL,
	 PRIMARY KEY ("id")
);

COMMENT ON TABLE mth_round_scoreinfo IS '赛事-场次-比赛评审员评分明细';
COMMENT ON COLUMN mth_round_scoreinfo.id IS 'id';
COMMENT ON COLUMN mth_round_scoreinfo.round_list_id IS '场次名单id';
COMMENT ON COLUMN mth_round_scoreinfo.sort IS '排名';
COMMENT ON COLUMN mth_round_scoreinfo.score IS '分数';
COMMENT ON COLUMN mth_round_scoreinfo.comments IS '评语';
COMMENT ON COLUMN mth_round_scoreinfo.reviewer_id IS '评审员id';
COMMENT ON COLUMN mth_round_scoreinfo.reviewer_name IS '评委';
COMMENT ON COLUMN mth_round_scoreinfo.reviewer_sign IS '评委签名';
COMMENT ON COLUMN mth_round_scoreinfo.del_flag IS '删除标志';
COMMENT ON COLUMN mth_round_scoreinfo.create_id IS '创建人id';
COMMENT ON COLUMN mth_round_scoreinfo.create_by IS '创建人';
COMMENT ON COLUMN mth_round_scoreinfo.create_time IS '创建时间';
COMMENT ON COLUMN mth_round_scoreinfo.update_by IS '更新人';
COMMENT ON COLUMN mth_round_scoreinfo.update_id IS '更新人id';
COMMENT ON COLUMN mth_round_scoreinfo.update_time IS '更新时间';
COMMENT ON COLUMN mth_round_scoreinfo.status IS '审核状态0-未审核 1-已审核';







ALTER TABLE mth_round_area ADD parent_id bigint;
comment ON COLUMN mth_round_area.parent_id IS '父级id';
ALTER TABLE mth_register ADD company_name varchar2(255);
comment ON COLUMN mth_register.company_name IS '单位名称';


ALTER TABLE mth_form_config ADD group_name varchar2(255);
comment ON COLUMN mth_form_config.group_name IS '分组名称';
ALTER TABLE mth_form_config MODIFY ref_id VARCHAR2(64) NULL;

ALTER TABLE mth_match_info ADD qc_flag integer;
comment ON COLUMN mth_match_info.qc_flag IS '是否青创赛事(1是0否)';

UPDATE mth_form_config SET group_name = '基本信息' WHERE id > 0 AND id < 300;

INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (300,'融资需求',1,'single',NULL,NULL,'q_financing_need',0,0,NULL,'',0,NULL,'',30021,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (301,'项目名称',1,'text',NULL,NULL,'q_name',0,0,NULL,'',0,NULL,'',30001,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (302,'项目logo',1,'pic',NULL,NULL,'q_logo',0,0,NULL,'',0,NULL,'',30002,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (305,'项目启动时间',1,'date',NULL,NULL,'q_start_time',0,0,NULL,'',0,NULL,'',30005,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (306,'项目所在地',1,'select','dict','qcMatchItemAddress','q_address',0,0,NULL,'',0,NULL,'',30006,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (307,'项目简介',1,'textarea',NULL,NULL,'q_item_desc',0,0,NULL,'',0,NULL,'',30007,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (308,'项目展示',1,'pic',NULL,NULL,'q_show_images',0,0,NULL,'',0,NULL,'',30008,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (309,'单位名称',1,'text',NULL,NULL,'q_company_name',0,0,NULL,'',0,NULL,'',30009,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (310,'单位职务',1,'text',NULL,NULL,'q_position',0,0,NULL,'',0,NULL,'',30010,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (311,'注册地址',1,'text',NULL,NULL,'q_register_address',0,0,NULL,'',0,NULL,'',30011,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (312,'注册时间',1,'date',NULL,NULL,'q_regiser_time',0,0,NULL,'',0,NULL,'',30012,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (313,'注册资本',1,'text',NULL,NULL,'q_regiser_capital',0,0,NULL,'',0,NULL,'',30013,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (314,'法定代表人',1,'text',NULL,NULL,'q_legal_representative',0,0,NULL,'',0,NULL,'',30014,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (315,'所属行业',1,'select','dict','zone','q_industry',0,0,NULL,'',0,NULL,'',30015,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (316,'企业负债金额',1,'text',NULL,NULL,'q_enterprise_debt_amount',0,0,NULL,'',0,NULL,'',30016,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (317,'上一年营收',1,'text',NULL,NULL,'q_previous_year_revenue',0,0,NULL,'',0,NULL,'',30017,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (318,'上一年税收',1,'text',NULL,NULL,'q_previous_year_tax_revenue',0,0,NULL,'',0,NULL,'',30018,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (319,'员工数',1,'text',NULL,NULL,'q_employee_count',0,0,NULL,'',0,NULL,'',30019,NULL,0,NULL,NULL,NULL,'青创项目信息');
INSERT INTO YOUTH_CQ."mth_form_config" (ID,SHOW_NAME,REQUIRED_FLAG,CONFIG_TYPE,REF_TYPE,REF_ID,"KEY",DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY,ORDER_NUM,HINT,DYNAMIC_FLAG,MIN_FILE_SIZE,MAX_FILE_SIZE,LIMIT_NUM,GROUP_NAME) VALUES (320,'团队成员人数',1,'text',NULL,NULL,'q_team_members',0,0,NULL,'',0,NULL,'',30020,NULL,0,NULL,NULL,NULL,'青创项目信息');


INSERT INTO YOUTH_CQ."mth_form_config_data" (ID,CONFIG_ID,CONFIG_VALUE,CONFIG_KEY,DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY)
VALUES (10000,300,'是','q_financing_need',0,0,NULL,'',0,NULL,'');
INSERT INTO YOUTH_CQ."mth_form_config_data" (ID,CONFIG_ID,CONFIG_VALUE,CONFIG_KEY,DEL_FLAG,CREATE_ID,CREATE_TIME,CREATE_BY,UPDATE_ID,UPDATE_TIME,UPDATE_BY)
VALUES (10001,300,'否','q_financing_need',0,0,NULL,'',0,NULL,'');


-- YOUTH_CQ."mth_project" definition
CREATE TABLE "mth_project" (
"id" BIGINT NOT NULL,
"register_id" BIGINT NULL,
"name" VARCHAR2(255) NULL,
"logo" BIGINT NULL,
"item_name" VARCHAR2(255) NULL,
"group_name" VARCHAR2(255) NULL,
"start_time" DATE NULL,
"address" VARCHAR2(255) NULL,
"item_desc" VARCHAR2(1024) NULL,
"show_images" VARCHAR2(255) NULL,
"company_name" VARCHAR2(255) NULL,
"position" VARCHAR2(255) NULL,
"register_address" VARCHAR2(255) NULL,
"regiser_time" DATE NULL,
"regiser_capital" DECIMAL(24,6) NULL,
"regiser_capital_currency" VARCHAR2(255) NULL,
"legal_representative" VARCHAR2(255) NULL,
"industry" VARCHAR2(255) NULL,
"enterprise_debt_amount" DECIMAL(24,6) NULL,
"previous_year_revenue" DECIMAL(24,6) NULL,
"previous_year_tax_revenue" DECIMAL(24,6) NULL,
"employee_count" INTEGER NULL,
"financing_need" VARCHAR2(255) NULL,
"del_flag" INTEGER NULL,
"create_id" BIGINT NULL,
"create_by" VARCHAR2(255) NULL,
"create_time" TIMESTAMP NULL,
"update_id" BIGINT NULL,
"update_by" VARCHAR2(255) NULL,
"update_time" TIMESTAMP NULL,
"show_urls" VARCHAR(8000) NULL,
"team_members" INT NULL,
PRIMARY KEY ("id")
);

COMMENT ON TABLE mth_project IS '青创赛事项目';
COMMENT ON COLUMN mth_project.id IS 'ID';
COMMENT ON COLUMN mth_project.register_id IS '赛事报名id';
COMMENT ON COLUMN mth_project.name IS '项目名称';
COMMENT ON COLUMN mth_project.logo IS '项目logo';
COMMENT ON COLUMN mth_project.item_name IS '项目赛项';
COMMENT ON COLUMN mth_project.group_name IS '项目组别';
COMMENT ON COLUMN mth_project.start_time IS '项目启动时间';
COMMENT ON COLUMN mth_project.address IS '项目所在地';
COMMENT ON COLUMN mth_project.item_desc IS '项目简介';
COMMENT ON COLUMN mth_project.show_images IS '项目展示(逗号分隔)';
COMMENT ON COLUMN mth_project.company_name IS '单位名称';
COMMENT ON COLUMN mth_project.position IS '单位职务';
COMMENT ON COLUMN mth_project.register_address IS '注册地址';
COMMENT ON COLUMN mth_project.regiser_time IS '注册时间';
COMMENT ON COLUMN mth_project.regiser_capital IS '注册资本(万)';
COMMENT ON COLUMN mth_project.regiser_capital_currency IS '注册资本(货币)';
COMMENT ON COLUMN mth_project.legal_representative IS '法定代表人';
COMMENT ON COLUMN mth_project.industry IS '所属行业(逗号分隔)';
COMMENT ON COLUMN mth_project.enterprise_debt_amount IS '企业负债金额';
COMMENT ON COLUMN mth_project.previous_year_revenue IS '上一年营收';
COMMENT ON COLUMN mth_project.previous_year_tax_revenue IS '上一年税收';
COMMENT ON COLUMN mth_project.employee_count IS '员工数';
COMMENT ON COLUMN mth_project.financing_need IS '是否有融资需求';
COMMENT ON COLUMN mth_project.del_flag IS '删除标识';
COMMENT ON COLUMN mth_project.create_id IS '创建人ID';
COMMENT ON COLUMN mth_project.create_by IS '创建人';
COMMENT ON COLUMN mth_project.create_time IS '创建时间';
COMMENT ON COLUMN mth_project.update_id IS '更新人ID';
COMMENT ON COLUMN mth_project.update_by IS '更新人';
COMMENT ON COLUMN mth_project.update_time IS '更新时间';


-- YOUTH_CQ."mth_project_financing" definition
CREATE TABLE "mth_project_financing" (
"id" BIGINT NOT NULL,
"code" VARCHAR2(255) NULL,
"project_id" BIGINT NULL,
"introduce" VARCHAR2(1024) NULL,
"expected_amount" DECIMAL(24,6) NULL,
"transfer_equity" DECIMAL(24,6) NULL,
"official_website" VARCHAR2(255) NULL,
"review_status" INTEGER NULL,
"review_time" TIMESTAMP NULL,
"review_reason" VARCHAR2(255) NULL,
"reviewer_id" BIGINT NULL,
"reviewer_name" VARCHAR2(255) NULL,
"publicity_status" INTEGER NULL,
"user_id" BIGINT NULL,
"del_flag" INTEGER NULL,
"create_id" BIGINT NULL,
"create_by" VARCHAR2(255) NULL,
"create_time" TIMESTAMP NULL,
"update_id" BIGINT NULL,
"update_by" VARCHAR2(255) NULL,
"update_time" TIMESTAMP NULL,
PRIMARY KEY ("id")
);

COMMENT ON TABLE mth_project_financing IS '青创赛事项目融资申请';
COMMENT ON COLUMN mth_project_financing.id IS 'ID';
COMMENT ON COLUMN mth_project_financing.code IS '编号';
COMMENT ON COLUMN mth_project_financing.project_id IS '青创赛事项目id';
COMMENT ON COLUMN mth_project_financing.introduce IS '一句话介绍';
COMMENT ON COLUMN mth_project_financing.expected_amount IS '期望融资金额(万)';
COMMENT ON COLUMN mth_project_financing.transfer_equity IS '出让股权(%)';
COMMENT ON COLUMN mth_project_financing.official_website IS '官方网址';
COMMENT ON COLUMN mth_project_financing.review_status IS '审核状态(0待审核1已通过2不通过)';
COMMENT ON COLUMN mth_project_financing.review_time IS '审核时间';
COMMENT ON COLUMN mth_project_financing.review_reason IS '审核原因';
COMMENT ON COLUMN mth_project_financing.reviewer_id IS '审核人id';
COMMENT ON COLUMN mth_project_financing.reviewer_name IS '审核人';
COMMENT ON COLUMN mth_project_financing.publicity_status IS '公示状态(0未公示1已公示)';
COMMENT ON COLUMN mth_project_financing.user_id IS '申请人id';
COMMENT ON COLUMN mth_project_financing.del_flag IS '删除标识';
COMMENT ON COLUMN mth_project_financing.create_id IS '创建人ID';
COMMENT ON COLUMN mth_project_financing.create_by IS '创建人';
COMMENT ON COLUMN mth_project_financing.create_time IS '创建时间';
COMMENT ON COLUMN mth_project_financing.update_id IS '更新人ID';
COMMENT ON COLUMN mth_project_financing.update_by IS '更新人';
COMMENT ON COLUMN mth_project_financing.update_time IS '更新时间';


-- YOUTH_CQ."mth_project_financing_history" definition
CREATE TABLE "mth_project_financing_history" (
"id" BIGINT NOT NULL,
"financing_id" BIGINT NULL,
"financing_rounds" VARCHAR2(255) NULL,
"financing_time" VARCHAR2(13) NULL,
"amount" DECIMAL(24,6) NULL,
"publicity_amount" INTEGER NULL,
"investor" VARCHAR2(255) NULL,
"publicity_investor" INTEGER NULL,
"sort_num" INTEGER NULL,
"del_flag" INTEGER NULL,
"create_id" BIGINT NULL,
"create_by" VARCHAR2(255) NULL,
"create_time" TIMESTAMP NULL,
"update_id" BIGINT NULL,
"update_by" VARCHAR2(255) NULL,
"update_time" TIMESTAMP NULL,
PRIMARY KEY ("id")
);

COMMENT ON TABLE mth_project_financing_history IS '青创赛事项目融资历史';
COMMENT ON COLUMN mth_project_financing_history.id IS 'ID';
COMMENT ON COLUMN mth_project_financing_history.financing_id IS '项目融资id';
COMMENT ON COLUMN mth_project_financing_history.financing_rounds IS '融资轮次';
COMMENT ON COLUMN mth_project_financing_history.financing_time IS '融资时间';
COMMENT ON COLUMN mth_project_financing_history.amount IS '融资金额(万元)';
COMMENT ON COLUMN mth_project_financing_history.publicity_amount IS '对外公布融资金额(0否1是)';
COMMENT ON COLUMN mth_project_financing_history.investor IS '投资方';
COMMENT ON COLUMN mth_project_financing_history.publicity_investor IS '对外公布投资方(0否1是)';
COMMENT ON COLUMN mth_project_financing_history.sort_num IS '排序';
COMMENT ON COLUMN mth_project_financing_history.del_flag IS '删除标识';
COMMENT ON COLUMN mth_project_financing_history.create_id IS '创建人ID';
COMMENT ON COLUMN mth_project_financing_history.create_by IS '创建人';
COMMENT ON COLUMN mth_project_financing_history.create_time IS '创建时间';
COMMENT ON COLUMN mth_project_financing_history.update_id IS '更新人ID';
COMMENT ON COLUMN mth_project_financing_history.update_by IS '更新人';
COMMENT ON COLUMN mth_project_financing_history.update_time IS '更新时间';


-- YOUTH_CQ."mth_project_financing_member" definition
CREATE TABLE "mth_project_financing_member" (
"id" BIGINT NOT NULL,
"financing_id" BIGINT NULL,
"name" VARCHAR2(255) NULL,
"position" VARCHAR2(255) NULL,
"personal_experience" VARCHAR2(1024) NULL,
"head_sculpture" BIGINT NULL,
"sort_num" INTEGER NULL,
"del_flag" INTEGER NULL,
"create_id" BIGINT NULL,
"create_by" VARCHAR2(255) NULL,
"create_time" TIMESTAMP NULL,
"update_id" BIGINT NULL,
"update_by" VARCHAR2(255) NULL,
"update_time" TIMESTAMP NULL,
PRIMARY KEY ("id")
);

COMMENT ON TABLE mth_project_financing_member IS '青创赛事项目融资项目成员';
COMMENT ON COLUMN mth_project_financing_member.id IS 'ID';
COMMENT ON COLUMN mth_project_financing_member.financing_id IS '项目融资id';
COMMENT ON COLUMN mth_project_financing_member.name IS '姓名';
COMMENT ON COLUMN mth_project_financing_member.position IS '职务';
COMMENT ON COLUMN mth_project_financing_member.personal_experience IS '个人经历';
COMMENT ON COLUMN mth_project_financing_member.head_sculpture IS '头像';
COMMENT ON COLUMN mth_project_financing_member.sort_num IS '排序';
COMMENT ON COLUMN mth_project_financing_member.del_flag IS '删除标识';
COMMENT ON COLUMN mth_project_financing_member.create_id IS '创建人ID';
COMMENT ON COLUMN mth_project_financing_member.create_by IS '创建人';
COMMENT ON COLUMN mth_project_financing_member.create_time IS '创建时间';
COMMENT ON COLUMN mth_project_financing_member.update_id IS '更新人ID';
COMMENT ON COLUMN mth_project_financing_member.update_by IS '更新人';
COMMENT ON COLUMN mth_project_financing_member.update_time IS '更新时间';




/* --------------- 修改表 --------------- */
-- 修改表：TSM_MENU[菜单表]
-- 添加字段：
ALTER TABLE TSM_MENU ADD (code VARCHAR(50));
ALTER TABLE TSM_MENU ADD (terminal VARCHAR(50));

/* --------------- 修改表 --------------- */
-- 修改表：TSM_WORKER[菜单表]
-- 添加字段：
ALTER TABLE TSM_WORKER ADD (worker_type VARCHAR(50));

/* --------------- 修改表 --------------- */
-- 修改表：TSM_PROPERTY[菜单表]
-- 添加字段：
ALTER TABLE TSM_PROPERTY ADD (worker_manage_state INTEGER);





UPDATE YCQ_MESSAGE_TEMPLATE SET SYSTEM_NAME = '赛事天地' WHERE SYSTEM_NAME = '赛事活动';




UPDATE mth_form_config SET "limit_num" = 9 WHERE id = 308

UPDATE mth_form_config SET del_flag = 1 WHERE dynamic_flag = 0 and show_name IN ('所属组织类别','赛项','组别','详细描述','附件','视频','音频','图片');

UPDATE mth_form_config SET show_name = '推荐组织' WHERE dynamic_flag = 0 and show_name = '推荐团组织';

UPDATE mth_form_config SET show_name = '所属组织' WHERE dynamic_flag = 0 and show_name = '组织名称';

UPDATE mth_form_config SET "required_flag"  = 1 WHERE dynamic_flag = 0 AND "key" NOT LIKE 'q_%';
-- 区县/所属组织改成下拉框
UPDATE mth_form_config SET config_type = 'select' WHERE id IN (22,111);


UPDATE "mth_form_config" SET "required_flag" = 0 WHERE id = 111

ALTER TABLE mth_match_sponsor ADD type int DEFAULT 1;
comment ON COLUMN mth_match_sponsor.type IS '类型:1主办方 2承办方';

ALTER TABLE mth_match_info ADD other_sponsor varchar2(255);
comment ON COLUMN mth_match_info.other_sponsor IS '其他主办方';


ALTER TABLE mth_match_info ADD other_organizer varchar2(255);
comment ON COLUMN mth_match_info.other_organizer IS '其他承办方';


ALTER TABLE mth_match_info ADD create_org_id bigint;
comment ON COLUMN mth_match_info.create_org_id IS '创建人组织id';

ALTER TABLE mth_match_info ADD create_org_name varchar2(255);
comment ON COLUMN mth_match_info.create_org_name IS '创建人组织名称';


ALTER TABLE mth_match_info ADD create_dept_id bigint;
comment ON COLUMN mth_match_info.create_dept_id IS '创建人部门id';

ALTER TABLE mth_match_info ADD create_dept_name varchar2(255);
comment ON COLUMN mth_match_info.create_dept_name IS '创建人部门名称';

--getOrgChildrenTree接口查询超时, 创建联合索引
CREATE INDEX "idx_tsm_org_parent_org_id_state" ON YOUTH_CQ.TSM_ORG ("parent_org_id","state");

--赛事列表查询慢, 创建索引
CREATE INDEX "idx_mth_match_info_create_id" ON YOUTH_CQ.mth_match_info ("create_id");