/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.obs.config.obs;

import com.obs.services.ObsClient;
import com.obs.services.ObsConfiguration;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.pool2.BasePooledObjectFactory;
import org.apache.commons.pool2.PooledObject;
import org.apache.commons.pool2.impl.DefaultPooledObject;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

/**
 * @author shenhs create 2023/5/25 11:40
 */
@Setter
@Getter
public class ObsClientFactory extends BasePooledObjectFactory<ObsClient> implements DisposableBean, InitializingBean {

	private String endPoint = "obs.chongqing1.gov.myhuaweicloud.cn";

	// Provide your Access Key
	private String ak = "KYJJ7QU1BZN1PEZBO8KA";

	// Provide your Secret Key
	private String sk = "e5BTQmNe5wmAPNPGtHigsRsoIyfdEQm1WROlYzuX";

	@Override public ObsClient create() throws Exception {
		ObsConfiguration config = new ObsConfiguration();
		config.setSocketTimeout(30000);
		config.setConnectionTimeout(10000);
		config.setEndPoint(endPoint);
		return new ObsClient(ak, sk, config);
	}

	@Override public PooledObject<ObsClient> wrap(ObsClient obs) {
		return new DefaultPooledObject<>(obs);
	}

	@Override public void destroy() throws Exception {

	}

	@Override public void afterPropertiesSet() throws Exception {

	}
}
