/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.obs.config.obs;

import com.crunii.micro.common.pool.PoolConfig;
import com.crunii.micro.service.obs.config.obs.ObsClientFactory;
import com.crunii.micro.service.obs.config.obs.ObsClientPoolFactory;
import com.obs.services.ObsClient;
import org.apache.commons.pool2.impl.GenericObjectPoolConfig;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author shenhs create 2023/5/25 10:20
 */
@Configuration
public class ObsConfiguration {

	@Value("${obs.endPoint}")
	private String endPoint;

	@Value("${obs.accessKey}")
	private String ak;

	@Value("${obs.secretKey}")
	private String sk;


	@Bean(name = "obsClientPoolFactory")
	public ObsClientPoolFactory initChannelSftpPoolFactory() {
		ObsClientPoolFactory poolFactory = new ObsClientPoolFactory();
		poolFactory.setConfig(initObsClientPoolConf());
		poolFactory.setObsClientFactory(initObsClientFactory());;
		return poolFactory;
	}

	/**
	 *
	 * @return
	 */
	@Bean
	public ObsClientFactory initObsClientFactory(){
		ObsClientFactory obsClientFactory = new ObsClientFactory();
		obsClientFactory.setEndPoint(endPoint);
		obsClientFactory.setAk(ak);
		obsClientFactory.setSk(sk);
		return obsClientFactory;
	}

	@Bean(name = "obsClientPoolConf")
	public GenericObjectPoolConfig<ObsClient> initObsClientPoolConf() {
		GenericObjectPoolConfig<ObsClient> config = new GenericObjectPoolConfig();
		config.setMaxTotal(20);
		config.setMaxIdle(PoolConfig.DEFAULT_MAX_IDLE);
		config.setMinIdle(PoolConfig.DEFAULT_MIN_IDLE);
		config.setMaxWaitMillis(PoolConfig.DEFAULT_MAX_WAIT_MILLIS);
		config.setMinEvictableIdleTimeMillis(PoolConfig.DEFAULT_MIN_EVICTABLE_IDLE_TIME_MILLIS);
		config.setSoftMinEvictableIdleTimeMillis(PoolConfig.DEFAULT_SOFT_MIN_EVICTABLE_IDLE_TIME_MILLIS);
		config.setTimeBetweenEvictionRunsMillis(PoolConfig.DEFAULT_TIME_BETWEEN_EVICTION_RUNS_MILLIS);
		config.setTestOnBorrow(PoolConfig.DEFAULT_TEST_ON_BORROW);
		config.setTestOnReturn(PoolConfig.DEFAULT_TEST_ON_RETURN);
		config.setTestOnCreate(PoolConfig.DEFAULT_TEST_ON_CREATE);
		return config;
	}

}
