package com.crunii.micro.service.obs.controller;

import cn.hutool.core.collection.CollectionUtil;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.obs.constants.ObsConstants;
import com.crunii.micro.service.obs.dto.DownLoadZipDto;
import com.crunii.micro.service.obs.service.ZipFileService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author baoxy
 * @date 2023-06-19
 */
@Api(tags = "压缩包文件操作")
@RestController
@RequestMapping("/auth/ZipFileController")
public class ZipFileController {

    @Resource
    private ZipFileService zipFileService;

    @ApiOperation("下载压缩包文件")
    @RequestMapping(value = "/downloadZip", method = RequestMethod.POST)
    public Result<String> downloadZip(HttpServletRequest request, HttpServletResponse response, @RequestBody DownLoadZipDto dto) {
        if (CollectionUtil.isEmpty(dto.getUploadIdList())) {
            return Result.ofFail("下载文件不能为空");
        }
        // 0:成功 1:失败 2:需要选择符合条件的图片
        int zip = zipFileService.downloadZip(request, response, dto);
        if (zip == 0) {
            return null;
        }
        if (zip == 1) {
            return Result.ofFail("下载文件失败");
        }
        if (zip == ObsConstants.TWO_INT) {
            return Result.ofFail("请选择符合条件的图片");
        }
        return null;
    }
}
