package com.crunii.micro.service.obs.core.client;

import com.amazonaws.services.dynamodbv2.xspec.S;
import org.springframework.beans.factory.InitializingBean;

/**
 * @author wangchen create 2023/9/5 16:44
 */
public interface FileClientFactory {

    /**
     * 获得文件客户端
     *
     * @param configId 配置编号
     * @return 文件客户端
     */
   FileClient getFileClient(String configId);

    /**
     * 创建文件客户端
     *
     * @param configId 配置编号
     * @param storage 存储器的枚举
     * @param config 文件配置
     */
    <Config extends FileClientConfig> void createOrUpdateFileClient(String configId, Config config);

}
