package com.crunii.micro.service.obs.core.client.s3;

import com.crunii.micro.service.obs.core.client.FileClientConfig;
import lombok.*;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


/**
 *  S3 文件客户端的配置类
 * @author wangchen create 2023/9/5 16:44
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Component
@ConfigurationProperties("obs.s3")
public class S3FileClientConfig implements FileClientConfig {

    private String obsName;

    private String endpoint;

    private String bucketName;

    private String accessKey;

    private String accessSecret;


    @Override
    public String getObsName() {
        return obsName;
    }
}
