package com.crunii.micro.service.obs.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/11 19:08
 */
@Data
public class FileDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("文件ID，文件的唯一标识")
    @NotBlank(message = "文件ID不能为空")
    private String fileId;

    @ApiModelProperty("文件类型，1表示h264高清1080p，2表示h264标清720p，3表示h265高清1080p，4表示h265标清720p，5代表封面图片")
    @NotBlank(message = "文件类型不能为空")
    private String fileType;

    @ApiModelProperty("服务类型")
    @NotNull(message = "服务类型不能为空")
    private Integer serverType;
}
