package com.crunii.micro.service.obs.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/11 19:32
 */
@Data
public class NoticeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("日期，格式为YYMMDD")
    @NotBlank(message = "日期不能为空")
    private String uploadDate;

    @ApiModelProperty("上传文件名")
    @NotBlank(message = "文件名不能为空")
    private String fileName;

    @ApiModelProperty("上传文件路径(目前未用到)")
    private String filePath;

    private String userCode;
}
