package com.crunii.micro.service.obs.enums;

import cn.hutool.core.util.ArrayUtil;
import com.alibaba.nacos.spring.enums.FileTypeEnum;
import com.crunii.micro.service.obs.core.client.FileClient;
import com.crunii.micro.service.obs.core.client.FileClientConfig;
import com.crunii.micro.service.obs.core.client.s3.S3FileClient;
import com.crunii.micro.service.obs.core.client.s3.S3FileClientConfig;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wangchen create 2023/9/2 17:07
 */
@AllArgsConstructor
@Getter
public enum FileStorageEnum {
    S3("s3", S3FileClientConfig.class, S3FileClient.class),
    ;

    /**
     * 存储器
     */
    private final String storage;

    /**
     * 配置类
     */
    private final Class<? extends FileClientConfig> configClass;
    /**
     * 客户端类
     */
    private final Class<? extends FileClient> clientClass;

    public static FileStorageEnum getByStorage(String storage) {
        return ArrayUtil.firstMatch(o -> o.getStorage().equals(storage), values());
    }

}
