package com.crunii.micro.service.obs.jdbc;

import com.crunii.micro.common.constants.CommonConstants;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.obs.dto.ZipFileVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-06-19
 */
@Repository
public class ZipFileJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    public List<ZipFileVo> getFileUrlList(List<String> uploadIdList) {
        StringBuilder sql = new StringBuilder("select file_key from (select upload_id, file_key from ycq_file_record where upload_id in (");
        List<Object> param = new ArrayList<>();
        uploadIdList.forEach(e -> {
            sql.append("?,");
            param.add(e);
        });
        sql.deleteCharAt(sql.length() - 1).append(")) record INNER JOIN (select upload_id from ycq_upload_info where state = ?)" +
                " info ON record.upload_id = info.upload_id ");
        param.add(CommonConstants.STATE_VALID);
        return jt.queryForBeans(ZipFileVo.class, sql.toString(), param.toArray());
    }

    public List<ZipFileVo> getObsFileList(List<String> uploadIdList) {
        StringBuilder sql = new StringBuilder("select object_key as file_key from ycq_obs_file where id in (");
        List<Object> param = new ArrayList<>();
        uploadIdList.forEach(e -> {
            sql.append("?,");
            param.add(e);
        });
        sql.deleteCharAt(sql.length() - 1).append(")");
        return jt.queryForBeans(ZipFileVo.class, sql.toString(), param.toArray());
    }
}
