/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.obs.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.obs.ObsServiceCodeDto;
import com.crunii.micro.domain.dto.sys.FileBase64;
import com.crunii.micro.domain.entity.main.YcqObsFile;
import com.crunii.micro.service.obs.dto.FileUploadStatus;
import com.crunii.micro.feign.client.dto.FileVo;
import com.obs.services.model.PutObjectResult;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

/**
 * @author shenhs create 2023/5/25 17:31
 */
@Deprecated
public interface ObsObjectService2 extends InitializingBean {
	/**
	 * 上传文件时取消上传,先标记,然后定时清除,防止资源浪费
	 * @param fileId
	 */
	void updateFileOperation(List<String> fileId);

	/**
	 * 判断对象是否存在
	 * @param objectName
	 * @return
	 * @throws Exception
	 */
	Result<String> exists(String objectName) throws Exception;
	/**
	 * 上传文件流
	 * @param bucketName
	 * @param inputStream
	 * @return
	 * @throws Exception
	 */
	PutObjectResult putObject(InputStream inputStream) throws Exception;

	/**
	 * 上传文件流
	 * @param bucketName 桶名字
	 * @param fileKey 文件名称
	 * @param inputStream
	 * @return
	 * @throws Exception
	 */
	PutObjectResult putObject(String fileKey, InputStream inputStream) throws Exception;

	/**
	 * 上传文件
	 * @param uploadFile 文件
	 * @param bucketName 桶名字
	 * @param fileName 文件名称带路径
	 * @return
	 * @throws Exception
	 */
	Result<FileVo> fileUpload(MultipartFile uploadFile, String fileName) throws Exception;

	/**
	 * app上传文件 base64
	 * @param fileBase64
	 * @return
	 * @throws Exception
	 */
	Result<FileVo> appFileUpload(FileBase64 fileBase64) throws Exception;

	/**
	 * 获取文件上传进度
	 * @param objectName
	 * @return
	 * @throws Exception
	 */
	Result<FileUploadStatus> getFileUploadPlan(String objectName) throws Exception;

	/**
	 * 获取文件下载进度
	 * @param objectName
	 * @return
	 * @throws Exception
	 */
	Result<FileUploadStatus> getFileDownPlan(String objectName) throws Exception;

	/**
	 * 上传file文件
	 * @param file 文件
	 * @param bucketName 桶名字
	 * @return
	 * @throws Exception
	 */
	PutObjectResult uploadFile(File file) throws Exception;

	/**
	 * 下载文件
 	 * @param request
	 * @param response
	 * @param fileRecordId
	 * @return
	 * @throws Exception
	 */
	int fileDownload(HttpServletRequest request, HttpServletResponse response,Long fileRecordId) throws Exception;

	/**
	 * 附件下载
	 * @param request
	 * @param response
	 * @param annexId
	 * @return
	 * @throws Exception
	 */
	void annexDownload(HttpServletRequest request, HttpServletResponse response,Long annexId) throws Exception;


	/**
	 * app下载量统计
	 * @param uploadId
	 * @return
	 */
	Result<String> appDownload(Long uploadId);
 	/**
	 * 删除(YcqUploadInfo)表文件
	 * @param uploadId
	 * @return
	 * @throws Exception
	 */
	Result<String> deleteObject(Long uploadId) throws Exception;

	/**
	 * 删除(YCQ_OBS_FILE)表文件
	 * @param fileId
	 * @return
	 * @throws Exception
	 */
	void deleteObject2(YcqObsFile ycqObsFile) throws Exception;

	/**
	 * 通过fileKeu删除文件
	 * @param fileKey
	 * @return
	 * @throws Exception
	 */
	Result<String> deleteObjectFileKey(List<String> fileKey);

	/**
	 * 上传大文件使用
	 * @param uploadFile
	 * @param fileName
	 * @return
	 * @throws Exception
	 */
	Result<Map<String,Object>> bigFileUpload(MultipartFile uploadFile, String fileName) throws Exception;

	Result<String> getKey(String key);

	/**
	 * 标记obsFile的业务编码
	 * @param obsServiceCodeDtos
	 */
	void updateObsServiceCode(List<ObsServiceCodeDto> obsServiceCodeDtos);
}
