package com.crunii.micro.service.obs.service.impl;

import com.crunii.micro.service.obs.core.client.FileClient;
import com.crunii.micro.service.obs.core.client.FileClientConfig;
import com.crunii.micro.service.obs.core.client.FileClientFactory;
import com.crunii.micro.service.obs.service.FileConfigService;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author wangchen create 2023/9/4 16:44
 */
@Service
public class FileConfigServiceImpl implements FileConfigService, ApplicationContextAware {


    @Resource
    private FileClientFactory fileClientFactory;



    @Value("${upload.model}")
    private String model;

    @Override
    public FileClient getFileClient() {
        return fileClientFactory.getFileClient(model);
    }


    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        Map<String, FileClientConfig> beansOfType = applicationContext.getBeansOfType(FileClientConfig.class);
        beansOfType.forEach((k,v)->{
            fileClientFactory.createOrUpdateFileClient(v.getObsName(),v);
        });
    }
}
