package com.crunii.micro.service.obs.service.impl;

import com.crunii.micro.service.obs.core.client.FileClient;
import com.crunii.micro.service.obs.service.FileConfigService;
import com.crunii.micro.service.obs.service.ObsBucketService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author shenhs create 2023/5/25 16:15
 * 华为OBS服务SDK概述 https://support.huaweicloud.com/sdkreference-obs/obs_02_0001.html
 */
@Service
public class ObsBucketServiceImpl implements ObsBucketService {

	@Resource
	private FileConfigService fileConfigService;


	@Override public void createBucket(String bucketName) throws Exception {
		FileClient fileClient = fileConfigService.getFileClient();
		fileClient.createBucket(bucketName);
	}

	@Override public void deleteBucket(String bucketName) {
		FileClient fileClient = fileConfigService.getFileClient();
		fileClient.deleteBucket(bucketName);
	}

	@Override
	public boolean exists(String bucketName) throws Exception {
		FileClient fileClient = fileConfigService.getFileClient();
		return fileClient.headBucket(bucketName);
	}

}
