/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.obs.service.impl;

import com.crunii.micro.service.obs.config.obs.ObsClientPoolFactory;
import com.crunii.micro.service.obs.service.ObsBucketService2;
import com.obs.services.ObsClient;
import com.obs.services.model.BucketStorageInfo;
import org.apache.commons.pool2.impl.GenericObjectPool;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author shenhs create 2023/5/25 16:15
 * 华为OBS服务SDK概述 https://support.huaweicloud.com/sdkreference-obs/obs_02_0001.html
 */
@Service
@Deprecated
public class ObsBucketServiceImpl2 implements ObsBucketService2 {

	@Autowired
	private ObsClientPoolFactory obsClientPoolFactory;

	private GenericObjectPool<ObsClient> pool;

	@Override public void afterPropertiesSet() throws Exception {
		pool = obsClientPoolFactory.getObject();
	}

	@Override public void createBucket(String bucketName) throws Exception {
		ObsClient obsClient = pool.borrowObject();
		try{
			obsClient.createBucket(bucketName);
		}catch (Exception e){
			throw e;
		}finally {
			pool.returnObject(obsClient);
		}
	}

	@Override public void deleteBucket(String bucketName) throws Exception {
		ObsClient obsClient = pool.borrowObject();
		try{
			obsClient.deleteBucket(bucketName);
		}catch (Exception e){
			throw e;
		}finally {
			pool.returnObject(obsClient);
		}
	}

	@Override
	public BucketStorageInfo getBucketInfo(String bucketName) throws Exception {
		ObsClient obsClient = pool.borrowObject();
		try{
			BucketStorageInfo bucketStorageInfo = obsClient.getBucketStorageInfo(bucketName);
			return bucketStorageInfo;
		}catch (Exception e) {
			throw e;
		}finally {
			pool.returnObject(obsClient);
		}

	}

	@Override
	public boolean exists(String bucketName) throws Exception {
		ObsClient obsClient = pool.borrowObject();
		try{
			return obsClient.headBucket(bucketName);
		}catch (Exception e){
			throw e;
		}finally {
			pool.returnObject(obsClient);
		}
	}

}
