package com.crunii.micro.service.oneaffair.commo.base;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;

/**
 * Author：dadm
 * Date：2023-09-21 10:28
 * Description：<描述>
 */
public class TimestampRangePredicate<T> implements FieldRestriction<T> {
    private final String fieldName;
    private final Timestamp startTime;
    private final Timestamp endTime;

    public TimestampRangePredicate(String fieldName, Long startTime, Long endTime) {
        this.fieldName = fieldName;
        this.startTime = new Timestamp(startTime);
        this.endTime = new Timestamp(endTime);
    }

    @Override
    public List<Predicate> addRestriction(Root<T> root, CriteriaBuilder criteriaBuilder) {
        List<Predicate> extPredicates = new ArrayList<>();
        extPredicates.add(criteriaBuilder.greaterThanOrEqualTo(root.get(fieldName), startTime));
        extPredicates.add(criteriaBuilder.lessThan(root.get(fieldName), endTime));
        return extPredicates;
    }
}
