package com.crunii.micro.service.oneaffair.commoncontroller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.oneaffair.dto.vo.studentCourse.StudentCourseReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentTest.InitStudentTestReq;
import com.crunii.micro.service.oneaffair.service.QzhService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author : hw
 * @date : 2023-11-23
 */
@Slf4j
@Api(tags = "青字号接口")
@RestController
@RequestMapping("/yjs/qzh/auth")
public class qzhController {

    @Resource
    private QzhService qzhServiceImpl;

    @ApiOperation(value = "清除(重置)考试记录")
    @RequestMapping(path = "/resetExamRecords", method = RequestMethod.POST)
    @ResponseBody
    public Result<Object> resetExamRecords(@RequestBody StudentCourseReq req) {
        log.info("StudentCourseController.resetExamRecords.param：{}", req.toString());
        try {
            return qzhServiceImpl.resetExamRecords(req);
        } catch (BusinessException e) {
            log.error("StudentCourseController.initStudentTest.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("StudentCourseController.initStudentTest.error: {}", e.getMessage());
            e.printStackTrace();
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }


}
