package com.crunii.micro.service.oneaffair.controller;


import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.oneaffair.dto.vo.homePage.HomePageVo;
import com.crunii.micro.service.oneaffair.service.HomePageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.math.BigInteger;

@Slf4j
@Api(tags = "红领巾首页接口")
@RestController
@RequestMapping("/yjs/homePage/auth")
public class HomePageController {

    @Resource
    private HomePageService homePageService;

    @ApiOperation(value = "首页信息")
    @RequestMapping(path ="/studentIndex", method = RequestMethod.GET)
    public Result<HomePageVo> index(@RequestParam("studentId")  BigInteger studentId) {
        log.info("HomePageController.index.param：{}", studentId);
        try {
            return Result.ofSuccess(homePageService.index(studentId));
        } catch (BusinessException e) {
            log.error("HomePageController.index.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("HomePageController.index.error: {}", e.getMessage());
            e.printStackTrace();
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }



}
