package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.oneaffair.enums.SexTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/**
 * 优秀学生 Excel导出对象
 */
@Data
public class GoodStudentInfoExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "学年")
    private String schoolYear;

    @ExcelProperty(value = "学生照片")
    private String studentPhotoUrl;

    @ExcelProperty(value = "学生编号")
    private String studentNum;

    @ExcelProperty(value = "学生姓名")
    private String studentName;

    @ExcelProperty(value = "性别")
    private String sexStr;

    /**
     * 性别: 0-女，1-男
     */
    @ExcelIgnore
    private Integer sex;

    public void setSex(Integer sex){
        this.sex = sex;
        this.sexStr = SexTypeEnum.getDesc(sex);
    }

    @ExcelProperty(value = "政治面貌")
    private String politicalStatus;

    @ExcelProperty(value = "学校")
    private String schoolName;

    @ExcelProperty(value = "年级")
    private String gradeName;

    @ExcelProperty(value = "班级")
    private String className;

    @ExcelProperty(value = "优秀称号")
    private String honoraryTitle;

    @ExcelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

}
