package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.oneaffair.enums.SexTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 学生表(YCQ_YJS_STUDENT)表 Excel导出对象
 */
@Data
public class StudentInfoExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "学生编号")
    private String studentNum;

    @ExcelProperty(value = "学生姓名")
    private String studentName;

    @ExcelProperty(value = "性别")
    private String sexStr;

    /**
     * 性别: 0-女，1-男
     */
    @ExcelIgnore
    private Integer sex;

    public void setSex(Integer sex){
        this.sex = sex;
        this.sexStr = SexTypeEnum.getDesc(sex);
    }

    @ExcelProperty(value = "身份证号")
    private String identityCardNo;

    @ExcelProperty(value = "政治面貌")
    private String politicalStatus;

    @ExcelProperty(value = "学生岗位个数")
    private int studentPositionCount;

    @ExcelProperty(value = "荣誉称号个数")
    private int honoraryTitleCount;

    @ExcelProperty(value = "学校名称")
    private String currentSchoolName;

    @ExcelProperty(value = "年级")
    private String currentGradeName;

    @ExcelProperty(value = "班级")
    private String currentClassName;

    @ExcelProperty(value = "班主任姓名")
    private String currentClassDirectorName;

    @ExcelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

}
