package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;

/**
 * 学生数据Excel导入对象
 */
@Data
public class StudentInfoImportExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(index = 0)
    private String rowNum;

    /**
     * 学生姓名
     */
    @ExcelProperty(index = 1)
    private String studentName;

    /**
     * 学生性别
     */
    @ExcelProperty(index = 2)
    private String sexStr;

    /**
     * 性别: 0-女，1-男
     */
    @ExcelIgnore
    private Integer sex;

    /**
     * 身份证号
     */
    @ExcelProperty(index = 3)
    private String identityCardNo;

    /**
     * 手机号
     */
    @ExcelProperty(index = 4)
    private String mobile;

    /**
     * 政治面貌
     */
    @ExcelProperty(index = 5)
    private String politicalStatus;

    /**
     * 政治面貌类型
     */
    @ExcelIgnore
    private String politicalStatusType;


    /**
     * 当前学校ID
     */
    @ExcelIgnore
    private BigInteger currentSchoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(index = 6)
    private String currentSchoolName;

    /**
     * 当前年级ID
     */
    @ExcelIgnore
    private BigInteger currentGradeId;

    /**
     * 年级
     */
    @ExcelProperty(index = 7)
    private String currentGradeName;

    /**
     * 当前班级ID
     */
    @ExcelIgnore
    private BigInteger currentClassId;

    /**
     * 班级
     */
    @ExcelProperty(index = 8)
    private String currentClassName;

    /**
     * 学期类型
     */
    @ExcelIgnore
    private String semesterType;

    /**
     * 学期
     */
    @ExcelProperty(index = 9)
    private String semesterName;

    /**
     * 当前班主任ID
     */
    @ExcelIgnore
    private BigInteger currentClassDirectorId;

    /**
     * 班主任姓名
     */
    @ExcelProperty(index = 10)
    private String currentClassDirectorName;

    /**
     * 辅导老师ID
     */
    @ExcelIgnore
    private BigInteger tutorTeacherId;

    /**
     * 辅导老师姓名
     */
    @ExcelProperty(index = 11)
    private String tutorTeacherName;

    /**
     * 所属组织
     */
    @ExcelProperty(index = 12)
    private String youthCommitteeOrgName;

    /**
     * 团委组织ID
     */
    @ExcelIgnore
    private BigInteger youthCommitteeOrgId;

    /**
     * 完成状态：0-未处理；1-成功；2-失败
     */
    @ExcelIgnore
    private Integer completeStatus;

    /**
     * 验证状态：0-未通过；1-通过
     */
    @ExcelIgnore
    private Integer verifyStatus;

    /**
     * 失败原因
     */
    @ExcelIgnore
    private String errorMessage;

    /**
     * 学生ID
     */
    @ExcelIgnore
    private BigInteger studentId;

    /**
     * 学生编号
     */
    @ExcelIgnore
    private String studentNum;


}
