package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.oneaffair.enums.IfFlagEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class StudentInfoThreeExportExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "序号")
    private String rowNum;

    @ExcelProperty(value = "学生姓名")
    private String studentName;

    @ExcelProperty(value = "学生性别")
    private String sexStr;

    @ExcelProperty(value = "身份证号")
    private String identityCardNo;

    @ExcelProperty(value = "手机号")
    private String mobile;

    @ExcelProperty(value = "政治面貌")
    private String politicalStatus;

    @ExcelProperty(value = "入队时间")
    private String joinYoungPioneersTimeStr;

    @ExcelProperty(value = "入团时间")
    private String joinYouthLeagueTimeStr;

    @ExcelProperty(value = "学校名称")
    private String currentSchoolName;

    @ExcelProperty(value = "年级")
    private String currentGradeName;

    @ExcelProperty(value = "班级")
    private String currentClassName;

    @ExcelProperty(value = "学期")
    private String semesterName;

    @ExcelProperty(value = "班主任姓名")
    private String currentClassDirectorName;

    @ExcelProperty(value = "辅导老师姓名")
    private String tutorTeacherName;

    @ExcelProperty(value = "所属组织")
    private String youthCommitteeOrgName;

    @ExcelProperty(value = "校验是否通过")
    private String verifyStatusStr;

    @ExcelProperty(value = "校验不通过原因")
    private String errorMessage;


    /**
     * 验证状态：0-未通过；1-通过
     */
    @ExcelIgnore
    private Integer verifyStatus;

    public void setVerifyStatus(Integer verifyStatus) {
        this.verifyStatus = verifyStatus;
        this.verifyStatusStr = IfFlagEnum.getDesc(verifyStatus);
    }

}
