package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.oneaffair.enums.IfFlagEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class StudentInfoThreeResultExportExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "序号")
    private String rowNum;

    @ExcelProperty(value = "学生姓名")
    private String studentName;

    @ExcelProperty(value = "学生性别")
    private String sexStr;

    @ExcelProperty(value = "身份证号")
    private String identityCardNo;

    @ExcelProperty(value = "手机号")
    private String mobile;

    @ExcelProperty(value = "政治面貌")
    private String politicalStatus;

    @ExcelProperty(value = "入队时间")
    private String joinYoungPioneersTimeStr;

    @ExcelProperty(value = "入团时间")
    private String joinYouthLeagueTimeStr;

    @ExcelProperty(value = "学校名称")
    private String currentSchoolName;

    @ExcelProperty(value = "年级")
    private String currentGradeName;

    @ExcelProperty(value = "班级")
    private String currentClassName;

    @ExcelProperty(value = "学期")
    private String semesterName;

    @ExcelProperty(value = "班主任姓名")
    private String currentClassDirectorName;

    @ExcelProperty(value = "辅导老师姓名")
    private String tutorTeacherName;

    @ExcelProperty(value = "所属组织")
    private String youthCommitteeOrgName;

    @ExcelProperty(value = "导入是否成功")
    private String completeStatusStr;

    /**
     * 导入状态：0-失败；1-成功
     */
    @ExcelIgnore
    private Integer completeStatus;

    public void setCompleteStatus(Integer completeStatus){
        this.completeStatus = completeStatus;
        this.completeStatusStr = IfFlagEnum.getDesc(completeStatus);
    }

    @ExcelProperty(value = "失败原因")
    private String errorMessage;

    @ExcelProperty(value = "学生编号")
    private String studentNum;

}
