package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.GradeInfo;
import com.crunii.micro.service.oneaffair.enums.IfFlagEnum;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

/**
 * 教师数据Excel导入对象
 */
@Data
public class TeacherInfoExportExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(value = "序号")
    private String rowNum;

    /**
     * 教师姓名
     */
    @ExcelProperty(value = "教师姓名")
    private String teacherName;

    /**
     * 教师性别
     */
    @ExcelProperty(value = "教师性别")
    private String sexStr;

    /**
     * 教师工号
     */
    @ExcelProperty(value = "教师工号")
    private String loginCode;

    /**
     * 手机号
     */
    @ExcelProperty(value = "手机号")
    private String mobile;

    /**
     * 身份证号
     */
    @ExcelProperty(value = "身份证号")
    private String identityCardNo;

    /**
     * 教师职务
     */
    @ExcelProperty(value = "教师职务")
    private String teacherPosition;

    /**
     * 少先队职务
     */
    @ExcelProperty(value = "少先队职务")
    private String youngPioneerPosition;

    /**
     * 政治面貌
     */
    @ExcelProperty(value = "政治面貌")
    private String politicalStatus;

    /**
     * 所属学校
     */
    @ExcelProperty(value = "所属学校")
    private String schoolName;

    /**
     * 负责年级/班级
     */
    @ExcelProperty(value = "负责年级/班级")
    private String gradeClassStr;

    /**
     * 所属组织
     */
    @ExcelProperty(value = "所属组织")
    private String youthCommitteeOrgName;

    /**
     * 所属组织
     */
    @ExcelProperty(value = "校验是否通过")
    private String verifyStatusStr;

    /**
     * 验证状态：0-未通过；1-通过
     */
    @ExcelIgnore
    private Integer verifyStatus;

    public void setVerifyStatus(Integer verifyStatus){
        this.verifyStatus = verifyStatus;
        this.verifyStatusStr = IfFlagEnum.getDesc(verifyStatus);
    }

    /**
     * 失败原因
     */
    @ExcelProperty(value = "校验不通过原因")
    private String errorMessage;


}
