package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.GradeInfo;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.TeacherBindingClassCreateReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

/**
 * 教师数据Excel导入对象
 */
@Data
public class TeacherInfoImportExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @ExcelProperty(index = 0)
    private String rowNum;

    /**
     * 教师姓名
     */
    @ExcelProperty(index = 1)
    private String teacherName;

    /**
     * 教师性别
     */
    @ExcelProperty(index = 2)
    private String sexStr;

    /**
     * 性别: 0-女，1-男
     */
    @ExcelIgnore
    private Integer sex;

    /**
     * 教师工号
     */
    @ExcelProperty(index = 3)
    private String loginCode;

    /**
     * 手机号
     */
    @ExcelProperty(index = 4)
    private String mobile;

    /**
     * 身份证号
     */
    @ExcelProperty(index = 5)
    private String identityCardNo;

    /**
     * 教师职务
     */
    @ExcelProperty(index = 6)
    private String teacherPosition;

    /**
     * 教师职务类型
     */
    @ExcelIgnore
    private String teacherPositionType;

    /**
     * 少先队职务
     */
    @ExcelProperty(index = 7)
    private String youngPioneerPosition;

    /**
     * 少先队职务类型
     */
    @ExcelIgnore
    private String youngPioneerPositionType;

    /**
     * 政治面貌
     */
    @ExcelProperty(index = 8)
    private String politicalStatus;

    /**
     * 政治面貌类型
     */
    @ExcelIgnore
    private String politicalStatusType;

    /**
     * 所属学校
     */
    @ExcelProperty(index = 9)
    private String schoolName;

    /**
     * 学校ID
     */
    @ExcelIgnore
    private BigInteger schoolId;

    /**
     * 负责年级/班级
     */
    @ExcelProperty(index = 10)
    private String gradeClassStr;

    /**
     * 负责年级/班级树状图
     */
    @ExcelIgnore
    private List<TeacherBindingClassCreateReq> teacherBindingClassCreateList;

    /**
     * 所属组织
     */
    @ExcelProperty(index = 11)
    private String youthCommitteeOrgName;

    /**
     * 团委组织ID
     */
    @ExcelIgnore
    private BigInteger youthCommitteeOrgId;

    /**
     * 完成状态：0-失败；1-成功
     */
    @ExcelIgnore
    private Integer completeStatus;

    /**
     * 验证状态：0-未通过；1-通过
     */
    @ExcelIgnore
    private Integer verifyStatus;

    /**
     * 失败原因
     */
    @ExcelIgnore
    private String errorMessage;

    /**
     * 教师ID
     */
    @ExcelIgnore
    private BigInteger teacherId;

    /**
     * 教师编号
     */
    @ExcelIgnore
    private String teacherNum;


}
