package com.crunii.micro.service.oneaffair.dto.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.service.oneaffair.enums.IfFlagEnum;
import lombok.Data;

import java.io.Serializable;

@Data
public class TeacherInfoResultExportExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "序号")
    private String rowNum;

    @ExcelProperty(value = "教师姓名")
    private String teacherName;

    @ExcelProperty(value = "教师性别")
    private String sexStr;

    @ExcelProperty(value = "教师工号")
    private String loginCode;

    @ExcelProperty(value = "手机号")
    private String mobile;

    @ExcelProperty(value = "身份证号")
    private String identityCardNo;

    @ExcelProperty(value = "教师职务")
    private String teacherPosition;

    @ExcelProperty(value = "少先队职务")
    private String youngPioneerPosition;

    @ExcelProperty(value = "政治面貌")
    private String politicalStatus;

    @ExcelProperty(value = "所属学校")
    private String schoolName;

    @ExcelProperty(value = "负责年级/班级")
    private String gradeClassStr;

    @ExcelProperty(value = "所属组织")
    private String youthCommitteeOrgName;

    @ExcelProperty(value = "导入是否成功")
    private String completeStatusStr;

    /**
     * 导入状态：0-失败；1-成功
     */
    @ExcelIgnore
    private Integer completeStatus;

    public void setCompleteStatus(Integer completeStatus){
        this.completeStatus = completeStatus;
        this.completeStatusStr = IfFlagEnum.getDesc(completeStatus);
    }

    @ExcelProperty(value = "失败原因")
    private String errorMessage;

    @ExcelProperty(value = "教师编号")
    private String teacherNum;


}
