package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;
import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_EVALUATE_INDEX")
@NamedQuery(name = "YcqYjsEvaluateIndex.findAll", query = "SELECT t FROM YcqYjsEvaluateIndex t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "评价指标")
public class YcqYjsEvaluateIndex implements Serializable {
    
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@ApiModelProperty(name = "id", notes = "主键")
	@Column(name = "id")
    private BigInteger id;
    
	@Column(name = "system_id")
	@ApiModelProperty(name = "systemId",notes = "体系id")
    private BigInteger systemId;
    
	@Column(name = "parent_id")
	@ApiModelProperty(name = "parentId",notes = "上级指标id")
    private BigInteger parentId;
    
	@Column(name = "name")
	@ApiModelProperty(name = "name",notes = "指标名称")
    private String name;
    
	@Column(name = "judgment_method")
	@ApiModelProperty(name = "judgmentMethod",notes = "判断方式 1 无需判断 2 系统判断 3 人工判断")
    private String judgmentMethod;
    
	@Column(name = "calculation_method")
	@ApiModelProperty(name = "calculationMethod",notes = "计算方式 1 按分数计算")
    private String calculationMethod;
    
	@Column(name = "index_type")
	@ApiModelProperty(name = "indexType",notes = "指标类型 1 计分指标 2 等级指标 3 判断指标")
    private String indexType;
    
	@Column(name = "index_level")
	@ApiModelProperty(name = "indexLevel",notes = "指标等级")
    private Integer indexLevel;
    
	@Column(name = "score")
	@ApiModelProperty(name = "score",notes = "分值")
    private BigInteger score;
    
	@Column(name = "grade")
	@ApiModelProperty(name = "grade",notes = "等级 A B C D")
    private String grade;
    
	@Column(name = "is_satisfy")
	@ApiModelProperty(name = "isSatisfy",notes = "是否 1 满足 2 不满足")
    private String isSatisfy;
    
	@Column(name = "show_type")
	@ApiModelProperty(name = "showType",notes = "1 按分值 2 按等级 3 按条件")
    private String showType;
    
	@Column(name = "create_worker")
	@ApiModelProperty(name = "createWorker",notes = "创建人")
    private Integer createWorker;
    
	@Column(name = "update_worker")
	@ApiModelProperty(name = "updateWorker",notes = "修改人")
    private Integer updateWorker;
    
	@Column(name = "create_time")
	@ApiModelProperty(name = "createTime",notes = "创建时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    
	@Column(name = "update_time")
	@ApiModelProperty(name = "updateTime",notes = "修改时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    
	@Column(name = "del_flag")
	@ApiModelProperty(name = "delFlag",notes = "逻辑删除 0 未删除 1 删除")
    private Integer delFlag;


	@Column(name = "sort")
	@ApiModelProperty(name = "sort",notes = "指标排序")
	private Integer sort;

	@Column(name = "system_rule")
	@ApiModelProperty(name = "systemRule",notes = "系统规则")
	private String systemRule;

	@Column(name = "index_description")
	@ApiModelProperty(name = "indexDescription",notes = "指标描述")
	private String indexDescription;

}