package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;
import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;


@Entity
@Table(name = "YCQ_YJS_EVALUATE_SYSTEM")
@NamedQuery(name = "YcqYjsEvaluateSystem.findAll", query = "SELECT t FROM YcqYjsEvaluateSystem t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "评价体系")
public class YcqYjsEvaluateSystem implements Serializable {
    
	private static final long serialVersionUID = 1L;
     

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@ApiModelProperty(name = "id", notes = "主键")
	@Column(name = "id")
    private BigInteger id;
    
	@Column(name = "name")
	@ApiModelProperty(name = "name",notes = "体系名称")
    private String name;
    
	@Column(name = "app_id")
	@ApiModelProperty(name = "appId",notes = "所属业务Id")
    private BigInteger appId;
    
	@Column(name = "app_name")
	@ApiModelProperty(name = "appName",notes = "所属业务名称")
	@Length(max= 255,message="编码长度不能超过255")
    private String appName;
    
	@Column(name = "business_scenario")
	@ApiModelProperty(name = "businessScenario",notes = "业务场景")
	@Length(max= 255,message="编码长度不能超过255")
    private String businessScenario;
    
	@Column(name = "use_range")
	@ApiModelProperty(name = "useRange",notes = "使用范围 1 全平台 2 按机构")
    private String useRange;

	@Column(name = "level")
	@ApiModelProperty(name = "level",notes = "指标最大等级  1:一级，2：二级，3：三级，4：四级")
	private Integer level;

    
	@Column(name = "create_worker")
	@ApiModelProperty(name = "createWorker",notes = "创建人")
    private Integer createWorker;
    
	@Column(name = "update_worker")
	@ApiModelProperty(name = "updateWorker",notes = "修改人")
    private Integer updateWorker;
    
	@Column(name = "create_time")
	@ApiModelProperty(name = "createTime",notes = "创建时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    
	@Column(name = "update_time")
	@ApiModelProperty(name = "updateTime",notes = "修改时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    
	@Column(name = "del_flag")
	@ApiModelProperty(name = "delFlag",notes = "逻辑删除 0 未删除 1 删除")
    private Integer delFlag;

}