package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_IMPORT_RECORD")
@NamedQuery(name = "YcqYjsImportRecord.findAll", query = "SELECT t FROM YcqYjsImportRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "批量导入记录表")
public class YcqYjsImportRecord implements Serializable {

    private static final long serialVersionUID = 1L;


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "file_name")
    @ApiModelProperty(name = "fileName", notes = "文件名称")
    private String fileName;

    @Column(name = "total_size")
    @ApiModelProperty(name = "totalSize", notes = "总共导入条数")
    private Integer totalSize;

    @Column(name = "success_size")
    @ApiModelProperty(name = "successSize", notes = "成功导入条数")
    private Integer successSize;

    @Column(name = "error_size")
    @ApiModelProperty(name = "errorSize", notes = "失败导入条数")
    private Integer errorSize;

    @Column(name = "complete_status")
    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未开始；1-进行中；2-已完成")
    private Integer completeStatus;

    @Column(name = "complete_time")
    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @Column(name = "operate_type")
    @ApiModelProperty(name = "operateType", notes = "操作类型：1-教师导入；2-队前学生导入；3-入队学生导入；4-推优入团学生导入")
    private Integer operateType;

    @Column(name = "data_json")
    @ApiModelProperty(name = "dataJson", notes = "导入数据JSON")
    private String dataJson;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Column(name = "created_name")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Column(name = "last_updated_name")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新名称")
    private String lastUpdatedName;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}
