package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_MEDAL")
@NamedQuery(name = "YcqYjsMedal.findAll", query = "SELECT t FROM YcqYjsMedal t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "奖章表")
public class YcqYjsMedal implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @ApiModelProperty(name = "medalNo", notes = "奖章编号")
    @Column(name = "medal_no")
    private String medalNo;

    @ApiModelProperty(name = "medalName", notes = "奖章名称")
    @Column(name = "medal_name")
    private String medalName;

    @ApiModelProperty(name = "medalPicKey", notes = "奖章图片key")
    @Column(name = "medal_pic_key")
    private String medalPicKey;

    @ApiModelProperty(name = "medalLevel", notes = "奖章级别 0:统一奖章 1:学校自定义奖章")
    @Column(name = "medal_level")
    private String medalLevel;

    @ApiModelProperty(name = "medalType", notes = "奖章类型 字典")
    @Column(name = "medal_type")
    private String medalType;

    @ApiModelProperty(name = "medalMark", notes = "奖章标识 字典")
    @Column(name = "medal_mark")
    private String medalMark;

    @ApiModelProperty(name = "medalSort", notes = "奖章排序")
    @Column(name = "medal_sort")
    private Integer medalSort;

    @ApiModelProperty(name = "ownerGrade", notes = "所属年级 组织树")
    @Column(name = "owner_grade")
    private String ownerGrade;

    @ApiModelProperty(name = "ownerGradeName", notes = "所属年级名称")
    @Column(name = "owner_grade_name")
    private String ownerGradeName;

    @ApiModelProperty(name = "ownerClass", notes = "所属班级")
    @Column(name = "owner_class")
    private String ownerClass;

    @ApiModelProperty(name = "ownerSemester", notes = "所属学期字典")
    @Column(name = "owner_semester")
    private String ownerSemester;

    @ApiModelProperty(name = "ownerSemesterName", notes = "所属学期名称")
    @Column(name = "owner_semester_name")
    private String ownerSemesterName;

    @ApiModelProperty(name = "displayStatus", notes = "展示状态 0:展示 1:不展示")
    @Column(name = "display_status")
    private Integer displayStatus;

    @ApiModelProperty(name = "introduction", notes = "简介")
    @Column(name = "introduction")
    private String introduction;

    @ApiModelProperty(name = "unifyMedalNo", notes = "全国统一奖章编号")
    @Column(name = "unify_medal_no")
    private String unifyMedalNo;

    @ApiModelProperty(name = "medalLevelName", notes = "奖章级别名称")
    @Column(name = "medal_level_name")
    private String medalLevelName;

    @ApiModelProperty(name = "medalTypeName", notes = "奖章类型名称")
    @Column(name = "medal_type_name")
    private String medalTypeName;

    @ApiModelProperty(name = "medalMarkName", notes = "奖章标识名称")
    @Column(name = "medal_mark_name")
    private String medalMarkName;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    @Column(name = "created_name")
    private String createdName;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

    @ApiModelProperty(name = "orgId", notes = "学校id")
    @Column(name = "org_id")
    private String orgId;

    @ApiModelProperty(name = "orgName", notes = "学校名称")
    @Column(name = "org_name")
    private String orgName;

}