package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_MEDAL_APP")
@NamedQuery(name = "YcqYjsMedalApp.findAll", query = "SELECT t FROM YcqYjsMedalApp t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "奖章配置业务关联表")
public class YcqYjsMedalApp implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "主键",notes = "")
    @Column(name = "id")
    private BigInteger id;

    @ApiModelProperty(name = "奖章id",notes = "")
    @Column(name = "medal_id")
    private BigInteger medalId;

    @ApiModelProperty(name = "业务编码",notes = "")
    @Column(name = "app_code")
    private String appCode;

    @ApiModelProperty(name = "业务名称",notes = "")
    @Column(name = "app_name")
    private String appName;

    @ApiModelProperty(name = "是否删除：0-未删除；1-已删除",notes = "")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty(name = "创建时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "创建人ID",notes = "")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "最后更新时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "最后更新人ID",notes = "")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

}