package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_MEDAL_RULE")
@NamedQuery(name = "YcqYjsMedalRule.findAll", query = "SELECT t FROM YcqYjsMedalRule t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "争章规则表")
public class YcqYjsMedalRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "主键",notes = "")
    @Column(name = "id")
    private BigInteger id;

    @ApiModelProperty(name = "主键",notes = "")
    @Column(name = "medal_id")
    private BigInteger medalId;

    @ApiModelProperty(name = "规则判断方式 0:系统判断 1:人工判断",notes = "")
    @Column(name = "rule_type")
    private Integer ruleType;

    @ApiModelProperty(name = "规则内容",notes = "")
    @Column(name = "rule_content")
    private String ruleContent;

    @ApiModelProperty(name = "规则内容编码 系统判断用",notes = "")
    @Column(name = "system_rule_code")
    private String systemRuleCode;

    @ApiModelProperty(name = "是否需要上传凭证 0:不需要 1:需要",notes = "")
    @Column(name = "need_voucher")
    private Integer needVoucher;

    @ApiModelProperty(name = "是否删除：0-未删除；1-已删除",notes = "")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty(name = "创建时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "创建人ID",notes = "")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "创建人名称", notes = "")
    @Column(name = "created_name")
    private String createdName;

    @ApiModelProperty(name = "最后更新时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "最后更新人ID",notes = "")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

    @ApiModelProperty(name = "orgId", notes = "学校id")
    @Column(name = "org_id")
    private String orgId;

    @ApiModelProperty(name = "orgName", notes = "学校名称")
    @Column(name = "org_name")
    private String orgName;


    @ApiModelProperty(name = "ownerGrade", notes = "所属年级 组织树")
    @Column(name = "owner_grade")
    private String ownerGrade;

    @ApiModelProperty(name = "ownerGradeName", notes = "所属年级名称")
    @Column(name = "owner_grade_name")
    private String ownerGradeName;
}