package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_MEDAL_UNIFY")
@NamedQuery(name = "YcqYjsMedalUnify.findAll", query = "SELECT t FROM YcqYjsMedalUnify t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "全国统一奖章表")
public class YcqYjsMedalUnify implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "主键",notes = "")
    @Column(name = "id")
    private BigInteger id;

    @ApiModelProperty(name = "奖章编号",notes = "")
    @Column(name = "medal_no")
    private String medalNo;

    @ApiModelProperty(name = "奖章名称",notes = "")
    @Column(name = "medal_name")
    private String medalName;

    @ApiModelProperty(name = "奖章图片key",notes = "")
    @Column(name = "medal_pic_key")
    private String medalPicKey;

    @ApiModelProperty(name = "奖章类型 字典",notes = "")
    @Column(name = "medal_type")
    private String medalType;

    @ApiModelProperty(name = "奖章标识 字典",notes = "")
    @Column(name = "medal_mark")
    private String medalMark;

    @ApiModelProperty(name = "展示状态 0:展示 1:不展示",notes = "")
    @Column(name = "display_status")
    private Integer displayStatus;

    @ApiModelProperty(name = "简介",notes = "")
    @Column(name = "introduction")
    private String introduction;

    @ApiModelProperty(name = "奖章类型名称",notes = "")
    @Column(name = "medal_type_name")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章标识名称", notes = "")
    @Column(name = "medal_mark_name")
    private String medalMarkName;

    @ApiModelProperty(name = "是否删除：0-未删除；1-已删除",notes = "")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty(name = "创建时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "创建人ID",notes = "")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "创建人名称", notes = "")
    @Column(name = "created_name")
    private String createdName;

    @ApiModelProperty(name = "最后更新时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "最后更新人ID",notes = "")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

}