package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;
import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_SERVICE_DURATION")
@NamedQuery(name = "YcqYjsServiceDuration.findAll", query = "SELECT t FROM YcqYjsServiceDuration t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "服务时长表")
public class YcqYjsServiceDuration implements Serializable {
    
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@ApiModelProperty(name = "id", notes = "主键")
	@Column(name = "id")
    private BigInteger id;
    
	@Column(name = "zyz_user_id")
	@ApiModelProperty(name = "zyzUserId",notes = "志愿山城用户id")
    private BigInteger zyzUserId;
    
	@Column(name = "total_time")
	@ApiModelProperty(name = "totalTime",notes = "服务时长")
    private BigDecimal totalTime;
    
	@Column(name = "zyz_user_count_id")
	@ApiModelProperty(name = "zyzUserCountId",notes = "志愿山城服务时长表id")
    private BigInteger zyzUserCountId;
    
	@Column(name = "start_now")
	@ApiModelProperty(name = "startNow",notes = "当前星级")
    private Integer startNow;
    
	@Column(name = "volunteer_no")
	@ApiModelProperty(name = "volunteerNo",notes = "志愿者编号")
    private String volunteerNo;
    
	@Column(name = "mobile")
	@ApiModelProperty(name = "mobile",notes = "手机号")
    private String mobile;
    
	@Column(name = "volunteer_name")
	@ApiModelProperty(name = "volunteerName",notes = "志愿者姓名")
    private String volunteerName;
    
	@Column(name = "volunteer_sex")
	@ApiModelProperty(name = "volunteerSex",notes = "性别:0-未知的性别 1-男性 2-女性 3-女性改（变）为男性 4-男性改（变）为女性 9-未说明的性别")
    private Integer volunteerSex;
    
	@Column(name = "cert_type")
	@ApiModelProperty(name = "certType",notes = "证件类型:不填默认为身份证(01): 01、身份证 02、护照 03、军官证 04、警官证 05、士兵证 06、台湾居民来往大陆通行证 07、回乡证 08、港澳居民来往内地通行证 09、港澳台居民居住证 99、其他")
    private String certType;
    
	@Column(name = "cert_no")
	@ApiModelProperty(name = "certNo",notes = "证件号码")
    private String certNo;
    
	@Column(name = "del_flag")
	@ApiModelProperty(name = "delFlag",notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;
    
	@Column(name = "created_time")
	@ApiModelProperty(name = "createdTime",notes = "创建时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;
    
	@Column(name = "created_id")
	@ApiModelProperty(name = "createdId",notes = "创建人ID")
    private BigInteger createdId;
    
	@Column(name = "last_updated_time")
	@ApiModelProperty(name = "lastUpdatedTime",notes = "最后更新时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;
    
	@Column(name = "last_updated_id")
	@ApiModelProperty(name = "lastUpdatedId",notes = "最后更新人ID")
    private BigInteger lastUpdatedId;
    
	@Column(name = "data_synchronization_time")
	@ApiModelProperty(name = "dataSynchronizationTime",notes = "数据同步时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataSynchronizationTime;

}