
package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;
import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_STUDENT_BINDING_USER")
@NamedQuery(name = "YcqYjsStudentBindingUser.findAll", query = "SELECT t FROM YcqYjsStudentBindingUser t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "学生与用户的绑定表")
public class YcqYjsStudentBindingUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "student_id")
    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @Column(name = "user_id")
    @ApiModelProperty(name = "userId", notes = "用户ID")
    private BigInteger userId;

    @Column(name = "user_type")
    @ApiModelProperty(name = "userType", notes = "用户类型：0-学生；1-家长")
    private Integer userType;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag",notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime",notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId",notes = "创建人ID")
    private BigInteger createdId;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime",notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId",notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @Column(name = "in_flag")
    @ApiModelProperty(name = "inFlag", notes = "默认进入系统标志：1-进入，0-未进入")
    private Integer inFlag;

}