package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_STUDENT_COURSE_UPLOAD_VIDEO")
@NamedQuery(name = "YcqYjsStudentCourseUploadVideo.findAll", query = "SELECT t FROM YcqYjsStudentCourseUploadVideo t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "学生课程上传视频表")
public class YcqYjsStudentCourseUploadVideo implements Serializable {

    private static final long serialVersionUID = 1L;


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "student_course_id")
    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID")
    private BigInteger studentCourseId;

    @Size(max= 255,message="视频名称不能超过255")
    @Column(name = "file_name")
    @ApiModelProperty(name = "fileName", notes = "视频名称")
    private String fileName;

    @Size(max= 128,message="视频唯一标识不能超过128")
    @Column(name = "file_number")
    @ApiModelProperty(name = "fileNumber", notes = "视频唯一标识")
    private String fileNumber;

    @Size(max= 128,message="视频大小不能超过128")
    @Column(name = "file_size")
    @ApiModelProperty(name = "fileSize", notes = "视频大小")
    private String fileSize;

    @Size(max= 500,message="视频封面URL不能超过500")
    @Column(name = "picture_url")
    @ApiModelProperty(name = "pictureUrl", notes = "视频封面URL")
    private String pictureUrl;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @Column(name = "created_name")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @Column(name = "last_updated_name")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}