package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_STUDENT_MEDAL")
@NamedQuery(name = "YcqYjsStudentMedal.findAll", query = "SELECT t FROM YcqYjsStudentMedal t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "学生奖章表")
public class YcqYjsStudentMedal implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "student_id")
    @ApiModelProperty(name = "studentId",notes = "学生ID")
    private BigInteger studentId;

    @Column(name = "medal_id")
    @ApiModelProperty(name = "medalId",notes = "奖章ID")
    private BigInteger medalId;

    @Column(name = "if_light")
    @ApiModelProperty(name = "ifLight",notes = "是否点亮：0-否；1-是")
    private Integer ifLight;

    @Column(name = "light_progress")
    @ApiModelProperty(name = "lightProgress",notes = "点亮进度，单位百分比")
    private Integer lightProgress;

    @Column(name = "light_time")
    @ApiModelProperty(name = "lightTime",notes = "点亮时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lightTime;

    @Size(max= 255,message="上传凭证url不能超过255")
    @Column(name = "voucher_url")
    @ApiModelProperty(name = "voucherUrl",notes = "上传凭证url")
    private String voucherUrl;

    @Column(name = "voucher_time")
    @ApiModelProperty(name = "voucherTime",notes = "凭证上传时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date voucherTime;

    @Column(name = "voucher_complete_status")
    @ApiModelProperty(name = "voucherCompleteStatus",notes = "凭证完成状态：0-未完成；1-已完成")
    private Integer voucherCompleteStatus;

    @Column(name = "voucher_complete_time")
    @ApiModelProperty(name = "voucherCompleteTime",notes = "凭证完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date voucherCompleteTime;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag",notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime",notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId",notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @Column(name = "created_name")
    @ApiModelProperty(name = "createdName",notes = "创建人名称")
    private String createdName;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime",notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @Column(name = "last_updated_name")
    @ApiModelProperty(name = "lastUpdatedName",notes = "最后更新人名称")
    private String lastUpdatedName;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId",notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}