package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_STUDENT_PATRIARCH")
@NamedQuery(name = "YcqYjsStudentPatriarch.findAll", query = "SELECT t FROM YcqYjsStudentPatriarch t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "学生家长表")
public class YcqYjsStudentPatriarch implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id",notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "student_id")
    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @Size(max= 64,message="家长角色类型不能超过64")
    @Column(name = "patriarch_role_type")
    @ApiModelProperty(name = "patriarchRoleType", notes = "家长角色类型：爸爸/妈妈/...")
    private String patriarchRoleType;

    @Size(max= 64,message="家长角色不能超过64")
    @Column(name = "patriarch_role_name")
    @ApiModelProperty(name = "patriarchRole", notes = "家长角色：爸爸/妈妈/...")
    private String patriarchRole;

    @Size(max= 32,message="家长姓名不能超过32")
    @Column(name = "patriarch_name")
    @ApiModelProperty(name = "patriarchName", notes = "家长姓名")
    private String patriarchName;

    @Size(max= 11,message="手机号不能超过11")
    @Column(name = "mobile")
    @ApiModelProperty(name = "mobile", notes = "手机号")
    private String mobile;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}