package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_STUDENT_QUESTION")
@NamedQuery(name = "YcqYjsStudentQuestion.findAll", query = "SELECT t FROM YcqYjsStudentQuestion t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "学生答题表")
public class YcqYjsStudentQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "student_test_id")
    @ApiModelProperty(name = "studentTestId", notes = "学生答卷ID")
    private BigInteger studentTestId;

    @Column(name = "question_id")
    @ApiModelProperty(name = "questionId", notes = "题目ID")
    private BigInteger questionId;

    @Column(name = "question_type")
    @ApiModelProperty(name = "questionType", notes = "题目类型（1单选题2多选题3判断题）")
    private Integer questionType;

    @Column(name = "question_score")
    @ApiModelProperty(name = "questionScore", notes = "题目分数")
    private Integer questionScore;

    @Column(name = "answer_question_score")
    @ApiModelProperty(name = "answerQuestionScore", notes = "答题得分")
    private Integer answerQuestionScore;

    @Column(name = "if_answer_right")
    @ApiModelProperty(name = "ifAnswerRight", notes = "是否答对：0-否；1-是")
    private Integer ifAnswerRight;

    @Size(max= 255,message="正确选项ID列表不能超过255")
    @Column(name = "right_option_ids")
    @ApiModelProperty(name = "rightOptionIds", notes = "正确选项ID列表，逗号隔开")
    private String rightOptionIds;

    @Size(max= 255,message="答题选项ID列表不能超过255")
    @Column(name = "answer_option_ids")
    @ApiModelProperty(name = "answerOptionIds", notes = "答题选项ID列表，逗号隔开")
    private String answerOptionIds;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @Column(name = "created_name")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @Column(name = "last_updated_name")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}