package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_STUDENT_SUB_COURSE")
@NamedQuery(name = "YcqYjsStudentSubCourse.findAll", query = "SELECT t FROM YcqYjsStudentSubCourse t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "学生子课程表")
public class YcqYjsStudentSubCourse implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "student_id")
    @ApiModelProperty(name = "studentId",notes = "学生ID")
    private BigInteger studentId;

    @Column(name = "student_course_id")
    @ApiModelProperty(name = "studentCourseId",notes = "学生课程ID")
    private BigInteger studentCourseId;

    @Column(name = "course_id")
    @ApiModelProperty(name = "courseId",notes = "课程ID")
    private BigInteger courseId;

    @Column(name = "sub_course_id")
    @ApiModelProperty(name = "subCourseId",notes = "子课程ID")
    private BigInteger subCourseId;

    @Column(name = "course_video_duration")
    @ApiModelProperty(name = "courseVideoDuration",notes = "课程视频时长，单位：秒")
    private Integer courseVideoDuration;

    @Column(name = "view_video_duration")
    @ApiModelProperty(name = "viewVideoDuration",notes = "观看课程视频时长，单位：秒")
    private Integer viewVideoDuration;

    @Column(name = "view_progress")
    @ApiModelProperty(name = "viewProgress",notes = "观看进度，单位百分比")
    private Integer viewProgress;

    @Column(name = "complete_status")
    @ApiModelProperty(name = "completeStatus",notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @Column(name = "complete_time")
    @ApiModelProperty(name = "completeTime",notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag",notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime",notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId",notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @Column(name = "created_name")
    @ApiModelProperty(name = "createdName",notes = "创建人名称")
    private String createdName;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime",notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId",notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @Column(name = "last_updated_name")
    @ApiModelProperty(name = "lastUpdatedName",notes = "最后更新人名称")
    private String lastUpdatedName;

}