package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_STUDENT_TEST")
@NamedQuery(name = "YcqYjsStudentTest.findAll", query = "SELECT t FROM YcqYjsStudentTest t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "学生答卷表")
public class YcqYjsStudentTest implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "student_id")
    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @Column(name = "student_course_id")
    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID")
    private BigInteger studentCourseId;

    @Column(name = "paper_id")
    @ApiModelProperty(name = "paperId", notes = "试卷ID")
    private BigInteger paperId;

    @Size(max= 255,message="试卷名称不能超过255")
    @Column(name = "paper_name")
    @ApiModelProperty(name = "paperName", notes = "试卷名称")
    private String paperName;

    @Column(name = "test_score")
    @ApiModelProperty(name = "testScore", notes = "试卷总分")
    private Integer testScore;

    @Column(name = "pass_score")
    @ApiModelProperty(name = "passScore", notes = "合格分")
    private Integer passScore;

    @Column(name = "answer_score")
    @ApiModelProperty(name = "answerScore", notes = "答题得分")
    private Integer answerScore;

    @Column(name = "if_pass")
    @ApiModelProperty(name = "ifPass", notes = "是否合格：0-不合格；1-合格")
    private Integer ifPass;

    @Column(name = "if_show_score")
    @ApiModelProperty(name = "ifShowScore", notes = "是否显示分数：0-否 1是")
    private Integer ifShowScore;

    @Column(name = "if_exam")
    @ApiModelProperty(name = "ifExam", notes = "是否是考试：0-否 1-是")
    private Integer ifExam;

    @Column(name = "if_answer")
    @ApiModelProperty(name = "ifAnswer", notes = "是否提交答案：0-否；1-是")
    private Integer ifAnswer;

    @Column(name = "answer_duration")
    @ApiModelProperty(name = "answerDuration", notes = "答题时长")
    private Integer answerDuration;

    @Column(name = "question_count")
    @ApiModelProperty(name = "questionCount", notes = "题目总数")
    private Integer questionCount;

    @Column(name = "right_question_count")
    @ApiModelProperty(name = "rightQuestionCount", notes = "答对题目数")
    private Integer rightQuestionCount;

    @Column(name = "error_question_count")
    @ApiModelProperty(name = "errorQuestionCount", notes = "答错题目数")
    private Integer errorQuestionCount;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @Column(name = "created_name")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @Column(name = "last_updated_name")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}