package com.crunii.micro.service.oneaffair.dto.oneaffair;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;

@Entity
@Table(name = "YCQ_YJS_SYSTEM_ORG_REL")
@NamedQuery(name = "YcqYjsSystemOrgRel.findAll", query = "SELECT t FROM YcqYjsSystemOrgRel t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "评价体系机构关系表")
public class YcqYjsSystemOrgRel implements Serializable {
    
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@ApiModelProperty(name = "id", notes = "主键")
	@Column(name = "id")
    private BigInteger id;
    
	@Column(name = "system_id")
	@ApiModelProperty(name = "systemId",notes = "体系id")
    private BigInteger systemId;
    
	@Column(name = "org_id")
	@ApiModelProperty(name = "orgId",notes = "机构id")
    private BigInteger orgId;
    
	@Column(name = "org_name")
	@ApiModelProperty(name = "orgName",notes = "机构名称")
    private String orgName;

}