package com.crunii.micro.service.oneaffair.dto.oneaffair;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YJS_TEACHER_BINDING_ClASS")
@NamedQuery(name = "YcqYjsTeacherBindingClass.findAll", query = "SELECT t FROM YcqYjsTeacherBindingClass t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "教师与班级的绑定表")
public class YcqYjsTeacherBindingClass implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "teacher_id")
    @ApiModelProperty(name = "teacherId",notes = "教师ID")
    private BigInteger teacherId;

    @Column(name = "grade_id")
    @ApiModelProperty(name = "gradeId",notes = "年级ID")
    private BigInteger gradeId;

    @Size(max= 64,message="年级名称不能超过64")
    @Column(name = "grade_name")
    @ApiModelProperty(name = "gradeName",notes = "年级名称")
    private String gradeName;

    @Column(name = "class_id")
    @ApiModelProperty(name = "classId",notes = "班级ID")
    private BigInteger classId;

    @Size(max= 64,message="班级名称不能超过64")
    @Column(name = "class_name")
    @ApiModelProperty(name = "className",notes = "班级名称")
    private String className;

    @Column(name = "if_all")
    @ApiModelProperty(name = "ifAll",notes = "是否全部：0-否；1-是")
    private Integer ifAll;

    @Size(max= 128,message="分组ID不能超过128")
    @Column(name = "group_id")
    @ApiModelProperty(name = "groupId",notes = "分组ID: 年级ID:班级ID")
    private String groupId;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "delFlag",notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @Column(name = "created_time")
    @ApiModelProperty(name = "createdTime",notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "created_id")
    @ApiModelProperty(name = "createdId",notes = "创建人ID")
    private BigInteger createdId;

    @Column(name = "last_updated_time")
    @ApiModelProperty(name = "lastUpdatedTime",notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Column(name = "last_updated_id")
    @ApiModelProperty(name = "lastUpdatedId",notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}
