package com.crunii.micro.service.oneaffair.dto.vo.Archive;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: fanjiachen
 * @CreateTime: 2023-10-10  11:29
 * @Description: TODO
 * @Version: 1.0
 */
@ApiModel(value="AppElseStudentArchivesVo", description = "APP端志愿服务、赛事活动、学习档案、其他档案查询返回对象")
@ToString
@Data
public class AppElseStudentArchivesVo implements Serializable {

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id",notes ="主键ID")
    private String id;
    /**
     * 学生ID
     */
    @ApiModelProperty(name = "studentId",notes ="学生ID")
    private String studentId;
    /**
     * 事项名称
     */
    @ApiModelProperty(name = "name",notes ="事项名称")
    private String name;
    /**
     * 参与时间
     */
    @ApiModelProperty(name = "participateTime",notes ="参与时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date participateTime;
    /**
     * 事项图片URL
     */
    @ApiModelProperty(name = "img",notes ="事项图片URL")
    private String img;
    /**
     * 应用代码
     */
    @ApiModelProperty(name = "appCode",notes ="应用代码")
    private String appCode;
    /**
     * 1、志愿服务2、赛事活动3、学习档案4、政治进步入队5、政治进步入团6、政治进步入党7、其他
     */
    @ApiModelProperty(name = "activityType",notes ="1、志愿服务2、赛事活动3、学习档案4、政治进步入队5、政治进步入团6、政治进步入党7、其他")
    private String activityType;

    /**
     *
     */
    @ApiModelProperty(name = "detail",notes ="事件详情URL")
    private String detail;
    /**
     *
     */
    @ApiModelProperty(name = "eventId",notes ="活动id、服务id、奖章id等标识")
    private String eventId;
    /**
     * 事项描述
     */
    @ApiModelProperty(name = "description",notes ="事项描述")
    private String description;
    /**
     *政治面貌
     */
    @ApiModelProperty(name = "politicalType",notes ="政治面貌0、未入队1、少先队2、团员3、党员4、群众5、其他")
    private String politicalType;
    /**
     * 活动分类
     */
    @ApiModelProperty(name = "extensionType",notes ="活动分类（暂时供赛事活动分类档案使用)")
    private String extensionType;


    @ApiModelProperty(name = "userId",notes ="用户id")
    private String userId;


    @ApiModelProperty(name = "userName",notes ="用户名称")
    private String userName;


    @ApiModelProperty(name = "className",notes ="班级学期")
    private String className;

    @ApiModelProperty(name = "detailTopic",notes ="详情话题")
    private String detailTopic;


    @ApiModelProperty(name = "detailIntroduction",notes ="详情介绍")
    private String detailIntroduction;


    @ApiModelProperty(name = "detailImg",notes ="详情图片")
    private String detailImg;


}
