package com.crunii.micro.service.oneaffair.dto.vo.Archive;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value="AppStudentArchivesReq", description = "APP端档案查询条件对象")
@ToString
@Data
public class AppStudentArchivesReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId",notes = "学生id")
    @NotNull(message = "学生id不能为空。")
    private BigInteger studentId;

    @ApiModelProperty(name = "extensionTypes",notes = "活动分类数组（暂时供赛事活动分类档案使用)")
    private List<String> extensionTypes;

    @ApiModelProperty(name = "politicalType",notes = "政治面貌1、少先队2、团员3、党员4、群众5、其他")
    private String politicalType;

    @ApiModelProperty(name = "activityType",notes = "1、志愿服务2、赛事活动3、学习档案4、其他")
    private String activityType;

    @ApiModelProperty(name = "startTime",notes = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date participateStartTime;

    @ApiModelProperty(name = "endTime",notes = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date participateEndTime;

}
