package com.crunii.micro.service.oneaffair.dto.vo.Archive;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel(value="AppStudentArchivesVo", description = "APP端档案返回对象")
@ToString
@Data
public class AppStudentArchivesVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(name = "studentName",notes = "学生名称")
    private String studentName;

    @ApiModelProperty(name = "currentGradeName",notes = "当前年级")
    private String currentGradeName;

    @ApiModelProperty(name = "currentClassName",notes = "当前班级")
    private String currentClassName;

    @ApiModelProperty(name = "teacherName",notes = "教师名称")
    private String teacherName;

    @ApiModelProperty(name = "ifJoinYouthPioneers",notes = "是否入队: 0-否；1-是")
    private Integer ifJoinYouthPioneers;

    @ApiModelProperty(name = "joinYoungPioneersTime",notes = "入队时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date joinYoungPioneersTime;

    @ApiModelProperty(name = "youthPioneersAge",notes = "队龄")
    private Integer youthPioneersAge;

    @ApiModelProperty(name = "ifJoinYouthLeague",notes = "是否入团: 0-否；1-是")
    private Integer ifJoinYouthLeague;

    @ApiModelProperty(name = "joinYouthLeagueTime",notes = "入团时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date joinYouthLeagueTime;

    @ApiModelProperty(name = "leagueAge",notes = "团龄")
    private Integer leagueAge;

    @ApiModelProperty(name = "ifJoinCommunistParty",notes = "是否入党: 0-否；1-是")
    private Integer ifJoinCommunistParty;

    @ApiModelProperty(name = "joinCommunistPartyTime",notes = "入党时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date joinCommunistPartyTime;

    @ApiModelProperty(name = "partyAge",notes = "党龄")
    private Integer partyAge;

    @ApiModelProperty(name = "studyRecodes",notes = "学习记录")
    private List<YcqYjsArchiveVo> studyRecodes;


}
