package com.crunii.micro.service.oneaffair.dto.vo.Archive;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * @TableName YCQ_YJS_ARCHIVE
 */
@ApiModel(description = "档案表")
@ToString
@Data
public class ArchiveSelectReq implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */

    @Size(max = 1000, message = "编码长度不能超过1000")
    @ApiModelProperty("主键ID")
    @Length(max = 1000, message = "编码长度不能超过1000")
    private String id;
    /**
     * 学生ID
     */
    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty("学生ID")
    @Length(max = 32, message = "编码长度不能超过32")
    private String studentId;

    @ApiModelProperty("学生ID列表")
    private List<String> studentIdList;
    /**
     * 姓名
     */
    @Size(max = 1000, message = "编码长度不能超过1000")
    @ApiModelProperty(value = "名称", notes = "档案项名称")
    @Length(max = 1000, message = "编码长度不能超过1000")
    private String name;


    /**
     * 应用代码
     */
    @Size(max = 50, message = "编码长度不能超过50")
    @ApiModelProperty("应用代码")
    @Length(max = 50, message = "编码长度不能超过50")
    private String appCode;
    /**
     * 类型
     */
    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty(value = "活动类型", notes = "1、志愿服务2、赛事活动3、学习档案4、政治进步5、其他")
    @Length(max = 32, message = "编码长度不能超过32")
    private String activityType;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 参与时间
     */
    @ApiModelProperty(value = "参与时间", notes = "档案项目发生的时间")
    private Date participateTime;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private Date participateStartTime;
    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private Date participateEndTime;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述", notes = "档案项的描述")
    private String description;

    /**
     * 类型
     */
    @Size(max = 1000, message = "编码长度不能超过1000")
    @ApiModelProperty(value = "事项详情", notes = "档案详情的url")
    @Length(max = 1000, message = "编码长度不能超过1000")
    private String detail;

    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty(value = "类型", notes = "0、未入队1、少先队2、团员3、党员4、群众5、其他")
    @Length(max = 32, message = "编码长度不能超过32")
    private String politicalType;

    /**
     *
     */
    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty("活动分类（暂时供赛事活动分类档案使用)")
    @Length(max = 32, message = "编码长度不能超过32")
    private String extensionType;
    /**
     *
     */
    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty("活动id、服务id、奖章id等标识")
    @Length(max = 32, message = "编码长度不能超过32")
    private String eventId;

    @ApiModelProperty("活动id、服务id、奖章id等标识列表")
    private List<String> eventIdList;

    @ApiModelProperty("事件类型")
    private Integer eventType;

    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty("用户id")
    @Length(max = 32, message = "编码长度不能超过32")
    private String userId;

    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty("用户名称")
    @Length(max = 32, message = "编码长度不能超过32")
    private String userName;

    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty("班级学期")
    @Length(max = 32, message = "编码长度不能超过32")
    private String className;

    @ApiModelProperty("详情话题")
    private String detailTopic;

    @ApiModelProperty("详情介绍")
    private String detailIntroduction;

    @ApiModelProperty("详情图片")
    private String detailImg;

    @ApiModelProperty("拓展json")
    private String extensionJson;
}
