package com.crunii.micro.service.oneaffair.dto.vo.Archive;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * @TableName YCQ_YJS_ARCHIVE
 */
@ApiModel(description = "档案表")
@ToString
@Data
public class ArchiveUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotBlank(message = "[主键ID]不能为空")
    @Size(max = 32, message = "编码长度不能超过32")
    @ApiModelProperty(name = "id", notes = "插入无需传入，更新删除操作须传入")
    @Length(max = 32, message = "编码长度不能超过32")
    private String id;

    @Size(max = 1000, message = "编码长度不能超过1000")
    @ApiModelProperty(value = "name", notes = "档案项名称")
    @Length(max = 1000, message = "编码长度不能超过1000")
    private String name;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    @Size(max = 32, message = "编码长度不能超过32")
    @Length(max = 32, message = "编码长度不能超过32")
    private String lastUpdatedId;


}
