package com.crunii.micro.service.oneaffair.dto.vo.Archive;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import java.io.Serializable;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

/**
 *
 * @TableName YCQ_YJS_ARCHIVE
 */
@ApiModel(description = "档案表")
@ToString
@Data
public class ArchiveVo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键ID
     */
    @NotBlank(message="[主键ID]不能为空")
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("主键ID")
    @Length(max= 32,message="编码长度不能超过32")
    private String id;
    /**
     * 学生ID
     */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("学生ID")
    @Length(max= 32,message="编码长度不能超过32")
    private String studentId;
    /**
     * 姓名
     */
    @Size(max= 1000,message="编码长度不能超过1000")
    @ApiModelProperty("姓名")
    @Length(max= 1000,message="编码长度不能超过1000")
    private String name;
    /**
     * 参与时间
     */
    @ApiModelProperty("参与时间")
    private Date participateTime;
    /**
     * 图片URL
     */
    @Size(max= 1000,message="编码长度不能超过1000")
    @ApiModelProperty("图片URL")
    @Length(max= 1000,message="编码长度不能超过1000")
    private String img;
    /**
     * 应用代码
     */
    @Size(max= 50,message="编码长度不能超过50")
    @ApiModelProperty("应用代码")
    @Length(max= 50,message="编码长度不能超过50")
    private String appCode;
    /**
     * 类型
     */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("活动类型")
    @Length(max= 32,message="编码长度不能超过32")
    private String activityType;
    /**
     * 删除标志
     */
    @ApiModelProperty("删除标志")
    private Integer delFlag;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String description;

    /**
     * 类型
     */
    @Size(max= 1000,message="编码长度不能超过1000")
    @ApiModelProperty("详情")
    @Length(max= 1000,message="编码长度不能超过1000")
    private String detail;

    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("类型")
    @Length(max= 32,message="编码长度不能超过32")
    private String politicalType;

    /**
     *
     */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("活动分类（暂时供赛事活动分类档案使用)")
    @Length(max= 32,message="编码长度不能超过32")
    private String extensionType;

    /**
     *
     */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("活动id、服务id、奖章id等标识")
    @Length(max= 32,message="编码长度不能超过32")
    private String eventId;

    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("用户id")
    @Length(max= 32,message="编码长度不能超过32")
    private String userId;

    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("用户名称")
    @Length(max= 32,message="编码长度不能超过32")
    private String userName;

    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("班级学期")
    @Length(max= 32,message="编码长度不能超过32")
    private String className;

    @ApiModelProperty("详情话题")
    private String detailTopic;

    @ApiModelProperty("详情介绍")
    private String detailIntroduction;

    @ApiModelProperty("详情图片")
    private String detailImg;

    @ApiModelProperty("拓展json")
    private String extensionJson;
}
