package com.crunii.micro.service.oneaffair.dto.vo.ImportRecord;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "ImportRecordCreateReq", description = "批量导入记录新增对象")
@ToString
@Data
public class ImportRecordCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "fileName", notes = "文件名称")
    private String fileName;

    @ApiModelProperty(name = "totalSize", notes = "总共导入条数")
    private Integer totalSize;

    @ApiModelProperty(name = "successSize", notes = "成功导入条数")
    private Integer successSize;

    @ApiModelProperty(name = "errorSize", notes = "失败导入条数")
    private Integer errorSize;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未开始；1-进行中；2-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "operateType", notes = "操作类型：1-教师导入；2-学生导入")
    private Integer operateType;

    @ApiModelProperty(name = "dataJson", notes = "导入数据JSON")
    private String dataJson;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
