package com.crunii.micro.service.oneaffair.dto.vo.ImportRecord;

import com.crunii.micro.service.oneaffair.util.DateUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "ImportRecordReq", description = "批量导入记录查询请求对象")
@ToString
@Data
public class ImportRecordReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "fileName", notes = "文件名称-精准匹配")
    private String fileName;

    @ApiModelProperty(name = "fileNameLike", notes = "文件名称-模糊匹配")
    private String fileNameLike;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未开始；1-进行中；2-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "operateType", notes = "操作类型：1-教师导入；2-队前学生导入；3-入队学生导入；4-推优入团学生导入")
    private Integer operateType;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @ApiModelProperty(name = "startCreatedTime", notes = "创建时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    public void setStartCreatedTime(Date startCreatedTime){
        this.startCreatedTime = DateUtil.getThisDateStartTimeByAssignDate(startCreatedTime);
    }

    @ApiModelProperty(name = "endCreatedTime", notes = "创建时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    public void setEndCreatedTime(Date endCreatedTime){
        this.endCreatedTime = DateUtil.getThisDateEndTimeByAssignDate(endCreatedTime);
    }

}
