package com.crunii.micro.service.oneaffair.dto.vo.ImportRecord;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "ImportRecordUpdateReq", description = "批量导入记录更新对象")
@ToString
@Data
public class ImportRecordUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @ApiModelProperty(name = "successSize", notes = "成功导入条数")
    private Integer successSize;

    @ApiModelProperty(name = "errorSize", notes = "失败导入条数")
    private Integer errorSize;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未开始；1-进行中；2-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "dataJson", notes = "导入数据JSON")
    private String dataJson;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新名称")
    private String lastUpdatedName;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}
