package com.crunii.micro.service.oneaffair.dto.vo.evaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
@ApiModel(value = "EvaluateIndexCreateReq",description = "指标新增对象")
@ToString
@Data
public class EvaluateIndexCreateReq implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "systemId",notes = "体系id")
    @NotNull(message = "体系id不能为空。")
    private BigInteger systemId;

    @ApiModelProperty(name = "parentId",notes = "上级指标id")
    private BigInteger parentId;

    @ApiModelProperty(name = "name",notes = "指标名称")
    @NotBlank(message = "指标名称不能为空")
    private String name;

    @ApiModelProperty(name = "judgmentMethod",notes = "判断方式 1 无需判断 2 系统判断 3 人工判断")
    private String judgmentMethod;

    @ApiModelProperty(name = "calculationMethod",notes = "计算方式 1 按分数计算")
    private String calculationMethod;

    @ApiModelProperty(name = "indexType",notes = "指标类型 1 计分指标 2 等级指标 3 判断指标")
    private String indexType;

    @ApiModelProperty(name = "indexLevel",notes = "指标等级")
    private Integer indexLevel;

    @ApiModelProperty(name = "score",notes = "分值")
    private BigInteger score;

    @ApiModelProperty(name = "grade",notes = "等级 A B C D")
    private String grade;

    @ApiModelProperty(name = "isSatisfy",notes = "是否 1 满足 2 不满足")
    private String isSatisfy;

    @ApiModelProperty(name = "showType",notes = "1 按分值 2 按等级 3 按条件")
    private String showType;

    @ApiModelProperty(name = "sort",notes = "指标排序")
    private Integer sort;

    @ApiModelProperty(name = "systemRule",notes = "系统规则")
    private String systemRule;

    @ApiModelProperty(name = "indexDescription",notes = "指标描述")
    private String indexDescription;

}
