package com.crunii.micro.service.oneaffair.dto.vo.evaluate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Max;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "EvaluateSystemUpdateReq",description = "体系修改对象")
@ToString
@Data
public class EvaluateSystemUpdateReq implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id",notes = "主键")
    @NotNull(message = "id不能为空。")
    private BigInteger id;

    @ApiModelProperty(name = "name",notes = "体系名称")
    @Length(max=30,message = "长度不能超过30个字符")
    private String name;

    @ApiModelProperty(name = "appId",notes = "所属业务Id")
    private BigInteger appId;

    @ApiModelProperty(name = "appName",notes = "所属业务名称")
    private String appName;

    @ApiModelProperty(name = "businessScenario",notes = "业务场景")
    private String businessScenario;

    @ApiModelProperty(name = "useRange",notes = "使用范围 1 全平台 2 按机构")
    private String useRange;

    @ApiModelProperty(name = "level",notes = "指标最大等级  1:一级，2：二级，3：三级，4：四级")
    private Integer level;

    @ApiModelProperty(name = "tsmOrgVoList",notes = "选择机构")
    private List<TsmOrgVo> tsmOrgVoList;
}
