package com.crunii.micro.service.oneaffair.dto.vo.goodstudent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "GoodStudentReq", description = "优秀学生查询请求对象")
@ToString
@Data
public class GoodStudentReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentNum", notes = "学生编号")
    private String studentNum;

    @ApiModelProperty(name = "studentName", notes = "学生名称")
    private String studentName;

    @ApiModelProperty(name = "sex", notes = "性别: 0-女，1-男")
    private Integer sex;

    @ApiModelProperty(name = "schoolYearType", notes = "学年类型")
    private String schoolYearType;

    @ApiModelProperty(name = "honoraryTitleType", notes = "优秀称号类型")
    private String honoraryTitleType;

    @ApiModelProperty(name = "politicalStatusType", notes = "政治面貌类型：群众/少先队/团队/党员群众")
    private String politicalStatusType;

    @ApiModelProperty(name = "schoolName", notes = "学校名称")
    private String schoolName;

    @ApiModelProperty(name = "idList", notes = "主键列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "schoolId", notes = "学校ID")
    private BigInteger schoolId;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

    @ApiModelProperty(name = "schoolIdList", notes = "学校IDList")
    private List<BigInteger> schoolIdList;

    @ApiModelProperty(name = "gradeIdList", notes = "年级ID列表")
    private List<BigInteger> gradeIdList;

    @ApiModelProperty(name = "classIdList", notes = "班级ID列表")
    private List<BigInteger> classIdList;

    @ApiModelProperty(name = "startCreatedTime", notes = "创建时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty(name = "endCreatedTime", notes = "创建时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    @ApiModelProperty(name = "是否展示", notes = "是否展示：0-否；1-是")
    private Integer showFlag;

}
