package com.crunii.micro.service.oneaffair.dto.vo.goodstudent;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "GoodStudentUpdateReq", description = "优秀学生编辑对象")
@ToString
@Data
public class GoodStudentUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生必选")
    @ApiModelProperty(name = "id", notes = "主键", required = true)
    private BigInteger id;

    @NotBlank(message = "学生名称必填")
    @ApiModelProperty(name = "studentName", notes = "学生名称", required = true)
    private String studentName;

    @NotNull(message = "性别必选")
    @ApiModelProperty(name = "sex", notes = "性别: 0-女，1-男", required = true)
    private Integer sex;

    @ApiModelProperty(name = "studentPhotoUrl", notes = "学生照片URL")
    private String studentPhotoUrl;

    @ApiModelProperty(name = "ifStudentPhotoUrl", notes = "是否修改学生照片: false-否，true-是")
    private Boolean ifStudentPhotoUrl;

    @NotBlank(message = "学年必选")
    @ApiModelProperty(name = "schoolYearType", notes = "学年类型", required = true)
    private String schoolYearType;

    @NotBlank(message = "学年必选")
    @ApiModelProperty(name = "schoolYear", notes = "学年", required = true)
    private String schoolYear;

    @NotBlank(message = "政治面貌必选")
    @ApiModelProperty(name = "politicalStatus", notes = "政治面貌", required = true)
    private String politicalStatus;

    @NotBlank(message = "政治面貌必选")
    @ApiModelProperty(name = "politicalStatusType", notes = "政治面貌类型：群众/少先队/团队/党员群众", required = true)
    private String politicalStatusType;

    @NotBlank(message = "优秀称号必选")
    @ApiModelProperty(name = "honoraryTitle", notes = "优秀称号", required = true)
    private String honoraryTitle;

    @NotBlank(message = "优秀称号必选")
    @ApiModelProperty(name = "honoraryTitleType", notes = "优秀称号类型", required = true)
    private String honoraryTitleType;

    @NotNull(message = "学校必选")
    @ApiModelProperty(name = "schoolId", notes = "学校ID", required = true)
    private BigInteger schoolId;

    @NotBlank(message = "学校必选")
    @ApiModelProperty(name = "schoolName", notes = "学校名称", required = true)
    private String schoolName;

    @NotNull(message = "年级必选")
    @ApiModelProperty(name = "gradeId", notes = "年级ID", required = true)
    private BigInteger gradeId;

    @NotBlank(message = "年级必选")
    @ApiModelProperty(name = "gradeName", notes = "年级名称", required = true)
    private String gradeName;

    @NotNull(message = "班级必选")
    @ApiModelProperty(name = "classId", notes = "班级ID", required = true)
    private BigInteger classId;

    @NotBlank(message = "班级必选")
    @ApiModelProperty(name = "className", notes = "班级名称", required = true)
    private String className;

    @ApiModelProperty(name = "briefIntroduction", notes = "简介")
    private String briefIntroduction;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
