package com.crunii.micro.service.oneaffair.dto.vo.goodstudent;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "GoodStudentUpdateShowFlagReq", description = "修改优秀学生的展出状态对象")
@ToString
@Data
public class GoodStudentUpdateShowFlagReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "优秀学生必选")
    @Size(min = 1, message = "优秀学生必选")
    @ApiModelProperty(name = "idList", notes = "优秀学生ID列表", required = true)
    private List<BigInteger> idList;

    @NotNull(message = "展示必选")
    @ApiModelProperty(name = "showFlag", notes = "是否展示：0-否；1-是")
    private Integer showFlag;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
