package com.crunii.micro.service.oneaffair.dto.vo.homePage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;

@ApiModel(value = "HomePageVo", description = "红领巾首页查询结果对象")
@ToString
@Data
public class HomePageVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(name = "studentId", notes = "学生id")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentName", notes = "学生名字")
    private String studentName;

    @ApiModelProperty(name = "politicalStatusType", notes = "政治面貌")
    private String politicalStatusType;

    @ApiModelProperty(name = "politicalAge", notes = "政治面貌对应的加入的年限")
    private Integer politicalAge;

    @ApiModelProperty(name = "growthValue", notes = "成长值")
    private BigDecimal growthValue;

    @ApiModelProperty(name = "starLevel", notes = "星级章")
    private String starLevel;

    @ApiModelProperty(name = "studentPositionClass", notes = "职务")
    private String studentPositionClass;

    @ApiModelProperty(name = "honoraryTitleNow", notes = "荣誉称号累计")
    private Integer honoraryTitleNow;

    @ApiModelProperty(name = "serviceDurationTotal", notes = "服务时长")
    private BigDecimal serviceDurationTotal;

    @ApiModelProperty(name = "studyTotal", notes = "学习时长")
    private BigDecimal studyTotal;

    @ApiModelProperty(name = "preTeamEducationFinish", notes = "队前教育已完成个数")
    private Integer preTeamEducationFinish;

    @ApiModelProperty(name = "preTeamEducationUnderway", notes = "队前教育进行中个数")
    private Integer preTeamEducationUnderway;

    @ApiModelProperty(name = "preTeamEducationUncompleted", notes = "队前教育未完成个数")
    private Integer preTeamEducationUncompleted;

    @ApiModelProperty(name = "medalBase", notes = "红领巾争章基础章个数")
    private Integer medalBase;

    @ApiModelProperty(name = "medalStar", notes = "红领巾争章星级章个数")
    private Integer medalStar;

    @ApiModelProperty(name = "medalCharacteristic", notes = "红领巾争章特色章个数")
    private Integer medalCharacteristic;

    @ApiModelProperty(name = "honoraryTitle", notes = "荣誉墙荣誉称号个数")
    private Integer honoraryTitle;

    @ApiModelProperty(name = "honoraryCompetition", notes = "荣誉墙比赛获奖个数")
    private Integer honoraryCompetition;

    @ApiModelProperty(name = "myPracticeVolunteerActivity", notes = "我的实践志愿活动个数")
    private Integer myPracticeVoluntary;

    @ApiModelProperty(name = "myPracticeCompetition", notes = "我的实践赛事活动个数")
    private Integer myPracticeCompetition;

    @ApiModelProperty(name = "myPracticeMedal", notes = "我的实践奖章个数")
    private Integer myPracticeMedal;

}
