package com.crunii.micro.service.oneaffair.dto.vo.honor;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/**
 * Author：dadm
 * Date：2023-09-26 14:32
 * Description：<描述>
 */
@ToString
@Data
public class HonorReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("荣誉类型：1-荣誉称号 2-赛事活动 3-岗位(荣誉职务)")
    private Integer honorType;

    @ApiModelProperty("(荣誉称号type|赛事活动id|荣誉职务编码)")
    private String honorTitle;

    @ApiModelProperty("学生主键id")
    private BigInteger studentId;

    @ApiModelProperty("学生编号")
    private String studentNum;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

}
