package com.crunii.micro.service.oneaffair.dto.vo.honor;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentHonorary;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * Author：dadm
 * Date：2023-09-26 14:32
 * Description：<描述>
 */
@ToString
@Data
public class HonorVo extends YcqYjsStudentHonorary implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("事项名称")
    private String name;

    @ApiModelProperty("参与时间")
    private Date participateTime;

    @ApiModelProperty("事项图片URL")
    private String img;

    @ApiModelProperty("应用代码")
    private String appCode;

    @ApiModelProperty("1、志愿服务2、赛事活动3、学习档案4、其他")
    private String activityType;

    @ApiModelProperty("事件详情url")
    private String detail;

    @ApiModelProperty("事项描述")
    private String description;

    @ApiModelProperty("政治面貌1、少先队2、团员3、党员4、群众5、其他")
    private String politicalType;

    @ApiModelProperty("活动分类（暂时供赛事活动分类档案使用)")
    private String extensionType;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("活动id、服务id、奖章id等标识")
    private String eventId;

    /**
     * 岗位相关
     */
    @ApiModelProperty(name = "studentPositionType",notes = "学生岗位类型：中队长/大队长")
    private String studentPositionType;

    @ApiModelProperty(name = "studentPosition",notes = "学生岗位")
    private String studentPosition;

    @ApiModelProperty(name = "positionClassType",notes = "岗位分类类型：1-大队，2-中队，3-小队")
    private String positionClassType;

    @ApiModelProperty(name = "positionClass",notes = "岗位分类：1-大队，2-中队，3-小队")
    private String positionClass;

    @ApiModelProperty(name = "positionTime",notes = "获取岗位时间")
    private Date positionTime;

    @ApiModelProperty(name = "studentPositionClass",notes = "学生岗位分类名称")
    private String studentPositionClass;

    @ApiModelProperty(name = "studentPositionClassType",notes = "学生岗位分类类型")
    private String studentPositionClassType;
}