package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "奖章活动分页返回对象")
@ToString
@Data
public class MedalActivityInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private String id;

    @ApiModelProperty(name = "matchName", notes = "比赛名称")
    private String matchName;

    @ApiModelProperty(name = "matchCode", notes = "比赛编号")
    private String matchCode;

    @ApiModelProperty(name = "categoryName", notes = "比赛分类")
    private String categoryName;

    @ApiModelProperty(name = "orgName", notes = "所属机构")
    private String orgName;

    @ApiModelProperty(name = "registerationStart", notes = "报名开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date registerationStart;

    @ApiModelProperty(name = "status", notes = "状态 0:已报名，1:已参与，2:已获奖")
    private String status;

    @ApiModelProperty(name = "registerationAuditFlag", notes = "报名审核标志")
    private String registerationAuditFlag;
}
