package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(description = "奖章新增对象")
@ToString
@Data
public class MedalCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "全国奖章编号", notes = "")
    private String unifyMedalNo;

    @ApiModelProperty(name = "奖章名称", notes = "")
    private String medalName;

    @ApiModelProperty(name = "奖章级别", notes = "")
    private String medalLevel;

    @ApiModelProperty(name = "奖章类型 字典", notes = "")
    private String medalType;

    @ApiModelProperty(name = "奖章类型名称", notes = "")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章标识 字典", notes = "")
    private String medalMark;

    @ApiModelProperty(name = "奖章标识名称", notes = "")
    private String medalMarkName;

    @ApiModelProperty(name = "奖章排序", notes = "")
    private Integer medalSort;

    @ApiModelProperty(name = "所属年级 组织树", notes = "")
    private String ownerGrade;

    @ApiModelProperty(name = "所属年级列表 组织树", notes = "")
    private List<String> ownerGradeList;

    @ApiModelProperty(name = "所属年级名称", notes = "")
    private String ownerGradeName;

    @ApiModelProperty(name = "所属年级名称列表", notes = "")
    private List<String> ownerGradeNameList;

    @ApiModelProperty(name = "所属班级",notes = "")
    private String ownerClass;

    @ApiModelProperty(name = "所属学期 字典", notes = "")
    private String ownerSemester;

    @ApiModelProperty(name = "所属学期名称", notes = "")
    private String ownerSemesterName;

    @ApiModelProperty(name = "简介", notes = "")
    private String introduction;

    @ApiModelProperty(name = "奖章图片key", notes = "")
    private String medalPicKey;

    @ApiModelProperty(name = "组织id", notes = "")
    private String orgId;

}
