package com.crunii.micro.service.oneaffair.dto.vo.medal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(description = "奖章分页查询对象")
@ToString
@Data
public class MedalReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id列表", notes = "")
    private List<BigInteger> ids;

    @ApiModelProperty(name = "排出id列表", notes = "")
    private List<BigInteger> unIds;

    @ApiModelProperty(name = "奖章编号", notes = "")
    private String medalNo;

    @ApiModelProperty(name = "奖章名称", notes = "")
    private String medalName;

    @ApiModelProperty(name = "奖章类型", notes = "")
    private String medalType;

    @ApiModelProperty(name = "奖章标识", notes = "")
    private String medalMark;

    @ApiModelProperty(name = "所属年级", notes = "")
    private String ownerGrade;

    @ApiModelProperty(name = "所属班级", notes = "")
    private String ownerClass;

    @ApiModelProperty(name = "所属学期", notes = "")
    private String ownerSemester;

    @ApiModelProperty(name = "学校code", notes = "")
    private String orgCode;

    @ApiModelProperty(name = "学校组织id", notes = "")
    private String orgId;

    @ApiModelProperty(name = "展示状态 0:展示 1:不展示", notes = "")
    private Integer displayStatus;

    @ApiModelProperty(name = "创建时间的开始时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty(name = "创建时间的结束时间", notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    /**
     * 学生查询相关
     */
    @ApiModelProperty(name = "学生id", notes = "")
    private BigInteger studentId;

    @ApiModelProperty(name = "所属年级 多选", notes = "")
    private List<String> ownerGrades;

    @ApiModelProperty(name = "所属学期 多选", notes = "")
    private List<String> ownerSemesters;

    @ApiModelProperty(name = "奖章类型 多选", notes = "")
    private List<String> medalTypes;

    /**
     * 后台权限查询相关
     */
    @ApiModelProperty(name = "组织列表", notes = "")
    private List<String> orgIds;
}
