package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.LinkedHashSet;
import java.util.List;

@ApiModel(description = "争章规则分页返回对象")
@ToString
@Data
public class MedalRuleInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "奖章编号",notes = "")
    private String medalNo;

    @ApiModelProperty(name = "奖章名称",notes = "")
    private String medalName;

    @ApiModelProperty(name = "奖章图片key",notes = "")
    private String medalPicKey;

    @ApiModelProperty(name = "简介",notes = "")
    private String introduction;

    @ApiModelProperty(name = "奖章类型名称",notes = "")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章判断规则",notes = "")
    @JsonIgnore
    private String ruleContent;

    @ApiModelProperty(name = "奖章判断规则列表",notes = "")
    private List<String> ruleContents;

    @ApiModelProperty(name = "规则判断方式",notes = "")
    @JsonIgnore
    private String ruleType;

    @ApiModelProperty(name = "规则判断方式列表", notes = "")
    private LinkedHashSet<String> ruleTypeName;

    @ApiModelProperty(name = "是否上传凭证",notes = "")
    private Integer needVoucher;

    @ApiModelProperty(name = "创建人名称", notes = "")
    private String createdName;

    @ApiModelProperty(name = "创建时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "组织名称", notes = "")
    private String orgName;

    @ApiModelProperty(name = "组织id", notes = "")
    private String orgId;

    @ApiModelProperty(name = "年级id", notes = "")
    private String ownerGrade;

    @ApiModelProperty(name = "年级名称", notes = "")
    private String ownerGradeName;

    @ApiModelProperty(name = "规则id", notes = "")
    private String ruleId;
}
