package com.crunii.micro.service.oneaffair.dto.vo.medal;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "统一奖章分页返回对象")
@ToString
@Data
public class MedalUnifyInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "全国统一奖章编号",notes = "")
    private String medalNo;

    @ApiModelProperty(name = "奖章名称",notes = "")
    private String medalName;

    @ApiModelProperty(name = "奖章图片key",notes = "")
    private String medalPicKey;

    @ApiModelProperty(name = "简介",notes = "")
    private String introduction;

    @ApiModelProperty(name = "奖章类型 字典",notes = "")
    private String medalType;

    @ApiModelProperty(name = "奖章类型名称",notes = "")
    private String medalTypeName;

    @ApiModelProperty(name = "奖章标识 字典",notes = "")
    private String medalMark;

    @ApiModelProperty(name = "奖章标识名称", notes = "")
    private String medalMarkName;

    @ApiModelProperty(name = "展示状态 0:展示 1:不展示",notes = "")
    private Integer displayStatus;

    @ApiModelProperty(name = "创建人ID",notes = "")
    private Integer createdId;

    @ApiModelProperty(name = "创建人名称", notes = "")
    private String createdName;

    @ApiModelProperty(name = "创建时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;
}
