package com.crunii.micro.service.oneaffair.dto.vo.medalRule;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentMedalRuleUpdateReq", description = "学生争章规则修改对象")
@ToString
@Data
public class StudentMedalRuleUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "idList", notes = "学生争章规则ID列表", required = true)
    private List<BigInteger> idList;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成", required = true)
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新名称")
    private String lastUpdatedName;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}
