package com.crunii.micro.service.oneaffair.dto.vo.medalRule;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedalRule;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalRuleCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalRuleReq;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentMedalRuleVo", description = "学生争章规则对象")
@ToString
@Data
public class StudentMedalRuleVo extends MedalRuleReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentMedalRuleId", notes = "学生争章规则ID")
    private BigInteger studentMedalRuleId;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID")
    private BigInteger studentMedalId;

}
