package com.crunii.micro.service.oneaffair.dto.vo.student;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudent;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentHonorary;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentPatriarch;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentPosition;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.CollectionUtils;

import javax.persistence.Column;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentInfoVo", description = "学生分页返回对象")
@ToString
@Data
public class StudentInfoVo extends YcqYjsStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentPatriarchList", notes = "家长列表")
    private List<YcqYjsStudentPatriarch> studentPatriarchList;

    @ApiModelProperty(name = "youthLeagueScore",notes = "入团积分")
    private Integer youthLeagueScore;

    @ApiModelProperty(name = "totalScore",notes = "综合积分")
    private Integer totalScore;

    public void setStudentPatriarchList(List<YcqYjsStudentPatriarch> studentPatriarchList) {
        this.studentPatriarchList = studentPatriarchList;
        if (!CollectionUtils.isEmpty(studentPatriarchList)) {
            YcqYjsStudentPatriarch ycqYjsStudentPatriarch = studentPatriarchList.get(0);
            if (ycqYjsStudentPatriarch != null) {
                this.patriarchRoleType = ycqYjsStudentPatriarch.getPatriarchRoleType();
                this.patriarchRole = ycqYjsStudentPatriarch.getPatriarchRole();
                this.patriarchName = ycqYjsStudentPatriarch.getPatriarchName();
                this.patriarchMobile = ycqYjsStudentPatriarch.getMobile();
            }
        }
    }

    @ApiModelProperty(name = "studentPositionList",notes = "学生岗位评级列表")
    private List<YcqYjsStudentPosition> studentPositionList;

    @ApiModelProperty(name = "studentPositionCount",notes = "学生岗位个数")
    private int studentPositionCount;

    @ApiModelProperty(name = "xjMedalCount",notes = "星级章个数")
    private int xjMedalCount;

    @ApiModelProperty(name = "studentHonoraryList",notes = "学生荣誉称号列表")
    private List<YcqYjsStudentHonorary> studentHonoraryList;

    @ApiModelProperty(name = "studentHonoraryCount",notes = "学生荣誉称号个数")
    private int studentHonoraryCount;

    @ApiModelProperty(name = "patriarchRoleType", notes = "第一个家长角色类型")
    private String patriarchRoleType;

    @ApiModelProperty(name = "patriarchRole", notes = "第一个家长角色")
    private String patriarchRole;

    @ApiModelProperty(name = "patriarchName", notes = "第一个家长姓名")
    private String patriarchName;

    @ApiModelProperty(name = "mobile", notes = "第一个家长手机号")
    private String patriarchMobile;

    @ApiModelProperty(name = "serviceDuration",notes = "服务时长: 小时")
    private Double serviceDuration;

    @ApiModelProperty(name = "courseDuration", notes = "课程时长：分钟")
    private Integer courseDuration;

    @ApiModelProperty(name = "studentPositionType", notes = "学生岗位类型")
    private String studentPositionType;

    @ApiModelProperty(name = "studentPosition", notes = "学生岗位名称")
    private String studentPosition;

    @ApiModelProperty(name = "studentPositionClassType", notes = "学生岗位分类类型")
    private String studentPositionClassType;

    @ApiModelProperty(name = "studentPositionClass", notes = "学生岗位分类名称")
    private String studentPositionClass;

    @ApiModelProperty(name = "positionLevelType",notes = "学生岗位级别类型")
    private String positionLevelType;

    @ApiModelProperty(name = "positionLevel",notes = "学生岗位级别")
    private String positionLevel;

    @ApiModelProperty(name = "positionTime",notes = "获取岗位时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date positionTime;

}
