package com.crunii.micro.service.oneaffair.dto.vo.student;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentPoliticalStatusUpdateReq", description = "学生政治面貌更新对象")
@ToString
@Data
public class StudentPoliticalStatusUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生必选")
    @Size(min = 1, message = "学生必选")
    @ApiModelProperty(name = "idList", notes = "学生ID列表", required = true)
    private List<BigInteger> idList;

    @Size(max= 64,message="政治面貌类型不能超过64")
    @ApiModelProperty(name = "politicalStatusType",notes = "政治面貌类型：群众/少先队/团队/党员群众")
    private String politicalStatusType;

    @Size(max= 64,message="政治面貌名称不能超过64")
    @ApiModelProperty(name = "politicalStatus",notes = "政治面貌")
    private String politicalStatus;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @Size(max= 128,message="最后更新人名称不能超过128")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
