package com.crunii.micro.service.oneaffair.dto.vo.student;

import com.crunii.micro.service.oneaffair.util.DateUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentReq", description = "学生分页查询对象")
@ToString
@Data
public class StudentReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentNum", notes = "学生编号")
    private String studentNum;

    @ApiModelProperty(name = "studentName", notes = "学生名称")
    private String studentName;

    @ApiModelProperty(name = "middleTeamName",notes = "中队名称-精准匹配")
    private String middleTeamName;

    @ApiModelProperty(name = "middleTeamNameLike",notes = "中队名称-模糊匹配")
    private String middleTeamNameLike;

    @ApiModelProperty(name = "studentNameLikeList", notes = "多个学生名称列表-模糊搜索")
    private List<String> studentNameLikeList;

    @ApiModelProperty(name = "identityCardNo", notes = "身份证号")
    private String identityCardNo;

    @ApiModelProperty(name = "identityCardNoList", notes = "身份证号列表")
    private List<String> identityCardNoList;

    @ApiModelProperty(name = "mobileList", notes = "手机号列表")
    private List<String> mobileList;

    @ApiModelProperty(name = "currentSchoolId", notes = "当前学校ID")
    private BigInteger currentSchoolId;

    @ApiModelProperty(name = "currentGradeId", notes = "当前年级ID")
    private BigInteger currentGradeId;

    @ApiModelProperty(name = "currentClassId", notes = "当前班级ID")
    private BigInteger currentClassId;

    @ApiModelProperty(name = "currentClassDirectorId", notes = "班主任ID")
    private BigInteger currentClassDirectorId;

    @ApiModelProperty(name = "currentClassDirectorName", notes = "当前班主任名称")
    private String currentClassDirectorName;

    @ApiModelProperty(name = "currentSchoolIdList", notes = "当前学校ID列表")
    private List<BigInteger> currentSchoolIdList;

    @ApiModelProperty(name = "currentGradeIdList", notes = "当前年级ID列表")
    private List<BigInteger> currentGradeIdList;

    @ApiModelProperty(name = "currentClassIdList", notes = "当前班级ID列表")
    private List<BigInteger> currentClassIdList;

    @ApiModelProperty(name = "currentSchoolName", notes = "当前学校名称")
    private String currentSchoolName;

    @ApiModelProperty(name = "currentGradeName", notes = "当前年级名称")
    private String currentGradeName;

    @ApiModelProperty(name = "currentClassName", notes = "当前班级名称")
    private String currentClassName;

    @ApiModelProperty(name = "idList", notes = "主键ID列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "id", notes = "主键ID")
    private BigInteger id;

    @ApiModelProperty(name = "currentClassDirectorIdList", notes = "班主任ID列表")
    private List<BigInteger> currentClassDirectorIdList;

    @ApiModelProperty(name = "startCreatedTime", notes = "创建时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    @ApiModelProperty(name = "endCreatedTime", notes = "创建时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    public void setStartCreatedTime(Date startCreatedTime){
        this.startCreatedTime = DateUtil.getThisDateStartTimeByAssignDate(startCreatedTime);
    }

    public void setEndCreatedTime(Date endCreatedTime){
        this.endCreatedTime = DateUtil.getThisDateEndTimeByAssignDate(endCreatedTime);
    }

    @ApiModelProperty(name = "patriarchName", notes = "家长姓名")
    private String patriarchName;

    @ApiModelProperty(name = "patriarchMobile", notes = "家长手机号")
    private String patriarchMobile;

    @ApiModelProperty(name = "politicalStatusType", notes = "政治面貌类型：群众/少先队/团队/党员群众")
    private String politicalStatusType;

    @ApiModelProperty(name = "startJoinYouthLeagueTime", notes = "入团时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startJoinYouthLeagueTime;

    @ApiModelProperty(name = "endJoinYouthLeagueTime", notes = "入团时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endJoinYouthLeagueTime;

    public void setStartJoinYouthLeagueTime(Date startJoinYouthLeagueTime){
        this.startJoinYouthLeagueTime = DateUtil.getThisDateStartTimeByAssignDate(startJoinYouthLeagueTime);
    }

    public void setEndJoinYouthLeagueTime(Date endJoinYouthLeagueTime){
        this.endJoinYouthLeagueTime = DateUtil.getThisDateEndTimeByAssignDate(endJoinYouthLeagueTime);
    }

    @ApiModelProperty(name = "startScoreTime", notes = "评分时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startScoreTime;

    @ApiModelProperty(name = "endScoreTime", notes = "评分时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endScoreTime;

    public void setStartScoreTime(Date startScoreTime){
        this.startScoreTime = DateUtil.getThisDateStartTimeByAssignDate(startScoreTime);
    }

    public void setEndScoreTime(Date endScoreTime){
        this.endScoreTime = DateUtil.getThisDateEndTimeByAssignDate(endScoreTime);
    }

    @ApiModelProperty(name = "startJoinYoungPioneersTime", notes = "入队时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startJoinYoungPioneersTime;

    @ApiModelProperty(name = "endJoinYoungPioneersTime", notes = "入队时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endJoinYoungPioneersTime;

    public void setStartJoinYoungPioneersTime(Date startJoinYoungPioneersTime){
        this.startJoinYoungPioneersTime = DateUtil.getThisDateStartTimeByAssignDate(startJoinYoungPioneersTime);
    }

    public void setEndJoinYoungPioneersTime(Date endJoinYoungPioneersTime){
        this.endJoinYoungPioneersTime = DateUtil.getThisDateEndTimeByAssignDate(endJoinYoungPioneersTime);
    }

    @ApiModelProperty(name = "startJoinCommunistPartyTime", notes = "入党时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startJoinCommunistPartyTime;

    @ApiModelProperty(name = "endJoinCommunistPartyTime", notes = "入党时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endJoinCommunistPartyTime;

    public void setStartJoinCommunistPartyTime(Date startJoinCommunistPartyTime){
        this.startJoinCommunistPartyTime = DateUtil.getThisDateStartTimeByAssignDate(startJoinCommunistPartyTime);
    }

    public void setEndJoinCommunistPartyTime(Date endJoinCommunistPartyTime){
        this.endJoinCommunistPartyTime = DateUtil.getThisDateEndTimeByAssignDate(endJoinCommunistPartyTime);
    }

    @ApiModelProperty(name = "mobileLike", notes = "手机号-模糊匹配", required = true)
    private String mobileLike;

    @ApiModelProperty(name = "mobile", notes = "手机号-精准匹配", required = true)
    private String mobile;

    @ApiModelProperty(name = "baseClassIds", notes = "数据权限班级ID列表")
    private List<BigInteger> baseClassIds;

}
