package com.crunii.micro.service.oneaffair.dto.vo.student;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "TeacherScoreReq", description = "导师评分的对象")
@ToString
@Data
public class TeacherScoreReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生必选")
    @Size(min = 1, message = "学生必选")
    @ApiModelProperty(name = "idList", notes = "学生ID列表", required = true)
    private List<BigInteger> idList;

    @NotNull(message = "老师评分必填")
    @ApiModelProperty(name = "teacherScore",notes = "老师评分")
    private Integer teacherScore;

    @ApiModelProperty(name = "scoreTime",notes = "评分时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date scoreTime;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @Size(max= 128,message="最后更新人名称不能超过128")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
