package com.crunii.micro.service.oneaffair.dto.vo.studentBindingUser;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentBindingUserCreateVo", description = "用户与学生绑定新增对象")
@ToString
@Data
public class StudentBindingUserCreateVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "userId", notes = "用户ID")
    private BigInteger userId;

    @ApiModelProperty(name = "userType", notes = "用户类型：0-学生；1-家长")
    private Integer userType;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @ApiModelProperty(name = "inFlag", notes = "默认进入系统标志：1-进入，0-未进入")
    private Integer inFlag;

}
