package com.crunii.micro.service.oneaffair.dto.vo.studentCourse;

import com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse.StudentSubCourseCreateReq;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentCourseCreateReq", description = "学生课程新增对象")
@ToString
@Data
public class StudentCourseCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "specialId", notes = "专题ID")
    private BigInteger specialId;

    @ApiModelProperty(name = "courseId", notes = "课程ID")
    private BigInteger courseId;

    @Size(max= 128,message="课程名称不能超过128")
    @ApiModelProperty(name = "courseName", notes = "课程名称")
    private String courseName;

    @Size(max= 128,message="专题类别不能超过128")
    @ApiModelProperty(name = "specialType", notes = "专题类别")
    private String specialType;

    @Size(max= 128,message="专题类别名称不能超过128")
    @ApiModelProperty(name = "specialName", notes = "专题类别名称")
    private String specialName;

    @ApiModelProperty(name = "courseDuration", notes = "课程时长")
    private Integer courseDuration;

    @ApiModelProperty(name = "courseCredit", notes = "课程学分")
    private Integer courseCredit;

    @ApiModelProperty(name = "learnProgress", notes = "学习进度，单位百分比")
    private Integer learnProgress;

    @Size(max= 128,message="分组ID不能超过128")
    @ApiModelProperty(name = "groupId", notes = "分组ID：specialId:courseId ")
    private String groupId;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "ifUploadVideo", notes = "是否上传视频")
    private Integer ifUploadVideo;

    @ApiModelProperty(name = "ifAnswer", notes = "是否提交过答卷")
    private Integer ifAnswer;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
