package com.crunii.micro.service.oneaffair.dto.vo.studentCourse;

import com.crunii.micro.service.oneaffair.util.CommonUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentCourseInfoVo", description = "学生课程查询返回对象")
@ToString
@Data
public class StudentCourseInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @ApiModelProperty(name = "courseCover", notes = "课程封面")
    private String courseCover;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "specialId", notes = "专题ID")
    private BigInteger specialId;

    @ApiModelProperty(name = "courseId", notes = "课程ID")
    private BigInteger courseId;

    @ApiModelProperty(name = "groupId", notes = "分组ID：specialId:courseId ")
    private String groupId;

    @ApiModelProperty(name = "courseName", notes = "课程名称")
    private String courseName;

    @ApiModelProperty(name = "courseDescription", notes = "课程描述")
    private String courseDescription;

    @ApiModelProperty(name = "specialType", notes = "专题类别")
    private String specialType;

    @ApiModelProperty(name = "specialName", notes = "专题类别名称")
    private String specialName;

    @ApiModelProperty(name = "attachmentUrl", notes = "附件，多个逗号隔开")
    private String attachmentUrl;

    @ApiModelProperty(name = "paperId", notes = "试卷ID")
    private BigInteger paperId;

    @ApiModelProperty(name = "ifAnswer", notes = "是否提交过答卷")
    private Integer ifAnswer;

    @ApiModelProperty(name = "courseVideoDuration", notes = "课程视频时长，单位：秒")
    private Integer courseVideoDuration;

    @ApiModelProperty(name = "viewVideoDuration", notes = "观看课程视频时长，单位：秒")
    private Integer viewVideoDuration;

    @ApiModelProperty(name = "courseDuration", notes = "课程时长")
    private Integer courseDuration = 0;

    @ApiModelProperty(name = "courseCredit", notes = "课程学分")
    private Integer courseCredit = 0;

    @ApiModelProperty(name = "learnProgress", notes = "学习进度，单位百分比")
    private Integer learnProgress = 0;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus = 0;

    @ApiModelProperty(name = "studyStatus", notes = "学习状态：0-未学习；1-进行中；2-已学习")
    private Integer studyStatus = 0;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "isSubCourse", notes = "是否有子课程(1:有，0:没有)")
    private Integer isSubCourse;

    @ApiModelProperty(name = "ifUploadVideo", notes = "是否上传视频")
    private Integer ifUploadVideo;

}
