package com.crunii.micro.service.oneaffair.dto.vo.studentCourse;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentCourseReq", description = "学生课程请求对象")
@ToString
@Data
public class StudentCourseReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "courseIdList", notes = "课程ID列表")
    private List<BigInteger> courseIdList;

    @ApiModelProperty(name = "specialId", notes = "专题ID")
    private BigInteger specialId;

    @ApiModelProperty(name = "specialIdList", notes = "专题ID列表")
    private List<BigInteger> specialIdList;

    @ApiModelProperty(name = "specialType", notes = "专题类别")
    private String specialType;

    @ApiModelProperty(name = "specialName", notes = "专题类别名称")
    private String specialName;

    @ApiModelProperty(name = "affiliatedBusinessId", notes = "所属业务")
    private BigInteger affiliatedBusinessId;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "paperId", notes = "试卷ID")
    private BigInteger paperId;

    @Column(name = "residue_test_count")
    @ApiModelProperty(name = "residueTestCount", notes = "剩余考试次数")
    private Integer residueTestCount;

}
