package com.crunii.micro.service.oneaffair.dto.vo.studentCourse;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentCourseSubmitTestReq", description = "学生课程提交试卷")
@ToString
@Data
public class StudentCourseSubmitTestReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生课程ID必选")
    @ApiModelProperty(name = "id", notes = "主键", required = true)
    private BigInteger id;

    @ApiModelProperty(name = "paperId", notes = "试卷ID")
    private BigInteger paperId;

    @ApiModelProperty(name = "ifAnswer", notes = "是否提交过答卷")
    private Integer ifAnswer;

    @ApiModelProperty(name = "residueTestCount", notes = "剩余考试次数")
    private Integer residueTestCount;

    @ApiModelProperty(name = "answerScore", notes = "答题得分")
    private Integer answerScore;

    @ApiModelProperty(name = "ifPass", notes = "是否合格：0-不合格；1-合格")
    private Integer ifPass;

    @ApiModelProperty(name = "learnProgress", notes = "学习进度，单位百分比")
    private Integer learnProgress;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
