package com.crunii.micro.service.oneaffair.dto.vo.studentCourse;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentCourseUploadVideoVo", description = "学生课程上传视频对象")
@ToString
@Data
public class StudentCourseUploadVideoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "学生课程ID", required = true)
    private BigInteger id;

    @ApiModelProperty(name = "ifUploadVideo", notes = "是否上传视频")
    private Integer ifUploadVideo;

    @ApiModelProperty(name = "learnProgress", notes = "学习进度，单位百分比")
    private Integer learnProgress;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
