package com.crunii.micro.service.oneaffair.dto.vo.studentCourse;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentCourseVideoDeleteReq", description = "学生课程上传视频删除对象")
@ToString
@Data
public class StudentCourseVideoDeleteReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生课程ID必选")
    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID", required = true)
    private BigInteger studentCourseId;

    @NotNull(message = "视频必选")
    @ApiModelProperty(name = "studentCourseUploadVideoId", notes = "需要删除的学生课程视频ID", required = true)
    private BigInteger studentCourseUploadVideoId;

}
