package com.crunii.micro.service.oneaffair.dto.vo.studentCourseUploadVideo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentCourseUploadVideoCreateReq", description = "学生课程上传视频新增对象")
@ToString
@Data
public class StudentCourseUploadVideoCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生课程不能为空")
    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID", required = true)
    private BigInteger studentCourseId;

    @Size(max= 255,message="视频名称不能超过255位")
    @NotBlank(message = "视频名称不能为空")
    @ApiModelProperty(name = "fileName", notes = "视频名称", required = true)
    private String fileName;

    @Size(max= 128,message="视频唯一标识不能超过128位")
    @NotBlank(message = "视频唯一标识不能为空")
    @ApiModelProperty(name = "fileNumber", notes = "视频唯一标识", required = true)
    private String fileNumber;

    @Size(max= 128,message="视频大小不能超过128位")
    @NotBlank(message = "视频大小不能为空")
    @ApiModelProperty(name = "fileSize", notes = "视频大小", required = true)
    private String fileSize;

    @Size(max= 500,message="视频封面URL不能超过500位")
    @NotBlank(message = "视频封面URL不能为空")
    @ApiModelProperty(name = "pictureUrl", notes = "视频封面URL", required = true)
    private String pictureUrl;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
