package com.crunii.micro.service.oneaffair.dto.vo.studentHonorary;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentHonoraryBaseReq", description = "学生荣誉基础对象")
@ToString
@Data
public class StudentHonoraryBaseReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @Size(max= 128,message="荣誉称号类型不能超过128")
    @ApiModelProperty(name = "honoraryTitleType", notes = "荣誉称号类型")
    private String honoraryTitleType;

    @Size(max= 128,message="荣誉称号名称不能超过128")
    @ApiModelProperty(name = "honoraryTitle", notes = "荣誉称号名称")
    private String honoraryTitle;

    @Size(max= 64,message="学期名称不能超过64")
    @ApiModelProperty(name = "semesterName", notes = "学期名称")
    private String semesterName;

    @Size(max= 64,message="学期类型不能超过64")
    @ApiModelProperty(name = "semesterType", notes = "学期类型")
    private String semesterType;

    @ApiModelProperty(name = "schoolId", notes = "学校ID")
    private BigInteger schoolId;

    @Size(max= 255,message="学校名称不能超过255")
    @ApiModelProperty(name = "schoolName", notes = "学校名称")
    private String schoolName;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @Size(max= 255,message="年级名称不能超过255")
    @ApiModelProperty(name = "gradeName", notes = "年级名称")
    private String gradeName;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

    @Size(max= 255,message="班级名称不能超过255")
    @ApiModelProperty(name = "className", notes = "班级名称")
    private String className;

    @Size(max= 255,message="荣誉称号全称不能超过255")
    @ApiModelProperty(name = "honoraryFullTitle", notes = "荣誉称号全称")
    private String honoraryFullTitle;

    @Size(max= 128,message="荣誉称号级别类型不能超过128")
    @ApiModelProperty(name = "honoraryLevelType", notes = "荣誉称号级别类型：1-全国、2-市级、3-区级、4-校级")
    private String honoraryLevelType;

    @Size(max= 128,message="荣誉称号级别名称不能超过128")
    @ApiModelProperty(name = "honoraryLevel", notes = "荣誉称号级别名称")
    private String honoraryLevel;

    @ApiModelProperty(name = "honoraryTime", notes = "获取荣誉称号时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date honoraryTime;

    @ApiModelProperty(name = "groupId", notes = "分组ID: gradeId:semesterType:honoraryLevelType:honoraryTitleType")
    private String groupId;

}
