package com.crunii.micro.service.oneaffair.dto.vo.studentHonorary;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentHonoraryBatchCreateReq", description = "批量设置学生荣誉称号对象")
@ToString
@Data
public class StudentHonoraryBatchCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生必选")
    @Size(min = 1, message = "学生必选")
    @ApiModelProperty(name = "studentIdList", notes = "学生ID列表", required = true)
    private List<BigInteger> studentIdList;

    @ApiModelProperty(name = "studentHonoraryBaseReqList", notes = "学生荣誉称号基础数据列表")
    private List<StudentHonoraryBaseReq> studentHonoraryBaseReqList;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
