package com.crunii.micro.service.oneaffair.dto.vo.studentHonorary;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentHonoraryEditReq", description = "学生荣誉称号编辑对象")
@ToString
@Data
public class StudentHonoraryEditReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID", required = true)
    private BigInteger studentId;

    @ApiModelProperty(name = "studentHonoraryBaseReqList", notes = "学生荣誉称号基础数据列表")
    private List<StudentHonoraryBaseReq> studentHonoraryBaseReqList;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新名称")
    private String lastUpdatedName;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}
