package com.crunii.micro.service.oneaffair.dto.vo.studentHonorary;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentHonoraryReq", description = "学生荣誉称号查询请求对象")
@ToString
@Data
public class StudentHonoraryReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "idList", notes = "主键ID列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "studentIdList", notes = "学生ID列表")
    private List<BigInteger> studentIdList;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "honoraryTitleType", notes = "荣誉称号类型")
    private String honoraryTitleType;

    @ApiModelProperty(name = "honoraryTitle", notes = "荣誉称号")
    private String honoraryTitle;

    @ApiModelProperty(name = "semesterType", notes = "学期类型")
    private String semesterType;

    @ApiModelProperty(name = "schoolId", notes = "学校ID")
    private BigInteger schoolId;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

    @ApiModelProperty(name = "honoraryLevelType", notes = "荣誉称号级别类型")
    private String honoraryLevelType;

}
