package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import com.crunii.micro.service.oneaffair.dto.vo.medalRule.StudentMedalRuleCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity.StudentMedalActivityCreateReq;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentMedalCreateReq", description = "学生奖章新增对象")
@ToString
@Data
public class StudentMedalCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生不能为空")
    @ApiModelProperty(name = "studentId", notes = "学生ID", required = true)
    private BigInteger studentId;

    @NotNull(message = "奖章不能为空")
    @ApiModelProperty(name = "medalId", notes = "奖章ID", required = true)
    private BigInteger medalId;

    @ApiModelProperty(name = "voucherCompleteStatus", notes = "凭证完成状态：0-未完成；1-已完成", required = true)
    private Integer voucherCompleteStatus;

    @ApiModelProperty(name = "voucherCompleteTime", notes = "凭证完成时间", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date voucherCompleteTime;

    @ApiModelProperty(name = "studentMedalRuleCreateList", notes = "争章规则列表", required = true)
    private List<StudentMedalRuleCreateReq> studentMedalRuleCreateList;

    @ApiModelProperty(name = "studentMedalActivityCreateList", notes = "学生奖章活动列表", required = true)
    private List<StudentMedalActivityCreateReq> studentMedalActivityCreateList;

    @ApiModelProperty(name = "ifLight", notes = "是否点亮：0-否；1-是")
    private Integer ifLight;

    @ApiModelProperty(name = "lightProgress", notes = "点亮进度，单位百分比")
    private Integer lightProgress;

    @ApiModelProperty(name = "lightTime", notes = "点亮时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lightTime;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
