package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentMedalDetailUpdateVo", description = "学生奖章详情更新对象")
@ToString
@Data
public class StudentMedalDetailUpdateVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生奖章不能为空")
    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID", required = true)
    private BigInteger studentMedalId;

    @ApiModelProperty(name = "ifVoucher", notes = "是否完成凭证：true-完成/false-未完成", required = true)
    private Boolean ifVoucher;

    @ApiModelProperty(name = "studentMedalRuleIdList", notes = "完成的争章规则ID列表", required = true)
    private List<BigInteger> studentMedalRuleIdList;

    @ApiModelProperty(name = "studentMedalActivityIdList", notes = "完成的学生奖章活动ID列表", required = true)
    private List<BigInteger> studentMedalActivityIdList;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新名称")
    private String lastUpdatedName;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}
