package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.crunii.micro.service.oneaffair.dto.vo.medalRule.StudentMedalRuleVo;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity.StudentMedalActivityVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentMedalDetailVo", description = "学生奖章详情对象")
@ToString
@Data
public class StudentMedalDetailVo extends YcqYjsMedal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID")
    private BigInteger studentMedalId;

    @ApiModelProperty(name = "ifLight", notes = "是否点亮：0-否；1-是")
    private Integer ifLight;

    @ApiModelProperty(name = "lightProgress", notes = "点亮进度，单位百分比")
    private Integer lightProgress;

    @ApiModelProperty(name = "lightTime", notes = "点亮时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lightTime;

    @ApiModelProperty(name = "needVoucher",notes = "是否需要上传凭证 0:不需要 1:需要")
    private Integer needVoucher;

    @ApiModelProperty(name = "voucherUrl", notes = "上传凭证url")
    private String voucherUrl;

    @ApiModelProperty(name = "voucherTime", notes = "凭证上传时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date voucherTime;

    @ApiModelProperty(name = "voucherCompleteStatus", notes = "凭证完成状态：0-未完成；1-已完成")
    private Integer voucherCompleteStatus;

    @ApiModelProperty(name = "voucherCompleteTime", notes = "凭证完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date voucherCompleteTime;

    @ApiModelProperty(name = "studentMedalRuleVoList", notes = "争章规则列表")
    private List<StudentMedalRuleVo> studentMedalRuleVoList;

    @ApiModelProperty(name = "studentMedalActivityVoList", notes = "学生奖章活动列表")
    private List<StudentMedalActivityVo> studentMedalActivityVoList;


}
