package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentMedalGroupByGradeAndMedalTypeInfo", description = "学生奖章根据年级学期奖章类型分组对象")
@ToString
@Data
public class StudentMedalGroupByGradeAndMedalTypeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentMedalGroupByMedalTypeInfoList", notes = "学生奖章根据奖章类型分组列表")
    private List<StudentMedalGroupByMedalTypeInfo> studentMedalGroupByMedalTypeInfoList;

    @ApiModelProperty(name = "ownerGrade", notes = "所属年级 组织树")
    private String ownerGrade;

    @ApiModelProperty(name = "ownerGradeName", notes = "所属年级名称")
    private String ownerGradeName;

    @ApiModelProperty(name = "ownerSemester", notes = "所属学期字典")
    private String ownerSemester;

    @ApiModelProperty(name = "ownerSemesterName", notes = "所属学期名称")
    private String ownerSemesterName;

    @ApiModelProperty(name = "studentMedalCreatedTime", notes = "学生奖章创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date studentMedalCreatedTime;

    @ApiModelProperty(name = "groupId", notes = "分组ID")
    private String groupId;

}
