package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentMedalInfo", description = "学生奖章对象")
@ToString
@Data
public class StudentMedalInfo extends YcqYjsMedal implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID")
    private BigInteger studentMedalId;

    @ApiModelProperty(name = "ifLight", notes = "是否点亮：0-否；1-是")
    private Integer ifLight;

    @ApiModelProperty(name = "lightProgress", notes = "点亮进度，单位百分比")
    private Integer lightProgress;

    @ApiModelProperty(name = "lightTime", notes = "点亮时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lightTime;

    @ApiModelProperty(name = "studentMedalCreatedTime", notes = "学生奖章创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date studentMedalCreatedTime;

    @ApiModelProperty(name = "groupId", notes = "分组ID")
    private String groupId;

}
