package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "StudentMedalInfoReq", description = "学生奖章查询请求对象")
@ToString
@Data
public class StudentMedalInfoReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生必填")
    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "medalName", notes = "奖章名称")
    private String medalName;

    @ApiModelProperty(name = "medalType", notes = "奖章类型")
    private String medalType;

    @ApiModelProperty(name = "gradeCode", notes = "年级Code")
    private String gradeCode;

    @ApiModelProperty(name = "semesterCode", notes = "学期Code")
    private String semesterCode;

    @ApiModelProperty(name = "ifLight", notes = "是否点亮：0-否；1-是")
    private Integer ifLight;

    @ApiModelProperty(name = "ifCurrent", notes = "是否当前学期：false-否；true-是")
    private Boolean ifCurrent;

}
