package com.crunii.micro.service.oneaffair.dto.vo.studentMedal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentMedalUpdateReq", description = "学生奖章更新对象")
@ToString
@Data
public class StudentMedalUpdateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    private BigInteger id;

    @ApiModelProperty(name = "ifLight", notes = "是否点亮：0-否；1-是")
    private Integer ifLight;

    @ApiModelProperty(name = "lightProgress", notes = "点亮进度，单位百分比")
    private Integer lightProgress;

    @ApiModelProperty(name = "lightTime", notes = "点亮时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lightTime;

    @ApiModelProperty(name = "voucherCompleteStatus", notes = "凭证完成状态：0-未完成；1-已完成")
    private Integer voucherCompleteStatus;

    @ApiModelProperty(name = "voucherCompleteTime", notes = "凭证完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date voucherCompleteTime;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新名称")
    private String lastUpdatedName;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

}
