package com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity;

import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalActivityInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentMedalActivityVo", description = "学生奖章活动对象")
@ToString
@Data
public class StudentMedalActivityVo extends MedalActivityInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentMedalActivityId", notes = "学生奖章关联活动ID")
    private BigInteger studentMedalActivityId;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "studentMedalId", notes = "学生奖章ID")
    private BigInteger studentMedalId;

}
