package com.crunii.micro.service.oneaffair.dto.vo.studentPatriarch;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentPatriarchCreateReq", description = "学生家长新增对象")
@ToString
@Data
public class StudentPatriarchCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @Size(max= 64,message="家长角色类型不能超过64")
    @ApiModelProperty(name = "patriarchRoleType", notes = "家长角色类型：爸爸/妈妈/...")
    private String patriarchRoleType;

    @Size(max= 64,message="家长角色不能超过64")
    @ApiModelProperty(name = "patriarchRole", notes = "家长角色：爸爸/妈妈/...")
    private String patriarchRole;

    @Size(max= 32,message="家长姓名不能超过32")
    @ApiModelProperty(name = "patriarchName", notes = "家长姓名")
    private String patriarchName;

    @Size(max= 11,message="手机号不能超过11")
    @ApiModelProperty(name = "mobile", notes = "手机号")
    private String mobile;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
