package com.crunii.micro.service.oneaffair.dto.vo.studentPosition;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentPositionBaseReq", description = "学生岗位基础对象")
@ToString
@Data
public class StudentPositionBaseReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @Size(max= 128,message="学生岗位分类类型不能超过128")
    @ApiModelProperty(name = "studentPositionClassType", notes = "学生岗位分类类型", required = true)
    private String studentPositionClassType;

    @Size(max= 128,message="学生岗位分类名称不能超过128")
    @ApiModelProperty(name = "studentPositionClass", notes = "学生岗位分类名称", required = true)
    private String studentPositionClass;

    @Size(max= 128,message="学生岗位类型不能超过128")
    @ApiModelProperty(name = "studentPositionType", notes = "学生岗位类型", required = true)
    private String studentPositionType;

    @Size(max= 128,message="学生岗位名称不能超过128")
    @ApiModelProperty(name = "studentPosition", notes = "学生岗位名称", required = true)
    private String studentPosition;

    @Size(max= 128,message="学生岗位级别类型不能超过128")
    @ApiModelProperty(name = "positionLevelType",notes = "学生岗位级别类型：：1-全国、2-市级、3-区级、4-校级")
    private String positionLevelType;

    @Size(max= 128,message="学生岗位级别不能超过128")
    @ApiModelProperty(name = "positionLevel",notes = "学生岗位级别")
    private String positionLevel;

    @ApiModelProperty(name = "positionTime",notes = "获取岗位时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date positionTime;

    @Size(max= 64,message="学期名称不能超过64")
    @ApiModelProperty(name = "semesterName", notes = "学期名称", required = true)
    private String semesterName;

    @Size(max= 64,message="学期类型不能超过64")
    @ApiModelProperty(name = "semesterType", notes = "学期类型", required = true)
    private String semesterType;

    @ApiModelProperty(name = "schoolId", notes = "学校ID", required = true)
    private BigInteger schoolId;

    @Size(max= 255,message="学校名称不能超过255")
    @ApiModelProperty(name = "schoolName", notes = "学校名称", required = true)
    private String schoolName;

    @ApiModelProperty(name = "gradeId", notes = "年级ID", required = true)
    private BigInteger gradeId;

    @Size(max= 255,message="年级名称不能超过255")
    @ApiModelProperty(name = "gradeName", notes = "年级名称", required = true)
    private String gradeName;

    @ApiModelProperty(name = "classId", notes = "班级ID", required = true)
    private BigInteger classId;

    @Size(max= 255,message="班级名称不能超过255")
    @ApiModelProperty(name = "className", notes = "班级名称", required = true)
    private String className;

    @ApiModelProperty(name = "groupId", notes = "分组ID: gradeId:semesterType:studentPositionClassType:positionLevelType:studentPositionType")
    private String groupId;


}
