package com.crunii.micro.service.oneaffair.dto.vo.studentPosition;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentPositionCreateReq", description = "学生岗位新增对象")
@ToString
@Data
public class StudentPositionCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentId", notes = "学生ID", required = true)
    private BigInteger studentId;

    @Size(max = 128, message = "学生岗位分类类型不能超过128")
    @ApiModelProperty(name = "studentPositionClassType", notes = "学生岗位分类类型", required = true)
    private String studentPositionClassType;

    @Size(max = 128, message = "学生岗位分类名称不能超过128")
    @ApiModelProperty(name = "studentPositionClass", notes = "学生岗位分类名称", required = true)
    private String studentPositionClass;

    @Size(max = 128, message = "学生岗位类型不能超过128")
    @ApiModelProperty(name = "studentPositionType", notes = "学生岗位类型", required = true)
    private String studentPositionType;

    @Size(max = 128, message = "学生岗位名称不能超过128")
    @ApiModelProperty(name = "studentPosition", notes = "学生岗位名称", required = true)
    private String studentPosition;

    @Size(max = 128, message = "学生岗位级别类型不能超过128")
    @ApiModelProperty(name = "positionLevelType", notes = "学生岗位级别类型")
    private String positionLevelType;

    @Size(max = 128, message = "学生岗位级别不能超过128")
    @ApiModelProperty(name = "positionLevel", notes = "学生岗位级别")
    private String positionLevel;

    @ApiModelProperty(name = "positionTime", notes = "获取岗位时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date positionTime;

    @Size(max = 64, message = "学期名称不能超过64")
    @ApiModelProperty(name = "semesterName", notes = "学期名称", required = true)
    private String semesterName;

    @Size(max = 64, message = "学期类型不能超过64")
    @ApiModelProperty(name = "semesterType", notes = "学期类型", required = true)
    private String semesterType;

    @ApiModelProperty(name = "schoolId", notes = "学校ID", required = true)
    private BigInteger schoolId;

    @Size(max = 255, message = "学校名称不能超过255")
    @ApiModelProperty(name = "schoolName", notes = "学校名称", required = true)
    private String schoolName;

    @ApiModelProperty(name = "gradeId", notes = "年级ID", required = true)
    private BigInteger gradeId;

    @Size(max = 255, message = "年级名称不能超过255")
    @ApiModelProperty(name = "gradeName", notes = "年级名称", required = true)
    private String gradeName;

    @ApiModelProperty(name = "classId", notes = "班级ID", required = true)
    private BigInteger classId;

    @Size(max = 255, message = "班级名称不能超过255")
    @ApiModelProperty(name = "className", notes = "班级名称", required = true)
    private String className;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max = 255, message = "创建人名称不能超过255")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
