package com.crunii.micro.service.oneaffair.dto.vo.studentPosition;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentPositionReq", description = "学生岗位查询对象")
@ToString
@Data
public class StudentPositionReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "idList", notes = "主键ID列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "studentIdList", notes = "学生ID列表")
    private List<BigInteger> studentIdList;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentPositionType", notes = "学生岗位类型")
    private String studentPositionType;

    @ApiModelProperty(name = "studentPositionClassType", notes = "学生岗位分类类型")
    private String studentPositionClassType;

    @ApiModelProperty(name = "semesterType", notes = "学期类型")
    private String semesterType;

    @ApiModelProperty(name = "schoolId", notes = "学校ID")
    private BigInteger schoolId;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

}
