package com.crunii.micro.service.oneaffair.dto.vo.studentQuestion;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentQuestionCreateReq", description = "学生答题新增对象")
@ToString
@Data
public class StudentQuestionCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "questionId", notes = "题目ID", required = true)
    private BigInteger questionId;

    @ApiModelProperty(name = "questionType", notes = "题目类型：1-单选题；2-多选题；3-判断题", required = true)
    private Integer questionType;

    @ApiModelProperty(name = "rightOptionIdList", notes = "正确选项ID列表", required = true)
    private List<BigInteger> rightOptionIdList;

    @ApiModelProperty(name = "answerOptionIdList", notes = "答题选项ID列表", required = true)
    private List<BigInteger> answerOptionIdList;

    @ApiModelProperty(name = "studentTestId", notes = "学生答卷ID")
    private BigInteger studentTestId;

    @ApiModelProperty(name = "questionScore", notes = "题目分数")
    private Integer questionScore;

    @Size(max= 255,message="答题选项ID列表不能超过255")
    @ApiModelProperty(name = "answerOptionIds", notes = "答题选项ID列表，逗号隔开")
    private String answerOptionIds;

    @Size(max= 255,message="正确选项ID列表不能超过255")
    @ApiModelProperty(name = "rightOptionIds", notes = "正确选项ID列表，逗号隔开")
    private String rightOptionIds;

    @ApiModelProperty(name = "answerQuestionScore", notes = "答题得分")
    private Integer answerQuestionScore;

    @ApiModelProperty(name = "ifAnswerRight", notes = "是否答对：0-否；1-是")
    private Integer ifAnswerRight;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
