package com.crunii.micro.service.oneaffair.dto.vo.studentQuestion;

import com.crunii.micro.service.oneaffair.util.CommonUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.List;

@ApiModel(value = "StudentQuestionInfoVo", description = "学生答题对象")
@ToString
@Data
public class StudentQuestionInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @ApiModelProperty(name = "questionId", notes = "题目ID")
    private BigInteger questionId;

    @ApiModelProperty(name = "questionType", notes = "题目类型：1-单选题；2-多选题；3-判断题")
    private Integer questionType;

    @ApiModelProperty(name = "rightOptionIdList", notes = "正确选项ID列表")
    private List<BigInteger> rightOptionIdList;

    @ApiModelProperty(name = "answerOptionIdList", notes = "答题选项ID列表")
    private List<BigInteger> answerOptionIdList;

    @ApiModelProperty(name = "studentTestId", notes = "学生答卷ID")
    private BigInteger studentTestId;

    @ApiModelProperty(name = "questionScore", notes = "题目分数")
    private Integer questionScore;

    @Size(max= 255,message="答题选项ID列表不能超过255")
    @ApiModelProperty(name = "answerOptionIds", notes = "答题选项ID列表，逗号隔开")
    private String answerOptionIds;

    public void setAnswerOptionIds(String answerOptionIds){
        this.answerOptionIds = answerOptionIds;
        answerOptionIdList = CommonUtil.transferStrToList(answerOptionIds);
    }

    @Size(max= 255,message="正确选项ID列表不能超过255")
    @ApiModelProperty(name = "rightOptionIds", notes = "正确选项ID列表，逗号隔开")
    private String rightOptionIds;

    public void setRightOptionIds(String rightOptionIds){
        this.rightOptionIds = rightOptionIds;
        rightOptionIdList = CommonUtil.transferStrToList(rightOptionIds);
    }

    @ApiModelProperty(name = "answerQuestionScore", notes = "答题得分")
    private Integer answerQuestionScore;

    @ApiModelProperty(name = "ifAnswerRight", notes = "是否答对：0-否；1-是")
    private Integer ifAnswerRight;

}
