package com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentSubCourseCreateReq", description = "学生子课程新增对象")
@ToString
@Data
public class StudentSubCourseCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "subCourseId", notes = "子课程ID", required = true)
    private BigInteger subCourseId;

    @ApiModelProperty(name = "studentId", notes = "学生ID", required = true)
    private BigInteger studentId;

    @ApiModelProperty(name = "courseId", notes = "课程ID", required = true)
    private BigInteger courseId;

    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID", required = true)
    private BigInteger studentCourseId;

    @ApiModelProperty(name = "courseVideoDuration", notes = "课程视频时长，单位：秒")
    private Integer courseVideoDuration;

    @ApiModelProperty(name = "viewVideoDuration", notes = "观看课程视频时长，单位：秒")
    private Integer viewVideoDuration;

    @ApiModelProperty(name = "viewProgress", notes = "观看进度，单位百分比")
    private Integer viewProgress;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

    @Size(max= 255,message="创建人名称不能超过255")
    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    private String createdName;

}
