package com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse;

import com.crunii.micro.feign.client.dto.YcqYjsCoursesubMgrResp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentSubCourseInfoVo", description = "学生子课程查询返回对象")
@ToString
@Data
public class StudentSubCourseInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "studentSubCourseId", notes = "学生子课程ID")
    private BigInteger studentSubCourseId;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "courseId", notes = "课程ID")
    private BigInteger courseId;

    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID")
    private BigInteger studentCourseId;

    @ApiModelProperty(name = "subCourseId", notes = "子课程ID")
    private BigInteger subCourseId;

    @ApiModelProperty(name = "courseDuration", notes = "课程时长")
    private Integer courseDuration = 0;

    @ApiModelProperty(name = "courseVideoDuration", notes = "课程视频时长，单位：秒")
    private Integer courseVideoDuration;

    @ApiModelProperty(name = "viewVideoDuration", notes = "观看课程视频时长，单位：秒")
    private Integer viewVideoDuration;

    @ApiModelProperty(name = "viewProgress", notes = "观看进度，单位百分比")
    private Integer viewProgress;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "subcourseName", notes = "子课程名称")
    private String subcourseName;

    @ApiModelProperty(name = "url", notes = "子课程url连接")
    private String url;

    @ApiModelProperty(name = "xh", notes = "排序")
    private Integer xh;

    @ApiModelProperty(name = "isDragPlay", notes = "是否拖动播放")
    private Integer isDragPlay;

    @ApiModelProperty(name = "isMultiplyPlay", notes = "是否倍数播放")
    private Integer isMultiplyPlay;

    @ApiModelProperty(name = "createTime", notes = "创建时间")
    private Date createTime;

    @ApiModelProperty(name = "delFlag", notes = "删除标识")
    private Integer delFlag;

    @ApiModelProperty(name = "attachment", notes = "附件")
    private String attachment;

    @ApiModelProperty(name = "attachmentName", notes = "附件名称")
    private String attachmentName;

    @ApiModelProperty(name = "videoName", notes = "子课程视频名称")
    private String videoName;

    @ApiModelProperty(name = "pictureUrl", notes = "文件缩略图")
    private String pictureUrl;

    @ApiModelProperty(name = "subCourseNum", notes = "子课程编码")
    private String subCourseNum;

}
