package com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "StudentSubCourseViewProgressReq", description = "学生子课程视频观看进度")
@ToString
@Data
public class StudentSubCourseViewProgressReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生课程不能为空")
    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID", required = true)
    private BigInteger studentCourseId;

    @ApiModelProperty(name = "studentSubCourseId", notes = "学生子课程ID", required = true)
    private BigInteger studentSubCourseId;

    @NotNull(message = "子课程ID不能为空")
    @ApiModelProperty(name = "subCourseId", notes = "子课程ID", required = true)
    private BigInteger subCourseId;

    @ApiModelProperty(name = "courseVideoDuration", notes = "课程视频时长，单位：秒", required = true)
    private Integer courseVideoDuration;

    @ApiModelProperty(name = "viewVideoDuration", notes = "观看课程视频时长，单位：秒", required = true)
    private Integer viewVideoDuration;

    @ApiModelProperty(name = "viewProgress", notes = "观看进度，单位百分比")
    private Integer viewProgress;

    @ApiModelProperty(name = "completeStatus", notes = "完成状态：0-未完成；1-已完成")
    private Integer completeStatus;

    @ApiModelProperty(name = "completeTime", notes = "完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date completeTime;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @Size(max= 255,message="最后更新名称不能超过255")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
