package com.crunii.micro.service.oneaffair.dto.vo.studentTest;

import dm.jdbc.util.StringUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "InitStudentTestReq", description = "学生答卷初始化请求对象")
@ToString
@Data
public class InitStudentTestReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生不能为空")
    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @NotNull(message = "学生课程不能为空")
    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID", required = true)
    private BigInteger studentCourseId;

    @NotNull(message = "试卷不能为空")
    @ApiModelProperty(name = "paperId", notes = "试卷ID", required = true)
    private BigInteger paperId;

    @Size(max= 255,message="试卷名称不能超过255")
    @ApiModelProperty(name = "paperName", notes = "试卷名称")
    private String paperName;

    public void setPaperName(String paperName) {
        this.paperName = StringUtil.isEmpty(paperName) ? "练习题" : paperName;
    }

    @ApiModelProperty(name = "allowTimes", notes = "可考次数", required = true)
    private Integer allowTimes;

    @ApiModelProperty(name = "ifShowScore", notes = "是否显示分数：0-否 1是")
    private Integer ifShowScore;

    @ApiModelProperty(name = "ifExam", notes = "是否是考试：0-否 1-是")
    private Integer ifExam;

    @ApiModelProperty(name = "testScore", notes = "试卷总分")
    private Integer testScore;

    @ApiModelProperty(name = "passScore", notes = "合格分")
    private Integer passScore;

    @ApiModelProperty(name = "questionCount", notes = "题目总数", required = true)
    private Integer questionCount;

}
