package com.crunii.micro.service.oneaffair.dto.vo.studentTest;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;

@ApiModel(value = "MinusResidueTestCountReq", description = "减少学生答卷次数对象")
@ToString
@Data
public class MinusResidueTestCountReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生不能为空")
    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @NotNull(message = "学生课程不能为空")
    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID", required = true)
    private BigInteger studentCourseId;

    @NotNull(message = "试卷不能为空")
    @ApiModelProperty(name = "paperId", notes = "试卷ID", required = true)
    private BigInteger paperId;

    @ApiModelProperty(name = "allowTimes", notes = "可考次数", required = true)
    private Integer allowTimes;

}
