package com.crunii.micro.service.oneaffair.dto.vo.studentTest;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "StudentTestDeleteReq", description = "学生答卷删除对象")
@ToString
@Data
public class StudentTestDeleteReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "学生答卷必选")
    @Size(min = 1, message = "学生答卷必选")
    @ApiModelProperty(name = "idList", notes = "学生答卷ID列表", required = true)
    private List<BigInteger> idList;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    private BigInteger lastUpdatedId;

    @Size(max= 255,message="最后更新人名称不能超过255")
    @ApiModelProperty(name = "lastUpdatedName", notes = "最后更新人名称")
    private String lastUpdatedName;

}
