package com.crunii.micro.service.oneaffair.dto.vo.studentTest;

import com.crunii.micro.service.oneaffair.dto.vo.studentQuestion.StudentQuestionInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.CollectionUtils;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Comparator;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

@ApiModel(value = "StudentTestInfoVo", description = "学生答卷对象")
@ToString
@Data
public class StudentTestInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", notes = "主键")
    private BigInteger id;

    @ApiModelProperty(name = "studentId", notes = "学生ID")
    private BigInteger studentId;

    @ApiModelProperty(name = "studentCourseId", notes = "学生课程ID")
    private BigInteger studentCourseId;

    @ApiModelProperty(name = "paperId", notes = "试卷ID")
    private String paperId;

    @ApiModelProperty(name = "paperName", notes = "试卷名称")
    private String paperName;

    @ApiModelProperty(name = "testScore", notes = "试卷总分")
    private Integer testScore;

    @ApiModelProperty(name = "passScore", notes = "合格分")
    private Integer passScore;

    @ApiModelProperty(name = "answerScore", notes = "答题得分")
    private Integer answerScore;

    @ApiModelProperty(name = "ifPass", notes = "是否合格：0-不合格；1-合格")
    private Integer ifPass;

    @ApiModelProperty(name = "answerDuration", notes = "答题时长：秒")
    private Integer answerDuration;

    @ApiModelProperty(name = "questionCount", notes = "题目总数")
    private Integer questionCount;

    @ApiModelProperty(name = "rightQuestionCount", notes = "答对题目数")
    private Integer rightQuestionCount;

    @ApiModelProperty(name = "errorQuestionCount", notes = "答错题目数")
    private Integer errorQuestionCount;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "studentQuestionInfoVoList", notes = "学生答题列表")
    private List<StudentQuestionInfoVo> studentQuestionInfoVoList;

    public void setStudentQuestionInfoVoList(List<StudentQuestionInfoVo> studentQuestionInfoVoList) {
        if (!CollectionUtils.isEmpty(studentQuestionInfoVoList)) {
            this.studentQuestionInfoVoList = studentQuestionInfoVoList.stream().sorted(Comparator.comparing(StudentQuestionInfoVo::getQuestionId)).collect(Collectors.toList());
        }
    }

    @ApiModelProperty(name = "residueTestCount", notes = "剩余考试次数")
    private Integer residueTestCount = 0;

    @ApiModelProperty(name = "rankNum", notes = "排名")
    private Integer rankNum;

    @ApiModelProperty(name = "ifShowScore", notes = "是否显示分数：0-否 1是")
    private Integer ifShowScore;

    @ApiModelProperty(name = "ifExam", notes = "是否是考试：0-否 1-是")
    private Integer ifExam;

    @ApiModelProperty(name = "ifAnswer", notes = "是否提交答案：0-否；1-是")
    private Integer ifAnswer;

}
