package com.crunii.micro.service.oneaffair.dto.vo.teacher;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(value = "TeacherBindingClassCreateReq", description = "教师负责班级的新增对象")
@ToString
@Data
public class TeacherBindingClassCreateReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "teacherId", notes = "教师ID")
    private BigInteger teacherId;

    @ApiModelProperty(name = "schoolId", notes = "学校ID")
    private BigInteger schoolId;

    @ApiModelProperty(name = "schoolName", notes = "学校名称")
    private String schoolName;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @ApiModelProperty(name = "gradeName", notes = "年级名称")
    private String gradeName;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

    @ApiModelProperty(name = "className", notes = "班级名称")
    private String className;

    @ApiModelProperty(name = "ifAll", notes = "是否全部：0-否；1-是")
    private Integer ifAll;

    @ApiModelProperty(name = "groupId",notes = "分组ID: 年级ID:班级ID")
    private String groupId;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    private BigInteger createdId;

}
