package com.crunii.micro.service.oneaffair.dto.vo.teacher;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "TeacherBindingClassReq", description = "教师与班级的绑定查询请求对象")
@ToString
@Data
public class TeacherBindingClassReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "gradeIdList", notes = "年级ID列表")
    private List<BigInteger> gradeIdList;

    @ApiModelProperty(name = "classIdList", notes = "班级ID列表")
    private List<BigInteger> classIdList;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

}
