package com.crunii.micro.service.oneaffair.dto.vo.teacher;

import com.crunii.micro.service.oneaffair.util.DateUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

@ApiModel(value = "TeacherReq", description = "教师查询请求对象")
@ToString
@Data
public class TeacherReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "userId", notes = "用户ID")
    private BigInteger userId;

    @ApiModelProperty(name = "idList", notes = "主键列表")
    private List<BigInteger> idList;

    @ApiModelProperty(name = "teacherNum", notes = "教师编号")
    private String teacherNum;

    @ApiModelProperty(name = "teacherName", notes = "教师名称")
    private String teacherName;

    @ApiModelProperty(name = "teacherNameList", notes = "教师名称列表")
    private List<String> teacherNameList;

    @ApiModelProperty(name = "sex", notes = "性别: 0-女，1-男")
    private Integer sex;

    @ApiModelProperty(name = "identityCardNo", notes = "身份证号")
    private String identityCardNo;

    @ApiModelProperty(name = "identityCardNoList", notes = "身份证号列表")
    private List<String> identityCardNoList;

    @ApiModelProperty(name = "mobile", notes = "手机号")
    private String mobile;

    @ApiModelProperty(name = "mobileList", notes = "手机号列表")
    private List<String> mobileList;

    @ApiModelProperty(name = "teacherPositionType", notes = "教师职务类型")
    private String teacherPositionType;

    @ApiModelProperty(name = "politicalStatusType", notes = "政治面貌类型：群众/少先队/团队/党员群众 枚举")
    private String politicalStatusType;

    @ApiModelProperty(name = "schoolIdList", notes = "学校IDList")
    private List<BigInteger> schoolIdList;

    @ApiModelProperty(name = "gradeIdList", notes = "年级ID列表")
    private List<BigInteger> gradeIdList;

    @ApiModelProperty(name = "classIdList", notes = "班级ID列表")
    private List<BigInteger> classIdList;

    @ApiModelProperty(name = "startCreatedTime", notes = "创建时间的开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startCreatedTime;

    public void setStartCreatedTime(Date startCreatedTime){
        this.startCreatedTime = DateUtil.getThisDateStartTimeByAssignDate(startCreatedTime);
    }

    @ApiModelProperty(name = "endCreatedTime", notes = "创建时间的结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endCreatedTime;

    public void setEndCreatedTime(Date endCreatedTime){
        this.endCreatedTime = DateUtil.getThisDateEndTimeByAssignDate(endCreatedTime);
    }

    @ApiModelProperty(name = "schoolId", notes = "学校ID")
    private BigInteger schoolId;

    @ApiModelProperty(name = "gradeId", notes = "年级ID")
    private BigInteger gradeId;

    @ApiModelProperty(name = "classId", notes = "班级ID")
    private BigInteger classId;

}
