package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 档案类型
 */
public enum ActivityTypeEnum {


    ACTIVITY_TYPE_1( 1, "志愿服务"),
    ACTIVITY_TYPE_2( 2, "赛事活动"),
    ACTIVITY_TYPE_3( 3, "学习档案"),
    ACTIVITY_TYPE_4( 4, "政治启蒙（入队）"),
    ACTIVITY_TYPE_5( 5, "政治训练（入团）"),
    ACTIVITY_TYPE_6( 6, "政治录用（入党）"),
    ;


    private Integer code;
    private String name;

    ActivityTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        ActivityTypeEnum[] items = values();
        for (ActivityTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
