package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 完成状态：0-未完成；1-已完成
 */
public enum CompleteStatusEnum {


    UN_COMPLETE( 0, "未完成"),
    COMPLETED( 1, "已完成")
    ;


    private Integer code;
    private String name;

    CompleteStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        CompleteStatusEnum[] items = values();
        for (CompleteStatusEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
