package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 是否删除：0-未删除；1-已删除
 */
public enum DelFlagEnum {


    UN_DELETE( 0, "未删除"),
    DELETED( 1, "已删除")
    ;


    private Integer code;
    private String name;

    DelFlagEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        DelFlagEnum[] items = values();
        for (DelFlagEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
