package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 事件类型
 */
public enum EventTypeEnum {


    EVENT_1( 1, "队前教育"),
    EVENT_2( 2, "荣誉称号"),
    EVENT_3( 3, "入队"),
    EVENT_4( 4, "岗位评级"),
    EVENT_5( 5, "红领巾奖章"),
    EVENT_6( 6, "推优入团"),
    ;


    private Integer code;
    private String name;

    EventTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        EventTypeEnum[] items = values();
        for (EventTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
