package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 是否入团: 0-否；1-是
 */
public enum JoinYouthLeagueFlagEnum {


    NO( 0, "否"),
    YES( 1, "是")
    ;


    private Integer code;
    private String name;

    JoinYouthLeagueFlagEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        JoinYouthLeagueFlagEnum[] items = values();
        for (JoinYouthLeagueFlagEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
