package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum MedalActivityStatusEnum {
    ENROLL("0","已报名"),
    JOIN("1","已参与"),
    AWARDS("2","已获奖"),
    ;

    private String value;

    private String name;


    MedalActivityStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static MedalActivityStatusEnum fromValue(String value) {
        return Arrays.stream(MedalActivityStatusEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
