package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum MedalLevelEnum {
    UNIFY("0","统一奖章"),
    CUSTOM("1","学校自定义奖章"),
    ;

    private String value;

    private String name;


    MedalLevelEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static MedalLevelEnum fromValue(String value) {
        return Arrays.stream(MedalLevelEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
