package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@Getter
public enum MedalMarkEnum {
    RED_STAR("1","红星章","1","基础章","2"),
    RED_FLAG("2","红旗章","1","基础章","2"),
    TORCH("3","火炬章","1","基础章","2"),
    ONE_STAR("4","一星章","2","星级章","5"),
    TWO_STAR("5","二星章","2","星级章","10"),
    THREE_STAR("6","三星章","2","星级章","20"),
    FOUR_STAR("7","四星章","2","星级章","35"),
    FIVE_STAR("8","五星章","2","星级章","50"),
    ;

    private String valueCode;

    private String valeName;

    private String typeCode;

    private String typeName;

    private String point;

    MedalMarkEnum(String valueCode, String valeName, String typeCode, String typeName, String point) {
        this.valueCode = valueCode;
        this.valeName = valeName;
        this.typeCode = typeCode;
        this.typeName = typeName;
        this.point = point;
    }

    public static MedalMarkEnum fromValueCode(String valueCode) {
        return Arrays.stream(MedalMarkEnum.values())
                .filter(e -> e.getValueCode().equals(valueCode))
                .findAny()
                .orElse(null);
    }

    public static List<String> fromTypeCode(String typeCode) {
        return Arrays.stream(MedalMarkEnum.values())
                .filter(e -> e.getTypeCode().equals(typeCode))
                .map(MedalMarkEnum::getValueCode) // 映射为valueCode字段
                .collect(Collectors.toList());
    }

    public static List<MedalMarkEnum> medalMarkFromTypeCode(String typeCode) {
        return Arrays.stream(MedalMarkEnum.values())
                .filter(e -> e.getTypeCode().equals(typeCode))
                .collect(Collectors.toList());
    }

}
