package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum MedalRuleTypeEnum {
    SYSTEM(0,"系统判断","0","系统判断"),
    ARTIFICIAL(1,"人工判断","1","人工判断"),
    ;

    private Integer value;

    private String name;

    private String code;

    private String referred;


    MedalRuleTypeEnum(Integer value, String name, String code, String referred) {
        this.value = value;
        this.name = name;
        this.code = code;
        this.referred = referred;
    }

    public static MedalRuleTypeEnum fromCode(String code) {
        return Arrays.stream(MedalRuleTypeEnum.values())
                .filter(e -> e.getCode().equals(code))
                .findAny()
                .orElse(null);
    }

}
