package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum MedalSemesterEnum {
    FIRST_HALF("1","上学期"),
    SECOND_HALF("2","下学期"),
    ALL_YEAR("3","全年"),
    ;

    private String value;

    private String name;


    MedalSemesterEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static MedalSemesterEnum fromValue(String value) {
        return Arrays.stream(MedalSemesterEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
