package com.crunii.micro.service.oneaffair.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum MedalTypeEnum {
    BASE("1","基础章"),
    STAR("2","星级章"),
    CHARACTERISTIC("3","特色章"),
    ;

    private String value;

    private String name;


    MedalTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static MedalTypeEnum fromValue(String value) {
        return Arrays.stream(MedalTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
