package com.crunii.micro.service.oneaffair.enums;

import dm.jdbc.util.StringUtil;

/**
 * @description 政治面貌类型枚举：1-群众、2-少先队员、-共青团员、4-预备党员、5-共产党员- yjs-politicalStatusType
 */
public enum PoliticalStatusTypeEnum {


    THE_MASSES( "1", "群众"),
    YOUNG_PIONEERS( "2", "少先队员"),
    YOUTH_LEAGUE( "3", "共青团员"),
    COMMUNIST_READY_PARTY_MEMBER( "4", "预备党员"),
    COMMUNIST_PARTY_MEMBER( "5", "共产党员")
    ;


    private String code;
    private String name;

    PoliticalStatusTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(String value) {
        if(value == null){
            return null;
        }
        PoliticalStatusTypeEnum[] items = values();
        for (PoliticalStatusTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public static PoliticalStatusTypeEnum getEnumByName(String name) {
        if(StringUtil.isEmpty(name)){
            return null;
        }
        PoliticalStatusTypeEnum[] items = values();
        for (PoliticalStatusTypeEnum item : items) {
            if (item.desc().equals(name)) {
                return item;
            }
        }
        return null;
    }

    public String code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
