package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 题目类型：1-单选题；2-多选题；3-判断题
 */
public enum QuestionTypeEnum {


    SINGLE(1, "单选题"),
    MULTI(2, "多选题"),
    JUDGE(3, "判断题"),
    ;


    private Integer code;
    private String name;

    QuestionTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if (value == null) {
            return null;
        }
        QuestionTypeEnum[] items = values();
        for (QuestionTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code() {
        return this.code;
    }

    public String desc() {
        return this.name;
    }
}
