package com.crunii.micro.service.oneaffair.enums;

import dm.jdbc.util.StringUtil;

/**
 * @description 学期：1-上学期；2-下学期
 */
public enum SemesterEnum {


    UP_TERM( "1", "上学期"),
    UNDER_TERM( "2", "下学期"),
    ALL_YEAR_TERM( "3", "全年"),
    ;


    private String code;
    private String name;

    SemesterEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(String value) {
        if(value == null){
            return null;
        }
        SemesterEnum[] items = values();
        for (SemesterEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public static SemesterEnum getEnumByName(String name) {
        if(StringUtil.isEmpty(name)){
            return null;
        }
        SemesterEnum[] items = values();
        for (SemesterEnum item : items) {
            if (item.desc().equals(name)) {
                return item;
            }
        }
        return null;
    }

    public String code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
