package com.crunii.micro.service.oneaffair.enums;

import dm.jdbc.util.StringUtil;

/**
 * @description 性别: 0-女，1-男
 */
public enum SexTypeEnum {


    FEMALE( 0, "女"),
    MALE( 1, "男")
    ;


    private Integer code;
    private String name;

    SexTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        SexTypeEnum[] items = values();
        for (SexTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public static SexTypeEnum getEnumByName(String name) {
        if(StringUtil.isEmpty(name)){
            return null;
        }
        SexTypeEnum[] items = values();
        for (SexTypeEnum item : items) {
            if (item.desc().equals(name)) {
                return item;
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
