package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 学习状态：0-未学习；1-进行中；2-已学习
 */
public enum StudyStatusEnum {


    UN_STUDYING( 0, "未学习"),
    IN_STUDYING( 1, "进行中"),
    COMPLETE( 2, "已学习")
    ;


    private Integer code;
    private String name;

    StudyStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        StudyStatusEnum[] items = values();
        for (StudyStatusEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
