package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 任务完成状态：0-未开始；1-进行中；2-已完成
 */
public enum TaskCompleteStatusEnum {


    UN_COMPLETE( 0, "未开始"),
    IN_COMPLETED( 1, "进行中"),
    COMPLETED( 2, "已完成");


    private Integer code;
    private String name;

    TaskCompleteStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        TaskCompleteStatusEnum[] items = values();
        for (TaskCompleteStatusEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
