package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 操作类型：1-教师导入；2-队前学生导入；3-入队学生导入；4-推优入团学生导入
 */
public enum TaskOperateTypeEnum {


    TASK_TYPE_1( 1, "教师导入"),
    TASK_TYPE_2( 2, "队前学生导入"),
    TASK_TYPE_3( 3, "入队学生导入"),
    TASK_TYPE_4( 4, "推优入团学生导入");

    private Integer code;
    private String name;

    TaskOperateTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        TaskOperateTypeEnum[] items = values();
        for (TaskOperateTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
