package com.crunii.micro.service.oneaffair.enums;

import dm.jdbc.util.StringUtil;

/**
 * @description 教师职务类型：三级教师、二级教师、一级教师、高级教师、正高级教师
 */
public enum TeacherPositionTypeEnum {


    TEACHER_POSITION_1001( "1001", "三级教师"),
    TEACHER_POSITION_1002( "1002", "二级教师"),
    TEACHER_POSITION_1003( "1003", "一级教师"),
    TEACHER_POSITION_1004( "1004", "高级教师"),
    TEACHER_POSITION_1005( "1005", "正高级教师")
    ;


    private String code;
    private String name;

    TeacherPositionTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(String value) {
        if(value == null){
            return null;
        }
        TeacherPositionTypeEnum[] items = values();
        for (TeacherPositionTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public static TeacherPositionTypeEnum getEnumByName(String name) {
        if(StringUtil.isEmpty(name)){
            return null;
        }
        TeacherPositionTypeEnum[] items = values();
        for (TeacherPositionTypeEnum item : items) {
            if (item.desc().equals(name)) {
                return item;
            }
        }
        return null;
    }

    public String code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
