package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 用户角色
 */
public enum UseRoleEnum {


    TEACHER( 10104, "一件事老师"),
    STUDENT( 10105, "一件事学生")
    ;

    private Integer code;
    private String name;

    UseRoleEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        UseRoleEnum[] items = values();
        for (UseRoleEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
