package com.crunii.micro.service.oneaffair.enums;

/**
 * @description 用户类型：0-学生；1-家长
 */
public enum UserTypeEnum {


    STUDENT( 0, "学生"),
    PATRIARCH( 1, "家长")
    ;


    private Integer code;
    private String name;

    UserTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        UserTypeEnum[] items = values();
        for (UserTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
