package com.crunii.micro.service.oneaffair.enums;

import dm.jdbc.util.StringUtil;

/**
 * @description 教师职务类型：三级教师、二级教师、一级教师、高级教师、正高级教师
 */
public enum YoungPioneerPositionTypeEnum {


    YOUNG_PIONEER_POSITION_1( "1", "中队辅导员"),
    YOUNG_PIONEER_POSITION_2( "2", "大队辅导员"),
    YOUNG_PIONEER_POSITION_3( "3", "区县总辅导员"),
    YOUNG_PIONEER_POSITION_4( "4", "校外辅导员"),
    YOUNG_PIONEER_POSITION_5( "5", "市级总辅导员")
    ;


    private String code;
    private String name;

    YoungPioneerPositionTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(String value) {
        if(value == null){
            return null;
        }
        YoungPioneerPositionTypeEnum[] items = values();
        for (YoungPioneerPositionTypeEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public static YoungPioneerPositionTypeEnum getEnumByName(String name) {
        if(StringUtil.isEmpty(name)){
            return null;
        }
        YoungPioneerPositionTypeEnum[] items = values();
        for (YoungPioneerPositionTypeEnum item : items) {
            if (item.desc().equals(name)) {
                return item;
            }
        }
        return null;
    }

    public String code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
