/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.oneaffair.jdbc;

import cn.hutool.core.collection.CollectionUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.entity.main.TsmOrg;
import com.crunii.micro.domain.entity.main.TsmWorkerOrg;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentSubCourse;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.TsmOrgReq;
import com.crunii.micro.service.oneaffair.enums.OrgEnum;
import com.crunii.micro.service.oneaffair.util.CommonUtil;
import com.google.common.base.Joiner;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author 田平 create 2017年8月11日下午12:44:04
 */
@Slf4j
@Repository
public class OrgJdbcDao {

	@Resource(name = "mainJT")
	protected BaseJdbcTemplate JT;

	@Resource(name = "mainNPJT")
	protected BaseNPJdbcTemplate NPJT;

	public List<TsmOrg> findSchoolByOrgIds(List<Long> orgIds) {
		if (orgIds.size() > 0) {
			String strOrgIds = Joiner.on(",").join(orgIds);
			String sql = "SELECT * FROM tsm_org WHERE state = 1 and parent_org_id = " + OrgEnum.SCHOOL.getValue() + " and org_id IN(" + strOrgIds + ")";
			return JT.queryForBeans(TsmOrg.class, sql);
		}
		return new ArrayList<>();
	}

	public List<TsmWorkerOrg> findByWorkId(int workId) {
		String sql = "SELECT * FROM tsm_worker_org WHERE worker_id = " + workId;
		return JT.queryForBeans(TsmWorkerOrg.class, sql);
	}

	public List<TsmOrg> listByParentOrgIds(String parentOrgIds) {
		if (org.apache.commons.lang3.StringUtils.isNotBlank(parentOrgIds)) {
			String sql = "SELECT * from tsm_org WHERE parent_org_id in(" + parentOrgIds + ") limit 150000";
			return JT.queryForBeans(TsmOrg.class, sql);
		}
		return new ArrayList<>();
	}

	public List<TsmOrg> selectList(TsmOrgReq req) {
		log.info("OrgJdbcDao.selectList.param：{}", req.toString());

		StringBuilder sql = new StringBuilder("select * from tsm_org where 1=1 ");
		List<Object> param = new ArrayList<>();
		if (req != null) {
			// 组织名称
			if (req.getOrgName() != null) {
				sql.append(" and org_name = ? ");
				param.add(req.getOrgName());
			}
			// 组织名称列表
			if (CollectionUtil.isNotEmpty(req.getOrgNameList())) {
				String itemSql = " and org_name in " + CommonUtil.fromStrListToStr2(req.getOrgNameList());
				sql.append(itemSql);
			}
			// 父组织ID
			if (req.getParentOrgId() != null) {
				sql.append(" and parent_org_id = ? ");
				param.add(req.getParentOrgId());
			}
			// 父组织ID列表
			if (CollectionUtil.isNotEmpty(req.getParentOrgIdList())) {
				String itemSql = " and parent_org_id in " + CommonUtil.fromListToStr2(req.getParentOrgIdList());
				sql.append(itemSql);
			}
		}
		return JT.queryForBeans(TsmOrg.class, sql.toString(), param.toArray());
	}



}
