package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.EvaluateSystemReq;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.EvaluateSystemVo;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.YcqYjsSystemOrgRelVo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Repository;
import javax.annotation.Resource;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Repository
public class YcqYjsEvaluateSystemDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;


    public PageRsp<EvaluateSystemVo> pageSearchSystemInfo(PageReq<EvaluateSystemReq> req) {
        StringBuilder sql = new StringBuilder();
        sql.append("select yyes.id,yyes.name, yyes.app_id, yyes.app_name, yyes.business_scenario, yyes.use_range, yyes.level ") ;
        sql.append("from ycq_yjs_evaluate_system yyes ");
        sql.append("left join ycq_app_config_url yacu on yyes.app_id = yacu.app_id ");
        sql.append("where yyes.del_flag = 0 ");

        StringBuilder countSql = new StringBuilder();
        countSql.append( " select count(1)  from ycq_yjs_evaluate_system yyes left join ycq_app_config_url yacu on yyes.app_id = yacu.app_id where yyes.del_flag = 0  ");

        List<Object> param = new ArrayList<>();
        // 体系名称
        if (StringUtils.isNotBlank(req.getQuery().getName())) {
            sql.append(" and yyes.name like ? ");
            countSql.append(" and yyes.name like ? ");
            param.add("%"+req.getQuery().getName()+"%");
        }
        sql.append(" order by yyes.create_time desc ");

        int total = jt.queryForInt(countSql.toString(), param.toArray());
        String dbType = jt.getDbType();
        List<EvaluateSystemVo> result;
        if (total > 0) {
            SqlUtil.appendLimit(dbType, param, sql, req);
            result = jt.queryForBeans(EvaluateSystemVo.class, sql.toString(), param.toArray());
            List<BigInteger> ids = new ArrayList<>(result.size());
            for(EvaluateSystemVo vo : result) {
                 ids.add(vo.getId());
            }
            //封装机构数据
            String orgSql = "select org_id,org_name,system_id from YCQ_YJS_SYSTEM_ORG_REL where system_id in (" + StringUtils.join(ids, ",") + ")";
            List<YcqYjsSystemOrgRelVo> ycqYjsSystemOrgRelVos = jt.queryForBeans(YcqYjsSystemOrgRelVo.class, orgSql);
            Map<BigInteger, List<YcqYjsSystemOrgRelVo>> orgMap = new HashMap<>();
            for(YcqYjsSystemOrgRelVo vo : ycqYjsSystemOrgRelVos) {
                List<YcqYjsSystemOrgRelVo> orgVos = orgMap.get(vo.getSystemId());
                if (orgVos == null) {
                    orgVos = new ArrayList<>();
                    orgVos.add(vo);
                }else if (orgVos.get(0).getSystemId().equals(vo.getSystemId())){
                    orgVos.add(vo);
                }
                orgMap.put(vo.getSystemId(), orgVos);
            }
            for(EvaluateSystemVo evaluateSystemVo : result){
                evaluateSystemVo.setYcqYjsSystemOrgRelVos(orgMap.get(evaluateSystemVo.getId()));
            }
        } else {
            result = new ArrayList<>();
        }
        PageRsp<EvaluateSystemVo> rsp = new PageRsp<>();
        rsp.setResult(result);
        rsp.setTotalNum(total);
        rsp.setPageNo(req.getPageNo());
        rsp.setPageSize(req.getPageSize());
        return rsp;
    }
}
