package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.Date;

/**
 * 奖章配置业务表(YCQ_YJS_MEDAL_APP)表数据库访问层
 */
@Slf4j
@Repository
public class YcqYjsMedalAppJdbcDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    public void deleteMedalApp(BigInteger id) {
        String sql = "update ycq_yjs_medal_app set del_flag = 1, last_updated_time = ? "
                + " where id = ? ";
        jt.update(sql, new Timestamp(new Date().getTime()), id);
    }

    public void deleteMedalAppByUser(Integer createdId) {
        String sql = "update ycq_yjs_medal_app set del_flag = 1, last_updated_time = ? "
                + " where created_id = ? ";
        jt.update(sql, new Timestamp(new Date().getTime()), createdId);
    }
}