package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-09-22 22:19:51
 */
@Repository
public interface YcqYjsMedalRepo extends BaseRepo<YcqYjsMedal, BigInteger>, JpaSpecificationExecutor<YcqYjsMedal> {

    @Query("SELECT m FROM YcqYjsMedal m " +
            "WHERE m.medalLevel = :medalLevel " +
            "AND m.delFlag = :delFlag " +
            "AND (:medalType = '' OR :medalType IS NULL OR m.medalType = :medalType) " +
            "AND (:medalMark = '' OR :medalMark IS NULL OR m.medalMark = :medalMark) " +
            "AND m.ownerGrade IS NULL")
    List<YcqYjsMedal> findAvailableMedalUnifyInfo(@Param("medalLevel") String medalLevel, @Param("delFlag") Integer delFlag, @Param("medalType") String medalType, @Param("medalMark") String medalMark);

    List<YcqYjsMedal> findByIdNotInAndDelFlag(List<BigInteger> ids, Integer delFlag);

    List<YcqYjsMedal> findByOrgIdInAndDelFlag(List<String> orgIds, Integer delFlag);

    List<YcqYjsMedal> findByDelFlag(Integer delFlag);

    List<YcqYjsMedal> findByMedalNoAndDelFlag(String medalNo, Integer delFlag);

    List<YcqYjsMedal> findByDelFlagAndUnifyMedalNoAndMedalLevel(Integer delFlag, String unifyMedalNo, String medalLevel);

    List<YcqYjsMedal> findByDelFlagAndUnifyMedalNoAndMedalLevelAndOrgIdIn(Integer delFlag, String unifyMedalNo, String medalLevel, List<String> orgIdList);

    // 查询是否存在该全国奖章
    long countByUnifyMedalNoAndOrgIdAndOwnerGradeAndOwnerSemesterAndDelFlag(String unifyMedalNo, String orgId, String ownerGrade, String ownerSemester, Integer delFlag);

    // 查询是否存在该全国奖章(更新时用)
    long countByUnifyMedalNoAndOrgIdAndOwnerGradeAndOwnerSemesterAndDelFlagAndIdNot(String unifyMedalNo, String orgId, String ownerGrade, String ownerSemester, Integer delFlag, BigInteger id);

    //查询该奖章编号、年级id
    long countByMedalNoAndOwnerGradeAndDelFlagAndIdNot(String medalNo, String ownerGrade, Integer delFlag, BigInteger id);
}
