package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedalRule;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-09-22 22:19:51
 */
@Repository
public interface YcqYjsMedalRuleRepo extends BaseRepo<YcqYjsMedalRule, BigInteger> {

    @Query("SELECT DISTINCT m.medalId FROM YcqYjsMedalRule m WHERE m.delFlag = 0")
    List<BigInteger> findExistRuleMedal();

    List<YcqYjsMedalRule> findByMedalIdAndDelFlag(BigInteger medalId, Integer delFlag);

    List<YcqYjsMedalRule> findByMedalIdAndOwnerGradeAndDelFlag(BigInteger medalId, String ownerGrade, Integer delFlag);

    long countByMedalIdAndOwnerGradeAndDelFlag(BigInteger medalId, String ownerGrade, Integer delFlag);

    long countByMedalIdAndOwnerGradeAndDelFlagAndOwnerGradeNot(BigInteger medalId, String ownerGrade, Integer delFlag, String notOwnerGrade);
}
