package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedalUnify;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-09-22 22:19:51
 */
@Repository
public interface YcqYjsMedalUnifyRepo extends BaseRepo<YcqYjsMedalUnify, BigInteger> {

    List<YcqYjsMedalUnify> findByIdNotInAndDelFlag(List<BigInteger> ids, Integer delFlag);

    List<YcqYjsMedalUnify> findByDelFlag(Integer delFlag);

    @Query("SELECT m FROM YcqYjsMedalUnify m " +
            "WHERE m.delFlag = :delFlag " +
            "AND m.displayStatus = :displayStatus " +
            "AND (:medalType = '' OR :medalType IS NULL OR m.medalType = :medalType) " +
            "AND (:medalMark = '' OR :medalMark IS NULL OR m.medalMark = :medalMark) ")
    List<YcqYjsMedalUnify> findAvailableMedalUnifyInfo(@Param("delFlag") Integer delFlag, @Param("displayStatus") Integer displayStatus, @Param("medalType") String medalType, @Param("medalMark") String medalMark);

    List<YcqYjsMedalUnify> findByMedalNoAndDelFlag(String medalNo, Integer delFlag);

    // 根据名称查询是否存在该全国奖章
    long countByMedalNameAndDelFlag(String medalName, Integer delFlag);

    long countByMedalNameAndDelFlagAndIdNot(String medalName, Integer delFlag, BigInteger id);

}
