package com.crunii.micro.service.oneaffair.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentQuestion;
import com.crunii.micro.service.oneaffair.dto.vo.studentQuestion.StudentQuestionReq;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 学生答题表(YCQ_YJS_STUDENT_QUESTION)表数据库访问层
 */
@Slf4j
@Repository
public class YcqYjsStudentQuestionJdbcDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    private static final String BASE_SQL = "select * from YCQ_YJS_STUDENT_QUESTION where del_flag = 0";

    private static final String COUNT_SQL = "select count(*) from YCQ_YJS_STUDENT_QUESTION where del_flag = 0";

    /**
     * 列表查询学生答题数据
     *
     * @param req
     * @return
     */
    public List<YcqYjsStudentQuestion> selectList(StudentQuestionReq req) {
        log.info("YcqYjsStudentQuestionJdbcDao.selectList.param：{}", req.toString());

        StringBuilder sql = new StringBuilder(BASE_SQL);
        List<Object> param = new ArrayList<>();
        if (req != null) {
            // 学生答卷ID
            if (req.getStudentTestId() != null) {
                sql.append(" and student_test_id = ? ");
                param.add(req.getStudentTestId());
            }
        }
        sql.append(" order by created_time ");
        return jt.queryForBeans(YcqYjsStudentQuestion.class, sql.toString(), param.toArray());
    }

}
