package com.crunii.micro.service.oneaffair.job;

import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.oneaffair.manager.ImportRecordManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class ImportBatchJob {

    @Resource
    private ImportRecordManager importRecordManager;

    @Scheduled(cron = "0 0/30 * * * ?")
    public void executeTask() {
        log.info("ImportRecordManager.executeTask.===========================================> start");
        try {
            importRecordManager.executeTask();
            log.info("ImportRecordManager.executeTask.===========================================> end");
        } catch (BusinessException e) {
            log.error("ImportBatchJob.executeTask.error:{}", e);
        } catch (Exception e) {
            log.error("ImportBatchJob.executeTask.error:{}", e);
        }
    }


}
