package com.crunii.micro.service.oneaffair.notauthcontroller;


import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.*;
import com.crunii.micro.service.oneaffair.service.EvaluateSystemService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.util.List;

@Slf4j
@Api(tags = "体系API接口")
@RestController
@RequestMapping("/yjs/evaluateSystemNauth")
public class EvaluateSystemNauthController {

    @Resource
    private EvaluateSystemService evaluateSystemService;

    @ApiOperation(value = "查询机构信息")
    @RequestMapping(path = "/searchTsmOrg", method = RequestMethod.GET)
    public Result<List<TsmOrgVo>> searchTsmOrg(@RequestParam("parentOrgId") BigInteger parentOrgId) {
        log.info("EvaluateSystemController.searchTsmOrg.param：{}", parentOrgId);
        try {
            return Result.ofSuccess(evaluateSystemService.searchTsmOrg(parentOrgId));
        } catch (BusinessException e) {
            log.error("EvaluateSystemController.searchTsmOrg.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("EvaluateSystemController.searchTsmOrg.error: {}", e.getMessage());
            e.printStackTrace();
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }
}
