package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.oneaffair.dto.vo.Archive.ArchiveChangeReq;
import com.crunii.micro.service.oneaffair.dto.vo.Archive.ArchiveSelectReq;
import com.crunii.micro.service.oneaffair.dto.vo.Archive.ArchiveUpdateReq;
import com.crunii.micro.service.oneaffair.dto.vo.Archive.ArchiveVo;
import com.crunii.micro.service.oneaffair.dto.vo.honor.HonorReq;
import com.crunii.micro.service.oneaffair.dto.vo.honor.HonorVo;
import com.crunii.micro.service.oneaffair.dto.vo.honor.MthMatchVo;

import java.util.List;

public interface ArchiveService {

    void insert(ArchiveChangeReq req, Worker worker);

    void insertBatch(List<ArchiveChangeReq> reqList, Worker worker);

    boolean update(ArchiveChangeReq req, Worker worker);

    boolean delete(String id, Worker worker);

    void deleteBatch(List<String> id, Worker worker);

    List<ArchiveVo> getList(ArchiveSelectReq req);

    PageRsp<ArchiveVo> pageSearchArchiveInfo(PageReq<ArchiveSelectReq> req);

    /**我的荣誉*/
    PageRsp<HonorVo> pageSearchMyHonor(PageReq<HonorReq> req);

    /**我参与的活动*/
    PageRsp<HonorVo> pageSearchMyAcceptMthMatchInfo(PageReq<HonorReq> req);

    /**活动详情*/
    MthMatchVo getMthMatchInfo(Long eventId, Long studentId);

    void updateBatch(List<ArchiveUpdateReq> archiveUpdateReqList);

}
