package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsGoodStudent;
import com.crunii.micro.service.oneaffair.dto.vo.goodstudent.*;

import java.math.BigInteger;
import java.util.List;

/**
 * 优秀学生表(YCQ_YJS_GOOD_STUDENT)表服务接口
 */
public interface GoodStudentService {

    /**
     * 单个新增优秀学生数据
     * @param createReq
     * @return
     */
    YcqYjsGoodStudent insertOne(GoodStudentCreateReq createReq);

    /**
     * 单个修改优秀学生数据
     * @param updateReq
     */
    void updateOne(GoodStudentUpdateReq updateReq);

    /**
     * 根据ID查询优秀学生数据
     * @param id 主键ID
     * @return
     */
    YcqYjsGoodStudent selectOneById(BigInteger id);

    /**
     * 批量删除优秀学生数据 - 逻辑删除
     * @param deleteReq
     */
    void deleteBatch(GoodStudentDeleteReq deleteReq);

    /**
     * 批量修改优秀学生的展出状态
     * @param updateReq
     */
    void updateGoodStudentShowFlag(GoodStudentUpdateShowFlagReq updateReq);

    /**
     * 分页查询优秀学生数据
     * @param req
     * @return
     */
    PageRsp<GoodStudentVo> pageSearchGoodStudent(PageReq<GoodStudentReq> req);

    /**
     * 列表查询优秀学生数据
     * @param req
     * @return
     */
    List<YcqYjsGoodStudent> selectList(GoodStudentReq req);

}
