package com.crunii.micro.service.oneaffair.service;


import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsImportRecord;
import com.crunii.micro.service.oneaffair.dto.vo.ImportRecord.ImportRecordCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.ImportRecord.ImportRecordReq;
import com.crunii.micro.service.oneaffair.dto.vo.ImportRecord.ImportRecordUpdateReq;
import com.crunii.micro.service.oneaffair.dto.vo.ImportRecord.ImportRecordVo;

import java.math.BigInteger;
import java.util.List;

/**
 * 导入记录表(YCQ_YJS_IMPORT_RECORD)表服务接口
 */
public interface ImportRecordService {

    /**
     * 根据ID查询导入记录数据
     *
     * @param id
     * @return
     */
    YcqYjsImportRecord selectOneById(BigInteger id);

    /**
     * 列表查询导入记录数据
     *
     * @param req
     * @return
     */
    List<YcqYjsImportRecord> selectList(ImportRecordReq req);

    /**
     * 分页查询导入记录数据
     *
     * @param req
     * @return
     */
    PageRsp<ImportRecordVo> pageSearch(PageReq<ImportRecordReq> req);

    /**
     * 单个新增导入记录数据
     *
     * @param createReq
     * @return
     */
    YcqYjsImportRecord insertOne(ImportRecordCreateReq createReq);

    /**
     * 单个修改导入记录数据
     *
     * @param updateReq
     * @return
     */
    void updateOne(ImportRecordUpdateReq updateReq);

}