package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalReq;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalRuleCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalRuleInfoVo;
import com.crunii.micro.service.oneaffair.dto.vo.medal.MedalRuleUpdateReq;

import java.math.BigInteger;

/**
 * 奖章表(YCQ_YJS_MEDAL_RULE)表服务接口
 */
public interface MedalRuleService {

    PageRsp<MedalRuleInfoVo> pageSearchMedalRuleInfo(PageReq<MedalReq> req, Worker worker) throws Exception;

    Result<Boolean> batchCreateMedalRule(MedalRuleCreateReq medalRuleCreateReq, Worker worker);

    Result<Boolean> updateMedalRule(MedalRuleUpdateReq medalRuleUpdateReq,Worker worker);

    void delMedalRule(BigInteger id);

    MedalRuleCreateReq selectMedalRuleInfo(BigInteger medalId) throws Exception;

}

