package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.TsmOrg;
import com.crunii.micro.domain.entity.main.TsmPropertyValue;
import com.crunii.micro.domain.entity.main.YcqAppConfigUrl;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.crunii.micro.service.oneaffair.dto.vo.Archive.ArchiveVo;
import com.crunii.micro.service.oneaffair.dto.vo.medal.*;

import java.math.BigInteger;
import java.util.List;

/**
 * 奖章表(YCQ_YJS_MEDAL)表服务接口
 */
public interface MedalService {

    /**
     * 奖章管理相关接口
     */

    List<MedalUnifyInfoVo> searchAvailableMedalUnifyInfo(MedalReq req) throws Exception;

    MedalUnifyInfoVo searcMedalUnifyInfoByMedalNo(String medalNo) throws Exception;

    PageRsp<MedalInfoVo> pageSearchMedalInfo(PageReq<MedalReq> req, Worker worker) throws Exception;

    Result<Boolean> createMedalInfo(MedalCreateReq createReq, Worker worker);

    //针对年级多选新增
    Result<Boolean> createMedalInfoMulti(MedalCreateReq createReq, Worker worker);

    Result<Boolean> updateMedalInfo( MedalUpdateReq updateReq, Worker worker);

    Result<Boolean> updateMedalInfoMulti( MedalUpdateReq updateReq, Worker worker);

    void deleteMedalInfo(BigInteger id);

    void changeDisplayStatus(MedalDisplayStatusReq displayStatusReq, Worker worker);

    List<MedalAppConfigVo> queryAppConfigList(Worker worker);

    PageRsp<MedalActivityInfoVo> pageSearchMedalNoActivityInfo(PageReq<ActivityReq> req) throws Exception;

    PageRsp<MedalActivityInfoVo> pageSearchMedalActivityInfo(PageReq<ActivityReq> req) throws Exception;

    List<MedalActivityInfoVo> selectActivityList(BigInteger medal) throws Exception;

    List<MedalOrgGradeInfoVo> selectMedalOrgGrade(Worker worker) throws Exception;

    List<TsmPropertyValue> selectMedalMarkByType(String medalTypeCode) throws Exception;

    /**
     * 配置系统业务相关接口
     */
    List<MedalAppInfoVo> selectUserMedalApp(Worker worker);

    void batchCreateMedalApp(List<MedalAppCreateReq> medalAppCreateReqList, Worker worker);

    void deleteMedalApp(BigInteger id);

    /**
     * 争章规则相关接口
     */
    List<MedalBaseInfoVo> searchNoRuleMedal(Worker worker) throws Exception;

    List<MedalGradeInfoVo> searchMedalGradeByMedalNo(MedalNoReq medalNoReq, Worker worker) throws Exception;

    List<TsmOrg> selectGradeInfoByMedalId(BigInteger medalId) throws Exception;

    /**
     * 红领巾争章
     */
    List<YcqYjsMedal> selectList(MedalReq req) throws Exception;

    List<MedalInfoMarkVo> selectListGroupByMedalMark(MedalReq req) throws Exception;

    List<MedalInfoTypeVo> selectListGroupByMedalType(MedalStudentReq req) throws Exception;

    YcqYjsMedal selectInfo(BigInteger id) throws Exception;

    MedalStudentLightVo selectMedalLight(StudentActivityReq studentActivityReq) throws Exception;

    List<ArchiveVo> selectStudentActivityList(StudentActivityReq studentActivityReq) throws Exception;

    /**
     * 登录用户获取组织权限数据
     */
    List<TsmOrg> selectSchoolByUserId(Worker worker) throws Exception;
}

