package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsMedal;
import com.crunii.micro.service.oneaffair.dto.vo.medal.*;

import java.math.BigInteger;
import java.util.List;

/**
 * 奖章表(YCQ_YJS_MEDAL_UNIFY)表服务接口
 */
public interface MedalUnifyService {

    /**
     * 全国统一奖章相关接口
     */
    PageRsp<MedalUnifyInfoVo> pageSearchMedalUnifyInfo(PageReq<MedalReq> req) throws Exception;

    Result<Boolean> createMedalUnifyInfo(MedalUnifyCreateReq createReq, Worker worker);

    Result<Boolean> updateMedalUnifyInfo(MedalUnifyUpdateReq updateReq,Worker worker);

    void deleteMedalUnifyInfo(BigInteger id);

    void changeDisplayStatus(MedalDisplayStatusReq displayStatusReq, Worker worker);

    List<MedalUnifySchoolInfoVo> searchMedalUnifySchoolInfo(MedalSchoolReq medalSchoolReq);

    List<YcqYjsMedal> searchMedalInfoByUnifyMedalNo(String medalNo);

}

