package com.crunii.micro.service.oneaffair.service;


import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentCourseUploadVideo;
import com.crunii.micro.service.oneaffair.dto.vo.studentCourseUploadVideo.StudentCourseUploadVideoCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentCourseUploadVideo.StudentCourseUploadVideoDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentCourseUploadVideo.StudentCourseUploadVideoReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生课程上传视频表(YCQ_YJS_STUDENT_COURSE_UPLOAD_VIDEO)表服务接口
 */
public interface StudentCourseUploadVideoService {

    /**
     * 根据ID查询学生课程上传视频数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentCourseUploadVideo selectOneById(BigInteger id);

    /**
     * 列表查询学生课程上传视频数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentCourseUploadVideo> selectList(StudentCourseUploadVideoReq req);

    /**
     * 根据ID列表查询学生课程上传视频数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentCourseUploadVideo> selectListByIds(List<BigInteger> idList);

    /**
     * 统计学生课程上传视频数量
     *
     * @param req
     * @return
     */
    Integer count(StudentCourseUploadVideoReq req);

    /**
     * 单个新增学生课程上传视频数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentCourseUploadVideo insertOne(StudentCourseUploadVideoCreateReq createReq);

    /**
     * 批量新增学生课程上传视频数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentCourseUploadVideo> insertBatch(List<StudentCourseUploadVideoCreateReq> createReqList);

    /**
     * 批量删除学生课程上传视频数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentCourseUploadVideoDeleteReq deleteReq);
}