package com.crunii.micro.service.oneaffair.service;


import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentHonorary;
import com.crunii.micro.service.oneaffair.dto.vo.studentHonorary.StudentHonoraryCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentHonorary.StudentHonoraryDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentHonorary.StudentHonoraryReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentHonorary.StudentHonoraryUpdateReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生荣誉表(YCQ_YJS_STUDENT_HONORARY)表服务接口
 */
public interface StudentHonoraryService {

    /**
     * 根据ID查询学生荣誉数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentHonorary selectOneById(BigInteger id);

    /**
     * 列表查询学生荣誉数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentHonorary> selectList(StudentHonoraryReq req);

    /**
     * 根据ID列表查询学生荣誉数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentHonorary> selectListByIds(List<BigInteger> idList);

    /**
     * 统计学生荣誉数量
     *
     * @param req
     * @return
     */
    Integer count(StudentHonoraryReq req);

    /**
     * 单个新增学生荣誉数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentHonorary insertOne(StudentHonoraryCreateReq createReq);

    /**
     * 批量新增学生荣誉数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentHonorary> insertBatch(List<StudentHonoraryCreateReq> createReqList);

    /**
     * 单个修改学生荣誉数据
     *
     * @param updateReq
     * @return
     */
    void updateOne(StudentHonoraryUpdateReq updateReq);

    /**
     * 批量修改学生荣誉数据
     *
     * @param updateReqList
     * @return
     */
    void updateBatch(List<StudentHonoraryUpdateReq> updateReqList);

    /**
     * 批量删除学生荣誉数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentHonoraryDeleteReq deleteReq);

}