package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentMedalActivity;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity.StudentMedalActivityCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity.StudentMedalActivityDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity.StudentMedalActivityReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedalActivity.StudentMedalActivityUpdateReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生奖章活动完成情况表(YCQ_YJS_STUDENT_MEDAL_ACTIVITY)表服务接口
 */
public interface StudentMedalActivityService {

    /**
     * 根据ID查询学生学生奖章活动数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentMedalActivity selectOneById(BigInteger id);

    /**
     * 根据ID列表查询学生学生奖章活动数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentMedalActivity> selectListByIds(List<BigInteger> idList);

    /**
     * 列表查询学生学生奖章活动数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentMedalActivity> selectList(StudentMedalActivityReq req);

    /**
     * 统计学生学生奖章活动数量
     *
     * @param req
     * @return
     */
    Integer count(StudentMedalActivityReq req);

    /**
     * 单个新增学生学生奖章活动数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentMedalActivity insertOne(StudentMedalActivityCreateReq createReq);

    /**
     * 批量新增学生学生奖章活动数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentMedalActivity> insertBatch(List<StudentMedalActivityCreateReq> createReqList);

    /**
     * 批量删除学生学生奖章活动数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentMedalActivityDeleteReq deleteReq);

    /**
     * 批量修改学生学生奖章活动数据
     *
     * @param updateReq
     */
    void updateBatch(StudentMedalActivityUpdateReq updateReq);


}
