package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentMedalRule;
import com.crunii.micro.service.oneaffair.dto.vo.medalRule.StudentMedalRuleCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.medalRule.StudentMedalRuleDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.medalRule.StudentMedalRuleReq;
import com.crunii.micro.service.oneaffair.dto.vo.medalRule.StudentMedalRuleUpdateReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生争章规则表(YCQ_YJS_STUDENT_MedalRule_RULE)表服务接口
 */
public interface StudentMedalRuleService {

    /**
     * 根据ID查询学生争章规则数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentMedalRule selectOneById(BigInteger id);

    /**
     * 根据ID列表查询学生争章规则数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentMedalRule> selectListByIds(List<BigInteger> idList);

    /**
     * 列表查询学生争章规则数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentMedalRule> selectList(StudentMedalRuleReq req);

    /**
     * 统计学生争章规则数量
     * @param req
     * @return
     */
    Integer count(StudentMedalRuleReq req);

    /**
     * 单个新增学生争章规则数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentMedalRule insertOne(StudentMedalRuleCreateReq createReq);

    /**
     * 批量新增学生争章规则数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentMedalRule> insertBatch(List<StudentMedalRuleCreateReq> createReqList);

    /**
     * 批量删除学生争章规则数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentMedalRuleDeleteReq deleteReq);

    /**
     * 批量修改学生争章规则数据
     *
     * @param updateReq
     */
    void updateBatch(StudentMedalRuleUpdateReq updateReq);


}
