package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentMedal;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedal.StudentMedalCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedal.StudentMedalDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedal.StudentMedalReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentMedal.StudentMedalUpdateReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生奖章表(YCQ_YJS_STUDENT_MEDAL)表服务接口
 */
public interface StudentMedalService {

    /**
     * 根据ID查询学生奖章数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentMedal selectOneById(BigInteger id);

    /**
     * 根据ID列表查询学生奖章数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentMedal> selectListByIds(List<BigInteger> idList);

    /**
     * 列表查询学生奖章数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentMedal> selectList(StudentMedalReq req);

    /**
     * 统计学生奖章数量
     *
     * @param req
     * @return
     */
    Integer count(StudentMedalReq req);

    /**
     * 单个新增学生奖章数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentMedal insertOne(StudentMedalCreateReq createReq);

    /**
     * 批量新增学生奖章数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentMedal> insertBatch(List<StudentMedalCreateReq> createReqList);

    /**
     * 批量删除学生奖章数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentMedalDeleteReq deleteReq);

    /**
     * 单个修改学生奖章数据
     *
     * @param updateReq
     */
    void updateOne(StudentMedalUpdateReq updateReq);


}
