package com.crunii.micro.service.oneaffair.service;


import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentPatriarch;
import com.crunii.micro.service.oneaffair.dto.vo.studentPatriarch.StudentPatriarchCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentPatriarch.StudentPatriarchDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentPatriarch.StudentPatriarchReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生家长表(YCQ_YJS_STUDENT_PATRIARCH)表服务接口
 */
public interface StudentPatriarchService {

    /**
     * 根据ID查询学生家长数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentPatriarch selectOneById(BigInteger id);

    /**
     * 列表查询学生家长数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentPatriarch> selectList(StudentPatriarchReq req);

    /**
     * 根据ID列表查询学生家长数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentPatriarch> selectListByIds(List<BigInteger> idList);

    /**
     * 统计学生家长数量
     *
     * @param req
     * @return
     */
    Integer count(StudentPatriarchReq req);

    /**
     * 单个新增学生家长数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentPatriarch insertOne(StudentPatriarchCreateReq createReq);

    /**
     * 批量新增学生家长数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentPatriarch> insertBatch(List<StudentPatriarchCreateReq> createReqList);

    /**
     * 批量删除学生家长数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentPatriarchDeleteReq deleteReq);

}