package com.crunii.micro.service.oneaffair.service;


import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentPosition;
import com.crunii.micro.service.oneaffair.dto.vo.studentPosition.StudentPositionCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentPosition.StudentPositionDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentPosition.StudentPositionReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentPosition.StudentPositionUpdateReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生岗位表(YCQ_YJS_STUDENT_POSITION)表服务接口
 */
public interface StudentPositionService {

    /**
     * 根据ID查询学生岗位数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentPosition selectOneById(BigInteger id);

    /**
     * 列表查询学生岗位数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentPosition> selectList(StudentPositionReq req);

    /**
     * 根据ID列表查询学生岗位数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentPosition> selectListByIds(List<BigInteger> idList);

    /**
     * 统计学生岗位数量
     *
     * @param req
     * @return
     */
    Integer count(StudentPositionReq req);

    /**
     * 单个新增学生岗位数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentPosition insertOne(StudentPositionCreateReq createReq);

    /**
     * 批量新增学生岗位数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentPosition> insertBatch(List<StudentPositionCreateReq> createReqList);

    /**
     * 批量删除学生岗位数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentPositionDeleteReq deleteReq);

    /**
     * 单个修改学生岗位数据
     *
     * @param updateReq
     * @return
     */
     void updateOne(StudentPositionUpdateReq updateReq);

    /**
     * 批量修改学生岗位数据
     *
     * @param updateReqList
     * @return
     */
    void updateBatch(List<StudentPositionUpdateReq> updateReqList);

}