package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentQuestion;
import com.crunii.micro.service.oneaffair.dto.vo.studentQuestion.StudentQuestionCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentQuestion.StudentQuestionDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentQuestion.StudentQuestionReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生答题表(YCQ_YJS_STUDENT_QUESTION)表服务接口
 */
public interface StudentQuestionService {

    /**
     * 根据ID查询学生答题数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentQuestion selectOneById(BigInteger id);

    /**
     * 根据ID列表查询学生答题数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentQuestion> selectListByIds(List<BigInteger> idList);

    /**
     * 列表查询学生答题数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentQuestion> selectList(StudentQuestionReq req);

    /**
     * 单个新增学生答题数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentQuestion insertOne(StudentQuestionCreateReq createReq);

    /**
     * 批量新增学生答题数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentQuestion> insertBatch(List<StudentQuestionCreateReq> createReqList);

    /**
     * 批量删除学生答题数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentQuestionDeleteReq deleteReq);


}
