package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudent;
import com.crunii.micro.service.oneaffair.dto.vo.student.*;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生表(YCQ_YJS_STUDENT)表服务接口
 */
public interface StudentService {

    PageRsp<StudentInfoVo> pageSearchStudentInfo(PageReq<StudentReq> req);

    List<StudentInfoVo> selectList(StudentReq req);

    List<YcqYjsStudent> selectInfoList(StudentReq req);

    List<YcqYjsStudent> selectListByIds(List<BigInteger> idList);

    YcqYjsStudent selectOneById(BigInteger id);

    List<YcqYjsStudent> selectListByIdentityCardNo(String identityCardNo);

    List<YcqYjsStudent> selectListByMobile(String mobile);

    YcqYjsStudent createStudentInfo(StudentCreateReq createReq);

    void updateStudentInfo(StudentUpdateReq updateReq);

    void enqueueStudent(StudentEnqueueReq enqueueReq);

    void updateStudentPolitical(StudentPoliticalStatusUpdateReq updateReq);

    /**
     * 导师评分
     *
     * @param updateReq
     */
    void teacherScore(TeacherScoreReq updateReq);

    /**
     * 推优入团
     *
     * @param updateReq
     */
    void promoteBestToLeague(PromoteBestToLeagueReq updateReq);

    /**
     * 学生退出少先队
     *
     * @param updateReq
     */
    void quitEnqueueByStudent(StudentBatchUpdateReq updateReq);

    /**
     * 学生退出共青团
     *
     * @param updateReq
     */
    void quitLeagueByStudent(StudentBatchUpdateReq updateReq);

    /**
     * 批量删除学生数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentInfoDeleteReq deleteReq);

    /**
     * 批量新增学生数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudent> insertBatch(List<StudentCreateReq> createReqList);

}

