package com.crunii.micro.service.oneaffair.service;


import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsStudentSubCourse;
import com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse.StudentSubCourseCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse.StudentSubCourseDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse.StudentSubCourseReq;
import com.crunii.micro.service.oneaffair.dto.vo.studentSubCourse.StudentSubCourseUpdateReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 学生子课程表(YCQ_YJS_STUDENT_SUB_COURSE)表服务接口
 */
public interface StudentSubCourseService {

    /**
     * 根据ID查询学生子课程数据
     *
     * @param id
     * @return
     */
    YcqYjsStudentSubCourse selectOneById(BigInteger id);

    /**
     * 列表查询学生子课程数据
     *
     * @param req
     * @return
     */
    List<YcqYjsStudentSubCourse> selectList(StudentSubCourseReq req);

    /**
     * 根据ID列表查询学生子课程数据
     *
     * @param idList
     * @return
     */
    List<YcqYjsStudentSubCourse> selectListByIds(List<BigInteger> idList);

    /**
     * 统计学生子课程数量
     *
     * @param req
     * @return
     */
    Integer count(StudentSubCourseReq req);

    /**
     * 单个新增学生子课程数据
     *
     * @param createReq
     * @return
     */
    YcqYjsStudentSubCourse insertOne(StudentSubCourseCreateReq createReq);

    /**
     * 批量新增学生子课程数据
     *
     * @param createReqList
     * @return
     */
    List<YcqYjsStudentSubCourse> insertBatch(List<StudentSubCourseCreateReq> createReqList);

    /**
     * 单个修改学生子课程数据
     *
     * @param updateReq
     * @return
     */
    void updateOne(StudentSubCourseUpdateReq updateReq);

    /**
     * 批量修改学生子课程数据
     *
     * @param updateReqList
     * @return
     */
    void updateBatch(List<StudentSubCourseUpdateReq> updateReqList);

    /**
     * 批量删除学生子课程数据
     *
     * @param deleteReq
     */
    void deleteBatch(StudentSubCourseDeleteReq deleteReq);

}