package com.crunii.micro.service.oneaffair.service;

import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsTeacherBindingClass;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.TeacherBindingClassCreateReq;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.TeacherBindingClassDeleteReq;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.TeacherBindingClassReq;

import java.math.BigInteger;
import java.util.List;

/**
 * 教师与班级的绑定表(YCQ_YJS_TEACHER_BINDING_ClASS)表服务接口
 */
public interface TeacherBindingClassService {

    /**
     * 查询教师ID列表
     *
     * @param req
     * @return
     */
    List<BigInteger> selectTeacherIds(TeacherBindingClassReq req);

    void insertBatch(List<TeacherBindingClassCreateReq> createList);

    List<BigInteger> selectIdListByTeacherIds(List<BigInteger> teacherIds);

    List<YcqYjsTeacherBindingClass> selectListByTeacherIds(List<BigInteger> teacherIds);

    void clearBatch(List<BigInteger> idList);

    void deleteBatch(TeacherBindingClassDeleteReq deleteReq);

}
