package com.crunii.micro.service.oneaffair.service.impl;


import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsArchive;
import com.crunii.micro.service.oneaffair.dto.vo.Archive.*;
import com.crunii.micro.service.oneaffair.jdbc.YcqYjsArchiveJdbcDao;
import com.crunii.micro.service.oneaffair.jdbc.YcqYjsStudentJdbcDao;
import com.crunii.micro.service.oneaffair.service.AppArchiveService;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import javax.annotation.Resource;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;
import java.util.stream.Collectors;

@Service
public class AppArchiveServiceImpl implements AppArchiveService {

    @Resource
    private YcqYjsStudentJdbcDao ycqYjsStudentJdbcDao;

    @Resource
    private YcqYjsArchiveJdbcDao ycqYjsArchiveJdbcDao;

    private static SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss.SSS");

    @Override
    public AppStudentArchivesVo searchStudentArchives(AppStudentArchivesReq req) throws ParseException {
        AppStudentArchivesVo appStudentArchivesVo = ycqYjsStudentJdbcDao.selectStudentById(req.getStudentId());
        List<YcqYjsArchive> archiveVoList = ycqYjsArchiveJdbcDao.selectByReq(req);

        List<YcqYjsArchiveVo> ycqYjsArchiveVoList = new ArrayList<>();
        if(!CollectionUtils.isEmpty(archiveVoList)){
            Map<String,List<YcqYjsArchive>> combineFiledKey = archiveVoList.stream().collect(
                    Collectors.groupingBy(archive -> archive.getStudentId()+","+ archive.getName()+","+archive.getParticipateTime()+","+archive.getActivityType()));
           for(String key : combineFiledKey.keySet()){
               YcqYjsArchiveVo ycqYjsArchiveVo = new YcqYjsArchiveVo();
               String[] keys = key.split(",");
               ycqYjsArchiveVo.setStudentId(keys[0]);
               ycqYjsArchiveVo.setName(keys[1]);
               ycqYjsArchiveVo.setParticipateTime(format.parse(keys[2]));
               ycqYjsArchiveVo.setActivityType(keys[3]);
               List<YcqYjsArchiveDetailVo> archiveDetailVoList = combineFiledKey.get(key).stream().map(e -> {
                   YcqYjsArchiveDetailVo ycqYjsArchiveDetailVo = new YcqYjsArchiveDetailVo();
                   BeanUtils.copyProperties(e, ycqYjsArchiveDetailVo);
                   return ycqYjsArchiveDetailVo;
               }).collect(Collectors.toList());
               ycqYjsArchiveVo.setYcqYjsArchiveDetailVoList(archiveDetailVoList);
               ycqYjsArchiveVoList.add(ycqYjsArchiveVo);
           }
        }
        if(!CollectionUtils.isEmpty(ycqYjsArchiveVoList)){
            ycqYjsArchiveVoList = ycqYjsArchiveVoList.stream().sorted(Comparator.comparing(YcqYjsArchiveVo::getParticipateTime).reversed()).collect(Collectors.toList());
        }
        appStudentArchivesVo.setStudyRecodes(ycqYjsArchiveVoList);
        return appStudentArchivesVo;
    }

    @Override
    public List<AppElseStudentArchivesVo> searchOtherStudentArchives(AppStudentArchivesReq req) {
        return ycqYjsArchiveJdbcDao.selectListByReq(req);
    }
}
