package com.crunii.micro.service.oneaffair.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.oneaffair.dto.oneaffair.YcqYjsEvaluateIndex;
import com.crunii.micro.service.oneaffair.dto.vo.evaluate.*;
import com.crunii.micro.service.oneaffair.jdbc.YcqYjsEvaluateIndexDao;
import com.crunii.micro.service.oneaffair.jdbc.YcqYjsEvaluateIndexRepo;
import com.crunii.micro.service.oneaffair.service.EvaluateIndexService;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import javax.annotation.Resource;
import java.math.BigInteger;
import java.util.*;
import java.util.stream.Collectors;

@Service
public class EvaluateIndexServiceImpl implements EvaluateIndexService {

    @Resource
    private YcqYjsEvaluateIndexRepo ycqYjsEvaluateIndexRepo;

    @Resource
    private YcqYjsEvaluateIndexDao ycqYjsEvaluateIndexDao;

    @Override
    public PageRsp<YcqYjsEvaluateIndexVo> pageSearchIndexInfo(PageReq<EvaluateIndexReq> req) {
        return ycqYjsEvaluateIndexDao.pageSearchIndexInfo(req);
    }

    @Override
    public void createIndexInfo(EvaluateIndexCreateReq createReq) {
        YcqYjsEvaluateIndex ycqYjsEvaluateIndex = new YcqYjsEvaluateIndex();
        BeanUtil.copyProperties(createReq, ycqYjsEvaluateIndex);
        Date curr = new Date();
        ycqYjsEvaluateIndex.setDelFlag(0);
        ycqYjsEvaluateIndex.setCreateTime(curr);
       // ycqYjsEvaluateIndex.setCreateWorker(Objects.requireNonNull(CurrWorkerUtil.getCurrWorker()).getLoginId());
        ycqYjsEvaluateIndexRepo.save(ycqYjsEvaluateIndex);
    }

    @Override
    public void updateIndexInfo(EvaluateIndexUpdateReq updateReq) {
        YcqYjsEvaluateIndex ycqYjsEvaluateIndex = ycqYjsEvaluateIndexRepo.getById(updateReq.getId());
        if(Objects.isNull(ycqYjsEvaluateIndex)){
            throw new BusinessException("找不到该记录");
        }
        BeanUtil.copyProperties(updateReq, ycqYjsEvaluateIndex);
        Date curr = new Date();
        ycqYjsEvaluateIndex.setUpdateTime(curr);
      //  ycqYjsEvaluateIndex.setUpdateWorker(Objects.requireNonNull(CurrWorkerUtil.getCurrWorker()).getLoginId());
        ycqYjsEvaluateIndexRepo.save(ycqYjsEvaluateIndex);
    }

    @Override
    public List<YcqYjsEvaluateIndexVo> searchIndexListInfo(SystemIndexReq req) {
        Map<String,Object> props = new HashMap<>(3);
        props.put("delFlag",0);
        props.put("systemId",req.getSystemId());
        props.put("indexLevel",req.getIndexLevel());
        List<YcqYjsEvaluateIndex> ycqYjsEvaluateIndexList = ycqYjsEvaluateIndexRepo.findByProps(props);
        return ycqYjsEvaluateIndexList.stream().map(e->{
            YcqYjsEvaluateIndexVo ycqYjsEvaluateIndexVo = new YcqYjsEvaluateIndexVo();
            BeanUtil.copyProperties(e,ycqYjsEvaluateIndexVo);
            return ycqYjsEvaluateIndexVo;
        }).collect(Collectors.toList());

    }


    @Override
    public void batchDelete(BigInteger id) {
        //查询出本级和下级所有记录，然后把所有数据软删除
        List<BigInteger> bigIntegers = Arrays.asList(id);
        List<YcqYjsEvaluateIndex> ycqYjsEvaluateIndexList = ycqYjsEvaluateIndexDao.queryIndexByIds(bigIntegers);
        //删除本级和下级所有记录
        if(!CollectionUtils.isEmpty(ycqYjsEvaluateIndexList)){
            for(YcqYjsEvaluateIndex index : ycqYjsEvaluateIndexList){
                index.setDelFlag(1);
                index.setUpdateTime(new Date());
                // index.setUpdateWorker(Objects.requireNonNull(CurrWorkerUtil.getCurrWorker()).getLoginId());
            }
            ycqYjsEvaluateIndexRepo.saveAllAndFlush(ycqYjsEvaluateIndexList);
        }else{
            throw new BusinessException("未查询到要删除的记录");
        }
    }


}
