package com.crunii.micro.service.oneaffair.service.impl;

import com.crunii.micro.domain.entity.main.TsmOrg;
import com.crunii.micro.service.oneaffair.dto.vo.teacher.TsmOrgReq;
import com.crunii.micro.service.oneaffair.jdbc.OrgJdbcDao;
import com.crunii.micro.service.oneaffair.service.OrgService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 组织表(tsm_org)表服务实现类
 */
@Slf4j
@Service
public class OrgServiceImpl implements OrgService {

    @Resource
    private OrgJdbcDao orgJdbcDao;

    /**
     * 列表查询组织数据
     *
     * @param req
     * @return
     */
    @Override
    public List<TsmOrg> selectList(TsmOrgReq req) {
        log.info("OrgServiceImpl.selectList.param：{}", req.toString());
        return orgJdbcDao.selectList(req);
    }

}
