package com.crunii.micro.service.pay.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/9 10:24
 */
@Data
public class Product implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("商品描述")
    @NotBlank
    private String description;

    @ApiModelProperty("订单号(唯一)")
    @NotBlank
    private String outTradeNo;

    @ApiModelProperty("总金额(单位是分)")
    @NotBlank
    private String totalFee;

    @ApiModelProperty("发起人IP地址")
    @NotBlank
    private String spbillCreateIp;

    @ApiModelProperty("支付方式 (1：PC,平板 2：手机)")
    @NotBlank
    private Short payWay;

}
