package com.crunii.micro.service.pay.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.pay.dto.Product;

import javax.servlet.http.HttpServletRequest;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/8 11:10
 */
public interface WxPayH5 {
    /**
     * h5下单
     * @param httpRequest
     * @param product
     * @return
     * @throws Exception
     */
    Result<String> h5Pay(HttpServletRequest httpRequest, Product product) throws Exception;

    /**
     * 商户订单号查询
     * @param outTradeNo  商户系统内部订单号，只能是数字、大小写字母_-*且在同一个商户号下唯一。
     * @return
     * @throws Exception
     */
    Result<String> h5OutTradeNo(String outTradeNo) throws Exception;

    /**
     * 关闭订单
     * @param outTradeNo 商户系统内部订单号，只能是数字、大小写字母_-*且在同一个商户号下唯一。
     * @return
     * @throws Exception
     */
    Result<String> h5CloseOutTradeNo(String outTradeNo) throws Exception;
}
