package com.crunii.micro.service.qm.api.domain.dto.Book;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 10:27
 */
@Data
@ApiModel(description = "app书籍请求参数")
public class AppSearchBookDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单id")
    @NotNull(message = "书单id不能为空")
    private Long bookListId;

    @ApiModelProperty("书籍名称")
    @NotBlank(message = "书籍名称不能为空")
    private String bookName;
}
