package com.crunii.micro.service.qm.api.domain.dto.Book;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 19:29
 */
@Data
@ApiModel(description = "创建书籍参数")
public class BookC implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书籍名称")
    @NotBlank(message = "书籍名称不能为空")
    private String bookName;

    @ApiModelProperty("书籍简介")
    @NotBlank(message = "书籍简介不能为空")
    private String bookDesc;

    @ApiModelProperty("书籍作者")
    @NotBlank(message = "书籍作者不能为空")
    private String bookAuthor;

    @ApiModelProperty("fileKey")
    @NotBlank(message = "书籍封面不能为空")
    private String fileKey;

    @ApiModelProperty("文件id")
    @NotNull(message = "书籍封面不能为空")
    private Long fileId;
}
