package com.crunii.micro.service.qm.api.domain.dto.bookList;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 14:57
 */
@Data
@ApiModel(description = "创建书单请求参数")
public class BookListC implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单名称")
    @NotBlank(message = "书单名称不能为空")
    private String bookListName;

    @ApiModelProperty("书单主题-静态值")
    @NotNull(message = "书单主题不能为空")
    private Integer bookListTheme;

    @ApiModelProperty("书单简介")
    @NotBlank(message = "书单简介不能为空")
    private String bookListDesc;

    @ApiModelProperty("关联书籍")
    private List<Long> bookIds;

    @ApiModelProperty("书单展示位置-静态值")
    @NotNull(message = "书单展示位置不能为空")
    private Integer bookListShowLocation;
}
