package com.crunii.micro.service.qm.api.domain.dto.bookList;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 14:06
 */
@Data
@ApiModel(description = "书单响应参数")
public class BookListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("书单主键id")
    private Long bookListId;

    @ApiModelProperty("书单名称")
    private String bookListName;

    @ApiModelProperty("书单编号")
    private String bookListCode;

    @ApiModelProperty("书单简介")
    private String bookListDesc;

    @ApiModelProperty("书单主题-静态值")
    private Integer bookListTheme;

    @ApiModelProperty("书单主题翻译")
    @PropertyTranslate(propertyCode = "bookListTheme", valueFiled = "bookListTheme")
    private String bookListThemeName;

    @ApiModelProperty("书单上架状态0下架1上架")
    private Integer bookListStatus;

    @ApiModelProperty("关联书籍数量")
    private Integer associatedBook;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("书单展示位置")
    private Integer bookListShowLocation;

    @ApiModelProperty("书单展示位置翻译")
    @PropertyTranslate(propertyCode = "bookListShowLocation", valueFiled = "bookListShowLocation")
    private String bookListShowLocationName;

}
