package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/19 19:56
 */
@Data
@ApiModel("查询课程出参")
public class QueryCourseVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程名字")
    private String courseName;

    @ApiModelProperty(value = "课程主题")
    private String courseSubject;

    @ApiModelProperty(value = "课程状态")
    private Integer courseState;

    @ApiModelProperty(value = "课程状态翻译")
    private String courseStateText;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "所属班级id")
    private Long classesId;

    @ApiModelProperty(value = "所属机构id")
    private Long orgId;

    @ApiModelProperty(value = "所属机构名称")
    private String orgName;

    @ApiModelProperty(value = "课程开始时间")
    private Date startTime;

    @ApiModelProperty(value = "课程结束时间")
    private Date endTime;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "课程节次")
    private Integer sectionNumber;

    @ApiModelProperty(value = "班级入学年度",notes = "")
    private String classesYear;

    @ApiModelProperty(value = "班级类型名称",notes = "")
    private String classesTypeName;

    @ApiModelProperty(value = "班级层级名称",notes = "")
    private String classesLevelName;



    @ApiModelProperty(value = "课程节次")
    private List<CourseSectionDTO> sectionDTOS;


}
