package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/19 10:58
 */
@Data
@ApiModel("新增班级入参")
public class SaveClassesDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "班级ID",notes = "")
    private Long classesId;

    @ApiModelProperty(value = "组织ID",notes = "",required = true)
    @NotNull(message = "组织id不能为空")
    private Long orgId;

    @ApiModelProperty(value = "班级类型id",required = true)
    @NotNull(message = "请选班级类型")
    private Long classesTypeId;

    @ApiModelProperty(value = "入学年度",required = true)
    @NotBlank(message = "请选入学年度")
    private String classesYear;

    @ApiModelProperty(value = "学员id集合",required = true)
//    @NotNull(message = "请选学员")//新增班级的时候学员可以为空
    private List<Integer> loginIds;
}
