package com.crunii.micro.service.qm.api.domain.dto.classesMgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/19 11:15
 */
@Data
@ApiModel("新增课程入参")
public class SaveCourseDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "课程主键id")
    private Long courseId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "组织id")
    private Long orgId;

    @ApiModelProperty(value = "课程主题")
    private Integer courseSubject;

    @ApiModelProperty(value = "所属班级id",required = true)
    @NotNull(message = "请选班级")
    private Long classesId;

    @ApiModelProperty(value = "开始时间",required = true)
    @NotNull(message = "请选时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间",required = true)
    @NotNull(message = "请选时间")
    private Date endTime;

    @ApiModelProperty(value = "课程节次")
    private List<CourseSectionDTO> sectionDTOS;

}
