package com.crunii.micro.service.qm.api.domain.dto.courseware;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 16:48
 */
@Data
@ApiModel(description = "app课件响应参数")
public class AppCoursewareInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件名称")
    private String certificateName;

    @ApiModelProperty("课件主题-静态值")
    private Integer certificateTopic;

    @ApiModelProperty("课件主题翻译")
    @PropertyTranslate(propertyCode = "certificateTopic",valueFiled = "certificateTopic")
    private String certificateTopName;

    @ApiModelProperty("课件简介")
    private String certificateIntro;

    @ApiModelProperty("课件类型-静态值")
    private Integer certificateType;

    @ApiModelProperty("课件类型翻译")
    @PropertyTranslate(propertyCode = "certificateType",valueFiled = "certificateType")
    private String certificateTypeName;

    @ApiModelProperty("上传人姓名")
    private String workerName;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("资源链接url")
    private String resUrl;

    @ApiModelProperty("文件id")
    private String fileId;
}
