package com.crunii.micro.service.qm.api.domain.dto.courseware;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/20 16:04
 */
@Data
@ApiModel(description = "app课件响应参数")
public class AppCoursewareVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件id")
    private Long certificateId;

    @ApiModelProperty("课件名称")
    private String certificateName;

    @ApiModelProperty("课件主题-静态值")
    private Integer certificateTopic;

    @ApiModelProperty("课件主题翻译")
    @PropertyTranslate(propertyCode = "certificateTopic",valueFiled = "certificateTopic")
    private String certificateTopName;

    @ApiModelProperty("课件类型-静态值")
    private Integer certificateType;

    @ApiModelProperty("课件类型翻译")
    @PropertyTranslate(propertyCode = "certificateType",valueFiled = "certificateType")
    private String certificateTypeName;

    private String fileKey;

    @ApiModelProperty("文件id")
    private String fileId;

    @ApiModelProperty("课件url")
    private String resUrl;
}
