package com.crunii.micro.service.qm.api.domain.dto.courseware;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 15:03
 */
@Data
@ApiModel(description = "创建课件请求参数")
public class CoursewareC implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件名称")
    @NotBlank(message = "课程名称不能为空")
    private String certificateName;

    @ApiModelProperty("课件主题")
    @NotNull(message = "课程主题不能为空")
    private Integer certificateTopic;

    @ApiModelProperty("课件简介")
    @NotBlank(message = "课程简介不能为空")
    private String certificateIntro;

    @ApiModelProperty("课件类型")
    @NotNull(message = "课件类型不能为空")
    private Integer certificateType;

    @ApiModelProperty("fileKey")
    private String fileKey;

    @ApiModelProperty("文件id")
    @NotBlank(message = "课件资源不能为空")
    private String fileId;
}
