package com.crunii.micro.service.qm.api.domain.dto.courseware;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 12:07
 */
@Data
@ApiModel(description = "课件响应参数")
public class CoursewareVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("课件id")
    private Long certificateId;

    @ApiModelProperty("序号")
    private Integer serialNum;

    @ApiModelProperty("资源编号")
    private String resNumber;

    @ApiModelProperty("课件名称")
    private String certificateName;

    @ApiModelProperty("课件主题")
    private Integer certificateTopic;

    @ApiModelProperty("课件主题翻译")
    @PropertyTranslate(propertyCode = "certificateTopic",valueFiled = "certificateTopic")
    private String certificateTopName;

    @ApiModelProperty("课件简介")
    private String certificateIntro;

    @ApiModelProperty("上传人姓名")
    private String workerName;

    @ApiModelProperty("课件类型")
    private Integer certificateType;

    @ApiModelProperty("课件类型翻译")
    @PropertyTranslate(propertyCode = "certificateType",valueFiled = "certificateType")
    private String certificateTypeName;

    @ApiModelProperty("附件(file_key)")
    private String fileKey;

    @ApiModelProperty("文件id")
    private String fileId;

    @ApiModelProperty("课件资源url")
    private String url;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("状态(1上架,0下架)")
    private Integer certificateStatus;

    @ApiModelProperty("创建时间")
    private Date createTime;
}
