package com.crunii.micro.service.qm.api.domain.dto.qf;

import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangchen create 2023/11/9 11:29
 */
@Data
@ApiModel(description = "青峰计划分页vo")
public class LoanPlanDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long loanId;

    @ApiModelProperty(value = "贷款人姓名")
    private String loanName;

    @ApiModelProperty(value = "贷款人性别（0女 1男）")
    private Integer loanSex;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "年龄")
    private Integer age;

    @ApiModelProperty(value = "政治面貌")
    private Integer politicalOutlook;

    @ApiModelProperty(value = "政治面貌翻译")
    @PropertyTranslate(propertyCode = "qf_political_outlook", valueFiled = "politicalOutlook")
    private String politicalOutlookTrans;

    @ApiModelProperty(value = "联系电话")
    private String loanPhone;

    @ApiModelProperty(value = "借款人性质")
    private Integer loanNature;

    @ApiModelProperty(value = "借款人性质翻译")
    @PropertyTranslate(propertyCode = "qf_loan_nature", valueFiled = "loanNature")
    private String loanNatureTrans;

    @ApiModelProperty(value = "教育程度")
    private Integer eduLevel;

    @ApiModelProperty(value = "教育程度翻译")
    @PropertyTranslate(propertyCode = "qf_edu_level", valueFiled = "eduLevel")
    private String eduLevelTrans;

    @ApiModelProperty(value = "申请金额（万）")
    private Double applyAmount;

    @ApiModelProperty(value = "企业类型（借款人类型）")
    private Integer enterpriseType;

    @ApiModelProperty(value = "企业类型（借款人类型）翻译")
    @PropertyTranslate(propertyCode = "qf_enterprise_type", valueFiled = "enterpriseType")
    private String enterpriseTypeTrans;

    @ApiModelProperty(value = "贷款类型")
    private Integer loanType;

    @ApiModelProperty(value = "贷款类型翻译")
    @PropertyTranslate(propertyCode = "qf_loan_type", valueFiled = "loanType")
    private String loanTypeTrans;

    @ApiModelProperty("意向银行id")
    private Long bankId;

    @ApiModelProperty(value = "意向承贷银行")
    private String bankName;

    @ApiModelProperty(value = "借贷用途")
    private String loanUse;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "注册地址")
    private String areaName;

    @ApiModelProperty(value = "所属行业")
    private String industryName;

    @ApiModelProperty(value = "企业经营负债额（万）")
    private Double operatingLiabilities;

    @ApiModelProperty(value = "上一年营收（万）")
    private Double lastYearIncome;

    @ApiModelProperty(value = "上一年税收（万）")
    private Double lastYearTaxation;

    @ApiModelProperty(value = "员工数量（个）")
    private Integer staffNumber;

    @ApiModelProperty(value = "员工中大学生数量（个）")
    private Integer collegeStudentStaffNumber;

    @ApiModelProperty(value = "申请时间")
    private Date createTime;

    @ApiModelProperty(value = "备注")
    private String notes;

    @ApiModelProperty(value = "编号")
    private Long applyCode;

    @ApiModelProperty("是否贷款成功")
    private String loanSuccessful;

    @ApiModelProperty("放贷金额")
    private BigDecimal loanAmount;
}
