package com.crunii.micro.service.qm.api.domain.dto.qf;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author wangchen create 2023/11/9 11:29
 */
@Data
@ApiModel(description = "青峰计划贷款信息展示vo")
public class LoanPlanSimpleVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 贷款用户信息
     */
    private List<LoanUserInfo> loanUserInfo;

    /**
     * 帮扶总人数
     */
    private Integer loanCount = 0;


    /**
     * 申请总人数
     */
    private Integer applierCount;

    /**
     * 帮扶总金额
     */
    private BigDecimal loanTotalAmount = BigDecimal.ZERO;

    @Data
    public static class LoanUserInfo{
        @ApiModelProperty(value = "贷款人姓名")
        private String loanName;

        @ApiModelProperty(value = "所在地区")
        private String areaName;

        private transient BigDecimal loanAmount;

        @ApiModelProperty("获贷金额")
        private String loanAmountStr;
    }
}
