package com.crunii.micro.service.qm.api.domain.dto.studentApp;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/20 10:59
 */
@Data
@ApiModel(description = "导师基本信息")
public class TeacherAppBaseVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师id")
    private Integer workerId;

    @ApiModelProperty("性别 -1未知 0女 1男")
    private Integer sex;

    @ApiModelProperty("用户编码")
    private String userCode;

    @ApiModelProperty("身份证号")
    private String cardId;

    @ApiModelProperty("工作单位")
    private String workUnit;

    @ApiModelProperty("职务")
    private String workerJob;

    @ApiModelProperty("政治面貌 静态值，群众、共青团员、预备党员、党")
    private Integer politicalOutlook;

    @ApiModelProperty("政治面貌")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook",valueFiled = "politicalOutlook")
    private String politicalOutlookTrans;

    @ApiModelProperty("导师头像")
    private String headPortraitPicKey;

    @ApiModelProperty("导师名称")
    private String workerName;

    @ApiModelProperty("导师手机号")
    private String mobile;

    @ApiModelProperty("最高学历 静态值：大专、本科、研究生")
    private Integer education;

    @ApiModelProperty("最高学历翻译")
    @PropertyTranslate(propertyCode = "qm-education",valueFiled = "education")
    private String educationTrans;

    @ApiModelProperty("区域名称")
    private Long areaId;

    @ApiModelProperty("导师级别id")
    private String levelCode;

    @ApiModelProperty("导师级别名称")
    private String levelName;

    @ApiModelProperty("区域名称")
    private String areaName;

    @ApiModelProperty("导师关联学员人数")
    private Integer stuNumber;

    @ApiModelProperty( "导师关联学员最大人数")
    private Integer stuMaxNumber;

    @ApiModelProperty("老师状态翻译")
    private String bindingTrans;

    @ApiModelProperty("关联状态")
    private Integer correlationState;

    @ApiModelProperty("关联状态翻译")
    private String correlationStateTrans;

    @ApiModelProperty("擅长领域")
    private String field;

    @ApiModelProperty("导师开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("true可申请导师，false不可申请导师")
    private boolean binding;
}
