package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "添加学员传入参数实体类")
public class CreateStudentDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学生姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(value = "所属区域(传id)")
    @NotNull(message = "所属区域id不能为空")
    private Long orgId;

    @ApiModelProperty(value = "区域id（org_type=9的组织id）",notes = "区域id（org_type=9的组织id）")
    private Long areaId;

    @ApiModelProperty(value = "政治面貌", notes = "静态值，1-群众、2-共青团员、3-预备党员、4-党员")
    private Integer politicalOutlook;

    @ApiModelProperty(value = "性别", notes = "-1未知 0女 1男")
    private Integer sex;

    @ApiModelProperty(value = "最高学历", notes = "静态值：1-大专、2-本科、3-研究生")
    private Integer education;

    @ApiModelProperty(value = "工作单位")
    @NotBlank(message = "工作单位不能为空")
    private String workUnit;

    @ApiModelProperty(value = "职务")
    private String workerJob;

    // 2023-10-12 9:30 更改:现在只支持选择单个班级,因此这里列表改为单个参数
    @ApiModelProperty(name = "所属班级id")
    @NotNull(message = "所属班级id不能为空")
    private Long classesId;

    @ApiModelProperty(value = "擅长领域(业务专长)")
    private String adeptField;

    @ApiModelProperty(value = "获得荣誉列表")
    private List<CreateStudentHonorDto> honorList;
}
