package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-10-10
 */
@Data
@ApiModel(description = "学员导入模板参数实体类")
public class ExcelStuData implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("学员姓名（必填）")
    private String name;

    @ExcelProperty("手机号（必填）")
    private String phone;

    @ExcelProperty("学员性别（必填）")
    private String sex;

    @ExcelProperty("身份证号（必填）")
    private String idCard;

    @ExcelProperty("所属组织（必填）")
    private String affiliation;

//    @ExcelProperty("*所属导师")
//    private String teacher;

//    @ExcelProperty("*所属班级")
//    private String typeName;
//
//    @ExcelProperty("*班级级别")
//    private String levelName;
//
//    @ExcelProperty("*年度")
//    private String classesYear;

    @ExcelProperty("所属班级（必填）")
    @ApiModelProperty(value = "班级编码(这里传的是编码)")
    private String classesCode;

    @ExcelProperty("政治面貌（必填）")
    private String politicalAspect;

    @ExcelProperty("最高学历（必填）")
    private String highestEducation;

    @ExcelProperty("职务（必填）")
    private String office;

    @ExcelProperty("所属区域（必填）")
    @ApiModelProperty(value = "区域(这里传的是区域id)")
    private String region;

    @ExcelProperty("工作单位（必填）")
    private String workplace;

    @ExcelProperty("*所属系统")
    private String belongingSystem;
}
