package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-09-25
 */
@Data
@ApiModel(description = "审核通过列表导出实体类")
public class PassExamineExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    @ExcelIgnore
    private Long userInfoId;

    @ApiModelProperty(value = "学员编号")
    @ExcelProperty(value = "学员编号", index = 0)
    private String userCode;

    @ApiModelProperty(value = "学员姓名")
    @ExcelProperty(value = "姓名", index = 1)
    private String workerName;

    @ApiModelProperty(value = "手机号")
    @ExcelProperty(value = "手机号", index = 2)
    private String mobile;

    @ApiModelProperty(value = "所属班级")
    @ExcelProperty(value = "所属班级", index = 3)
    private String typeName;

    @ApiModelProperty(value = "所属组织")
    @ExcelProperty(value = "所属组织", index = 4)
    private String orgName;

    @ApiModelProperty(value = "学员职务")
    @ExcelProperty(value = "学员职务", index = 5)
    private String workerJob;

    @ApiModelProperty(value = "导师匹配(0未选择,1未匹配,2已匹配)")
    @ExcelProperty(value = "导师匹配", index = 6)
    private String teacherMate;

    @ApiModelProperty(value = "学员状态(0正常,1已淘汰),主要要和数据库的字段deleted对应上")
    @ExcelProperty(value = "学员状态", index = 7)
    private String stuState;

    @ApiModelProperty(value = "创建时间")
    @ExcelProperty(value = "创建时间", index = 8)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @ExcelProperty(value = "更新时间", index = 9)
    private Date updateTime;
}
