package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-21
 */
@Data
@ApiModel(description = "审核通过列表返回参数实体类")
public class PassExamineVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    private Long userInfoId;

    @ApiModelProperty(value = "学员编号")
    private String userCode;

    @ApiModelProperty(value = "导师用户id")
    private int workerId;

    @ApiModelProperty(value = "学员姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "所属机构(组织id)")
    private Long orgId;

    @ApiModelProperty(value = "所属机构")
    private String orgName;

    @ApiModelProperty(value = "学员职务")
    private String workerJob;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "导师匹配(0待审核,1未选择,2未匹配,3已匹配)")
    private String teacherMate;

    @ApiModelProperty(value = "导师匹配翻译名称(0待审核,1未选择,2未匹配,3已匹配)")
    private String teacherMateName;

    @ApiModelProperty(value = "班级信息列表")
    private List<ClassesInfoVo> classesVoList;

    @ApiModelProperty(value = "可编辑的班级信息")
    private ClassesInfoVo updateClassesInfo;

//    @ApiModelProperty(value = "推优状态")
//    private String excellentState;

    @ApiModelProperty(value = "学员状态(0正常,1已淘汰),主要要和数据库的字段deleted对应上")
    private String stuState;
}
