package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "分配班级传入参数实体类")
public class ShareClassesDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    @NotNull(message = "用户id不能为空")
    private int workerId;

    // 2023-10-12 9:30 更改:现在只支持选择单个班级,因此这里列表改为单个参数
    @ApiModelProperty(name = "所属班级id")
    @NotNull(message = "所属班级id不能为空")
    private Long classesId;

    @ApiModelProperty(name = "修改前的所属班级id")
    @NotNull(message = "修改前的所属班级id不能为空")
    private Long beforeClassesId;
}
