package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-26
 */
@Data
@ApiModel(description = "查询导师列表传入参数实体类")
public class TeacherListDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模糊查询(导师姓名/导师手机号)")
    private String query;

    @ApiModelProperty(value = "学员的用户id")
    @NotNull(message = "学员的用户id不能为空")
    private Integer stuWorkerId;

    @ApiModelProperty(value = "班级级别code")
//    @NotNull(message = "班级级别code不能为空")
    private String levelCode;


//     2023-10-11 14:35 查看导师列表去掉组织限制
//    @ApiModelProperty(value = "所属机构id")
//    private Long orgId;
}
