package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-10-09
 */
@Data
@ApiModel(description = "上传结业证书传入参数实体类")
public class UploadCertificateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学员用户id")
    @NotNull(message = "用户id不能为空")
    private Integer workerId;

    @ApiModelProperty(value = "结业证书图片key")
    @NotBlank(message = "图片key不能为空")
    private String fileKey;
}
