package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import com.crunii.micro.core.annotation.PropertyTranslate;
import com.crunii.micro.service.qm.api.domain.dto.userinfo.vo.UserHonorVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "查看学员返回参数实体类")
public class ViewStudentVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    private Long userInfoId;

    @ApiModelProperty(value = "用户id")
    private int workerId;

    @ApiModelProperty(value = "学员姓名")
    private String workerName;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(value = "所属机构(组织id)")
    private Long orgId;

    @ApiModelProperty(value = "所属机构名称")
    private String orgName;

    @ApiModelProperty(value = "区域id")
    private Long areaId;

    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @ApiModelProperty(value = "政治面貌", notes = "静态值，群众、共青团员、预备党员、党员")
    private Integer politicalOutlook;

    @ApiModelProperty(value = "政治面貌名称")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook", valueFiled = "politicalOutlook")
    private String politicalOutlookName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "性别(1男,0女)")
    private String sex;

    @ApiModelProperty(value = "性别名称(1男,0女)")
    private String sexName;

    @ApiModelProperty(value = "最高学历", notes = "静态值：大专、本科、研究生")
    private Integer education;

    @ApiModelProperty(value = "最高学历名称")
    @PropertyTranslate(propertyCode = "qm-education", valueFiled = "education")
    private String educationName;

    @ApiModelProperty(value = "工作单位", notes = "工作单位")
    private String workUnit;

    @ApiModelProperty(value = "学员职务")
    private String workerJob;

    @ApiModelProperty(value = "学员编号")
    private String userCode;

    @ApiModelProperty(value = "审核意见")
    private String note;

    @ApiModelProperty(value = "擅长领域描述", notes = "擅长领域描述")
    private String adeptField;

    @ApiModelProperty(value = "荣誉集合", notes = "荣誉集合")
    private List<UserHonorVo> honorList;

    @ApiModelProperty(value = "班级信息列表")
    private List<ClassesInfoVo> classesVoList;

    @ApiModelProperty(value = "结业证书图片")
    private String fileKey;

    @ApiModelProperty(value = "结业证书图片url")
    private String fileUrl;

    @ApiModelProperty(value = "可编辑的班级信息")
    private ClassesInfoVo updateClassesInfo;
}
