package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-25
 */
@Data
@ApiModel(description = "查看学员返回参数实体类")
public class ViewTeacherVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    private Long userInfoId;

    @ApiModelProperty(value = "导师用户id")
    private int workerId;

    @ApiModelProperty(value = "导师姓名")
    private String workerName;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(value = "区域id")
    private Long areaId;

    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @ApiModelProperty(value = "政治面貌",notes = "静态值，群众、共青团员、预备党员、党员")
    private Integer politicalOutlook;

    @ApiModelProperty(value = "政治面貌名称")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook", valueFiled = "politicalOutlook")
    private String politicalOutlookName;;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "性别(1男,0女)")
    private String sex;

    @ApiModelProperty(value = "性别名称(1男,0女)")
    private String sexName;

    @ApiModelProperty(value = "最高学历",notes = "静态值：大专、本科、研究生")
    private Integer education;

    @ApiModelProperty(value = "最高学历名称")
    @PropertyTranslate(propertyCode = "qm-education", valueFiled = "education")
    private String educationName;

    @ApiModelProperty(value = "导师编号")
    private String userCode;

    @ApiModelProperty(value = "所属班级")
    private String typeName;

    @ApiModelProperty(value = "班级ID",notes = "班级ID")
    private Long classesId;

    @ApiModelProperty(value = "班级级别")
    private String levelName;

    @ApiModelProperty(value = "入学年度")
    private String classesYear;
}
