package com.crunii.micro.service.qm.api.domain.dto.studentWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-09-18
 */
@Data
@ApiModel(description = "待审核,审核不通过列表传入参数实体类")
public class WaitExamineDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织id(所属机构)")
    private String orgId;

    @ApiModelProperty(value = "性别(0女 1男)")
    private Integer sex;

    @ApiModelProperty(value = "所属班级(传id)")
    private Long classesId;

    @ApiModelProperty(value = "学员职务")
    private String workerJob;

    @ApiModelProperty(value = "入学年度")
    private String enrollmentYear;

    @ApiModelProperty(value = "学员编号")
    private String userCode;

    @ApiModelProperty(value = "学院姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty("审核状态(审核状态：-1待审核 0不通过")
    @NotNull(message = "审核状态不能为空")
    private Integer auditStatus;
}
