package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/9/19 11:19
 */
@Data
@ApiModel(description = "我的学生基本信息")
public class MyStuBaseDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("关联 静态值")
    private Integer correlationState;

    @ApiModelProperty("班级名称 || 学员姓名")
    private String name;

    @ApiModelProperty("区域id")
    private Long areaId;

    @ApiModelProperty(name = "最高学历",notes = "静态值：大专、本科、研究生")
    private List<Integer> education;

    @ApiModelProperty(name = "政治面貌",notes = "静态值，群众、共青团员、预备党员、党员")
    private List<Integer> politicalOutlook;

    @ApiModelProperty("班级年度")
    private List<String> classesYear;

     @ApiModelProperty("班级级别code")
     private List<String> levelCode;
}
