package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/9/19 11:19
 */
@Data
@ApiModel(description = "我的学生基本信息")
public class MyStuBaseVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学员id")
    private Integer workerId;

    @ApiModelProperty("学员姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty("职务")
    private String workerJob;

    @ApiModelProperty( "政治面貌 静态值，群众、共青团员、预备党员、党员")
    private Integer politicalOutlook;

    @ApiModelProperty("政治面貌翻译")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook",valueFiled = "politicalOutlook")
    private String politicalOutlookTrans;
    
    @ApiModelProperty(name = "最高学历 静态值：大专、本科、研究生")
    private Integer education;

    @ApiModelProperty(name = "最高学历翻 静态值：大专、本科、研究生")
    @PropertyTranslate(propertyCode = "qm-education",valueFiled = "education")
    private String educationTrans;

    @ApiModelProperty("班级名称")
    private String typeName;

    @ApiModelProperty(name = "年度")
    private String classesYear;

    @ApiModelProperty(name = "学员头像")
    private String headUrl;

    @ApiModelProperty(name = "区域id")
    private Long areaId;

    @ApiModelProperty(name = "区域名称")
    private String areaName;

    @ApiModelProperty("考核结果")
    private Integer evaluateResult;

    @ApiModelProperty("考核结果")
    private String evaluateResultTrans;
}
