package com.crunii.micro.service.qm.api.domain.dto.teacherApp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wangchen create 2023/9/19 9:51
 */
@Data
@ApiModel(description = "web导师新增dto")
public class TeacherBaseModifyDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "导师姓名")
    @NotBlank(message = "导师姓名不能为空")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    @NotBlank(message = "手机号不能为空")
    private String mobile;

    @ApiModelProperty(value = "身份证号")
    @NotBlank(message = "身份证号不能为空")
    private String cardId;

    @ApiModelProperty(name = "性别",notes = "-1未知 0女 1男")
    @NotNull(message = "性别不能为空")
    private Integer sex;

    @ApiModelProperty(value = "所属机构")
    @NotNull(message = "所属区域不能为空")
    private Long orgId;

    @ApiModelProperty(value = "所属区域")
    @NotNull(message = "所属区域不能为空")
    private Long areaId;

    @ApiModelProperty(value = "最高学历")
    @NotNull(message = "最高学历不能为空")
    private Integer education;

    @ApiModelProperty(name = "政治面貌",notes = "静态值，群众、共青团员、预备党员、党员")
    @NotNull(message = "政治面貌不能为空")
    private Integer politicalOutlook;

    @ApiModelProperty(value = "教师职务")
    @NotBlank(message = "教师职务不能为空")
    private String workerJob;

    @ApiModelProperty(name = "工作单位",notes = "")
    @NotBlank(message = "工作单位不能为空")
    private String workUnit;

    @ApiModelProperty(name = "班级级别code",notes = "")
    @NotBlank(message = "班级级别不能为空")
    private String levelCode;
}
