package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/9/20 16:49
 */
@Data
@ApiModel("导出导师")
public class ExportTeacher implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("导师编号")
    @ExcelProperty(value = "导师编号")
    private String userCode;

    @ApiModelProperty(value = "导师姓名")
    @ExcelProperty(value = "导师姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    @ExcelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "身份证号")
    @ExcelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(name = "性别",notes = "-1未知 0女 1男")
    @ExcelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "所属区域")
    @ExcelProperty(value = "所属区域")
    private String orgName;

    @ApiModelProperty(value = "导师学历/最高学历")
    @ExcelIgnore
    private Integer education;

    @ApiModelProperty(value = "导师学历/最高学历")
    @ExcelProperty(value = "导师学历")
    @PropertyTranslate(propertyCode = "qm-education", valueFiled = "education")
    private String educationTrans;

    @ApiModelProperty(name = "政治面貌",notes = "静态值，群众、共青团员、预备党员、党员")
    @ExcelIgnore
    private Integer politicalOutlook;

    @ApiModelProperty(name = "政治面貌翻译",notes = "静态值，群众、共青团员、预备党员、党员")
    @ExcelProperty(value = "政治面貌翻译")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook", valueFiled = "politicalOutlook")
    private String politicalOutlookTrans;

    @ApiModelProperty(value = "教师职务")
    @ExcelProperty(value = "教师职务")
    private String workerJob;

    @ApiModelProperty(name = "工作单位",notes = "")
    @ExcelProperty(value = "工作单位")
    private String workUnit;

    @ApiModelProperty("班级级别名称")
    @ExcelProperty(value = "班级级别")
    private String levelName;
}
