package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/21 18:36
 */
@Data
@ApiModel(description = "学员详情")
public class StudentDetailVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("头像key")
    private String headPortraitPicKey;

    @ApiModelProperty("用户id")
    private String workerId;

    @ApiModelProperty("头像url")
    private String headUrl;

    @ApiModelProperty("学员名称")
    private String workerName;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("orgId")
    private Long orgId;

    @ApiModelProperty("所属区域")
    private String orgName;

    @ApiModelProperty("职务")
    private String workerJob;

    @ApiModelProperty("政治面貌")
    private Integer politicalOutlook;

    @ApiModelProperty("政治面貌翻译")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook", valueFiled = "politicalOutlook")
    private String politicalOutlookTrans;

    @ApiModelProperty("学历")
    private String education;

    @ApiModelProperty("年度")
    private String classesYear;

    private String fileKey;

    @ApiModelProperty("是否结业 0未结业 1已结业")
    private String isGraduation;

    @ApiModelProperty("是否结业翻译")
    @PropertyTranslate(propertyCode = "qm-graduation", valueFiled = "isGraduation")
    private String  isGraduationTrans;
}
