package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/18 14:55
 */
@Data
@ApiModel(description = "web导师分页返回vo")
public class TeacherBaseVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Integer workerId;

    @ApiModelProperty(value = "导师编号")
    private String userCode;

    @ApiModelProperty(value = "导师姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "导师学历")
    private Integer education;

    @ApiModelProperty(value = "导师学历翻译")
    @PropertyTranslate(propertyCode = "qm-education", valueFiled = "education")
    private String educationTrans;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(value = "工作单位",notes = "")
    private String workUnit;

    @ApiModelProperty(value = "性别",notes = "-1未知 0女 1男")
    private Integer sex;

    @ApiModelProperty(value = "政治面貌",notes = "静态值，群众、共青团员、预备党员、党员")
    private Integer politicalOutlook;

    @ApiModelProperty(value = "政治面貌翻译")
    @PropertyTranslate(propertyCode = "qm-politicalOutlook", valueFiled = "politicalOutlook")
    private String politicalOutlookName;

    @ApiModelProperty(value = "所属机构id")
    private Long orgId;

    @ApiModelProperty(value = "所属机构名称")
    private String orgName;

    @ApiModelProperty(value = "所属区域id")
    private Long areaId;

    @ApiModelProperty(value = "所属区域名称")
    private String areaName;

    @ApiModelProperty(value = "教师职务")
    private String workerJob;

    @ApiModelProperty(value = "聘用状态")
    private Integer expandStatus;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "导师关联学员人数")
    private Integer stuNumber;

    @ApiModelProperty(value = "导师关联学员最大人数")
    private Integer stuMaxNumber;

    @ApiModelProperty(value = "班级类型名称")
    private String typeName;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;
}
