package com.crunii.micro.service.qm.api.domain.dto.teacherWeb;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/9/18 14:33
 */
@Data
@ApiModel(description = "web导师分页查询参数")
public class TeacherDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织id")
    private Long orgId;

    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ApiModelProperty(value = "教师职务")
    private String workerJob;

    @ApiModelProperty(value = "导师学历/最高学历")
    private Integer education;

    @ApiModelProperty(value = "用户编号")
    private String userCode;

    @ApiModelProperty(value = "用户姓名")
    private String workerName;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty("审核状态")
    @NotNull(message = "审核状态不能为空")
    private Integer auditStatus;
}
