package com.crunii.micro.service.qm.api.domain.dto.teachingRoute;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;


/**
 * @author denggl
 * date 2023/9/18
 */
@Data
@ApiModel("路线节点入参")
public class TeachingRouteNodeDto implements Serializable {
    private static final long serialVersionUID = 5580208395005920770L;

    @ApiModelProperty(value = "节点唯一标识,新增不传,编辑必传",notes = "")
    private Long routeNodeId;

    /** 路线id */
    @ApiModelProperty(value = "路线id,变更节点时传",notes = "")
    private Long teachingRouteId;

    /** 开始时间 */
    @ApiModelProperty(value = "开始时间",notes = "")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间",notes = "")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 节点路线内容 */
    @ApiModelProperty(value = "节点路线内容",notes = "")
    @NotBlank(message = "节点路线内容必填")
    private String content;

    @ApiModelProperty(value = "1删除,0不删除",notes = "")
    private Integer deleted;

}
