package com.crunii.micro.service.qm.api.domain.dto.teachingRoute;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author denggl
 * date 2023/9/18
 */
@Data
@ApiModel("修改教学路线入参")
public class TeachingRouteU implements Serializable {

    private static final long serialVersionUID = 1L;
    /** 唯一标识 */

    @ApiModelProperty(value = "唯一标识,新增不传",notes = "")
    private Long routeId;

    /** 教学路线名称 */

    @ApiModelProperty(value = "教学路线名称",notes = "",required = true)
    @NotBlank(message = "教学路线名称必填")
    private String routeName;

    /** 路线主题 静态值 */
    @ApiModelProperty(value = "路线主题 静态值",notes = "",required = true)
    @NotNull(message = "路线主题必填")
    private Integer routeTheme;

    /** 路线简介 */
    @ApiModelProperty(value = "路线简介",notes = "",required = true)
    @NotBlank(message = "路线简介必填")
    private String routeBriefing;

    /** 状态 0下架 1上架 */
    @ApiModelProperty(value = "状态 0下架 1上架",notes = "")
    private Integer routeStatus;


    @ApiModelProperty("路线节点")
     private List<TeachingRouteNodeDto> listNode;
/*

    */
/** 创建人id *//*

    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    */
/** 创建时间 *//*

    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    */
/** 修改人id *//*

    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;

    */
/** 修改时间 *//*

    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    */
/** 是否删除(1删除0否) *//*

    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除(1删除0否)",notes = "")
    private Integer deleted;
*/

}
