package com.crunii.micro.service.qm.api.domain.dto.teachingRoute;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Date;

/**
 * @author denggl
 * date 2023/9/18
 */
@Data
@ApiModel("web后台列表路线查询返回值")
public class TeachingRouteVo implements Serializable {
    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "唯一标识",notes = "")
    private Long routeId;

    /** 教学路线编号 */
    @ApiModelProperty(value = "教学路线编号",notes = "")
    private String routeCode;

    /** 教学路线名称 */
    @ApiModelProperty(value = "教学路线名称",notes = "")
    private String routeName;

    /** 路线主题 静态值 */
    @ApiModelProperty(value = "路线主题 静态值",notes = "")
    private Integer routeTheme;

    @ApiModelProperty(name = "路线主题翻译")
    @PropertyTranslate(propertyCode = "qm-routeTheme",valueFiled = "routeTheme")
    private String routeThemeName;

    /** 路线简介 */
    @ApiModelProperty(value = "路线简介",notes = "")
    private String routeBriefing;

    /** 状态 0下架 1上架 */
    @ApiModelProperty(value = "状态 0下架 1上架",notes = "")
    private Integer routeStatus;

    @ApiModelProperty(value = "创建时间",notes = "")
    private Date createTime;

}
