package com.crunii.micro.service.qm.api.domain.dto.trainingTrain;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author denggl
 * date 2023/9/20
 */
@ApiModel(value = "青马-培训基地详情返回值")
@Data
public class TrainingTrainDetailsVo {


    /** 唯一标识 */

    @ApiModelProperty(value = "唯一标识",notes = "")
    private Long baseId;

    /** 基地编号 */
    @ApiModelProperty(value = "基地编号",notes = "")
    private String trainCode;

    /** 基地图片 */
    @ApiModelProperty(value = "基地图片",notes = "")
    private List<TrainPic> teachingRoutePic;
    /** 基地名称 */
    @ApiModelProperty(value = "基地名称",notes = "")
    private String trainName;

    /** 基地区域 */
    @ApiModelProperty(value = "基地区域",notes = "")
    private  Long trainRegion;

    @ApiModelProperty(value = "基地区域翻译",notes = "")
    private String trainRegionName;

    /** 基地类别，静态值 */
    @ApiModelProperty(value = "基地类别，静态值",notes = "")
    private Integer trainCategory;
    @ApiModelProperty(value = "基地类别翻译")
    @PropertyTranslate(propertyCode = "qm-trainCategory",valueFiled = "trainCategory")
    private String trainCategoryName;
    /** 基地标签，多个 */
    @ApiModelProperty(value = "基地标签，多个",notes = "")
    private List<TrainLabel> trainLabel;

    /** 基地地址 */
    @ApiModelProperty(value = "基地地址",notes = "")
    private String trainAddress;

    /** 基地经度 */
    @ApiModelProperty(value = "基地经度",notes = "")
    private String trainLongitude;

    /** 基地维度 */
    @ApiModelProperty(value = "基地维度",notes = "")
    private String trainLatitude;

    /** 状态 1有效，0无效 */
    @ApiModelProperty(value = "状态 1有效，0无效",notes = "")
    private Integer trainStatus;

    @ApiModelProperty(value = "基地描述",notes = "")
    private String describe;


}
