package com.crunii.micro.service.qm.api.domain.dto.trainingTrain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.io.Serializable;
import java.sql.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/9/19
 */
@ApiModel("分页教学基地入参")
@Data
public class TrainingTrainDto implements Serializable {


    private static final long serialVersionUID = 3232155899786676529L;
    /** 基地编号 */
    @ApiModelProperty(value = "基地编号",notes = "")
    private String trainCode;

    /** 基地名称 */
    @ApiModelProperty(value = "基地名称",notes = "")
    private String trainName;

    /** 基地区域，静态值 */
    @ApiModelProperty(value = "基地区域，行政区",notes = "")
    private String trainRegion;

    /** 基地类别，静态值 */
    @ApiModelProperty(value = "基地类别，静态值",notes = "")
    private List<Integer> trainCategory;

    /** 基地标签，多个 */
    @ApiModelProperty(value = "基地标签，多个",notes = "")
    private List<Integer> trainLabel;


    /** 状态 1有效，0无效 */
    @ApiModelProperty(value = "状态 1有效，0无效",notes = "")
    private Integer trainStatus;


    @ApiModelProperty(value = "开始时间",notes = "")
  //  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;


    @ApiModelProperty(value = "结束时间",notes = "")
   // @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String  endTime;



}
