package com.crunii.micro.service.qm.api.domain.dto.trainingTrain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/9/19
 */
@ApiModel("更新教学基地入参")
@Data
public class TrainingTrainU implements Serializable {


    private static final long serialVersionUID = -6140132547333625570L;
    @ApiModelProperty(value = "唯一标识,新增不传,编辑必传",notes = "")
    private Long baseId;

    /** 基地编号 */
    @ApiModelProperty(value = "基地编号",notes = "")
    private String trainCode;

    /** 基地名称 */
    @ApiModelProperty(value = "基地名称",notes = "",required = true)
    @NotBlank(message = "基地名称必填")
    private String trainName;

    /** 基地区域，静态值 */
    @ApiModelProperty(value = "基地区域，静态值",notes = "",required = true)
    @NotNull(message = "基地区域必填")
    private Long trainRegion;

    /** 基地类别，静态值 */
    @ApiModelProperty(value = "基地类别，静态值",notes = "",required = true)
    @NotNull(message = "基地类别必填")
    private Integer trainCategory;

    /** 基地标签，多个 */
    @ApiModelProperty(value = "基地标签，多个",notes = "",required = true)
    @NotEmpty(message = "基地标签必填")
   // private List<TrainLabel> trainLabel;
    private List<Integer> trainLabel;
    /** 基地地址 */
    @ApiModelProperty(value = "基地地址",notes = "",required = true)
    @NotBlank(message = "基地地址必填")
    private String trainAddress;

    /** 基地经度 */
    @ApiModelProperty(value = "基地经度",notes = "",required = true)
    @NotBlank(message = "基地经度必填")
    private String trainLongitude;

    /** 基地维度 */
    @ApiModelProperty(value = "基地维度",notes = "",required = true)
    @NotBlank(message = "基地纬度必填")
    private String trainLatitude;

   /* *//** 状态 1有效，0无效 *//*
    @ApiModelProperty(value = "状态 1有效，0无效",notes = "")
    private Integer trainStatus;*/
/*
    *//** 是否删除(1删除0否) *//*
    @ApiModelProperty(value = "是否删除(1删除0否)",notes = "")
    private Integer deleted;*/

    @ApiModelProperty(value = "上传文件的id",notes = "")
    @NotEmpty(message = "基地图片必传")
    List<TeachingRoutePicdDto> listFile;

    @ApiModelProperty(value = "基地描述",notes = "",required = true)
    @NotBlank(message = "基地描述必填")
    private String describe;
}
