package com.crunii.micro.service.qm.api.domain.dto.userinfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 15:08:02
 */
@Data
@ApiModel(description = "用户荣誉信息Dto")
public class UserHonorDto {


	@ApiModelProperty(name = "荣誉主键id",notes = "荣誉主键id，新增不传，修改传")
	private Long honorId;

	@NotNull(message = "荣誉类型不能为空")
	@ApiModelProperty(name = "荣誉类型：1荣誉2擅长领域",notes = "荣誉类型：1荣誉2擅长领域",required = true)
	private Integer honorType;

	/** 获奖时间 */
	@ApiModelProperty(name = "获奖时间",notes = "获奖时间,类型为1传，为2不用传")
	private Date acquisitionTime;

	/** 荣誉描述 */
	@NotBlank(message = "荣誉描述不能为空")
	@ApiModelProperty(name = "荣誉描述",notes = "荣誉描述",required = true)
	private String honorDesc;


}
