package com.crunii.micro.service.qm.api.domain.dto.userinfo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/18 0018 17:32:04
 */
@Data
@ApiModel(description = "用户信息Dto")
public class UserInfoDto {

//
//	@ApiModelProperty(name = "业务标识", notes = "主键id：修改传，新增不传")
//	private Long id;

	@NotNull(message = "性别不能为空")
	@ApiModelProperty(name = "性别", notes = "性别：-1未知 0女 1男",required = true)
	private Integer sex;

	@NotNull(message = "身份不能为空")
	@ApiModelProperty(name = "身份", notes = "身份：分为1学员 2导师",required = true)
	private Integer userIdentity;

	@NotNull(message = "组织ID不能为空")
	@ApiModelProperty(name = "组织ID", notes = "组织ID：团组织",required = true)
	private Long orgId;

	/**
	 * 组织ID;省市区
	 */
	@NotNull(message = "区域ID不能为空")
	@ApiModelProperty(name = "区域ID", notes = "区域ID：省市区",required = true)
	private Long areaId;

	/**
	 * 政治面貌;静态值，群众、共青团员、预备党员、党员
	 */
	@NotNull(message = "政治面貌不能为空")
	@ApiModelProperty(name = "政治面貌", notes = "政治面貌：静态值，群众、共青团员、预备党员、党员",required = true)
	private Integer politicalOutlook;

	/**
	 * 最高学历;静态值：大专、本科、研究生
	 */
	@NotNull(message = "最高学历不能为空")
	@ApiModelProperty(name = "最高学历", notes = "最高学历：静态值：大专、本科、研究生",required = true)
	private Integer education;

	/**
	 * 身份证号;加密存储
	 */
	@NotBlank(message = "身份证号不能为空")
	@ApiModelProperty(name = "身份证号", notes = "身份证号：加密存储",required = true)
	private String cardId;

	/**
	 * 工作单位
	 */
	@NotBlank(message = "工作单位不能为空")
	@ApiModelProperty(name = "工作单位", notes = "工作单位",required = true)
	private String workUnit;

	/**
	 * 职务;静态值配置
	 */
	@NotBlank(message = "职务不能为空")
	@ApiModelProperty(name = "职务", notes = "职务：手动输入",required = true)
	private String workerJob;

//	/**
//	 * 审核状态;审核状态：-1审核中 1通过 0驳回
//	 */
//	@ApiModelProperty(name = "审核状态", notes = "审核状态：-1审核中 1通过 0驳回")
//	private String auditStatus;
//
//	/**
//	 * 擅长领域
//	 */
//	@ApiModelProperty(name = "擅长领域", notes = "")
//	private String adeptField;



	@ApiModelProperty(name = "导师所属级别", notes = "导师所属级别code，人员是导师的时候传")
	private String levelCode;

	@ApiModelProperty(name = "学员所属班级id", notes = "学员所属班级id集合：人员是学员的时候传")
	private List<Long> classesIdList;



}
