package com.crunii.micro.service.qm.api.domain.dto.userinfo.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/18 0018 18:48:52
 */
@Data
@ApiModel(description = "判断用户是否已录入信息Vo")
public class CheckUserInfoVo {

	@ApiModelProperty(name = "学员状态，0正常，1已淘汰", notes = "学员状态，0正常，1已淘汰")
	private Integer stuState = 0;

	@ApiModelProperty(name = "业务标识", notes = "生成雪花id")
	private Long id;

	@ApiModelProperty(name = "用户ID", notes = "用户id")
	private Integer workerId;

	@ApiModelProperty(name = "性别", notes = "性别:-1未知 0女 1男")
	private Integer sex;

	@ApiModelProperty(name = "身份", notes = "身份:分为1学员 2导师")
	private Integer userIdentity;

	/**
	 * 组织ID;省市区
	 */
	@ApiModelProperty(name = "组织ID", notes = "团组织id")
	private Long orgId;

	@ApiModelProperty(name = "组织名称", notes = "团组织名称")
	private String orgName;

	/**
	 * 组织ID;省市区
	 */
	@ApiModelProperty(name = "组织ID", notes = "省市区")
	private Long areaId;

	@ApiModelProperty(name = "组织名称", notes = "省市区组织名称")
	private String areaName;

	/**
	 * 政治面貌;静态值，群众、共青团员、预备党员、党员
	 */
	@ApiModelProperty(name = "政治面貌", notes = "政治面貌:静态值，群众、共青团员、预备党员、党员")
	private Integer politicalOutlook;

	@ApiModelProperty(name = "政治面貌翻译",notes = "政治面貌翻译")
	@PropertyTranslate(propertyCode = "qm-politicalOutlook",valueFiled = "politicalOutlook")
	private String politicalOutlookDesc;

	/**
	 * 最高学历;静态值：大专、本科、研究生
	 */
	@ApiModelProperty(name = "最高学历", notes = "最高学历:静态值：大专、本科、研究生")
	private Integer education;

	@ApiModelProperty(name = "最高学历翻译",notes = "最高学历翻译")
	@PropertyTranslate(propertyCode = "qm-education",valueFiled = "education")
	private String educationDesc;

	/**
	 * 身份证号;加密存储
	 */
	@ApiModelProperty(name = "身份证号", notes = "加密存储")
	private String cardId;

	/**
	 * 工作单位
	 */
	@ApiModelProperty(name = "工作单位", notes = "工作单位")
	private String workUnit;

	/**
	 * 职务;静态值配置
	 */
	@ApiModelProperty(name = "职务", notes = "职务,手动输入")
	private String workerJob;

	/**
	 * 审核状态;审核状态：-1审核中 1通过 0驳回
	 */
	@ApiModelProperty(name = "审核状态", notes = "审核状态：-1审核中 1通过 0驳回")
	private Integer auditStatus;

	@ApiModelProperty(name = "审核状态翻译",notes = "审核状态翻译")
	@PropertyTranslate(propertyCode = "qm-userAuditStatus",valueFiled = "auditStatus")
	private String auditStatusDesc;

	@ApiModelProperty(name = "审核意见",notes = "审核不通过展示")
	private String note;

	@ApiModelProperty(name = "审核时间",notes = "审核时间")
	private Date auditTime;

	/**
	 * 用户编号
	 */
	@ApiModelProperty(name = "用户编号", notes = "用户编号")
	private String userCode;

	@ApiModelProperty(name = "导师所属级别", notes = "导师所属级别code")
	private String levelCode;

	@ApiModelProperty(name = "导师所属级别名称", notes = "导师所属级别名称")
	private String levelName;

	@ApiModelProperty(name = "班级信息", notes = "关联班级信息（学员账号）")
	private List<String> ClassesList;



}
