package com.crunii.micro.service.qm.api.domain.dto.userinfo.vo;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/18 0018 17:32:04
 */
@Data
@ApiModel(description = "用户信息Vo")
public class UserInfoVo {

	@ApiModelProperty(name = "业务标识", notes = "主键id：生成雪花id")
	private Long id;

	@ApiModelProperty(name = "用户ID", notes = "用户ID")
	private Integer workerId;

	@ApiModelProperty(name = "性别", notes = "性别；-1未知 0女 1男")
	private Integer sex;

	@ApiModelProperty(name = "身份", notes = "身份，分为1学员 2导师")
	private Integer userIdentity;

	/**
	 * 组织ID;省市区
	 */
	@ApiModelProperty(name = "组织ID", notes = "组织ID")
	private Integer orgId;

	/**
	 * 政治面貌;静态值，群众、共青团员、预备党员、党员
	 */
	@ApiModelProperty(name = "政治面貌", notes = "政治面貌，静态值，群众、共青团员、预备党员、党员")
	private Integer politicalOutlook;

	@ApiModelProperty(name = "政治面貌翻译",notes = "政治面貌翻译")
	@PropertyTranslate(propertyCode = "qm-politicalOutlook",valueFiled = "politicalOutlook")
	private String politicalOutlookDesc;

	/**
	 * 最高学历;静态值：大专、本科、研究生
	 */
	@ApiModelProperty(name = "最高学历", notes = "最高学历:静态值：大专、本科、研究生")
	private Integer education;

	@ApiModelProperty(name = "最高学历翻译",notes = "最高学历翻译")
	@PropertyTranslate(propertyCode = "qm-education",valueFiled = "education")
	private String educationDesc;

	/**
	 * 身份证号;加密存储
	 */
	@ApiModelProperty(name = "身份证号", notes = "身份证号，加密存储")
	private String cardId;

	/**
	 * 工作单位
	 */
	@ApiModelProperty(name = "工作单位", notes = "工作单位")
	private String workUnit;

	/**
	 * 职务;静态值配置
	 */
	@ApiModelProperty(name = "职务", notes = "职务，手动输入")
	private String workerJob;

	/**
	 * 审核状态;审核状态：-1审核中 1通过 0驳回
	 */
	@ApiModelProperty(name = "审核状态", notes = "审核状态：-1审核中 1通过 0驳回")
	private String auditStatus;

	@ApiModelProperty(name = "审核状态翻译",notes = "审核状态翻译")
	@PropertyTranslate(propertyCode = "qm-userAuditStatus",valueFiled = "auditStatus")
	private String auditStatusDesc;

	@ApiModelProperty(name = "审核意见",notes = "审核意见，审核不通过展示")
	private String note;

	/**
	 * 擅长领域
	 */
	@ApiModelProperty(name = "擅长领域", notes = "擅长领域")
	private String adeptField;

	/**
	 * 用户编号
	 */
	@ApiModelProperty(name = "用户编号", notes = "用户编号")
	private String userCode;

//	@ApiModelProperty(name = "用户荣誉信息集合", notes = "用户荣誉信息集合")
//	List<UserHonorVo> userhonorVos;

}
