package com.crunii.micro.service.qm.api.enums;

import lombok.Getter;

/**
 * @author wangchen create 2023/10/8 14:29
 */
@Getter
public enum StudentAuditEnum {
    AUDIT(0,"待审核"),
    FULL_TEACHER(2,"已满员"),
    NOT_APPLY(1,"未申请"),
    REJECT(3,"已拒绝"),
    BINDING(4,"已移除"),
    REJECT_TWO(5,"已被拒绝两次");

    private Integer auditState;

    private String auditTrans;

    StudentAuditEnum(Integer auditState,String auditTrans){
        this.auditState = auditState;
        this.auditTrans = auditTrans;
    }

    public static StudentAuditEnum getAuditTrans(Integer auditState){
        StudentAuditEnum[] values = StudentAuditEnum.values();
        for (StudentAuditEnum value : values) {
            if(value.auditState.equals(auditState)){
                return value;
            }
        }
        return getDefaultState();
    }

    private static StudentAuditEnum getDefaultState(){
        return NOT_APPLY;
    }

    public static StudentAuditEnum getFullTeacher(){
        return FULL_TEACHER;
    }

    public static StudentAuditEnum getRejectTwo(){
        return REJECT_TWO;
    }
}
