package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;

@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QF_LOAN_PLAN_TEMP")
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青年贷导入临时数据表",description = "")
public class LoanPlanImportTemp  implements Serializable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long id;

    @Column(name="apply_code")
    private Long applyCode;

    @Column(name="loan_successful")
    private String loanSuccessful;

    @Column(name="loan_amount")
    private BigDecimal loanAmount;

    @Column(name = "data_key")
    @ApiModelProperty(value = "数据key")
    private String dataKey;
}
