package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青峰区域行业;
 * @author : http://www.chiner.pro
 * @date : 2023-11-9
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QF_AREA_INDUSTRY")
@EqualsAndHashCode(of = { "areaIndustryId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青峰区域行业",description = "")
public class YcqQfAreaIndustry implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="area_industry_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long areaIndustryId;

    /** 行业|区域名称 */
    @Column(name="area_industry_name")
    @ApiModelProperty(value = "行业|| 区域 名称",notes = "")
    private String areaIndustryName;
    
    /** 类型（1区域，2行业） */
    @Column(name="area_industry_type")
    @ApiModelProperty(value = "类型（1区域，2行业）",notes = "")
    private Integer areaIndustryType;
    

}