package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青峰银行;
 * @author : http://www.chiner.pro
 * @date : 2023-12-26
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QF_BANK")
@EqualsAndHashCode(of = { "bankId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青峰银行",description = "")
public class YcqQfBank implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 银行主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="bank_id")
    @ApiModelProperty(value = "银行主键id",notes = "")
    private Long bankId;
    
    /** 银行名称 */
    @Column(name="bank_name")
    @ApiModelProperty(value = "银行名称",notes = "")
    private String bankName;
    
    /** 父银行id */
    @Column(name="parent_bank_id")
    @ApiModelProperty(value = "父银行id",notes = "")
    private Long parentBankId;
    
    /** 是否叶子节点（0否 1是） */
    @Column(name="is_leaf")
    @ApiModelProperty(value = "是否叶子节点（0否 1是）",notes = "")
    private Integer isLeaf;
    
    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;
    

}