package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

 /**
 * ;
 * @author : http://www.chiner.pro
 * @date : 2023-11-8
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QF_LOAN_RECORD")
@EqualsAndHashCode(of = { "loanId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "",description = "")
public class YcqQfLoanRecord implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="loan_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long loanId;
    
    /** 贷款人姓名 */
    @Column(name="loan_name")
    @ApiModelProperty(value = "贷款人姓名",notes = "")
    private String loanName;
    
    /** 贷款人性别（0女 1男） */
    @Column(name="loan_sex")
    @ApiModelProperty(value = "贷款人性别（0女 1男）",notes = "")
    private Integer loanSex;
    
    /** 身份证号 */
    @Column(name="id_card")
    @ApiModelProperty(value = "身份证号",notes = "")
    private String idCard;
    
    /** 政治面貌 */
    @Column(name="political_outlook")
    @ApiModelProperty(value = "政治面貌",notes = "")
    private Integer politicalOutlook;
    
    /** 联系电话 */
    @Column(name="loan_phone")
    @ApiModelProperty(value = "联系电话",notes = "")
    private String loanPhone;
    
    /** 借款人性质 */
    @Column(name="loan_nature")
    @ApiModelProperty(value = "借款人性质",notes = "")
    private Integer loanNature;
    
    /** 教育程度 */
    @Column(name="edu_level")
    @ApiModelProperty(value = "教育程度",notes = "")
    private Integer eduLevel;
    
    /** 企业类型（借款人类型） */
    @Column(name="enterprise_type")
    @ApiModelProperty(value = "企业类型（借款人类型）",notes = "")
    private Integer enterpriseType;
    
    /** 申请金额（万） */
    @Column(name="apply_amount")
    @ApiModelProperty(value = "申请金额（万）",notes = "")
    private Double applyAmount;
    
    /** 贷款类型 */
    @Column(name="loan_type")
    @ApiModelProperty(value = "贷款类型",notes = "")
    private Integer loanType;
    
    /** 意向承贷银行 */
    @Column(name="intention_loan_bank")
    @ApiModelProperty(value = "意向承贷银行",notes = "")
    private Long intentionLoanBank;
    
    /** 借贷用途 */
    @Column(name="loan_use")
    @ApiModelProperty(value = "借贷用途",notes = "")
    private String loanUse;
    
    /** 公司名称 */
    @Column(name="company_name")
    @ApiModelProperty(value = "公司名称",notes = "")
    private String companyName;
    
    /** 注册地址 区域id（对应org_id） */
    @Column(name="area_id")
    @ApiModelProperty(value = "注册地址",notes = "")
    private Long areaId;
    
    /** 所属行业 */
    @Column(name="industry")
    @ApiModelProperty(value = "所属行业",notes = "")
    private Long industry;
    
    /** 企业经营负债额（万） */
    @Column(name="operating_liabilities")
    @ApiModelProperty(value = "企业经营负债额（万）",notes = "")
    private Double operatingLiabilities;
    
    /** 上一年营收（万） */
    @Column(name="last_year_income")
    @ApiModelProperty(value = "上一年营收（万）",notes = "")
    private Double lastYearIncome;
    
    /** 上一年税收（万） */
    @Column(name="last_year_taxation")
    @ApiModelProperty(value = "上一年税收（万）",notes = "")
    private Double lastYearTaxation;
    
    /** 员工数量（个） */
    @Column(name="staff_number")
    @ApiModelProperty(value = "员工数量（个）",notes = "")
    private Integer staffNumber;
    
    /** 员工中大学生数量（个） */
    @Column(name="college_student_staff_number")
    @ApiModelProperty(value = "员工中大学生数量（个）",notes = "")
    private Integer collegeStudentStaffNumber;

     /** 备注 */
     @Column(name="notes")
     @ApiModelProperty(value = "备注",notes = "")
     private String notes;


     /** 是否处理 1（已处理） */
     @Column(name="handle")
     @ApiModelProperty(value = "是否处理 1（已处理）",notes = "")
     private Integer handle;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建时间（申请时间） */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    private Date createTime;
    
    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(value = "更新人id",notes = "")
    private Integer updaterId;
    
    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(value = "更新时间",notes = "")
    private Date updateTime;
    
    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;

    @Column(name="apply_code")
    private Long applyCode;

    @Column(name="loan_successful")
    private String loanSuccessful;

     @Column(name="loan_amount")
    private BigDecimal loanAmount;
}