package com.crunii.micro.domain.entity.main;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 下级推优记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-27
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_BELOW_EXCELLEN")
@EqualsAndHashCode(of = { "recordId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "下级推优记录表",description = "")
public class YcqQmBelowExcellen implements Serializable{

	private static final long serialVersionUID = 1L;
	/** 主键id */
	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name="record_id")
	@ApiModelProperty(value = "主键id",notes = "")
	private Long recordId;

	/** 推荐给上级的组织id */
	@Column(name="org_id")
	@ApiModelProperty(value = "推荐给上级的组织id",notes = "")
	private Long orgId;

	/** 原本的组织id */
	@Column(name="old_org_id")
	@ApiModelProperty(value = "原本的组织id",notes = "")
	private Long oldOrgId;

	/** 被推荐的学员id */
	@Column(name="stu_worker_id")
	@ApiModelProperty(value = "被推荐的学员id",notes = "")
	private Integer stuWorkerId;

	/** 推荐人id */
	@Column(name="recommend_worker_id")
	@ApiModelProperty(value = "推荐人id",notes = "")
	private Integer recommendWorkerId;

	/** 推荐时间 */
	@Column(name="recommend_time")
	@ApiModelProperty(value = "推荐时间",notes = "")
	private Date recommendTime;

	/** 创建人id */
	@Column(name="creator_id")
	@ApiModelProperty(value = "创建人id",notes = "")
	private Integer creatorId;

	/** 创建时间 */
	@Column(name="create_time")
	@ApiModelProperty(value = "创建时间",notes = "")
	private Date createTime;

	/** 修改人id */
	@Column(name="updater_id")
	@ApiModelProperty(value = "修改人id",notes = "")
	private Integer updaterId;

	/** 修改时间 */
	@Column(name="update_time")
	@ApiModelProperty(value = "修改时间",notes = "")
	private Date updateTime;

	/** 是否删除;1删除  0不删除 */
	@Column(name="deleted")
	@ApiModelProperty(value = "是否删除",notes = "1删除  0不删除")
	private Integer deleted;

	@Column(name="config_type")
	@ApiModelProperty(value = "推优后是否配置完成0未完成1已完成")
	private Integer configType;

}
