package com.crunii.micro.domain.entity.main;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 19:04
 */
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-书籍表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-18
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_BOOK")
@EqualsAndHashCode(of = { "bookId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-书籍表",description = "")
public class YcqQmBook implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 书籍主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="book_id")
    @ApiModelProperty(name = "书籍主键id",notes = "")
    private Long bookId;

    /** 资源编号 */
    @Column(name="book_code")
    @ApiModelProperty(name = "资源编号",notes = "")
    private String bookCode;

    /** 书籍名称 */
    @Column(name="book_name")
    @ApiModelProperty(name = "书籍名称",notes = "")
    private String bookName;

    /** 书籍作者 */
    @Column(name="book_author")
    @ApiModelProperty(name = "书籍作者",notes = "")
    private String bookAuthor;

    /** 书籍简介 */
    @Column(name="book_desc")
    @ApiModelProperty(name = "书籍简介",notes = "")
    private String bookDesc;

    /** 书籍上架状态0下架1上架 */
    @Column(name="book_status")
    @ApiModelProperty(name = "书籍上架状态0下架1上架",notes = "")
    private Integer bookStatus;

    /** 封面图片id */
    @Column(name="file_id")
    @ApiModelProperty(name = "封面图片id",notes = "")
    private Long fileId;

    /** 文件key */
    @Column(name="file_key")
    @ApiModelProperty(name = "文件key",notes = "")
    private String fileKey;

    /** 上传人姓名 */
    @Column(name="update_worker_name")
    @ApiModelProperty(name = "上传人姓名",notes = "")
    private String updateWorkerName;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
    private Integer deleted;
}
