package com.crunii.micro.domain.entity.main;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 9:47
 */


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-书单表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-19
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_BOOK_LIST")
@EqualsAndHashCode(of = { "bookListId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-书单表",description = "")
public class YcqQmBookList implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 书单主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="book_list_id")
    @ApiModelProperty(name = "书单主键id")
    private Long bookListId;

    /** 书单编号 */
    @Column(name="book_list_code")
    @ApiModelProperty(name = "书单编号")
    private String bookListCode;

    /** 书单名称 */
    @Column(name="book_list_name")
    @ApiModelProperty(name = "书单名称")
    private String bookListName;

    /** 书单主题;静态值 */
    @Column(name="book_list_theme")
    @ApiModelProperty(name = "书单主题",notes = "静态值")
    private Integer bookListTheme;

    /** 书单展示位置;静态值 */
    @Column(name="book_list_show_location")
    @ApiModelProperty(name = "书单展示位置",notes = "静态值")
    private Integer bookListShowLocation;

    /** 书单上架状态0下架1上架 */
    @Column(name="book_list_status")
    @ApiModelProperty(name = "书单上架状态0下架1上架")
    private Integer bookListStatus;

    /** 书单简介 */
    @Column(name="book_list_desc")
    @ApiModelProperty(name = "书单简介")
    private String bookListDesc;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间")
    private Date updateTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
    private Integer deleted;

}
