package com.crunii.micro.domain.entity.main;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 11:03
 */


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-书单与书籍关联表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-19
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_BOOK_LIST_REL")
@EqualsAndHashCode(of = { "relId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-书单与书籍关联表",description = "")
public class YcqQmBookListRel implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 关联主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="rel_id")
    @ApiModelProperty(name = "关联主键id",notes = "")
    private Long relId;

    /** 书单id */
    @Column(name="book_list_id")
    @ApiModelProperty(name = "书单id",notes = "")
    private Long bookListId;

    /** 书籍id */
    @Column(name="book_id")
    @ApiModelProperty(name = "书籍id",notes = "")
    private Long bookId;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
    private Integer deleted;
}
