package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马工程-班级信息;
 * @author : http://www.chiner.pro
 * @date : 2023-9-23
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_CLASSES_INFO")
@EqualsAndHashCode(of = { "classesId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马工程-班级信息",description = "")
public class YcqQmClassesInfo implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 班级ID */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="classes_id")
    @ApiModelProperty(name = "班级ID",notes = "班级ID")
    private Long classesId;

    /** 班级编号 */
    @Column(name="classes_code")
    @ApiModelProperty(name = "班级编号",notes = "班级编号")
    private String classesCode;

    /** 组织ID */
    @Column(name="org_id")
    @ApiModelProperty(name = "组织ID",notes = "组织ID")
    private Long orgId;

    /** 机构类型;静态值： */
    @Column(name="org_type")
    @ApiModelProperty(name = "机构类型",notes = "机构类型静态值：")
    private String orgType;

    /** 入学年度 */
    @Column(name="classes_year")
    @ApiModelProperty(name = "入学年度",notes = "入学年度")
    private String classesYear;

    /** 班级类型表id */
    @Column(name="classes_type_id")
    @ApiModelProperty(name = "班级类型表id",notes = "班级类型表id")
    private Long classesTypeId;

    /** 班级状态：0未启用 1启用 */
    @Column(name="classes_status")
    @ApiModelProperty(name = "班级状态：0未启用 1启用",notes = "班级状态：0未启用 1启用")
    private Integer classesStatus;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "创建人id")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "创建时间")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "修改人id")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "修改时间")
    private Date updateTime;

    /** 是否删除;1删除  0不删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
    private Integer deleted;


}