package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-班级级别类型表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-23
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_CLASSES_TYPE")
@EqualsAndHashCode(of = { "classesTypeId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-班级级别类型表",description = "")
public class YcqQmClassesType implements Serializable{

	private static final long serialVersionUID = 1L;
	/** 主键id */
	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name="classes_type_id")
	@ApiModelProperty(name = "主键id",notes = "")
	private Long classesTypeId;

	/** 级别编码 */
	@Column(name="level_code")
	@ApiModelProperty(name = "级别编码",notes = "")
	private String levelCode;

	/** 级别对应的组织层级;级别对应的组织层级 */
	@Column(name="level_org_tier")
	@ApiModelProperty(name = "级别对应的组织层级",notes = "级别对应的组织层级")
	private Integer levelOrgTier;
	
	/** 级别名称 */
	@Column(name="level_name")
	@ApiModelProperty(name = "级别名称",notes = "")
	private String levelName;

	/** 类型编码 */
	@Column(name="type_code")
	@ApiModelProperty(name = "类型编码",notes = "")
	private String typeCode;

	/** 类型名称 */
	@Column(name="type_name")
	@ApiModelProperty(name = "类型名称",notes = "")
	private String typeName;

	/** 组织id */
	@Column(name="org_id")
	@ApiModelProperty(name = "组织id",notes = "")
	private Long orgId;

	/** 创建时间 */
	@Column(name="create_time")
	@ApiModelProperty(name = "创建时间",notes = "")
	private Date createTime;

	/** 更新时间 */
	@Column(name="update_time")
	@ApiModelProperty(name = "更新时间",notes = "")
	private Date updateTime;

	/** 是否删除 */
	@Column(name="deleted")
	@ApiModelProperty(name = "是否删除",notes = "")
	private Integer deleted;


}