package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-课程;
 * @author : LG
 * @date : 2023-9-19
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_COURSE")
@EqualsAndHashCode(of = { "courseId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-课程",description = "")
public class YcqQmCourse implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 课程主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="course_id")
    @ApiModelProperty(name = "课程主键id",notes = "")
    private Long courseId;

    /** 课程编号 */
    @Column(name="course_code")
    @ApiModelProperty(name = "课程编号",notes = "")
    private String courseCode;

    /** 所属班级 */
    @Column(name="classes_id")
    @ApiModelProperty(name = "所属班级",notes = "")
    private Long classesId;

    /** 所属机构id */
    @Column(name="org_id")
    @ApiModelProperty(name = "所属机构id",notes = "")
    private Long orgId;

    /** 课程开始时间 */
    @Column(name="start_time")
    @ApiModelProperty(name = "课程开始时间",notes = "")
    private Date startTime;

    /** 课程名称 */
    @Column(name="course_name")
    @ApiModelProperty(name = "课程名称",notes = "")
    private String courseName;

    /** 课程结束时间 */
    @Column(name="end_time")
    @ApiModelProperty(name = "课程结束时间",notes = "")
    private Date endTime;

    /** 课程节次数 */
    @Column(name="section_number")
    @ApiModelProperty(name = "课程节次数",notes = "")
    private Integer sectionNumber;

    /** 课程主题 */
    @Column(name="course_subject")
    @ApiModelProperty(name = "课程主题",notes = "")
    private Integer courseSubject;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    /** 是否删除(1删除0否) */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除(1删除0否)",notes = "")
    private Integer deleted;


}