package com.crunii.micro.domain.entity.main;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-课程-节次;
 * @author : LG
 * @date : 2023-9-19
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_COURSE_SECTION")
@EqualsAndHashCode(of = { "sectionId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-课程-节次",description = "")
public class YcqQmCourseSection implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 节次主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="section_id")
    @ApiModelProperty(name = "节次主键id",notes = "")
    private Long sectionId;

    /** 所属课程 */
    @Column(name="course_id")
    @ApiModelProperty(name = "所属课程",notes = "")
    private Long courseId;

    /** 教学内容 */
    @Column(name="content_course")
    @ApiModelProperty(name = "教学内容",notes = "")
    private String contentCourse;

    /** 节次开始时间 */
    @Column(name="section_start_time")
    @ApiModelProperty(name = "节次开始时间",notes = "")
    private Date sectionStartTime;

    /** 节次结束时间 */
    @Column(name="section_end_time")
    @ApiModelProperty(name = "节次结束时间",notes = "")
    private Date sectionEndTime;

    /** 授课人 */
    @Column(name="lecturer")
    @ApiModelProperty(name = "授课人",notes = "")
    private String lecturer;

    /** 主讲人 */
    @Column(name="instructor")
    @ApiModelProperty(name = "主讲人",notes = "")
    private String instructor;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;


}