package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-课程和节次的天数据表;
 * @author : LG
 * @date : 2023-9-25
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_COURSE_SECTION_REL")
@EqualsAndHashCode(of = { "courseSectionDayId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-课程和节次的天数据表",description = "")
public class YcqQmCourseSectionRel implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 课程和节次的天数据主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="course_section_day_id")
    @ApiModelProperty(name = "课程和节次的天数据主键id",notes = "")
    private Long courseSectionDayId;

    /** 课程id */
    @Column(name="course_id")
    @ApiModelProperty(name = "课程id",notes = "")
    private Long courseId;

    /** 课程对应日期 */
    @Column(name="course_day")
    @ApiModelProperty(name = "课程对应日期",notes = "")
    private String courseDay;


}