package com.crunii.micro.domain.entity.main;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 11:25
 */
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 课件信息;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-9-18
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_QM_COURSEWARE")
@EqualsAndHashCode(of = {"certificateId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "课件信息", description = "")
public class YcqQmCourseware implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 业务编码
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "certificate_id")
    @ApiModelProperty(name = "业务编码", notes = "")
    private Long certificateId;

    /**
     * 资源编号
     */
    @Column(name = "res_number")
    @ApiModelProperty(name = "资源编号", notes = "")
    private String resNumber;

    /**
     * 课件名称
     */
    @Column(name = "certificate_name")
    @ApiModelProperty(name = "课件名称", notes = "")
    private String certificateName;

    /**
     * 课件主题
     */
    @Column(name = "certificate_topic")
    @ApiModelProperty(name = "课件主题", notes = "")
    private Integer certificateTopic;

    /**
     * 课件简介
     */
    @Column(name = "certificate_intro")
    @ApiModelProperty(name = "课件简介", notes = "")
    private String certificateIntro;

    /**
     * 上传人姓名
     */
    @Column(name = "worker_name")
    @ApiModelProperty(name = "上传人姓名", notes = "")
    private String workerName;

    /**
     * 课件类型;静态值(PPT、Ｗord、视频)
     */
    @Column(name = "certificate_type")
    @ApiModelProperty(name = "课件类型;静态值(PPT、Ｗord、视频)", notes = "")
    private Integer certificateType;

    /**
     * 附件(file_key)
     */
    @Column(name = "file_key")
    @ApiModelProperty(name = "附件(file_key)", notes = "")
    private String fileKey;

    /**
     * 文件id
     */
    @Column(name = "file_id")
    @ApiModelProperty(name = "文件id", notes = "")
    private String fileId;

    /**
     * 状态(1上架,0下架)
     */
    @Column(name = "certificate_status")
    @ApiModelProperty(name = "状态(1上架,0下架)", notes = "")
    private Integer certificateStatus;

    /**
     * 创建人id
     */
    @Column(name = "creator_id")
    @ApiModelProperty(name = "创建人id", notes = "")
    private Integer creatorId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createTime;

    /**
     * 修改人id
     */
    @Column(name = "updater_id")
    @ApiModelProperty(name = "修改人id", notes = "")
    private Integer updaterId;

    /**
     * 修改时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(name = "修改时间", notes = "")
    private Date updateTime;

    /**
     * 是否删除(1删除0否)
     */
    @Column(name = "deleted")
    @ApiModelProperty(name = "是否删除(1删除0否)", notes = "")
    private Integer deleted;
}