package com.crunii.micro.domain.entity.main;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/22 18:43
 */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Excel导入临时表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-22
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_EXCEL_TEMP")
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "Excel导入临时表",description = "")
public class YcqQmExcelTemp implements Serializable{

    private static final long serialVersionUID = 1L;
    /**  */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="id")
    @ApiModelProperty(name = "",notes = "")
    private Long id;

    /** 数据key */
    @Column(name="data_key")
    @ApiModelProperty(name = "数据key",notes = "")
    private String dataKey;

    /** 姓名 */
    @Column(name="name")
    @ApiModelProperty(name = "姓名",notes = "")
    private String name;

    /** 手机号 */
    @Column(name="phone")
    @ApiModelProperty(name = "手机号",notes = "")
    private String phone;

    /** 性别 */
    @Column(name="sex")
    @ApiModelProperty(name = "性别",notes = "")
    private String sex;

    /** 身份证号 */
    @Column(name="id_card")
    @ApiModelProperty(name = "身份证号",notes = "")
    private String idCard;

    /** 所属机构 */
    @Column(name="affiliation")
    @ApiModelProperty(name = "所属机构",notes = "")
    private String affiliation;

    /** 班级级别 */
    @Column(name="class_level")
    @ApiModelProperty(name = "班级级别",notes = "")
    private String classLevel;

    /** 政治面貌 */
    @Column(name="political_aspect")
    @ApiModelProperty(name = "政治面貌",notes = "")
    private String politicalAspect;

    /** 最高学历 */
    @Column(name="highest_education")
    @ApiModelProperty(name = "最高学历",notes = "")
    private String highestEducation;

    /** 职务 */
    @Column(name="office")
    @ApiModelProperty(name = "职务",notes = "")
    private String office;

    /** 区域 */
    @Column(name="region")
    @ApiModelProperty(name = "区域",notes = "")
    private String region;

    /** 工作单位 */
    @Column(name="workplace")
    @ApiModelProperty(name = "工作单位",notes = "")
    private String workplace;

    /** 所属系统 */
    @Column(name="belonging_system")
    @ApiModelProperty(name = "所属系统",notes = "")
    private String belongingSystem;
}
