package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青马-自我培养-作用发挥;
 * @author : http://www.chiner.pro
 * @date : 2023-9-20
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_EXERT")
@EqualsAndHashCode(of = { "exertId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-自我培养-作用发挥",description = "")
public class YcqQmExert implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="exert_id")
    @ApiModelProperty(name = "主键id",notes = "")
    private Long exertId;

     /** 用户id */
     @Column(name="worker_id")
     @ApiModelProperty(name = "用户id",notes = "")
     private Integer workerId;
    
    /** 发挥类型 */
    @Column(name="exert_type")
    @ApiModelProperty(name = "发挥类型",notes = "")
    private String exertType;
    
    /** 心得体会 */
    @Column(name="experience")
    @ApiModelProperty(name = "心得体会",notes = "")
    private String experience;

     /** 完成时间 */
     @Column(name="complete_time")
     @ApiModelProperty(name = "完成时间",notes = "")
     private Date completeTime;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建日期/完成时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建日期/完成时间",notes = "")
    private Date createTime;

     /** 覆盖人数 */
     @Column(name="cover_number")
     @ApiModelProperty(name = "覆盖人数",notes = "")
     private Integer coverNumber;
    
    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;
    

}