package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-自我培养-作用发挥链接;
 * @author : http://www.chiner.pro
 * @date : 2023-10-17
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_EXERT_LINK")
@EqualsAndHashCode(of = { "linkId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-自我培养-作用发挥链接",description = "")
public class YcqQmExertLink implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="link_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long linkId;

    /** 作用发挥id */
    @Column(name="exert_id")
    @ApiModelProperty(value = "作用发挥id",notes = "")
    private Long exertId;

    /** 视频video文件id */
    @Column(name="file_id")
    @ApiModelProperty(value = "视频video文件id",notes = "")
    private String fileId;

    /** 照片url */
    @Column(name="pic_url")
    @ApiModelProperty(value = "照片url",notes = "")
    private String picUrl;

    /** 照片文件id（方便达标删除） */
    @Column(name="file_key")
    @ApiModelProperty(value = "照片文件id（方便达标删除）",notes = "")
    private String fileKey;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建日期/完成时间 */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建日期/完成时间",notes = "")
    private Date createTime;

    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除",notes = "")
    private Integer deleted;


}