package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青马流程记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-30
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_FLOW_RECORD")
@EqualsAndHashCode(of = { "flowRecordId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马流程记录表",description = "")
public class YcqQmFlowRecord implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="flow_record_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long flowRecordId;
    
    /** 业务id */
    @Column(name="service_id")
    @ApiModelProperty(value = "业务id",notes = "")
    private Long serviceId;
    
    /** 工作流实例id */
    @Column(name="flow_instance_id")
    @ApiModelProperty(value = "工作流实例id",notes = "")
    private String flowInstanceId;

     /** 节点id,实时更新 */
     @Column(name="node_instance_id")
     @ApiModelProperty(value = "节点id,实时更新",notes = "")
     private String nodeInstanceId;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date createTime;
    

}