package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 成长发展;
 * @author : http://www.chiner.pro
 * @date : 2023-9-23
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_GROUP")
@EqualsAndHashCode(of = { "groupId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "成长发展",description = "")
public class YcqQmGroup implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="group_id")
    @ApiModelProperty(name = "主键id",notes = "")
    private Long groupId;
    
    /** 用户id */
    @Column(name="worker_id")
    @ApiModelProperty(name = "用户id",notes = "")
    private Integer workerId;

     /** 举荐类型 1人才举荐 */
     @Column(name="recommend_type")
     @ApiModelProperty(name = "举荐类型 1人才举荐",notes = "")
     private Integer recommendType;
    
    /** 举荐描述 */
    @Column(name="recommend_reason")
    @ApiModelProperty(name = "举荐描述",notes = "")
    private String recommendReason;


     /** 完成时间 */
     @Column(name="complete_time")
     @ApiModelProperty(name = "完成时间",notes = "")
     private Date completeTime;


     /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;
    
    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;
    
    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;
    
    /** 是否删除;1删除  0不删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
    private Integer deleted;
    

}