package com.crunii.micro.domain.entity.main;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 推荐入党记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-27
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_INTO_PARTY")
@EqualsAndHashCode(of = { "recordId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "推荐入党记录表",description = "")
public class YcqQmIntoParty implements Serializable{

	private static final long serialVersionUID = 1L;
	/** 主键id */
	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name="record_id")
	@ApiModelProperty(name = "主键id",notes = "")
	private Long recordId;

	/** 被推荐的学员id */
	@Column(name="stu_worker_id")
	@ApiModelProperty(name = "被推荐的学员id",notes = "")
	private Integer stuWorkerId;

	/** 工作单位 */
	@Column(name="worker_job")
	@ApiModelProperty(name = "工作单位",notes = "")
	private String workerJob;

	/** 推荐人id */
	@Column(name="recommend_worker_id")
	@ApiModelProperty(name = "推荐人id",notes = "")
	private Integer recommendWorkerId;

	/** 推荐理由 */
	@Column(name="recommend_reason")
	@ApiModelProperty(value = "推荐理由",notes = "")
	private String recommendReason;

	/** 推荐时间 */
	@Column(name="recommend_time")
	@ApiModelProperty(name = "推荐时间",notes = "")
	private Date recommendTime;

	/** 创建人id */
	@Column(name="creator_id")
	@ApiModelProperty(name = "创建人id",notes = "")
	private Integer creatorId;

	/** 创建时间 */
	@Column(name="create_time")
	@ApiModelProperty(name = "创建时间",notes = "")
	private Date createTime;

	/** 修改人id */
	@Column(name="updater_id")
	@ApiModelProperty(name = "修改人id",notes = "")
	private Integer updaterId;

	/** 修改时间 */
	@Column(name="update_time")
	@ApiModelProperty(name = "修改时间",notes = "")
	private Date updateTime;

	/** 是否删除;1删除  0不删除 */
	@Column(name="deleted")
	@ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
	private Integer deleted;


}
