package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青马-跟踪培养-自我培养;
 * @author : http://www.chiner.pro
 * @date : 2023-9-20
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_SELF_CULTIVATION")
@EqualsAndHashCode(of = { "selfCultivationId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-跟踪培养-自我培养",description = "")
public class YcqQmSelfCultivation implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="self_cultivation_id")
    @ApiModelProperty(name = "主键id",notes = "")
    private Long selfCultivationId;
    
    /** 跟踪培养类型 */
    @Column(name="cultivation_type")
    @ApiModelProperty(name = "跟踪培养类型",notes = "")
    private Integer cultivationType;
    
    /** 积分 */
    @Column(name="integral")
    @ApiModelProperty(name = "积分",notes = "")
    private Integer integral;
    
    /** 书籍名称;读书需填 */
    @Column(name="book_name")
    @ApiModelProperty(name = "书籍名称",notes = "读书需填")
    private String bookName;
    
    /** 心得体会 */
    @Column(name="experience")
    @ApiModelProperty(name = "心得体会",notes = "")
    private String experience;

     /** 完成时间 */
     @Column(name="complete_time")
     @ApiModelProperty(name = "完成时间",notes = "")
     private Date completeTime;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建日期/完成时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建日期/完成时间",notes = "")
    private Date createTime;
    
    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;

     /** 用户id */
     @Column(name="worker_id")
     @ApiModelProperty(name = "用户id",notes = "")
     private Integer workerId;

     /** 修改人id */
     @Column(name="updater_id")
     @ApiModelProperty(name = "修改人id",notes = "")
     private Integer updaterId;

     /** 修改时间 */
     @Column(name="update_time")
     @ApiModelProperty(name = "修改时间",notes = "")
     private Date updateTime;

 }