package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-10-10
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_QM_STU_EXCEL_TEMP")
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "学员Excel导入临时表")
public class YcqQmStuExcelTemp implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     *
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 数据key
     */
    @Column(name = "data_key")
    @ApiModelProperty(value = "数据key")
    private String dataKey;

    /**
     * 姓名
     */
    @Column(name = "name")
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 手机号
     */
    @Column(name = "phone")
    @ApiModelProperty(value = "手机号")
    private String phone;

    /**
     * 性别
     */
    @Column(name = "sex")
    @ApiModelProperty(value = "性别")
    private String sex;

    /**
     * 身份证号
     */
    @Column(name = "id_card")
    @ApiModelProperty(value = "身份证号")
    private String idCard;

    /**
     * 所属机构
     */
    @Column(name = "affiliation")
    @ApiModelProperty(name = "所属组织(这里存的是组织id)")
    private String affiliation;

    @Column(name = "teacher")
    @ApiModelProperty(value = "所属导师")
    private String teacher;

    @Column(name = "classes_code")
    @ApiModelProperty(value = "班级编码(这里传的是编码)")
    private String classesCode;

/*    @Column(name = "type_name")
    @ApiModelProperty(value = "所属班级")
    private String typeName;

    *//**
     * 班级级别
     *//*
    @Column(name = "level_name")
    @ApiModelProperty(value = "班级级别")
    private String levelName;

    @Column(name = "classes_year")
    @ApiModelProperty(value = "年度")
    private String classesYear;*/

    /**
     * 政治面貌
     */
    @Column(name = "political_aspect")
    @ApiModelProperty(value = "政治面貌")
    private String politicalAspect;

    /**
     * 最高学历
     */
    @Column(name = "highest_education")
    @ApiModelProperty(value = "最高学历")
    private String highestEducation;

    /**
     * 职务
     */
    @Column(name = "office")
    @ApiModelProperty(value = "职务")
    private String office;

    /**
     * 区域
     */
    @Column(name = "region")
    @ApiModelProperty(value = "区域")
    private String region;

    /**
     * 工作单位
     */
    @Column(name = "workplace")
    @ApiModelProperty(value = "工作单位")
    private String workplace;

    /**
     * 所属系统
     */
    @Column(name = "belonging_system")
    @ApiModelProperty(value = "所属系统")
    private String belongingSystem;
}
