package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-10-09
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_QM_STU_EXPAND")
@EqualsAndHashCode(of = {"stuExpandId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-学员扩展表")
public class YcqQmStuExpand implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "stu_expand_id")
    @ApiModelProperty(value = "主键id")
    private Long stuExpandId;

    /**
     * 学员id
     */
    @Column(name = "worker_id")
    @ApiModelProperty(value = "学员id")
    private Integer workerId;

    /**
     * 结业证书图片key
     */
    @Column(name = "file_key")
    @ApiModelProperty(value = "结业证书图片key")
    private String fileKey;

    /**
     * 创建人id
     */
    @Column(name = "creator_id")
    @ApiModelProperty(value = "创建人id")
    private Integer creatorId;

    /**
     * 创建日期
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;

    /**
     * 更新人id
     */
    @Column(name = "updater_id")
    @ApiModelProperty(value = "更新人id")
    private Integer updaterId;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 是否删除
     */
    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除")
    private Integer deleted;


}