package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青马-导师拓展表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-18
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TEACHER_EXPAND")
@EqualsAndHashCode(of = { "expandId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-导师拓展表",description = "")
public class YcqQmTeacherExpand implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="expand_id")
    @ApiModelProperty(name = "主键id",notes = "")
    private Long expandId;
    
    /** 导师id */
    @Column(name="worker_id")
    @ApiModelProperty(name = "导师id",notes = "")
    private Integer workerId;
    
    /** 聘书图片 */
    @Column(name="file_key")
    @ApiModelProperty(name = "聘书图片",notes = "")
    private String fileKey;
    
    /** 聘用状态 */
    @Column(name="expand_status")
    @ApiModelProperty(name = "聘用状态",notes = "")
    private Integer expandStatus;
    
    /** 班级级别 */
    @Column(name="level_code")
    @ApiModelProperty(name = "班级级别",notes = "")
    private String LevelCode;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建日期 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建日期",notes = "")
    private Date createTime;
    
    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "更新人id",notes = "")
    private Integer updaterId;
    
    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updateTime;
    
    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;
    

}