package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-导师学员关联记录（未绑定导师）;
 * @author : http://www.chiner.pro
 * @date : 2023-9-23
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TEACHER_STU")
@EqualsAndHashCode(of = { "tutorTraineeId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-导师学员关联记录（未绑定导师）",description = "")
public class YcqQmTeacherStu implements Serializable{

    private static final long serialVersionUID = 1L;
    /** id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="tutor_trainee_id")
    @ApiModelProperty(name = "id",notes = "")
    private Long tutorTraineeId;

    /** 班级id */
    @Column(name="stu_classes_id")
    @ApiModelProperty(name = "班级id",notes = "")
    private Long stuClassesId;

    /** 导师id */
    @Column(name="teach_worker_id")
    @ApiModelProperty(name = "导师id",notes = "")
    private Integer teachWorkerId;

    /** 学员id */
    @Column(name="stu_worker_id")
    @ApiModelProperty(name = "学员id",notes = "")
    private Integer stuWorkerId;

    /** 关联状态;0待接收 1已接受  2已评价  3已拒绝 */
    @Column(name="correlation_state")
    @ApiModelProperty(name = "关联状态",notes = "0待接收 1已接受  2已评价  3已拒绝")
    private Integer correlationState;

    /** 选中状态 0 学生申请 1老师添加 */
    @Column(name="choose_state")
    @ApiModelProperty(name = "选中状态 0 学生申请 1老师添加",notes = "")
    private Integer chooseState;

    /** 是否绑定 0已解绑 1未绑定 */
    @Column(name="binding")
    @ApiModelProperty(name = "是否绑定 0已解绑 1未绑定",notes = "")
    private Integer binding;

    /** 导师带领学员开始时间 */
    @Column(name="start_time")
    @ApiModelProperty(value = "导师带领学员开始时间",notes = "")
    private Date startTime;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建日期 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建日期",notes = "")
    private Date createTime;

    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "更新人id",notes = "")
    private Integer updaterId;

    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updateTime;

    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;


}