package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青马-导师学员关联（已拒绝）;
 * @author : http://www.chiner.pro
 * @date : 2023-9-23
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TEACHER_STU_REJECT")
@EqualsAndHashCode(of = { "rejectId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-导师学员关联（已拒绝）",description = "")
public class YcqQmTeacherStuReject implements Serializable{

    private static final long serialVersionUID = 1L;
    /** id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="reject_id")
    @ApiModelProperty(name = "id",notes = "")
    private Long rejectId;
    
    /** 导师id */
    @Column(name="teach_worker_id")
    @ApiModelProperty(name = "导师id",notes = "")
    private Integer teachWorkerId;
    
    /** 学员id */
    @Column(name="stu_worker_id")
    @ApiModelProperty(name = "学员id",notes = "")
    private Integer stuWorkerId;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建日期 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建日期",notes = "")
    private Date createTime;
    
    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "更新人id",notes = "")
    private Integer updaterId;
    
    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updateTime;
    
    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;
    

}