package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author denggl
 * date 2023/9/18
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TEACHING_ROUTE")
@EqualsAndHashCode(of = { "routeId" })
@ApiModel(value = "青马-教学路线",description = "")
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqQmTeachingRoute implements Serializable {

    private static final long serialVersionUID = 1L;
    /** 唯一标识 */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="route_id")
    @ApiModelProperty(name = "唯一标识",notes = "")
    private Long routeId;

    /** 教学路线编号 */
    @Column(name="route_code")
    @ApiModelProperty(name = "教学路线编号",notes = "")
    private String routeCode;

    /** 教学路线名称 */
    @Column(name="route_name")
    @ApiModelProperty(name = "教学路线名称",notes = "")
    private String routeName;

    /** 路线主题 静态值 */
    @Column(name="route_theme")
    @ApiModelProperty(name = "路线主题 静态值",notes = "")
    private Integer routeTheme;

    /** 路线简介 */
    @Column(name="route_briefing")
    @ApiModelProperty(name = "路线简介",notes = "")
    private String routeBriefing;

    /** 状态 0下架 1上架 */
    @Column(name="route_status")
    @ApiModelProperty(name = "状态 0下架 1上架",notes = "")
    private Integer routeStatus;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    /** 是否删除(1删除0否) */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除(1删除0否)",notes = "")
    private Integer deleted;


}