package com.crunii.micro.domain.entity.main;

/**
 * @author denggl
 * date 2023/9/18
 */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TEACHING_ROUTE_NODE")
@EqualsAndHashCode(of = { "routeNodeId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-教学路线节点",description = "")
public class YcqQmTeachingRouteNode implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 唯一标识 */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="route_node_id")
    @ApiModelProperty(name = "唯一标识",notes = "")
    private Long routeNodeId;

    /** 路线id */
    @Column(name="teaching_route_id")
    @ApiModelProperty(name = "路线id",notes = "")
    private Long teachingRouteId;

    /** 开始时间 */
    @Column(name="start_time")
    @ApiModelProperty(name = "开始时间",notes = "")
    private Date startTime;

    /** 结束时间 */
    @Column(name="end_time")
    @ApiModelProperty(name = "结束时间",notes = "")
    private Date endTime;

    /** 节点路线内容 */
    @Column(name="content")
    @ApiModelProperty(name = "节点路线内容",notes = "")
    private String content;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    /** 是否删除(1删除0否) */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除(1删除0否)",notes = "")
    private Integer deleted;


}