package com.crunii.micro.domain.entity.main;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author denggl
 * date 2023/9/19
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TRAINING_TRAIN")
@EqualsAndHashCode(of = { "baseId" })
@ApiModel(value = "青马-培训基地",description = "")
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqQmTrainingTrain implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 唯一标识 */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="base_id")
    @ApiModelProperty(name = "唯一标识",notes = "")
    private Long baseId;

    /** 基地编号 */
    @Column(name="train_code")
    @ApiModelProperty(name = "基地编号",notes = "")
    private String trainCode;

    /** 基地名称 */
    @Column(name="train_name")
    @ApiModelProperty(name = "基地名称",notes = "")
    private String trainName;

    /** 基地区域，静态值 */
    @Column(name="train_region")
    @ApiModelProperty(name = "基地区域，静态值",notes = "")
    private Long trainRegion;

    /** 基地类别，静态值 */
    @Column(name="train_category")
    @ApiModelProperty(name = "基地类别，静态值",notes = "")
    private Integer trainCategory;

    /** 基地标签，多个 */
    @Column(name="train_label")
    @ApiModelProperty(name = "基地标签，多个",notes = "")
    private String trainLabel;

    /** 基地地址 */
    @Column(name="train_address")
    @ApiModelProperty(name = "基地地址",notes = "")
    private String trainAddress;

    /** 基地经度 */
    @Column(name="train_longitude")
    @ApiModelProperty(name = "基地经度",notes = "")
    private String trainLongitude;

    /** 基地维度 */
    @Column(name="train_latitude")
    @ApiModelProperty(name = "基地维度",notes = "")
    private String trainLatitude;

    /** 状态 1有效，0无效 */
    @Column(name="train_status")
    @ApiModelProperty(name = "状态 1有效，0无效",notes = "")
    private Integer trainStatus;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 修改人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "修改人id",notes = "")
    private Integer updaterId;

    /** 修改时间 */
    @Column(name="update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    /** 是否删除(1删除0否) */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除(1删除0否)",notes = "")
    private Integer deleted;

    @Column(name="train_describe")
    @ApiModelProperty(name = "基地描述",notes = "")
    private String describe;


}