package com.crunii.micro.domain.entity.main;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-培训基地打卡;
 * @author : http://www.chiner.pro
 * @date : 2023-9-19
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TRAINING_TRAIN_CLOCK")
@EqualsAndHashCode(of = { "clockId" })
@ApiModel(value = "青马-培训基地打卡",description = "")
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqQmTrainingTrainClock implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 唯一标识 */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="clock_id")
    @ApiModelProperty(name = "唯一标识",notes = "")
    private Long clockId;

    /** 教学基地id */
    @Column(name="train_id")
    @ApiModelProperty(name = "教学基地id",notes = "")
    private Long trainId;

    /** 打卡人id */
    @Column(name="woker_id")
    @ApiModelProperty(name = "打卡人id",notes = "")
    private Integer wokerId;

    /** 打卡时间 */
    @Column(name="clock_time")
    @ApiModelProperty(name = "打卡时间",notes = "")
    private Date clockTime;

    /** 打卡纬度 */
    @Column(name="longitude")
    @ApiModelProperty(name = "打卡纬度",notes = "")
    private String longitude;

    /** 打卡经度 */
    @Column(name="latitude")
    @ApiModelProperty(name = "打卡经度",notes = "")
    private String latitude;

    /** 打卡状态 1成功，0失败 */
    @Column(name="clock_state")
    @ApiModelProperty(value = "打卡状态 1成功，0失败",notes = "")
    private Integer clockState;
}