package com.crunii.micro.domain.entity.main;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author denggl
 * date 2023/9/20
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TRAINING_TRAIN_LABEL")
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")

@ApiModel(value = "青马-培训基地标签",description = "")
public class YcqQmTrainingTrainLabel implements Serializable{

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="label_id")
    @ApiModelProperty(name = "id",notes = "")
    private Long labelId;

    /** 培训基地id */
    @Column(name="train_id")
    @ApiModelProperty(name = "培训基地id",notes = "")
    private Long trainId;

    /** 标签 */
    @Column(name="label_value")
    @ApiModelProperty(name = "标签",notes = "")
    private Integer labelValue;

    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;


}