package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青马-导师评价;
 * @author : http://www.chiner.pro
 * @date : 2023-9-19
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_TUTOR_EVALUATE")
@EqualsAndHashCode(of = { "evaluateId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-导师评价",description = "")
public class YcqQmTutorEvaluate implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="evaluate_id")
    @ApiModelProperty(name = "主键id",notes = "")
    private Long evaluateId;
    
    /** 学员id */
    @Column(name="stu_worker_id")
    @ApiModelProperty(name = "学员id",notes = "")
    private Integer stuWorkerId;
    
    /** 评价类型;评价类型，静态值 */
    @Column(name="evaluate_type")
    @ApiModelProperty(name = "评价类型",notes = "评价类型，静态值")
    private Integer evaluateType;
    
    /** 导师id */
    @Column(name="teach_worker_id")
    @ApiModelProperty(name = "导师id",notes = "")
    private Integer teachWorkerId;
    
    /** 班级id */
    @Column(name="classes_id")
    @ApiModelProperty(name = "班级id",notes = "")
    private Long classesId;
    
    /** 导师评价内容 */
    @Column(name="evaluate_context")
    @ApiModelProperty(name = "导师评价内容",notes = "")
    private String evaluateContext;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建日期 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建日期",notes = "")
    private Date createTime;
    
    /** 更新日期 */
    @Column(name="updater_time")
    @ApiModelProperty(name = "更新日期",notes = "")
    private Date updaterTime;
    
    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "更新人id",notes = "")
    private Integer updaterId;
    
    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;
    

}