package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-学员与班级关联表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-21
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_USER_CLASSES_REL")
@EqualsAndHashCode(of = { "relId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-学员与班级关联表",description = "")
public class YcqQmUserClassesRel implements Serializable{

	private static final long serialVersionUID = 1L;
	/** 关联主键id */
	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name="rel_id")
	@ApiModelProperty(name = "关联主键id",notes = "")
	private Long relId;

	/** 用户id */
	@Column(name="stu_worker_id")
	@ApiModelProperty(name = "用户id",notes = "")
	private Integer stuWorkerId;

	/** classes_id */
	@Column(name="classes_id")
	@ApiModelProperty(name = "classes_id",notes = "")
	private Long classesId;

	/** 创建人id */
	@Column(name="creator_id")
	@ApiModelProperty(name = "创建人id",notes = "")
	private Integer creatorId;

	/** 创建时间 */
	@Column(name="create_time")
	@ApiModelProperty(name = "创建时间",notes = "")
	private Date createTime;

	/** 修改人id */
	@Column(name="updater_id")
	@ApiModelProperty(name = "修改人id",notes = "")
	private Integer updaterId;

	/** 修改时间 */
	@Column(name="update_time")
	@ApiModelProperty(name = "修改时间",notes = "")
	private Date updateTime;

	/** 是否删除;1删除  0不删除 */
	@Column(name="deleted")
	@ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
	private Integer deleted;


}