package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马用户课程表;
 * @author : LG
 * @date : 2023-9-21
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_USER_COURSE")
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@EqualsAndHashCode(of = { "userCourseId" })
@ApiModel(value = "青马用户课程表",description = "")
public class YcqQmUserCourse implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 用户课程主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="user_course_id")
    @ApiModelProperty(name = "用户课程主键id",notes = "")
    private Long userCourseId;

    /** 用户id */
    @Column(name="stu_worker_id")
    @ApiModelProperty(name = "用户id",notes = "")
    private Integer stuWorkerId;

    /** 课程id */
    @Column(name="course_id")
    @ApiModelProperty(name = "课程id",notes = "")
    private Long courseId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    /** 学生发言评价 */
    @Column(name="presentation_evaluate")
    @ApiModelProperty(name = "学生发言评价",notes = "")
    private String presentationEvaluate;

    /** 评价人 */
    @Column(name="evaluate_worker_id")
    @ApiModelProperty(name = "评价人",notes = "")
    private Integer evaluateWorkerId;

    /** 评价时间 */
    @Column(name="evaluate_time")
    @ApiModelProperty(name = "评价时间",notes = "")
    private Date evaluateTime;

    /** 考核结果;0：不合格；1：合格；2：优秀 */
    @Column(name="evaluate_result")
    @ApiModelProperty(name = "考核结果",notes = "0：不合格；1：合格；2：优秀")
    private Integer evaluateResult;

    /** 作业完成情况;0：未完成；1：完成 */
    @Column(name="operation_completion")
    @ApiModelProperty(name = "作业完成情况",notes = "0：未完成；1：完成")
    private Integer operationCompletion;

    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer creatorId;

    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(name = "更新人id",notes = "")
    private Integer updaterId;


}
