package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/10/17 15:05
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_USER_COURSE_SECTION")
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@EqualsAndHashCode(of = { "userCourseSectionId" })
@ApiModel(value = "用户参与子课时记录表",description = "")
public class YcqQmUserCourseSection implements Serializable {

    private static final long serialVersionUID = 1L;
    /** 用户课程主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="user_course_section_id")
    @ApiModelProperty(value = "用户课程主键id",notes = "")
    private Long userCourseSectionId;

    /** 用户id */
    @Column(name="stu_worker_id")
    @ApiModelProperty(value = "用户id",notes = "")
    private Integer stuWorkerId;

    /** 子课时id */
    @Column(name="course_section_id")
    @ApiModelProperty(value = "子课时id",notes = "")
    private Long courseSectionId;

    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date createTime;

    /** 是否删除 */
    @Column(name="deleted")
    @ApiModelProperty(name = "是否删除",notes = "")
    private Integer deleted;
}
