package com.crunii.micro.domain.entity.main;



import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户荣誉表;
 * @author : http://www.chiner.pro
 * @date : 2023-9-18
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QM_USER_HONOR")
@EqualsAndHashCode(of = { "honorId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "用户荣誉表",description = "")
public class YcqQmUserHonor implements Serializable{

	private static final long serialVersionUID = 1L;
	/** 荣誉主键id */
	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name="honor_id")
	@ApiModelProperty(name = "荣誉主键id",notes = "")
	private Long honorId;

	/** 用户id */
	@Column(name="worker_id")
	@ApiModelProperty(name = "用户id",notes = "")
	private Integer workerId;

	/** 获奖时间 */
	@Column(name="acquisition_time")
	@ApiModelProperty(name = "获奖时间",notes = "1获奖时间，2录入时间")
	private Date acquisitionTime;

	/** 荣誉描述 */
	@Column(name="honor_desc")
	@ApiModelProperty(name = "荣誉描述",notes = "1荣誉描述，2擅长领域描述")
	private String honorDesc;

	/** 创建人id */
	@Column(name="creator_id")
	@ApiModelProperty(name = "创建人id",notes = "")
	private Integer creatorId;

	/** 创建时间 */
	@Column(name="create_time")
	@ApiModelProperty(name = "创建时间",notes = "")
	private Date createTime;

	/** 修改人id */
	@Column(name="updater_id")
	@ApiModelProperty(name = "修改人id",notes = "")
	private Integer updaterId;

	/** 修改时间 */
	@Column(name="update_time")
	@ApiModelProperty(name = "修改时间",notes = "")
	private Date updateTime;

	/** 是否删除;1删除  0不删除 */
	@Column(name="deleted")
	@ApiModelProperty(name = "是否删除",notes = "1删除  0不删除")
	private Integer deleted;

	@Column(name="honor_type")
	@ApiModelProperty(name = "荣誉类型：1荣誉2擅长领域",notes = "荣誉类型：1荣誉2擅长领域")
	private Integer honorType;

}
