package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青马-流媒体表;
 *
 * @author : http://www.chiner.pro
 * @date : 2023-10-12
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_QM_video")
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马-流媒体表", description = "")
public class YcqQmVideo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     *
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "", notes = "")
    private Long id;

    /**
     * 文件名称
     */
    @Column(name = "file_name")
    @ApiModelProperty(value = "文件名称", notes = "")
    private String fileName;

    /**
     * 转码前地址(仅做记录)
     */
    @Column(name = "file_key")
    @ApiModelProperty(value = "转码前地址(仅做记录)", notes = "")
    private String fileKey;

    /**
     * 文件类型
     */
    @Column(name = "file_type")
    @ApiModelProperty(value = "文件类型", notes = "")
    private String fileType;

    /**
     * 文件大小
     */
    @Column(name = "file_size")
    @ApiModelProperty(value = "文件大小", notes = "")
    private String fileSize;

    /**
     * 是否转码完成(1是0否)
     */
    @Column(name = "file_status")
    @ApiModelProperty(value = "是否转码完成(1是0否)", notes = "")
    private Integer fileStatus;

    /**
     * 转码后url地址
     */
    @Column(name = "file_url")
    @ApiModelProperty(value = "转码后url地址", notes = "")
    private String fileUrl;

    /**
     * 创建人id
     */
    @Column(name = "creator_id")
    @ApiModelProperty(value = "创建人id", notes = "")
    private Integer creatorId;

    /**
     * 创建日期
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建日期", notes = "")
    private Date createTime;

    /**
     * 是否删除
     */
    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除", notes = "")
    private Integer deleted;

    /**
     * 转码后的文件id
     */
    @Column(name = "file_id")
    @ApiModelProperty(value = "转码后的文件id", notes = "")
    private String fileId;

    @Column(name = "picture_url")
    @ApiModelProperty(value = "转码后的封面url", notes = "")
    private String pictureUrl;

    @Column(name = "file_date")
    @ApiModelProperty(value = "文件日前", notes = "")
    private String fileDate;

    @Column(name = "file_duration")
    @ApiModelProperty(value = "视频时长", notes = "")
    private Integer fileDuration;
}