package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmTeachingRoute;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/9/18
 */
@Repository
public interface YcqQmTeachingRouteRepo  extends BaseRepo<YcqQmTeachingRoute, Long> {
    @Transactional
    @Modifying
    @Query(value="update YCQ_QM_TEACHING_ROUTE t set t.deleted =1,updater_id=:workerId,update_time=:updateTime where t.route_id in :id",nativeQuery=true)
    void updateDeletedByRouteId(@Param("workerId")Integer workerId, @Param("updateTime") Date updateTime,@Param("id") List<Long> id);


    @Transactional
    @Modifying
    @Query(value="update YCQ_QM_TEACHING_ROUTE t set t.route_status =:routeStatus,update_time=:date,ulpdater_id , where t.route_id =:id",nativeQuery=true)
    void updateRouteStatusByRouteId(int loginId, Date date, Integer routeStatus, Long routeId);
}
