package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqQmTrainingTrain;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * @author denggl
 * date 2023/9/19
 */
@Repository
public interface YcqQmTrainingTrainRepo extends BaseRepo<YcqQmTrainingTrain, Long> {

    @Transactional
    @Modifying
    @Query(value="update YCQ_QM_TRAINING_TRAIN t set t.deleted =1,updater_id=:workerId,update_time=:updateTime where t.base_id in :id",nativeQuery=true)
    void updateDeletedByrouteBaseId(@Param("workerId")Integer workerId, @Param("updateTime")  Date updateTime, @Param("id") List<Long> id);

    @Transactional
    @Modifying
    @Query(value="update YCQ_QM_TRAINING_TRAIN t set t.train_status =:status,updater_id=:workerId,update_time=:updateTime where t.base_id in :id",nativeQuery=true)
    void updatetStatusByBaseId(@Param("status") Integer status,@Param("workerId")Integer workerId, @Param("updateTime")  Date updateTime, @Param("id") List<Long> id);


}
