package com.crunii.micro.service.qm.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.courseware.AppCoursewareDto;
import com.crunii.micro.service.qm.api.domain.dto.courseware.AppCoursewareInfoVo;
import com.crunii.micro.service.qm.api.domain.dto.courseware.AppCoursewareVo;
import com.crunii.micro.service.qm.service.AppCoursewareService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 18:59
 */
@Api(tags = "app课件资源")
@RestController
@RequestMapping("/auth/AppCoursewareController")
public class AppCoursewareController {

    @Resource
    private AppCoursewareService service;

    @ApiOperation("app课件分页")
    @PostMapping("/coursewarePage")
    public Result<PageRsp<AppCoursewareVo>> coursewarePage(@RequestBody @ApiParam PageReq<AppCoursewareDto> req) {
        return Result.ofSuccess(service.coursewarePage(req));
    }

    @ApiOperation("app查看课件")
    @GetMapping("/viewCourseware")
    public Result<AppCoursewareInfoVo> viewCourseware(@CurrWorker  @ApiIgnore Worker worker, @RequestParam("certificateId") Long certificateId) {
        return service.viewCourseware(worker, certificateId);
    }
}
