package com.crunii.micro.service.qm.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.appFoster.GroupCourseVO;
import com.crunii.micro.service.qm.api.domain.dto.appFoster.GroupSectionVO;
import com.crunii.micro.service.qm.api.domain.dto.appFoster.QueryEvaluateStuVO;
import com.crunii.micro.service.qm.api.domain.dto.classesMgr.QueryUserClassesVO;
import com.crunii.micro.service.qm.service.ClassesMgrService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/22 18:29
 */
@Api(tags = "app集中培养页")
@RestController
@RequestMapping("/auth/AppFosterController")
public class AppFosterController {

    @Resource
    private ClassesMgrService classesMgrService;

    @ApiOperation("用户参与课程")
    @GetMapping("/participationCourse")
    public Result<Object> participationCourse(@CurrWorker  @ApiIgnore Worker worker, @RequestParam("courseId") Long courseId,@RequestParam("sectionId") Long sectionId){
        return classesMgrService.saveParticipationCourse(worker,courseId,sectionId);
    }

    @ApiOperation("根据用户查看他的所在各个班级")
    @GetMapping("/queryUserClasses")
    public Result<List<QueryUserClassesVO>> queryUserClasses(@CurrWorker  @ApiIgnore Worker worker){
        return classesMgrService.queryUserClasses(worker);
    }

    @ApiOperation("根据班级查所有课程")
    @GetMapping("/queryClassesCourse")
    public Result<List<GroupCourseVO>> queryClassesCourse(@CurrWorker  @ApiIgnore Worker worker, @RequestParam("classesId") Long classesId){
        return classesMgrService.queryClassesCourse(worker,classesId);
    }

    @ApiOperation("根据课程查节次")
    @GetMapping("/queryCourseSection")
    public Result<List<GroupSectionVO>> queryCourseSection(@CurrWorker  @ApiIgnore Worker worker, @RequestParam("courseId") Long courseId){
        return classesMgrService.queryCourseSection(worker,courseId);
    }


    @ApiOperation("参看评价")
    @GetMapping("/queryEvaluateStu")
    public Result<QueryEvaluateStuVO> queryEvaluateStu(@CurrWorker  @ApiIgnore Worker worker, @RequestParam("courseId") Long courseId){
        return classesMgrService.queryEvaluateStu(worker,courseId);
    }


}
