package com.crunii.micro.service.qm.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.teachingRoute.TeachingRouteDetailsVo;
import com.crunii.micro.service.qm.api.domain.dto.teachingRoute.TeachingRouteDto;
import com.crunii.micro.service.qm.api.domain.dto.teachingRoute.TeachingRouteVo;
import com.crunii.micro.service.qm.service.TeachingRouteService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @author denggl
 * date 2023/9/19
 */

@Api(tags = "app教学路线")
@RestController
@RequestMapping("/auth/AppTeachingRouteController")
public class AppTeachingRouteController {

    @Autowired
    private TeachingRouteService ycqQmTeachingRouteService;

    @ApiOperation("分页线路列表")
    @PostMapping("/PageSearchRoute")
    Result<PageRsp<TeachingRouteVo>> pageSearchRoute(@RequestBody PageReq<TeachingRouteDto> pageReq, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(ycqQmTeachingRouteService.pageSearchRoute(pageReq, worker));

    }


    @ApiOperation("查看路线详情")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "routeId", value = "路线id", required = true)
    })
    @GetMapping("routeDetails")
    Result<TeachingRouteDetailsVo> routeDetails(@RequestParam Long routeId, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(ycqQmTeachingRouteService.routeDetails(routeId, worker));
    }



}
