package com.crunii.micro.service.qm.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.trainingTrain.TrainClockDto;
import com.crunii.micro.service.qm.api.domain.dto.trainingTrain.TrainingTrainDetailsVo;
import com.crunii.micro.service.qm.api.domain.dto.trainingTrain.TrainingTrainDto;
import com.crunii.micro.service.qm.api.domain.dto.trainingTrain.TrainingTrainVo;
import com.crunii.micro.service.qm.service.TrainingTrainService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @author denggl
 * date 2023/9/19
 */
@Api(tags = "app培训基地")
@RestController
@RequestMapping("/auth/AppYcqQmTrainingTrainController")
public class AppTrainingTrainController {


    @Autowired
    private TrainingTrainService trainingTrainService;

    @ApiOperation("分页查询基地信息")
    @PostMapping("/pageTrain")
    public Result<PageRsp<TrainingTrainVo>> pageTrain(@CurrWorker  @ApiIgnore Worker worker, @RequestBody PageReq<TrainingTrainDto> ycqQmTrainingTrainDto) {
        return Result.ofSuccess(trainingTrainService.AppPageTrain(worker,ycqQmTrainingTrainDto));
    }


    @ApiOperation("查看基地详情")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "baseId", value = "基地id", required = true)
    })
    @GetMapping("/selectTrainDetails")
    public Result<TrainingTrainDetailsVo> selectTrainDetails(Long baseId, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(trainingTrainService.selectTrinDetails(baseId,worker));
    }


    @ApiOperation("是否已经打卡")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "baseId", value = "基地id", required = true)
    })
    @GetMapping("/clocked")
    public Result<Long> clocked(Long baseId, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(trainingTrainService.clocked(baseId,worker));
    }




    @ApiOperation("打卡")
    @PostMapping("/trainClock")
    public Result<String> trainClock(@RequestBody @Validated TrainClockDto trainClockDto, @CurrWorker  @ApiIgnore Worker worker){
        return Result.ofSuccess(trainingTrainService.trainClock(trainClockDto,worker));
    }
}
