package com.crunii.micro.service.qm.executors;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.stereotype.Component;

import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

@Component
public class ImportLoanExecutor implements DisposableBean {

    public final ThreadPoolExecutor executor;

    {
        int core = Runtime.getRuntime().availableProcessors();
        executor = new ThreadPoolExecutor(core, core * 2, 60, TimeUnit.SECONDS, new ArrayBlockingQueue<>(200));
    }

    @Override
    public void destroy() {
        if (!executor.isShutdown()) {
            executor.shutdown();
        }
    }

    public ThreadPoolExecutor getExecutor() {
        return executor;
    }
}
