package com.crunii.micro.service.qm.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.entity.main.YcqQmUserAuditRecord;
import com.crunii.micro.service.qm.api.domain.dto.userinfo.vo.ClassesVo;
import com.crunii.micro.service.qm.api.domain.dto.userinfo.vo.UserHonorVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/18 0018 15:15:33
 */
@Repository
public class UserHonorDao {
	@Resource(name = "mainJT")
	private BaseJdbcTemplate jt;

	/**
	 * 查询用户荣誉
	 *
	 * @param loginId 人员id
	 * @return Result<List < UserHonorVo>>
	 */
	public List<UserHonorVo> selectUserHonor(int loginId) {
		String sql = " SELECT a.honor_id,a.honor_type,a.acquisition_time,a.honor_desc FROM YCQ_QM_USER_HONOR a WHERE a.deleted = 0 AND a.worker_id = ? ";
		return jt.queryForBeans(UserHonorVo.class, sql, loginId);
	}
}
