package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.Book.BookInfoVo;
import com.crunii.micro.service.qm.api.domain.dto.bookList.*;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/19 14:15
 */
public interface BookListService {

    PageRsp<BookListVo> bookListPage(PageReq<BookListDto> req);

    Result<String> createBookList(Worker worker, BookListC bookListC);

    Result<String> updateBookList(Worker worker, BookListU bookListU);

    Result<BookListResVo> viewBookList(Worker worker, Long bookListId);

    Result<String> removeBook(Worker worker,Long relId);

    Result<String> deleteBookList(Worker worker, List<Long> bookListIds);

    Result<String> updateStatus(Worker worker, Long bookListId,Integer bookListStatus);

    Result<String> associatedBookList(Worker worker,AssociatedBookListDto dto);

    PageRsp<BookInfoVo> queryAssociateBook(PageReq<AppBookListInfoDto> req);

}
