package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.Book.*;

import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/9/18 18:59
 */
public interface BookService {

    PageRsp<BookVo> bookPage(PageReq<BookDto> req);

    Result<String> createBook(Worker worker, BookC bookC);

    Result<String> updateBook(Worker worker, BookU bookU);

    Result<String> deleteBook(Worker worker, List<Long> bookId);

    Result<BookResVo> viewBook(Worker worker, Long bookId);

    Result<String> removeBookList(Worker worker, Long bookId,Long bookListId);

    Result<String> updateStatus(Worker worker, Long bookId,Integer bookStatus);
}
