package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qm.api.domain.dto.homepage.vo.HomePageBookListVo;
import com.crunii.micro.service.qm.api.domain.dto.homepage.vo.HomeStuCountVo;

import java.util.List;

/**
 * @author xiayinqiang
 * @date 2023/9/19 0019 11:06:40
 */
public interface HomePageService {
	/**
	 * 查询首页展示书单书籍列表
	 * @return Result<List<HomePageBookListVo>>
	 */
	Result<List<HomePageBookListVo>> selectHomeBookList();

	/**
	 * 导师端查询首页展示学员各种数量
	 * @return Result<HomePageBookListVo>
	 * @param loginId 人员id
	 */
	Result<HomeStuCountVo> selectHomeStuCount(int loginId);

	/**
	 * 查询导师聘用时长或学员入学时间
	 * @param loginId 用户id
	 * @return Result<String>
	 */
	Result<String> selectTeacherExpandDate(int loginId);
}
