package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqQfAreaIndustry;
import com.crunii.micro.service.qm.api.domain.dto.qf.LoanPlanAuthDto;
import com.crunii.micro.service.qm.api.domain.dto.qf.LoanPlanAuthVo;
import com.crunii.micro.service.qm.api.domain.dto.qf.LoanPlanDetailVo;
import com.crunii.micro.service.qm.api.domain.dto.qf.LoanRecordDto;

import java.util.List;

/**
 * @author wangchen create 2023/11/9 10:21
 */
public interface QfPlanAuditService {
    /**
     * 创建青峰计划申请
     * @param loanRecord 创建参数
     * @param worker 当前登录用户
     * @return str
     */
    String createPlan(LoanRecordDto loanRecord, Worker worker);

    /**
     * 保留接口 不录入url 超管可用
     * @param ycqQfAreaIndustry 参数
     * @return str
     */
    String createAreaIndustry( List<YcqQfAreaIndustry> ycqQfAreaIndustry);

    /**
     * 查询区域或者行业
     * @param areaIndustryType 类型
     * @return data
     */
    List<YcqQfAreaIndustry> findAreaIndustry(Integer areaIndustryType);

    /**
     * 删除区域或行业
     * @param areaIndustryId 主键id
     * @return str
     */
    String delAreaIndustry(Long areaIndustryId);

    /**
     * 分页查询我的资金帮扶
     * @param dto 参数
     * @param worker worker
     * @return data
     */
    PageRsp<LoanPlanAuthVo> pageMyLoanStatistics(PageReq<LoanPlanAuthDto> dto, Worker worker);

    /**
     * 查询详情
     * @param loanId 主键id
     * @param worker 当前用户
     * @return data
     */
    LoanPlanDetailVo getLoanPlanDetail(Long loanId, Worker worker);
}
