package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.teachingRoute.*;


import java.util.List;

/**
 * @author denggl
 * date 2023/9/18
 */
public interface TeachingRouteService {
    /**
     * 分页查询路线信息
     * @param ycqQmTeachingRouteVoPageReq
     * @param worker
     * @return
     */
    PageRsp<TeachingRouteVo> pageSearchRoute(PageReq<TeachingRouteDto> ycqQmTeachingRouteVoPageReq, Worker worker);

    /**
     * 查看教学路线（详情）
     * @param routeId
     * @param worker
     * @return
     */
    TeachingRouteDetailsVo routeDetails(Long routeId, Worker worker);

    /**
     * 修改路线
     * @param teachingRouteU
     * @param worker
     */
    void updateRoute(TeachingRouteU teachingRouteU, Worker worker );

    /**
     * 批量删除路线
     * @param lid  路线id
     * @param worker
     */
    void  delRoute(List<Long> lid, Worker worker );


    /**
     * 编辑线路节点
     * @param ycqQmTeachingRouteNodeVo
     * @param worker
     */
    void updateRouteNode(List<TeachingRouteNodeDto> ycqQmTeachingRouteNodeVo, Worker worker);

    /**
     * 删除线路节点
     * @param lid
     * @param worker
     */
     void delRouteNode(List<Long> lid, Worker worker);


    /**
     * 查看线路节点
     * @param rid 线路id
     * @param worker
     * @return
     */
     List<TeachingRouteNodeVo>  getlistNode(Long rid, Worker worker);

     void updateRouteState(Worker worker, Long routeId, Integer routeStatus);
}
