package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;

import com.crunii.micro.service.qm.api.domain.dto.trainingTrain.*;

import java.util.List;

/**
 * @author denggl
 * date 2023/9/19
 */

public interface TrainingTrainService {

    /**
     * 分页查询基地信息
     * @param worker
     * @param ycqQmTrainingTrainDto
     * @return
     */
    PageRsp<TrainingTrainVo> pageTrain(Worker worker, PageReq<TrainingTrainDto> ycqQmTrainingTrainDto);

    /**
     * 更新培训基地信息
     * @param worker
     * @param
     * @param trainingTrainU
     */
    void updateTrain(Worker worker, TrainingTrainU trainingTrainU);

    /**
     *  查看基地详情
     * @param trId  培训基地 id
     * @param worker
     * @return
     */
    TrainingTrainDetailsVo selectTrinDetails(Long trId, Worker worker);

    /**
     * 批量删除基地信息
     * @param trId
     * @param worker
     */
    void delTrain(List<Long> trId, Worker worker);


    /**
     * 查看基地打卡记录
     * @param trId
     * @return
     */
     List<TrainingTrainClockVo>  selectClockRecord(Long trId, Worker worker);

    /**
     * 基地打卡操作
     * @param trainClockDto
     * @param worker
     */
    String trainClock(TrainClockDto trainClockDto, Worker worker);

    void updateTrainState(Worker worker,TrainStatusDto  trainStatus);

    PageRsp<TrainingTrainVo> AppPageTrain(Worker worker, PageReq<TrainingTrainDto> ycqQmTrainingTrainDto);

    Long clocked(Long baseId, Worker worker);
}
