package com.crunii.micro.service.qm.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qm.api.domain.dto.userinfo.UserHonorDto;
import com.crunii.micro.service.qm.api.domain.dto.userinfo.vo.*;

/**
 * @author xia
 * @version 1.0
 * @date 2023/9/18 0018 15:11:23
 */
public interface UserHonorService {
	/**
	 * 查询用户荣誉
	 * @param loginId 人员id
	 * @return Result<SelectUserHonorVo>
	 */
	Result<SelectUserHonorVo>  selectUserHonor(int loginId);

	/**
	 * 新增或修改用户荣誉
	 * @param worker 人员实体
	 * @param dto 入参实体
	 * @return  Result<String>
	 */
	Result<String> insertUserHonor(Worker worker, UserHonorDto dto);

	/**
	 * 删除用户荣誉
	 * @param worker 人员实体
	 * @param honorId 荣誉主键id
	 * @return Result<String>
	 */
	Result<String> deleteUserHonor(Worker worker, Long honorId);


}
