package com.crunii.micro.service.qm.service.counter;

import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

@Component
@Slf4j
public class RedisCounter {

    private static final String LOAN_PLAN_COUNT_KEY = "LOAN_COUNTER";
    private static final String LOAN_PLAN_COUNT_LOCK = "LOAN_PLAN_COUNT_LOCK";
    @Resource
    private RedisTemplate<String, Object> redisTemplate;

    public long increment() {
        return redisTemplate.opsForValue().increment(LOAN_PLAN_COUNT_KEY, 1);
    }

    public void init() {
        Boolean aBoolean = redisTemplate.opsForValue().setIfAbsent(LOAN_PLAN_COUNT_LOCK, 1, 100, TimeUnit.SECONDS);
        if (aBoolean){
            redisTemplate.delete(LOAN_PLAN_COUNT_KEY);
            log.info("loan_plan执行定时刷新成功");
        }else {
            log.error("loan_plan执行定时刷新未获取到锁");
        }
    }
}