package com.crunii.micro.service.qm.util;

import cn.hutool.core.util.DesensitizedUtil;
import cn.hutool.core.util.ObjectUtil;

import static com.crunii.micro.service.qm.api.constants.QmConstants.PRIVATE_KEY;
import static com.crunii.micro.service.qm.api.constants.QmConstants.PRIVATE_WEB_KEY;

/**
 * @author wangchen create 2023/10/12 14:24
 */
public class UserCardIdDecryptUtil {

    /**
     * 解密身份证号
     * @param userCardId 身份证号 加密后
     * @param isDesensitization 是否脱敏
     * @return str
     */
    public static String decryptUserCardId(String userCardId,boolean isDesensitization){
        if (ObjectUtil.isNotEmpty(userCardId)) {
            userCardId = Sm2Util.decrypt(PRIVATE_KEY, false, userCardId);
            userCardId = Sm2Util.decrypt(PRIVATE_WEB_KEY, true, userCardId);
            if(isDesensitization){
                userCardId = DesensitizedUtil.idCardNum(userCardId, 1, 2);
            }
        }
        return userCardId;
    }
}
