package com.crunii.micro.service.qm.util;

import lombok.extern.slf4j.Slf4j;

import java.util.Locale;
import java.util.Random;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author wangchen create 2023/9/20 19:32
 */
@Slf4j
public class UserCodeUtil {

    private static final String PREFIX_STU = "QMXY";
    private static final String PREFIX_TEACHER = "QMDS";

    /**
     * 获取用户code
     */
    public static String getStuCode(Integer classesYear){
        Random random = new Random();
        String randomNumber = String.format("%06d", random.nextInt(1000000));
        return PREFIX_STU + classesYear + randomNumber;
    }

    /**
     * 获取用户code
     */
    public static String getTeacherCode(Integer createYear){
        Random random = new Random();
        String randomNumber = String.format("%06d", random.nextInt(1000000));
        return PREFIX_TEACHER + createYear+ randomNumber;
    }


    /**
     * 提取字符串中所有的汉字
     *
     * @param str
     * @return
     * @throws Exception
     */
    public static String intercept(String str) {
        StringBuffer sb = null;
        try {
            String regex = "[\u4E00-\u9FA5]";
            Matcher matcher = Pattern.compile(regex).matcher(str);

            sb = new StringBuffer();

            while (matcher.find()) {
                sb.append(matcher.group());
            }
        } catch (Exception e) {
            log.error("解析失败！ 名称：{}",str);
        }

        return sb.toString();

    }
}
