package com.crunii.micro.service.qzh.api;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.StudentCourseCreateReq;
import com.crunii.micro.service.qzh.api.domain.dto.YcqYjsStudentCourse;
import com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet.ExamResetDto;
import com.crunii.micro.service.qzh.api.factory.RemoteQzhDemoFallbackFactory;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author wangchen create 2023/12/15 14:16
 */
@FeignClient(value = "service-one-affair", fallbackFactory = RemoteQzhDemoFallbackFactory.class)
public interface OneAffairClient {
    @ApiOperation(value = "清除考试记录")
    @RequestMapping(path = "/yjs/qzh/auth/resetExamRecords", method = RequestMethod.POST)
    Result<Object> resetExamRecords(@RequestBody ExamResetDto dto);

    @ApiOperation(value = "新建学生课程")
    @RequestMapping(path = "/yjs/qzh/auth/createStudentCourse", method = RequestMethod.POST)
    @ResponseBody
    public Result<YcqYjsStudentCourse> createStudentCourse(@Validated @RequestBody StudentCourseCreateReq createReq);
}
