/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.qzh.api;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoVo;
import com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet.ExamResultDto;
import com.crunii.micro.service.qzh.api.factory.RemoteQzhDemoFallbackFactory;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 *
 *
 * @author xiangjunming
 * @date 2023/9/4
 */
@FeignClient(value = "service-qzh", fallbackFactory = RemoteQzhDemoFallbackFactory.class)
public interface RemoteQzhDemoClient {

    @ApiOperation(value = "queryList")
    @RequestMapping(path = "/YcqQzhDemoController/queryList", method = RequestMethod.POST)
    Result<List<YcqQzhDemoVo>> queryList(@RequestBody YcqQzhDemoDto dto);

    @ApiOperation("文明号-考试结果")
    @PostMapping("/auth/CivilizationReportController/createExamResult")
    Result<String> createExamResult(@RequestBody ExamResultDto req);
}
