package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.List;

/**
 * @description: 添加试卷请求体
 * @author: limy
 * @date: 2023/9/5 11:04
 **/

@Data
@ApiModel(description = "添加试卷请求体")
public class AddYcqYzyhTestDto implements Serializable {

    private static final long serialVersionUID = 1L;


	@Column(name = "title")
	@ApiModelProperty(value = "试卷标题")
	private String title;


	@Column(name = "start_time")
	@ApiModelProperty(value = "考试开始时间")
	private java.util.Date startTime;

	@Column(name = "end_time")
	@ApiModelProperty(value = "考试结束时间")
	private java.util.Date endTime;

	@Column(name = "effective_time")
	@ApiModelProperty(value = "答题时长")
	private Integer effectiveTime;

	@Column(name = "pass_score")
	@ApiModelProperty(value = "合格分数")
	private Integer passScore;

	@Column(name = "total_score")
	@ApiModelProperty(value = "总分数")
	private Integer totalScore;

	@Column(name = "total_times")
	@ApiModelProperty(value = "可考次数")
	private Integer totalTimes;

//	@Column(name = "exam_object")
//	@ApiModelProperty(value = "考试对象")
//	private String examObject;

	@Column(name = "single_rule")
	@ApiModelProperty(value = "单选题分数")
	private Integer singleRule;

	@Column(name = "multi_rule")
	@ApiModelProperty(value = "多选题分数")
	private Integer multiRule;

	@Column(name = "judge_rule")
	@ApiModelProperty(value = "判断题分数")
	private Integer judgeRule;

	@Column(name = "state")
	@ApiModelProperty(value = "状态")
	private Integer state;

	@Column(name = "exam_type")
	@ApiModelProperty(value = "试卷类型")
	private String examType;


	@Column(name = "publish_time")
	@ApiModelProperty(value = "发布时间")
	private java.util.Date publishTime;


	@ApiModelProperty(value = "选题模式(1系统随机选题 2自定义选题 3批量导入题目)")
	private Integer topicType;

	@ApiModelProperty(value = "题目Id集合")
	private List<Integer> topicIds;

}
