package com.crunii.micro.service.qzh.api.domain.dto;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.common.enums.AuditStatusEnums;
import com.crunii.micro.common.enums.ResultEnums;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormColumnDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormColumnVO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordVO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: app活动详情VO
 */
@Data
@ApiModel(description = "app活动参与用户信息")
public class AppActivityPlayerInfoVO implements Serializable {

    @ApiModelProperty(value = "是否存在报名表")
    private Integer needApply;

    private Integer neededSign ;

    /**
     * 是否需要报名 0否1是
     */
    private Integer isApply;

    @ApiModelProperty(value = "姓名")
    private Long userId;

    @ApiModelProperty(value = "姓名")
    private String userName;

    @ApiModelProperty(value = "联系方式")
    private String contactMethod;

    @ApiModelProperty(value = "报名表模板heads")
    private String applyJson;

    @ApiModelProperty(value = "报名表数据json")
    private DynamicFormRecordVO applyRecordJson;

    @ApiModelProperty(value = "报名时间")
    private String registrationTime;

    @ApiModelProperty(value = "报名结果")
    private String registrationResult;

    @ApiModelProperty(value = "报名审核时间")
    private String registrationAuditTime;

    @ApiModelProperty(value = "报名状态 0:不通过;1:通过;3:待审核")
    private Integer registrationStatus;

    @ApiModelProperty(value = "报名状态")
    private String registrationStatusName;

    @ApiModelProperty(value = "签到时间")
    private String checkInTime;

    @ApiModelProperty(value = "签到结果 0:失败;1:成功")
    private Integer checkInResult;

    @ApiModelProperty(value = "签到结果")
    private String checkInResultName;

    @ApiModelProperty(value = "签退结果 0:失败;1:成功")
    private Integer checkOutResult;

    @ApiModelProperty(value = "签退时间")
    private String checkOutTime;

    @ApiModelProperty(value = "签退结果")
    private String checkOutResultName;

    @ApiModelProperty(value = "活动id")
    private Long activityId;

    @ApiModelProperty(value = "审核不通过原因")
    private String noCause;

    @ApiModelProperty(value = "审核不通过原因")
    private String cause;




    //报名状态
    public void setRegistrationStatus(Integer registrationStatus) {
        this.registrationStatus = registrationStatus;
        this.registrationStatusName = AuditStatusEnums.getByCode(registrationStatus);
    }
    //签到结果
    public void setCheckInResult(Integer checkinResult) {
        this.checkInResult = checkinResult;
        this.checkInResultName = ResultEnums.getByCode(checkinResult);
    }
    //签退
    public void setCheckOutResult(Integer checkoutResult) {
        this.checkOutResult = checkoutResult;
        this.checkOutResultName = ResultEnums.getByCode(checkoutResult);
    }
}
