package com.crunii.micro.service.qzh.api.domain.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.common.config.LocalDateTimeConverter;
import com.crunii.micro.common.enums.AuditStatusEnums;
import com.crunii.micro.common.enums.ResultEnums;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 报名审核DTO
 */
@Data
@ApiModel(description = "参与详情管理VO")
public class ParticipantDetailVO implements Serializable {

    @ApiModelProperty(notes = "主键id")
//    @ExcelProperty(value = "序号", index = 0)
    @ExcelIgnore
    private Long id;

    @ApiModelProperty(value = "姓名")
    @ExcelIgnore
    private Long userId;

    @ApiModelProperty(value = "姓名")
    @ExcelProperty(value = "姓名", index = 0)
    private String userName;

    @ApiModelProperty(value = "联系方式")
    @ExcelProperty(value = "联系方式", index = 1)
    private String contactMethod;

    @ApiModelProperty(value = "报名时间")
    @ExcelProperty(value = "报名时间", index = 2)
//    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private String registrationTime;

    @ApiModelProperty(value = "参与时间")
    @ExcelIgnore
    private String participationTime;

    @ApiModelProperty(value = "报名审核时间")
    @ExcelIgnore
    private String registrationAuditTime;

    @ApiModelProperty(value = "报名状态 0:不通过;1:通过;3:待审核")
    @ExcelIgnore
    private Integer registrationStatus;

    @ApiModelProperty(value = "报名状态")
    @ExcelProperty(value = "报名状态", index = 3)
    private String registrationStatusName;

    @ApiModelProperty(value = "签到时间")
    @ExcelProperty(value = "签到时间", index = 4)
//    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private String checkInTime;

    @ApiModelProperty(value = "签到结果 0:失败;1:成功")
    @ExcelIgnore
    private Integer checkInResult;

    @ApiModelProperty(value = "签到结果")
    @ExcelProperty(value = "签到结果", index = 5)
    private String checkInResultName;

    @ApiModelProperty(value = "签退结果 0:失败;1:成功")
    @ExcelIgnore
    private Integer checkOutResult;

    @ApiModelProperty(value = "签退时间")
    @ExcelProperty(value = "签退时间", index = 6)
//    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private String checkOutTime;

    @ApiModelProperty(value = "签退结果")
    @ExcelProperty(value = "签退结果", index = 7)
    private String checkOutResultName;

    @ApiModelProperty(value = "活动id")
    @ExcelIgnore
    private Long activityId;

    @ApiModelProperty(value = "是否公示 1公示 0不公时")
    @ExcelIgnore
    private Long isPublicity;

    @ApiModelProperty(value = "1展示 0不")
    @ExcelIgnore
    private Integer displayButton;





    //报名状态
    public void setRegistrationStatus(Integer registrationStatus) {
        this.registrationStatus = registrationStatus;
        this.registrationStatusName = AuditStatusEnums.getByCode(registrationStatus);
    }
    //签到结果
    public void setCheckInResult(Integer checkinResult) {
        this.checkInResult = checkinResult;
        this.checkInResultName = ResultEnums.getByCode(checkinResult);
    }
    //签退
    public void setCheckOutResult(Integer checkoutResult) {
        this.checkOutResult = checkoutResult;
        this.checkOutResultName = ResultEnums.getByCode(checkoutResult);
    }

}
