package com.crunii.micro.service.qzh.api.domain.dto;


import com.crunii.micro.common.enums.AuditStatusEnums;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 报名审核DTO
 */
@Data
@ApiModel(description = "反馈模板VO")
public class ParticipationDetailsVO implements Serializable {

    @ApiModelProperty(value = "活动id")
    private Long activityId;

    @ApiModelProperty(value = "活动反馈id")
    private Long ycqActivityParticipationDetails;

    @ApiModelProperty(value = "活动反馈浏览量")
    private Integer browseCount;

    @ApiModelProperty(value = "活动内容")
    private String content;

    @ApiModelProperty(value = "用户头像图片key")
    private String headPortraitPicKey;

    @ApiModelProperty(value = "用户名称")
    private String workerName;

    @ApiModelProperty(value = "公示时间")
    private String publishTime;

    @ApiModelProperty(notes = "评分 1~5")
    private Integer activityRating;

    @ApiModelProperty(notes = "是否匿名 1匿名")
    private Integer isAnonymity;

    @ApiModelProperty(value = "附件")
    private List<YcqActivityImageVO> attachments;


}
