package com.crunii.micro.service.qzh.api.domain.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.common.config.LocalDateTimeConverter;
import com.crunii.micro.common.enums.AuditStatusEnums;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * @description: 报名审核返回VO
 * @author: limy
 * @date: 2023/9/5 11:04
 **/

@Data
@ApiModel(description = "报名审核返回VO")
public class RegistrationAuditVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键id")
//	@ExcelProperty(value = "序号", index = 0)
	@ExcelIgnore
	private Long id;

	@ApiModelProperty(value = "用户id")
	@ExcelIgnore
	private Long userId;

	@ApiModelProperty(value = "用户名称")
	@ExcelProperty(value = "提交人姓名", index = 0)
	private String userName;

	@ApiModelProperty(value = "手机号")
	@ExcelProperty(value = "提交人手机号", index = 1)
	private String phoneNumber;

	@ApiModelProperty(value = "报名时间")
	@ExcelProperty(value = "报名时间", index = 2)
//	@JsonSerialize(using = LocalDateTimeSerializer.class)
	private String registrationTime;

	@ApiModelProperty(value = "报名状态名称")
	@ExcelProperty(value = "报名状态", index = 3)
	private String registrationStatusName;

	@ApiModelProperty(value = "报名状态(0:不通过;1:通过;3:待审核)")
	@ExcelIgnore
	private Integer registrationStatus;

	public void setRegistrationStatus(Integer registrationStatus) {
		this.registrationStatus = registrationStatus;
		this.registrationStatusName = AuditStatusEnums.getByCode(registrationStatus);
	}
}
