package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;

import java.util.Date;
import java.util.List;

/**
 * @author lmlkyc
 * @date 2023-09-27 11:01
 */
@Data
@ApiModel(value = "学生信息", description = "")
public class StudentInfo {
	@ApiModelProperty("学生姓名")
	private String studentName;
	@ApiModelProperty("学生身份证号")
	private String studentIdentity;
	@ApiModelProperty("学生电话")
	private String phoneNum;
	@ApiModelProperty("学校信息")
	private SchoolInfo schoolInfo;
	@ApiModelProperty("在少年宫注册的日期")
	private String registerDate;
	@ApiModelProperty("上次在少年宫的动作时间")
	private String lastAction;
	@ApiModelProperty("参加各类活动的数据数组")
	private List<History> joinHistories;
	@ApiModelProperty("学生数据版本")
	private String versionHash;

	@Data
	public class SchoolInfo {
		@ApiModelProperty("学校编码")
		private String code;
		@ApiModelProperty("学校名称")
		private String name;
		@ApiModelProperty("年级")
		private String grade;
		@ApiModelProperty("班级")
		private String classes;

		// 添加公共无参构造函数
		public SchoolInfo() {
		}
		public SchoolInfo(String code, String name, String grade, String classes) {
			this.code = code;
			this.name = name;
			this.grade = grade;
			this.classes = classes;
		}
	}

}
