package com.crunii.micro.service.qzh.api.domain.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.annotation.Generated;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * TopicAddReqDTO
 */

@Data
@ApiModel(value = "题目添加请求参数", description = "")
public class TopicAddReqDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 题库ID
   */
  @ApiModelProperty(name = "题库ID", notes = "")
  @NotEmpty(message = "题库ID不能为空")
  private Integer questionBankId;
  /**
   * 标题
   */
  @NotEmpty(message = "标题不能为空")
  @ApiModelProperty(name = "标题", notes = "")
  private String topic;

  public String getTopic() {
    return topic.trim();
  }

  /**
   * 选项
   */
  @NotEmpty(message = "选项不能为空")
  @ApiModelProperty(name = "选项", notes = "")
  private List<TopicOptionDTO> topicOptions;
  /**
   * 题目类型，1单选题2多选题3判断题
   */
  @NotEmpty(message = "题目类型不能为空")
  @ApiModelProperty(name = "题目类型，1单选题2多选题3判断题", notes = "")
  private Integer topicType;
}

