package com.crunii.micro.service.qzh.api.domain.dto;

import com.crunii.micro.common.validate.EditGroup;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "日常监督入参", description = "")
public class YcqQzhDailySupervisionReqDto implements Serializable, Cloneable{
    /**
     * ID
     */
    @ApiModelProperty(name = "ID", notes = "")
    @NotNull(message = "修改id不能为空", groups = {EditGroup.class})
    private Long id;

    @ApiModelProperty(name = "附件id集合", notes = "")
    private List<YcqQzhDailySupervisionFileDto> file;

    @ApiModelProperty(name = "集体名称", notes = "")
    private String collectiveName;

    @ApiModelProperty(name = "所在单位", notes = "")
    private String locationUnit;

    @ApiModelProperty(name = "号长姓名", notes = "")
    private String fullName;

    @ApiModelProperty(name = "内容描述")
    private String content;

    @ApiModelProperty(name = "发布者")
    private String createUserName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "发布开始时间")
    private String createTimeStart;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "发布结束时间")
    private String createTimeEnd;
}
