package com.crunii.micro.service.qzh.api.domain.dto;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 青字号demo
 *
 * @author xiangjunming
 * @date 2023/9/4
 */
@Data
@ApiModel(value = "青字号demo", description = "")
public class YcqQzhDemoDto implements Serializable, Cloneable {

    /**
     * ID
     */
    @ApiModelProperty(name = "ID", notes = "")
    @NotNull(message = "修改id不能为空", groups = {EditGroup.class})
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(name = "名称", notes = "")
    @NotBlank(message = "名称不能为空", groups = {AddGroup.class, EditGroup.class})
    @Size(message = "名称长度不能超过64位字符", max = 64, groups = {AddGroup.class, EditGroup.class})
    private String name;
}
