package com.crunii.micro.service.qzh.api.domain.dto;

import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.common.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "指标版本入参")
public class YcqQzhIndicatorVersionDto implements Serializable, Cloneable{
    /**
     * ID
     */
    @ApiModelProperty(name = "ID" )
    @NotNull(message = "修改id不能为空", groups = {EditGroup.class})
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(name = "版本名称")
    @NotBlank(message = "版本名称不能为空", groups = {AddGroup.class, EditGroup.class})
    @Size( max = 20, message = "版本名称长度不能超过20位字符", groups = {AddGroup.class, EditGroup.class})
    private String versionName;
    /**
     * 有效期(开始)
     */
    @ApiModelProperty(name = "有效期(开始)")
    @NotNull(message = "有效期(开始)不能为空", groups = {AddGroup.class, EditGroup.class})
    private Date effectiveTimeStart;
    /**
     * 有效期(结束)
     */
    @ApiModelProperty(name = "有效期(结束)")
    @NotNull(message = "有效期(开始)不能为空", groups = {AddGroup.class, EditGroup.class})
    private Date effectiveTimeEnd;
}
