package com.crunii.micro.service.qzh.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.List;

/**
 * @description: 查询考试响应体
 * @author: limy
 * @date: 2023/9/5 11:04
 **/

@Data
@ApiModel(description = "查询考试响应体")
public class YcqYzyhTestVO implements Serializable {

    private static final long serialVersionUID = 1L;


	@Column(name = "title")
	@ApiModelProperty(value = "试卷标题")
	private String title;

	@ApiModelProperty(value = "考试有效期")
	private String testTime;

	@Column(name = "exam_type")
	@ApiModelProperty(value = "试卷类型")
	private String examType;

	@ApiModelProperty(value = "选题模式(1系统随机选题 2自定义选题 3批量导入题目)")
	private Integer topicType;

	//todo 从考试记录表中取
	@ApiModelProperty(value = "已考人数")
	private Integer joinNum;

	@Column(name = "pass_score")
	@ApiModelProperty(value = "合格分数")
	private Integer passScore;

	@Column(name = "total_score")
	@ApiModelProperty(value = "总分数")
	private Integer totalScore;

	@Column(name = "publish_worker_id")
	@ApiModelProperty(value = "发布者id")
	private String publishWorkerId;

	@Column(name = "publish_worker_name")
	@ApiModelProperty(value = "发布者姓名")
	private String publishWorkerName;

	@Column(name = "publish_time")
	@ApiModelProperty(value = "发布时间")
	private java.util.Date publishTime;

	@Column(name = "state")
	@ApiModelProperty(value = "状态")
	private Integer state;

}
