package com.crunii.micro.service.qzh.api.domain.dto.activity;

import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "ActivityDetailsRsp", description = "风采详情返回参数")
public class ActivityDetailsRspDTO {

    private Long id;

    @ApiModelProperty(value = "风采内容")
    private String activityText;

    @ApiModelProperty(value = "风采标题")
    private String activityTitle;

    @ApiModelProperty(value = "风采类型，1突击队，2文明号，3示范岗，4权益岗，5其他")
    private Integer activityType;

    @ApiModelProperty(value = "风采类型")
    private String activityTypeName;

    @ApiModelProperty(value = "创建时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createUserName;

    @ApiModelProperty(value = "点赞数量")
    private Integer likesTotal;

    @ApiModelProperty(value = "公开范围，(1对内，2对外，3全部)")
    private Integer openCompetence;

    @ApiModelProperty(value = "公开范围名称")
    private String openCompetenceName;

    @ApiModelProperty(value = "所属对象")
    private String parentName;

    @ApiModelProperty(value = "所属对象ID")
    private String parentId;

    @ApiModelProperty(value = "来源")
    private String orgName;

    @ApiModelProperty(value = "封面")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "浏览量")//app
    private Integer viewTotal;

}
