package com.crunii.micro.service.qzh.api.domain.dto.activity;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;


@Data
@ApiModel(value = "CreateActivityReqDTO", description = "风采创建信息")
public class CreateActivityReqDTO {

    private Long id;

    @NotBlank(message = "内容不能为空")
    @ApiModelProperty(value = "风采内容")
    private String activityText;

    @NotBlank(message = "风采标题不能为空")
    @ApiModelProperty(value = "风采标题")
    private String activityTitle;

    @NotNull(message = "风采类型不能为空")
    @ApiModelProperty(value = "风采类型，1突击队，2文明号，3示范岗，4权益岗，5其他")
    private Integer activityType;

    @ApiModelProperty(value = "封面信息")
    private List<CoverImageDto> coverImageFile;
    
    /**
     * 需求吴宇佳说目前不需要，前后端都屏蔽掉。2023-12-18
     */
    //@NotNull(message = "开放范围不能为空")
    @ApiModelProperty(value = "开放范围,(1全部,2对内,3对外)")
    private Integer openCompetence;

    // @NotNull(message = "所属对象不能为空")
    @ApiModelProperty(value = "所属对象")
    private Long parentId;

    @ApiModelProperty(value = "指标id")
    private Long targetId;

    @NotBlank(message = "来源不能为空")
    @ApiModelProperty(value = "位置(app/web)")
    private String condition;

    @ApiModelProperty(value = "App端新增时加入关联活动")
    private String actId;

    @ApiModelProperty(value = "权限组织")
    private List<YcqAllOrganization> authorityOrgs;
}
