package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: APP默认模板DTO
 */
@Data
@ApiModel(description = "APP默认模板DTO")
public class DefaultAppTemplateDTO implements Serializable {

    @ApiModelProperty(notes = "活动id")
    private Long id;

    @ApiModelProperty(notes = "活动反馈表id")
    private Long ycqActivityParticipationDetailsId;
//20240112 弃用改用评分
//    @ApiModelProperty(notes = "标题")
//    private String title;

    @ApiModelProperty(notes = "默认模板图片DTO集合")
    private List<DefaultAppTemplateImageDTO> imageUrls;

    @ApiModelProperty(notes = "活动内容填写")
    private String activityContent;

    @ApiModelProperty(notes = "评分 1~5")
    private Integer activityRating;

    @ApiModelProperty(notes = "是否匿名 1匿名")
    private Integer isAnonymity;


}
