package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 默认模板DTO
 */
@Data
@ApiModel(description = "默认模板DTO")
public class DefaultTemplateDTO implements Serializable {

    @ApiModelProperty(notes = "主键id")
    @NotNull( message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "活动id")
    private Long activityId ;

    @ApiModelProperty(notes = "审核状态 0:不通过;1:通过;2:待审核")
    private Integer auditState;

    @ApiModelProperty(notes = "标题")
    private String title;

    @ApiModelProperty(notes = "发布者")
    private String publisher;

    @ApiModelProperty(notes = "组织ID")
    private Long organizationId;

    @ApiModelProperty(notes = "开始发布时间")
    private String startPublicationTime;

    @ApiModelProperty(notes = "结束发布时间")
    private String endPublicationTime;

    @ApiModelProperty(notes = "是否公示 0:不公示 1:公示")
    private Integer isPublicity;

    @ApiModelProperty(notes = "原因")
    @Size( max = 400, message = "原因不能超过200个！")
    private String cause;

    @ApiModelProperty(notes = "手机号")
    private String phoneNumber;

    @ApiModelProperty(notes = "评分 1~5")
    private Integer activityRating;

}
