package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 报名审核DTO
 */
@Data
@ApiModel(description = "签到DTO")
public class LocationDataDTO implements Serializable {

    @ApiModelProperty(value = "签到标识 0：签退;1：签到")
    private Integer clockTag;

    @ApiModelProperty(value = "活动id")
    private Long activityId;

    @ApiModelProperty(value = "经度", notes = "地理位置的经度坐标")
    @NotNull
    private String longitude;

    @ApiModelProperty(value = "纬度", notes = "地理位置的纬度坐标")
    @NotNull
    private String latitude;

    @ApiModelProperty(value = "QR码信息", notes = "用于活动的二维码字符串")
    private String qrCodeString;

    @ApiModelProperty(value = "活动经度", notes = "活动地点的经度坐标")
    @NotNull
    private String activityLongitude;

    @ApiModelProperty(value = "活动纬度", notes = "活动地点的纬度坐标")
    @NotNull
    private String activityLatitude;

}
