package com.crunii.micro.service.qzh.api.domain.dto.activity;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "PageActivityRsp", description = "风采分页返回信息")
public class PageActivityRspDTO {

    private Long id;

    @ApiModelProperty(value = "风采标题")
    private String activityTitle;

    @ApiModelProperty(value = "风采文本")
    private String activityText;

    @ApiModelProperty(value = "风采类型,1突击队,2文明号,3示范岗,4权益岗,5其他")
    private Integer activityType;

    @ApiModelProperty(value = "风采类型名称")
    private String activityTypeName;
    
    @ApiModelProperty(value = "封面信息")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createUserName;

    @ApiModelProperty(value = "创建人ID")
    private String createId;

    @ApiModelProperty(value = "点赞数量")
    private Integer likesTotal;

    @ApiModelProperty(value = "公开范围,(1全部,1对内,2对外)")
    private Integer openCompetence;

    @ApiModelProperty(value = "公开范围名称")
    private String openCompetenceName;

    @ApiModelProperty(value = "所属对象")
    private String parentName;

    @ApiModelProperty(value = "所属对象ID")
    private String parentId;

    @ApiModelProperty(value = "浏览量")
    private Integer viewTotal;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "状态名称（1已发布，2已下架）")
    private Integer stateName;

    @ApiModelProperty(value = "组织")
    private String authorityOrgs;

    @ApiModelProperty(value = "是否展示按钮达标 1展示 2不展示")
    private Integer isShow;

    @ApiModelProperty(value = "来源")
    private String orgName;

    @ApiModelProperty(value = "app端封面url展示")
    private List<String> coverUrl;
}
