package com.crunii.micro.service.qzh.api.domain.dto.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 报名审核DTO
 */
@Data
@ApiModel(description = "参与详情管理DTO")
public class ParticipantDetailDTO implements Serializable {

    @ApiModelProperty(value = "活动id")
    @NotNull(message = "活动id不能为空！")
    private Long activityId;

    @ApiModelProperty(value = "ids集合")
    private List<Long> ids;

    @ApiModelProperty(value = "姓名")
    private String userName;

    @ApiModelProperty(value = "联系方式")
    private String contactMethod;

    @ApiModelProperty(value = "报名状态 0:不通过;1:通过;3:待审核")
    private Integer registrationStatus;

    @ApiModelProperty(value = "签到结果 0:失败;1:成功")
    private Integer checkInResult;

    @ApiModelProperty(value = "签退结果 0:失败;1:成功")
    private Integer checkOutResult;

    @ApiModelProperty(value = "开始报名时间")
    private String startRegistrationTime;

    @ApiModelProperty(value = "结束报名时间")
    private String endRegistrationTime;

    @ApiModelProperty(value = "开始签到时间")
    private String startCheckInTime;

    @ApiModelProperty(value = "结束签到时间")
    private String endCheckInTime;

    @ApiModelProperty(value = "开始签退时间")
    private String startCheckOutTime;

    @ApiModelProperty(value = "结束签退时间")
    private String endCheckOutTime;

    @ApiModelProperty(value = "导入key")
    private String dataKey;

    public boolean hasValues() {
        return userName != null && !userName.isEmpty() ||
                contactMethod != null && !contactMethod.isEmpty() ||
                registrationStatus != null ||
                checkInResult != null ||
                checkOutResult != null ||
                startRegistrationTime != null && !startRegistrationTime.isEmpty() ||
                endRegistrationTime != null && !endRegistrationTime.isEmpty() ||
                startCheckInTime != null && !startCheckInTime.isEmpty() ||
                endCheckInTime != null && !endCheckInTime.isEmpty() ||
                startCheckOutTime != null && !startCheckOutTime.isEmpty() ||
                endCheckOutTime != null && !endCheckOutTime.isEmpty() ;
    }
}
