package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 查询活动列表请求参数
 */
@Data
@ApiModel(description = "查询活动列表请求参数")
public class ActivityAppQueryReqDTO {
    /**
     * 活动标题
     */
    private String activityTitle;



    /**
     * 活动类型
     */
    private Integer activityTypeId;


    /**
     * 所属业务
     */
    private List<String> businessBelong;


    /**
     * 活动状态 1待审核 2待发布 3未开始 4报名中 5进行中 6签到中 7签退中 8已结束 9已下架
     */
    private Integer activityStatusTypeId;

    /**
     * 所在区域
     */
    private List<ZoneAppQueryDTO> zoneAppQueryDTOList;

    /**
     * 活动开始时间
     */
    private String startTime;

    /**
     * 活动结束时间
     */
    private String endTime;

    /**
     * 报名开始时间
     */
    private String applyStartTime;

    /**
     * 报名结束时间
     */
    private String applyEndTime;

    /**
     * 是否限定人数（1-限制，0-不限制)
     */
    private Integer isLimit;

    @Data
    public static class ZoneAppQueryDTO{
        /**
         * 区域类型 市级1，区县级2，校级3
         */
        private Integer zoneType;

        private String valueCode;
        private List<ZoneAppQueryValueDTO> valueDTOList;
    }

    @Data
    public static class ZoneAppQueryValueDTO{
        /**
         * 属性值（如果为全部，则传1）
         */
        private String valueCode;


    }
}
