package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:33:30
 * @Description: 查询活动列表响应参数APP
 */
@Data
@ApiModel(description = "查询活动列表响应参数APP")
public class ActivityAppQueryRespDTO {
    /**
     * 序号
     */
    private Long id;

    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 图片
     */
    private CoverImageDto headPicUrl;

    /**
     * 限定人数
     */
    private Integer limitCount;

    /**
     * 报名人数
     */
    private Integer auditCount;


    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 所属业务图标地址
     */
    private String businessBelongLogoUrl;

    /**
     * 活动地址
     */
    private String activityAddress;

    /**
     * 活动类型
     */
    private String activityTypeName;

    /**
     * 1.立即报名 2.立即签到 3.立即签退 4.内容填写 5.已报满 6.被退回 7.其他状态（不展示）
     */
    private Integer buttonState;

    /**
     * 按钮是否置灰 0否 1是
     */
    private Integer buttonGrey = 0;

    /**
     * 报名开始时间
     */
    private String applyStartTime ;
    /** 报名结束时间 */
    private String applyEndTime ;

    /**
     * 签到签退实体
     */
    private ActivitySignVO signVO;

    /**
     * 活动状态id
     */
    private Integer activityStatusTypeId;
    /**
     * 活动状态名称
     */
    private String activityStatusTypeName;
}
