package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormVO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormsReqDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.*;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:33:30
 * @Description: 查询活动列表响应参数
 */
@Data
@ApiModel(description = "查询活动列表响应参数")
public class ActivityDetailRespDTO {
    /**
     * 序号
     */
    private Long id;
    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 活动开始时间
     */
    private String startTime;
    /**
     * 活动结束时间
     */
    private String endTime;

    /**
     * 所属业务
     */
    private String businessBelong;

    /**
     * 所属业务
     */
    private String businessBelongName;

    /**
     * 活动类型id
     */
    private Integer activityTypeId;

    /**
     * 活动类型name
     */
    private String activityTypeName;

    /**
     * 参与对象（如果所有组织可见，默认传0）
     */
    private List<ActivityOrgDTO> orgIdList;

    /**
     * 是否限定人数（1-限制，0-不限制)
     */
    private Integer isLimit;

    /**
     * 限定人数
     */
    private Integer limitCount;

    /**
     * 男性人数（青春之约使用）
     */
    private Integer maleCount;

    /**
     * 女性限制人数（青春之约使用）
     */
    private Integer femaleCount;

    /**
     * 所在区域
     */
    private List<ActivityZoneTreeVO> zoneTree;

    /**
     * 活动地址
     */
    private String activityAddress;

    /**
     * 联系方式
     */
    private String contactInformation;

    /**
     * 活动举办方
     */
    private String sponsor;


    /**
     * 活动图片
     */
    private List<CoverImageDto> headPicUrlList;

    /**
     * 是否需要报名（1-需要，0-不需要）
     */
    private Integer isApply;

    /**
     * 报名开始时间
     */
    private String applyStartTime;

    /**
     * 报名结束时间
     */
    private String applyEndTime;

    /**
     * 报名表
     */
    private DynamicFormsReqDTO applyForm;



    /**
     * 是否需要签到签退 0否 1是
     */
    private Integer neededSign;

    /**
     * 签到签退实体
     */
    private ActivitySignDTO signDTO;

    /**
     * 报名是否需要审核（0否 1是）
     */
    private Integer neededAudit;

    /**
     * 活动反馈方式 0默认模板 1动态表单
     */
    private Integer replyType;
    /**
     * 自定义表单模板信息
     */
    private DynamicFormVO dynamicForm;

    /**
     * 活动内容
     */
    private String activityContent;

    /**
     * 活动封面信息
     */
    private List<CoverImageDto> coverImageFile;

    private String publisher ;

    /**
     * 发布时间（活动内容部分）
     */
    private String contentPublishTime;

    /**
     * 发布所属组织（活动内容部分）
     */
    private String contentPublishOrgName;
}
