package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * 查询活动详情响应参数
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:33:30
 * @Description:
 */
@Data
@ApiModel(description = "查询活动详情响应参数")
public class ActivityQueryDetailRespDTO {
    /**
     * 序号
     */
    private Long id;

    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 浏览次数
     */
    private Integer browseCount;

    /**
     * 已报名
     */
    private Integer applyerCount;
//    /**
//     * 活动类型（1-青年突击队活动，2-青年文明号活动，3-青年安全生产示范岗活动，4-维护青少年权益岗活动）
//     */
//    private Integer activityTypeId;
//
//    /**
//     * 活动类型（1-青年突击队活动，2-青年文明号活动，3-青年安全生产示范岗活动，4-维护青少年权益岗活动）
//     */
//    private String activityTypeName;

//
//    /**
//     * 活动状态，（1-启用,0-禁用）
//     */
//    private Integer activityState;
//
//    /**
//     * 活动状态
//     */
//    private String activityStateApp;

    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 活动地址
     */
    @Length(max = 50,message = "活动地址不允许超过50个字符")
    private String activityAddress;

    /**
     * 活动举办方
     */
    @Length(max = 50,message = "活动举办方不允许超过50个字符")
    private String sponsor;

    /**
     * 联系方式
     */
    @Pattern(regexp = "^0\\d{2,3}-\\d{7,8}$|^1[3-9]\\d{9}$", message = "无效的联系方式")
    private String contactInformation;

    /**
     * 报名开始时间
     */
    private String applyStartTime;

    /**
     * 报名结束时间
     */
    private String applyEndTime;


//    /**
//     * 是否置顶，（1-置顶，0-不置顶）
//     */
//    private Integer isTop;
    /**
     * 发布者
     */
    private String publisher;
    /**
     * 发布时间
     */
    private String publishTime;

    /**
     * 是否需要报名（1-需要，0-不需要）
     */
    private String isApplyStr;
    /**
     * 是否手动关闭
     */
    private Integer isManualShutdown;

    /**
     * 1立即报名 2立即签到 3
     */
    private Integer buttonState;
//    /**
//     * 所属业务系统名称
//     */
//    private String businessBelongName;
//    /**
//     * 是否限定人数（1-限制，0-不限制)
//     */
//    private Integer isLimit;
//    /**
//     * 限定人数
//     */
//    private Integer limitCount;
//    /**
//     * 联系方式
//     */
//    private String contactInformation;
//    /**
//     * 是否需要报名（1-需要，0-不需要）
//     */
//    private Integer isApply;
}
