package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 查询活动列表请求参数
 */
@Data
@ApiModel(description = "查询活动列表请求参数")
public class ActivityQueryReqDTO {
    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 所属业务
     */
    private String businessBelong;


    /**
     * 活动类型
     */
    private Integer activityTypeId;


    /**
     * 所属组织
     */
    private Long orgId;

    /**
     * 举办方
     */
    private String sponsor;


    /**
     * 活动开始时间
     */
    private String startTime;

    /**
     * 活动结束时间
     */
    private String endTime;

    /**
     * 开始发布时间
     */
    private String startPublishTime;
    /**
     * 结束发布时间
     */
    private String endPublishTime;

    /**
     * 活动状态 1待审核 2待发布 3未开始 4报名中 5进行中 6签到中 7签退中 8已结束 9已下架
     */
    private Integer activityStatusTypeId;
}
