package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:33:30
 * @Description: 查询活动列表响应参数
 */
@Data
@ApiModel(description = "查询活动列表响应参数")
public class ActivityQueryRespDTO {
    /**
     * 序号
     */
    private Long id;

    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 所属业务id
     */
    private transient String businessBelong;

    /**
     * 所属业务
     */
    private String businessBelongName;

    /**
     * 活动类型id
     */
    private transient Integer activityTypeId;

    /**
     * 活动类型名称
     */
    private String activityTypeName;

    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;


    /**
     * 活动举办方
     */
    private String sponsor;

    
    /**
     * 已报名
     */
    private Integer applyerCount;

    /**
     * 发布者
     */
    private String publisher;

    /**
     * 所属组织
     */
    private String orgName;

    /**
     * 发布时间
     */
    private String publishTime;

    /**
     * 是否需要报名（1-需要，0-不需要）
     */
    private Integer isApply;

    /**
     * 是否需要报名（1-需要，0-不需要）
     */
    private String isApplyStr;

    /**
     * 活动状态id
     */
    private Integer activityStatusTypeId;
    /**
     * 活动状态名称
     */
    private String activityStatusTypeName;

    /**
     * 活动评价填写 0默认模板 1动态表单 2不需要反馈
     */
    private Integer replyType;

    /**
     * 是否展示动态表单报名表标识 1展示动态表 2展示默认表
     */
    private Integer dynamicApplyForm = 2;

    /**
     * 报名是否需要审核（0否 1是）
     */
    private Integer neededAudit;

    private ActivitySignVO signVO;

    /**
     * 是否需要签到签退 1是 0否
     */
    private  Integer neededSign;

    private transient Date localStartTime;

    private transient Date localEndTime;

    private transient Date localPublishTime;
}
