package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-22  14:11:29
 * @Description: 活动状态请求参数
 */
@Data
@ApiModel(description = "活动状态请求参数")
public class ActivityStateReqDTO {

    @ApiModelProperty(value = "活动ID")
    @NotNull(message = "活动ID不能为空")
    private Long id;

    @ApiModelProperty(value = "活动状态")
    @Min(value = 0,message = "活动状态（1-启用，0-禁用）")
    @Max(value = 1,message = "活动状态（1-启用，0-禁用）")
    private Integer activityState;
}
