package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormsReqDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-21  16:16:31
 * @Description: 活动参与返回值详情
 */
@Data
@ApiModel(description = "活动参与返回值详情")
public class ActivtiyJoinDetailRespDTO {
    /**
     * 姓名
     */
    private String name;
    /**
     * 所属组织
     */
    private String organization;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 报名时间
     */
    private String registerTime;
    /**
     * 活动状态，（1-未开始，2-进行中，3-已结束）
     */
    private Integer activityState;

    public void setActivityState(Integer activityState) {
        this.activityState = activityState;
        this.activityStateName = activityState == 1 ? "启用" : "禁用";
    }

    private String activityStateName;
    /**
     * 活动标题
     */
    private String activityTitle;
    /**
     * 活动类型，（1-青年突击队活动，2-青年文明号活动，3-青年安全生产示范岗活动，4-维护青少年权益岗活动）
     */
    private Integer activityType;

    public void setActivityType(Integer activityType) {
        this.activityType = activityType;
        switch (activityType) {
            case 1:
                this.activityTypeName = "青年突击队活动";
                break;
            case 2:
                this.activityTypeName = "青年文明号活动";
                break;
            case 3:
                this.activityTypeName = "青年安全生产示范岗活动";
                break;
            case 4:
                this.activityTypeName = "维护青少年权益岗活动";
                break;
            default:
                this.activityTypeName = "";
        }
    }

    private String activityTypeName;
    /**
     * 已报名
     */
    private Integer applyerCount;
    /**
     * 浏览次数
     */
    private Integer browseCount;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 是否置顶，（1-置顶，0-不置顶）
     */
    private Integer isTop;
    /**
     * 发布者
     */
    private String publisher;
    /**
     * 发布时间
     */
    private String publishTime;
    /**
     * 当前用户是否已经报名，（1-已报名,0-未报名)
     */
    private Integer isRegister;

    /**
     * 活动地址
     */
    private String activityAddress;

    /**
     * 活动内容
     */
    private String activityContent;
    /**
     * 限定人数
     */
    private Integer limitCount;
    /**
     * 是否限定人数（1-限制，0-不限制)
     */
    private Integer isLimit;

    // 联系方式
    private String contactInformation;

    public void setIsLimit(Integer isLimit) {
        this.isLimit = isLimit;
        this.isLimitName = isLimit == 1 ? "限制" : "不限制";
    }

    private String isLimitName;

    /**
     * 是否需要报名（1-需要，0-不需要）
     */
    private Integer isApply;

    public void setIsApply(Integer isApply) {
        this.isApply = isApply;
        this.isApplyName = isApply == 1 ? "需要" : "不需要";
    }

    private String isApplyName;

    private String businessBelongName;

    private String businessBelong;

    private Long workerId;

    private Long activityId;

    private DynamicFormsReqDTO dynamicRecords;
}
