package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.AppActivityDetailsVO;
import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  19:33:30
 * @Description: 查询活动列表响应参数
 */
@Data
@ApiModel(description = "查询活动详情参数响应参数")
public class AppActivityDetailRespDTO {
    /**
     * 活动id
     */
    private Long id;

    /**
     * 活动标题
     */
    private String activityTitle;
    /**
     * 浏览次数
     */
    private Integer browseCount;

    /**
     * 已报名
     */
    private Integer applyerCount;

    /**
     * 活动开始时间
     */
    private String startTime;
    /**
     * 活动结束时间
     */
    private String endTime;

    /**
     * 活动地址
     */
    private String activityAddress;

    /**
     * 举办方
     */
    private String sponsor;

    /**
     * 联系方式
     */
    private String contactInformation;


    /**
     * 1.立即报名 2.立即签到 3.立即签退  7.其他状态（不展示） 8 撤销报名
     */
    private Integer buttonState;

    /**
     * 按钮是否置灰 0否 1是
     */
    private Integer buttonGrey;

    /**
     * 是否展示取消报名按钮 1是 0否
     */
    private Integer cancelApply = 0;

    /**
     * 是否需要报名 0否1是
     */
    private Integer isApply;

    /**
     * 是否需要提交报名表 0否1是
     */
    private Integer neededSubmit;

    /**
     * 报名开始时间
     */
    private String applyStartTime;

    /**
     * 报名结束时间
     */
    private String applyEndTime;

    /**
     * 活动内容
     */
    private String activityContent;

    /**
     * 签到配置
     */
    private ActivitySignVO signVO;

    /**
     * 用户信息和默认富文本表单信息
     */
    private AppActivityDetailsVO userAndTemplateInfo;

    /**
     * 反馈类型 0默认富文本 1动态表单
     */
    private Integer replyType;

    /**
     *
     * 报名是否需要审核（0否 1是）
     */
    private Integer neededAudit;

    /**
     * 封面信息
     */
    private List<CoverImageDto> coverImageFile;

    private List<CoverImageDto> headPicUrlList;

    /**
     * 所属业务code
     */
    private String businessBelong;

    /**
     * 所属业务
     */
    private String businessBelongName;

    /**
     * 是否限定人数（1-限制，0-不限制)
     */
    private Integer isLimit;

    /**
     * 限定人数
     */
    private Integer limitCount;

    /**
     * 是否报名（2020401月第一周新增需求）
     */
    @ApiModelProperty(value = "是否报名标签展示")
    private Integer isApplication;

    /**
     * 活动状态id
     */
    private Integer activityStatusTypeId;
    /**
     * 活动状态名称
     */
    private String activityStatusTypeName;

    /**
     * 区域名称，多个以逗号分割
     */
    private String zoneNames;

    /**
     * 报名表
     */
    private String ApplyForm;

    /**
     * 发布活动审核状态 1已审核 2审核中
     */
    private Integer publishAuditStatus;

    /**
     * 是否报名成功 1是 0否
     */
    private Integer applyFlag;
}
