package com.crunii.micro.service.qzh.api.domain.dto.activityPublish;

import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-23  15:32:14
 * @Description: 参与活动请求参数
 */
@Data
@ApiModel(value = "CreateActivityReqDTO", description = "参与活动请求参数")
public class JoinActivityReqDTO {
    @NotBlank(message = "内容不能为空")
    @ApiModelProperty(value = "风采内容")
    private String activityText;

    @NotBlank(message = "风采标题不能为空")
    @ApiModelProperty(value = "风采标题")
    private String activityTitle;

    @NotNull(message = "风采类型不能为空")
    @ApiModelProperty(value = "风采类型，1突击队，2文明号，3示范岗，4权益岗")
    private Integer activityType;

    @ApiModelProperty(value = "封面信息")
    private List<CoverImageDto> coverImageFile;

    @NotNull(message = "开放范围不能为空")
    @ApiModelProperty(value = "开放范围,(1全部,2对内,3对外)")
    private Integer openCompetence;

    @NotNull(message = "所属对象不能为空")
    @ApiModelProperty(value = "所属对象")
    private Long parentId;

    @ApiModelProperty(value = "指标id")
    private Long targetId;

    @NotBlank(message = "来源不能为空")
    @ApiModelProperty(value = "位置(app/web)")
    private String condition;

    @ApiModelProperty(value = "App端新增时加入关联活动")
    private String actId;
}
