package com.crunii.micro.service.qzh.api.domain.dto.announcement;

import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.crunii.micro.service.qzh.api.domain.dto.document.AnnexDto;
import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel(value = "AnnouncementDetailsRsp", description = "查看公告详情返回参数")
public class AnnouncementDetailsRspDTO {

    private Long id;

    @ApiModelProperty(value = "标题")
    private String announcementTitle;

    @ApiModelProperty(value = "公告公示类型")
    private Integer announcementType;

    @ApiModelProperty(value = "公告公示类型，突击队，文明号，示范岗，权益岗")
    private String announcementTypeName;

    @ApiModelProperty(value = "公开范围")
    private Integer openCompetence;

    @ApiModelProperty(value = "封面文件id")
    private List<CoverImageDto> coverImageFileId;

    @ApiModelProperty(value = "创建时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date createTime;

    @ApiModelProperty(value = "公告公示内容")
    private String announcementText;

    @ApiModelProperty(value = "点赞数量")
    private Integer likesTotal;

    @ApiModelProperty(value = "附件")
    private List<AnnexDto> subsidiaryFile;

    @ApiModelProperty(value = "浏览量")
    private Integer viewTotal;

    @ApiModelProperty(value = "创建人")
    private String createUserName;

    @ApiModelProperty(value = "来源")
    private String orgName;
}
