package com.crunii.micro.service.qzh.api.domain.dto.announcement;

import com.crunii.micro.service.qzh.api.domain.dto.activity.YcqAllOrganization;
import com.crunii.micro.service.qzh.api.domain.dto.document.AnnexDto;
import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "CreateAnnouncementReqDTO", description = "创建公告公示请求参数")
public class CreateAnnouncementReqDTO {

    @ApiModelProperty(value = "编辑时传参")
    private Long id;

    @NotBlank(message = "公告标题不能为空")
    @ApiModelProperty(value = "公告标题")
    private String announcementTitle;

    @NotNull(message = "公告类型不能为空")
    @ApiModelProperty(value = "公告类型,1突击队,2文明号,3示范岗,4权益岗,5其他")
    private Integer announcementType;

    @ApiModelProperty(value = "封面")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "关联申报工单")
    private List<ApplyOrder> applyOrders;

    @NotNull(message = "公开范围不能为空")
    @ApiModelProperty(value = "公开范围,(1全部,2对内,3对外)")
    private Integer openCompetence;

    @ApiModelProperty(value = "状态,(1已发布,2已下架)")
    private Integer state;

    @ApiModelProperty(value = "附件")
    private List<AnnexDto> subsidiaryFile;

    @NotBlank(message = "内容不能为空")
    @ApiModelProperty(value = "公告公示内容")
    private String announcementText;

    @ApiModelProperty(value = "权限组织")
    private List<YcqAllOrganization> authorityOrgs;
    
}