package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * @author wangchen create 2023/11/13 17:34
 */
@Data
@ApiModel(description = "青年号申报创建")
public class CivilizationReportDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long declarationId;

    @ApiModelProperty("申报类型")
    @NotNull(message = "申报类型不能为空")
    private Integer declarationType;

    @ApiModelProperty("关联政策id")
    private Long docId;

    @ApiModelProperty("集体名称")
    @NotBlank(message = "关联政策id不能为空")
    private String collectiveName;

    @ApiModelProperty("所在单位")
    @NotBlank(message = "所在单位不能为空")
    private String unit;

    @ApiModelProperty("创建（复核）类别")
    @NotNull(message = "关创建（复核）类别不能为空")
    private Integer category;

    @ApiModelProperty("组织名称")
    private String orgName;

    @ApiModelProperty("组织id")
    @NotNull(message = "组织id不能为空")
    private Long orgId;

    @ApiModelProperty("号长姓名")
    @NotBlank(message = "号长姓名不能为空")
    private String declarationName;

    @ApiModelProperty("身份证号")
    @NotBlank(message = "身份证号不能为空")
    @Pattern(regexp = "^[1-9]\\d{5}(18|19|([23]\\d))\\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\\d{3}[0-9Xx]$", message = "身份证号码格式错误")
    private String idCard;

    @ApiModelProperty("手机号")
    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp = "0?(13|14|15|18|17)[0-9]{9}",message = "手机号格式错误")
    private String phoneNumber;

    @ApiModelProperty("微信号")
    @NotBlank(message = "微信号不能为空")
    private String wechat;

    @ApiModelProperty("分布类型")
    @NotNull(message = "分布类型不能为空")
    private Integer distribution;

    @ApiModelProperty("职工个数")
    @NotNull(message = "职工个数不能为空")
    private Integer employeesNumber;

    @ApiModelProperty("35岁以下青年人数")
    @NotNull(message = "35岁以下青年人数不能为空")
    private Integer under35;

    @ApiModelProperty("中国国籍人员数量")
    @NotNull(message = "中国国籍人员数量人数不能为空")
    private Integer countrymenNumber;

    @ApiModelProperty("流程实例id")
    private String flowInstanceId;

    @ApiModelProperty("曾被认定类别")
    @NotBlank(message = "曾被认定类别不能为空")
    private String beforeCategory;

    @ApiModelProperty("是否草稿 0创建 1为草稿")
    private Integer draft;
}
