package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wangchen create 2023/11/13 17:34
 */
@Data
@ApiModel(description = "青年号申报分页查询内容")
public class CivilizationReportVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long declarationId;

    @ApiModelProperty("申报编号")
    private String declarationCode;

    @ApiModelProperty("申报类型")
    private Integer declarationType;

    @ApiModelProperty("流程实例id")
    private String flowInstanceId;

    @ApiModelProperty("申报类型翻译")
    @PropertyTranslate(propertyCode = "wmh_declaration_type",valueFiled = "declarationType")
    private String declarationTypeTrans;

    @ApiModelProperty("集体名称")
    private String collectiveName;

    @ApiModelProperty("所在单位")
    private String unit;

    @ApiModelProperty("创建（复核）类别")
    private Integer category;

    @ApiModelProperty("创建（复核）类别翻译")
    @PropertyTranslate(propertyCode = "wmh_rating_level",valueFiled = "category")
    private String categoryTrans;

    @ApiModelProperty("所属团组织")
    private String orgName;

    @ApiModelProperty("分布类型")
    private Integer distribution;

    @ApiModelProperty("分布类型翻译")
    @PropertyTranslate(propertyCode = "wmh_distribution",valueFiled = "distribution")
    private String distributionTrans;

    @ApiModelProperty("政策名称")
    private String docName;

    @ApiModelProperty("号长名字")
    private String declarationName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("手机号")
    private String phoneNumber;

    @ApiModelProperty("微信号")
    private String wechat;

    @ApiModelProperty("创建人")
    private String workerName;

    @ApiModelProperty("创建人")
    private Integer creatorId;

    @ApiModelProperty("创建时间（申请时间）")
    private Date createTime;

    @ApiModelProperty("上一环节审核意见")
    private Integer lastReviewComments;

    @ApiModelProperty("上一环节审核意见翻译")
    @PropertyTranslate(propertyCode = "wmh_last_review_comments",valueFiled = "lastReviewComments")
    private String lastReviewCommentsTrans;

    @ApiModelProperty("审核状态")
    private Integer auditState;

    @ApiModelProperty("审核状态翻译")
    @PropertyTranslate(propertyCode = "wmh_audit_state",valueFiled = "auditState")
    private String auditStateTrans;

    @ApiModelProperty("职工个数")
    private Integer employeesNumber;

    @ApiModelProperty("35岁以下青年人数")
    private Integer under35;

    @ApiModelProperty("35岁以下青年人数")
    private String under35Proportion;

    @ApiModelProperty("中国国籍人员数量")
    private Integer countrymenNumber;

    @ApiModelProperty("中国国籍人员数量")
    private String countrymenNumberProportion;

    @ApiModelProperty(value = "曾被认定类别",notes = "")
    private String beforeCategory;

    @ApiModelProperty("pdf文件名称")
    private String reportName;

    @ApiModelProperty("是否存在报备表 true存在")
    private boolean isExistReport;

    @ApiModelProperty("操作状态 0可查看 1可操作")
    private int handleState;

    @ApiModelProperty("是否是号长 0 不是号长 1是号张")
    private int isDeclarationName;
}
