package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import com.crunii.micro.core.annotation.PropertyTranslate;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/11/14 17:11
 */
@Data
@ApiModel("查询青年文明号申报-变更记录VO")
public class QueryDeclarationRecordChangeVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "申报id",notes = "")
    private Long changeId;

    @ApiModelProperty(value = "申报id",notes = "")
    private Long declarationId;

    @ApiModelProperty(value = "申报编号",notes = "")
    private String declarationCode;

    @ApiModelProperty(value = "集体名称",notes = "")
    private String collectiveName;

    @ApiModelProperty(value = "所在单位",notes = "")
    private String unit;

    @ApiModelProperty(value = "创建（复核）类别",notes = "")
    private Integer category;

    @ApiModelProperty(value = "创建（复核）类别翻译",notes = "")
    @PropertyTranslate(propertyCode = "wmh_rating_level",valueFiled = "category")
    private String categoryText;

    @ApiModelProperty(value = "所属团组织",notes = "")
    private Long orgId;

    @ApiModelProperty(value = "所属团组织名称",notes = "")
    private String orgName;

    @ApiModelProperty(value = "号长名字",notes = "")
    private String declarationName;

    @ApiModelProperty(value = "身份证号",notes = "")
    private String idCard;

    @ApiModelProperty(value = "手机号",notes = "")
    private String phoneNumber;

    @ApiModelProperty(value = "微信号",notes = "")
    private String wechat;

    @ApiModelProperty(value = "分布类型",notes = "")
    private Integer distribution;

    @ApiModelProperty(value = "分布类型翻译",notes = "")
    @PropertyTranslate(propertyCode = "wmh_distribution",valueFiled = "distribution")
    private String distributionText;

    @ApiModelProperty(value = "变更审核状态",notes = "")
    private Integer auditState;

    @ApiModelProperty(value = "变更审核状态翻译",notes = "")
    @PropertyTranslate(propertyCode = "wmh_captain_audit_state",valueFiled = "auditState")
    private String auditStateText;

    @ApiModelProperty(value = "申报类型",notes = "")
    private Integer declarationType;

    @ApiModelProperty(value = "申报类型翻译",notes = "")
    @PropertyTranslate(propertyCode = "wmh_distribution",valueFiled = "declarationType")
    private String declarationTypeText;

    @ApiModelProperty(value = "变更状态（1变更号长）",notes = "")
    private Integer changeState;

    @ApiModelProperty(value = "变更类型翻译",notes = "")
    @PropertyTranslate(propertyCode = "wmh_change_type",valueFiled = "changeState")
    private String changeStateText;

    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;

    @ApiModelProperty(value = "创建人名字",notes = "")
    private String workerName;

    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("能否审核")
    private boolean whetherAudit;

}
