package com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wangchen create 2023/11/14 10:13
 */
@Data
@ApiModel(description = "批量审核参数")
public class ReviewDto  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("审核类型 1 批量初评 2 批量审核 3 批量初核")
    @NotNull(message = "审核类型不能为空")
    private Integer auditType;

    @ApiModelProperty("1 通过 2拒绝")
    @NotNull(message = "审核结果不能为空")
    private Integer auditResult;

    @ApiModelProperty("当前审核状态")
    @NotNull(message = "审核状态不能为空")
    private Integer auditState;

    @ApiModelProperty("评定等级 命名结果传入")
    private Integer ratingLevel;

    @ApiModelProperty("申报id")
    @NotNull(message = "申报id不能为空")
    private List<Long> declarationIds;

    @ApiModelProperty("原因")
    private String reason;
}
