package com.crunii.micro.service.qzh.api.domain.dto.commandDo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 突击队流程返回体
 * @date: 2023/9/16 15:26
 */
@ApiModel(value = "突击队流程返回体", description = "突击队流程返回体")
@Data
public class CommandoFlowRespDTO {

    @ApiModelProperty(value = "突击队编码")
    private String commandoCode;

    @ApiModelProperty(value = "流程环节名称")
    private String dealFlowName;

    @ApiModelProperty(value = "处理人")
    private String dealWorker;

    @ApiModelProperty(value = "处理人组织")
    private String dealOrgName;

    @ApiModelProperty(value = "处理时间")
    private String dealTime;


    @ApiModelProperty(value = "处理状态 （草稿 1 待审核2  已通过3  已驳回4  5 不通过） ")
    private Integer dealState;

    @ApiModelProperty(value = "处理人意见")
    private String dealAdvice;

    @ApiModelProperty(name = "申请流程版本号", notes = "申请流程版本号")
    private Integer batchNoChange;

    @ApiModelProperty(name = "申请时的批次号", notes = "申请时的批次号")
    private Integer batchNoApply;

    @ApiModelProperty(name = "变更流程的次数", notes = "变更流程的次数")
    private Integer applyChangeNum;


    @ApiModelProperty(value = "附件信息")
    private List<FileDTO> file;
}
