package com.crunii.micro.service.qzh.api.domain.dto.commandDo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 申请突击队参数
 * @date: 2023/9/16 15:26
 */
@ApiModel(value = "申请突击队参数", description = "申请突击队参数")
@Data
public class SaveCommandoReqDTO {

    //主键id
    private Long id;
    /**
     * 文件id
     */
    private String businessId;
    /**
     * 突击队名称
     */
    private String commandoName;
    /**
     * 文件名
     */
    private String fileName;
    /**
     * 文件类型
     */
    private String fileType;
    /**
     * 附件地址
     */
    private String fileUrl;
    /**
     * 所属团组织
     */
    private String groupOrgId;
    /**
     * 所属团组织名字
     */
    private String groupOrgName;
    /**
     * 是否为三年行动计划突击队（1是 0否）
     */
    private Integer haveThreeYearPlan;
    /**
     * 人数
     */
    private Long personNum;
    /**
     * 建设项目名称
     */

    private String projectName;
    /**
     * 队长身份证号
     */
    private String teamLeaderCard;
    /**
     * 队长姓名
     */
    private String teamLeaderName;
    /**
     * 队长电话
     */
    private String teamLeaderPhone;
    /**
     * 所属类别
     */
    private String type;
    /**
     * 工作任务情况
     */
    private String workSituation;

    @ApiModelProperty(value = "附件")
    private List<FileDTO> saveFile;


    /**
     * 保存的类型  （如果是草稿 传0   如果是正式数据 传1）
     */
    private String isDraft;


    // @date: 2023/10/7 18:22  新增字段分布类型
    private String distribution;

}