package com.crunii.micro.service.qzh.api.domain.dto.document;

import com.crunii.micro.service.qzh.api.domain.dto.activity.YcqAllOrganization;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@ApiModel(value = "CreateDocumentReqDTO", description = "创建政策请求参数")
@Data
@Validated
public class CreateDocumentReqDTO {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "申请类型 (1新建,2复核)")
    private Integer applyType;

    @ApiModelProperty(value = "有效开始时间")
    private Date beginTime;

    @ApiModelProperty(value = "封面信息")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "政策文件号")
    private String documentNum;

    @NotBlank(message = "政策内容不能为空")
    @ApiModelProperty(value = "政策内容")
    private String documentText;

    @NotBlank(message = "政策标题不能为空")
    @ApiModelProperty(value = "政策标题")
    private String documentTitle;

    @NotNull(message = "政策类型不能为空")
    @ApiModelProperty(value = "政策类型,1突击队,2文明号,3示范岗,4权益岗")
    private Integer documentType;

    @ApiModelProperty(value = "有效结束时间")
    private Date endTime;

    @NotNull(message = "开放范围不能为空")
    @ApiModelProperty(value = "开放范围,(1全部,2对内,3对外)")
    private Integer openCompetence;

    @ApiModelProperty(value = "状态,(1已发布,2已下架)")
    private Integer state;

    @ApiModelProperty(value = "附件")
    private List<AnnexDto> subsidiaryFile;

    @NotNull(message = "申报入口不能为空")
    @ApiModelProperty(value = "添加申报入口(1是 2否")
    private String applyEntrance;

    @ApiModelProperty(value = "权限组织")
    private List<YcqAllOrganization> authorityOrgs;
}

