package com.crunii.micro.service.qzh.api.domain.dto.document;

import com.crunii.micro.service.qzh.api.domain.dto.document.AnnexDto;
import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @program: microservice
 * @description: 活动报告req
 * @author: xiang xin
 * @create: 2024-01-15 15:40
 */
@Data
public class CreateEventReportDTO {
    @ApiModelProperty(value = "封面")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "附件")
    private List<AnnexDto> annexDtoList;
    /**
     * id
     */
    @ApiModelProperty(name = "id")
    private Long id;
    /**
     * 活动报道标题
     */
    @NotBlank(message = "活动报道标题不能为空")
    @ApiModelProperty(name = "活动报道标题")
    private String reportTitle;
    /**
     * 活动报道状态
     */
    @ApiModelProperty(name = "活动报道状态 1未发布、2已发布、3已下架")
    private Integer reportType;
    /**
     * 活动报道正文
     */
    @NotBlank(message = "活动报道正文不能为空")
    @ApiModelProperty(name = "活动报道正文")
    private String reportText;
    /**
     * 关联活动ID
     */
    @NotBlank(message = "关联活动不能为空")
    @ApiModelProperty(name = "关联活动ID")
    private String activityId;
}
