// DocumentDetailsRsp.java

package com.crunii.micro.service.qzh.api.domain.dto.document;

import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "DocumentDetailsRsp", description = "查看政策详情返回参数")
public class DocumentDetailsRspDTO {

    private Long id;

    @ApiModelProperty(value = "申请类型名称")
    private String applyName;

    @ApiModelProperty(value = "申请类型")
    private Integer applyType;

    @ApiModelProperty(value = "有效开始时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date beginTime;

    @ApiModelProperty(value = "有效结束时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date endTime;

    @ApiModelProperty(value = "来源")
    private String orgName;

    @ApiModelProperty(value = "封面数组")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "政策文件号")
    private String documentNum;

    @ApiModelProperty(value = "政策内容")
    private String documentText;

    @ApiModelProperty(value = "政策标题")
    private String documentTitle;

    @ApiModelProperty(value = "政策类型,1突击队,2文明号,3示范岗,4权益岗")
    private Integer documentType;

    @ApiModelProperty(value = "政策类型名称")
    private String documentTypeName;


    @ApiModelProperty(value = "开放范围,(1对内,2对外,3全部)")
    private Integer openCompetence;

    @ApiModelProperty(value = "开放范围名称")
    private String openCompetenceName;


    @ApiModelProperty(value = "状态,(1已公示,2已退回,3已下架)")
    private Integer state;

    @ApiModelProperty(value = "状态名称")
    private String stateName;

    @ApiModelProperty(value = "附件数组")
    private List<AnnexDto> subsidiaryFile;

    @ApiModelProperty(value = "是否填写申请入口")
    private String applyEntrance;

    @ApiModelProperty(value = "浏览量")//app
    private Integer viewTotal;

    @ApiModelProperty(value = "发布时间")//app
    private Date createTime;

    @ApiModelProperty(value = "发布者")//app
    private String createUserName;

}
