package com.crunii.micro.service.qzh.api.domain.dto.document;

import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @program: microservice
 * @description: 活动报告分页Resp
 * @author: xiang xin
 * @create: 2024-01-15 15:42
 */
@Data
public class PageEventReportRespDTO {
    @ApiModelProperty(value = "封面")
    private List<CoverImageDto> coverImageFile;

    @ApiModelProperty(value = "附件")
    private List<AnnexDto> annexDtoList;
    /**
     * 主键
     */
    @ApiModelProperty(name = "主键")
    private Long id;
    /**
     * 活动报道标题
     */
    @ApiModelProperty(name = "活动报道标题")
    private String reportTitle;
    /**
     * 活动报道状态
     */
    @ApiModelProperty(name = "活动报道状态")
    private Integer reportType;
    /**
     * 活动报道状态名称
     */
    @ApiModelProperty(name = "活动报道状态名称")
    private String reportTypeName;
    /**
     * 活动报道正文
     */
    @ApiModelProperty(name = "活动报道正文")
    private String reportText;
    /**
     * 关联活动ID
     */
    @ApiModelProperty(name = "关联活动ID")
    private String activityId;
    /**
     * 关联活动ID
     */
    @ApiModelProperty(name = "关联活动名称")
    private String activityName;
    /**
     * 发布人Id
     */
    @ApiModelProperty(name = "发布人Id")
    private Long createdId;
    /**
     * 发布人名称
     */
    @ApiModelProperty(name = "发布人名称")
    private String createdName;
    /**
     * 发布人组织id
     */
    @ApiModelProperty(name = "发布人组织id")
    private String createdOrgId;
    /**
     * 发布人组织名称
     */
    @ApiModelProperty(name = "发布人组织名称")
    private String createdOrgName;
    /**
     * 发布时间
     */
    @JsonSerialize(using = DateTimeSerializer.class)
    @ApiModelProperty(name = "发布时间")
    private Date createdTime;
    /**
     * 展示按钮
     */
    @ApiModelProperty(name = "展示按钮 1展示 0不展示")
    private Integer isShow;
}
