package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 青创政策-政策管理DTO
 */
@Data
public class YcqYouthStartDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "政策标题")
    @NotNull(message = "政策标题不能为空！")
    @Size(max = 150,message = "不超过150个字符!")
    private String policyTitle;

    @ApiModelProperty(value = "发文号")
    @Size(max = 50,message = "不超过50个字符!")
    private String issueNumber;

    @ApiModelProperty(value = "政策层级")
    @NotNull(message = "政策层级不能为空！")
    private Integer policyLevel;

    @ApiModelProperty(value = "政策类型")
    @NotNull(message = "政策类型不能为空！")
    private Integer policyType;

    @ApiModelProperty(value = "发布者")
    private String publisher;

    @ApiModelProperty(value = "开始发布时间")
    private String startPublishTime;

    @ApiModelProperty(value = "结束发布时间")
    private String endPublishTime;

    @ApiModelProperty(value = "状态 1公示 0下架")
    private Integer dataState;

    @ApiModelProperty(value = "政策正文")
    private String policyText;

    @ApiModelProperty(value = "文件VO集合")
    List<CommonFile> files;

    @ApiModelProperty(value = "1 置顶")
    private Integer isTop;
}
