package com.crunii.micro.service.qzh.api.domain.dto.rightsProtection;

import com.crunii.micro.common.enums.PolicyLevelEnums;
import com.crunii.micro.common.enums.PolicyTypeEnums;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 青创政策-政策管理VO
 */
@Data
public class YcqYouthStartVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "政策标题")
    private String policyTitle;

    @ApiModelProperty(value = "发文号")
    private String issueNumber;

    @ApiModelProperty(value = "政策层级")
    private Integer policyLevel;

    @ApiModelProperty(value = "政策层级名称")
    private String policyLevelName;

    @ApiModelProperty(value = "政策类型")
    private Integer policyType;

    @ApiModelProperty(value = "政策类型名称")
    private String policyTypeName;

    @ApiModelProperty(value = "发布者")
    private String publisher;

    @ApiModelProperty(value = "发布者ID")
    private String publisherId;

    @ApiModelProperty(value = "发布时间")
    private String publishTime;

    @ApiModelProperty(value = "浏览量")
    private Integer viewCount;

    @ApiModelProperty(value = "状态 1公示 0下架")
    private Integer dataState;

    @ApiModelProperty(value = "政策正文")
    private String policyText;

    @ApiModelProperty(value = "文件VO集合")
    List<CommonFile> files;

    @ApiModelProperty(value = "优先级")
    private Integer priority;

    public void setPolicyLevel(Integer policyLevel) {
        this.policyLevel = policyLevel;
        this.policyLevelName = PolicyLevelEnums.getDescriptionByCode(policyLevel);
    }

    public void setPolicyType(Integer policyType) {
        this.policyType = policyType;
        this.policyTypeName = PolicyTypeEnums.getDescriptionByCode(policyType);
    }
}
