package com.crunii.micro.service.qzh.api.enums;

public enum ActivityAuditStatusEnum {

    /**
     * 活动审核状态 0 待审核 1审核通过  2审核通过向上级提交审核 3审核不通过
     */

    WAIT_AUDIT(0, "待审核"),
    AUDIT_SUCCESS(1, "审核通过"),
    NEXT_AUDIT(2, "审核通过并交上级审核"),
    AUDIT_REJECT(3, "不通过");

    ActivityAuditStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private final Integer code;

    private final String name;

    public String getName(){
        return this.name;
    }

    public Integer getCode(){
        return this.code;
    }

    public static String findByCode(Integer code) {
        if (null == code){
            return null;
        }
        for (ActivityAuditStatusEnum value : ActivityAuditStatusEnum.values()) {
            if (value.getCode().equals(code)) {
                return value.getName();
            }
        }
        return null;
    }
}
