package com.crunii.micro.service.qzh.api.enums;

public enum ActivityButtonStateEnum {

    REGISTER(1, "立即报名"),
    SIGN_IN_NOW(2, "立即签到"),
    SIGN_OUT_NOW(3, "立即签退"),
    EDIT(4, "内容填写"),
    FULL_REGISTRATION(5, "已报满"),
    REJECT(6, "被退回"),
    HIDE(7, "不展示"),
    ;


    ActivityButtonStateEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private final Integer code;

    private final String name;

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static Integer findCodeByVal(String name) {
        for (TopicTypeEnum value : TopicTypeEnum.values()) {
            if (value.getName().equals(name)) {
                return value.getCode();
            }
        }
        return null;
    }
}
