package com.crunii.micro.service.qzh.api.enums;

public enum ActivityStatusTypeEnum {

    WAIT_AUDIT(1, "待审核"),
    WAIT_PUT_ON_LIST(2, "待发布"),
    NOT_STARTED(3, "未开始"),
    REGISTRATION_IN_PROGRESS(4, "报名中"),
    IN_PROGRESS(5, "进行中"),
    IN_REGISTRATION(6, "签到中"),
    IN_SIGN_OUT(7, "签退中"),
    COMPLETED(8, "已结束"),
    REMOVED(9, "已下架"),
    UNDER_AUDIT(10, "审核中"),
    REJECT(11, "审核不通过");

    ActivityStatusTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private final Integer code;

    private final String name;

    public String getName(){
        return this.name;
    }

    public Integer getCode(){
        return this.code;
    }

    public static String findByCode(Integer code) {
        if (null == code){
            return null;
        }
        for (ActivityStatusTypeEnum value : ActivityStatusTypeEnum.values()) {
            if (value.getCode().equals(code)) {
                return value.getName();
            }
        }
        return null;
    }
}
