package com.crunii.micro.service.qzh.api.enums;

import lombok.Getter;

/**
 * @author lyx
 * @date 2023/9/18
 */
@Getter
public enum LinkStatusEnum {
//申报流程环节-状态对应
	CREATE_0("创建申报","草稿","1000"),
	CREATE_1("区县级主管单位初评","待初评","1001"),
	CREATE_2("区县级团委初评","待初评","1002"),
	CREATE_3("市级主管单位初核","待初核","1003"),
	CREATE_4("市级团委初核","待初核","1004"),
	CREATE_5("市级团委公示","待公示","1005"),
	CREATE_6("公示","公示通过","1006"),
	CREATE_7("创建期","创建中","1007"),

	CHECK_0("复核申报","草稿","2000"),
	CHECK_1("区县级主管单位复核","待复核","2001"),
	CHECK_2("区县级团委复核","待复核","2002"),
	CHECK_3("市级主管单位复核","待复核","2003"),
	CHECK_4("市级团委复核","待复核","2004"),
	CHECK_5("复核通过","复核通过","2005"),
	END("结束","已结束","500");

	private String link;
	private String status;
	private String code;

	LinkStatusEnum(String link, String status, String code) {
		this.link = link;
		this.status = status;
		this.code = code;
	}

	public static String findValByCode(String code) {
		for (LinkStatusEnum value : LinkStatusEnum.values()) {
			if (value.getCode().equals(code)) {
				return value.getLink();
			}
		}
		return "";
	}

	public static String findStatusByCode(String code) {
		for (LinkStatusEnum value : LinkStatusEnum.values()) {
			if (value.getCode().equals(code)) {
				return value.getStatus();
			}
		}
		return "";
	}
}
