package com.crunii.micro.service.qzh.api.enums;

import cn.hutool.core.util.ObjectUtil;
import lombok.Getter;

import java.util.Arrays;
import java.util.Map;
import java.util.stream.Collectors;


/**
 * @author xiangjunming
 * @date 2023/9/4
 */
@Getter
public enum StatusEnum {
    // 停用
    DISABLE("DISABLE", "停用"),
    // 启用
    ENABLE("ENABLE", "启用");

    private StatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private final String code;
    private final String desc;

    public static StatusEnum of(String code) {
        for (StatusEnum value : values()) {
            if (ObjectUtil.equals(value.code, code)) {
                return value;
            }
        }
        return null;
    }

    public static Map<String, String> getCodeDescMap() {
        return Arrays.stream(values())
                .collect(Collectors.toMap(StatusEnum::getCode, StatusEnum::getDesc, (key1, key2) -> key2));
    }
}
