package com.crunii.micro.service.qzh.api.factory;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.OneAffairClient;
import com.crunii.micro.service.qzh.api.domain.dto.StudentCourseCreateReq;
import com.crunii.micro.service.qzh.api.domain.dto.YcqYjsStudentCourse;
import com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet.ExamResetDto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author wangchen create 2023/12/15 14:16
 */
@Slf4j
@Component
public class OneAffairClientFallbackFactory implements FallbackFactory<OneAffairClient> {
    @Override
    public OneAffairClient create(Throwable cause) {
        return new OneAffairClient() {
            @Override
            public Result<Object> resetExamRecords(ExamResetDto dto) {
                log.error("调用接口异常:{}", dto);
                return Result.ofFail("接口调用异常");
            }

            @Override
            public Result<YcqYjsStudentCourse> createStudentCourse(StudentCourseCreateReq createReq) {
                log.error("调用接口异常:{}", createReq);
                return Result.ofFail("接口调用异常");
            }
        };
    }
}
