/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.qzh.api.factory;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.RemoteQzhDemoClient;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoVo;
import com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet.ExamResultDto;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 *
 * @author xiangjunming
 * @date 2023/9/4
 */
@Slf4j
@Component
public class RemoteQzhDemoFallbackFactory implements FallbackFactory<RemoteQzhDemoClient> {

    @Override
    public RemoteQzhDemoClient create(Throwable cause) {
      return new RemoteQzhDemoClient() {
          @Override
          public Result<List<YcqQzhDemoVo>> queryList(YcqQzhDemoDto dto) {
              log.error("调用接口异常:{}", dto);
              return Result.ofFail("接口调用异常");
          }

          @Override
          public Result<String> createExamResult(ExamResultDto dto) {
              log.error("调用接口异常:{}", dto);
              return Result.ofFail("接口调用异常");
          }
      };
    }

}
