package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Entity
@Table(name = "QAG_APPLY_AUTH_REL")
@NamedQuery(name = "QagApplyAuthRel.findAll", query="SELECT t FROM QagApplyAuthRel t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@EqualsAndHashCode(of= {"id"})  
@ApiModel(description = "青安岗岗长变更记录表")
public class QagApplyAuthRel implements Serializable {
    private static final long serialVersionUID = 161408732298633803L;
    
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name ="id")
	@ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 申报id
     */
    @Column(name = "apply_id")
    @ApiModelProperty(value = "申报id")
    private Long applyId;

    /**
     * 组织id
     */
    @Column(name = "org_id")
    @ApiModelProperty(value = "组织id")
    private Long orgId;
}
