package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Entity
@Table(name = "QAG_APPLY_LEADER_CHANGE_LOG")
@NamedQuery(name = "QagApplyLeaderChangeLog.findAll", query="SELECT t FROM QagApplyLeaderChangeLog t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@EqualsAndHashCode(of= {"id"})  
@ApiModel(description = "青安岗岗长变更记录表")
public class QagApplyLeaderChangeLog implements Serializable {
    private static final long serialVersionUID = 161408732298633803L;
    
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name ="id")
	@ApiModelProperty(value = "主键")
    private Long id;
    
    /**
     * 青安岗申报编码
     */
    @Column(name = "code")  
    @ApiModelProperty(value = "青安岗申报编码")  
    private String code;  
    /**
     * 类型
     */
    @Column(name = "TYPE")  
    @ApiModelProperty(value = "类型")  
    private String type;  
    /**
     * 单位名称
     */
    @Column(name = "apply_org_name")  
    @ApiModelProperty(value = "单位名称")  
    private String applyOrgName;  
    /**
     * 所属团组织名称
     */
    @Column(name = "affiliation_org_name")  
    @ApiModelProperty(value = "所属团组织名称")  
    private String affiliationOrgName;  
    /**
     * 所属团组织id
     */
    @Column(name = "affiliation_org_id")  
    @ApiModelProperty(value = "所属团组织id")  
    private String affiliationOrgId;  
    /**
     * 岗长名称
     */
    @Column(name = "leader_name")  
    @ApiModelProperty(value = "岗长名称")  
    private String leaderName;  
    /**
     * 岗长身份证
     */
    @Column(name = "leader_id_card")  
    @ApiModelProperty(value = "岗长身份证")  
    private String leaderIdCard;  
    /**
     * 岗长电话
     */
    @Column(name = "leader_phone")  
    @ApiModelProperty(value = "岗长电话")  
    private String leaderPhone;  
    /**
     * 更新后岗长名称
     */
    @Column(name = "leader_name_new")  
    @ApiModelProperty(value = "更新后岗长名称")  
    private String leaderNameNew;  
    /**
     * 更新后岗长身份证
     */
    @Column(name = "leader_id_card_new")  
    @ApiModelProperty(value = "更新后岗长身份证")  
    private String leaderIdCardNew;  
    /**
     * 更新后岗长电话
     */
    @Column(name = "leader_phone_new")  
    @ApiModelProperty(value = "更新后岗长电话")  
    private String leaderPhoneNew;  
    /**
     * 审核状态（0待初核  1待复核  2已通过 3已驳回）
     */
    @Column(name = "state")
    @ApiModelProperty(value = "审核状态（0待初核  1待复核  2已通过 3已驳回）")
    private Integer state;
    /**
     * 市级审核状态（1待审核，2已通过，3已驳回）
     */
    @Column(name = "remark")
    @ApiModelProperty(value = "申报类别")
    private String remark;
    /**
     * 创建人
     */
    @Column(name = "createdor")  
    @ApiModelProperty(value = "创建人")  
    private String createdor;
    /**
     * 是否删除(0未删除,1删除)
     */
    @Column(name = "is_deleted")
    @ApiModelProperty(value = "是否删除(0未删除,1删除)")
    private Integer isDeleted;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")  
    @ApiModelProperty(value = "创建人ID")  
    private Long createId;  
    /**
     * 创建时间
     */
    @Column(name = "created_time")  
    @ApiModelProperty(value = "创建时间")  
    private LocalDateTime createdTime;
    /**
     * 更新人
     */
    @Column(name = "updatedor")  
    @ApiModelProperty(value = "更新人")  
    private String updatedor;  
    /**
     * 更新人ID
     */
    @Column(name = "update_id")  
    @ApiModelProperty(value = "更新人ID")  
    private Long updateId;  
    /**
     * 更新时间
     */
    @Column(name = "updated_time")  
    @ApiModelProperty(value = "更新时间")  
    private LocalDateTime updatedTime;

    /**
     * 分布类型
     */
    @ApiModelProperty("分布类型")
    @Column(name = "distribution_type")
    private String distributionType;


    @ApiModelProperty("流程实例id")
    @Column(name = "flow_instance_id")
    private String flowInstanceId;

    @ApiModelProperty("流程节点id")
    @Column(name = "node_instance_id")
    private String nodeInstanceId;

    @ApiModelProperty("历史节点")
    @Column(name = "old_node_keys")
    private String oldNodeKeys;

    /**
     * 申报id
     */
    @Column(name = "qag_apply_id")
    @ApiModelProperty(value = "申报id")
    private Long qagApplyId;
}
