package com.crunii.micro.domain.entity.main;

/**
 * @author lmlksy
 * @date 2023/11/23 18:54
 */
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "YCQ_ACTIVITY_IMAGE")
@ApiModel(description = "活动反馈图片表")
@NamedQuery(name = "YcqActivityImage.findAll", query = "SELECT t FROM YcqActivityImage t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqActivityImage implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID", notes = "活动参与详情ID")
    private Long id;

    @Column(name = "image_url")
    @ApiModelProperty(value = "图片URL")
    private String imageUrl;

    @Column(name = "activity_id")
    @ApiModelProperty(value = "活动ID")
    private Long activityId;

    @Column(name = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Column(name = "ycq_activity_participation_details_id")
    @ApiModelProperty(value = "活动反馈表id")
    private Long YcqActivityParticipationDetailsId;



}

