package com.crunii.micro.domain.entity.main;

/**
 * @author lmlksy
 * @date 2023/11/23 18:54
 */
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Entity
@Table(name = "YCQ_ACTIVITY_PARTICIPATION_DETAILS")
@ApiModel(description = "活动参与详情表（活动反馈表）默认模板")
@NamedQuery(name = "YcqActivityParticipationDetails.findAll", query = "SELECT t FROM YcqActivityParticipationDetails t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqActivityParticipationDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID", notes = "活动参与详情ID")
    private Long id;

    @Column(name = "title")
    @ApiModelProperty(value = "活动标题")
    private String title;

    @Column(name = "content")
    @ApiModelProperty(value = "活动内容")
    private String content;

    @Column(name = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Column(name = "activity_id")
    @ApiModelProperty(value = "活动ID")
    private Long activityId;

//    @Column(name = "audit_state")
//    @ApiModelProperty(value = "审核状态，2:待审核；3:已公示")
//    private Integer auditState;
//
//    @Column(name = "audit_time")
//    @ApiModelProperty(value = "内容审核时间")
//    private LocalDateTime auditTime;

    @Column(name = "is_publicity")
    @ApiModelProperty(value = "是否公示 1公示")
    private Integer isPublicity;

    @Column(name = "publicity_time")
    @ApiModelProperty(value = "公示时间")
    private LocalDateTime publicityTime;

    @Column(name = "organization_id")
    @ApiModelProperty(value = "组织id")
    private Long organizationId;

    @Column(name = "publisher")
    @ApiModelProperty(value = "发布者")
    private String publisher;

    @Column(name = "publish_time")
    @ApiModelProperty(value = "发布时间")
    private LocalDateTime publishTime;

    @Column(name = "phone_number")
    @ApiModelProperty(value = "手机号")
    private String phoneNumber;

    @Column(name = "cause")
    @ApiModelProperty(value = "审核原因")
    private String cause;

    @Column(name = "browse_count")
    @ApiModelProperty(value = "浏览量")
    private Integer browseCount;

    @Column(name = "activity_rating")
    @ApiModelProperty(notes = "评分 1~5")
    private Integer activityRating;

    @Column(name = "is_anonymity")
    @ApiModelProperty(notes = "是否匿名 1匿名")
    private Integer isAnonymity;

}

