package com.crunii.micro.domain.entity.main;

/**
 * @author lmlksy
 * @date 2023/11/23 18:54
 */
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.apache.poi.ss.formula.functions.T;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Entity
@Table(name = "YCQ_ACTIVITY_PEOPLE_AUDIT")
@ApiModel(description = "报名审核人员表")
@NamedQuery(name = "YcqActivityPeopleAudit.findAll", query = "SELECT t FROM YcqActivityParticipationDetails t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqActivityPeopleAudit implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID", notes = "主键id")
    private Long id;

    @Column(name = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Column(name = "user_name")
    @ApiModelProperty(value = "用户名称")
    private String userName;

    @Column(name = "phone_number")
    @ApiModelProperty(value = "手机号")
    private String phoneNumber;

    @Column(name = "registration_status")
    @ApiModelProperty(value = "报名状态", notes = "0:不通过;1:通过;2:待审核")
    private Integer registrationStatus;

    @Column(name = "registration_time")
    @ApiModelProperty(value = "报名时间")
    private LocalDateTime registrationTime;

    @Column(name = "registration_audit_time")
    @ApiModelProperty(value = "报名审核时间")
    private LocalDateTime registrationAuditTime;

    @Column(name = "activity_id")
    @ApiModelProperty(value = "活动ID")
    private Long activityId;

    @Column(name = "check_in_time")
    @ApiModelProperty(value = "签到时间")
    private LocalDateTime checkInTime;

    @Column(name = "check_in_result")
    @ApiModelProperty(value = "签到结果")
    private Integer checkInResult;

    @Column(name = "check_out_time")
    @ApiModelProperty(value = "签退时间")
    private LocalDateTime checkOutTime;

    @Column(name = "check_out_result")
    @ApiModelProperty(value = "签退结果")
    private Integer checkOutResult;

    @Column(name = "contact_method")
    @ApiModelProperty(value = "联系方式")
    private String contactMethod;

    @Column(name = "process_state")
    @ApiModelProperty(value = "流程状态")
    private Integer processState;

    @Column(name = "is_deleted")
    @ApiModelProperty(value = "逻辑删除 1 表示删除，0 表示未删除")
    private Integer isDeleted;

    @Column(name = "count_true")
    @ApiModelProperty(value = "定位签到 1已签到 2已签退")
    private Integer countTrue;

    @Column(name = "count_false")
    @ApiModelProperty(value = "扫描签到 1已签到 2已签退")
    private Integer countFalse;

    @Column(name = "cause")
    @ApiModelProperty(value = "审核原因")
    private String cause;

    @Column(name = "no_cause")
    @ApiModelProperty(value = "审核不通过原因")
    private String noCause;

    @Column(name = "auditor")
    @ApiModelProperty(value = "审核人")
    private String auditor;

    @Column(name = "auditor_id")
    @ApiModelProperty(value = "审核人工号id")
    private Long auditorId;

    @Column(name = "send_state")
    @ApiModelProperty(value = "发送状态 1已发送")
    private Integer sendState;

    @ApiModelProperty(value = "性别 男:1 0:女")
    @Column(name = "sex")
    private Integer sex;

    @ApiModelProperty(value = "businessBelongId")
    @Column(name = "business_belong_id")
    private Long businessBelongId;

}

