package com.crunii.micro.domain.entity.main;

/**
 * @author lmlksy
 * @date 2023/11/23 18:54
 */
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Entity
@Table(name = "YCQ_ACTIVITY_PEOPLE_AUDIT_TEMP")
@ApiModel(description = "报名审核人员临时表")
@NamedQuery(name = "YcqActivityPeopleAuditTemp.findAll", query = "SELECT t FROM YcqActivityPeopleAuditTemp t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
public class YcqActivityPeopleAuditTemp implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "ID", notes = "主键id")
    private Long id;

    @Column(name = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Column(name = "user_name")
    @ApiModelProperty(value = "用户名称")
    private String userName;

    @Column(name = "phone_number")
    @ApiModelProperty(value = "手机号")
    private String phoneNumber;

    @Column(name = "registration_status")
    @ApiModelProperty(value = "报名状态", notes = "0:不通过;1:通过;2:待审核")
    private Integer registrationStatus;

    @Column(name = "registration_time")
    @ApiModelProperty(value = "报名时间")
    private LocalDateTime registrationTime;

    @Column(name = "registration_audit_time")
    @ApiModelProperty(value = "报名审核时间")
    private LocalDateTime registrationAuditTime;

    @Column(name = "activity_id")
    @ApiModelProperty(value = "活动ID")
    private Long activityId;

    @Column(name = "checkIn_time")
    @ApiModelProperty(value = "签到时间")
    private LocalDateTime checkInTime;

    @Column(name = "checkIn_result")
    @ApiModelProperty(value = "签到结果")
    private Integer checkInResult;

    @Column(name = "checkOut_time")
    @ApiModelProperty(value = "签退时间")
    private LocalDateTime checkOutTime;

    @Column(name = "checkOut_result")
    @ApiModelProperty(value = "签退结果")
    private Integer checkOutResult;

    @Column(name = "contact_method")
    @ApiModelProperty(value = "联系方式")
    private String contactMethod;

    @Column(name = "process_state")
    @ApiModelProperty(value = "流程状态")
    private Integer processState;

    @Column(name = "data_key")
    @ApiModelProperty(value = "数据key")
    private String dataKey;

    @Column(name = "is_deleted")
    @ApiModelProperty(value = "逻辑删除 1 表示删除，0 表示未删除")
    private Integer isDeleted;

    @Column(name = "count_true")
    @ApiModelProperty(value = "签到成功次数2次")
    private Integer countTrue;

    @Column(name = "count_false")
    @ApiModelProperty(value = "签退失败次数2次")
    private Integer countFalse;
}

