package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @Author zwx
 * @Description 活动报名详情
 * @Date 2023/9/18 17:09:27
 **/
@Entity
@Table(name = "YCQ_ACTIVITY_REGISTER")
@Data
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "活动报名详情")
public class YcqActivityRegister implements Serializable {
    private static final long serialVersionUID = -59381719496127536L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "ID")
    @ApiModelProperty(value = "序号")
    private Integer id;

    /**
     * 姓名
     */
    @Column(name = "NAME")
    @ApiModelProperty(value = "姓名")
    private String name;
    /**
     * 所属组织
     */
    @Column(name = "ORGANIZATION")
    @ApiModelProperty(value = "所属组织")
    private String organization;
    /**
     * 手机号
     */
    @Column(name = "PHONE")
    @ApiModelProperty(value = "手机号")
    private String phone;
    /**
     * 报名时间
     */
    @Column(name = "REGISTER_TIME")
    @ApiModelProperty(value = "报名时间")
    private LocalDateTime registerTime;
    /**
     * 是否删除（1-删除，0-未删除)
     */
    @Column(name = "IS_DELETED")
    @ApiModelProperty(value = "是否删除（1-删除，0-未删除)")
    private Integer isDeleted;
    /**
     * 活动ID
     */
    @Column(name = "ACTIVITY_ID")
    @ApiModelProperty(value = "活动ID")
    private Long activityId;
    /**
     * 用户ID
     */
    @Column(name = "WORKER_ID")
    @ApiModelProperty(value = "用户ID")
    private Integer workerId;
}
