package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author lyx
 * @date 2023/9/4
 */
@Entity
@Table(name = "YCQ_ANSWER_RECORD")
@NamedQuery(name = "YcqAnswerRecord.findAll", query = "SELECT t FROM YcqAnswerRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "答题记录")
public class YcqAnswerRecord implements Serializable {

	private static final long serialVersionUID = 1L;

	/** id */
	@Id
	@GeneratedValue
	@ApiModelProperty(name = "id",notes = "")
	private Integer id ;
	/** 考试记录id */
	@ApiModelProperty(name = "考试记录id",notes = "")
	@Column(name = "exam_rec_id")
	private Integer examRecId ;
	/** 试卷id */
	@ApiModelProperty(name = "试卷id",notes = "")
	@Column(name = "exam_id")
	private Integer examId ;
	/** 题目id */
	@ApiModelProperty(name = "题目id",notes = "")
	@Column(name = "topic_id")
	private Integer topicId ;
	/** 剩余试次数 */
	@ApiModelProperty(name = "剩余考试次数",notes = "")
	@Column(name = "exam_times")
	private Integer examTimes ;
	/** 选项 */
	@ApiModelProperty(name = "选项",notes = "")
	@Column(name = "option")
	private String option ;
	/** 是否正确 */
	@ApiModelProperty(name = "是否正确",notes = "")
	@Column(name = "is_right")
	private Integer isRight ;
	/** 创建人 */
	@ApiModelProperty(name = "创建人",notes = "")
	@Column(name = "create_by")
	private String createBy ;
	/** 创建时间 */
	@ApiModelProperty(name = "创建时间",notes = "")
	@Column(name = "createTime")
	private Date createTime ;
	/** 更新人 */
	@ApiModelProperty(name = "更新人",notes = "")
	@Column(name = "update_by")
	private String updateBy ;
	/** 更新时间 */
	@ApiModelProperty(name = "更新时间",notes = "")
	@Column(name = "updateTime")
	private Date updateTime ;
	/** 是否删除 */
	@ApiModelProperty(name = "是否删除",notes = "")
	@Column(name = "deleted")
	private String deleted ;
}
