package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_APP_DOWN_HIS")
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "app下载-记录表", description = "")
public class YcqAppDownHis implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     *
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "", notes = "")
    private Long id;

    @Column(name = "app_version")
    @ApiModelProperty(value = "文件名称", notes = "")
    private String appVersion;

    /**
     * 创建日期
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建日期", notes = "")
    private Date createTime;

    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人", notes = "")
    private String createBy;
}