package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;


@Entity
@Table(name = "ycq_cxl_tz")
@Data
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "青大参学率台账")
public class YcqCxlTz implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 分公司
     */
    @Column(name = "area_name")
    @ApiModelProperty(value = "分公司/高校/城市")
    private String areaName;

    /**
     * 第几行
     */
    @Column(name = "export_row")
    @ApiModelProperty(value = "第几行(序号)")
    private Integer exportRow;

    /**
     * 列名
     */
    @Column(name = "colum")
    @ApiModelProperty(value = "列名")
    private String colum;

    /**
     * 列值
     */
    @Column(name = "value")
    @ApiModelProperty(value = "参学率")
    private String value;

    /**
     * 导入类型
     */
    @Column(name = "execl_type")
    @ApiModelProperty(value = "导入类型(1区县 2高校 3城市)")
    private Integer execlType;

    /**
     * 账期
     */
    @Column(name = "month_id")
    @ApiModelProperty(value = "账期")
    private String monthId;

    /**
     * 附件id
     */
    @Column(name = "file_id")
    @ApiModelProperty(value = "附件id")
    private String fileId;

    /**
     * 导入时间
     */
    @Column(name = "created_time")
    @ApiModelProperty(value = "导入时间")
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    @Column(name = "created_id")
    @ApiModelProperty(value = "创建人ID")
    private Integer createdId;

    /**
     * 创建人ID
     */
    @Column(name = "colum_num")
    @ApiModelProperty(value = "第几列")
    private Integer columNum;

    /**
     * 团员基数
     */
    @Column(name = "apply_basic")
    @ApiModelProperty(value = "团员基数")
    private Integer applyBasic;

    /**
     * 参学人数
     */
    @Column(name = "value2")
    @ApiModelProperty(value = "参学人数")
    private Integer value2;

    /**
     * 是否是平均列
     */
    @Column(name = "is_avg")
    @ApiModelProperty(value = "是否是平均列 0否1是")
    private Integer isAvg;

    /**
     * 更新时间
     */
    @Column(name = "updated_time")
    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updatedTime;

    /**
     * 更新人ID
     */
    @Column(name = "updated_id")
    @ApiModelProperty(value = "更新人ID")
    private Integer updatedId;

}
