package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;


@Entity
@Table(name = "ycq_cxl_tz_log")
@Data
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "参学率台账导入日志表")
public class YcqCxlTzLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 附件名称
     */
    @Column(name = "file_name")
    @ApiModelProperty(value = "附件名称")
    private String fileName;

    /**
     * 导入人ID
     */
    @Column(name = "import_id")
    @ApiModelProperty(value = "导入人ID")
    private Integer importId;

    /**
     * 导入时间
     */
    @Column(name = "import_time")
    @ApiModelProperty(value = "导入时间")
    private LocalDateTime importTime;

    /**
     * 实际导入条数
     */
    @Column(name = "total_num")
    @ApiModelProperty(value = "实际导入条数")
    private Integer totalNum;

}
