package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

/**
 * @author lyx
 * @date 2023/9/4
 */
@Entity
@Table(name = "YCQ_EXAM_RECORD")
@NamedQuery(name = "YcqExamRecord.findAll", query = "SELECT t FROM YcqExamRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "考试记录")
public class YcqExamRecord implements Serializable {

	private static final long serialVersionUID = 1L;
	/** 考试记录id */
	@Id
	@GeneratedValue
	@ApiModelProperty(name = "考试记录id",notes = "")
	private Long id ;
	/** 试卷id */
	@ApiModelProperty(name = "试卷id",notes = "")
	@Column(name = "exam_id")
	private Integer examId ;
	/** 用户id */
	@ApiModelProperty(name = "用户id",notes = "")
	@Column(name = "user_id")
	private Integer userId ;
	/** 团组织id */
	@ApiModelProperty(name = "团组织id",notes = "")
	@Column(name = "org_id")
	private String orgId ;
	/** 创建人 */
	@ApiModelProperty(name = "创建人",notes = "")
	@Column(name = "create_by")
	private String createBy ;
	/** 创建时间 */
	@ApiModelProperty(name = "创建时间",notes = "")
	@Column(name = "create_time")
	private LocalDate createTime ;
	/** 更新人 */
	@ApiModelProperty(name = "更新人",notes = "")
	@Column(name = "update_by")
	private String updateBy ;
	/** 更新时间 */
	@ApiModelProperty(name = "更新时间",notes = "")
	@Column(name = "update_time")
	private LocalDate updateTime ;
	/** 开始考试时间 */
	@ApiModelProperty(name = "开始考试时间",notes = "")
	@Column(name = "start_time")
	private LocalDate startTime ;
	/** 考试次数 */
	@ApiModelProperty(name = "考试次数",notes = "")
	@Column(name = "exam_times")
	private Integer examTimes ;
	/** 正确题数 */
	@ApiModelProperty(name = "正确题数",notes = "")
	@Column(name = "correct_topic")
	private String correctTopic ;
	/** 考试最高成绩 */
	@ApiModelProperty(name = "考试最高成绩",notes = "")
	@Column(name = "exam_score")
	private Double examScore ;
	/** 考试用时 */
	@ApiModelProperty(name = "考试用时",notes = "")
	@Column(name = "exam_time")
	private Integer examTime ;
	/** 是否通过;0未通过，1通过 */
	@ApiModelProperty(name = "是否通过",notes = "0未通过，1通过")
	@Column(name = "is_pass")
	private Integer isPass ;
	/** 是否删除 */
	@ApiModelProperty(name = "是否删除",notes = "")
	@Column(name = "deleted")
	private String deleted ;

}
