package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.*;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

/**
 * @Author thw
 * @date 2023/9/11
 * @description
 */
@Entity
@Table(name = "YCQ_MIEN_EVALUATE")
@NamedQuery(name = "YcqMienEvaluate.findAll", query = "SELECT t FROM YcqMienEvaluate t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "风采评定表")
public class YcqMienEvaluate implements Serializable {

  private static final long serialVersionUID = 1L;

  /** id */
  @Id
  @GeneratedValue(generator = "idGenerator")
  @ApiModelProperty(name = "id",notes = "主键")
  private Long id ;
  /** 风采主键 */
  @ApiModelProperty(name = "风采主键",notes = "风采主键")
  @Column(name = "mien_id")
  private Long mienId ;
  /** 指标体系主键 */
  @ApiModelProperty(name = "指标体系主键",notes = "指标体系主键")
  @Column(name = "indicator_id")
  private Long indicatorId ;
  /** 创建时间 */
  @ApiModelProperty(name = "创建时间",notes = "创建时间")
  @Column(name = "create_time")
  private LocalDateTime createTime ;
  /** 更新时间 */
  @ApiModelProperty(name = "更新时间",notes = "更新时间")
  @Column(name = "update_time")
  private LocalDateTime updateTime ;
  /** 创建人ID */
  @ApiModelProperty(name = "创建人ID",notes = "创建人ID")
  @Column(name = "create_id")
  private Long createId ;
  /** 修改人ID */
  @ApiModelProperty(name = "修改人ID",notes = "修改人ID")
  @Column(name = "update_id")
  private Long updateId ;
  /** 创建人姓名 */
  @ApiModelProperty(name = "创建人姓名",notes = "创建人姓名")
  @Column(name = "creator_by")
  private String creatorBy ;
  /** 修改人姓名 */
  @ApiModelProperty(name = "修改人姓名",notes = "修改人姓名")
  @Column(name = "update_by")
  private String updateBy ;
  /** 是否删除(0:无效 1:有效) */
  @ApiModelProperty(name = "是否删除(1:无效 0:有效)",notes = "是否删除(1:无效 0:有效))")
  @Column(name = "del_flag")
  private Integer delFlag ;
  /** 解释：0：待评定；1：已通过；2：已驳回 */
  @ApiModelProperty(name = "解释：0：待评定；1：已通过；2：已驳回",notes = "解释：0：待评定；1：已通过；2：已驳回")
  @Column(name = "state")
  private Integer state ;
}
