package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Author zwx
 * @Description 题库表
 * @Date  2023/9/5 10:09:30
 **/
@Entity
@Table(name = "ycq_question_bank")
@NamedQuery(name = "YcqQuestionBank.findAll", query = "SELECT t FROM YcqQuestionBank t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "题库表")
public class YcqQuestionBank implements Serializable {
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 题库名称
     */
    @Column(name = "question_bank_name")
    private String questionBankName;
    /**
     * 单选题数量
     */
    @Column(name = "single_option_count")
    private Integer singleOptionCount;
    /**
     * 多选题数量
     */
    @Column(name = "mulity_option_count")
    private Integer mulityOptionCount;
    /**
     * 判断题数量
     */
    @Column(name = "judgment_count")
    private Integer judgmentCount;
    /**
     * 所属支部ID
     */
    @Column(name = "branch_id")
    private Integer branchId;
    /**
     * 所属支部名称
     */
    @Column(name = "branch_name")
    private String branchName;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建人名称
     */
    @Column(name = "create_name")
    private String creatorName;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新人名称
     */
    @Column(name = "update_name")
    private String updateName;
    /**
     * 创建时间
     */
    @Column(name = "update_time")
    private LocalDateTime updateTime;
}