package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @program: microservice
 * @description: 公告公示和工单关联表
 * @author: xiang xin
 * @create: 2023-09-20 11:14
 */
@Entity
@Table(name = "YCQ_QZH_ANNOUNCEMENT_APPLY")
@NamedQuery(name = "YcqQzhAnnouncementApply.findAll", query = "SELECT t FROM YcqQzhAnnouncementApply t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "公告公示和工单关联表")
public class YcqQzhAnnouncementApply {
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 关联岗位工单ID
     */
    @Column(name = "apply_id")
    private String applyId;
    /**
     * 公告公示ID
     */
    @Column(name = "announcement_id")
    private String announcementId;
    /**
     * 1突击队，2文明号，3示范岗，4权益岗
     */
    @Column(name = "apply_type")
    private Integer applyType;

    /**
     * 关联岗位工单名称
     */
    @Column(name = "apply_name")
    private String applyName;
}
