package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @program: microservice
 * @description: 政策公告风采通用组织存储表
 * @author: xiang xin
 * @create: 2023-09-25 20:06
 */
@Entity
@Table(name = "YCQ_QZH_BUSINESS_ALL")
@NamedQuery(name = "YcqQzhBusinessAll.findAll", query = "SELECT t FROM YcqQzhBusinessAll t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "政策公告风采通用组织存储表")
public class YcqQzhBusinessAll {
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 业务ID
     */
    @Column(name = "business_id")
    private Long businessId;
    /**
     * 组织ID
     */
    @Column(name = "org_id")
    private Long orgId;
    /**
     * 类型 1政策 2公告 3风采
     */
    @Column(name = "business_type")
    private Integer businessType;
}
