package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_QZH_COMMANDO")
@NamedQuery(name = "YcqQzhCommando.findAll", query = "SELECT t FROM YcqQzhCommando t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "突击队表")
public class YcqQzhCommando implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 突击队名字;突击队名字
     */
    @ApiModelProperty(name = "突击队名字", notes = "突击队名字")
    @Column(name = "commando_name")
    private String commandoName;
    /**
     * 项目名字;项目名字
     */
    @ApiModelProperty(name = "项目名字", notes = "项目名字")
    @Column(name = "project_name")
    private String projectName;
    /**
     * 所属团组织名字
     */
    @ApiModelProperty(name = "所属团组织名字", notes = "")
    @Column(name = "group_org_name")
    private String groupOrgName;
    /**
     * 所属团组织id;所属团组织
     */
    @ApiModelProperty(name = "所属团组织id", notes = "所属团组织")
    @Column(name = "group_org_id")
    private String groupOrgId;
    /**
     * 所属类别;所属类别
     */
    @ApiModelProperty(name = "所属类别", notes = "所属类别")
    @Column(name = "type")
    private String type;
    /**
     * 队长姓名;队长姓名
     */
    @ApiModelProperty(name = "队长姓名", notes = "队长姓名")
    @Column(name = "team_leader_name")
    private String teamLeaderName;
    /**
     * 队长身份证号;队长身份证号
     */
    @ApiModelProperty(name = "队长身份证号", notes = "队长身份证号")
    @Column(name = "team_leader_card")
    private String teamLeaderCard;
    /**
     * 队长电话;队长电话
     */
    @ApiModelProperty(name = "队长电话", notes = "队长电话")
    @Column(name = "team_leader_phone")
    private String teamLeaderPhone;
    /**
     * 队员人数;队员人数
     */
    @ApiModelProperty(name = "队员人数", notes = "队员人数")
    @Column(name = "person_num")
    private Long personNum;
    /**
     * 工作任务情况;工作任务情况
     */
    @ApiModelProperty(name = "工作任务情况", notes = "工作任务情况")
    @Column(name = "work_situation")
    private String workSituation;
    /**
     * 政策id;政策id
     */
    @ApiModelProperty(name = "政策id", notes = "政策id")
    @Column(name = "policy_id")
    private String policyId;
    /**
     * 状态;状态
     */
    @ApiModelProperty(name = "状态", notes = "状态")
    @Column(name = "state")
    private Integer state;
    /**
     * 突击队编码
     */
    @ApiModelProperty(name = "突击队编码", notes = "")
    @Column(name = "commando_code")
    private String commandoCode;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    @Column(name = "create_by")
    private String createBy;
    /**
     * 创建人id
     */
    @ApiModelProperty(name = "创建人id", notes = "")
    @Column(name = "create_id")
    private String createId;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 是否删除
     */
    @ApiModelProperty(name = "是否删除", notes = "0是存在 1是删除")
    @Column(name = "del_flag")
    private Integer delFlag;
    /**
     * 乐观锁
     */
    @ApiModelProperty(name = "乐观锁", notes = "")
    @Column(name = "revision")
    private Integer revision;
    /**
     * 更新人id
     */
    @ApiModelProperty(name = "更新人id", notes = "")
    @Column(name = "update_id")
    private String updateId;
    /**
     * 更新人
     */
    @ApiModelProperty(name = "更新人", notes = "")
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间", notes = "")
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 附件;附件
     */
    @ApiModelProperty(name = "附件", notes = "附件")
    @Column(name = "file_url")
    private String fileUrl;
    /**
     * 文件类型
     */
    @ApiModelProperty(name = "文件类型", notes = "")
    @Column(name = "file_type")
    private String fileType;
    /**
     * 文件id
     */
    @ApiModelProperty(name = "文件id", notes = "")
    @Column(name = "file_id")
    private String fileId;
    /**
     * 审核原因
     */
    @ApiModelProperty(name = "审核原因", notes = "")
    @Column(name = "examine_reason")
    private String examineReason;
    /**
     * 文件
     */
    @ApiModelProperty(name = "文件", notes = "")
    @Column(name = "file_name")
    private String fileName;


    @ApiModelProperty(name = "是否为三年行动计划突击队（1是 0否））",notes = "")
    @Column(name = "have_three_year_plan")
    private Integer haveThreeYearPlan ;



    @ApiModelProperty(name = "申请流程版本号",notes = "")
    @Column(name = "batch_no_apply")
    private Integer batchNoApply ;


    @ApiModelProperty(name = "更新队长版本号",notes = "")
    @Column(name = "batch_no_change")
    private Integer batchNoChange ;



    @ApiModelProperty(name = "分布类型",notes = "")
    @Column(name = "distribution")
    private String distribution ;
}