package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_QZH_COMMANDO_FILE")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "突击队附件表")
public class YcqQzhCommandoFile implements Serializable, Cloneable {
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "ID")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 文章id
     */
    @Column(name = "COMMANDO_CODE")
    private String commandoCode;

    /**
     * 文件id
     */
    @Column(name = "file_id")
    private String fileId;

    /**
     * 文件名称
     */
    @Column(name = "file_name")
    private String fileName;

    @Column(name = "name")
    private String name;

    /**
     * 文件key
     */
    @Column(name = "file_key")
    private String fileKey;

    /**
     * 文件类型
     */
    @Column(name = "file_type")
    private String fileType;

    /**
     * 文件大小
     */
    @Column(name = "file_size")
    private Integer fileSize;

    /**
     * 文件状态
     */
    @Column(name = "state")
    private Integer state;

    @Column(name = "type")
    private Integer type;

    /**
     * 文件路径
     */
    @Column(name = "file_url")
    private String fileUrl;

    /**
     * 文件路径
     */
    @Column(name = "create_time")
    private Date createTime;


    @ApiModelProperty(name = "申请时的批次号", notes = "申请时的批次号")
    @Column(name = "BATCH_NO_APPLY")
    private Integer batchNoApply;
}
