package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_QZH_COMMANDO_FLOW")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "突击队流程记录表")
public class YcqQzhCommandoFlow implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(name = "突击队编码", notes = "突击队编码")
    @Column(name = "COMMANDO_CODE")
    private String commandoCode;

    @ApiModelProperty(name = "1为申请流程，2为变更流程", notes = "1为申请流程，2为变更流程")
    @Column(name = "FLOW_TYPE")
    private Integer flowType;


    @ApiModelProperty(name = "流程环节名称", notes = "流程环节名称")
    @Column(name = "FLOW_NAME")
    private String flowName;


    @ApiModelProperty(name = "变更队长时的批次号", notes = "变更队长时的批次号")
    @Column(name = "BATCH_NO_CHANGE")
    private Integer batchNoChange;



    @ApiModelProperty(name = "申请时的批次号", notes = "申请时的批次号")
    @Column(name = "BATCH_NO_APPLY")
    private Integer batchNoApply;


    @ApiModelProperty(name = "队长姓名", notes = "队长姓名")
    @Column(name = "FLOW_WORKER")
    private String flowWorker;

    @ApiModelProperty(name = "队长人员编码", notes = "队长人员编码")
    @Column(name = "FLOW_WORKER_CODE")
    private String flowWorkerCode;

    @ApiModelProperty(name = "队长分公司", notes = "队长分公司")
    @Column(name = "FLOW_WORKER_ORG")
    private String flowWorkerOrg;

    @ApiModelProperty(name = "队长分公司di", notes = "队长分公司id")
    @Column(name = "FLOW_WORKER_ORG_ID")
    private String flowWorkerOrgId;

    @ApiModelProperty(name = "流程创建时间", notes = "流程创建时间")
    @Column(name = "FLOW_CREATE_TIME")
    private Date flowCreateTime;


    @ApiModelProperty(name = "处理意见", notes = "处理意见")
    @Column(name = "DEAL_TEXT")
    private String dealText;

    @ApiModelProperty(name = "状态（1草稿，2待审核，3通过，4驳回，5不通过）", notes = "状态（1草稿，2待审核，3通过，4驳回，5不通过）")
    @Column(name = "STATE")
    private long state;

    @ApiModelProperty(name = "变更流程的次数", notes = "变更流程的次数")
    @Column(name = "APPLY_CHANGE_NUM")
    private Integer applyChangeNum;


    @ApiModelProperty(name = "申请人", notes = "申请人")
    @Column(name = "APPLY_WORKER")
    private String applyWorker;
    @ApiModelProperty(name = "申请人code", notes = "申请人")
    @Column(name = "APPLY_WORKER_CODE")
    private String applyWorkerCode;
    @ApiModelProperty(name = "申请人", notes = "申请人")
    @Column(name = "APPLY_TIME")
    private Date applyTime;

}