package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_QZH_COMMANDO_LOG")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "突击队更改队长日志表")
public class YcqQzhCommandoLog implements Serializable, Cloneable {

	@Id
	@GeneratedValue(generator = "idGenerator")
	@Column(name = "id")
	@ApiModelProperty(value = "id")
	private Long id;

	/**
	 * 突击队编码
	 */
	@ApiModelProperty(name = "突击队编码", notes = "")
	@Column(name = "commando_code")
	private String commandoCode;

	/**
	 * 队长姓名;队长姓名
	 */
	@ApiModelProperty(name = "队长姓名", notes = "队长姓名")
	@Column(name = "team_leader_name")
	private String teamLeaderName;
	/**
	 * 队长身份证号;队长身份证号
	 */
	@ApiModelProperty(name = "队长身份证号", notes = "队长身份证号")
	@Column(name = "team_leader_card")
	private String teamLeaderCard;
	/**
	 * 队长电话;队长电话
	 */
	@ApiModelProperty(name = "队长电话", notes = "队长电话")
	@Column(name = "team_leader_phone")
	private String teamLeaderPhone;

	/**
	 * 队长姓名;队长姓名
	 */
	@ApiModelProperty(name = "变更后队长姓名", notes = "队长姓名")
	@Column(name = "team_leader_name_new")
	private String teamLeaderNameNew;
	/**
	 * 队长身份证号;队长身份证号
	 */
	@ApiModelProperty(name = "变更后队长身份证号", notes = "队长身份证号")
	@Column(name = "team_leader_card_new")
	private String teamLeaderCardNew;
	/**
	 * 队长电话;队长电话
	 */
	@ApiModelProperty(name = "变更后队长电话", notes = "队长电话")
	@Column(name = "team_leader_phone_new")
	private String teamLeaderPhoneNew;

	/**
	 * 状态;状态
	 */
	@ApiModelProperty(name = "批次号", notes = "批次号")
	@Column(name = "batch_no")
	private Integer batchNo;

	/**
	 * 状态;状态
	 */
	@ApiModelProperty(name = "状态", notes = "(草稿 1 待审核2  已通过3  已驳回4   不通过就是草稿状态   （1和4不在流程内）)")
	@Column(name = "state")
	private Integer state;

	/**
	 * 乐观锁
	 */
	@ApiModelProperty(name = "乐观锁", notes = "")
	@Column(name = "revision")
	private Integer revision;

	/**
	 * 创建人
	 */
	@ApiModelProperty(name = "创建人", notes = "")
	@Column(name = "create_by")
	private String createBy;
	/**
	 * 创建人id
	 */
	@ApiModelProperty(name = "创建人id", notes = "")
	@Column(name = "create_id")
	private String createId;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(name = "创建时间", notes = "")
	@Column(name = "create_time")
	private Date createTime;

	/**
	 * 更新人id
	 */
	@ApiModelProperty(name = "更新人id", notes = "")
	@Column(name = "update_id")
	private String updateId;
	/**
	 * 更新人
	 */
	@ApiModelProperty(name = "更新人", notes = "")
	@Column(name = "update_by")
	private String updateBy;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(name = "更新时间", notes = "")
	@Column(name = "update_time")
	private Date updateTime;

	/**
	 * 是否删除
	 */
	@ApiModelProperty(name = "是否删除", notes = "")
	@Column(name = "del_flag")
	private Integer delFlag;
}