package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_QZH_COMMANDO_ORG")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "突击队表组织表")
public class YcqQzhCommandoOrg implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 所属团组织id;所属团组织
     */
    @ApiModelProperty(name = "所属团组织id", notes = "所属团组织")
    @Column(name = "org_id")
    private Long orgId;

    /**
     * 突击队编码
     */
    @ApiModelProperty(name = "突击队编码", notes = "")
    @Column(name = "commando_code")
    private String commandoCode;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "create_time")
    private Date createTime;

}