package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_QZH_COMMANDO_POINT")
@NamedQuery(name = "YcqQzhCommandoPoint.findAll", query = "SELECT t FROM YcqQzhCommandoPoint t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "突击队表分数")
public class YcqQzhCommandoPoint implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "ID")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 突击队名字;突击队名字
     */
    @ApiModelProperty(name = "突击队名字", notes = "突击队名字")
    @Column(name = "COMMANDO_NAME")
    private String commandoName;
    /**
     * 突击队code
     */
    @ApiModelProperty(name = "突击队code", notes = "突击队code")
    @Column(name = "COMMANDO_CODE")
    private String commandoCode;


    /**
     * 分数
     */
    @ApiModelProperty(name = "分数", notes = "分数")
    @Column(name = "POINT")
    private Integer point;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "CREATE_TIME")
    private Date createTime;

}