package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "YCQ_QZH_COMMANDO_REVIWED")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "突击队表")
public class YcqQzhCommandoReviwed implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     /**
     * 突击队编码
     */
    @ApiModelProperty(name = "突击队编码", notes = "")
    @Column(name = "commando_code")
    private String commandoCode;


    /**
     * 突击队编码
     */
    @ApiModelProperty(name = "审核人", notes = "")
    @Column(name = "REVIEWED_WORKER")
    private String reviewedWorker;


    /**
     * 突击队编码
     */
    @ApiModelProperty(name = "审核人编码", notes = "")
    @Column(name = "REVIEWED_WORKER_CODE")
    private String reviewedWorkerCode;




    @ApiModelProperty(name = "申请流程版本号",notes = "")
    @Column(name = "batch_no_apply")
    private Integer batchNoApply ;


    @ApiModelProperty(name = "更新队长版本号",notes = "")
    @Column(name = "batch_no_change")
    private Integer batchNoChange ;



    @ApiModelProperty(name = "更新队长版本号",notes = "")
    @Column(name = "TYPE")
    private Integer type ;


    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "create_time")
    private Date createTime;



}