package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "ycq_qzh_daily_supervision")
@NamedQuery(name = "YcqQzhDailySupervision.findAll", query = "SELECT t FROM YcqQzhDailySupervision t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "日志监督")
public class YcqQzhDailySupervision {
    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 集体名称
     */
    @Column(name = "collective_name")
    private String collectiveName;
    /**
     * 所在单位
     */
    @Column(name = "location_unit")
    private String locationUnit;
    /**
     * 监督结果(0合格,1合格)
     */
    @Column(name = "supervision_result")
    private Long supervisionResult;
    /**
     * 号长姓名
     */
    @Column(name = "full_name")
    private String fullName;
    /**
     * 身份证
     */
    @Column(name = "id_card")
    private String idCard;
    /**
     * 联系方式
     */
    @Column(name = "contact_information")
    private String contactInformation;
    /**
     * 内容
     */
    @Column(name = "content")
    private String content;
    /**
     * 乐观锁
     */
    @Column(name = "revision")
    private Integer revision;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
}
