package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "ycq_qzh_daily_supervision_file")
@NamedQuery(name = "YcqQzhDailySupervisionFile.findAll", query = "SELECT t FROM YcqQzhDailySupervisionFile t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "日志监督附件")
public class YcqQzhDailySupervisionFile {
    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 附件id
     */
    @Column(name = "file_id")
    private String fileId;
    /**
     * 日志监督id
     */
    @Column(name = "daily_supervision_id")
    private Long dailySupervisionId;
    /**
     * 乐观锁
     */
    @Column(name = "revision")
    private Integer revision;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
}
