package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青字号demo
 *
 * @author xiangjunming
 * @date 2023/9/4
 */
@Entity
@Table(name = "ycq_qzh_demo")
@NamedQuery(name = "YcqQzhDemo.findAll", query = "SELECT t FROM YcqQzhDemo t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "demo表")
public class YcqQzhDemo implements Serializable, Cloneable {
    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 名称
     */
    @Column(name = "name")
    private String name;
    /**
     * 乐观锁
     */
    @Column(name = "revision")
    private Integer revision;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 删除标识
     */
    @Column(name = "del_flag")
    private Integer delFlag;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
}