package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "ycq_qzh_indicator_system")
@NamedQuery(name = "YcqQzhIndicatorSystem.findAll", query = "SELECT t FROM YcqQzhIndicatorSystem t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
//@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "指标体系")
public class YcqQzhIndicatorSystem implements Serializable, Cloneable{
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 乐观锁
     */
    @Column(name = "revision")
    private Integer revision;
    /**
     * 评价要点
     */
    @Column(name = "evaluation_points")
    private String evaluationPoints;
    /**
     * 一级指标
     */
    @Column(name = "primary_indicators")
    private String primaryIndicators;
    /**
     * 二级指标
     */
    @Column(name = "secondary_indicators")
    private String secondaryIndicators;
    /**
     * 分值
     */
    @Column(name = "score")
    private Integer score;
    /**
     * 指标版本id
     */
    @Column(name = "indicator_version_id")
    private Long indicatorVersionId;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
}
