package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_QZH_ONLINE_TRAINING")
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "线上培训", description = "")
public class YcqQzhOnlineTrain implements Serializable {

    private static final long serialVersionUID = 1L;

    /**  */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(name = "",notes = "")
    private Long id ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    @Column(name = "CREATED_BY")
    private Long createdBy ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @Column(name = "CREATED_TIME")
    private Date createdTime ;
    /** 更新人 */
    @ApiModelProperty(name = "更新人",notes = "")
    @Column(name = "UPDATED_BY")
    private Long updatedBy ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")
    @Column(name = "UPDATED_TIME")
    private Date updatedTime ;
    /** 封面文图片id */
    @ApiModelProperty(name = "封面文图片id",notes = "")
    @Column(name = "FILE_ID")
    private Long fileId ;
    /** 标题 */
    @ApiModelProperty(name = "标题",notes = "")
    @Column(name = "TITLE")
    private String title ;
    /** 类型 */
    @ApiModelProperty(name = "类型",notes = "")
    @Column(name = "TYPE")
    private String type ;
    /** 状态（公式/下架） */
    @ApiModelProperty(name = "状态（公式/下架）",notes = "")
    @Column(name = "state")
    private String state ;
    /** 内容 */
    @ApiModelProperty(name = "内容",notes = "")
    @Column(name = "content")
    private String content ;

    @Column(name = "FILE_URL")
    private String fileUrl ;

    @Column(name = "IS_TOP")
    private Integer isTop ;

    /** 第二类型 */
    @ApiModelProperty(name = "第二类型",notes = "")
    @Column(name = "SECOND_TYPE")
    private String secondType ;

    /** 置顶时间 */
    @ApiModelProperty(name = "置顶时间",notes = "")
    @Column(name = "TOP_TIME")
    private Date topTime ;


}