package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_QZH_ONLINE_TRAINING_VIDEO")
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "线上培训视频关联表", description = "")
public class YcqQzhOnlineTrainingVideo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**  */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(name = "",notes = "")
    private Long id ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    @Column(name = "CREATED_BY")
    private Long createdBy ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @Column(name = "CREATED_TIME")
    private Date createdTime ;
    /** 线上培训 */
    @ApiModelProperty(name = "线上培训",notes = "")
    @Column(name = "TRAINING_ID")
    private Long trainingId ;
    /** 视频id */
    @ApiModelProperty(name = "视频id",notes = "")
    @Column(name = "VIDEO_ID")
    private String videoId ;
    /** 标题 */
    @ApiModelProperty(name = "标题",notes = "")
    @Column(name = "TITLE")
    private String title ;
    /** 是否允许拖动播放（1 是 0否） */
    @ApiModelProperty(name = "是否允许拖动播放（1 是 0否）",notes = "")
    @Column(name = "IS_ALLOW_DRAG_PLAY")
    private String isAllowDragPlay ;
    /** 是否允许背书播放（1是  0否） */
    @ApiModelProperty(name = "是否允许倍速播放（1是  0否）",notes = "")
    @Column(name = "IS_DOUBLE_SPEED_PLAY")
    private String isDoubleSpeedPlay ;

    @Column(name = "VIDEO_NAME")
    private String videoName ;


}