package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Entity
@Table(name = "YCQ_QZH_QAG_APPLY")
@NamedQuery(name = "YcqQzhQagApply.findAll", query = "SELECT t FROM YcqQzhQagApply t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青字号-青安岗")
public class YcqQzhQagApply implements Serializable, Cloneable {
    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty("申请组织名")
    @Column(name = "apply_org_name")
    private String applyOrgName;

    @ApiModelProperty("职工数")
    @Column(name = "workers_num")
    private Integer workersNum;

    @ApiModelProperty("青年数")
    @Column(name = "youth_num")
    private Integer youthNum;

    @ApiModelProperty("岗长名")
    @Column(name = "leader_name")
    private String leaderName;

    @ApiModelProperty("岗长身份证")
    @Column(name = "leader_id_card")
    private String leaderIdCard;

    @ApiModelProperty("岗长电话")
    @Column(name = "leader_phone")
    private String leaderPhone;

    @ApiModelProperty("备注")
    @Column(name = "remark")
    private String remark;

    @ApiModelProperty("是否有效")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty("创建者")
    @Column(name = "creator")
    private String creator;

    @ApiModelProperty("创建时间")
    @Column(name = "create_time")
    private Date createTime;

    @ApiModelProperty("流程状态")
    @Column(name = "flow_state")
    private Integer flowState;

    @ApiModelProperty("文件id")
    @Column(name = "file_id")
    private String fileId;

    @ApiModelProperty("文件名字")
    @Column(name = "file_name")
    private String fileName;

    @ApiModelProperty("分布类型")
    @Column(name = "distribution_type")
    private String distributionType;

    @ApiModelProperty("所属组织id")
    @Column(name = "affiliation_org_id")
    private String affiliationOrgId;

    @ApiModelProperty("创建者")
    @Column(name = "updator")
    private String updator;

    @ApiModelProperty("创建时间")
    @Column(name = "update_time")
    private Date updateTime;

    @ApiModelProperty("code")
    @Column(name = "code")
    private String code;

    @ApiModelProperty("所属组织名字")
    @Column(name = "affiliation_org_name")
    private String affiliationOrgName;

    @ApiModelProperty("创建id")
    @Column(name = "create_id")
    private Long createId;

    @ApiModelProperty("政策id")
    @Column(name = "policy_id")
    private Long policyId;

    @ApiModelProperty("流程实例id")
    @Column(name = "flow_instance_id")
    private String flowInstanceId;

    @ApiModelProperty("流程节点id")
    @Column(name = "node_instance_id")
    private String nodeInstanceId;

    @ApiModelProperty("历史节点")
    @Column(name = "old_node_keys")
    private String oldNodeKeys;

    @ApiModelProperty("上一环节意见")
    @Column(name = "last_advice")
    private String lastAdvice;

}