package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;


@Entity
@Table(name = "YCQ_QZH_QAG_APPLY_CHANGE")
@NamedQuery(name = "YcqQzhQagApplyChange.findAll", query = "SELECT t FROM YcqQzhQagApplyChange t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青字号-青安岗变更队长")
public class YcqQzhQagApplyChange implements Serializable, Cloneable {
    /**
     * ID
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty("岗长名")
    @Column(name = "leader_name")
    private String leaderName;

    @ApiModelProperty("岗长身份证")
    @Column(name = "leader_id_card")
    private String leaderIdCard;

    @ApiModelProperty("岗长电话")
    @Column(name = "leader_phone")
    private String leaderPhone;

    @ApiModelProperty("岗长电话")
    @Column(name = "old_leader_name")
    private String oldLeaderName;


    @ApiModelProperty("岗长电话")
    @Column(name = "old_leader_phone")
    private String oldLeaderPhone;


    @ApiModelProperty("岗长电话")
    @Column(name = "old_leader_id_card")
    private String oldLeaderIdCard;

    @ApiModelProperty("岗长电话")
    @Column(name = "qag_apply_id")
    private long qagApplyId;

    @ApiModelProperty("岗长电话")
    @Column(name = "is_end")
    private Integer isEnd;



}