package com.crunii.micro.domain.entity.main;

/**
 * @author lyx
 * @date 2023/9/28
 */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * 维权岗审批流程
 *
 * @TableName YCQ_QZH_RIGHTS_FLOW
 */
@Entity
@Table(name = "YCQ_QZH_RIGHTS_FLOW")
@NamedQuery(name = "YcqQzhRightsFlow.findAll", query = "SELECT t FROM YcqQzhRightsFlow t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "YCQ_QZH_RIGHTS_FLOW表")
public class YcqQzhRightsFlow {
	/**
	 * 序号
	 */
	@Id
	@Column(name = "id")
	@ApiModelProperty(value = "id")
	private Long id;

	/**
	 * 维权岗申报id
	 */
	@Column(name = "rights_id")
	@ApiModelProperty(value = "rightsId")
	private Long rightsId;

	/**
	 * 已处理用户的组织id
	 */
	@Column(name = "processed_org_id")
	@ApiModelProperty(value = "processedOrgId")
	private Long processedOrgId;

	/**
	 * 已处理用户的处理时间
	 */
	@Column(name = "processed_date")
	@ApiModelProperty(value = "processedDate")
	private LocalDateTime processedDate;


	/**
	 * 已处理用户的姓名
	 */
	@Column(name = "processed_work")
	@ApiModelProperty(value = "processedWork")
	private String processedWork;

	/**
	 * 本次应该处理的用户组织id
	 */
	@Column(name = "should_org_id")
	@ApiModelProperty(value = "shouldOrgId")
	private Long shouldOrgId;

	/**
	 * 正向流程下一环节处理的用户组织id
	 */
	@Column(name = "next_org_id")
	@ApiModelProperty(value = "nextOrgId")
	private Long nextOrgId;

	/**
	 * 本次处理的组织是否已经完成处理
	 */
	@Column(name = "status")
	@ApiModelProperty(value = "status")
	private Integer status;
	/**
	 * 单次流程排序
	 */
	@Column(name = "sort")
	@ApiModelProperty(value = "sort")
	private Integer sort;
	/**
	 * 本次处理的组织的处理结果
	 */
	@Column(name = "result")
	@ApiModelProperty(value = "result")
	private Integer result;

	/**
	 * 本次处理的组织的处理意见
	 */
	@Column(name = "msg")
	@ApiModelProperty(value = "msg")
	private String msg;
	/**
	 * 需要处理的环节
	 */
	@Column(name = "link")
	@ApiModelProperty(value = "link")
	private String link;

	/**
	 * 是否是草稿
	 */
	@Column(name = "is_draft")
	@ApiModelProperty(value = "isDraft")
	private Integer isDraft;

	/**
	 * 父级id
	 */
	@Column(name = "parent_id")
	@ApiModelProperty(value = "parentId")
	private Long parentId;

}
