package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * @author lyx
 * @date 2023/11/20
 */
@Entity
@Table(name = "YCQ_QZH_RIGHTS_INDEX")
@NamedQuery(name = "YcqQzhRightsIndex.findAll", query = "SELECT t FROM YcqQzhRightsIndex t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "YCQ_QZH_RIGHTS_INDEX表")
public class YcqQzhRightsIndex {
	/**
	 * 序号
	 */
	@Id
	@Column(name = "id")
	@ApiModelProperty(value = "id")
	private Long id;

	@Column(name = "index_data")
	@ApiModelProperty(value = "指标")
	private String indexData;

	/**
	 * 删除标识
	 */
	@Column(name = "del_flag")
	private Integer delFlag;


	/**
	 * 创建人ID
	 */
	@Column(name = "create_id")
	private Long createId;

	/**
	 * 创建人姓名
	 */
	@Column(name = "create_by")
	private String createBy;

	/**
	 * 创建时间
	 */
	@Column(name = "create_time")
	private LocalDateTime createTime;

	/**
	 * 更新人ID
	 */
	@Column(name = "update_id")
	private Long updateId;

	/**
	 * 更新人姓名
	 */
	@Column(name = "update_by")
	private String updateBy;

	/**
	 * 更新时间
	 */
	@Column(name = "update_time")
	private LocalDateTime updateTime;

}
