package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @author lyx
 * @date 2023/11/20
 */
@Entity
@Table(name = "YCQ_QZH_RIGHTS_INDEX_REL")
@NamedQuery(name = "YcqQzhRightsIndexRel.findAll", query = "SELECT t FROM YcqQzhRightsIndexRel t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "YCQ_QZH_RIGHTS_INDEX_REL表")
public class YcqQzhRightsIndexRel {
	/**
	 * 序号
	 */
	@Id
	@Column(name = "id")
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@ApiModelProperty(value = "id")
	private Long id;
	/**
	 * 指标序号
	 */
	@Column(name = "index_id")
	@ApiModelProperty(value = "id")
	private Long indexId;


	/**
	 * 维权岗申报id
	 */
	@Column(name = "rights_id")
	@ApiModelProperty(value = "rightsId")
	private Long rightsId;

	/**
	 * 结果(0,否，，1是)
	 */
	@Column(name = "rel")
	@ApiModelProperty(value = "rel")
	private Integer rel;

	/**
	 * 删除标识(0,否，，1是)
	 */
	@Column(name = "del_flag")
	@ApiModelProperty(value = "del_flag")
	private Integer delFlag;

}
