package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 维权岗附件关联表
 * @TableName YCQ_QZH_RIGHTS_PROTECTION_ANNEX
 */
@Entity
@Table(name = "YCQ_QZH_RIGHTS_PROTECTION_ANNEX")
@NamedQuery(name = "YcqQzhRightsProtectionAnnex.findAll", query = "SELECT t FROM YcqQzhRightsProtectionAnnex t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "YCQ_QZH_RIGHTS_PROTECTION_ANNEX")
public class YcqQzhRightsProtectionAnnex implements Serializable, Cloneable {

    /**
     * 序号
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 文件id
     */
    @Column(name = "file_id")
    @ApiModelProperty(value = "file_id")
    private Long fileId;

    /**
     * 申报编号
     */
    @Column(name = "applicant_code")
    private String applicantCode;

    /**
     * 当前环节上传文件的组织id
     */
    @Column(name = "flow_id")
    private Long flowId;

    /**
     * 附件类型
     */
    @Column(name = "annex_type")
    private Integer annexType;

    /**
     * 文件名称
     */
    @Column(name = "file_name")
    private String fileName;

    /**
     * 文件名称
     */
    @Column(name = "file_new_name")
    private String fileNewName;

    /**
     * 文件类型
     */
    @Column(name = "file_type")
    private String fileType;

    /**
     * 文件地址
     */
    @Column(name = "file_url")
    private String fileUrl;

    /**
     * 业务ID
     */
    @Column(name = "business_id")
    private Long businessId;

    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;

    /**
     * 创建人姓名
     */
    @Column(name = "create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;

    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;

    /**
     * 更新人姓名
     */
    @Column(name = "update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private LocalDateTime updateTime;

    /**
     * 删除标识
     */
    @Column(name = "del_flag")
    private Integer delFlag;


}
