package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.time.LocalDateTime;

/**
 * @author lyx
 * @date 2023/11/18
 */
@Entity
@Table(name = "YCQ_QZH_RIGHTS_PROTECTION_UPDATE")
@NamedQuery(name = "YcqQzhRightsProtectionUpdate.findAll", query = "SELECT t FROM YcqQzhRightsProtectionUpdate t")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "YCQ_QZH_RIGHTS_PROTECTION_UPDATE表")
public class YcqQzhRightsProtectionUpdate {
	/**
	 * 序号
	 */
	@Id
	@Column(name = "id")
	@ApiModelProperty(value = "id")
	private Long id;

	/**
	 * 业务id
	 */
	@Column(name = "rights_id")
	private Long rightsId;

	/**
	 * 修改类型
	 */
	@Column(name = "update_type")
	private String updateType;

	/**
	 * 修改前数据
	 */
	@Column(name = "old_data")
	private String oldData;
	/**
	 * 修改后数据
	 */
	@Column(name = "new_data")
	private String newData;
	/**
	 * 修改人
	 */
	@Column(name = "update_by")
	private Long updateBy;

	/**
	 * 修改时间
	 */
	@Column(name = "update_time")
	private LocalDateTime updateTime;


}
