package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_QZH_VIDEO_BROWSING_HISTORY")
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "视频浏览记录表", description = "")
public class YcqQzhVideoBrowsingHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**  */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(name = "",notes = "")
    private Long id ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    @Column(name = "CREATED_BY")
    private Long createdBy ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @Column(name = "CREATED_TIME")
    private Date createdTime ;
    /** 是否完成（1 是 0否） */
    @ApiModelProperty(name = "是否完成（1 是 0否）",notes = "")
    @Column(name = "IS_COMPLETE")
    private String isComplete ;

    @ApiModelProperty(name = "电话",notes = "")
    @Column(name = "PHONE")
    private String phone ;

    @Column(name = "BUSINESS_ID")
    private String businessID ;

    @Column(name = "CREATED_NAME")
    private String createdName ;

    @Column(name = "VIDEO_TIME")
    private Integer videoTime ;

}