package com.crunii.micro.domain.entity.main;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Entity
@Table(name = "YCQ_SNG_HISTORY")
@NamedQuery(name = "YcqSngHistory.findAll", query = "SELECT t FROM YcqSngHistory t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青字号少年宫学生活动信息表")
public class YcqSngHistory implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty("参加类型培训|活动|赛事|营队")
    @Column(name = "type")
    private String type;

    @ApiModelProperty("参加的项目名对应的编码")
    @Column(name = "project_code")
    private String projectCode;

    @ApiModelProperty("参加的项目名,如专业名舞蹈|声乐比赛名如重庆市青少年xxx比赛|重庆市才艺大赛")
    @Column(name = "project_name")
    private String projectName;

    @ApiModelProperty("不为空说明有定级0区级|1市级|2省级|3国家级|4世界级")
    @Column(name = "level_if_non_empty")
    private String levelIfNonEmpty;

    @ApiModelProperty("不为空说明有奖项一等奖|二等奖|三等奖|其它奖类型字符串或结业证，考级证等")
    @Column(name = "awards_if_non_empty")
    private String awardsIfNonEmpty;

    @ApiModelProperty("不为空说明有奖项获奖证书预览地址")
    @Column(name = "url_if_non_empty")
    private String urlIfNonEmpty;

    @ApiModelProperty("参加该项目的时间")
    @Column(name = "start")
    private LocalDateTime start;

    @ApiModelProperty(value = "ycq_sng_student_id")
    @Column(name = "ycq_sng_student_id")
    private Long ycqSngStudentId;

    @ApiModelProperty(value = "逻辑删除 0:未删除;1:删除")
    @Column(name = "del_flag")
    private Integer delFlag;


}