package com.crunii.micro.domain.entity.main;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Entity
@Table(name = "YCQ_SNG_SCHOOL")
@NamedQuery(name = "YcqSngSchool.findAll", query = "SELECT t FROM YcqSngSchool t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青字号少年宫学生学校信息表")
public class YcqSngSchool implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty("学校编码")
    @Column(name = "code")
    private String code;

    @ApiModelProperty("学校名称")
    @Column(name = "name")
    private String name;

    @ApiModelProperty("年级")
    @Column(name = "grade")
    private String grade;

    @ApiModelProperty("班级")
    @Column(name = "classes")
    private String classes;

    @ApiModelProperty(value = "ycq_sng_student_id")
    @Column(name = "ycq_sng_student_id")
    private Long ycqSngStudentId;

}