package com.crunii.micro.domain.entity.main;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Entity
@Table(name = "YCQ_SNG_STUDENT")
@NamedQuery(name = "YcqSngStudent.findAll", query = "SELECT t FROM YcqSngStudent t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "青字号少年宫学生信息表")
public class YcqSngStudent implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty("学生姓名")
    @Column(name = "student_name")
    private String studentName;

    @ApiModelProperty("学生身份证号")
    @Column(name = "student_identity")
    private String studentIdentity;

    @ApiModelProperty("学生电话")
    @Column(name = "phone_num")
    private String phoneNum;

    @ApiModelProperty("在少年宫注册的日期")
    @Column(name = "register_date")
    private LocalDateTime registerDate;

    @ApiModelProperty("上次在少年宫的动作时间")
    @Column(name = "last_action")
    private LocalDateTime lastAction;

    @ApiModelProperty("学生数据版本")
    @Column(name = "version_hash")
    private String versionHash;

    @ApiModelProperty("批次号")
    @Column(name = "batch_code_id")
    private String batchCodeId;

}