package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Author zwx
 * @Description 题目表
 * @Date  2023/9/5 10:09:30
 **/
@Entity
@Table(name = "ycq_topic")
@NamedQuery(name = "YcqTopic.findAll", query = "SELECT t FROM YcqTopic t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "题目表")
public class YcqTopic implements Serializable {
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 题目
     */
    @Column(name = "topic")
    private String topic;
    /**
     * 题目类型
     */
    @Column(name = "topic_type")
    private Integer topicType;
    /**
     * 所属题库ID
     */
    @Column(name = "question_bank_id")
    private Integer questionBankId;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建人名称
     */
    @Column(name = "create_name")
    private String creatorName;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新人名称
     */
    @Column(name = "update_name")
    private String updateName;
    /**
     * 创建时间
     */
    @Column(name = "update_time")
    private LocalDateTime updateTime;
}