package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Author zwx
 * @Description 题目选项
 * @Date  2023/9/5 10:09:30
 **/
@Entity
@Table(name = "ycq_topic_option")
@NamedQuery(name = "YcqTopicOption.findAll", query = "SELECT t FROM YcqTopicOption t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "题目选项")
public class YcqTopicOption implements Serializable {
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 选项内容
     */
    @Column(name = "option_content")
    private String optionContent;
    /**
     * 是否为答案
     */
    @Column(name = "is_answer")
    private Integer isAnswer;
    /**
     * 所属题目ID
     */
    @Column(name = "topic_id")
    private Integer topicId;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建人名称
     */
    @Column(name = "create_name")
    private String creatorName;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新人名称
     */
    @Column(name = "update_name")
    private String updateName;
    /**
     * 创建时间
     */
    @Column(name = "update_time")
    private LocalDateTime updateTime;

    /**
     * 选项
     */
    @Column(name = "option")
    private String option;
}