package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name = "YCQ_TRAIN_CENTER_FILE")
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "培训中心文件", description = "")
public class YcqTrainingCenterFile implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     *
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "", notes = "")
    private Long id;

    @Column(name = "file_id")
    @ApiModelProperty(value = "文件id", notes = "")
    private String fileId;

    @Column(name = "file_name")
    @ApiModelProperty(value = "文件名字", notes = "")
    private String fileName;

    @Column(name = "file_url")
    @ApiModelProperty(value = "文件地址", notes = "")
    private String fileUrl;

    @Column(name = "type")
    @ApiModelProperty(value = "类型   1 视频  2其他文件", notes = "")
    private Integer type;

    @Column(name = "business")
    @ApiModelProperty(value = "业务", notes = "")
    private String business;
    /**
     * 创建日期
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "创建日期", notes = "")
    private Date createTime;

    @Column(name = "create_by")
    @ApiModelProperty(value = "创建人", notes = "")
    private String createBy;

    @ApiModelProperty(value = "备注", notes = "")
    @Column(name = "remark")
    private String remark;

    @ApiModelProperty(value = "app端是否展示  1 是   2 否", notes = "")
    @Column(name = "is_app_show")
    private Integer isAppShow;

    @Column(name = "sort")
    @ApiModelProperty(value = "排序", notes = "")
    private Integer sort;
}