package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;



/**
 * 青创政策管理表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-27
 */
@Entity
@Table(name = "YCQ_YOUTH_COMMON_FILE")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YcqYouthCommonFile 青创政策文件表")
public class YcqYouthCommonFile implements Serializable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id", notes = "青创政策文件表id")
    private Long id;

    @Column(name = "file_id")
    @ApiModelProperty(value = "fileId")
    private Long fileId;

    @Column(name = "file_name")
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @Column(name = "file_key")
    @ApiModelProperty(value = "文件key")
    private String fileKey;

    @Column(name = "file_type")
    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @Column(name = "file_size")
    @ApiModelProperty(value = "文件大小")
    private Integer fileSize;

    @Column(name = "file_url")
    @ApiModelProperty(value = "文件路径")
    private String fileUrl;

    @Column(name = "ycq_youth_start_id")
    @ApiModelProperty(value = "青创政策表id")
    private Long ycqYouthStartId;

}