package com.crunii.micro.domain.entity.main;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 青创政策管理表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-27
 */
@Entity
@Table(name = "YCQ_YOUTH_START")
@DynamicInsert
@DynamicUpdate
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "YCQ_YOUTH_START表 青创政策管理表")
public class YcqYouthStart implements Serializable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "policy_title")
    @ApiModelProperty(value = "政策标题")
    private String policyTitle;

    @Column(name = "issue_number")
    @ApiModelProperty(value = "发文号")
    private String issueNumber;

    @Column(name = "policy_level")
    @ApiModelProperty(value = "政策层级")
    private Integer policyLevel;

    @Column(name = "policy_type")
    @ApiModelProperty(value = "政策类型")
    private Integer policyType;

    @Column(name = "publisher")
    @ApiModelProperty(value = "发布者")
    private String publisher;

    @Column(name = "publisher_id")
    @ApiModelProperty(value = "发布者ID")
    private Long publisherId;

    @Column(name = "publish_time")
    @ApiModelProperty(value = "发布时间")
    private LocalDateTime publishTime;

    @Column(name = "view_count")
    @ApiModelProperty(value = "浏览量")
    private Integer viewCount;

    @Column(name = "data_state")
    @ApiModelProperty(value = "状态 1公示 0下架")
    private Integer dataState;

    @Column(name = "editor_id")
    @ApiModelProperty(value = "编辑者ID")
    private Long editorId;

    @Column(name = "editor")
    @ApiModelProperty(value = "编辑者")
    private String editor;

    @Column(name = "is_deleted")
    @ApiModelProperty(value = "是否已删除 0未删除")
    private Integer isDeleted;

    @Column(name = "policy_text")
    @ApiModelProperty(value = "政策正文")
    private String policyText;

    @Column(name = "priority")
    @ApiModelProperty(value = "优先级 0初始 5最大")
    private Integer priority;



}