package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @description: 考试表
 * @author: limy
 * @date: 2023/9/5 11:04
 **/
@Entity
@Table(name = "ycq_yzyh_test")
@NamedQuery(name = "YcqYzyhTest.findAll", query = "SELECT t FROM YcqYzyhTest t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "考试表")
public class YcqYzyhTest implements Serializable {

    private static final long serialVersionUID = 1L;

	@Column(name = "title")
	@ApiModelProperty(value = "试卷标题")
	private String title;

	@Id
	@Column(name = "id")
	@ApiModelProperty(value = "考试id")
	private String id;

	@Column(name = "start_time")
	@ApiModelProperty(value = "考试开始时间")
	private LocalDateTime startTime;

	@Column(name = "end_time")
	@ApiModelProperty(value = "考试结束时间")
	private LocalDateTime endTime;

	@Column(name = "effective_time")
	@ApiModelProperty(value = "答题时长")
	private Integer effectiveTime;

	@Column(name = "pass_score")
	@ApiModelProperty(value = "合格分数")
	private Integer passScore;

	@Column(name = "total_score")
	@ApiModelProperty(value = "总分数")
	private Integer totalScore;

	@Column(name = "total_times")
	@ApiModelProperty(value = "可考次数")
	private Integer totalTimes;

	@Column(name = "exam_object")
	@ApiModelProperty(value = "考试对象")
	private String examObject;

	@Column(name = "single_rule")
	@ApiModelProperty(value = "单选题分数")
	private Integer singleRule;

	@Column(name = "multi_rule")
	@ApiModelProperty(value = "多选题分数")
	private Integer multiRule;

	@Column(name = "judge_rule")
	@ApiModelProperty(value = "判断题分数")
	private Integer judgeRule;

	@Column(name = "state")
	@ApiModelProperty(value = "状态(0未开始 1进行中 2已结束)")
	private Integer state;

	@Column(name = "exam_type")
	@ApiModelProperty(value = "试卷类型")
	private String examType;

	@Column(name = "publish_worker_id")
	@ApiModelProperty(value = "发布者id")
	private String publishWorkerId;

	@Column(name = "publish_worker_name")
	@ApiModelProperty(value = "发布者姓名")
	private String publishWorkerName;

	@Column(name = "publish_time")
	@ApiModelProperty(value = "发布时间")
	private LocalDateTime publishTime;

	@Column(name = "created_by")
	@ApiModelProperty(value = "创建人")
	private int createdBy;

	@Column(name = "created_time")
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createdTime;

	@Column(name = "updated_by")
	@ApiModelProperty(value = "更新人")
	private Integer updatedBy;

	@Column(name = "updated_time")
	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updatedTime;

	@Column(name = "deleted")
	@ApiModelProperty(value = "是否删除")
	private Integer deleted;

	@Column(name = "topic_type")
	@ApiModelProperty(value = "选题模式(1系统随机选题 2自定义选题 3批量导入题目)")
	private Integer topicType;

	@Column(name = "topic_num")
	@ApiModelProperty(value = "总题数")
	private Integer topicNum;

	@Column(name = "single_num")
	@ApiModelProperty(value = "单选题数量")
	private Integer singleNum;

	@Column(name = "multiy_num")
	@ApiModelProperty(value = "多选题数量")
	private Integer multiyNum;

	@Column(name = "judge_num")
	@ApiModelProperty(value = "判断题数量")
	private Integer judgeNum;
}
