package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.*;
import java.time.LocalDateTime;


@Builder
@Entity
@Table(name = "ycq_yzyh_test_file")
@Data
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "试卷附件表")
public class YcqYzyhTestFile {
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 附件id
     */
    @Column(name = "file_id")
    private String fileId;
    /**
     * 试卷id
     */
    @Column(name = "test_id")
    private String testId;

    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private Long createId;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private LocalDateTime updateTime;
}
