package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.domain.entity.main
 * @Author: limy
 * @CreateTime: 2023-09-05  16:13
 * @Description: 考试与题目关联表
 * @Version: 1.0
 */
@Entity
@Table(name = "ycq_yzyh_topic_rel")
@Data
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "试卷与题目关联表")
public class YcqYzyhTopicRel implements Serializable {

    private static final long serialVersionUID = 1L;


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private Integer id;

    @Column(name = "test_id")
    @ApiModelProperty(value = "考试id")
    private String testId;

    @Column(name = "topic_id")
    @ApiModelProperty(value = "题目id")
    private Integer topicId;

    /**
     * 创建人
     */
    @Column(name = "created_by")
    private Integer createdBy;
    /**
     * 创建时间
     */
    @Column(name = "created_time")
    private LocalDateTime createdTime;
    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;

    /**
     * 更新人
     */
    @Column(name = "updated_by")
    private Integer updatedBy;
    /**
     * 更新时间
     */
    @Column(name = "updated_time")
    private LocalDateTime updatedTime;
}
