package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Author: zwx
 * @CreateTime: 2023-11-13  19:17:40
 * @Description: 青安岗推荐申报表附件
 */
@Entity
@Table(name = "YOUTH_SAFETY_RECOMMEND_FILE")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "青安岗推荐申报表附件")
public class YouthSafetyRecommendFile implements Serializable, Cloneable {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "ID")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 文件id
     */
    @Column(name = "file_id")
    private String fileId;

    /**
     * 文件名称
     */
    @Column(name = "file_name")
    private String fileName;

    /**
     * 文件key
     */
    @Column(name = "file_key")
    private String fileKey;

    /**
     * 文件类型
     */
    @Column(name = "file_type")
    private String fileType;

    /**
     * 文件大小
     */
    @Column(name = "file_size")
    private Integer fileSize;

    /**
     * 文件路径
     */
    @Column(name = "file_url")
    private String fileUrl;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private LocalDateTime createTime;

    /**
     * 是否盖章（1盖章文件,0非盖章文件)
     */
    @Column(name = "is_stamp")
    private Integer isStamp;

    /**
     * 推荐申请表id
     */
    @Column(name = "recommend_id")
    private Long recommendId;

    /**
     * 是否删除
     */
    @Column(name = "deleted")
    private Integer deleted;
}
