package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青字号查询组织;
 * @author : http://www.chiner.pro
 * @date : 2023-11-28
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_QZH_QUERY_ORG")
@EqualsAndHashCode(of = { "queryOrgId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青字号查询组织",description = "")
public class YcqQzhQueryOrg implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="query_org_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long queryOrgId;
    
    /** 1文明号 2示范岗 3突击队  3权益岗 */
    @Column(name="report_type")
    @ApiModelProperty(value = "1文明号 2示范岗 3突击队  3权益岗",notes = "")
    private Integer reportType;
    
    /** 申报id */
    @Column(name="service_id")
    @ApiModelProperty(value = "申报id",notes = "")
    private Long serviceId;
    
    /** 组织集合 */
    @Column(name="str_org_id")
    @ApiModelProperty(value = "组织集合",notes = "")
    private String strOrgId;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建时间（申请时间） */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    private Date createTime;
    
    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(value = "更新人id",notes = "")
    private Integer updaterId;
    
    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(value = "更新时间",notes = "")
    private Date updateTime;
    
    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;
    

}