package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青年号变更表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-15
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_YN_CAPTAIN_CHANGE")
@EqualsAndHashCode(of = { "changeId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青年号变更表",description = "")
public class YcqYnCaptainChange implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="change_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long changeId;

    /** 申报id */
    @Column(name="declaration_id")
    @ApiModelProperty(value = "申报id",notes = "")
    private Long declarationId;

    /** 状态（1变更号长） */
    @Column(name="change_state")
    @ApiModelProperty(value = "状态（1变更号长）",notes = "")
    private Integer changeState;

    /** 变更前号长名称 */
    @Column(name="change_declaration_name")
    @ApiModelProperty(value = "变更前号长名称",notes = "")
    private String changeDeclarationName;

    /** 变更前号长身份证号 */
    @Column(name="change_id_card")
    @ApiModelProperty(value = "变更前号长身份证号",notes = "")
    private String changeIdCard;

    /** 变更前号长手机号 */
    @Column(name="change_phone_number")
    @ApiModelProperty(value = "变更前号长手机号",notes = "")
    private String changePhoneNumber;

    /** 变更前号长微信号 */
    @Column(name="change_wechat")
    @ApiModelProperty(value = "变更前号长微信号",notes = "")
    private String changeWechat;

    /** 变更后号长名称 */
    @Column(name="after_declaration_name")
    @ApiModelProperty(value = "变更后号长名称",notes = "")
    private String afterDeclarationName;

    /** 变更后号长身份证号 */
    @Column(name="after_id_card")
    @ApiModelProperty(value = "变更后号长身份证号",notes = "")
    private String afterIdCard;

    /** 变更后号长手机号 */
    @Column(name="after_phone_number")
    @ApiModelProperty(value = "变更后号长手机号",notes = "")
    private String afterPhoneNumber;

    /** 变更后号长微信号 */
    @Column(name="after_wechat")
    @ApiModelProperty(value = "变更后号长微信号",notes = "")
    private String afterWechat;

    /** 审核状态 */
    @Column(name="audit_state")
    @ApiModelProperty(value = "审核状态",notes = "")
    private Integer auditState;

    /** 原因 */
    @Column(name="reason")
    @ApiModelProperty(value = "原因",notes = "")
    private String reason;

    /** 流程实例id */
    @Column(name="flow_instance_id")
    @ApiModelProperty(value = "流程实例id",notes = "")
    private Long flowInstanceId;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间（申请时间） */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    private Date createTime;

    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(value = "更新人id",notes = "")
    private Integer updaterId;

    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(value = "更新时间",notes = "")
    private Date updateTime;

    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;


}