package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 变更号长流程;
 * @author : http://www.chiner.pro
 * @date : 2023-12-20
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_YN_CAPTAIN_CHANGE_FLOW")
@EqualsAndHashCode(of = { "captainChangeFlowId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "变更号长流程",description = "")
public class YcqYnCaptainChangeFlow implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 变更号长流程id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="captain_change_flow_id")
    @ApiModelProperty(value = "变更号长流程id",notes = "")
    private Long captainChangeFlowId;

    /** 申报id */
    @Column(name="declaration_id")
    @ApiModelProperty(value = "申报id",notes = "")
    private Long declarationId;

    /** 流程环节 */
    @Column(name="flow_state")
    @ApiModelProperty(value = "流程环节",notes = "")
    private String flowState;

    /** 处理状态 */
    @Column(name="handler_state")
    @ApiModelProperty(value = "处理状态",notes = "")
    private String handlerState;

    /** 处理人 */
    @Column(name="handler")
    @ApiModelProperty(value = "处理人",notes = "")
    private String handler;

    /** 处理组织 */
    @Column(name="handler_org")
    @ApiModelProperty(value = "处理组织",notes = "")
    private String handlerOrg;

    /** 处理时间 */
    @Column(name="handle_time")
    @ApiModelProperty(value = "处理时间",notes = "")
    private Date handleTime;

    /** 处理人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "处理人id",notes = "")
    private Integer creatorId;

    /** 处理状态类型 0:提交；1：通过；2：驳回 */
    @Column(name="process_type")
    @ApiModelProperty(value = "处理状态类型 0:提交；1：通过；2：驳回",notes = "")
    private Integer processType;

    /** 原因 */
    @Column(name="reason")
    @ApiModelProperty(value = "原因",notes = "")
    private String reason;

    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;


}