package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青年号被认定类别;
 * @author : http://www.chiner.pro
 * @date : 2023-11-13
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_YN_CATEGORY")
@EqualsAndHashCode(of = { "beforeCategoryId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青年号被认定类别",description = "")
public class YcqYnCategory implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键 */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="before_category_id")
    @ApiModelProperty(value = "主键",notes = "")
    private Long beforeCategoryId;
    
    /** 曾被认定类别名称 */
    @Column(name="category_name")
    @ApiModelProperty(value = "曾被认定类别名称",notes = "")
    private String categoryName;
    
    /** 无效 0 | 有效 1 */
    @Column(name="state")
    @ApiModelProperty(value = "无效 0 | 有效 1",notes = "")
    private Integer state;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建时间（申请时间） */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    private Date createTime;
    
    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(value = "更新人id",notes = "")
    private Integer updaterId;
    
    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(value = "更新时间",notes = "")
    private Date updateTime;
    
    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;
    

}