package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青年号申报表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-15
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_YN_DECLARATION")
@EqualsAndHashCode(of = { "declarationId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青年号申报表",description = "")
public class YcqYnDeclaration implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="declaration_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long declarationId;

    /** 政策id */
    @Column(name="doc_id")
    @ApiModelProperty(value = "政策id",notes = "")
    private Long docId;

    /** 集体名称 */
    @Column(name="collective_name")
    @ApiModelProperty(value = "集体名称",notes = "")
    private String collectiveName;

    /** 申报编号 */
    @Column(name="declaration_code")
    @ApiModelProperty(value = "申报编号",notes = "")
    private String declarationCode;

    /** 所在单位 */
    @Column(name="unit")
    @ApiModelProperty(value = "所在单位",notes = "")
    private String unit;

    /** 创建（复核）类别 */
    @Column(name="category")
    @ApiModelProperty(value = "创建（复核）类别",notes = "")
    private Integer category;

    /** 所属团组织 */
    @Column(name="org_id")
    @ApiModelProperty(value = "所属团组织",notes = "")
    private Long orgId;

    /** 号长id */
    @Column(name="login_id")
    @ApiModelProperty(value = "号长id",notes = "")
    private Integer loginId;

    /** 号长名字 */
    @Column(name="declaration_name")
    @ApiModelProperty(value = "号长名字",notes = "")
    private String declarationName;

    /** 流程实例id */
    @Column(name="flow_instance_id")
    @ApiModelProperty(value = "流程实例id",notes = "")
    private String flowInstanceId;

    /** 身份证号 */
    @Column(name="id_card")
    @ApiModelProperty(value = "身份证号",notes = "")
    private String idCard;

    /** 手机号 */
    @Column(name="phone_number")
    @ApiModelProperty(value = "手机号",notes = "")
    private String phoneNumber;

    /** 微信号 */
    @Column(name="wechat")
    @ApiModelProperty(value = "微信号",notes = "")
    private String wechat;

    /** 分布类型 */
    @Column(name="distribution")
    @ApiModelProperty(value = "分布类型",notes = "")
    private Integer distribution;

    /** 职工个数 */
    @Column(name="employees_number")
    @ApiModelProperty(value = "职工个数",notes = "")
    private Integer employeesNumber;

    /** 35岁以下青年人数 */
    @Column(name="under35")
    @ApiModelProperty(value = "35岁以下青年人数",notes = "")
    private Integer under35;

    /** 中国国籍人员数量 */
    @Column(name="countrymen_number")
    @ApiModelProperty(value = "中国国籍人员数量",notes = "")
    private Integer countrymenNumber;

    /** 曾被认定类别 */
    @Column(name="before_category")
    @ApiModelProperty(value = "曾被认定类别",notes = "")
    private String beforeCategory;

    /** 审核状态 */
    @Column(name="audit_state")
    @ApiModelProperty(value = "审核状态",notes = "")
    private Integer auditState;

    /** 申报类型 */
    @Column(name="declaration_type")
    @ApiModelProperty(value = "申报类型",notes = "")
    private Integer declarationType;

    /** 上一环境审核意见 */
    @Column(name="last_review_comments")
    @ApiModelProperty(value = "上一环境审核意见",notes = "")
    private Integer lastReviewComments;

    /** 评定等级 */
    @Column(name="rating_level")
    @ApiModelProperty(value = "评定等级",notes = "")
    private Integer ratingLevel;

    /** 是否草稿（1是） */
    @Column(name="draft")
    @ApiModelProperty(value = "是否草稿（1是）",notes = "")
    private Integer draft;

    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;

    /** 创建时间（申请时间） */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间（申请时间）",notes = "")
    private Date createTime;

    /** 更新人id */
    @Column(name="updater_id")
    @ApiModelProperty(value = "更新人id",notes = "")
    private Integer updaterId;

    /** 更新时间 */
    @Column(name="update_time")
    @ApiModelProperty(value = "更新时间",notes = "")
    private Date updateTime;

    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;


}