package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 青年号考试记录;
 * @author : http://www.chiner.pro
 * @date : 2023-12-16
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_YN_DECLARATION_EXAM")
@EqualsAndHashCode(of = { "examId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青年号考试记录",description = "")
public class YcqYnDeclarationExam implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="exam_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long examId;

    /** 申报id */
    @Column(name="declaration_id")
    @ApiModelProperty(value = "申报id",notes = "")
    private Long declarationId;

    /** 试卷id */
    @Column(name="paper_id")
    @ApiModelProperty(value = "试卷id",notes = "")
    private Long paperId;

    /** 用户id */
    @Column(name="user_id")
    @ApiModelProperty(value = "用户id",notes = "")
    private Integer userId;

    /** 试卷总分 */
    @Column(name="test_score")
    @ApiModelProperty(value = "试卷总分",notes = "")
    private Integer testScore;

    /** 合格分 */
    @Column(name="pass_score")
    @ApiModelProperty(value = "合格分",notes = "")
    private Integer passScore;

    /** 答题得分 */
    @Column(name="answer_score")
    @ApiModelProperty(value = "答题得分",notes = "")
    private Integer answerScore;

    /** 是否合格 0 不合格 1合格 */
    @Column(name="if_pass")
    @ApiModelProperty(value = "是否合格 0 不合格 1合格",notes = "")
    private Integer ifPass;

    /** 是否删除（1已删除） */
    @Column(name="deleted")
    @ApiModelProperty(value = "是否删除（1已删除）",notes = "")
    private Integer deleted;


}