package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青马流程记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-18
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_YN_FLOW_RECORD")
@EqualsAndHashCode(of = { "flowRecordId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青马流程记录表",description = "")
public class YcqYnFlowRecord implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="flow_record_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long flowRecordId;
    
    /** 业务id */
    @Column(name="service_id")
    @ApiModelProperty(value = "业务id",notes = "")
    private Long serviceId;
    
    /** 工作流实例id */
    @Column(name="flow_instance_id")
    @ApiModelProperty(value = "工作流实例id",notes = "")
    private String flowInstanceId;
    
    /** 节点id */
    @Column(name="node_instance_id")
    @ApiModelProperty(value = "节点id",notes = "")
    private String nodeInstanceId;
    
    /** 流程状态（0 回退 1审核通过  2 驳回） */
    @Column(name="flow_state")
    @ApiModelProperty(value = "流程状态（0 回退 1审核通过  2 驳回）",notes = "")
    private Integer flowState;
    
    /** 原因 */
    @Column(name="flow_Reason")
    @ApiModelProperty(value = "原因",notes = "")
    private String flowReason;
    
    /** 创建人id */
    @Column(name="creator_id")
    @ApiModelProperty(value = "创建人id",notes = "")
    private Integer creatorId;
    
    /** 创建时间 */
    @Column(name="create_time")
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date createTime;
    

}