package com.crunii.micro.domain.entity.main.cavalryTrumpet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

 /**
 * 青年号初评记录表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-22
 */
@Entity
@Getter
@Setter
@ToString
@DynamicInsert
@DynamicUpdate
@Table(name="YCQ_YN_INITIAL_EVALUATION")
@EqualsAndHashCode(of = { "evaluationId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(value = "青年号初评记录表",description = "")
public class YcqYnInitialEvaluation implements Serializable{

    private static final long serialVersionUID = 1L;
    /** 主键id */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name="evaluation_id")
    @ApiModelProperty(value = "主键id",notes = "")
    private Long evaluationId;
    
    /** 申报id */
    @Column(name="declaration_id")
    @ApiModelProperty(value = "申报id",notes = "")
    private Long declarationId;
    
    /** 初评人 */
    @Column(name="worker_id")
    @ApiModelProperty(value = "初评人",notes = "")
    private Integer workerId;
    
    /** 初评时间 */
    @Column(name="evaluation_time")
    @ApiModelProperty(value = "初评时间",notes = "")
    private Date evaluationTime;
    

}