package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @program: microservice
 * @description: 文明号申报
 * @author: xiang xin
 * @create: 2023-09-11 11:25
 */
@Entity
@Table(name = "ycq_civilization_check")
@Data
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "文明号申报表")
public class CivilizationApplyReport {
    /**
     * 年龄
     */
    @Column(name = "age")
    @ApiModelProperty(name = "年龄")
    private String age;
    /**
     * 40周岁及以下：负责人姓名
     */
    @Column(name = "below_forty_name")
    @ApiModelProperty(name = "40周岁及以下：负责人姓名")
    private String belowFortyName;
    /**
     * 35岁及以下：青年人数
     */
    @Column(name = "below_thirtyfive_peoples")
    @ApiModelProperty(name = "35岁及以下：青年人数")
    private String belowThirtyfivePeoples;
    /**
     * 职务
     */
    @Column(name = "duties")
    @ApiModelProperty(name = "职务")
    private String duties;
    /**
     * 何年被评为区县级或市级青年青年文明号
     */
    @Column(name = "hnbp_civilization")
    @ApiModelProperty(name = "何年被评为区县级或市级青年青年文明号")
    private String hnbpCivilization;
    /**
     * 主键
     */
    @Id
    @ApiModelProperty(name = "主键")
    @Column(name = "id")
    private String id;
    /**
     * 开展青年成长计划情况
     */
    @Column(name = "kzqsn_situation")
    @ApiModelProperty(name = "上传文件名称")
    private String kzqsnSituation;
    /**
     * 开展脱贫攻坚帮扶贫困家庭情况
     */
    @Column(name = "kztp_situation")
    @ApiModelProperty(name = "开展脱贫攻坚帮扶贫困家庭情况")
    private String kztpSituation;
    /**
     * 开展“五小”创新活动情况
     */
    @Column(name = "kzwx_situation")
    @ApiModelProperty(name = "开展“五小”创新活动情况")
    private String kzwxSituation;
    /**
     * 通讯地址
     */
    @Column(name = "mail_address")
    @ApiModelProperty(name = "通讯地址")
    private String mailAddress;
    /**
     * 关联清单表
     */
    @Column(name = "main_id")
    @ApiModelProperty(name = "关联清单表")
    private String mainId;
    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    @ApiModelProperty(name = "手机")
    private String mobilePhone;
    /**
     * 办公电话
     */
    @Column(name = "office_phone")
    @ApiModelProperty(name = "办公电话")
    private String officePhone;
    /**
     * 牵手城乡社区市民学校情况
     */
    @Column(name = "qscx_situation")
    @ApiModelProperty(name = "牵手城乡社区市民学校情况")
    private String qscxSituation;
    /**
     * 职工总人数
     */
    @Column(name = "worker_peoples")
    @ApiModelProperty(name = "职工总人数")
    private String workerPeoples;
    /**
     * 青年集体类别
     */
    @Column(name = "youth_collective_category")
    @ApiModelProperty(name = "青年集体类别")
    private String youthCollectiveCategory;
    /**
     * 青年集体名称
     */
    @Column(name = "youth_collective_name")
    @ApiModelProperty(name = "青年集体名称")
    private String youthCollectiveName;
    /**
     * 邮编
     */
    @Column(name = "zip_code")
    @ApiModelProperty(name = "邮编")
    private String zipCode;
}
