package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @program: microservice
 * @description: 文明号自评
 * @author: xiang xin
 * @create: 2023-09-11 11:49
 */
@Entity
@Table(name = "ycq_civilization_self")
@Data
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "文明号自评")
public class CivilizationSelf {
    /**
     * 填报单位ID
     */
    @Column(name = "apply_org_id")
    @ApiModelProperty(name = "填报单位ID")
    private String applyOrgId;
    /**
     * 填报时间
     */
    @Column(name = "apply_time")
    @ApiModelProperty(name = "填报时间")
    private String applyTime;
    /**
     * 40周岁及以下：负责人姓名
     */
    @Column(name = "below_forty_name")
    @ApiModelProperty(name = "40周岁及以下：负责人姓名")
    private String belowFortyName;
    /**
     * 35岁及以下：青年人数
     */
    @Column(name = "below_thirtyfive_Peoples")
    @ApiModelProperty(name = "35岁及以下：青年人数")
    private String belowThirtyfivePeoples;
    /**
     * 出生年月
     */
    @Column(name = "born_time")
    @ApiModelProperty(name = "出生年月")
    private String bornTime;
    /**
     * 职务
     */
    @Column(name = "duties")
    @ApiModelProperty(name = "职务")
    private String duties;
    /**
     * 主键
     */
    @Id
    @ApiModelProperty(name = "主键")
    @Column(name = "id")
    private String id;
    /**
     * 通讯地址
     */
    @Column(name = "mail_address")
    @ApiModelProperty(name = "通讯地址")
    private String mailAddress;
    /**
     * 关联清单ID
     */
    @Column(name = "main_id")
    @ApiModelProperty(name = "关联清单ID")
    private String mainId;
    /**
     * 联系电话
     */
    @Column(name = "telephone")
    @ApiModelProperty(name = "联系电话")
    private String telephone;
    /**
     * 职工总人数
     */
    @Column(name = "worker_peoples")
    @ApiModelProperty(name = "职工总人数")
    private String workerPeoples;
    /**
     * 青年集体类别
     */
    @Column(name = "youth_collective_category")
    @ApiModelProperty(name = "青年集体类别")
    private String youthCollectiveCategory;
    /**
     * 青年集体名称
     */
    @Column(name = "youth_collective_name")
    @ApiModelProperty(name = "青年集体名称")
    private String youthCollectiveName;
    /**
     * 邮编
     */
    @Column(name = "zip_code")
    @ApiModelProperty(name = "邮编")
    private String zipCode;
}
