package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @program: microservice
 * @description: 文明号报备
 * @author: xiang xin
 * @create: 2023-09-11 11:39
 */
@Entity
@Table(name = "ycq_civilization_report")
@Data
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "文明号报备")
public class CivilizationStandbyReport {
    /**
     * 所在单位ID
     */
    @Column(name = "apply_org_id")
    @ApiModelProperty(name = "所在单位ID")
    private String applyOrgId;
    /**
     * 号长ID
     */
    @Column(name = "call_leader_id")
    @ApiModelProperty(name = "号长ID")
    private String callLeaderId;
    /**
     * 号长姓名
     */
    @Column(name = "call_leader_name")
    @ApiModelProperty(name = "号长姓名")
    private String callLeaderName;
    /**
     * 创建(复核)类别(1创建 2复核)，1市级2市级杰出3市级优秀
     */
    @Column(name = "category")
    @ApiModelProperty(name = "创建(复核)类别")
    private String category;
    /**
     * 集体名称
     */
    @Column(name = "collectiveness_name")
    @ApiModelProperty(name = "集体名称")
    private String collectivenessName;
    /**
     * 所属团组织ID
     */
    @Column(name = "group_org_id")
    @ApiModelProperty(name = "所属团组织ID")
    private String groupOrgId;
    /**
     * 主键
     */
    @Id
    @ApiModelProperty(name = "主键")
    @Column(name = "id")
    private String id;
    /**
     * 身份证
     */
    @Column(name = "id_card")
    @ApiModelProperty(name = "身份证")
    private String idCard;
    /**
     * 关联清单ID
     */
    @Column(name = "main_id")
    @ApiModelProperty(name = "关联清单ID")
    private String mainId;
    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    @ApiModelProperty(name = "手机")
    private String mobile_phone;
    /**
     * 曾被认定类别
     */
    @Column(name = "old_category")
    @ApiModelProperty(name = "曾被认定类别")
    private String oldCategory;
    /**
     * 微信号
     */
    @Column(name = "weChat_number")
    @ApiModelProperty(name = "微信号")
    private String weChatNumber;
}
