package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @program: microservice
 * @description: 文明号附件
 * @author: xiang xin
 * @create: 2023-09-11 10:22
 */
@Entity
@Table(name = "ycq_civilization_annex")
@Data
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "文明号附件")
public class YcqCivilizationAnnex {
    /**
     * 主键
     */
    @Id
    @ApiModelProperty(name = "主键")
    @Column(name = "id")
    private String id;
    /**
     * 上传文件名称
     */
    @Column(name = "file_name")
    @ApiModelProperty(name = "上传文件名称")
    private String fileName;
    /**
     * 文件地址
     */
    @Column(name = "file_url")
    @ApiModelProperty(name = "文件地址")
    private String fileUrl;
    /**
     * 关联id
     */
    @Column(name = "main_id")
    @ApiModelProperty(name = "关联id")
    private String mainId;
    /**
     * 类型
     */
    @Column(name = "file_type")
    @ApiModelProperty(name = "类型")
    private String fileType;
    /**
     * 服务器文件名称
     */
    @Column(name = "server_name")
    @ApiModelProperty(name = "服务器文件名称")
    private String serverName;
    /**
     * 乐观锁
     */
    @Column(name = "revision")
    @ApiModelProperty(name = "乐观锁")
    private Integer revision;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    @ApiModelProperty(name = "创建人ID")
    private String createId;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间")
    private Date createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    @ApiModelProperty(name = "更新人ID")
    private String updateId;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(name = "更新时间")
    private Date updateTime;
    /**
     * 删除标识
     */
    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识")
    private Integer delFlag;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    @ApiModelProperty(name = "创建人")
    private String createBy;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    @ApiModelProperty(name = "更新人")
    private String updateBy;
}
