package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @program: microservice
 * @description: 文明号清单
 * @author: xiang xin
 * @create: 2023-09-09 16:22
 */
@Entity
@Table(name = "ycq_civilization_inventory")
@Data
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "文明号清单")
public class YcqCivilizationInventory {
    /**
     * 主键
     */
    @Id
    @ApiModelProperty(name = "主键")
    @Column(name = "id")
    private String id;
    /**
     * 申报编号
     */
    @ApiModelProperty(name = "申报编号")
    @Column(name = "declaration_number")
    private String declarationNumber;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态")
    @Column(name = "state")
    private String state;
    /**
     * 关联政策ID
     */
    @ApiModelProperty(name = "关联政策ID")
    @Column(name = "policy_id")
    private String policyId;
    /**
     * 乐观锁
     */
    @ApiModelProperty(name = "乐观锁")
    @Column(name = "revision")
    private Integer revision;
    /**
     * 创建人ID
     */
    @ApiModelProperty(name = "创建人ID")
    @Column(name = "create_id")
    private String createId;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间")
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 更新人ID
     */
    @ApiModelProperty(name = "更新人ID")
    @Column(name = "update_id")
    private String updateId;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间")
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 删除标识
     */
    @ApiModelProperty(name = "删除标识")
    @Column(name = "del_flag")
    private String delFlag;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人")
    @Column(name = "create_by")
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(name = "更新人")
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 更新人
     */
    @ApiModelProperty(name = "类型(1创建 2复核)")
    @Column(name = "types")
    private String types;
    /**
     * 初核原因
     */
    @ApiModelProperty(name = "初核原因")
    @Column(name = "rvaluate_reason")
    private String rvaluateReason;
    /**
     * 认定原因
     */
    @ApiModelProperty(name = "认定原因")
    @Column(name = "identify_reason")
    private String identifyReason;
    /**
     * 认定等级
     */
    @ApiModelProperty(name = "认定等级")
    @Column(name = "recognition_level")
    private String recognitionLevel;

}
