package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @program: microservice
 * @description: 文明号分数关联表
 * @author: xiang xin
 * @create: 2023-09-07 20:10
 */
@Entity
@Table(name = "ycq_civilization_self_relationship")
@Data
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "文明号分数关联表")
public class YcqCivilizationSelfRelationship {
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "主键")
    private String id;

    @Column(name = "main_id")
    @ApiModelProperty(value = "关联清单表值")
    private String mainId;

    @Column(name = "static_id")
    @ApiModelProperty(value = "关联静态表值")
    private String staticId;

    @Column(name = "fraction")
    @ApiModelProperty(value = "分数")
    private String fraction;
}
