package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @program: microservice
 * @description: 活动报道
 * @author: xiang xin
 * @create: 2024-01-15 15:25
 */
@Entity
@Table(name = "YCQ_EVENT_REPORT")
@NamedQuery(name = "YcqEventReport.findAll", query = "SELECT t FROM YcqEventReport t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "活动报道")
public class YcqEventReport implements Serializable {
    /**
     * 主键
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(name = "主键")
    private Long id;
    /**
     * 活动报道标题
     */
    @Column(name = "report_title")
    @ApiModelProperty(name = "活动报道标题")
    private String reportTitle;
    /**
     * 活动报道状态
     */
    @Column(name = "report_type")
    @ApiModelProperty(name = "活动报道状态 1未发布、2已发布、3已下架")
    private Integer reportType;
    /**
     * 活动报道正文
     */
    @Column(name = "report_text")
    @ApiModelProperty(name = "活动报道正文")
    private String reportText;
    /**
     * 关联活动ID
     */
    @Column(name = "activity_id")
    @ApiModelProperty(name = "关联活动ID")
    private String activityId;
    /**
     * 发布人
     */
    @Column(name = "CREATED_BY")
    @ApiModelProperty(name = "发布人")
    private Long createdBy;
    /**
     * 发布时间
     */
    @Column(name = "CREATED_TIME")
    @ApiModelProperty(name = "发布时间")
    private Date createdTime;
    /**
     * 更新人
     */
    @Column(name = "UPDATED_BY")
    @ApiModelProperty(name = "更新人")
    private Long updatedBy;
    /**
     * 更新时间
     */
    @Column(name = "UPDATED_TIME")
    @ApiModelProperty(name = "更新时间")
    private Date updatedTime;
    /**
     * 删除状态 0正常 1删除
     */
    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除状态 0正常 1删除")
    private Integer delFlag;
}
