package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @program: microservice
 * @description: 活动报道图片
 * @author: xiang xin
 * @create: 2024-01-15 15:53
 */
@Entity
@Table(name = "YCQ_EVENT_REPORT_COVER")
@NamedQuery(name = "YcqEventReportCover.findAll", query = "SELECT t FROM YcqEventReportCover t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "活动报道图片")
public class YcqEventReportCover {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 关联id
     */
    @Column(name = "article_id")
    private Long articleId;

    /**
     * 文件id
     */
    @Column(name = "file_id")
    private String fileId;

    /**
     * 文件名称
     */
    @Column(name = "file_name")
    private String fileName;

    /**
     * 文件key
     */
    @Column(name = "file_key")
    private String fileKey;

    /**
     * 文件类型
     */
    @Column(name = "file_type")
    private String fileType;

    /**
     * 文件大小
     */
    @Column(name = "file_size")
    private Integer fileSize;

    /**
     * 文件状态
     */
    @Column(name = "state")
    private Integer state;

    /**
     * 类型(1活动报道)
     */
    @Column(name = "type")
    private Integer type;

    /**
     * 文件路径
     */
    @Column(name = "file_url")
    private String fileUrl;

    /**
     * 高度
     */
    @Column(name = "pic_height")
    private Integer picHeight;

    /**
     * 宽度
     */
    @Column(name = "pic_width")
    private Integer picWidth;
}
