package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author gongsongtao
 * @date 2023/9/5 10:30
 */
@Entity
@Table(name = "ycq_qzh_activity")
@NamedQuery(name = "YcqQzhActivity.findAll", query = "SELECT t FROM YcqQzhActivity t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "风采表")
public class YcqQzhActivity implements Serializable, Cloneable {
    /**
     * ID
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 风采标题
     */
    @Column(name = "activity_title")
    private String activityTitle;

    /**
     * 1突击队，2文明号，3示范岗，4权益岗，5其他
     */
    @Column(name = "activity_type")
    private Integer activityType;
    
    /**
     * 风采其他类型静态值code
     */
    // @Column(name = "activity_other_type_code")
    // private String activityOtherTypeCode;

    /**
     * 文本内容
     */
    @Column(name = "activity_text")
    private String activityText;

    /**
     * 开放范围(1全部,2对内,3对外)
     */
    @Column(name = "open_competence")
    private Integer openCompetence;

    /**
     * 排序序号
     */
    @Column(name = "sort_num")
    private Integer sortNum;

    /**
     * 指标id
     */
    @Column(name = "indicator_system_id")
    private Long indicatorSystemId;

    /**
     * 所属对象id
     */
    @Column(name = "parent_id")
    private Long parentId;

    /**
     * 乐观锁
     */
    @Column(name = "revision")
    private Integer revision;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private String createId;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 删除标识
     */
    @Column(name = "del_flag")
    private Integer delFlag;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 位置(app/web)
     */
    @Column(name = "condition")
    private String condition;
    /**
     * 关联活动id
     */
    @Column(name = "act_id")
    private String actId;

    /**
     * 创建人和上级查看权限
     */
    @Column(name = "create_org_ids")
    private String createOrgIds;

}
