package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author gongsongtao
 * @date 2023/9/5 10:30
 */
@Entity
@Table(name = "ycq_qzh_announcement")
@NamedQuery(name = "YcqQzhAnnouncement.findAll", query = "SELECT t FROM YcqQzhAnnouncement t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "公告表")
public class YcqQzhAnnouncement implements Serializable, Cloneable {
    /**
     * ID
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 类型（1公告,2公示）
     */
    @Column(name = "type")
    private Integer type;

    /**
     * 文章标题
     */
    @Column(name = "announcement_title")
    private String announcementTitle;

    /**
     * 1突击队，2文明号，3示范岗，4权益岗，5其他
     */
    @Column(name = "announcement_type")
    private Integer announcementType;

    /**
     * 文本内容
     */
    @Column(name = "announcement_text")
    private String announcementText;

    /**
     * 开放范围(1全部 2对内,3对外)
     */
    @Column(name = "open_competence")
    private Integer openCompetence;

    /**
     * 状态（1已发布，2已下架）
     */
    @Column(name = "state")
    private Integer state;

    /**
     * 排序序号
     */
    @Column(name = "sort_num")
    private Integer sortNum;

    /**
     * 乐观锁
     */
    @Column(name = "revision")
    private Integer revision;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private String createId;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 删除标识
     */
    @Column(name = "del_flag")
    private Integer delFlag;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 关联申报ID
     */
    @Column(name = "apply_id")
    private String applyId;

    /**
     * 创建者查看组织控
     */
    @Column(name = "create_org_ids")
    private String createOrgIds;

    /**
     * 其他类型静态值code
     */
    // @Column(name = "announcement_other_type_code")
    // private String announcementOtherTypeCode;



}
