package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author gongsongtao
 * @date 2023/9/5 10:30
 */
@Entity
@Table(name = "ycq_qzh_browse")
@NamedQuery(name = "YcqQzhBrowse.findAll", query = "SELECT t FROM YcqQzhBrowse t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "id" })
@ApiModel(description = "浏览记录以及点赞表")
public class YcqQzhBrowse implements Serializable, Cloneable {
    /**
     * ID
     */
    @Id
    @GeneratedValue(strategy =GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 表类型（1政策,2公告公示,3风采,）
     */
    @Column(name = "record_type")
    private Integer recordType;

    /**
     *文章id
     */
    @Column(name = "article_id")
    private Long articleId;

    /**
     * 操作用户
     */
    @Column(name = "user_id")
    private Long userId;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 是否删除
     */
    @Column(name = "del_flag")
    private Integer delFlag;
}
