package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * @author gongsongtao
 * @date 2023/9/5 17:20
 */
@Entity
@Table(name = "ycq_qzh_cover")
@NamedQuery(name = "YcqQzhCover.findAll", query = "SELECT t FROM YcqQzhCover t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id" })
@ApiModel(description = "政策封面表")
public class YcqQzhCover {
    @Id
    @GeneratedValue(strategy =GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 文章id
     */
    @Column(name = "article_id")
    private Long articleId;

    /**
     * 文件id
     */
    @Column(name = "file_id")
    private String fileId;

    /**
     * 文件名称
     */
    @Column(name = "file_name")
    private String fileName;

    /**
     * 文件key
     */
    @Column(name = "file_key")
    private String fileKey;

    /**
     * 文件类型
     */
    @Column(name = "file_type")
    private String fileType;

    /**
     * 文件大小
     */
    @Column(name = "file_size")
    private Integer fileSize;

    /**
     * 文件状态
     */
    @Column(name = "state")
    private Integer state;

    /**
     * 类型(1政策,2公告公示,3风采,4活动)
     */
    @Column(name = "type")
    private Integer type;

    /**
     * 文件路径
     */
    @Column(name = "file_url")
    private String fileUrl;

    /**
     * 高度
     */
    @Column(name = "pic_height")
    private Integer picHeight;

    /**
     * 宽度
     */
    @Column(name = "pic_width")
    private Integer picWidth;

}
