package com.crunii.micro.domain.entity.main.document;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @author gongsongtao
 * @date 2023/9/5 10:30
 */
@Entity
@Table(name = "ycq_qzh_document")
@NamedQuery(name = "YcqQzhDocument.findAll", query = "SELECT t FROM YcqQzhDocument t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "政策表")
public class YcqQzhDocument implements Serializable, Cloneable {
    /**
     * ID
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 文章标题
     */
    @Column(name = "document_title")
    private String documentTitle;

    /**
     * 1突击队，2文明号，3示范岗，4权益岗
     */
    @Column(name = "document_type")
    private Integer documentType;

    /**
     * 文本内容
     */
    @Column(name = "document_text")
    private String documentText;

    /**
     * 开放范围(1对内,2全部)
     */
    @Column(name = "open_competence")
    private Integer openCompetence;

    /**
     * 政策文件号
     */
    @Column(name = "document_num")
    private String documentNum;

    /**
     * 状态(1已发布，2已下架)
     */
    @Column(name = "state")
    private Integer state;

    /**
     * 排序序号
     */
    @Column(name = "sort_num")
    private Integer sortNum;

    /**
     * 有效开始时间
     */
    @Column(name = "begin_time")
    private Date beginTime;

    /**
     * 有效结束时间
     */
    @Column(name = "end_time")
    private Date endTime;

    /**
     * 申请类型（1新建,2复核）
     */
    @Column(name = "apply_type")
    private Integer applyType;

    /**
     * 乐观锁
     */
    @Column(name = "revision")
    private Integer revision;
    /**
     * 创建人ID
     */
    @Column(name = "create_id")
    private String createId;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;
    /**
     * 更新人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 删除标识
     */
    @Column(name = "del_flag")
    private Integer delFlag;
    /**
     * 创建人
     */
    @Column(name = "create_by")
    private String createBy;
    /**
     * 更新人
     */
    @Column(name = "update_by")
    private String updateBy;
    /**
     * 是否申请入口
     */
    @Column(name = "apply_entrance")
    private String applyEntrance;
    /**
     * 创建者查看组织
     */
    @Column(name = "create_org_ids")
    private String createOrgIds;
}
