package com.crunii.micro.domain.entity.main.dynamicform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @MethodName
 * @Description 动态表单模板
 * @Author Jiang
 * @Date 2023/9/27 11:05
 */
@Entity
@Table(name = "YCQ_DYNAMIC_VALUE_RECORD")
@NamedQuery(name = "YcqQzhDynamicFormColumnValue.findAll", query = "SELECT t FROM YcqQzhDynamicFormColumnValue t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "动态表单模板")
public class YcqQzhDynamicFormColumnValue implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(name = "id", notes = "")
    private Long id;

//    /** 更改后
//     * 动态表单的表单名称
//     */
//    @Column(name = "FORM_NAME")
//    @ApiModelProperty(value = "动态表单的表单名称")
//    private String formName;


//    /** 更改后
//     * 动态表单的json字符串
//     */
//    @Column(name = "FORM_JSON")
//    @ApiModelProperty(value = "动态表单的json字符串")
//    private String formJson;

    /**
     * 活动关联Id
     */
    @Column(name = "BUSINESS_ID")
    @ApiModelProperty(value = "业务id")
    private Long businessId;

    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    @Column(name = "CREATE_ID")
    private Long createId;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "create_time")
    private Date createTime;

//    /**
//     * 更新人
//     */
//    @ApiModelProperty(name = "更新人", notes = "")
//    @Column(name = "update_by")
//    private String updateBy;

//    /**
//     * 更新时间
//     */
//    @ApiModelProperty(name = "更新时间", notes = "")
//    @Column(name = "updateTime")
//    private Date updateTime;

    /**
     * 是否删除
     */
    @ApiModelProperty(name = "是否删除", notes = "")
    @Column(name = "IS_DELETE")
    private Integer isDelete;


    @ApiModelProperty(name = "创建人", notes = "")
    @Column(name = "CREATE_NAME")
    private String createName;


    @ApiModelProperty(name = "name", notes = "")
    @Column(name = "COLUMN_VALUE")
    private String columnValue;


    @ApiModelProperty(name = "key", notes = "")
    @Column(name = "COLUMN_KEY")
    private String columnKey;

    @ApiModelProperty(name = "des", notes = "")
    @Column(name = "COLUMN_DES")
    private String columnDes;


    @ApiModelProperty(name = "type", notes = "")
    @Column(name = "COLUMN_TYPE")
    private String columnType;

}
