package com.crunii.micro.domain.entity.main.dynamicform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * @MethodName
 * @Description 动态表单记录（用户记录）
 * @Author Jiang
 * @Date 2023/9/27 11:05
 */
@Entity
@Table(name = "YCQ_QZH_DYNAMIC_FORM_RECORD")
@NamedQuery(name = "YcqQzhDynamicFormRecord.findAll", query = "SELECT t FROM YcqQzhDynamicFormRecord t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "动态表单模板")
public class YcqQzhDynamicFormRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(name = "id", notes = "")
    private Long id;

    /** 更改后
     * 动态表单的表单名称
     */
    @Column(name = "FORM_NAME")
    @ApiModelProperty(value = "动态表单的表单名称")
    private String formName;

    /** 更改后
     * 动态表单的表名-生成的建表的名称
     */
    @Column(name = "FORM_TABLE_NAME")
    @ApiModelProperty(value = "动态表单的表名-生成的建表的名称")
    private String formTableName;

    /** 更改后
     * 动态表单的json字符串
     */
    @Column(name = "FORM_JSON")
    @ApiModelProperty(value = "动态表单的json字符串")
    private String formJson;

    /**
     * 活动关联Id
     */
    @Column(name = "ACTIVITY_ID")
    @ApiModelProperty(value = "活动关联Id")
    private Long activityId;

    /**
     * 创建人id
     */
    @ApiModelProperty(name = "创建人", notes = "")
    @Column(name = "create_by")
    private Long createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty(name = "更新人", notes = "")
    @Column(name = "update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间", notes = "")
    @Column(name = "updateTime")
    private Date updateTime;

    /**
     * 是否删除
     */
    @ApiModelProperty(name = "是否删除", notes = "")
    @Column(name = "deleted")
    private Integer deleted;


    @ApiModelProperty(name = "创建人名字", notes = "")
    @Column(name = "CREATE_NAME")
    private String createName;

}
