package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.QagApplyLeaderChangeLog;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;

@Repository
public interface QagApplyLeaderChangeLogRepo extends BaseRepo<QagApplyLeaderChangeLog,Long> {
    QagApplyLeaderChangeLog findByQagApplyIdAndIsDeletedAndStateIn(Long id, int i, List<Integer> state);

    @Modifying
    @Query(value = "update QAG_APPLY_LEADER_CHANGE_LOG set is_deleted=1 where id=:id",nativeQuery = true)
    public void updateLeaderChangeLog(@Param("id") Long id);

    List<QagApplyLeaderChangeLog> findByQagApplyIdOrderByCreatedTimeDesc(Long aLong);

    List<QagApplyLeaderChangeLog> findByLeaderIdCardAndIsDeletedAndStateIn(String leaderIdCard, int isDeleted, ArrayList<Integer> stateList);

    List<QagApplyLeaderChangeLog> findByLeaderIdCardNewAndIsDeletedAndStateIn(String leaderIdCard, int i, ArrayList<Integer> integers);
}
