package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqActivityImage;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author lyx
 * @date 2023/9/7
 */
@Repository
public interface YcqActivityImageRepo extends BaseRepo<YcqActivityImage,Long> {
    List<YcqActivityImage> findByUserIdAndActivityId(Long userId, Long activityId);

    @Modifying
    @Query(value = "DELETE FROM YCQ_ACTIVITY_IMAGE WHERE activity_id = ?1",nativeQuery = true)
    void deleteByActivityId(Long activityId);
}
