package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqActivityImage;
import com.crunii.micro.domain.entity.main.YcqActivityParticipationDetails;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author lyx
 * @date 2023/9/7
 */
@Repository
public interface YcqActivityParticipationDetailsRepo extends BaseRepo<YcqActivityParticipationDetails,Long> {
    YcqActivityParticipationDetails findByUserIdAndActivityId(Long userId, Long activityId);

    /**
     *  查询一个活动下所有公示状态为1的默认模板
     * @param activityId 活动id
     * @param isPublicity 公示状态
     * @return
     */
    List<YcqActivityParticipationDetails> findByActivityIdAndIsPublicity(Long activityId,Integer isPublicity);

    @Modifying
    @Query(value = "DELETE FROM ycq_activity_participation_details WHERE activity_id = ?1",nativeQuery = true)
    void deleteByActivityId(Long activityId);

    List<YcqActivityParticipationDetails> findByActivityIdIn(List<Long> list);
    List<YcqActivityParticipationDetails> findByActivityIdInAndUserId(List<Long> list, Long userId);
    List<YcqActivityParticipationDetails> findByActivityId(Long id);
    YcqActivityParticipationDetails findByActivityIdAndUserId(Long id, Long userId);
}
