package com.crunii.micro.domain.repo.main;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.YcqYouthStart;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @author lyx
 * @date 2023/9/7
 */
@Repository
public interface YcqYouthStartRepo extends BaseRepo<YcqYouthStart,Long> {
    @Transactional
    @Modifying
    @Query(value = "UPDATE ycq_youth_start  SET is_deleted = 1 WHERE id = ?1",nativeQuery = true)
    void markAsDeletedById(Long id);

    @Query(value = "SELECT MAX(priority) FROM ycq_youth_start ",nativeQuery = true)
    Integer findMaxPriority();

    List<YcqYouthStart> findByPriorityNot(Integer priority);
}
