package com.crunii.micro.domain.repo.main.cavalryTrumpet;

import com.crunii.micro.common.dto.OrderProp;
import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.cavalryTrumpet.YcqYnDeclaration;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 青年号申报表;
 * @author : http://www.chiner.pro
 * @date : 2023-11-13
 */
@Repository
public interface YcqYnDeclarationRepo extends BaseRepo<YcqYnDeclaration, Long> {
  /**
   * 通过id查询申报
   * @param declarationId 主键id
   * @param loginId 当前登录id
   * @param deleted 是否删除
   * @return data
   */
  YcqYnDeclaration findByDeclarationIdAndCreatorIdAndDeleted(Long declarationId,Integer loginId,Integer deleted);


  /**
   * 通过id获取申报
   * @param declarationId 主键id
   * @param deleted 是否删除
   * @return data
   */
  YcqYnDeclaration findByDeclarationIdAndDeleted(Long declarationId,Integer deleted);
}
