package com.crunii.micro.domain.repo.main.dynamicform;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.domain.entity.main.TsmOrg;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicForm;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @MethodName
 * @Description 动态表单模板
 * @Author Jiang
 * @Date 2023/9/27 11:05
 */
@Repository
public interface YcqQzhDynamicFormRepo extends BaseRepo<YcqQzhDynamicForm, Long> {

    /**
     * @MethodName findByActivityId
     * @Description APP端 通过活动Id获取活动表单数据
     * @param: activityId
     * @return: java.util.List<com.crunii.micro.domain.entity.main.YcqQzhDynamicForm>
     * @Author Jiang
     * @Date 2023/9/27 22:04
     */
    YcqQzhDynamicForm findByActivityIdAndDeleted(Long activityId,Integer deleted);

    @Modifying
    @Query(value = "update ycq_qzh_dynamic_form set DELETED=1 where activity_id=:id", nativeQuery = true)
    void deleteByActivityId(@Param("id") Long activityId);

}
