package com.crunii.micro.service.qzh.chain.activity;

import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.dto.ButtonStateDTO;

import java.time.LocalDateTime;

public class ActivityApplyFilter extends ActivityButtonStateFilter<ButtonStateDTO> {

    private ActivityButtonStateFilter<ButtonStateDTO> next;

    private boolean isApply;

    private boolean isApplyFull;

    private LocalDateTime applyStartTime;
    private LocalDateTime applyEndTime;
    private LocalDateTime endTime;

    private boolean neededApply;

    public ActivityApplyFilter(boolean neededApply, boolean isApply, boolean isApplyFull, LocalDateTime applyStartTime, LocalDateTime applyEndTime, LocalDateTime endTime) {
        this.neededApply = neededApply;
        this.isApply = isApply;
        this.isApplyFull = isApplyFull;
        this.applyStartTime = applyStartTime;
        this.applyEndTime = applyEndTime;
        this.endTime = endTime;
    }

    public void setNext(ActivityButtonStateFilter<ButtonStateDTO> next){
        this.next = next;
    }


    public ButtonStateDTO doFilter(LocalDateTime currentTime, boolean isGrey){
        if (currentTime.isAfter(endTime)){
            return next.doFilter(currentTime, isGrey);
        }
        if (!neededApply){
            return next.doFilter(currentTime, isGrey);
        }
        if (isApply){
            return next.doFilter(currentTime, isGrey);
        }
        ButtonStateDTO buttonStateDTO = new ButtonStateDTO(isGrey);
        if (isApplyFull){
            if (currentTime.isAfter(endTime)){
                buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
            }else {
                buttonStateDTO.setButtonState(ActivityButtonStateEnum.FULL_REGISTRATION.getCode());
            }
            return buttonStateDTO;
        }
        if (currentTime.isBefore(applyStartTime)){
            buttonStateDTO.setButtonState(ActivityButtonStateEnum.REGISTER.getCode());
            buttonStateDTO.setIsGrey(1);
            return buttonStateDTO;
        }
        if (currentTime.isAfter(applyEndTime)){
            buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
            return buttonStateDTO;
        }
        buttonStateDTO.setButtonState(ActivityButtonStateEnum.REGISTER.getCode());
        return buttonStateDTO;
    }
}
