package com.crunii.micro.service.qzh.chain.activity;

import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.dto.ButtonStateDTO;

import java.time.LocalDateTime;
import java.util.Objects;

public class ActivityAuditFilter extends ActivityButtonStateFilter<ButtonStateDTO>{

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    /**
     * 0:不通过;1:通过;2:待审核
     */
    private int auditState;

    private ActivityButtonStateFilter<ButtonStateDTO> next;

    public void setNext(ActivityButtonStateFilter<ButtonStateDTO> next){
        this.next = next;
    }

    public ActivityAuditFilter(LocalDateTime startTime, LocalDateTime endTime, int auditState) {
        this.startTime = startTime;
        this.endTime = endTime;
        this.auditState = auditState;
    }


    @Override
    public ButtonStateDTO doFilter(LocalDateTime currentTime, boolean isGrey) {
        ButtonStateDTO buttonStateDTO = new ButtonStateDTO(isGrey);
//        if (currentTime.isAfter(endTime)){
//            buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
//            return buttonStateDTO;
//        }
        if (Objects.equals(0, auditState)){
            buttonStateDTO.setButtonState(ActivityButtonStateEnum.REJECT.getCode());
            return buttonStateDTO;
        }else if (Objects.equals(1, auditState)){
            return next.doFilter(currentTime, false);
        }else {
//            buttonStateDTO.setButtonState(ActivityButtonStateEnum.SIGN_IN_NOW.getCode());
            return next.doFilter(currentTime, true);
        }
    }
}
