package com.crunii.micro.service.qzh.chain.activity;

import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.dto.ButtonStateDTO;

import java.time.LocalDateTime;

public class ActivityFeedbackFilter extends ActivityButtonStateFilter<ButtonStateDTO>{

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private boolean isFeedback;

    private boolean neededFeedback;

    private Boolean canFeedback;

    private ActivityButtonStateFilter<ButtonStateDTO> next;


    public ActivityFeedbackFilter(LocalDateTime endTime, boolean isFeedback, boolean neededFeedback, Boolean canFeedback) {
        this.endTime = endTime;
        this.isFeedback = isFeedback;
        this.neededFeedback = neededFeedback;
        this.canFeedback = canFeedback;
    }

    @Override
    public void setNext(ActivityButtonStateFilter<ButtonStateDTO> next) {
        this.next = next;
    }

    @Override
    public ButtonStateDTO doFilter(LocalDateTime currentTime, boolean isGrey) {
        ButtonStateDTO buttonStateDTO = new ButtonStateDTO(isGrey);
        if (!neededFeedback){
            buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
            return buttonStateDTO;
        }
        if (endTime.plusDays(3).isBefore(currentTime)){
            buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
            return buttonStateDTO;
        }
        if (!canFeedback){
            buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
            return buttonStateDTO;
        }
        if (isFeedback){
            buttonStateDTO.setButtonState(ActivityButtonStateEnum.HIDE.getCode());
            return buttonStateDTO;
        }
        if (currentTime.isBefore(endTime)){
            buttonStateDTO.setIsGrey(1);
        }
        buttonStateDTO.setButtonState(ActivityButtonStateEnum.EDIT.getCode());
        return buttonStateDTO;
    }
}
