package com.crunii.micro.service.qzh.chain.activity;

import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.dto.ButtonStateDTO;

import java.time.LocalDateTime;

public class ActivitySignInFilter extends ActivityButtonStateFilter<ButtonStateDTO>{
    private LocalDateTime signInStartTime;

    private LocalDateTime signInEndTime;

    private LocalDateTime endTime;

    private boolean isSignIn;

    private ActivityButtonStateFilter<ButtonStateDTO> next;

    public void setNext(ActivityButtonStateFilter<ButtonStateDTO> next){
        this.next = next;
    }

    public ActivitySignInFilter(LocalDateTime signInStartTime, LocalDateTime signInEndTime, boolean isSignIn, LocalDateTime endTime) {
        this.signInStartTime = signInStartTime;
        this.signInEndTime = signInEndTime;
        this.isSignIn = isSignIn;
        this.endTime = endTime;
    }

    @Override
    public ButtonStateDTO doFilter(LocalDateTime currentTime, boolean isGrey) {
        if (currentTime.isAfter(endTime)){
            return this.next.doFilter(currentTime, isGrey);
        }
        if (currentTime.isAfter(signInEndTime) || isSignIn){
            return this.next.doFilter(currentTime, isGrey);
        }
        ButtonStateDTO buttonStateDTO = new ButtonStateDTO(isGrey);
        buttonStateDTO.setButtonState(ActivityButtonStateEnum.SIGN_IN_NOW.getCode());
        if (signInStartTime.isAfter(currentTime)){
            buttonStateDTO.setIsGrey(1);
        }
        return buttonStateDTO;
    }
}
