package com.crunii.micro.service.qzh.chain.activity;

import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.dto.ButtonStateDTO;

import java.time.LocalDateTime;

public class ActivitySignOutFilter extends ActivityButtonStateFilter<ButtonStateDTO>{
    private LocalDateTime signOutStartTime;

    private LocalDateTime signOutEndTime;

    private LocalDateTime endTime;

    private boolean isSignOut;

    private ActivityButtonStateFilter<ButtonStateDTO> next;

    public void setNext(ActivityButtonStateFilter<ButtonStateDTO> next){
        this.next = next;
    }

    public ActivitySignOutFilter(LocalDateTime signOutStartTime, LocalDateTime signOutEndTime, boolean isSignOut, LocalDateTime endTime) {
        this.signOutStartTime = signOutStartTime;
        this.signOutEndTime = signOutEndTime;
        this.isSignOut = isSignOut;
        this.endTime = endTime;
    }

    @Override
    public ButtonStateDTO doFilter(LocalDateTime currentTime, boolean isGrey) {
        if (currentTime.isAfter(endTime)){
            return this.next.doFilter(currentTime, isGrey);
        }
        if (currentTime.isAfter(signOutEndTime) || isSignOut){
            return this.next.doFilter(currentTime,isGrey);
        }
        ButtonStateDTO buttonStateDTO = new ButtonStateDTO(isGrey);
        if (signOutStartTime.isAfter(currentTime)){
            buttonStateDTO.setIsGrey(1);
        }
        buttonStateDTO.setButtonState(ActivityButtonStateEnum.SIGN_OUT_NOW.getCode());
        return buttonStateDTO;
    }
}
