package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.activity.LocationDataDTO;
import com.crunii.micro.service.qzh.api.domain.dto.LocationDataVO;

import com.crunii.micro.service.qzh.service.ActivityCheckInService;

import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;


/**
 * @author lmlksy
 * @date 2023/11/21 10:42
 */
@Api(tags = "活动管理APP", description = "活动签到")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/activityCheckInController")
public class ActivityCheckInController {

    private final ActivityCheckInService activityCheckInService;

    @ApiOperation("计算经纬度")
    @PostMapping("/calculateDistance")
    public Result<LocationDataVO> doCalculateDistance(@RequestBody @Validated LocationDataDTO locationDataDTO){
        return activityCheckInService.doCalculateDistance(locationDataDTO);
    }

    @ApiOperation("定位签到/签退")
    @PostMapping("/location")
    public Result<String> doLocation(@RequestBody LocationDataDTO locationDataDTO,@CurrWorker @ApiIgnore Worker worker){
        return activityCheckInService.doLocation(locationDataDTO,worker);
    }

    @ApiOperation("扫码")
    @PostMapping("/scan")
    public Result<String> doScan(@RequestBody LocationDataDTO locationDataDTO,@CurrWorker @ApiIgnore Worker worker){
        return activityCheckInService.doScan(locationDataDTO,worker);
    }

}
