package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.CommandoActiveDetailsIssueRespDTO;
import com.crunii.micro.service.qzh.dto.CommandoActiveDetailsLoginRespDTO;
import com.crunii.micro.service.qzh.dto.IntegrationDetailsCommonReqDTO;
import com.crunii.micro.service.qzh.service.CommandoActiveDetailsService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Validated
@Api(tags = "突击队积分明细")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/commandoActiveDetailsController")
public class CommandoActiveDetailsController {

  private final CommandoActiveDetailsService commandoActiveDetailsService;


  @PostMapping("/IssueScorePage")
  @ApiOperation("积分明细-发布积分明细分页")
  public Result<PageRsp<CommandoActiveDetailsIssueRespDTO>> issueScorePage(@ApiIgnore @CurrWorker Worker worker, @Validated @RequestBody
      PageReq<IntegrationDetailsCommonReqDTO> req) {
    return commandoActiveDetailsService.issueScorePage(worker,req);
  }


  @PostMapping("/loginScorePage")
  @ApiOperation("积分明细-登录明细分页")
  public Result<PageRsp<CommandoActiveDetailsLoginRespDTO>> loginScorePage(@ApiIgnore @CurrWorker Worker worker, @Validated @RequestBody
      PageReq<IntegrationDetailsCommonReqDTO> req) {
    return commandoActiveDetailsService.loginScorePage(worker,req);
  }


}
