package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.*;
import com.crunii.micro.service.qzh.service.CommandoCountInfoService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import java.util.List;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @Author thw
 * @date 2023/9/18
 * @description
 */
@Validated
@Api(tags = "突击队汇总明细")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/commandoCountInfoController")
public class CommandoCountInfoController {

  private final CommandoCountInfoService commandoCountInfoService;


  @PostMapping("/findCoincidenceOrganization")
  @ApiOperation("青年突击队页面组织下拉查询")
  public Result<List<CommandoOrganizationRespDTO>> findCoincidenceOrganization( @ApiIgnore @CurrWorker Worker worker) {
//    return commandoCountInfoService.findCoincidenceOrganization(worker);
    return null;
  }

  @PostMapping("/activeIntegralPage")
  @ApiOperation("青年青年突击队活跃度积分分页")
  public Result<PageRsp<CommandoActiveIntegralRespDTO>> activeIntegralPage(@ApiIgnore @CurrWorker Worker worker,@Validated @RequestBody
      PageReq<CommandoCountInfoCommonReqDTO> req) {
    return commandoCountInfoService.activeIntegralPage(worker,req);
  }


  @PostMapping("/countGroupInfo")
  @ApiOperation("青年突击队信息查询统计")
  public Result<CommandoGroupInfoRespDTO> countGroupInfo(@ApiIgnore @CurrWorker Worker worker,@Validated @RequestBody
      CommandoCountInfoCommonReqDTO dto) {
    return commandoCountInfoService.countGroupInfo(worker,dto);
  }

  @PostMapping("/findTypeAndNumber")
  @ApiOperation("青年突击队各类别占比与各队人数")
  public Result<List<CommandoTypeRatioRespDTO>> findTypeAndNumber(@ApiIgnore @CurrWorker Worker worker,@Validated @RequestBody
      CommandoCountInfoCommonReqDTO dto) {
    return commandoCountInfoService.findTypeAndNumber(worker,dto);
  }



}
