package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.AppActivityEvaluateDTO;

import com.crunii.micro.service.qzh.api.domain.dto.AppActivityEvaluateVO;
import com.crunii.micro.service.qzh.api.domain.dto.ParticipationDetailsVO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.DefaultTemplateDTO;

import com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel.QagPageRsp;
import com.crunii.micro.service.qzh.dto.*;
import com.crunii.micro.service.qzh.service.DefaultTemplateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author lmlksy
 * @date 2023/11/22 15:49
 */
@Api(tags = "活动内容-默认模板")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/defaultTemplateController")
public class DefaultTemplateController {

    private final DefaultTemplateService defaultTemplateService;

    @ApiOperation("查询列表")
    @PostMapping("/queryList")
    public Result<QagPageRsp<DefaultTemplateVO>> queryList(@RequestBody PageReq<DefaultTemplateDTO> req) {
        return defaultTemplateService.queryList(req);
    }

    @ApiOperation("活动评价详情查询根据活动id和用户id")
    @PostMapping("/queryUserEvaluate")
    public Result<ParticipationDetailsVO> queryUserEvaluate(@RequestBody AppActivityEvaluateDTO dto) {
        return defaultTemplateService.queryUserEvaluate(dto);
    }
    @ApiOperation("审核")
    @PostMapping("/audit")
    public Result<String> doAudit(@RequestBody @Validated DefaultTemplateDTO req) {
        return defaultTemplateService.doAudit(req);
    }

    @ApiOperation("公示/取消公示")
    @PostMapping("/publicity")
    public Result<String> doPublicity(@RequestBody DefaultTemplateDTO req) {
        return defaultTemplateService.doPublicity(req);
    }

    @ApiOperation("查询一个活动下当前人员的参与详情和反馈模板")
    @PostMapping("/queryAppViewDetails")
    public Result<AppActivityEvaluateVO> queryAppViewDetails(@RequestBody @Validated AppActivityEvaluateDTO dto) {
        return defaultTemplateService.queryAppViewDetails(dto);
    }

}
