package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicForm;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormReqDTO;
import com.crunii.micro.service.qzh.service.DynamicFormService;
import com.crunii.micro.service.qzh.dto.dynamicform.DynamicFormTableReqDTO;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.*;


/**
 * @MethodName
 * @Description 动态表单
 * @Author Jiang
 * @Date 2023/9/27 11:05
 */
@Api(tags = "动态表单模板", description = "动态表单模板 API")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/DynamicFormController")
public class DynamicFormController {

    @Autowired
    DynamicFormService dynamicFormService;


    /**
     * @MethodName saveDynamicFormJson
     * @Description 保存动态表单的json数据并通过解析json中的控件信息作为新创建表得字段
     * @param: dynamicFormJsons
     * @return: com.crunii.micro.common.dto.Result
     * @Author Jiang
     * @Date 2023/10/13 17:14
     */
//    @RequestMapping(value = "/saveDynamicFormJson", method = RequestMethod.POST)
//    public Result<Long> saveDynamicFormJson(@CurrWorker @ApiIgnore Worker worker, @RequestBody DynamicFormReqDTO dynamicFormReq) {
//        dynamicFormService.saveDynamicFormJson(worker, dynamicFormReq);
//        return null;
//    }


    /**
     * @MethodName saveDynamicFormJson
     * @Description 动态表单模板分页查询
     * @param: dynamicFormJsons
     * @return: com.crunii.micro.common.dto.Result
     * @Author Jiang
     * @Date 2023/10/13 17:14
     */
//    @ApiOperation("动态表单模板分页查询")
//    @PostMapping("/pageDynamicForm")
//    public Result<PageRsp<YcqQzhDynamicForm>> pageDynamicForm(@RequestBody @ApiParam PageReq<DynamicFormReqDTO> req) {
//        Result<PageRsp<YcqQzhDynamicForm>> result = new Result<>();
//        result.setData(dynamicFormService.pageDynamicForm(req));
//        return result;
//    }

    /**
     * 根据id获取动态表单配置json
     * @param id
     * @return
     */
    @ApiOperation("动态表单模板分页查询")
    @GetMapping("/getById/{id}")
    public Result<YcqQzhDynamicForm> getByActivityId(@PathVariable("id") Long id){
        return null;
    }





    /**
     * @MethodName findTableDataByIdAndTableName
     * @Description 通过业务id和表名查询动态表单提交的表单数据的值
     * @param: dynamicFormTableReq
     * @return: com.crunii.micro.common.dto.Result<?>
     * @Author Jiang
     * @Date 2023/10/13 16:50
     */
//    @RequestMapping(value = "/findTableDataByIdAndTableName", method = RequestMethod.POST)
//    public Result<Map<String, Object>> findTableDataByIdAndTableName(@RequestBody DynamicFormTableReqDTO dynamicFormTableReq) {
//        return dynamicFormService.findTableDataByBusinessIdAndTableName(dynamicFormTableReq);
//
//    }


}
