package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicForm;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicRecordPageReqDTO;
import com.crunii.micro.service.qzh.service.DynamicFormService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

/**
 * 动态表单数据
 */
@Api(tags = "动态表单数据", description = "动态表单数据 API")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/DynamicRecordController")
public class DynamicRecordController {

    @Autowired
    DynamicFormService dynamicFormService;


    /**
     * @MethodName saveTableData
     * @Description 通过表名新增动态表对应字段数据-（保存用户表单填的数据）
     * @param: jsonObject
     * @return: com.crunii.micro.common.dto.Result
     * @Author Jiang
     * @Date 2023/10/13 16:58
     */
    @PostMapping(value = "/saveTableData")
    public Result<Boolean> saveTableData(@CurrWorker @ApiIgnore Worker worker, @RequestBody DynamicFormRecordReqDTO dynamicFormRecord) {
        dynamicFormService.saveTableData(worker, dynamicFormRecord);
        return new Result<>(Boolean.TRUE);
    }


    /**
     * @MethodName findById
     * @Description 通过业务id查询该业务下的动态表单的json数据
     * @param: 关联动态表单的业务id
     * @return: com.crunii.micro.common.dto.Result<?>
     * @Author Jiang
     * @Date 2023/10/13 16:18
     */
    @RequestMapping(value = "/findById", method = RequestMethod.POST)
    public Result<YcqQzhDynamicForm> findById(@RequestParam Long id) {
//        return dynamicFormService.findById(id);
        return null;
    }

    @RequestMapping(value = "/pageByBusinessId", method = RequestMethod.POST)
    public Result<PageRsp<YcqQzhDynamicForm>> pageByBusinessId(@RequestBody DynamicRecordPageReqDTO dto) {
//        return dynamicFormService.pageByBusinessId(id);
        return null;
    }
}
