package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.Result;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.AppExamContentRespDTO;
import com.crunii.micro.service.qzh.dto.AppExamInfoRespDTO;
import com.crunii.micro.service.qzh.dto.AppExamListRespDTO;
import com.crunii.micro.service.qzh.dto.AppExamReqDTO;
import com.crunii.micro.service.qzh.service.ExamService;

import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import lombok.RequiredArgsConstructor;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/9/11 18:43
 */
@Validated
@Api(tags = "APP考试")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/examController")
public class ExamController {
    private final ExamService examService;

    @PostMapping("/queryExamList")
    @ApiOperation("app考试列表查询")
    Result<List<AppExamListRespDTO>> queryExamList() {
        return examService.queryExamList();
    }

    @PostMapping("/queryExamInfoById")
    @ApiOperation("app考试信息查询")
    Result<AppExamInfoRespDTO> queryExamInfoById( @ApiIgnore @CurrWorker Worker worker,Integer id){
        return examService.queryExamInfoById(worker,id);
    }

    @PostMapping("/queryExamById")
    @ApiOperation("app获取本次考试内容")
    Result<AppExamContentRespDTO> queryExamById(@ApiIgnore @CurrWorker Worker worker, Integer id){
        return examService.queryExamById(worker,id);
    }

    @PostMapping("/doSubmit")
    @ApiOperation("app提交试卷")
    public Result<String> doSubmit(@Validated @RequestBody AppExamReqDTO appExamReqDTO){
        return examService.doSubmit(appExamReqDTO);
    }

}
