package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.service.IndicatorAppraiseExportService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.servlet.http.HttpServletResponse;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @Author thw
 * @date 2023/9/5
 * @description 指标体系评价-导出指标评价Controller
 */
@Validated
@Api(tags = "指标体系评")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/indicatorAppraiseExportController")
public class IndicatorAppraiseExportController {

  private final IndicatorAppraiseExportService indicatorAppraiseExportService;


  @ApiOperation(value = "导出维护青少年权益岗对应的指标评价")
  @PostMapping(path = "/exportIndexSystemContent")
  @ResponseBody
  public void exportIndexSystemContent(HttpServletResponse response, @CurrWorker @ApiIgnore Worker worker, @RequestParam("versionId") String versionId){
    indicatorAppraiseExportService.exportIndexSystemContent(response, worker, versionId);
  }


}
