package com.crunii.micro.service.qzh.controller;


import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.ActivityAppQueryReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.ActivityAppQueryRespDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.AppActivityDetailRespDTO;
import com.crunii.micro.service.qzh.service.PublishActivityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Api(tags = "活动发布(不需要登录)")
@RequiredArgsConstructor
@RestController
@RequestMapping("/public/publishActivityController")
public class PublicPublishActivityController {

    @Resource
    private PublishActivityService service;
    /**
     * APP-活动列表（分页不需要权限）
     * @param dto
     * @return
     */
    @ApiOperation("APP-活动列表（分页）")
    @PostMapping("/activityQueryForApp")
    public Result<PageRsp<ActivityAppQueryRespDTO>> pageActivityQueryForApp(@RequestBody @ApiParam PageReq<ActivityAppQueryReqDTO> dto) {
        return service.activityQueryForAppWithoutToken(dto);
    }

    /**
     * APP-活动详情-不需要token
     * @param id
     * @return
     */
    @ApiOperation("APP-活动详情-不需要token")
    @GetMapping("/doActivityDetailForAppWithoutToken/{id}")
    public Result<AppActivityDetailRespDTO> doActivityDetailForAppWithoutToken(@PathVariable("id") Long id) {
        return service.doActivityDetailForAppWithoutToken(id);
    }
}
