package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.activity.RegistrationAuditDTO;
import com.crunii.micro.service.qzh.api.domain.dto.RegistrationAuditVO;
import com.crunii.micro.service.qzh.service.RegistrationAuditService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;

@Api(tags = "活动管理-报名审核")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/registrationAuditController")
public class RegistrationAuditController {

  private final RegistrationAuditService registrationAuditService;

  @ApiOperation("查询列表")
  @PostMapping("/queryList")
  public Result<PageRsp<RegistrationAuditVO>> queryList(@RequestBody @Validated PageReq<RegistrationAuditDTO> req) {
    return registrationAuditService.queryList(req);
  }

  @ApiOperation(value = "批量导出")
  @RequestMapping(path = "/batchExport", method = RequestMethod.POST)
  public void exportRegistrationAuditExcel(@RequestBody RegistrationAuditDTO dto){
    registrationAuditService.exportRegistrationAuditExcel(dto);
  }

  @ApiOperation(value = "批量审核")
  @RequestMapping(path = "/batchAudit", method = RequestMethod.POST)
  public Result<String> doBatchAudit(@RequestBody RegistrationAuditDTO dto){
   return registrationAuditService.doBatchAudit(dto);
  }

}
