//package com.crunii.micro.service.qzh.controller;
//
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.common.validate.AddGroup;
//import com.crunii.micro.common.validate.EditGroup;
//import com.crunii.micro.service.qzh.api.domain.dto.*;
//import com.crunii.micro.service.qzh.service.RequiredSkillExamService;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiParam;
//import lombok.RequiredArgsConstructor;
//import org.springframework.core.io.InputStreamResource;
//import org.springframework.http.ResponseEntity;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//
//import javax.validation.constraints.NotEmpty;
//import javax.validation.constraints.NotNull;
//
//import java.util.List;
//
//import static org.reflections.Reflections.log;
//
///**
// * @Author zwx
// * @Description 应知应会试题库
// * @Date  2023/9/5 11:09:29
// **/
//@Validated
//@Api(tags = "应知应会试题库")
//@RequiredArgsConstructor
//@RestController
//@RequestMapping("/RequiredSkillExam")
//public class RequiredSkillExamController {
//
//    private final RequiredSkillExamService service;
//
//    /**
//     * 题目列表分页查询
//     */
//    @ApiOperation("题目列表分页查询")
//    @PostMapping("/topicListQuery")
//    public Result<PageRsp<TopicRespDTO>> topicListQuery(@RequestBody @ApiParam PageReq<TopicListQueryReqDTO> req) {
//        log.info("req:" + req.toString());
//        return service.topicListQuery(req);
//    }
//
//    /**
//     * 题库列表分页查询
//     */
//    @ApiOperation("题库列表分页查询")
//    @PostMapping("/questionBankQuery")
//    public Result<PageRsp<QuestionBankRespDTO>> questionBankQuery(@RequestBody @ApiParam PageReq<QuestionBankQueryReqDTO> req) {
//        log.info("req:" + req.toString());
//        return service.questionBankQuery(req);
//    }
//
//    /**
//     * 题目详情查询
//     */
//    @ApiOperation("题目详情查询")
//    @GetMapping("/topicDetailQuery")
//    public Result<TopicDetailRespDTO> topicDetailQuery(@ApiParam("主键") @NotNull(message = "主键不能为空") @RequestParam("id") Integer id) {
//        return service.topicDetailQuery(id);
//    }
//
//    /**
//     * 题目添加
//     */
//    @ApiOperation("题目添加")
//    @PostMapping("/topicAdd")
//    public Result<Integer> topicAdd(@Validated(AddGroup.class) @RequestBody TopicAddReqDTO dto) {
//        return service.topicAdd(dto);
//    }
//
//
//    /**
//     * 题库添加
//     */
//    @ApiOperation("题库添加")
//    @PostMapping("/questionBankAdd")
//    public Result<Integer> questionBankAdd(@Validated(AddGroup.class) @RequestBody QuestionBankAddReqDTO dto) {
//        return service.questionBankAdd(dto);
//    }
//
//    /**
//     * 题目编辑
//     */
//    @ApiOperation("题目编辑")
//    @PostMapping("/topicEdit")
//    public Result<Integer> topicEdit(@Validated(EditGroup.class) @RequestBody TopicEditReqDTO dto) {
//        return service.topicEdit(dto);
//    }
//
//    /**
//     * 题库编辑
//     */
//    @ApiOperation("题库编辑")
//    @PostMapping("/questionBankEdit")
//    public Result<Integer> questionBankEdit(@Validated(EditGroup.class) @RequestBody QuestionBankEditReqDTO dto) {
//        return service.questionBankEdit(dto);
//    }
//
//    /**
//     * 题目删除
//     */
//    @ApiOperation("题目删除")
//    @PostMapping("/topicDelete")
//    public Result<Integer> topicDelete(@ApiParam("主键串") @NotEmpty(message = "主键不能为空") @RequestParam("ids") IdArraysReqDTO dto) {
//        service.topicDelete(dto);
//        return Result.ofSuccess(1);
//    }
//
//    /**
//     * 题库删除
//     */
//    @ApiOperation("题库删除")
//    @PostMapping("/questionBankDelete")
//    public Result<Integer> questionBankDelete(@ApiParam("主键串") @NotEmpty(message = "主键不能为空") @RequestParam("ids") IdArraysReqDTO dto) {
//        service.questionBankDelete(dto);
//        return Result.ofSuccess(1);
//    }
//
//    @ApiOperation("题目导入模板下载")
//    @PostMapping("/importTemplateDownload")
//    public Object importTemplateDownload() {
//        return service.topicImportTemplateDownload();
//    }
//
//
//
//
//}
