package com.crunii.micro.service.qzh.controller;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.message.SendMessageTaskReqDTO;
import com.crunii.micro.service.qzh.service.SendMessageTaskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 消息任务
 * @Author: zwx
 * @CreateTime: 2023-10-27  10:19:56
 * @Description: 发送消息任务
 */
@Api(tags = "发送消息任务")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/sendMessageTaskController")
public class SendMessageTaskController {

    @Autowired
    SendMessageTaskService sendMessageTaskService;

    @ApiOperation("接收消息任务")
    @PostMapping("/receivingMessageTask")
    public Result receivingMessageTask(@RequestBody @ApiParam SendMessageTaskReqDTO taskReqDTO) {
        return sendMessageTaskService.saveMessageTask(taskReqDTO);
    }
}

