package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqActivityAuditReasonDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqActivityAuditReasonVO;
import com.crunii.micro.service.qzh.service.YcqActivityAuditReasonService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Validated
@Api(tags = "活动管理-报名审核不通过原因")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/ycqActivityAuditReasonController")
public class YcqActivityAuditReasonController {

    @Autowired
    private YcqActivityAuditReasonService service;

    @ApiOperation("报名审核不通过原因集合查询")
    @PostMapping("/pageList")
    public Result<List<YcqActivityAuditReasonVO>> pageList() {
        return service.pageList();
    }

    @ApiOperation("修改")
    @PostMapping("/update")
    public Result<String> update(@RequestBody YcqActivityAuditReasonDTO dto) {
        return service.update(dto);
    }

    @ApiOperation("创建")
    @PostMapping("/create")
    public Result<String> saveCreate(@RequestBody @Validated YcqActivityAuditReasonDTO dto) {
        return service.saveCreate(dto);
    }

    @ApiOperation("删除")
    @PostMapping("/delete")
    public Result<String> delete(@RequestBody YcqActivityAuditReasonDTO dto) {
        return service.delete(dto);
    }




}
