package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.service.YcqQdCxlService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;
import java.io.IOException;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.qzh.controller
 * @Author: limy
 * @CreateTime: 2023-09-23  10:51
 * @Description: 青年大学习参学率统计台账
 * @Version: 1.0
 */
@Api(tags = "青年大学习参学率统计台账")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/YcqQdCxlController")
public class YcqQdCxlController {
    @Resource
    private YcqQdCxlService ycqQdCxlService;

    @ApiOperation("导入")
    @PostMapping("/import")
    public Result ImportTaiZhang(@RequestParam("file")MultipartFile file, String acctMonth,@CurrWorker  @ApiIgnore Worker worker) throws IOException {
        return ycqQdCxlService.createMultiTaiZhang(file,acctMonth,worker);
    }

}
