package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhFlowDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhFlowVo;
import com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet.CivilizationReportPageDto;
import com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet.CivilizationReportVo;
import com.crunii.micro.service.qzh.service.ActivityCheckInService;
import com.crunii.micro.service.qzh.service.QzhFlowService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;



@Api(tags = "代办", description = "代办")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/YcqQzhController")
public class YcqQzhController {

    private final QzhFlowService service;


    @ApiOperation("待办")
    @PostMapping("/pageDbFlo")
    public Result<PageRsp<YcqQzhFlowVo>> pageDbFlo(@RequestBody PageReq<YcqQzhFlowDTO> req) {
        return service.pageDbFlo(req);
    }

    @ApiOperation("已办")
    @PostMapping("/pageYbFlo")
    public Result<PageRsp<YcqQzhFlowVo>> pageYbFlo(@RequestBody PageReq<YcqQzhFlowDTO> req) {
        return service.pageYbFlo(req);
    }

    @ApiOperation("我发起")
    @PostMapping("/pageWfqFlo")
    public Result<PageRsp<YcqQzhFlowVo>> pageWfqFlo(@RequestBody PageReq<YcqQzhFlowDTO> req) {
        return service.pageWfqFlo(req);
    }


}
