package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.validate.AddGroup;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDailySupervisionReqDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDailySupervisionRespDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhIndicatorVersionDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhIndicatorVersionVo;
import com.crunii.micro.service.qzh.service.YcqQzhDailySupervisionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import static org.reflections.Reflections.log;

@Validated
@Api(tags = "日常监督管理")
@RequiredArgsConstructor
@RestController
@RequestMapping("/SupervisionManageController")
public class YcqQzhDailySupervisionController {

    private final YcqQzhDailySupervisionService service;

    @ApiOperation("日常监督分页查询")
    @PostMapping("/pageSupervisionManage")
    @ResponseBody
    public Result<PageRsp<YcqQzhDailySupervisionRespDto>> pageSupervisionManage(@RequestBody @ApiParam PageReq<YcqQzhDailySupervisionReqDto> req) {
        log.info("req:" + req.toString());
        return Result.ofSuccess(service.pageSupervisionManage(req));
    }

    @ApiOperation("日常监督新增")
    @PostMapping("/createSupervisionManage")
    public Result<Void> createSupervisionManage(@Validated(AddGroup.class) @RequestBody YcqQzhDailySupervisionReqDto req) {
        service.createSupervisionManage(req);
        return Result.ofSuccess();
    }
}
