package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqQzhQagApply;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordSubmitDTO;
import com.crunii.micro.service.qzh.dto.*;
import com.crunii.micro.service.qzh.dto.dynamicform.*;
import com.crunii.micro.service.qzh.service.YcqDynamicFormService;
import com.crunii.micro.service.qzh.service.YcqQzhQagApplyService;
import com.crunii.module.flow.api.vo.pending.CruniiFlowProcessHistoryRespVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Validated
@Api(tags = "活动-动态表单")

@RestController
@RequestMapping("/auth/YcqQzhDynamicController")
public class YcqQzhDynamicController {

    @Resource
    private  YcqDynamicFormService ycqDynamicFormService;

//    @PostMapping("/createForm")
//    @ApiOperation("动态表单-创建表单")
//    public Result<Boolean> create(@RequestBody DynamicFormTableReqDTO req) {
//        return ycqDynamicFormService.create(req);
//    }
//
//
//    @PostMapping("/createActiveFrom")
//    @ApiOperation("动态表单-创建活动表单")
//    public Result<Boolean> createActiveFrom(@RequestBody DynamicFormTableReqDTO req) {
//        return ycqDynamicFormService.createActiveFrom(req);
//    }

    @PostMapping("/updateForm")
    @ApiOperation("动态表单-修改表单数据")
    public Result<Boolean> updateForm(@RequestBody DynamicFormTableReqDTO req) {
        return ycqDynamicFormService.updateForm(req);
    }

    @PostMapping("/createFormVale")
    @ApiOperation("动态表单-创建表单数据")
    public Result<Boolean> createFormVale(@RequestBody DynamicFormValeReqDTO req) {
        return ycqDynamicFormService.createFormVale(req);
    }

    @PostMapping("/createActiveFormVale")
    @ApiOperation("动态表单-创建活动表单数据")
    public Result<Integer> createActiveFormVale(@RequestBody DynamicFormRecordSubmitDTO req) {
        return ycqDynamicFormService.createActiveFormVale(req);
    }



    @ApiOperation("动态表单-详情")
    @PostMapping("/getDetailsById/{id}")
    public Result<DynamicFormTableReqDTO> getDetailsById(@PathVariable("id") Long id) {
        return ycqDynamicFormService.getDetailsById(id);
    }


    @PostMapping("/getPageValue")
    @ApiOperation("动态表单-分页")
    public Result<PageRsp<DynamicFormValeRspDTO>> getPage(@RequestBody PageReq<DynamicFormReqDTO> req) {
        return ycqDynamicFormService.getPage(req);
    }

    @GetMapping("/getHeads")
    @ApiOperation("动态表单-表头")
    public Result<List<DynamicFormColumnDTO>> getHeads(@RequestParam("id") Long id,@RequestParam("type") Integer type) {
        return ycqDynamicFormService.getHeads(id,type);
    }

    @PostMapping("/getDetailsByActiveId/{id}/{type}")
    @ApiOperation("动态表单-根据活动id获取jsonStr")
    public Result<String> getDetailsByActiveId(@PathVariable("id") Long id,@PathVariable("type") Integer type) {
        return Result.ofSuccess(ycqDynamicFormService.getDetailsByActiveId(id,type));
    }


    @PostMapping("/export")
    @ApiOperation("动态表单-导出")
    public Result<Boolean> export(@RequestBody DynamicFormExportDTO req) {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        HttpServletResponse response = attributes.getResponse();
        return ycqDynamicFormService.export(req,response);
    }

    @PostMapping("/applicationExport")
    @ApiOperation("动态表单-审核-导出")
    public Result<Boolean> applicationExport(@RequestBody DynamicFormExportDTO req) {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        HttpServletResponse response = attributes.getResponse();
        return ycqDynamicFormService.applicationExport(req,response);
    }

    @PostMapping("/applicationDetailsExport")
    @ApiOperation("动态表单-审核详情-导出")
    public Result<Boolean> applicationDetailsExport(@RequestBody DynamicFormExportDTO req) {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        HttpServletResponse response = attributes.getResponse();
        return ycqDynamicFormService.applicationDetailsExport(req,response);
    }


    @PostMapping("/getApplicationPage")
    @ApiOperation("动态表单-报名-分页")
    public Result<PageRsp<DynamicFormValeRspDTO>> getApplicationPage(@RequestBody PageReq<DynamicFormReqDTO> req) {
        return ycqDynamicFormService.getApplicationPage(req);
    }
//    @PostMapping("/getDetailsValueByActiveId/{id}")
//    @ApiOperation("动态表单-表头")
//    public Result<String> getDetailsValueByActiveId(@PathVariable("id") Long id) {
//        return ycqDynamicFormService.getDetailsByActiveId(id);
//    }


    @PostMapping("/createNode")
    @ApiOperation("创建审核节点")
    public Result<Boolean> createNode(@RequestBody YcqActiveFlowNodeReqDTO req) {
        return ycqDynamicFormService.createNode(req);
    }

    @PostMapping("/updateNode")
    @ApiOperation("修改审核节点")
    public Result<Boolean> updateNode(@RequestBody YcqActiveFlowNodeReqDTO req) {
        return ycqDynamicFormService.updateNode(req);
    }

    @PostMapping("/getNodeList")
    @ApiOperation("获取节点list")
    public Result<List<YcqActiveFlowNodeRspDTO>> getNodeList(@RequestBody YcqActiveFlowNodeReqDTO req) {
        return ycqDynamicFormService.getNodeList(req);
    }
}
