package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqQzhRightsIndex;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
import com.crunii.micro.service.qzh.service.YcqQzhProtectionCheckService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author lyx
 * @date 2023/11/15
 */
@Validated
@Api(tags = "维权岗复核")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/rightsProtectionCheckController")
public class YcqQzhProtectionCheckController {

    @Resource
    private YcqQzhProtectionCheckService service;


    @ApiOperation("申报记录分页查询")
    @PostMapping("/recordPage")
    public Result<PageRsp<RightsProtectionRecordPageRespDTO>> recordPage(@RequestBody PageReq<ProtectionRecordDTO> req) {
        return service.recordPage(req);
    }

    @ApiOperation("复核草稿")
    @PostMapping("/saveDraft")
    public Result<Long> doDraft(@RequestBody RightsProtectionCheckReqDTO req) {
        return service.doDraft(req);
    }

    @ApiOperation("申报复核")
    @PostMapping("/check")
    public Result<Object> doCheck(@RequestBody RightsProtectionCheckReqDTO req) {
        return service.doCheck(req);
    }

    @ApiOperation("复核申报查看")
    @PostMapping("/getCheck")
    public Result<RightsProtectionCheckQueryRespDTO> getCheck(@RequestParam("id") Long req) {
        return service.getCheck(req);
    }

    @ApiOperation("区县复核评审")
    @PostMapping("/operate")
    public Result<Object> doOperate(@RequestBody RightsProtectionOperateReqDTO req) {
        return service.doOperate(req);
    }

    @ApiOperation("复核指标查询")
    @PostMapping("/getIndicator")
    Result<List<YcqQzhRightsIndex>> getIndicator() {
        return service.getIndicator();
    }

    @ApiOperation("市级查询页面")
    @PostMapping("/getMarket")
    Result<CheckMarketQueryWorkerDTO> getMarket(@RequestBody CheckQueryDTO dto) {
        return service.getMarket(dto);
    }

    @ApiOperation("上传盖章版附件封装工具")
    @PostMapping("/annexTool")
    Result<String> annexTool(@RequestBody CheckQueryDTO dto) {
        return service.annexTool(dto);
    }

    @ApiOperation("市级主管/团委单位复核")
    @PostMapping("/marketCheck")
    Result<Object> doMarketCheck(@RequestBody CheckMarketOperateDTO dto) {
        return service.doMarketCheck(dto);
    }
}
