package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.feign.client.ObsService;
import com.crunii.micro.feign.client.dto.FileVo;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.CheckMarketQueryWorkerDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.RightsProtectionCheckReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.RightsProtectionCreateReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.RightsProtectionRecordPageRespDTO;
import com.crunii.micro.service.qzh.service.YcqQzhProtectionReportService;
import com.crunii.micro.service.qzh.service.YcqQzhProtectionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Validated
@Api(tags = "权益岗申报")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/protectionReportController")
public class YcqQzhProtectionReportController {

	@Resource
	private YcqQzhProtectionReportService service;


	@ApiOperation("申报创建预览导出")
	@PostMapping("/createPreview")
	public ResponseEntity<byte[]> createPreview(@RequestParam String id,HttpServletRequest request, HttpServletResponse response) throws IOException {
		return service.createPreview(request,response,id);
	}

	@ApiOperation("申报复核预览导出")
	@PostMapping("/checkPreview")
	public ResponseEntity<byte[]> checkPreview(@RequestParam String id, HttpServletRequest request, HttpServletResponse response) throws IOException {
		return service.checkPreview(request,response,id);
	}

	@ApiOperation("市级主管复核预览导出")
	@PostMapping("/cityPreview")
	public ResponseEntity<byte[]> cityPreview(@RequestBody CheckMarketQueryWorkerDTO dto, HttpServletRequest request, HttpServletResponse response) throws IOException {
		return service.cityPreview(request,response,dto);
	}

}
