package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqQzhQagApply;
import com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel.QagFlowHistoryRespVO;
import com.crunii.micro.service.qzh.dto.*;
import com.crunii.micro.service.qzh.service.CommandoActiveDetailsService;
import com.crunii.micro.service.qzh.service.YcqQzhQagApplyService;
import com.crunii.micro.web.mvc.CurrWorker;
import com.crunii.module.flow.api.vo.FlowInstanceReqVO;
import com.crunii.module.flow.api.vo.pending.CruniiFlowProcessHistoryRespVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;


@Validated
@Api(tags = "青字号-青安岗")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/YcqQzhQagApplyController")
public class YcqQzhQagApplyController {

  private final YcqQzhQagApplyService ycqQzhQagApplyService;


  @PostMapping("/apply")
  @ApiOperation("青安岗-申请")
  public Result apply(@RequestBody YcqQzhQagApplyReqDTO req) {
    return ycqQzhQagApplyService.create(req);
  }

  @PostMapping("/audit")
  @ApiOperation("青安岗-审核")
  public Result audit(@RequestBody YcqQzhQagAuditReqDTO req) {
    return ycqQzhQagApplyService.audit(req);
  }

  @PostMapping("/back")
  @ApiOperation("青安岗-回退")
  public Result<Boolean> back(@RequestBody YcqQzhQagBackReqDTO req) {
    return ycqQzhQagApplyService.back(req);
  }

  @PostMapping("/backNodeList")//停用
  @ApiOperation("青安岗-回退节点集合")
  public Result<List<CruniiFlowProcessHistoryRespVO>> backNodeList(@RequestBody YcqQzhQagBackReqDTO req) {
    return ycqQzhQagApplyService.backList(req);
  }

  @ApiOperation("青安岗-详情")
  @PostMapping("/getDetailsById")
  public Result<YcqQzhQagApply> getDetailsById(@RequestParam("id") Long id) {
    return ycqQzhQagApplyService.getDetails(id);
  }

  @ApiOperation("青安岗-删除")
  @PostMapping("/delete")
  public Result<Boolean> delete(@RequestParam("id") Long id) {
    return ycqQzhQagApplyService.delete(id);
  }

  @ApiOperation("青安岗-修改")
  @PostMapping("/update")
  public Result<Boolean> update(@RequestBody YcqQzhQagApplyReqDTO req) {
    return ycqQzhQagApplyService.update(req);
  }

  @PostMapping("/applyPage")
  @ApiOperation("青安岗-分页申请人")
  public Result<PageRsp<YcqQzhQagApplyRespDTO>> applyPage(@RequestBody PageReq<YcqQzhQagApplyReqDTO> req) {
    return ycqQzhQagApplyService.page(req);
  }

  @PostMapping("/examinePage")
  @ApiOperation("青安岗-分页审批人")
  public Result<PageRsp<YcqQzhQagApplyRespDTO>> examinePage(@RequestBody PageReq<YcqQzhQagApplyReqDTO> req) {
    return ycqQzhQagApplyService.examinePage(req);
  }

  @PostMapping("/getApplyTotal")//停用
  @ApiOperation("青安岗-申请人总数")
  public Result<YcqQzhQagApplyTotalRespDTO> getApplyTotal() {
    return ycqQzhQagApplyService.getApplyTotal();
  }

  @PostMapping("/getExamineTotal")
  @ApiOperation("青安岗-审核人总数")
  public Result<YcqQzhQagApplyTotalRespDTO> getExamineTotal() {
    return ycqQzhQagApplyService.getExamineTotal();
  }

  @PostMapping("/flowHistory")//停用
  @ApiOperation("青安岗-申报流程记录")
  public Result<List<QagFlowHistoryRespVO>> flowHistory(@RequestBody FlowInstanceReqVO flowInstanceReqVO) {
    return ycqQzhQagApplyService.flowHistory(flowInstanceReqVO);
  }

}
