package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.YcqTrainingCenterFileDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqTrainingCenterFileVo;
import com.crunii.micro.service.qzh.service.YcqTrainingCenterFileService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;


@Api(tags = "培训中心-文件")
@RestController
@RequestMapping("/auth/YcqTrainingCenterFileController")
public class YcqTrainingCenterFileController {

    @Resource
    private YcqTrainingCenterFileService service;



    @ApiOperation(value = "新增")
    @RequestMapping(path = "/create", method = RequestMethod.POST)
    @ResponseBody
    public Result<Void> create(@RequestBody YcqTrainingCenterFileDTO dto) {
        return service.create(dto);
    }

    @ApiOperation(value = "修改")
    @RequestMapping(path = "/update", method = RequestMethod.POST)
    @ResponseBody
    public Result<Void> update(@RequestBody YcqTrainingCenterFileDTO dto) {
        return service.update(dto);
    }

    @ApiOperation(value = "分页")
    @RequestMapping(path = "/page", method = RequestMethod.POST)
    @ResponseBody
    public Result<PageRsp<YcqTrainingCenterFileVo>> page(@RequestBody PageReq<YcqTrainingCenterFileDTO> req) {
        return service.page(req);
    }

    @ApiOperation(value = "删除")
    @RequestMapping(path = "/delete", method = RequestMethod.GET)
    @ResponseBody
    Result<Void> delete(@RequestParam("id") Long id) {
        return service.delete(id);
    };

    @ApiOperation(value = "不分页查")
    @RequestMapping(path = "/list", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<YcqTrainingCenterFileVo>> list(@RequestBody YcqTrainingCenterFileDTO req) {
        return service.list(req);
    }
}
