package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqYouthStartAppDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqYouthStartAppVO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqYouthStartDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.YcqYouthStartVO;
import com.crunii.micro.service.qzh.service.YcqYouthStartAppService;
import com.crunii.micro.service.qzh.service.YcqYouthStartService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Validated
@Api(tags = "青创政策-app政策管理")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/ycqYouthStartAppController")
public class YcqYouthStartAppController {

    @Autowired
    private YcqYouthStartAppService service;

    @ApiOperation("政策管理分页查询")
    @PostMapping("/pageList")
    public Result<PageRsp<YcqYouthStartAppVO>> pageList(@RequestBody PageReq<YcqYouthStartAppDTO> req) {
        return service.pageList(req);
    }
    @ApiOperation("浏览量")
    @PostMapping("/pageView")
    public Result<String> doPageView(@RequestBody YcqYouthStartAppDTO dto) {
        return service.doPageView(dto);
    }

}
