package com.crunii.micro.service.qzh.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;

import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;

import com.crunii.micro.service.qzh.service.YcqYouthStartService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;



@Validated
@Api(tags = "青创政策-政策管理")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/ycqYouthStartController")
public class YcqYouthStartController {

    @Autowired
    private YcqYouthStartService service;

    @ApiOperation("政策管理分页查询")
    @PostMapping("/pageList")
    public Result<PageRsp<YcqYouthStartVO>> pageList(@RequestBody PageReq<YcqYouthStartDTO> req) {
        return service.pageList(req);
    }

    @ApiOperation("修改政策管理")
    @PostMapping("/update")
    public Result<String> update(@RequestBody YcqYouthStartDTO dto) {
        return service.update(dto);
    }

    @ApiOperation("创建")
    @PostMapping("/create")
    public Result<String> saveCreate(@RequestBody @Validated YcqYouthStartDTO dto) {
        return service.saveCreate(dto);
    }

    @ApiOperation("删除")
    @PostMapping("/delete")
    public Result<String> delete(@RequestBody YcqYouthStartDTO dto) {
        return service.delete(dto);
    }

    @ApiOperation("公示")
    @PostMapping("/publicity")
    public Result<String> doPublicity(@RequestBody YcqYouthStartDTO dto) {
        return service.doPublicity(dto);
    }

    @ApiOperation("置顶-优先级")
    @PostMapping("/priority")
    public Result<String> doPriority(@RequestBody YcqYouthStartDTO dto) {
        return service.doPriority(dto);
    }



}
