package com.crunii.micro.service.qzh.controller;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.DefaultAppTemplateVO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.DefaultAppTemplateDTO;
import com.crunii.micro.service.qzh.service.DefaultAppTemplateService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;


/**
 * @author lmlksy
 * @date 2023/11/21 10:42
 */
@Api(tags = "活动APP", description = "活动详情页")
@RequiredArgsConstructor
@RestController
@RequestMapping("/auth/defaultAppTemplateController")
public class defaultAppTemplateController {

    private final DefaultAppTemplateService defaultAppTemplateService;

    @ApiOperation("活动反馈默认模板")
    @PostMapping("/saveActivityContent")
    public Result<String> saveActivityContent(@RequestBody DefaultAppTemplateDTO dto,@CurrWorker @ApiIgnore Worker worker) {
        return defaultAppTemplateService.saveActivityContent(dto,worker);
    }
    @ApiOperation("浏览量")
    @PostMapping("/pageView")
    public Result<Integer> doQueryView(@RequestBody  DefaultAppTemplateDTO dto) {
        return defaultAppTemplateService.doQueryView(dto);
    }

}
