package com.crunii.micro.service.qzh.controller.publicController;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.activity.ActivityDetailsRspDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.OperationActivityReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.PageActivityReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.PageActivityRspDTO;
import com.crunii.micro.service.qzh.service.YcqQzhActivityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: microservice
 * @description: 游客模式-风采
 * @author: xiang xin
 * @create: 2023-12-21 11:02
 */
@Api(tags = "游客模式-风采")
@RequiredArgsConstructor
@RestController
@RequestMapping("/activityTourists")
public class YcqQzhActivityTouristsController {

    private final YcqQzhActivityService ycqQzhActivityService;

    @ApiOperation("分页查询风采")
    @PostMapping("/pageYcqQzhActivity")
    public Result<PageRsp<PageActivityRspDTO>> pageYcqQzhActivity(@RequestBody @ApiParam PageReq<PageActivityReqDTO> dto) {
        return ycqQzhActivityService.pageYcqQzhActivityTourists(dto);
    }

    @ApiOperation("查看风采详情")
    @PostMapping("/doFindDetails")
    public Result<ActivityDetailsRspDTO> doFindDetails(@RequestBody @Validated @ApiParam OperationActivityReqDTO dto) {
        return ycqQzhActivityService.doFindDetails(dto);
    }
    @ApiOperation("通用记录浏览量")
    @PostMapping("/doBrowseActivity")
    public Result doBrowseActivity(@RequestBody @Validated @ApiParam OperationActivityReqDTO dto) {
        return ycqQzhActivityService.doBrowseActivity(dto);
    }
}
