package com.crunii.micro.service.qzh.controller.publicController;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.announcement.OperationAnnouncementReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.announcement.PageAnnouncementReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.announcement.PageAnnouncementRspDTO;
import com.crunii.micro.service.qzh.service.YcqQzhAnnouncementService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @program: microservice
 * @description: 游客模式-公告公示
 * @author: xiang xin
 * @create: 2023-12-21 11:17
 */
@Api(tags = "游客模式-公告公示")
@RequiredArgsConstructor
@RestController
@RequestMapping("/announcementTourists")
public class YcqQzhAnnouncementTouristsController {
    private final YcqQzhAnnouncementService announcementService;

    @ApiOperation("游客模式-分页查询公告公示")
    @PostMapping("/pageAnnouncement")
    public Result<PageRsp<PageAnnouncementRspDTO>> pageAnnouncement(@RequestBody @ApiParam PageReq<PageAnnouncementReqDTO> dto) {
        return announcementService.pageAnnouncementTourists(dto);
    }

    @ApiOperation("游客模式-查看公告公示详情")
    @PostMapping("/findAnnouncementDetailsById")
    public Result findAnnouncementDetailsById(@RequestBody @ApiParam OperationAnnouncementReqDTO dto) {
        return announcementService.findAnnouncementDetailsById(dto);
    }
    @ApiOperation("获取最新五条公告公示")
    @PostMapping("/getAnnouncementNewest")
    public Result<List<PageAnnouncementRspDTO>> getAnnouncementNewest() {
        return announcementService.getAnnouncementNewest();
    }
}
