package com.crunii.micro.service.qzh.controller.publicController;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.document.DocumentDetailsRspDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.OperationDocumentReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.PageDocumentReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.PageDocumentRspDTO;
import com.crunii.micro.service.qzh.service.YcqQzhDocumentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: 游客模式-政策Controller
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2023/9/19
 */
@Api(tags = "游客模式-政策")
@RequiredArgsConstructor
@RestController
@RequestMapping("/documentTourists")
public class YcqQzhDocumentTouristsController {

    private final YcqQzhDocumentService ycqQzhDocumentService;

    @ApiOperation("游客模式-分页查询政策")
    @PostMapping("/pageDocument")
    public Result<PageRsp<PageDocumentRspDTO>> pageDocument(@RequestBody @ApiParam PageReq<PageDocumentReqDTO> dto) {
        return ycqQzhDocumentService.pageDocumentTourists(dto);
    }


    @ApiOperation("游客模式-查看政策详情")
    @PostMapping("/findDocumentDetailsById")
    public Result<DocumentDetailsRspDTO> findDocumentDetailsById(@RequestBody @Validated @ApiParam OperationDocumentReqDTO dto) {
        return ycqQzhDocumentService.findDocumentDetailsById(dto);
    }
}
