package com.crunii.micro.service.qzh.converter;

import com.crunii.micro.domain.entity.main.YcqQzhCommando;
import com.crunii.micro.service.qzh.api.domain.dto.commandDo.CommandoDetailsRespDTO;
import com.crunii.micro.service.qzh.api.domain.dto.commandDo.CommandoUpdateReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.commandDo.SaveCommandoReqDTO;
import com.crunii.micro.service.qzh.converter.dcoument.YcqQzhCommandoLocalConverter;
import org.springframework.stereotype.Service;

/**
 * @author 13760
 * @program: microservice
 * @description: 突击队相关
 * @create: 2023-09-18 09:34
 **/
@Service
public class YcqQzhCommandoConverterImpl implements YcqQzhCommandoLocalConverter {


	@Override
	public CommandoDetailsRespDTO entityToVo(YcqQzhCommando entity) {
		if ( entity == null ) {
			return null;
		}

		CommandoDetailsRespDTO commandoDetailsRespDTO = new CommandoDetailsRespDTO();
		commandoDetailsRespDTO.setCommandoCode(entity.getCommandoCode());
		commandoDetailsRespDTO.setCommandoName( entity.getCommandoName() );
		commandoDetailsRespDTO.setProjectName( entity.getProjectName() );
		commandoDetailsRespDTO.setType( entity.getType() );
		commandoDetailsRespDTO.setTeamLeaderName( entity.getTeamLeaderName() );
		commandoDetailsRespDTO.setTeamLeaderPhone( entity.getTeamLeaderPhone() );
		commandoDetailsRespDTO.setTeamLeaderCard(entity.getTeamLeaderCard());
		commandoDetailsRespDTO.setPersonNum( entity.getPersonNum() );
		commandoDetailsRespDTO.setWorkSituation( entity.getWorkSituation() );
		commandoDetailsRespDTO.setFileUrl( entity.getFileUrl() );
		commandoDetailsRespDTO.setFileType( entity.getFileType() );
		commandoDetailsRespDTO.setFileName( entity.getFileName() );
		if ( entity.getId() != null ) {
			commandoDetailsRespDTO.setId( String.valueOf( entity.getId() ) );
		}
		commandoDetailsRespDTO.setGroupOrgId( entity.getGroupOrgId() );
		commandoDetailsRespDTO.setGroupOrgName( entity.getGroupOrgName() );
		commandoDetailsRespDTO.setDistribution(entity.getDistribution());
		commandoDetailsRespDTO.setHaveThreeYearPlan( entity.getHaveThreeYearPlan() );

		return commandoDetailsRespDTO;
	}

	@Override
	public YcqQzhCommando saveDtoToEntity(SaveCommandoReqDTO saveCommandoReqDTO) {
		if ( saveCommandoReqDTO == null ) {
			return null;
		}

		YcqQzhCommando ycqQzhCommando = new YcqQzhCommando();

		ycqQzhCommando.setCommandoName( saveCommandoReqDTO.getCommandoName() );
		ycqQzhCommando.setProjectName( saveCommandoReqDTO.getProjectName() );
		ycqQzhCommando.setGroupOrgName( saveCommandoReqDTO.getGroupOrgName() );
		ycqQzhCommando.setGroupOrgId( saveCommandoReqDTO.getGroupOrgId() );
		ycqQzhCommando.setType( saveCommandoReqDTO.getType() );
		ycqQzhCommando.setTeamLeaderName( saveCommandoReqDTO.getTeamLeaderName() );
		ycqQzhCommando.setTeamLeaderCard( saveCommandoReqDTO.getTeamLeaderCard() );
		ycqQzhCommando.setTeamLeaderPhone( saveCommandoReqDTO.getTeamLeaderPhone() );
		ycqQzhCommando.setPersonNum( saveCommandoReqDTO.getPersonNum() );
		ycqQzhCommando.setWorkSituation( saveCommandoReqDTO.getWorkSituation() );
		ycqQzhCommando.setFileUrl( saveCommandoReqDTO.getFileUrl() );
		ycqQzhCommando.setFileType( saveCommandoReqDTO.getFileType() );
		ycqQzhCommando.setFileName( saveCommandoReqDTO.getFileName() );
		ycqQzhCommando.setDistribution(saveCommandoReqDTO.getDistribution());
		ycqQzhCommando.setHaveThreeYearPlan(saveCommandoReqDTO.getHaveThreeYearPlan());

		return ycqQzhCommando;
	}

	@Override
	public YcqQzhCommando updateDtoToEntity(CommandoUpdateReqDTO commandoUpdateReqDTO) {
		if ( commandoUpdateReqDTO == null ) {
			return null;
		}

		YcqQzhCommando ycqQzhCommando = new YcqQzhCommando();

		if ( commandoUpdateReqDTO.getId() != null ) {
			ycqQzhCommando.setId( Long.parseLong( commandoUpdateReqDTO.getId() ) );
		}
		ycqQzhCommando.setCommandoName( commandoUpdateReqDTO.getCommandoName() );
		ycqQzhCommando.setProjectName( commandoUpdateReqDTO.getProjectName() );
		ycqQzhCommando.setGroupOrgName( commandoUpdateReqDTO.getGroupOrgName() );
		ycqQzhCommando.setGroupOrgId( commandoUpdateReqDTO.getGroupOrgId() );
		ycqQzhCommando.setType( commandoUpdateReqDTO.getType() );
		ycqQzhCommando.setTeamLeaderName( commandoUpdateReqDTO.getTeamLeaderName() );
		ycqQzhCommando.setTeamLeaderCard( commandoUpdateReqDTO.getTeamLeaderCard() );
		ycqQzhCommando.setTeamLeaderPhone( commandoUpdateReqDTO.getTeamLeaderPhone() );
		ycqQzhCommando.setPersonNum( commandoUpdateReqDTO.getPersonNum() );
		ycqQzhCommando.setWorkSituation( commandoUpdateReqDTO.getWorkSituation() );
		ycqQzhCommando.setFileUrl( commandoUpdateReqDTO.getFileUrl() );
		ycqQzhCommando.setFileType( commandoUpdateReqDTO.getFileType() );
		ycqQzhCommando.setFileName( commandoUpdateReqDTO.getFileName() );
		ycqQzhCommando.setDistribution(commandoUpdateReqDTO.getDistribution());
		ycqQzhCommando.setHaveThreeYearPlan(commandoUpdateReqDTO.getHaveThreeYearPlan());

		return ycqQzhCommando;
	}
}
