package com.crunii.micro.service.qzh.dto;

import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.RightsProtectionAnnexDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @author lyx
 * @date 2023/11/16
 */
@Data
@ApiModel(description = "新增权益岗参数")
public class AddCreateDTO {
	/**
	 * 序号
	 */
	private Long id;
	/**
	 * 关联政策Id
	 */
	private Long policyId;
	/**
	 * 单位名称
	 */
	private String unitName;
	/**
	 * 所属系统
	 */
	private Long systemId;
	/**
	 * 所属团组织Id
	 */
	private Long organizationId;
	/**
	 * 市级内设机构,0否，1是
	 */
	private Integer municipalLevelInternalInstitutions;

	/**
	 * 所属主管单位
	 *
	 */
	private Long managerOrgId;
	/**
	 * 通讯地址
	 */
	private String address;
	/**
	 * 联系电话
	 */
	private String phone;
	/**
	 * 邮编
	 */
	private String zipCode;
	/**
	 * 备注
	 */
	private String notes;
	/**
	 * 创建方案
	 */
	private String programme;
	/**
	 * 创建时盖章版扫描件
	 */
	private RightsProtectionAnnexDTO scanAnnex;
	/**
	 * 创建时其他附件
	 */
	private List<RightsProtectionAnnexDTO> otherAnnex;

	/**
	 * 区县级主管单位附件
	 */
	private RightsProtectionAnnexDTO countyManAnnex;

	/**
	 * 区县级团委附件
	 */
	private RightsProtectionAnnexDTO countyOrgAnnex;

	/**
	 * 市级主管单位附件
	 */
	private RightsProtectionAnnexDTO marketManAnnex;

	/**
	 * 市级团委附件
	 */
	private RightsProtectionAnnexDTO marketOrgAnnex;


}
