package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @description: 所属业务返回体
 * @author: limy
 * @date: 2024/1/5 14:40
 **/
@Data
@ApiModel(description = "所属业务返回体")
public class BelongBusinessVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("app的主键id")
    private Long appId;

    @ApiModelProperty("app的唯一编码")
    private String appCode;

    @ApiModelProperty("系统名称")
    private String systemName;

    @ApiModelProperty("主管单位")
    private Long sponsor;

    @ApiModelProperty("图标")
    private String logoUrl;

    @ApiModelProperty("app名称(功能名称)")
    private String appName;

    @ApiModelProperty("地址url")
    private String appUrl;

    @ApiModelProperty("顺序")
    private Integer sort;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("公钥")
    private String publicKey;

    @ApiModelProperty("私钥")
    private String privateKey;

    @ApiModelProperty("是否16进制 1:是 0:否")
    private Integer mustHex;

    @ApiModelProperty("是否必须进行认证 1:必须认证 0:不需要认证")
    private Integer mustAuth;

    @ApiModelProperty("状态 1:有效 0:无效")
    private Integer state;

    @ApiModelProperty("备注")
    private String notes;

    @ApiModelProperty(value = "应用类别(1.自有应用、2.外部应用)")
    private Integer appType;

    @ApiModelProperty(value = "应用类别名称")
    private String appTypeName;

    @ApiModelProperty(value = "主管单位名称")
    private String sponsorName;

    @ApiModelProperty(value = "是否清除浏览器缓存(1是,0否)")
    private Integer isClearLocalStorage;

    @ApiModelProperty(value = "所属专题")
    private String subject;

    @ApiModelProperty(value = "专题名称")
    private String subjectName;

    @ApiModelProperty(value = "状态")
    private Integer type;

    @ApiModelProperty(value = "1 是 0 否 ")
    private Integer isCheckLogin;

    @ApiModelProperty(value = "状态字符串")
    private String typeValue;
}
