package com.crunii.micro.service.qzh.dto;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/12
 * @description 指标体系评价中的指标体系列表导出
 */
@Data
@ExcelIgnoreUnannotated
@ApiModel(value = "指标体系评价中的指标体系列表导出", description = "指标体系评价中的指标体系列表导出")
public class ExportIndexSystemRespDTO implements Serializable, Cloneable{

  /**
   * 评价要点
   */
  @ExcelProperty(value = "评价要点", index = 0)
  @ApiModelProperty(name = "评价要点")
  private String evaluationPoints;
  /**
   * 一级指标
   */
  @ExcelProperty(value = "一级指标", index = 1)
  @ApiModelProperty(name = "一级指标")
  private String primaryIndicators;
  /**
   * 二级指标
   */
  @ExcelProperty(value = "二级指标", index = 2)
  @ApiModelProperty(name = "二级指标")
  private String secondaryIndicators;
  /**
   * 分值
   */
  @ExcelProperty(value = "分值", index = 3)
  @ApiModelProperty(name = "分值")
  private String score;
  /**
   * 风采类型
   */
  @ApiModelProperty(name = "风采类型")
  private Integer activityType;
  /**
   * 风采所属对象id(维权岗id)
   */
  @ApiModelProperty(name = "风采所属对象id(维权岗id)")
  private Long parentId;
  /**
   * 风采待评定
   */
  @ExcelProperty(value = "风采待评定", index = 4)
  @ApiModelProperty(name = "风采待评定")
  private String waitState;
  /**
   * 风采已通过
   */
  @ExcelProperty(value = "风采已通过", index = 5)
  @ApiModelProperty(name = "风采已通过")
  private String yesState;
  /**
   * 风采已驳回
   */
  @ExcelProperty(value = "风采已驳回", index = 6)
  @ApiModelProperty(name = "风采已驳回")
  private String noState;
}
