package com.crunii.micro.service.qzh.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.common.enums.AuditStatusEnums;
import com.crunii.micro.common.enums.ResultEnums;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
 * @Author: zwx
 * @CreateTime: 2023-09-18  17:48:13
 * @Description: 参与详情管理导入el
 */
@Data
@ApiModel(description = "参与详情管理导入el")
public class ParticipantDetailImportEL implements Serializable {

    @ApiModelProperty(value = "姓名")
    @ExcelProperty(index = 0)
    private String userName;

    @ApiModelProperty(value = "联系方式")
    @ExcelProperty(index = 1)
    private String contactMethod;

    @ApiModelProperty(value = "报名时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(index = 2)
    private Date registrationTime;

    @ApiModelProperty(value = "报名状态")
    @ExcelProperty(index = 3)
    private String registrationStatusName;

    @ApiModelProperty(value = "签到时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(index = 4)
    private Date checkinTime;

    @ApiModelProperty(value = "签到结果")
    @ExcelProperty(index = 5)
    private String checkinResultName;

    @ApiModelProperty(value = "签退时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(index = 6)
    private Date checkoutTime;

    @ApiModelProperty(value = "签退结果")
    @ExcelProperty(index = 7)
    private String checkoutResultName;


}
