package com.crunii.micro.service.qzh.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author thw
 * @date 2023/9/28
 * @description 查询组织相关内容
 */
@Data
@ApiModel(description = "查询组织相关内容DTO")
public class TsmOrgContentDTO {

  @ApiModelProperty(value = "组织id")
  private Long orgId;

  @ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
  private String orgCode;

  @ApiModelProperty(value = "组织名称")
  private String orgName;

  @ApiModelProperty(value = "组织全称")
  private String orgFullName;

  @ApiModelProperty(value = "组织描述")
  private String orgDesc;

  @ApiModelProperty(value = "父组织ID,根组织id为0")
  private Long parentOrgId;

  @ApiModelProperty(value = "父组织编码")
  private String parentOrgCode;

  @ApiModelProperty(value = "创建时间")
  private String createTime;

  @ApiModelProperty(value = "更新时间")
  private String updateTime;

  @ApiModelProperty(value = "排序")
  private Integer sortId;

  @ApiModelProperty(value = "0无效，1有效")
  private Integer state;

  @ApiModelProperty(value = "组织管理员")
  private Integer managePeople;


}
