package com.crunii.micro.service.qzh.dto.dynamicform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
@ApiModel(description = "活动-动态表单-分页")
public class DynamicFormReqDTO implements Serializable {

    @ApiModelProperty("发布者名字")
    private String name;

    private Date beginTime;

    private Integer type;

    private Date endTime;

    private Long id;

//  List<Long> ids;

    private String auditStatus;


    @ApiModelProperty(value = "活动id")
    @NotNull(message = "活动id不能为空！")
    private Long activityId;

    @ApiModelProperty(value = "ids集合")
    private List<Long> ids;

    @ApiModelProperty(value = "姓名")
    private String userName;

    @ApiModelProperty(value = "联系方式")
    private String contactMethod;

    @ApiModelProperty(value = "报名状态 0:不通过;1:通过;3:待审核")
    private Integer registrationStatus;

    @ApiModelProperty(value = "签到结果 0:失败;1:成功")
    private Integer checkInResult;

    @ApiModelProperty(value = "签退结果 0:失败;1:成功")
    private Integer checkOutResult;

    @ApiModelProperty(value = "开始报名时间")
    private String startRegistrationTime;

    @ApiModelProperty(value = "结束报名时间")
    private String endRegistrationTime;

    @ApiModelProperty(value = "开始签到时间")
    private String startCheckInTime;

    @ApiModelProperty(value = "结束签到时间")
    private String endCheckInTime;

    @ApiModelProperty(value = "开始签退时间")
    private String startCheckOutTime;

    @ApiModelProperty(value = "结束签退时间")
    private String endCheckOutTime;


}

