package com.crunii.micro.service.qzh.dto.dynamicform;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @MethodName
 * @Description 查询动态表单生成的表单值数据请求体
 * @Author Jiang
 * @Date 2023/9/27 11:05
 */
@Data
@ApiModel(description = "查询动态表单生成的表单值数据请求体")
public class DynamicFormTableReqDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主业务业务id或者保存动态表单主键id")
    private String businessId;

    @ApiModelProperty(value = "表名")
    private String tableName;

    @ApiModelProperty(value = "动态表单的json字符串")
    private String formJson;

    @ApiModelProperty(value = "主业务业务id或者保存动态表单主键id")
    private Long formId;

    private List<DynamicFormColumnDTO> list;

    /**
     * 1 报名 2反馈
     */
    private Integer type;


}
