//package com.crunii.micro.service.qzh.jdbc;
//
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.utils.SqlUtil;
//import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
//import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
//import org.springframework.stereotype.Repository;
//
//import javax.annotation.Resource;
//import java.util.ArrayList;
//import java.util.List;
//import java.util.Objects;
//
///**
// * @program: microservice
// * @description: 青字号文明号Dao
// * @author: xiang xin
// * @create: 2023-09-07 10:07
// */
//@Repository
//public class CivilizationControllerApiDelegateDao {
//    @Resource(name = "mainJT")
//    protected BaseJdbcTemplate jdbcTemplate;
//
//    @Resource(name = "mainNPJT")
//    protected BaseNPJdbcTemplate NPJT;
//    //清单分页
//    private static final String PAGE_BASE_SQL = " select a.ID,a.DECLARATION_NUMBER,a.STATE,a.POLICY_ID,a.REVISION,a.CREATE_ID,a.CREATE_TIME,a.DEL_FLAG,a.TYPES,a.RVALUATE_REASON,a.IDENTIFY_REASON,a.RECOGNITION_LEVEL,b.COLLECTIVENESS_NAME,b.APPLY_ORG_ID,b.CATEGORY,b.GROUP_ORG_ID,b.CALL_LEADER_NAME,b.ID_CARD,b.MOBILE_PHONE as telephone from ycq_civilization_inventory a left join YCQ_CIVILIZATION_REPORT b on b.MAIN_ID=a.ID where 1=1 and del_flag <> '1' ";
//    //清单分页
//    private static final String PAGE_COUNT_SQL = " select count(*) from ycq_civilization_inventory a left join YCQ_CIVILIZATION_REPORT b on b.MAIN_ID=a.ID where 1=1 and del_flag <> '1' ";
//    //自评静态
//    private static final String GET_STATIC_SQL = " select * from ycq_civilization_self_static where 1=1 and version = (select max(version) from ycq_civilization_self_static) ";
//    //报备查询
//    private static final String SELECT_REPORT_SQL = " select * from ycq_civilization_report a where 1=1 ";
//    //自评查询
//    private static final String SELECT_SELF_SQL = " select * from ycq_civilization_self a where 1=1 ";
//    //自评分数关联查询
//    private static final String SELECT_FRACTION_SQL = " select b.ID as selfId,b.ONE_CODE,b.ONE_CONTENT,b.TWO_CONTENT,b.THREE_CONTENT,b.VERSION,b.STANDARD_FRACTION,b.SORT,a.FRACTION from ycq_civilization_self_relationship a left join  YCQ_CIVILIZATION_SELF_STATIC b on  a.STATIC_ID =b.id where 1=1 ";
//    //申报查询
//    private static final String SELECT_CHECK_SQL = " select * from ycq_civilization_check a where 1=1 ";
//
//    /**
//     * @Description: 清单分页
//     * @Param: [req]
//     * @return: com.crunii.micro.common.dto.PageRsp<com.crunii.micro.service.qzh.api.domain.dto.CivilizationListRespDTO>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    public PageRsp<CivilizationListRespDTO> getCivilizationList(PageReq<CivilizationListReqDTO> req) {
//        StringBuilder sb = new StringBuilder(PAGE_BASE_SQL);
//        StringBuilder sbCount = new StringBuilder(PAGE_COUNT_SQL);
//        List<Object> params = new ArrayList<>();
//        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
//        List<CivilizationListRespDTO> result;
//        String dbType = jdbcTemplate.getDbType();
//        if (total > 0) {
//            //根据数据库类型设置limit
//            SqlUtil.appendLimit(dbType, params, sb, req);
//
//            result = jdbcTemplate.queryForBeans(CivilizationListRespDTO.class, sb.toString(), params.toArray());
//        } else {
//            result = new ArrayList<>(0);
//        }
//        PageRsp<CivilizationListRespDTO> page = new PageRsp<>();
//        page.setPageNo(req.getPageNo());
//        page.setPageSize(req.getPageSize());
//        page.setTotalNum(total);
//        page.setResult(result);
//        // 为手机计算是否由下一页
//        page.next();
//
//        return page;
//    }
//
//    /**
//     * @Description: 自评静态
//     * @Param: []
//     * @return: java.util.List<com.crunii.micro.service.qzh.api.domain.dto.CivilizationSelfListRespDTO>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    public List<CivilizationSelfListRespDTO> getStatic() {
//        StringBuilder sb = new StringBuilder(GET_STATIC_SQL);
//        List<Object> params = new ArrayList<>();
//        List<CivilizationSelfListRespDTO> result = jdbcTemplate.queryForBeans(CivilizationSelfListRespDTO.class, sb.toString(), params.toArray());
//        return result;
//    }
//
//    /**
//     * @Description: 报备
//     * @Param: [id]
//     * @return: com.crunii.micro.service.qzh.api.domain.dto.CivilizationReportDTORespDTO
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    public CivilizationStandbyReportRespDTO selectReport(String id) {
//        StringBuilder sb = new StringBuilder(SELECT_REPORT_SQL);
//        List<Object> params = new ArrayList<>();
//        if (Objects.nonNull(id)) {
//            sb.append(" and a.main_id = ? ");
//            params.add(id);
//        }
//        List<CivilizationStandbyReportRespDTO> result = jdbcTemplate.queryForBeans(CivilizationStandbyReportRespDTO.class, sb.toString(), params.toArray());
//        if (result.size() > 0) {
//            return result.get(0);
//        }
//        return null;
//    }
//
//    /**
//     * @Description: 自评
//     * @Param: [id]
//     * @return: com.crunii.micro.service.qzh.api.domain.dto.CivilizationSelfRespDTO
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    public CivilizationSelfRespDTO selectSelf(String id) {
//        StringBuilder sb = new StringBuilder(SELECT_SELF_SQL);
//        List<Object> params = new ArrayList<>();
//        if (Objects.nonNull(id)) {
//            sb.append(" and a.main_id = ? ");
//            params.add(id);
//        }
//        List<CivilizationSelfRespDTO> result = jdbcTemplate.queryForBeans(CivilizationSelfRespDTO.class, sb.toString(), params.toArray());
//        if (result.size() > 0) {
//            return result.get(0);
//        }
//        return null;
//    }
//
//    /**
//     * @Description: 自评静态+分数
//     * @Param: [id]
//     * @return: com.crunii.micro.service.qzh.api.domain.dto.CivilizationFractionRespDTO
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    public List<CivilizationFractionRespDTO> selectFraction(String id) {
//        StringBuilder sb = new StringBuilder(SELECT_FRACTION_SQL);
//        List<Object> params = new ArrayList<>();
//        if (Objects.nonNull(id)) {
//            sb.append(" and main_id = ? ");
//            params.add(id);
//        }
//        sb.append(" order by sort asc ");
//        List<CivilizationFractionRespDTO> result = jdbcTemplate.queryForBeans(CivilizationFractionRespDTO.class, sb.toString(), params.toArray());
//        return result;
//    }
//
//    /**
//     * @Description: 申报
//     * @Param: [id]
//     * @return: com.crunii.micro.service.qzh.api.domain.dto.CivilizationCheckRespDTO
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    public CivilizationApplyReportRespDTO selectCheck(String id) {
//        StringBuilder sb = new StringBuilder(SELECT_CHECK_SQL);
//        List<Object> params = new ArrayList<>();
//        if (Objects.nonNull(id)) {
//            sb.append(" and a.main_id = ? ");
//            params.add(id);
//        }
//        List<CivilizationApplyReportRespDTO> result = jdbcTemplate.queryForBeans(CivilizationApplyReportRespDTO.class, sb.toString(), params.toArray());
//        if (result.size() > 0) {
//            return result.get(0);
//        }
//        return null;
//    }
//
//    /**
//     * @Description: 清单
//     * @Param: [id]
//     * @return: com.crunii.micro.service.qzh.api.domain.dto.CivilizationListRespDTO
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    public CivilizationListRespDTO getCivilizationView(String id) {
//        StringBuilder sb = new StringBuilder(PAGE_BASE_SQL);
//        List<Object> params = new ArrayList<>();
//        if (Objects.nonNull(id)) {
//            sb.append(" and a.id = ? ");
//            params.add(id);
//        }
//        List<CivilizationListRespDTO> result = jdbcTemplate.queryForBeans(CivilizationListRespDTO.class, sb.toString(), params.toArray());
//        if (result.size() > 0) {
//            return result.get(0);
//        }
//        return null;
//    }
//}
