package com.crunii.micro.service.qzh.jdbc;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.dto.TsmRoleDto;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.TsmRole;
import com.crunii.micro.domain.repo.main.TsmRoleRepo;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import com.crunii.micro.service.qzh.api.domain.dto.*;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/10/12 16:42
 */
@Repository
public class QzhFloDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    @Resource
    private TsmRoleRepo tsmRoleRepo;

    private static String roleName = "赛事审核管理员";//赛事审核管理员

    //----------------文明号-------------------
    //文明号-申报-代办-重庆
    private static final String WMH_DB_CQ_SQL = "SELECT collective_name AS title,'青字号' AS belongType,'QZJ' belongCode,(CASE when category=1 THEN '创建' ELSE '复核' END) AS nodeName,b.worker_name AS pushBy ,a.create_time AS pushTime,'青字号-文明号-申报' AS affiliationFlo,declaration_id AS id,5 AS jumpType,'/cyanfont/cyanfontManager/civilizedNo' as route  FROM YCQ_YN_DECLARATION a LEFT JOIN TSM_WORKER b ON a.creator_id =b.login_id WHERE draft = 0 AND deleted =0 AND (audit_state in(2,3,5,6) OR (audit_state = 1 AND a.org_id =?))";
    //文明号-申报-代办-非重庆
    private static final String WMH_DB_OTHER_SQL = "SELECT collective_name AS title,'青字号' AS belongType,'QZJ' belongCode,(CASE when category=1 THEN '创建' ELSE '复核' END) AS nodeName,b.worker_name AS pushBy ,a.create_time AS pushTime,'青字号-文明号-申报' AS affiliationFlo,declaration_id AS id,5 AS jumpType,'/cyanfont/cyanfontManager/civilizedNo' as route FROM YCQ_YN_DECLARATION a LEFT JOIN TSM_WORKER b ON a.creator_id =b.login_id WHERE draft = 0 AND deleted =0 AND audit_state = 1 AND a.org_id =?";
    //文明号-变更-代办
    private static final String WMH_DB_BG_SQL = "SELECT collective_name AS title,'青字号' AS belongType,'QZJ' belongCode,'变更号长' AS nodeName,c.worker_name AS pushBy ,a.create_time AS pushTime,'青字号-文明号-变更号长' AS affiliationFlo,change_id AS id,6 AS jumpType,'/cyanfont/cyanfontManager/civilizedNo' as route FROM YCQ_YN_CAPTAIN_CHANGE a LEFT JOIN YCQ_YN_DECLARATION b ON a.declaration_id =b.declaration_id LEFT JOIN TSM_WORKER c ON a.creator_id =c.login_id WHERE a.deleted = 0 AND b.declaration_id IS NOT NULL AND a.audit_state = (CASE WHEN b.org_id=？ THEN 0 ELSE 1 END ) ";

    //文明号-申报-已办-重庆
    private static final String WMH_YB_SQL = "SELECT  collective_name AS title,'青字号' AS belongType,'QZJ' belongCode,(CASE when category=1 THEN '创建' ELSE '复核' END) AS nodeName,b.worker_name AS pushBy ,a.create_time AS pushTime,'青字号-文明号-申报' AS affiliationFlo,declaration_id AS id,5 AS jumpType,'/cyanfont/cyanfontManager/civilizedNo' as route FROM YCQ_YN_DECLARATION a LEFT JOIN TSM_WORKER b ON a.creator_id =b.login_id  WHERE draft = 0 AND deleted =0 AND audit_state in(7,8) AND  (SELECT  creator_id FROM YCQ_YN_FLOW_RECORD WHERE flow_instance_id = a.flow_instance_id ORDER BY create_time DESC LIMIT 1)= ?";
    //文明号-变更-已办
    private static final String WMH_YB_BG_SQL = "SELECT collective_name AS title,'青字号' AS belongType,'QZJ' belongCode,'变更号长' AS nodeName,c.worker_name AS pushBy ,a.create_time AS pushTime,'青字号-文明号-变更号长' AS affiliationFlo,change_id AS id,6 AS jumpType,'/cyanfont/cyanfontManager/civilizedNo' as route FROM YCQ_YN_CAPTAIN_CHANGE a LEFT JOIN YCQ_YN_DECLARATION b ON a.declaration_id =b.declaration_id LEFT JOIN TSM_WORKER c ON a.creator_id =c.login_id WHERE a.deleted = 0 AND b.declaration_id IS NOT NULL AND a.audit_state in (3,-1 ) AND ( SELECT creator_id FROM YCQ_YN_CAPTAIN_CHANGE_FLOW WHERE  declaration_id =a.declaration_id ORDER BY handle_time DESC LIMIT 1) = ? ";

    //文明号-申报-我发起-重庆
    private static final String WMH_WFQ_SQL = "SELECT  collective_name AS title,'青字号' AS belongType,'QZJ' belongCode,(CASE when \"category\"=1 THEN '创建' ELSE '复核' END) AS nodeName,b.worker_name AS pushBy ,a.create_time AS pushTime,'青字号-文明号-申报' AS affiliationFlo,declaration_id AS id,5 AS jumpType,'/cyanfont/cyanfontManager/civilizedNo' as route FROM YCQ_YN_DECLARATION a LEFT JOIN TSM_WORKER b ON a.creator_id =b.login_id  WHERE draft = 0 AND deleted =0 AND audit_state <> 0 AND  creator_id = ?";
    //文明号-变更-我发起
    private static final String WMH_WFQ_BG_SQL = "SELECT collective_name AS title,'青字号' AS belongType,'QZJ' belongCode,'变更号长' AS nodeName,c.worker_name AS pushBy ,a.create_time AS pushTime,'青字号-文明号-变更号长' AS affiliationFlo,change_id AS id,6 AS jumpType,'/cyanfont/cyanfontManager/civilizedNo' as route FROM YCQ_YN_CAPTAIN_CHANGE a LEFT JOIN YCQ_YN_DECLARATION b ON a.declaration_id =b.declaration_id LEFT JOIN TSM_WORKER c ON a.creator_id =c.login_id WHERE a.deleted = 0 AND b.declaration_id IS NOT NULL AND a.creator_id = ? ";


    //----------------文明号-------------------
    //维权岗（申报/复核）-申报-代办-重庆
    private static final String WQG_DB_SQL = "select null title,'青字号' belong_type,'QZJ' belongCode, " +
            " case   " +
            "         when a.link = '1000'  then '创建申报'   " +
            "         when a.link = '1001'  then '区县级主管单位初评及推荐'   " +
            "         when a.link = '1002' then '区县级团委初评及推荐'   " +
            "         when a.link = '1003' then '市级主管单位初核'   " +
            "         when a.link = '1004' then '市级团委初核'   " +
            "         when a.link = '1005' then '市级团委公示'   " +
            "         when a.link = '1006' then '公示'   " +
            "         when a.link = '2000' then '复核申报'   " +
            "         when a.link = '2001' then '区县级主管单位复核'   " +
            "         when a.link = '2002' then '区县级团委复核'   " +
            "         when a.link = '2003' then '市级主管单位评估及验收'   " +
            "         when a.link = '2004' then '市级团委评估及验收'   " +
            "         when a.link = '2005' then ''   " +
            "    end  node_name,b.worker_name push_by,a.apply_time push_time, " +
            " case when apply_type = 0 then '青字号-维权岗-申报'    " +
            "         when apply_type = 1 then '青字号-维权岗-复核' " +
            "    end  affiliation_flo,a.id , " +
            " case when apply_type = 0 then 3    " +
            "     when apply_type = 1 then 4  " +
            "    end jump_type,'/cyanfont/cyanfontManager/rightProtection' as route " +
            "from YCQ_QZH_RIGHTS_PROTECTION a " +
            "left join  TSM_WORKER b on a.applicant_id = b.login_id " +
            "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id " +
            "where a.del_flag = 0 and f.status = 0 and f.should_org_id = ?";

    //维权岗（申报/复核）-申报-已办-重庆
    private static final String WQG_YB_SQL = "select null title,'青字号' belong_type,'QZJ' belongCode, " +
            " case   " +
            "         when a.link = '1000'  then '创建申报'   " +
            "         when a.link = '1001'  then '区县级主管单位初评及推荐'   " +
            "         when a.link = '1002' then '区县级团委初评及推荐'   " +
            "         when a.link = '1003' then '市级主管单位初核'   " +
            "         when a.link = '1004' then '市级团委初核'   " +
            "         when a.link = '1005' then '市级团委公示'   " +
            "         when a.link = '1006' then '公示'   " +
            "         when a.link = '2000' then '复核申报'   " +
            "         when a.link = '2001' then '区县级主管单位复核'   " +
            "         when a.link = '2002' then '区县级团委复核'   " +
            "         when a.link = '2003' then '市级主管单位评估及验收'   " +
            "         when a.link = '2004' then '市级团委评估及验收'   " +
            "         when a.link = '2005' then ''   " +
            "    end  node_name,b.worker_name push_by,a.apply_time push_time, " +
            " case when apply_type = 0 then '青字号-维权岗-申报'    " +
            "         when apply_type = 1 then '青字号-维权岗-复核' " +
            "    end  affiliation_flo,a.id , " +
            " case when apply_type = 0 then 3    " +
            "      when apply_type = 1 then 4  " +
            "    end jump_type,'/cyanfont/cyanfontManager/rightProtection' as route " +
            "from YCQ_QZH_RIGHTS_PROTECTION a " +
            "left join  TSM_WORKER b on a.applicant_id = b.login_id " +
            "left join YCQ_QZH_RIGHTS_FLOW f on a.id = f.rights_id " +
            "where a.del_flag = 0   and f.sort = (select max(sort) from YCQ_QZH_RIGHTS_FLOW fl  " +
            "where fl.rights_id = a.id  and fl.status = 1  and fl.should_org_id = ?)";
    //维权岗（申报/复核）-申报-我发起-重庆
    private static final String WQG_WFQ_SQL = "select null title,'青字号' belong_type,'QZJ' belongCode, " +
            " case   " +
            "         when a.link = '1000'  then '创建申报'   " +
            "         when a.link = '1001'  then '区县级主管单位初评及推荐'   " +
            "         when a.link = '1002' then '区县级团委初评及推荐'   " +
            "         when a.link = '1003' then '市级主管单位初核'   " +
            "         when a.link = '1004' then '市级团委初核'   " +
            "         when a.link = '1005' then '市级团委公示'   " +
            "         when a.link = '1006' then '公示通过'   " +
            "         when a.link = '2000' then '复核申报'   " +
            "         when a.link = '2001' then '区县级主管单位复核'   " +
            "         when a.link = '2002' then '区县级团委复核'   " +
            "         when a.link = '2003' then '市级主管单位评估及验收'   " +
            "         when a.link = '2004' then '市级团委评估及验收'   " +
            "         when a.link = '2005' then '复核通过'   " +
            "    end  node_name,b.worker_name push_by,a.apply_time push_time, " +
            " case when apply_type = 0 then '青字号-维权岗-申报'    " +
            "         when apply_type = 1 then '青字号-维权岗-复核' " +
            "    end  affiliation_flo,a.id , " +
            " case when apply_type = 0 then 3    " +
            "      when apply_type = 1 then 4  " +
            "    end jump_type,'/cyanfont/cyanfontManager/rightProtection' as route " +
            "from YCQ_QZH_RIGHTS_PROTECTION a " +
            "left join  TSM_WORKER b on a.applicant_id = b.login_id " +
            "where a.del_flag = 0 and a.applicant_id = ?";


    //----------------青安岗-------------------
    //青安岗-申报-代办
    private static final String QAG_DB_SQL = "select null as title,'青字号' as belongType,'QZJ' belongCode,b.NODE_NAME,worker_name as pushBy,b.CREATE_TIME pushTime,'青字号-青安岗-申报' as affiliationFlo,a.id,1 as jumpType,'/cyanfont/cyanfontManager/teenagerSecurePost' as route from ( " +
            "        SELECT case when button in(1,4) AND b.org_id=a.affiliation_org_id then 1              " +
            "        when button in(2,5,6) and b.org_code='QCCQ3537136584' then 1              " +
            "        else 0 end button,flow_instance_id,a.id " +
            "             FROM  YCQ_QZH_QAG_APPLY a                     " +
            "        left join                                       " +
            "       （SELECT m.menu_name,              " +
            "         case when m.menu_name='审核申报' then 1               " +
            "         when m.menu_name='备案审核' then 2               " +
            "         when m.menu_name='审核推荐' then 4              " +
            "         when m.menu_name='审核' then 5              " +
            "         when m.menu_name='认定' then 6              " +
            "         end as button,tw.org_id,o.org_code             " +
            "       FROM TSM_WORKER tw                  " +
            "            LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id                  " +
            "            LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id                   " +
            "            left join TSM_ROLE_MENU rm on r.role_id=rm.role_id                   " +
            "            left join TSM_MENU m on rm.menu_code=m.menu_code      " +
            "            left join TSM_ORG o on o.org_id=tw.org_id     " +
            "            WHERE m.state=1               " +
            "            AND  m.menu_type=2  AND  m.parent_menu_code=(select menu_code from TSM_MENU where menu_url='/cyanfont/cyanfontManager/teenagerSecurePost') AND tw.login_id =?               " +
            "            AND m.menu_name in('审核申报','备案审核','审核推荐','审核','认定')) b              " +
            "       on a.flow_state=b.button              " +
            "       WHERE  a.DEL_FLAG=0 ) a " +
            "       inner join ( " +
            "        select a.*,tw.worker_name from ( " +
            "        select CREATE_TIME,flow_instance_id,LAST_NODE_ASSIGENN,NODE_NAME,ROW_NUMBER() OVER (PARTITION BY flow_instance_id ORDER BY create_time DESC) AS row_num " +
            "        from CRUNII_FLOW_PENDING where FLOW_BIZ_TYPE='QZJ' and DELETED =0) a " +
            "        left join tsm_worker tw on tw.login_id=a.LAST_NODE_ASSIGENN where a.row_num=1) b  " +
            "        on b.flow_instance_id=a.flow_instance_id " +
            "        where a.button=1";
    //青安岗-变更-代办
    private static final String QAG_DB_BG_SQL = "select null as title,'青字号' as belongType,'QZJ' belongCode,b.NODE_NAME,worker_name as pushBy,b.CREATE_TIME pushTime,'青字号-青安岗-变更岗长' as affiliationFlo,a.id,2 as jumpType,'/cyanfont/cyanfontManager/teenagerSecurePost' as route from ( " +
            "        SELECT    case when button=0  AND b.org_id=cl.affiliation_org_id then 1             " +
            "             when button=1 AND b.org_code='QCCQ3537136584' then 1             " +
            "             else 0 end button,flow_instance_id,cl.qag_apply_id as id         " +
            "             FROM QAG_APPLY_LEADER_CHANGE_LOG cl                      " +
            "             left join                                          " +
            "                （SELECT case when m.menu_name='初核' then 0         " +
            "                 when m.menu_name='复核' then 1 end as button,tw.org_id,o.org_code              " +
            "                FROM TSM_WORKER tw                     " +
            "                     LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id                     " +
            "                     LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id                      " +
            "                     left join TSM_ROLE_MENU rm on r.role_id=rm.role_id                      " +
            "                     left join TSM_MENU m on rm.menu_code=m.menu_code     " +
            "                     left join TSM_ORG o on o.org_id=tw.org_id WHERE m.state=1                  " +
            "                     AND  m.menu_type=2  AND  m.parent_menu_code=(select menu_code from TSM_MENU where menu_url='/cyanfont/cyanfontManager/teenagerSecurePost') AND tw.login_id =?                   " +
            "                     AND m.menu_name in('初核','复核')) b                 " +
            "                on cl.state=b.button                 " +
            "                WHERE  cl.is_deleted=0 ) a " +
            "                inner join ( " +
            "        select a.*,tw.worker_name from ( " +
            "        select CREATE_TIME,flow_instance_id,LAST_NODE_ASSIGENN,NODE_NAME,ROW_NUMBER() OVER (PARTITION BY flow_instance_id ORDER BY create_time DESC) AS row_num " +
            "        from CRUNII_FLOW_PENDING where FLOW_BIZ_TYPE='QZJ' and DELETED =0) a " +
            "        left join tsm_worker tw on tw.login_id=a.LAST_NODE_ASSIGENN where a.row_num=1) b  " +
            "        on b.flow_instance_id=a.flow_instance_id " +
            "        where a.button=1 ";

    //青安岗-申报-已办-重庆
    private static final String QAG_YB_SQL = "select null as title,'青字号' as belongType,'QZJ' belongCode,b.NODE_NAME,worker_name as pushBy,b.CREATE_TIME pushTime,'青字号-青安岗-申报' as affiliationFlo,qa.id,1 as jumpType,'/cyanfont/cyanfontManager/teenagerSecurePost' as route from YCQ_QZH_QAG_APPLY qa " +
            "inner join ( " +
            "select a.*,tw.worker_name from ( " +
            "select CREATE_TIME,flow_instance_id,NODE_ASSIGENN,NODE_NAME,ROW_NUMBER() OVER (PARTITION BY flow_instance_id ORDER BY create_time DESC) AS row_num " +
            "from CRUNII_FLOW_PROCESS_HISTORY where FLOW_BIZ_TYPE='QZJ' and PROCESS_TYPE <>0 and NODE_ASSIGENN=?) a " +
            "left join tsm_worker tw on tw.login_id=a.NODE_ASSIGENN where a.row_num=1) b  " +
            "on b.flow_instance_id=qa.flow_instance_id";
    //青安岗-变更-已办
    private static final String QAG_YB_BG_SQL = "select null as title,'青字号' as belongType,'QZJ' belongCode,b.NODE_NAME,worker_name as pushBy,b.CREATE_TIME pushTime,'青字号-青安岗-变更岗长' as affiliationFlo,cl.qag_apply_id as id,2 as jumpType,'/cyanfont/cyanfontManager/teenagerSecurePost' as route from QAG_APPLY_LEADER_CHANGE_LOG cl " +
            "inner join ( " +
            "select a.*,tw.worker_name from ( " +
            "select CREATE_TIME,flow_instance_id,NODE_ASSIGENN,NODE_NAME,ROW_NUMBER() OVER (PARTITION BY flow_instance_id ORDER BY create_time DESC) AS row_num " +
            "from CRUNII_FLOW_PROCESS_HISTORY where FLOW_BIZ_TYPE='QZJ' and PROCESS_TYPE <>0 and NODE_ASSIGENN=?) a " +
            "left join tsm_worker tw on tw.login_id=a.NODE_ASSIGENN where a.row_num=1) b  " +
            "on b.flow_instance_id=cl.flow_instance_id ";

    //青安岗-申报-我发起-重庆
    private static final String QAG_WFQ_SQL = "select null as title,'青字号' as belongType,'QZJ' belongCode,b.NODE_NAME,worker_name as pushBy,b.CREATE_TIME pushTime,'青字号-青安岗-申报' as affiliationFlo,qa.id,1 as jumpType,'/cyanfont/cyanfontManager/teenagerSecurePost' as route from YCQ_QZH_QAG_APPLY qa " +
            "inner join ( " +
            "select a.*,tw.worker_name from ( " +
            "select CREATE_TIME,flow_instance_id,NODE_ASSIGENN,NODE_NAME,ROW_NUMBER() OVER (PARTITION BY flow_instance_id ORDER BY create_time) AS row_num " +
            "from CRUNII_FLOW_PROCESS_HISTORY where FLOW_BIZ_TYPE='QZJ' and node_key='b5ca4a69-6947-4d46-b836-ca536fa5fd37' and PROCESS_TYPE <>0 and NODE_ASSIGENN=?) a " +
            "left join tsm_worker tw on tw.login_id=a.NODE_ASSIGENN where a.row_num=1) b  " +
            "on b.flow_instance_id=qa.flow_instance_id";
    //青安岗-变更-我发起
    private static final String QAG_WFQ_BG_SQL = "select null as title,'青字号' as belongType,'QZJ' belongCode,b.NODE_NAME,worker_name as pushBy,b.CREATE_TIME pushTime,'青字号-青安岗-变更岗长' as affiliationFlo,cl.qag_apply_id,2 as jumpType,'/cyanfont/cyanfontManager/teenagerSecurePost' as route from QAG_APPLY_LEADER_CHANGE_LOG cl " +
            "inner join ( " +
            "select a.*,tw.worker_name from ( " +
            "select CREATE_TIME,flow_instance_id,NODE_ASSIGENN,NODE_NAME,ROW_NUMBER() OVER (PARTITION BY flow_instance_id ORDER BY create_time) AS row_num " +
            "from CRUNII_FLOW_PROCESS_HISTORY where FLOW_BIZ_TYPE='QZJ' and node_key='e94167a5-cf8a-4627-b221-4583df30e0e5' and PROCESS_TYPE <>0 and NODE_ASSIGENN=?) a " +
            "left join tsm_worker tw on tw.login_id=a.NODE_ASSIGENN where a.row_num=1) b  " +
            "on b.flow_instance_id=cl.flow_instance_id ";

    private static final String TJD_DB_SQL = "select commando_name title,'青字号' as belongType,'QZJ' belongCode,nodeName,pushBy, pushTime,'青字号-突击队-申报' affiliationFlo,id,7 jumpType,'/cyanfont/cyanfontManager/commandoUnits' as route from ( " +
            "SELECT a.commando_name,a.id,a.GROUP_ORG_NAME,create_by pushBy,create_time pushTime,'审核' nodeName,? worker_id  " +
            "FROM  ycq_qzh_commando a WHERE   a.DEL_FLAG = 0  and a.STATE = 2 and a.GROUP_ORG_ID=? " +
            "and a.COMMANDO_CODE in(select distinct COMMANDO_CODE from YCQ_QZH_COMMANDO_ORG where org_id in( " +
            "select distinct org_id from TSM_WORKER_ORG_ALL where worker_id= ? " +
            "union " +
            "select ? as org_id)) " +
            ") a " +
            "where worker_id in(select a.login_id from TSM_WORKER_ROLE a   " +
            "                   left join TSM_ROLE b   " +
            "                   on a.ROLE_ID=b.ROLE_ID   " +
            "                    where b.ROLE_NAME='青年突击队审核管理员' " +
            "                   and LOGIN_ID= ?) ";

    private static final String TJD_DB_BG_SQL = "select commando_name title,'青字号' belongType,'QZJ' belongCode,FLOW_NAME nodeName,APPLY_WORKER pushBy,APPLY_TIME pushTime,'青字号-突击队-变更队长' affiliationFlo,id,8 jumpType,'/cyanfont/cyanfontManager/commandoUnits' as route from (   " +
            "                                select a.commando_name,a.id,a.COMMANDO_CODE,b.APPLY_TIME,b.STATE,b.APPLY_WORKER,a.GROUP_ORG_ID,FLOW_NAME,? worker_id  " +
            "                                     from YCQ_QZH_COMMANDO a, YCQ_QZH_COMMANDO_FLOW b where a.DEL_FLAG=0    " +
            "                                    and a.COMMANDO_CODE=b.COMMANDO_CODE    " +
            "                                    and b.FLOW_TYPE=2  " +
            "                                    and b.id in (select id from  YCQ_QZH_COMMANDO_FLOW  where (FLOW_CREATE_TIME,APPLY_CHANGE_NUM,COMMANDO_CODE) in (    " +
            "                                    select max(FLOW_CREATE_TIME),APPLY_CHANGE_NUM ,COMMANDO_CODE   from YCQ_QZH_COMMANDO_FLOW  where flow_type=2    " +
            "                                    group by APPLY_CHANGE_NUM,COMMANDO_CODE    " +
            "                                    )) " +
            "                                    ) where  COMMANDO_CODE in( " +
            "select distinct COMMANDO_CODE from YCQ_QZH_COMMANDO_ORG where org_id in( " +
            "select distinct org_id from TSM_WORKER_ORG_ALL where worker_id= ? " +
            "union " +
            "select ? as org_id)) and STATE=2 and GROUP_ORG_ID= ? " +
            "and worker_id in(select a.login_id from TSM_WORKER_ROLE a   " +
            "                   left join TSM_ROLE b   " +
            "                   on a.ROLE_ID=b.ROLE_ID   " +
            "                    where b.ROLE_NAME='青年突击队审核管理员' " +
            "                   and LOGIN_ID= ?) ";

    private static final String TJD_YB_SQL = "select t.commando_name title,'青字号' belongType,'QZJ' belongCode,FLOW_NAME nodeName,APPLY_WORKER pushBy,APPLY_TIME pushTime,'青字号-突击队-申报' affiliationFlo,id,7 jumpType,'/cyanfont/cyanfontManager/commandoUnits' as route from (  " +
            "select c.commando_name,c.id,c.COMMANDO_CODE,cf.APPLY_WORKER,cf.APPLY_TIME,FLOW_NAME from YCQ_QZH_COMMANDO_FLOW cf  " +
            "left join YCQ_QZH_COMMANDO c on c.COMMANDO_CODE=cf.COMMANDO_CODE and c.del_flag=0  " +
            "where cf.flow_type=1 and cf.FLOW_WORKER_CODE= ? and cf.STATE in(3,4,5)) t where t.COMMANDO_CODE is not null";

    private static final String TJD_YB_BG_SQL = "select c.commando_name title,'青字号' belongType,'QZJ' belongCode,FLOW_NAME nodeName,APPLY_WORKER pushBy,APPLY_TIME pushTime,'青字号-突击队-变更队长' affiliationFlo,c.id,8 jumpType,'/cyanfont/cyanfontManager/commandoUnits' as route from YCQ_QZH_COMMANDO c " +
            "left join YCQ_QZH_COMMANDO_FLOW cf on c.COMMANDO_CODE=cf.COMMANDO_CODE and c.del_flag=0 " +
            "where cf.flow_type=2 and cf.FLOW_WORKER_CODE=? and cf.STATE in(3,4,5)";

    private static final String TJD_WFQ_SQL = "select c.commando_name title,'青字号' belongType,'QZJ' belongCode,'申报' nodeName,create_by pushBy,create_time pushTime, " +
            "'青字号-突击队-申报' affiliationFlo,id,7 jumpType, " +
            "case when c.state<>1 then '/cyanfont/cyanfontManager/commandoUnits' else '/cyanfont/cyanfontManager/cyanDeclare' end as route  " +
            "from YCQ_QZH_COMMANDO c where c.create_id=? ";


    private static final String TJD_WFQ_BG_SQL = "select c.commando_name title,'青字号' belongType,'QZJ' belongCode,FLOW_NAME nodeName,APPLY_WORKER pushBy,APPLY_TIME pushTime,'青字号-突击队-变更队长' affiliationFlo,c.id,8 jumpType,'/cyanfont/cyanfontManager/commandoUnits' as route from YCQ_QZH_COMMANDO c " +
            "left join YCQ_QZH_COMMANDO_FLOW cf on cf.COMMANDO_CODE=c.COMMANDO_CODE and c.DEL_FLAG=0 " +
            "where cf.flow_type=2 and cf.APPLY_WORKER_CODE=? and cf.STATE=2";


//    private static final String REFB_DB_SQl = "select m.content_title as title,'其他' belongType,'OTHER' belongCode,'审核' nodeName,c.create_by pushBy,c.create_time pushTime,'新媒体-热点发布' affiliationFlo,biz_id id,9 jumpType,'/media/hotspotPublishing' as route from APP_CONTENT_MANAGE m inner join " +
//            "( " +
//            "SELECT b.biz_id,b.create_by,b.create_time FROM  " +
//            "(SELECT biz_id,MAX(create_time) AS create_time  " +
//            "FROM YCQ_ACTIVE_FLOW_NODE WHERE biz_type ='hot'  " +
//            "AND is_restart =0 GROUP BY biz_id) a  " +
//            "LEFT JOIN YCQ_ACTIVE_FLOW_NODE b ON a.biz_id = b.biz_id " +
//            "WHERE a.create_time = b.create_time AND b.result_type IS NULL AND b.org_id = ? " +
//            "AND b.is_restart = (CASE WHEN 10164 in(@roleIds) THEN 0 ELSE 20 end) GROUP BY b.biz_id,b.create_by,b.create_time) c on c.biz_id=m.content_manage_id " +
//            "where m.del_flag=0 ";

    private static final String REFB_DB_SQl = "select m.content_title as title,'其他' belongType,'OTHER' belongCode,'审核' nodeName,c.create_by pushBy,c.create_time pushTime, " +
            "case when lm.label_id is not null then '新媒体-要闻' else '新媒体-热点发布' end as affiliationFlo,biz_id id, " +
            "case when lm.label_id is not null then 12 else 9 end as jumpType, " +
            "case when lm.label_id is not null then '/media/importantNews'  else '/media/hotspotPublishing' end as route " +
            "from APP_CONTENT_MANAGE m inner join " +
            "( " +
            "SELECT b.biz_id,b.create_by,b.create_time FROM  " +
            "(SELECT biz_id,MAX(create_time) AS create_time  " +
            "FROM YCQ_ACTIVE_FLOW_NODE WHERE biz_type ='hot'  " +
            "AND is_restart =0 GROUP BY biz_id) a  " +
            "LEFT JOIN YCQ_ACTIVE_FLOW_NODE b ON a.biz_id = b.biz_id " +
            "WHERE a.create_time = b.create_time AND b.result_type IS NULL AND b.org_id = ? " +
            "AND b.is_restart = (CASE WHEN 10164 in(@roleIds) THEN 0 ELSE 20 end) GROUP BY b.biz_id,b.create_by,b.create_time) c on c.biz_id=m.content_manage_id " +
            "left join ( select label_id from TSM_LABEL_MANAGEMENT m where m.label_name='要闻') lm on m.label_name=lm.label_id " +
            "where m.del_flag=0 ";

//    private static final String RDFB_YB_SQL = "select m.content_title as title,'其他' belongType,'OTHER' belongCode,'审核' nodeName,b.create_by pushBy " +
//            ",b.create_time pushTime,'新媒体-热点发布' affiliationFlo,biz_id id,9 jumpType,'/media/hotspotPublishing' as route  " +
//            "from APP_CONTENT_MANAGE m inner join  " +
//            "(select fn.biz_id,fn.create_by,fn.create_time from YCQ_ACTIVE_FLOW_NODE fn  " +
//            "where fn.biz_type='hot' and result_type is not null and fn.create_id=?) b on m.content_manage_id=b.biz_id " +
//            "where m.del_flag=0 ";

    private static final String RDFB_YB_SQL = "select m.content_title as title,'其他' belongType,'OTHER' belongCode,'审核' nodeName,b.create_by pushBy " +
            ",b.create_time pushTime,case when lm.label_id is not null then '新媒体-要闻' else '新媒体-热点发布' end as affiliationFlo,biz_id id, " +
            "case when lm.label_id is not null then 12 else 9 end as jumpType, " +
            "case when lm.label_id is not null then '/media/importantNews'  else '/media/hotspotPublishing' end as route " +
            "from APP_CONTENT_MANAGE m inner join  " +
            "(select fn.biz_id,fn.create_by,fn.create_time from YCQ_ACTIVE_FLOW_NODE fn  " +
            "where fn.biz_type='hot' and result_type is not null and fn.create_id=?) b on m.content_manage_id=b.biz_id " +
            "left join ( select label_id from TSM_LABEL_MANAGEMENT m where m.label_name='要闻') lm on m.label_name=lm.label_id " +
            "where m.del_flag=0 ";

//    private static final String RDFB_WFQ_SQL = "select m.content_title as title,'其他' belongType,'OTHER' belongCode,'热点发布新增' nodeName,tw.worker_name pushBy " +
//            ",m.create_time pushTime,'新媒体-热点发布' affiliationFlo,content_manage_id id,9 jumpType,'/media/hotspotPublishing' as route from APP_CONTENT_MANAGE m  " +
//            "left join TSM_WORKER tw on m.create_by=tw.login_id " +
//            "where m.create_by=? and m.del_flag=0";

    private static final String RDFB_WFQ_SQL = " select m.content_title as title,'其他' belongType,'OTHER' belongCode,'热点发布新增' nodeName,tw.worker_name pushBy     " +
            "             ,m.create_time pushTime,case when m.label_name = ? then '新媒体-要闻' else '新媒体-热点发布' end as affiliationFlo,content_manage_id id,     " +
            "             case when m.label_name = ? then 12 else 9 end as jumpType,     " +
            "             case when m.label_name = ? then '/media/importantNews'  else '/media/hotspotPublishing' end as route     " +
            "             from APP_CONTENT_MANAGE m     " +
            "             left join TSM_WORKER tw on m.create_by=tw.login_id   " +
            "             where m.create_by=? and m.del_flag=0 ";

    private static final String SSFB_DB_SQL = "select b.match_name as title,'赛事' belongType,'matchManagement' belongCode,'审核' nodeName,a.create_by pushBy " +
            ",a.create_time pushTime,'赛事管理-赛事发布' affiliationFlo,a.biz_id id,10 jumpType,'/events/matchCheck' as route " +
            "                  from YCQ_ACTIVE_FLOW_NODE a     " +
            "                  left join mth_match_info b on a.biz_id=b.id    " +
            "                  where a.biz_type='match' and a.result_type=0 and a.is_restart=0 " +
            "                  and(a.org_id=? or a.login_id=? or (a.department=? and a.login_id is null))";

    private static final String SSFB_YB_SQL = "select b.match_name as title,'赛事' belongType,'matchManagement' belongCode,'审核' nodeName,a.create_by pushBy " +
            ",a.create_time pushTime,'赛事管理-赛事发布' affiliationFlo,a.biz_id id,10 jumpType,'/events/matchCheck' as route  " +
            "from YCQ_ACTIVE_FLOW_NODE a  " +
            "left join mth_match_info b on a.biz_id=b.id  " +
            "where a.biz_type='match' and a.result_type <>0 and a.create_id=?";

    private static final String SSFB_WFQ_SQL = "select i.match_name as title,'赛事' belongType,'matchManagement' belongCode,'提交审核' nodeName,tw.worker_name pushBy " +
            ",i.launch_approve_time pushTime,'赛事管理-赛事发布' affiliationFlo,i.id,10 jumpType,'/events/matchCheck' as route  " +
            "from mth_match_info i  " +
            "left join TSM_WORKER tw on tw.login_id=i.launch_approve_worker " +
            "where i.launch_approve_worker=? ";


//    private static final String HDFB_DB_SQL = " select a.ACTIVITY_TITLE as title,'其他' belongType,'OTHER' belongCode,'审核' nodeName,b.create_by pushBy " +
//            ",b.create_time pushTime,'活动管理-活动发布' affiliationFlo,a.id,11 jumpType,'/active/release' as route from ycq_publish_activity a " +
//            " left join (select * from(select ROW_NUMBER() OVER (PARTITION BY n.biz_id ORDER BY n.create_time desc) num,n.biz_id,n.create_by,n.create_time from YCQ_ACTIVE_FLOW_NODE n where n.create_by is not null) where num=1) b on b.biz_id=a.id " +
//            "  where a.ACTIVITY_STATUS_TYPE_ID=1 and  a.IS_DELETED=0 and  " +
//            " EXISTS(select 1 from tsm_worker_org_all oa where oa.worker_id=? and oa.org_id=a.org_id) ";

    private static final String HDFB_DB_SQL = "SELECT  ypa.ACTIVITY_TITLE as title,'其他' belongType,'OTHER' belongCode,'审核' nodeName,yafn.create_by pushBy, " +
            " yafn.create_time pushTime,'活动管理-活动发布' affiliationFlo,ypa.id,11 jumpType,'/active/auditListPage' as route " +
            "             FROM YCQ_ACTIVE_FLOW_NODE yafn INNER JOIN (SELECT biz_id, MAX(create_time) AS latest_create_time  " +
            "             FROM YCQ_ACTIVE_FLOW_NODE where biz_type = 'active' and is_initial = 2 and org_id = ? GROUP BY biz_id) b  " +
            "             ON yafn.biz_id = b.biz_id AND yafn.create_time = b.latest_create_time     " +
            "             inner join  ycq_publish_activity ypa on ypa.id = yafn.biz_id     " +
            "             where ypa.is_deleted=0  and yafn.audit_result=0 ";

    private static final String HDFB_YB_SQL = " select a.ACTIVITY_TITLE as title,'其他' belongType,'OTHER' belongCode,'审核' nodeName,n.create_by pushBy " +
            ",n.create_time pushTime,'活动管理-活动发布' affiliationFlo,a.id,11 jumpType,'/active/auditListPage' as route from YCQ_ACTIVE_FLOW_NODE n  " +
            " left join ycq_publish_activity a on a.id=n.biz_id " +
            " where n.is_restart=0 and n.create_id = ? and n.biz_type='active' and n.is_initial=2 and n.result_type is not null ";

    private static final String HDFB_WFQ_SQL = "select a.ACTIVITY_TITLE as title,'其他' belongType,'OTHER' belongCode,'发起申请' nodeName,tw.worker_name pushBy " +
            ",n.create_time pushTime,'活动管理-活动发布' affiliationFlo,n.biz_id id,11 jumpType,'/active/auditListPage' as route from YCQ_ACTIVE_FLOW_NODE n  " +
            "left join TSM_WORKER tw on tw.login_id=n.create_id " +
            "left join ycq_publish_activity a on a.id=n.biz_id " +
            "where n.is_initial=1 and n.biz_type='active' and n.create_id=?";

    public Result<PageRsp<YcqQzhFlowVo>> dbPage(PageReq<YcqQzhFlowDTO> req) {
        if ("dev".equals(System.getProperty("spring.profiles.active"))) {
            CurrWorkerUtil.mockCurrWorker();
        }
        YcqQzhFlowDTO query = req.getQuery();
        Worker worker = CurrWorkerUtil.getCurrWorker();
        int loginId = worker.getLoginId();
        String orgName = worker.getOrgName();
        String orgId = worker.getOrgId();
        StringBuilder sb= new StringBuilder("  select a.* from (  ");
//        if (orgName != null && orgName.equals("团重庆市委")) {
//            sb.append(WMH_DB_CQ_SQL);
//        }else {
//            sb.append(WMH_DB_OTHER_SQL);
//        }
//        sb.append(" union all ");
//        sb.append(WMH_DB_BG_SQL);
//        sb.append(" union all ");
//        sb.append(QAG_DB_SQL);
//        sb.append(" union all ");
//        sb.append(QAG_DB_BG_SQL);
//        sb.append(" union all ");
//        sb.append(WQG_DB_SQL);
//        sb.append(" union all ");
        //突击队申报待办
        sb.append(TJD_DB_SQL);
        sb.append(" union all ");
        //突击队变更队长待办
        sb.append(TJD_DB_BG_SQL);
        List<Integer> roleIds = worker.getRoles().stream().map(TsmRoleDto::getRoleId).collect(Collectors.toList());
        //tozwx 赛事
        TsmRole role = tsmRoleRepo.findByRoleName(roleName);
        if (CollectionUtils.isNotEmpty(roleIds) && roleIds.contains(role.getRoleId())) {
            sb.append(" union all ");
            sb.append(SSFB_DB_SQL);
        }

        //tozwx 热点
        if (CollectionUtils.isNotEmpty(roleIds) && CollectionUtils.isNotEmpty(roleIds)) {
            String rdsql = REFB_DB_SQl.replaceAll("@roleIds", roleIds.stream().map(Objects::toString).collect(Collectors.joining(",")));
            sb.append(" union all ");
            sb.append(rdsql);
        }
        //tozwx 活动
        sb.append(" union all ");
        sb.append(HDFB_DB_SQL);


        sb.append(") a where 1=1  ");
        List<Object> params = new ArrayList<>();
//        params.add(orgId);
//        params.add(orgId);
//        params.add(loginId);
//        params.add(loginId);
//        params.add(loginId);
        //突击队申报待办参数
        params.add(loginId);
        params.add(worker.getOrgId());
        params.add(loginId);
        params.add(worker.getOrgId());
        params.add(loginId);
        //突击队变更队长待办参数
        params.add(loginId);
        params.add(loginId);
        params.add(worker.getOrgId());
        params.add(worker.getOrgId());
        params.add(loginId);

        //赛事代办参数
        if (CollectionUtils.isNotEmpty(roleIds) && roleIds.contains(role.getRoleId())) {
            params.add(worker.getOrgId());
            params.add(worker.getLoginId());
            params.add(worker.getDepartment());
        }

        //热点发布代办参数
        if (CollectionUtils.isNotEmpty(roleIds)) {
            params.add(worker.getOrgId());
        }

        //活动发布代办参数
        params.add(worker.getOrgId());


        if (query.getTitle() != null && !query.getTitle().equals("")) {
            sb.append("AND a.title like concat('%',?,'%')");
            params.add(query.getTitle());
        }
        if (query.getFlowBizType() != null && !query.getFlowBizType().equals("")) {
            sb.append("AND a.belongType like concat('%',?,'%') ");
            params.add(query.getFlowBizType());
        }
        if (query.getBelongCode() != null && !query.getBelongCode().equals("")) {
            sb.append("AND a.belongCode = ? ");
            params.add(query.getBelongCode());
        }
        if (query.getFlowModuleName() != null && !query.getFlowModuleName().equals("")) {
            sb.append("AND a.affiliationFlo like concat('%',?,'%') ");
            params.add(query.getFlowModuleName());
        }

        sb.append(" order by a.pushTime desc ");
        String sql = sb.toString();
        int total = jt.queryForInt(" select count(*)  from ( " + sql + " ) ", params.toArray());
        List<YcqQzhFlowVo> result;
        String dbType = jt.getDbType();
        if (total > 0) {
            SqlUtil.appendLimit(dbType, params, sb, req);
            result = jt.queryForBeans(YcqQzhFlowVo.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<YcqQzhFlowVo> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        page.next();
        return Result.ofSuccess(page);
    }

    public Result<PageRsp<YcqQzhFlowVo>> ybPage(PageReq<YcqQzhFlowDTO> req) {
        if ("dev".equals(System.getProperty("spring.profiles.active"))) {
            CurrWorkerUtil.mockCurrWorker();
        }
        YcqQzhFlowDTO query = req.getQuery();
        Worker worker = CurrWorkerUtil.getCurrWorker();
        int loginId = worker.getLoginId();
        StringBuilder sb= new StringBuilder("  select a.* from (  ");
//        sb.append(WMH_YB_SQL);
//        sb.append(" union all ");
//        sb.append(WMH_YB_BG_SQL);
//        sb.append(" union all ");
//        sb.append(QAG_YB_SQL);
//        sb.append(" union all ");
//        sb.append(QAG_YB_BG_SQL);
//        sb.append(" union all ");
//        sb.append(WQG_YB_SQL);
//        sb.append(" union all ");
        //突击队申报已办
        sb.append(TJD_YB_SQL);
        sb.append(" union all ");
        //突击队变更队长已办
        sb.append(TJD_YB_BG_SQL);

        //tozwx 赛事
        sb.append(" union all ");
        sb.append(SSFB_YB_SQL);

        //tozwx 热点
        sb.append(" union all ");
        sb.append(RDFB_YB_SQL);

        //tozwx 活动
        sb.append(" union all ");
        sb.append(HDFB_YB_SQL);

        sb.append(") a where 1=1  ");
        List<Object> params = new ArrayList<>();
//        params.add(loginId);
//        params.add(loginId);
//        params.add(loginId);
//        params.add(loginId);
//        params.add(loginId);
        //突击队申报已办
        params.add(worker.getLoginCode());
        //突击队变更已办
        params.add(worker.getLoginCode());
        //赛事发布已办
        params.add(worker.getLoginId());
        //热点发布已办
        params.add(worker.getLoginId());
        //活动发布已办
        params.add(worker.getLoginId());


        if (query.getTitle() != null && !query.getTitle().equals("")) {
            sb.append("AND a.title like concat('%',?,'%') ");
            params.add(query.getTitle());
        }
        if (query.getFlowBizType() != null && !query.getFlowBizType().equals("")) {
            sb.append("AND a.belongType like concat('%',?,'%') ");
            params.add(query.getFlowBizType());
        }
        if (query.getBelongCode() != null && !query.getBelongCode().equals("")) {
            sb.append("AND a.belongCode = ? ");
            params.add(query.getBelongCode());
        }
        if (query.getFlowModuleName() != null && !query.getFlowModuleName().equals("")) {
            sb.append("AND a.affiliationFlo like concat('%',?,'%') ");
            params.add(query.getFlowModuleName());
        }

        sb.append(" order by a.pushTime desc ");
        String sql = sb.toString();
        int total = jt.queryForInt(" select count(1)  from ( " + sql + " ) ", params.toArray());
        List<YcqQzhFlowVo> result;
        String dbType = jt.getDbType();
        if (total > 0) {
            SqlUtil.appendLimit(dbType, params, sb, req);
            result = jt.queryForBeans(YcqQzhFlowVo.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<YcqQzhFlowVo> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        page.next();
        return Result.ofSuccess(page);
    }

    public Result<PageRsp<YcqQzhFlowVo>> wfqPage(PageReq<YcqQzhFlowDTO> req) {
        if ("dev".equals(System.getProperty("spring.profiles.active"))) {
            CurrWorkerUtil.mockCurrWorker();
        }
        YcqQzhFlowDTO query = req.getQuery();
        Worker worker = CurrWorkerUtil.getCurrWorker();
        int loginId = worker.getLoginId();
        StringBuilder sb= new StringBuilder("  select a.* from (  ");
//        sb.append(WMH_WFQ_SQL);
//        sb.append(" union all ");
//        sb.append(WMH_WFQ_BG_SQL);
//        sb.append(" union all ");
//        sb.append(QAG_WFQ_SQL);
//        sb.append(" union all ");
//        sb.append(QAG_WFQ_BG_SQL);
//        sb.append(" union all ");
//        sb.append(WQG_WFQ_SQL);
//        sb.append(" union all ");
        //突击队申报我发起的
        sb.append(TJD_WFQ_SQL);
        sb.append(" union all ");
        sb.append(TJD_WFQ_BG_SQL);
        //tozwx 赛事
        sb.append(" union all ");
        sb.append(SSFB_WFQ_SQL);

        //tozwx 热点
        String labelId = jt.queryForBean(String.class, "select  label_id from  TSM_LABEL_MANAGEMENT m  where  m.label_name = '要闻' ");
        sb.append(" union all ");
        sb.append(RDFB_WFQ_SQL);

        //tozwx 活动
        sb.append(" union all ");
        sb.append(HDFB_WFQ_SQL);

        sb.append(") a where 1=1  ");
        List<Object> params = new ArrayList<>();
//        params.add(loginId);
//        params.add(loginId);
//        params.add(loginId);
//        params.add(loginId);
//        params.add(loginId);
        //突击队申报我发起的参数
        params.add(loginId);
        //突击队变更队长我发起的参数
        params.add(worker.getLoginCode());
        //赛事发布参数
        params.add(worker.getLoginId());
        //热点发布参数
        params.add(labelId);
        params.add(labelId);
        params.add(labelId);
        params.add(worker.getLoginId());
        //活动发布参数
        params.add(worker.getLoginId());

        if (query.getTitle() != null && !query.getTitle().equals("")) {
            sb.append("AND a.title like concat('%',?,'%') ");
            params.add(query.getTitle());
        }
        if (query.getFlowBizType() != null && !query.getFlowBizType().equals("")) {
            sb.append("AND a.belongType like concat('%',?,'%') ");
            params.add(query.getFlowBizType());
        }
        if (query.getBelongCode() != null && !query.getBelongCode().equals("")) {
            sb.append("AND a.belongCode = ? ");
            params.add(query.getBelongCode());
        }
        if (query.getFlowModuleName() != null && !query.getFlowModuleName().equals("")) {
            sb.append("AND a.affiliationFlo like concat('%',?,'%') ");
            params.add(query.getFlowModuleName());
        }
        sb.append(" order by a.pushTime desc ");
        String sql = sb.toString();
        int total = jt.queryForInt(" select count(1)  from ( " + sql + " ) ", params.toArray());
        List<YcqQzhFlowVo> result;
        String dbType = jt.getDbType();
        if (total > 0) {
            SqlUtil.appendLimit(dbType, params, sb, req);
            result = jt.queryForBeans(YcqQzhFlowVo.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<YcqQzhFlowVo> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        page.next();
        return Result.ofSuccess(page);
    }
}
