package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.RightsProtectionAnnexDTO;
import org.springframework.stereotype.Repository;
import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * rightsProtection
 *
 * @author jex
 * @date 2023/9/5
 */
@Repository
public class RightsProtectionAnnexJdbcDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_ROLE_BASE_SQL = "select * from YCQ_QZH_RIGHTS_PROTECTION_ANNEX a where a.del_flag = 0 ";

    private static final String LOGIC_DELETE_SQL = "update YCQ_QZH_RIGHTS_PROTECTION_ANNEX set del_flag=1, update_id=?, update_by=?, update_time=? where applicant_code = ";

    private static final String DELETE_SQL = "delete from YCQ_QZH_RIGHTS_PROTECTION_ANNEX where applicant_code = ";

    public List<RightsProtectionAnnexDTO> queryList(String applicantCode, String link, String annexType) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        List<Object> params = new ArrayList<>();
        sb.append(" and a.applicant_code = ? ");
        params.add(applicantCode);
        sb.append(" and a.link = ? ");
        params.add(link);
        sb.append(" and a.annex_type = ? ");
        params.add(annexType);
        List<RightsProtectionAnnexDTO> result = jdbcTemplate.queryForBeans(RightsProtectionAnnexDTO.class, sb.toString(), params.toArray());
        return result;
    }

    /*public List<RightsProtectionAnnexDTO> queryList(String applicantCode, String link) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        List<Object> params = new ArrayList<>();
        sb.append(" and a.applicant_code = ? ");
        params.add(applicantCode);
        sb.append(" and a.link = ? ");
        params.add(link);
        List<RightsProtectionAnnexDTO> result = jdbcTemplate.queryForBeans(RightsProtectionAnnexDTO.class, sb.toString(), params.toArray());
        return result;
    }*/

    public void deleteById(String applicantCode, Long updateId, String updateBy) {
        applicantCode = "'" + applicantCode + "'";
        StringBuilder sb = new StringBuilder(LOGIC_DELETE_SQL).append(applicantCode);
        jdbcTemplate.update(sb.toString(), updateId, updateBy, new Date());
    }

    public void deleteById(String applicantCode) {
        applicantCode = "'" + applicantCode + "'";
        StringBuilder sb = new StringBuilder(DELETE_SQL).append(applicantCode);
        jdbcTemplate.update(sb.toString());
    }

    public void deleteById(String applicantCode, String link) {
        applicantCode = "'" + applicantCode + "'";
        String Splicing = " and link = " + "'" + link+ "'";
        StringBuilder sb = new StringBuilder(DELETE_SQL).append(applicantCode).append(Splicing);
        jdbcTemplate.update(sb.toString());
    }

}
