package com.crunii.micro.service.qzh.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.entity.main.TsmWorker;
import com.crunii.micro.domain.entity.main.TsmWorkerRole;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.RightsProtectionAnnexDTO;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * rightsProtection
 *
 * @author jex
 * @date 2023/9/5
 */
@Repository
public class TsmWorKerRoleJdbcDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    public List<TsmWorkerRole> findByRoleIds(List<String> roleIds) {
        String sql = "select * from tsm_worker_role where 1=1 ";
        //使用getInSql进行超出1000条时进行处理
        List<Object> params = new ArrayList<>();
        sql += " and " + getInSql(roleIds, "role_id", params);
        return jdbcTemplate.query(sql, params.toArray(), new BeanPropertyRowMapper<>(TsmWorkerRole.class));
    }

    public List<TsmWorker> findByLoginIds(List<Integer> loginIds) {
        String sql = "select * from tsm_worker where 1=1 ";
        //使用getInSql进行超出1000条时进行处理
        List<Object> params = new ArrayList<>();
        sql += " and " + getInSql(loginIds, "login_id", params);
        return jdbcTemplate.query(sql, params.toArray(), new BeanPropertyRowMapper<>(TsmWorker.class));
    }

    /**
     * 拼接in查询
     *
     * @param list     in里边的值
     * @param paramKey sql中in的key
     * @param params   查询参数
     */
    public static String getInSql(List list, String paramKey, List<Object> params) {
        StringBuffer sbSql = new StringBuffer();
        sbSql.append(" ( " + paramKey + " in ( ");
        for (int i = 0; i < list.size(); i++) {
            sbSql.append("?,");
            if ((i + 1) % 1000 == 0 && (i + 1) < list.size()) {
                //去掉最后的逗号
                sbSql.deleteCharAt(sbSql.length() - 1);
                sbSql.append(" ) OR ").append(paramKey).append(" IN (");
            }
            params.add(list.get(i));
        }
        //去掉最后的逗号
        sbSql.deleteCharAt(sbSql.length() - 1);
        sbSql.append(" ) ) ");
        return sbSql.toString();
    }

}
