package com.crunii.micro.service.qzh.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.entity.main.YcqActivityOrg;
import com.crunii.micro.domain.entity.main.YcqActivityPeopleAudit;
import com.crunii.micro.service.qzh.dto.ActivityPeopleAuditPassCountDto;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Repository
public class YcqActivityPeopleAuditDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;


    public Map<Long, Integer> queryAuditCount(List<Long> ids){
        String str1 = ids.stream().map(item -> item + "").collect(Collectors.joining("','"));
        String sql  = "select activity_id, count(*) count from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and activity_id in('" + str1 + "') group by activity_id";
        return JT.queryForBeans(ActivityPeopleAuditPassCountDto.class, sql).stream().collect(Collectors.toMap(ActivityPeopleAuditPassCountDto::getActivityId, ActivityPeopleAuditPassCountDto::getCount));
    }

    public Integer queryAuditCountByActivityId(Long id){
        String sql  = "select count(*) count from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and activity_id = ? ";
        return JT.queryForInt(sql, id);
    }

    public Integer queryAuditCountByActivityIdAndStatusAndUsrId(Long id,Long loginId){
        String sql  = "select count(*) count from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and activity_id = ? and registration_status != 0 and user_id=? ";
        return JT.queryForInt(sql, id,loginId);
    }
    public Integer queryAuditCountByActivityIdAndSex(Long id,Integer sex){
        String sql  = "select count(*) count from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and activity_id = ? and registration_status !=0 and sex = ?";
        return JT.queryForInt(sql, id,sex);
    }
    public void submit(Long activityId, Integer loginId){
        String sql = "update YCQ_ACTIVITY_PEOPLE_AUDIT set process_state = 2 where activity_id = ? and user_id = ?";
        JT.update(sql,activityId, (long) loginId);
    }

    public YcqActivityPeopleAudit queryByActivityIdAndLoginId(Long activityId, Long loginId){
        String sql = "select * from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and activity_id = ? and user_id = ? and registration_status !=0";
        return JT.queryForBean(YcqActivityPeopleAudit.class, sql , activityId, loginId);
    }

    public YcqActivityPeopleAudit queryByActivityIdAndLoginIdAndStatus(Long activityId, Long loginId){
        String sql = "select * from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and activity_id = ? and user_id = ? and registration_status = 2";
        return JT.queryForBean(YcqActivityPeopleAudit.class, sql , activityId, loginId);
    }

    public List<YcqActivityPeopleAudit> queryParticipateActivityList(Long loginId){
        String sql = "select activity_id from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and registration_status = 1 and user_id = ?";
        return JT.queryForBeans(YcqActivityPeopleAudit.class, sql , loginId);
    }

    public List<YcqActivityPeopleAudit> findByUserIdAndActivityIdIn(List<Long> activityIds, Long loginId){
        String sql = "select * from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and user_id = ? and activity_id in(";
        String ids = activityIds.stream().map(item -> String.valueOf(item)).collect(Collectors.joining(","));
        sql = sql + ids + ");";
        return JT.queryForBeans(YcqActivityPeopleAudit.class, sql , loginId);
    }

    public Integer queryCurrentUserApplyInfo(Long activityId, Long loginId){
        String sql = "select count(*) from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and registration_status != 0 and user_id = ? and activity_id = ?";
        return JT.queryForInt(sql, loginId, activityId);
    }

    public List<YcqActivityOrg> queryTopOrgList(){
        String sql = "select * from TSM_ORG where parent_org_id = 0";
        return JT.queryForBeans(YcqActivityOrg.class, sql);
    }

    public YcqActivityPeopleAudit queryAuditInfoByActivityIdAndUserId(Long activityId, int loginId) {
        String sql = "select * from YCQ_ACTIVITY_PEOPLE_AUDIT where is_deleted = 0 and user_id = ? and activity_id = ? order by registration_time desc limit 1";
        return JT.queryForBean(YcqActivityPeopleAudit.class, sql, loginId, activityId);
    }
}
