/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.qzh.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.dto.ChooseTopicReqDto;
import com.crunii.micro.service.qzh.dto.TestTopicRespDto;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 抽取题目Jdbc
 * @author: limy
 * @date: 2023/9/7 18:53
 **/
@Repository
public class YcqChooseTopicJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_ROLE_BASE_SQL = "select * from\n" +
            "(select * from YCQ_TOPIC where QUESTION_BANK_ID=? and TOPIC_TYPE=1 order by rand() limit ?) a\n" +
            "union\n" +
            "select * from \n" +
            "(select * from YCQ_TOPIC where QUESTION_BANK_ID=? and TOPIC_TYPE=2 order by rand() limit ?) b\n" +
            "union \n" +
            "select * from \n" +
            "(select * from YCQ_TOPIC where QUESTION_BANK_ID=? and TOPIC_TYPE=3 order by rand() limit ?) c";


    public List<TestTopicRespDto> queryList(ChooseTopicReqDto req) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        List<Object> params = new ArrayList<>();
        params.add(req.getTopicLibraryId());
        params.add(req.getSingleNum());
        params.add(req.getTopicLibraryId());
        params.add(req.getMultiNum());
        params.add(req.getTopicLibraryId());
        params.add(req.getJudgeNum());

        List<TestTopicRespDto> result = jdbcTemplate.queryForBeans(TestTopicRespDto.class, sb.toString(), params.toArray());
        return result;
    }


}
