/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.DateUtil;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.TopicOptionDTO;
import com.crunii.micro.service.qzh.dto.*;
import jodd.util.StringUtil;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @description: 考试列表Jdbc
 * @author: limy
 * @date: 2023/9/6 10:01
 **/
@Repository
public class YcqQdCxlJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_ROLE_BASE_SQL = "select * from  ycq_cxl_tz a where 1=1";

    private static final String PAGE_ROLE_COUNT_SQL = "select count(*) from ycq_cxl_tz a where 1=1 ";


    public List<YcqCxlTzReqDto> pageList(String areaName,String acctMonth,String colum) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_ROLE_COUNT_SQL);
        List<Object> params = new ArrayList<>();

        //分公司
        if (StrUtil.isNotBlank(areaName)) {
            sb.append(" and a.area_name = ? ");
            sbCount.append(" and a.area_name = ? ");
            params.add(areaName);
        }
        //账期
        if (StrUtil.isNotBlank(acctMonth)) {
            sb.append(" and a.month_id = ? ");
            sbCount.append(" and a.month_id = ? ");
            params.add(acctMonth);
        }
        //列名(课程/分公司)
        if (ObjectUtil.isNotEmpty(colum)) {
            sb.append(" and a.colum = ? ");
            sbCount.append("and a.colum = ? ");
            params.add(colum);
        }
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        List<YcqCxlTzReqDto> result = jdbcTemplate.queryForBeans(YcqCxlTzReqDto.class, sb.toString(), params.toArray());

        return result;
    }

}
