/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.*;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;

/**
 * @Author zwx
 * @Description //TODO
 * @Date  2023/9/5 11:09:50
 **/
@Repository
public class YcqQuestionBankJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_ROLE_BASE_SQL = "select * from ycq_question_bank a where a.deleted = 0 ";

    private static final String PAGE_ROLE_COUNT_SQL = "select count(*) from ycq_question_bank a where a.deleted = 0 ";


    private static final String TOPIC_NUMBER_COUNT_SQL = "update ycq_question_bank q set q.single_option_count= ?,q.mulity_option_count = ?,q.judgment_count= ?  WHERE  q.id= ?";

    public PageRsp<QuestionBankRespDTO> pageList(PageReq<QuestionBankQueryReqDTO> req) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_ROLE_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        if (StrUtil.isNotBlank(req.getQuery().getQuestionBankName())) {
            sb.append(" and a.question_bank_name like concat('%',?,'%') ");
            sbCount.append(" and a.question_bank_name like concat('%',?,'%') ");
            params.add(req.getQuery().getQuestionBankName());
        }
        if (StrUtil.isNotBlank(req.getQuery().getEndPublishTime()) && StrUtil.isNotBlank(req.getQuery().getStartPublishTime())) {
            sb.append(" and a.create_time between  to_date(?,'yyyy-mm-dd hh24:mi:ss') and to_date(?,'yyyy-mm-dd hh24:mi:ss') ");
            sbCount.append(" and a.create_time between  to_date(?,'yyyy-mm-dd hh24:mi:ss') and to_date(?,'yyyy-mm-dd hh24:mi:ss') ");
            params.add(req.getQuery().getStartPublishTime()+" 00:00:00");
            params.add(req.getQuery().getEndPublishTime()+" 23:59:59");
        }
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        List<QuestionBankRespDTO> result;
        String dbType = jdbcTemplate.getDbType();
        if (total > 0) {
            //根据数据库类型设置limit
            SqlUtil.appendLimit(dbType, params, sb, req);

            result = jdbcTemplate.queryForBeans(QuestionBankRespDTO.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<QuestionBankRespDTO> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        // 为手机计算是否由下一页
        page.next();

        return page;
    }


    public void topicNumberCount(Long single, Long multiply, Long jugement,Integer questionBankId) {
        StringBuilder sb = new StringBuilder(TOPIC_NUMBER_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        params.add(single);
        params.add(multiply);
        params.add(jugement);
        params.add(questionBankId);
        jdbcTemplate.update(sb.toString(), params.toArray());
    }
}
