/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;

/**
 * demo
 *
 * @author xiangjunming
 * @date 2023/9/4
 */
@Repository
public class YcqQzhDemoJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_ROLE_BASE_SQL = "select * from ycq_qzh_demo a where 1 = 1 ";

    private static final String PAGE_ROLE_COUNT_SQL = "select count(*) from ycq_qzh_demo a where 1 = 1 ";


    private static final String DELETE_SQL = "update ycq_qzh_demo set del_flag=1, update_id=?, update_by=?, update_time=? where id in";

    public PageRsp<YcqQzhDemoVo> pageList(PageReq<YcqQzhDemoDto> req) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_ROLE_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        if (StrUtil.isNotBlank(req.getQuery().getName())) {
            sb.append(" and a.name like concat('%',?,'%') ");
            sbCount.append(" and a.name like concat('%',?,'%') ");
            params.add(req.getQuery().getName());
        }
        if (Objects.nonNull(req.getQuery().getId())) {
            sb.append(" and a.id = ? ");
            sbCount.append(" and a.id = ? ");
            params.add(req.getQuery().getId());
        }
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        List<YcqQzhDemoVo> result;
        String dbType = jdbcTemplate.getDbType();
        if (total > 0) {
            //根据数据库类型设置limit
            SqlUtil.appendLimit(dbType, params, sb, req);

            result = jdbcTemplate.queryForBeans(YcqQzhDemoVo.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<YcqQzhDemoVo> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        // 为手机计算是否由下一页
        page.next();

        return page;
    }

    public List<YcqQzhDemoVo> queryList(YcqQzhDemoDto req) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        List<Object> params = new ArrayList<>();
        if (StrUtil.isNotBlank(req.getName())) {
            sb.append(" and a.name like concat('%',?,'%') ");
            params.add(req.getName());
        }
        if (Objects.nonNull(req.getId())) {
            sb.append(" and a.id = ? ");
            params.add(req.getId());
        }
        List<YcqQzhDemoVo> result = jdbcTemplate.queryForBeans(YcqQzhDemoVo.class, sb.toString(), params.toArray());
        return result;
    }


    public void deleteByIds(Collection<Long> ids, Long updateId, String updateBy) {
        String inIds = ids.stream().map(id -> id.toString()).collect(Collectors.joining(",", "(", ") "));
        StringBuilder sb = new StringBuilder(DELETE_SQL).append(inIds);
        jdbcTemplate.update(sb.toString(), updateId, updateBy, new Date());
    }
}
