package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.cloud.commons.lang.StringUtils;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.entity.main.TsmOrg;
import com.crunii.micro.domain.entity.main.document.YcqQzhDocument;
import com.crunii.micro.service.qzh.api.domain.dto.document.DocumentListRspDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.PageDocumentReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.PageDocumentRspDTO;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;


@Repository
public class YcqQzhDocumentJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_DOCUMENT_BASE_SQL = " select a.id,a.create_id,a.state,a.document_title,\n" +
            "case when a.document_type=1 then '青年突击队政策'\n" +
            "when a.document_type=2 then '青年文明号政策' \n" +
            "when a.document_type=3 then '青年安全生产示范岗政策' \n" +
            "when a.document_type=4 then '维护青少年权益岗政策' \n" +
            "else (select value_name from TSM_PROPERTY_VALUE where prop_id=10050 and value_code =a.document_type ) end as documentType,\n" +
            "case when a.open_competence=1 then '全部' when a.open_competence=2 then '对内' when a.open_competence=3 then '对外' else null end as openCompetenceName,\n" +
            "b.worker_name as createUserName,a.create_time as createTime,\n" +
            "case when a.state=1 then '已发布' when a.state=2 then '已下架' else null end as stateName,\n" +
            "(case when a.sort_num>0 then true else false end) as whetherTop,\n" +
            "case when (select count(1) from ycq_qzh_browse where article_id=a.id and record_type=1) is not null \n" +
            "then (select count(1) from ycq_qzh_browse where article_id=a.id and record_type=1)  else 0 end  as viewTotal \n" +
            "from ycq_qzh_document a\n" +
            "left join tsm_worker b on a.create_id=b.login_id\n" +
            "where del_flag=0 ";

    private static final String PAGE_DOCUMENT_COUNT_SQL = "select count(*) from ycq_qzh_document a " +
            " left join tsm_worker b on a.create_id=b.login_id where del_flag=0 ";
    //and a.authority_orgs in (?)
    private static final String FIND_DOCUMENT_LIST_SQL = "select id,document_title from ycq_qzh_document where document_type=? and apply_type=? and del_flag=0 ";

    private static final String DELETE_SQL = "update ycq_qzh_document set del_flag=1, update_id=?, update_by=?, update_time=? where id in";

//    private static final String GET_DOCUMENT_ONE_SQL = "select *," +
//            " case when document_type=1 then '青年突击队政策' when document_type=2 then '青年文明号政策' when document_type=3 then '青年安全生产示范岗政策'" +
//            " when document_type=4 then '维护青少年权益岗政策' else null end as documentTypeName," +
//            " case when open_competence=1 then '全部' when open_competence=2 then '对内' when open_competence=3 then '对外' else null end as openCompetenceName," +
//            " case when a.state=1 then '已发布' when a.state=2 then '已下架' else null end as stateName" +
//            " from ycq_qzh_document a where del_flag=0 and id=? ";

    public PageRsp<PageDocumentRspDTO> pageDocument(PageReq<PageDocumentReqDTO> req, List<Long> listIds, String orgId) {
        StringBuilder sb = new StringBuilder(PAGE_DOCUMENT_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_DOCUMENT_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        PageDocumentReqDTO query = req.getQuery();
        if (ObjectUtil.isNotEmpty(query)) {
//            if ("app".equals(query.getCondition()) && null != listIds) {
//                String collect = listIds.stream().map(String::valueOf).collect(Collectors.joining(",", "(", ") "));
//                sb.append(" and (a.open_competence = 1 or (a.id in " + collect + " and a.open_competence =2 )) ");
//                sbCount.append(" and (a.open_competence = 1 or (a.id in " + collect + " and a.open_competence =2 )) ");
//            } else if ("app".equals(query.getCondition()) && null == listIds) {
//                sb.append(" and a.open_competence = 1 ");
//                sbCount.append(" and a.open_competence = 1 ");
//            } else if ("web".equals(query.getCondition()) && null != orgId) {
//                if (1 == query.getOpenCompetence()) {
//                    sb.append(" and (a.open_competence = 1 or (find_in_set(?,create_org_ids) and a.open_competence =2 )) ");
//                    sbCount.append(" and (a.open_competence = 1 or (find_in_set(?,create_org_ids) and a.open_competence =2 )) ");
//                    params.add(orgId);
//                } else if (2 == query.getOpenCompetence()) {
//                    sb.append(" and find_in_set(?,create_org_ids) and a.open_competence =2  ");
//                    sbCount.append(" and find_in_set(?,create_org_ids) and a.open_competence =2 ");
//                    params.add(orgId);
//                }
//            } else if ("web".equals(query.getCondition()) && null == orgId) {
            if (Objects.nonNull(query.getOpenCompetence())) {
                sb.append(" and a.open_competence = ? ");
                sbCount.append(" and a.open_competence = ? ");
                params.add(query.getOpenCompetence());
            }
//            } else {
//                new BusinessException("系统内部异常，请联系管理员!");
//            }
            //标题
            if (StrUtil.isNotBlank(query.getDocumentTitle())) {
                sb.append(" and a.document_title like concat('%',?,'%') ");
                sbCount.append(" and a.document_title like concat('%',?,'%') ");
                params.add(query.getDocumentTitle());
            }
            //类型
            if (Objects.nonNull(query.getDocumentType())) {
                if (5 == query.getDocumentType()) {
                    sb.append(" and a.document_type not in (1,2,3,4) ");
                    sbCount.append(" and a.document_type not in (1,2,3,4)  ");
                } else {
                    sb.append(" and a.document_type = ? ");
                    sbCount.append(" and a.document_type = ? ");
                    params.add(query.getDocumentType());
                }
            }
            //状态
            if (Objects.nonNull(query.getState())) {
                sb.append(" and a.state = ? ");
                sbCount.append(" and a.state = ? ");
                params.add(query.getState());
            }
            //创建人
            if (Objects.nonNull(query.getCreateUserName())) {
                sb.append(" and b.worker_name like concat('%',?,'%') ");
                sbCount.append(" and b.worker_name like concat('%',?,'%') ");
                params.add(query.getCreateUserName());
            }
            //发布开始时间
            if (StringUtils.isNotEmpty(query.getBeginTime())) {
                sb.append(" and a.CREATE_TIME>=? ");
                sbCount.append(" and a.CREATE_TIME>=? ");
                params.add(query.getBeginTime());
            }
            //发布结束时间
            if (StringUtils.isNotEmpty(query.getEndTime())) {
                sb.append(" and a.CREATE_TIME<=? ");
                sbCount.append(" and a.CREATE_TIME<=? ");
                params.add(query.getEndTime());
            }
            //app仅查看已发布
            if (StringUtils.isNotEmpty(query.getCondition()) && query.getCondition().equals("app")) {
                sb.append(" and a.state=? ");
                sbCount.append(" and a.state=? ");
                params.add(1);

            }
            sb.append(" order by (case when a.sort_num is null then 0 else a.sort_num end) desc,a.create_time desc");
        }

        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        List<PageDocumentRspDTO> result;
        String dbType = jdbcTemplate.getDbType();

        if (total > 0) {
            //根据数据库类型设置limit
            SqlUtil.appendLimit(dbType, params, sb, req);
            result = jdbcTemplate.queryForBeans(PageDocumentRspDTO.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }

        PageRsp<PageDocumentRspDTO> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        // 为手机计算是否由下一页
        page.next();
        return page;
    }

    /**
     * 根据申请状态查询政策
     *
     * @param applyType
     * @return
     */
    public List<DocumentListRspDTO> queryList(Integer type, Integer applyType) {
        List<Object> params = new ArrayList<>();
        params.add(type);
        params.add(applyType);
        List<DocumentListRspDTO> result = jdbcTemplate.queryForBeans(DocumentListRspDTO.class, FIND_DOCUMENT_LIST_SQL, params.toArray());
        return result;
    }

    /**
     * 查看政策详情
     *
     * @param
     * @return
     */
//    public DocumentDetailsRspDTO getOneDetails(Long id) {
//        List<Object> params = new ArrayList<>();
//        params.add(id);
//        DocumentDetailsRspDTO result = jdbcTemplate.queryForBean(DocumentDetailsRspDTO.class, GET_DOCUMENT_ONE_SQL, params);
//        return result;
//    }
    public void deleteByIds(Collection<Long> ids, Integer updateId, String updateBy) {
        String inIds = ids.stream().map(id -> id.toString()).collect(Collectors.joining(",", "(", ") "));
        StringBuilder sb = new StringBuilder(DELETE_SQL).append(inIds);
        jdbcTemplate.update(sb.toString(), updateId, updateBy, new Date());
    }

    /**
     * 删除政策附件以及封面
     */
    public void deleteAnnex(Long id) {
        //删除附件
        String sql1 = "delete from ycq_qzh_annex where type=1 and article_id=" + id;
        jdbcTemplate.execute(sql1);
        //删除封面
        String sql = "delete from ycq_qzh_cover where type=1 and article_id=" + id;
        jdbcTemplate.execute(sql);
    }

    /**
     * 查询当前排序序号后的数据
     */
    public List<YcqQzhDocument> findListBySortNum(Integer sortNum) {
        String sql = "select * from  ycq_qzh_document where sort_num is not null and sort_num>" + sortNum;
        return jdbcTemplate.queryForBeans(YcqQzhDocument.class, sql);
    }

    /**
     * 查询当前排序序号后的数据
     */
    public void insert(Date date) {
        String sql = "insert into ycq_qzh_document(id,crate_time) values(2," + date + ")";
        jdbcTemplate.queryForBeans(YcqQzhDocument.class, sql);
    }

    public List<DocumentListRspDTO> queryListForTypeAndState(int docType, Integer type, int state) {
        StringBuilder sb = new StringBuilder(FIND_DOCUMENT_LIST_SQL);
        List<Object> params = new ArrayList<>();
        params.add(docType);
        params.add(type);
        sb.append(" and state = ?");
        params.add(state);
        List<DocumentListRspDTO> result = jdbcTemplate.queryForBeans(DocumentListRspDTO.class, sb.toString(), params.toArray());
        return result;
    }

    public String selectOrgName(Long createId) {
        String SQL = "select distinct b.org_name from TSM_WORKER a left join TSM_ORG b on a.ORG_ID =b.ORG_ID where a.LOGIN_ID = " + createId;
        return jdbcTemplate.queryForObject(SQL, String.class);

    }

    public List<Long> selecetOrgs(int loginId) {
        String SQL = " select distinct org_id from TSM_WORKER_ORG_ALL where worker_id =" + loginId;
        return jdbcTemplate.queryForRawObjects(Long.class, SQL);
    }

    public List<Long> selecetIds(List<Long> orgIds) {
        String collect = orgIds.stream().map(String::valueOf).collect(Collectors.joining(",", "(", ") "));
        String SQL = "select distinct BUSINESS_ID from YCQ_QZH_BUSINESS_ALL where 1=1 and org_id in " + collect;
        return jdbcTemplate.queryForRawObjects(Long.class, SQL);
    }

    public TsmOrg findParentOrgs(Long orgId) {
        String SQL = "select org_id,parent_org_id from tsm_org where org_id = " + orgId;
        return jdbcTemplate.queryForBean(TsmOrg.class, SQL);
    }
}