package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqQzhIndicatorSystem;
import com.crunii.micro.service.qzh.api.domain.dto.*;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * 青字号首页相关
 */

@Repository
public class YcqQzhHomePageJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate mainJT;

    /**
     * 个人信息及活跃度相关信息（累计登录天数、风采发布量）
     *
     * @param worker
     * @return
     */

    public HomePageUserRelatedRespDTO findPersonalActivity(Worker worker) {
        String findPersonalActivity = " select  (select count(1) from TSM_LOGIN_LOG a where a.MOBILE = ? )loginDays,(select count(1) from ycq_qzh_activity a where a.del_flag=0  and  a.create_id= ? )PublishingNum,(select org_name from TSM_ORG a where  a.org_id = ? ) orgName ";
        StringBuilder sb = new StringBuilder(findPersonalActivity);
        return mainJT.queryForBean(HomePageUserRelatedRespDTO.class, sb.toString(), worker.getMobile(), String.valueOf(worker.getLoginId()), worker.getOrgId());
    }


    /**
     * @MethodName findPolicyAndNoticeAndElegantDemeanourTop
     * @Description
     * @param: worker  YCQ_QZH_DOCUMENT
     * @Author Jiang
     * @Date 2023/9/23 10:14
     */
    public List<HomePageTopRespDTO> findPolicyAndNoticeAndElegantDemeanourTop(HomePageTopReqDTO homePageTopReq) {

        //--政策 1
        String DOCUMENT_SQL = " select a.id,a.document_title releaseName,case when a.document_type=1 then '青年突击队' when a.document_type=2 then '青年文明号' when a.document_type=3 then '青年安全生产示范岗' when a.document_type=4 then '维护青少年权益岗' else null end as releaseType,to_char(a.create_time,'mm-dd HH24:mi') as releaseTime from ycq_qzh_document a where del_flag=0 and state =1 order by a.create_time desc limit 10 ";
        //--公告 2
        String ANNOUNCEMENT_SQL = " select id,announcement_title releaseName,case when announcement_type=1 then '青年突击队' when announcement_type=2 then '青年文明号' when announcement_type=3 then '青年安全生产示范岗' when announcement_type=4 then '维护青少年权益岗' else null end as releaseType,to_char(a.create_time,'mm-dd HH24:mi')  as releaseTime from ycq_qzh_announcement a where a.del_flag=0 and state =1 order by a.create_time desc limit 10 ";
        //--风采 3
        String ACTIVITY_SQL = " select a.id,a.activity_title releaseName,case when a.activity_type=1 then '青年突击队' when a.activity_type=2 then '青年文明号' when a.activity_type=3 then '青年安全生产示范岗' when a.activity_type=4 then '维护青少年权益岗' else null end as releaseType,to_char(a.create_time,'mm-dd HH24:mi') as releaseTime from YCQ_QZH_ACTIVITY a where a.del_flag=0 order by a.create_time desc limit 10 ";

        if (homePageTopReq.getType() == 1) {
            StringBuilder sb = new StringBuilder(DOCUMENT_SQL);
            return mainJT.queryForBeans(HomePageTopRespDTO.class, sb.toString());
        } else if (homePageTopReq.getType() == 2) {
            StringBuilder sb = new StringBuilder(ANNOUNCEMENT_SQL);
            return mainJT.queryForBeans(HomePageTopRespDTO.class, sb.toString());
        } else {
            StringBuilder sb = new StringBuilder(ACTIVITY_SQL);
            return mainJT.queryForBeans(HomePageTopRespDTO.class, sb.toString());
        }
    }


}
