/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.constants.CommonConstants;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.TsmMenu;
import com.crunii.micro.domain.entity.main.TsmOrg;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel.QagPageRsp;
import com.crunii.micro.service.qzh.dto.YcqQzhQagApplyReqDTO;
import com.crunii.micro.service.qzh.dto.YcqQzhQagApplyRespDTO;
import com.crunii.module.flow.api.vo.FlowInstanceRespVO;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;

/**
 * demo
 *
 * @author xiangjunming
 * @date 2023/9/4
 */
@Repository
public class YcqQzhQagApplyJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_LOGIN_ID_BASE_SQL = "SELECT a.*,b.org_code,                    " +
            "                                                     case when button in(1,4) AND b.org_id=a.affiliation_org_id then 1                   " +
            "                                                     when button in(2,5,6) and b.org_code='QCCQ3537136584' then 1                   " +
            "                                                     else 0 end button,                   " +
            "                                                     b.org_id,b.org_code,       " +
            "                                                      (CASE WHEN (a.flow_state=0) THEN 0               " +
            "                                                   WHEN (a.flow_state=3) THEN 1               " +
            "                                                   ELSE 3 END)  sortState,                  " +
            "                                                          (select document_title from YCQ_QZH_DOCUMENT where id = a.policy_id limit 1) policyName                         " +
            "                                                          FROM  YCQ_QZH_QAG_APPLY a                          " +
            "                                                     left join                                            " +
            "                                                    （SELECT m.menu_name,                   " +
            "                                                      case when m.menu_name='审核申报' then 1                    " +
            "                                                      when m.menu_name='备案审核' then 2                    " +
            "                                                      when m.menu_name='审核推荐' then 4                   " +
            "                                                      when m.menu_name='审核' then 5                   " +
            "                                                      when m.menu_name='认定' then 6                   " +
            "                                                      end as button,tw.org_id,o.org_code          " +
            "                                                    FROM TSM_WORKER tw                       " +
            "                                                         LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id                       " +
            "                                                         LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id                        " +
            "                                                         left join TSM_ROLE_MENU rm on r.role_id=rm.role_id                        " +
            "                                                         left join TSM_MENU m on rm.menu_code=m.menu_code     " +
            "                                                         left join TSM_ORG o on o.org_id=tw.org_id     " +
            "                                                         WHERE m.state=1                    " +
            "                                                         AND  m.menu_type=2  AND  m.parent_menu_code=? AND tw.login_id =?                    " +
            "                                                         AND m.menu_name in('审核申报','备案审核','审核推荐','审核','认定')) b                   " +
            "                                                    on a.flow_state=b.button                   " +
            "                                                    WHERE  a.DEL_FLAG=0  ";

    private static final String PAGE_LOGIN_ID_COUNT_SQL = " SELECT count(*) " +
            "                                FROM  YCQ_QZH_QAG_APPLY a                  " +
            "                           left join                                    " +
            "                          （SELECT m.menu_name,           " +
            "                            case when m.menu_name='审核申报' then 1            " +
            "                            when m.menu_name='备案审核' then 2            " +
            "                            when m.menu_name='审核推荐' then 4           " +
            "                            when m.menu_name='审核' then 5           " +
            "                            when m.menu_name='认定' then 6           " +
            "                            end as button,tw.org_id  " +
            "                          FROM TSM_WORKER tw               " +
            "                               LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id               " +
            "                               LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id                " +
            "                               left join TSM_ROLE_MENU rm on r.role_id=rm.role_id                " +
            "                               left join TSM_MENU m on rm.menu_code=m.menu_code WHERE m.state=1            " +
            "                               AND  m.menu_type=2  AND  m.parent_menu_code=? AND tw.login_id =?            " +
            "                               AND m.menu_name in('审核申报','备案审核','审核推荐','审核','认定')) b           " +
            "                          on a.flow_state=b.button           " +
            "                          WHERE  a.DEL_FLAG=0  ";


    private static final String PAGE_EXAMINE_BASE_SQL_BAK = " SELECT a.*,      " +
            "         (select document_title from YCQ_QZH_DOCUMENT where id = a.policy_id limit 1) policyName   " +
            "         FROM  YCQ_QZH_QAG_APPLY a    " +
            "         WHERE  a.DEL_FLAG=0 and EXISTS ( " +
            "                SELECT 1 " +
            "                FROM TSM_WORKER_ORG_ALL  " +
            "                WHERE org_id = a.affiliation_org_id  " +
            "                AND worker_id = ? " +
            "            )";

    private static final String PAGE_EXAMINE_BASE_SQL = " SELECT a.*,           " +
            "                           case when button in(1,4) AND b.org_id=a.affiliation_org_id then 1          " +
            "                           when button in(2,5,6) and b.org_code='QCCQ3537136584' then 1          " +
            "                           else 0 end button,          " +
            "                           b.org_id,b.org_code,         " +
            "                                (select document_title from YCQ_QZH_DOCUMENT where id = a.policy_id limit 1) policyName                " +
            "                                FROM  YCQ_QZH_QAG_APPLY a                 " +
            "                           left join                                   " +
            "                          （SELECT m.menu_name,          " +
            "                            case when m.menu_name='审核申报' then 1           " +
            "                            when m.menu_name='备案审核' then 2           " +
            "                            when m.menu_name='审核推荐' then 4          " +
            "                            when m.menu_name='审核' then 5          " +
            "                            when m.menu_name='认定' then 6          " +
            "                            end as button,tw.org_id,o.org_code         " +
            "                          FROM TSM_WORKER tw              " +
            "                               LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id              " +
            "                               LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id               " +
            "                               left join TSM_ROLE_MENU rm on r.role_id=rm.role_id               " +
            "                               left join TSM_MENU m on rm.menu_code=m.menu_code  " +
            "                               left join TSM_ORG o on o.org_id=tw.org_id " +
            "                               WHERE m.state=1           " +
            "                               AND  m.menu_type=2  AND  m.parent_menu_code=? AND tw.login_id =?           " +
            "                               AND m.menu_name in('审核申报','备案审核','审核推荐','审核','认定')) b          " +
            "                          on a.flow_state=b.button          " +
            "                          WHERE  a.DEL_FLAG=0   ";

    private static final String SUPER_PAGE_EXAMINE_BASE_SQL = " SELECT a.*,  case when a.flow_state in(1,4) AND tw.org_id=a.affiliation_org_id then 1                  " +
            "                                                         when a.flow_state in(2,5,6) and o.org_code='QCCQ3537136584' then 1                  " +
            "                                                         else 0 end button, o.org_code,            " +
            "                                       (select document_title from YCQ_QZH_DOCUMENT where id = a.policy_id limit 1) policyName,tw.org_id          " +
            "                                       FROM (select a.*,? as login_id from YCQ_QZH_QAG_APPLY a ) a     " +
            "                                       left join TSM_WORKER tw  on a.login_id=tw.login_id and tw.login_id= ? " +
            "                                       left join TSM_ORG o on o.org_id=tw.org_id " +
            "                                                WHERE  a.DEL_FLAG=0  ";

    private static final String PAGE_EXAMINE_COUNT_SQL_BAK = "SELECT count(*)      " +
            "             FROM  YCQ_QZH_QAG_APPLY a     " +
            "             WHERE  a.DEL_FLAG=0 and EXISTS ( " +
            "                SELECT 1 " +
            "                FROM TSM_WORKER_ORG_ALL  " +
            "                WHERE org_id = a.affiliation_org_id  " +
            "                AND worker_id = ? " +
            "        ) ";
    private static final String PAGE_EXAMINE_COUNT_SQL = " SELECT count(*)   " +
            "      FROM  YCQ_QZH_QAG_APPLY a        " +
            " left join                          " +
            "（SELECT m.menu_name, " +
            "  case when m.menu_name='审核申报' then 1  " +
            "  when m.menu_name='备案审核' then 2  " +
            "  when m.menu_name='审核推荐' then 4 " +
            "  when m.menu_name='审核' then 5 " +
            "  when m.menu_name='认定' then 6 " +
            "  end as button,tw.org_id " +
            "FROM TSM_WORKER tw     " +
            "     LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id     " +
            "     LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id      " +
            "     left join TSM_ROLE_MENU rm on r.role_id=rm.role_id      " +
            "     left join TSM_MENU m on rm.menu_code=m.menu_code WHERE m.state=1  " +
            "     AND  m.menu_type=2  AND  m.parent_menu_code=? AND tw.login_id =?  " +
            "     AND m.menu_name in('审核申报','备案审核','审核推荐','审核','认定')) b " +
            "on a.flow_state=b.button " +
            "WHERE  a.DEL_FLAG=0 ";

    private static final String SUPER_PAGE_EXAMINE_COUNT_SQL = "SELECT count(*) " +
            "                          FROM (select a.*,? as login_id from YCQ_QZH_QAG_APPLY a ) a " +
            "                          left join TSM_WORKER tw  on a.login_id=tw.login_id and tw.login_id= ? " +
            "                                   WHERE  a.DEL_FLAG=0  ";


    private static final String DELETE_SQL = "update YCQ_QZH_QAG_APPLY set del_flag=1, updator=?, update_time=? where id in";

    public PageRsp<YcqQzhQagApplyRespDTO> pageList(PageReq<YcqQzhQagApplyReqDTO> req, Worker currWorker,TsmMenu tsmMenu,Long cityOrgCode) {
        StringBuilder sb = new StringBuilder(PAGE_LOGIN_ID_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_LOGIN_ID_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        params.add(tsmMenu.getMenuCode());
        params.add(currWorker.getLoginId());
        if (validatedSuper(currWorker)) {

        } else {
            sb.append(" and a.create_id=? or a.leader_phone=? ");
            sbCount.append(" and a.create_id=? or a.leader_phone=? ");
            params.add(currWorker.getLoginId());
            params.add(currWorker.getMobile());
        }
        sb.append(" order by sortState,update_time desc ");
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        List<YcqQzhQagApplyRespDTO> result;
        String dbType = jdbcTemplate.getDbType();
        if (total > 0) {
            //根据数据库类型设置limit
            SqlUtil.appendLimit(dbType, params, sb, req);

            result = jdbcTemplate.queryForBeans(YcqQzhQagApplyRespDTO.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        if (result.size()>0){
            for (YcqQzhQagApplyRespDTO ycqQzhQagApplyRespDTO : result) {
                ycqQzhQagApplyRespDTO.setLeaderPhone(getSubStr(ycqQzhQagApplyRespDTO.getLeaderPhone()));
                ycqQzhQagApplyRespDTO.setLeaderIdCard(getSubStr(ycqQzhQagApplyRespDTO.getLeaderIdCard()));
            }
        }
        PageRsp<YcqQzhQagApplyRespDTO> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        // 为手机计算是否由下一页
        page.next();
        return page;
    }


    public Integer applyTotal( Worker currWorker) {
        StringBuilder sbCount = new StringBuilder(PAGE_LOGIN_ID_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        params.add(currWorker.getLoginId());
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        return total;
    }


//    public List<YcqQzhDemoVo> queryList(YcqQzhDemoDto req) {
//        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
//        List<Object> params = new ArrayList<>();
//        if (StrUtil.isNotBlank(req.getName())) {
//            sb.append(" and a.name like concat('%',?,'%') ");
//            params.add(req.getName());
//        }
//        if (Objects.nonNull(req.getId())) {
//            sb.append(" and a.id = ? ");
//            params.add(req.getId());
//        }
//        List<YcqQzhDemoVo> result = jdbcTemplate.queryForBeans(YcqQzhDemoVo.class, sb.toString(), params.toArray());
//        return result;
//    }


    private String getSubStr(String str){
        if (StrUtil.isNotBlank(str)) {
            int length = str.length();
            String firstStr=str.substring(0,3);
            String lastStr=str.substring(length-4);
            return firstStr+"****"+lastStr;
        }
        return "";

    }

    public void deleteByIds(Collection<Long> ids, Long updateId) {
        String inIds = ids.stream().map(id -> id.toString()).collect(Collectors.joining(",", "(", ") "));
        StringBuilder sb = new StringBuilder(DELETE_SQL).append(inIds);
        jdbcTemplate.update(sb.toString(), updateId, new Date());
    }
    private boolean validatedSuper(Worker worker) {
        if (CommonConstants.SUPER_LOGIN_IDS.contains(worker.getLoginId())) {
            return true;
        }
        return false;
    }

    public QagPageRsp<YcqQzhQagApplyRespDTO> examinePage(PageReq<YcqQzhQagApplyReqDTO> req,TsmMenu tsmMenu,List<Long> ids) {
        Worker currWorker = CurrWorkerUtil.getCurrWorker();
        StringBuilder sb = null;
        StringBuilder sbCount = null;
        List<Object> params = new ArrayList<>();
        if (validatedSuper(currWorker)) {
            sb = new StringBuilder(SUPER_PAGE_EXAMINE_BASE_SQL);
            sbCount = new StringBuilder(SUPER_PAGE_EXAMINE_COUNT_SQL);
            params.add(currWorker.getLoginId());
            params.add(currWorker.getLoginId());
        } else {
            sb = new StringBuilder(PAGE_EXAMINE_BASE_SQL);
            sbCount = new StringBuilder(PAGE_EXAMINE_COUNT_SQL);
            params.add(tsmMenu.getMenuCode());
            params.add(currWorker.getLoginId());
            if (CollectionUtils.isNotEmpty(ids)) {
                sb.append(" and a.id in([ids])");
                sbCount.append(" and a.id in([ids])");
                sb = new StringBuilder(sb.toString().replace("[ids]", StringUtils.strip(ids.toString(), "[]")));
                sbCount = new StringBuilder(sbCount.toString().replace("[ids]", StringUtils.strip(ids.toString(), "[]")));
            } else {
                sb.append(" and 1=2");
                sbCount.append(" and 1=2");
            }
        }
        YcqQzhQagApplyReqDTO dto = req.getQuery();

        if (StrUtil.isNotBlank(dto.getCode())) {
            sb.append(" and a.code like concat('%',?,'%') ");
            sbCount.append(" and a.code like concat('%',?,'%') ");
            params.add(dto.getCode());
        }
        if (StrUtil.isNotBlank(dto.getApplyOrgName())) {
            sb.append(" and a.apply_org_name like concat('%',?,'%') ");
            sbCount.append(" and a.apply_org_name like concat('%',?,'%') ");
            params.add(dto.getApplyOrgName());
        }
        if (StrUtil.isNotBlank(dto.getAffiliationOrgName())) {
            sb.append(" and a.affiliation_org_name like concat('%',?,'%') ");
            sbCount.append(" and a.affiliation_org_name like concat('%',?,'%') ");
            params.add(dto.getAffiliationOrgName());
        }

        if (StrUtil.isNotBlank(dto.getAffiliationOrgId())) {
            sb.append(" and a.affiliation_org_id = ? ");
            sbCount.append(" and a.affiliation_org_id = ? ");
            params.add(dto.getAffiliationOrgId());
        }

        if (StrUtil.isNotBlank(dto.getLeaderName())) {
            sb.append(" and a.leader_name like concat('%',?,'%') ");
            sbCount.append(" and a.leader_name like concat('%',?,'%') ");
            params.add(dto.getLeaderName());
        }
        if (StrUtil.isNotBlank(dto.getLeaderPhone())) {
            sb.append(" and a.leader_phone like concat('%',?,'%') ");
            sbCount.append(" and a.leader_phone like concat('%',?,'%') ");
            params.add(dto.getLeaderPhone());
        }

        if (StrUtil.isNotBlank(dto.getLeaderIdCard())) {
            sb.append(" and a.leader_id_card like concat('%',?,'%') ");
            sbCount.append(" and a.leader_id_card like concat('%',?,'%') ");
            params.add(dto.getLeaderIdCard());
        }

        if (Objects.nonNull(dto.getFlowState())) {
            sb.append(" and a.flow_state = ? ");
            sbCount.append(" and a.flow_state = ? ");
            params.add(dto.getFlowState());
        }


        if (StringUtils.isNotBlank(dto.getRemark())) {
            sb.append(" and a.remark like concat('%',?,'%') ");
            sbCount.append(" and a.remark like concat('%',?,'%') ");
            params.add(dto.getRemark());
        }

        if (StringUtils.isNotBlank(dto.getCreator())) {
            sb.append(" and a.creator like concat('%',?,'%') ");
            sbCount.append(" and a.creator like concat('%',?,'%') ");
            params.add(dto.getCreator());
        }

        if (StrUtil.isNotBlank(dto.getBeginTime()) && StrUtil.isNotBlank(dto.getEndTime())) {
            sb.append(" and a.create_time <= to_date(?,'yyyy-mm-dd hh24:mi:ss') and a.create_time>=to_date(?,'yyyy-mm-dd hh24:mi:ss') ");
            sbCount.append(" and a.create_time <= to_date(?,'yyyy-mm-dd hh24:mi:ss') and a.create_time>=to_date(?,'yyyy-mm-dd hh24:mi:ss') ");
            params.add(dto.getBeginTime());
            params.add(dto.getEndTime());
        }

        if (StrUtil.isNotBlank(dto.getCreateTime())) {
            sb.append(" and to_char(a.create_time,'yyyy-mm-dd') = ? ");
            sbCount.append(" and to_char(a.create_time,'yyyy-mm-dd') = ? ");
            params.add(dto.getCreateTime());
        }

        if (StringUtils.isNotBlank(dto.getDistributionType())) {
            sb.append(" and a.distribution_type = ? ");
            sbCount.append(" and a.distribution_type = ? ");
            params.add(dto.getDistributionType());
        }

        sb.append(" and a.flow_state<> 0 ");
        sbCount.append(" and a.flow_state<> 0 ");


        sb.append(" order by button desc,a.update_time desc ");





//        sb.append(" and a.flow_instance_id in ");
//        sbCount.append(" and a.flow_instance_id in ");

//        String str = "";
//        for (int i = 0; i < list.size(); i++) {
//            if (i == 0) {
//                str += "'" + list.get(i).getFlowInstanceId() + "'";
//            } else {
//                str += ",'" + list.get(i).getFlowInstanceId() + "'";
//            }
//        }
//        params.add("("+str+")");

//        sb.append("("+str+")");
//        sbCount.append("("+str+")");
        List<YcqQzhQagApplyRespDTO> result;
        String dbType = jdbcTemplate.getDbType();
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        if (total > 0) {
            //根据数据库类型设置limit
            SqlUtil.appendLimit(dbType, params, sb, req);
            result = jdbcTemplate.queryForBeans(YcqQzhQagApplyRespDTO.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        if (result.size()>0){
            for (YcqQzhQagApplyRespDTO ycqQzhQagApplyRespDTO : result) {
                ycqQzhQagApplyRespDTO.setLeaderPhone(getSubStr(ycqQzhQagApplyRespDTO.getLeaderPhone()));
                ycqQzhQagApplyRespDTO.setLeaderIdCard(getSubStr(ycqQzhQagApplyRespDTO.getLeaderIdCard()));
            }
        }
        QagPageRsp<YcqQzhQagApplyRespDTO> page = new QagPageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        // 为手机计算是否由下一页
        page.next();
        return page;
    }

    public List<TsmMenu> queryCurrentUserAuth(TsmMenu tsmMenu, Worker currWorker) {
        String sql = "SELECT m.*  FROM TSM_WORKER tw " +
                "LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id " +
                "LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id  " +
                "left join TSM_ROLE_MENU rm on r.role_id=rm.role_id  " +
                "left join TSM_MENU m on rm.menu_code=m.menu_code WHERE m.state=1 AND  m.menu_type=2  AND  m.parent_menu_code=? AND tw.login_id =?";
        ArrayList<Object> params = new ArrayList<>();
        params.add(tsmMenu.getMenuCode());
        params.add(currWorker.getLoginId());
        return jdbcTemplate.queryForBeans(TsmMenu.class,sql,params.toArray());
    }

    public Integer countPending(TsmMenu tsmMenu, Worker currWorker,List<Long> ids) {
        String superSql = " select count(*) from (SELECT case when a.flow_state in(1,4) AND tw.org_id=a.affiliation_org_id then 1                      " +
                "                                                                          when a.flow_state in(2,5,6) and o.org_code='QCCQ3537136584' then 1                      " +
                "                                                                          else 0 end button,                 " +
                "                                                        (select document_title from YCQ_QZH_DOCUMENT where id = a.policy_id limit 1) policyName,tw.org_id              " +
                "                                                        FROM (select a.*,? as login_id from YCQ_QZH_QAG_APPLY a ) a         " +
                "                                                        left join TSM_WORKER tw  on a.login_id=tw.login_id and tw.login_id= ? " +
                "                                                        left join TSM_ORG o on o.org_id=tw.org_id " +
                "                                                                 WHERE  a.DEL_FLAG=0) where button=1  ";


        String sql = "  SELECT         " +
                "                               case when button in(1,4) AND b.org_id=a.affiliation_org_id then 1         " +
                "                               when button in(2,5,6) and b.org_code='QCCQ3537136584' then 1         " +
                "                               else 0 end button             " +
                "                                    FROM  YCQ_QZH_QAG_APPLY a                " +
                "                               left join                                  " +
                "                              （SELECT m.menu_name,         " +
                "                                case when m.menu_name='审核申报' then 1          " +
                "                                when m.menu_name='备案审核' then 2          " +
                "                                when m.menu_name='审核推荐' then 4         " +
                "                                when m.menu_name='审核' then 5         " +
                "                                when m.menu_name='认定' then 6         " +
                "                                end as button,tw.org_id,o.org_code        " +
                "                              FROM TSM_WORKER tw             " +
                "                                   LEFT JOIN TSM_WORKER_ROLE wr ON tw.login_id = wr.login_id             " +
                "                                   LEFT JOIN  TSM_ROLE r ON r.role_id = wr.role_id              " +
                "                                   left join TSM_ROLE_MENU rm on r.role_id=rm.role_id              " +
                "                                   left join TSM_MENU m on rm.menu_code=m.menu_code " +
                "                                   left join TSM_ORG o on o.org_id=tw.org_id WHERE m.state=1          " +
                "                                   AND  m.menu_type=2  AND  m.parent_menu_code=? AND tw.login_id =?          " +
                "                                   AND m.menu_name in('审核申报','备案审核','审核推荐','审核','认定')) b         " +
                "                              on a.flow_state=b.button         " +
                "                              WHERE  a.DEL_FLAG=0  ";
        ArrayList<Object> params = new ArrayList<>();
        if (validatedSuper(currWorker)) {
            params.add(currWorker.getLoginId());
            params.add(currWorker.getLoginId());
            return jdbcTemplate.queryForInt(superSql,params.toArray());
        } else {
            StringBuilder sb = new StringBuilder(sql);
            if (CollectionUtils.isNotEmpty(ids)) {
                sb.append(" and a.id in([ids])");
                sb = new StringBuilder(sb.toString().replace("[ids]", StringUtils.strip(ids.toString(), "[]")));
            } else {
                sb.append(" and 1=2");
            }
            params.add(tsmMenu.getMenuCode());
            params.add(currWorker.getLoginId());
            sb.insert(0,"select count(*) from ( ");
            sb.append(" ) where button=1 ");
            return jdbcTemplate.queryForInt(sb.toString(),params.toArray());
        }
    }

    public Long getCityOrgCode() {
        String sql = "select * from tsm_org where org_code='QCCQ3537136584' ";
        TsmOrg tsmOrg = jdbcTemplate.queryForBean(TsmOrg.class, sql);
        return tsmOrg.getOrgId();
    }
}
