package com.crunii.micro.service.qzh.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.TopicOptionDTO;
import com.crunii.micro.service.qzh.dto.YcqQzhRightsIndexRespDTO;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.qzh.jdbc
 * @Author: limy
 * @CreateTime: 2023-11-22  10:09
 * @Description: 查找关联指标及结果
 * @Version: 1.0
 */
@Repository
public class YcqQzhRightsIndexJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String BASE_SQL = "select\n" +
            "  a.*,b.* \n" +
            "from \n" +
            "  YCQ_QZH_RIGHTS_INDEX_REL a\n" +
            "   left join YCQ_QZH_RIGHTS_INDEX b\n" +
            "   on a.index_id=b.id\n" +
            "  where a.del_flag = 0";

    public List<YcqQzhRightsIndexRespDTO> getIndexAndRel(Long rightsId) {
        StringBuilder sb = new StringBuilder(BASE_SQL);
        List<Object> params = new ArrayList<>();
        if (Objects.nonNull(rightsId)) {
            sb.append(" and a.rights_id = ? ");
            params.add(rightsId);
        }
        List<YcqQzhRightsIndexRespDTO> result = jdbcTemplate.queryForBeans(YcqQzhRightsIndexRespDTO.class, sb.toString(), params.toArray());
        return result;
    }
}
