/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.TopicOptionDTO;
import com.crunii.micro.service.qzh.api.domain.dto.TopicOptionRespDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;

/**
 * @Author zwx
 * @Description //TODO
 * @Date  2023/9/5 11:09:17
 **/
@Repository
public class YcqTopicOptionJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_TOPIC_OPTION_BASE_SQL = "select a.id,a.option_content,a.is_answer,a.topic_id,a.deleted,a.option from ycq_topic_option a where 1 = 1 ";

    public List<TopicOptionDTO> queryOptionListByTopicId(Integer topicId) {
        StringBuilder sb = new StringBuilder(PAGE_TOPIC_OPTION_BASE_SQL);
        List<Object> params = new ArrayList<>();
        if (Objects.nonNull(topicId)) {
            sb.append(" and a.topic_id = ? and a.deleted =0 ");
            params.add(topicId);
        }
        List<TopicOptionDTO> result = jdbcTemplate.queryForBeans(TopicOptionDTO.class, sb.toString(), params.toArray());
        return result;
    }
}
