/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.qzh.jdbc;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoVo;
import com.crunii.micro.service.qzh.api.domain.dto.YcqTrainingCenterFileDTO;
import com.crunii.micro.service.qzh.api.domain.dto.YcqTrainingCenterFileVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.*;
import java.util.stream.Collectors;


@Repository
public class YcqTrainingCenterFileJdbcDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    private static final String PAGE_ROLE_BASE_SQL = "select * from YCQ_TRAIN_CENTER_FILE a where 1 = 1 ";

    private static final String PAGE_ROLE_COUNT_SQL = "select count(*) from YCQ_TRAIN_CENTER_FILE a where 1 = 1 ";


    public PageRsp<YcqTrainingCenterFileVo> pageList(PageReq<YcqTrainingCenterFileDTO> req) {
        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_ROLE_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        if (StrUtil.isNotBlank(req.getQuery().getFileName())) {
            sb.append(" and a.file_name like concat('%',?,'%') ");
            sbCount.append(" and a.file_name like concat('%',?,'%') ");
            params.add(req.getQuery().getFileName());
        }
        if (Objects.nonNull(req.getQuery().getBusiness())) {
            sb.append(" and a.business = ? ");
            sbCount.append(" and a.business = ? ");
            params.add(req.getQuery().getBusiness());
        }
        sb.append(" order by if(sort is null,999999,sort ) asc ,create_time desc ");
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        List<YcqTrainingCenterFileVo> result;
        String dbType = jdbcTemplate.getDbType();
        if (total > 0) {
            //根据数据库类型设置limit
            SqlUtil.appendLimit(dbType, params, sb, req);

            result = jdbcTemplate.queryForBeans(YcqTrainingCenterFileVo.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<YcqTrainingCenterFileVo> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        // 为手机计算是否由下一页
        page.next();

        return page;
    }


    public List<YcqTrainingCenterFileVo> list(YcqTrainingCenterFileDTO req) {

        StringBuilder sb = new StringBuilder(PAGE_ROLE_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_ROLE_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        if (StrUtil.isNotBlank(req.getFileName())) {
            sb.append(" and a.file_name like concat('%',?,'%') ");
            sbCount.append(" and a.file_name like concat('%',?,'%') ");
            params.add(req.getFileName());
        }
        if (Objects.nonNull(req.getBusiness())) {
            sb.append(" and a.business = ? ");
            sbCount.append(" and a.business = ? ");
            params.add(req.getBusiness());
        }
        if (Objects.nonNull(req.getIsAppShow())) {
            sb.append(" and a.is_app_show = ? ");
            sbCount.append(" and a.is_app_show = ? ");
            params.add(req.getIsAppShow());
        }
        sb.append(" order by if(sort is null,999999,sort ) asc , create_time desc ");
        List<YcqTrainingCenterFileVo> result=new ArrayList<>();
        result = jdbcTemplate.queryForBeans(YcqTrainingCenterFileVo.class, sb.toString(), params.toArray());
        return result;
    }
}
