package com.crunii.micro.service.qzh.jdbc.activitypublish;

import cn.hutool.core.util.StrUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.utils.SqlUtil;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.*;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * @Author: zwx
 * @CreateTime: 2023-09-19  10:57:31
 * @Description: TODO
 */
@Repository
public class ActivityRegisterDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;


    private final static String PAGE_REGISTE_BASE_SQL = "select id,name,organization,phone,register_time,activity_id,worker_id from ycq_activity_register where is_deleted=0 ";
    private final static String PAGE_REGISTE_COUNT_SQL = "select count(*) from ycq_activity_register where is_deleted=0";

    private final static String JOIN_DETAIL_SQL = "select * from ycq_activity_register a " +
                                                  "inner join ycq_publish_activity b on a.activity_id=b.id " +
                                                  "where a.is_deleted=0 and b.is_deleted=0 and a.id= ? ";

    public PageRsp<ActivityRegisterRespDTO> pageList(PageReq<ActivityApplyDetailReqDTO> req) {
        StringBuilder sb = new StringBuilder(PAGE_REGISTE_BASE_SQL);
        StringBuilder sbCount = new StringBuilder(PAGE_REGISTE_COUNT_SQL);
        List<Object> params = new ArrayList<>();
        sb.append("and activity_id = ? ");
        sbCount.append("and activity_id = ? ");
        params.add(req.getQuery().getId());

        sb.append(" order by register_time desc");
        int total = jdbcTemplate.queryForInt(sbCount.toString(), params.toArray());
        List<ActivityRegisterRespDTO> result;
        String dbType = jdbcTemplate.getDbType();
        if (total > 0) {
            //根据数据库类型设置limit
            SqlUtil.appendLimit(dbType, params, sb, req);
            result = jdbcTemplate.queryForBeans(ActivityRegisterRespDTO.class, sb.toString(), params.toArray());
        } else {
            result = new ArrayList<>(0);
        }
        PageRsp<ActivityRegisterRespDTO> page = new PageRsp<>();
        page.setPageNo(req.getPageNo());
        page.setPageSize(req.getPageSize());
        page.setTotalNum(total);
        page.setResult(result);
        page.next();
        return page;
    }

    public ActivtiyJoinDetailRespDTO userApplyDetail(Integer id) {
        StringBuilder sb = new StringBuilder(JOIN_DETAIL_SQL);
        return jdbcTemplate.queryForBean(ActivtiyJoinDetailRespDTO.class, sb.toString(), id);
    }
}
