package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.*;
import com.crunii.micro.service.qzh.api.domain.dto.activity.DefaultTemplateDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activity.DefaultTemplateParticipationDTO;
import com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel.QagPageRsp;
import com.crunii.micro.service.qzh.dto.*;

import java.util.List;


/**
 * @author wangchen create 2023/11/13 16:53
 */
public interface DefaultTemplateService {

    Result<QagPageRsp<DefaultTemplateVO>> queryList(PageReq<DefaultTemplateDTO> req);

    Result<String> doAudit(DefaultTemplateDTO req);

    Result<String> doPublicity(DefaultTemplateDTO req);

    /**
     *   提供单个用户的信息和反馈模板信息
     * @param activityId 活动id
     * @param userId 用户id
     * @return
     */
    Result<DefaultTemplateParticipationVO> queryViewDetails(Long activityId,Long userId);


    /**
     *  查询一个活动下所有的 已报名人员 已经所有的已公示反馈模板
     * @param activityId 活动id
     * @return
     */
    Result<AppActivityDetailsVO> queryViewDetails(Long activityId);

    /**
     *  查询一个活动下当前人员的参与详情和反馈模板
     * @return
     */
    Result<AppActivityEvaluateVO> queryAppViewDetails(AppActivityEvaluateDTO dto);

    /**
     *  查询活动id下当前用户的的评价详情
     * @param activityId 活动id
     * @return
     */
    List<ParticipationDetailsVO> queryActivityEvaluate(List<Long> activityId);

    /**
     *  删除默认模板以及图片表根据活动id
     * @param activityId
     */
    void deleteDefaultTemplate(Long activityId);

    Result<ParticipationDetailsVO> queryUserEvaluate(AppActivityEvaluateDTO dto);
}
