package com.crunii.micro.service.qzh.service;

import cn.hutool.json.JSONObject;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicForm;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormReqDTO;
import com.crunii.micro.service.qzh.dto.dynamicform.DynamicFormTableReqDTO;

import java.util.Map;

/**
 * @ClassName DynamicFormService
 * @Description TODO
 * @Author Jiang
 * @Date 2023/10/13
 * @Version 1.0
 */
public interface DynamicFormService {



    /**
     * @MethodName saveDynamicFormJson
     * @Description 动态表单模板分页查询
     * @param: dynamicFormJsons
     * @return: com.crunii.micro.common.dto.Result
     * @Author Jiang
     * @Date 2023/10/13 17:14
     */
    PageRsp<YcqQzhDynamicForm> pageDynamicForm(PageReq<DynamicFormReqDTO> req);


    /**
     * @MethodName saveDynamicFormJson
     * @Description
     * @param: dynamicFormReq
     * @Author Jiang
     * @Date 2023/10/16 15:46
     */
    void saveDynamicFormJson(Worker worker, DynamicFormReqDTO dynamicFormReq);


    /**
     * @MethodName addTableData
     * @Description 通过表名新增动态表对应字段数据-（保存用户表单填的数据）
     * @param: tableData
     * @Author Jiang
     * @Date 2023/10/13 15:17
     */
    void saveTableData(Worker worker, DynamicFormRecordReqDTO dynamicFormRecord);


    /**
     * @MethodName findById
     * @Description 通过业务id查询该业务下的动态表单的json数据
     * @param: id
     * @return: com.crunii.micro.common.dto.Result<?>
     * @Author Jiang
     * @Date 2023/10/13 16:18
     */
    Result<YcqQzhDynamicForm> findByBusinessId(Long id);

    /**
     * @MethodName findTableDataByBusinessIdAndTableName
     * @Description 通过业务id和表名查询动态表单提交的表单数据的值
     * @param: dynamicFormTableReq
     * @return: java.util.Map<java.lang.String, java.lang.Object>
     * @Author Jiang
     * @Date 2023/10/13 16:53
     */
    Result<Map<String, Object>> findTableDataByBusinessIdAndTableName(DynamicFormTableReqDTO dynamicFormTableReq);

}
