package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.dto.*;
import java.util.List;

/**
 * @Author thw
 * @date 2023/9/5
 * @description
 */
public interface IndicatorAppraiseService {

  /**
   * @param indicatorAppraiseReqDTO
   * @Description: 指标体系评价列表
   * @Author: thw
   * @Date: 2023/9/7 10:19
   * @Params:
   * @return: com.crunii.micro.common.dto.Result<java.util.List < com.crunii.micro.service.qzh.api.domain.dto.IndicatorAppraiseRespDTO>>
   */
  public Result<List<IndicatorAppraiseRespDTO>> queryAppraiseList(Worker worker,
      IndicatorAppraiseReqDTO indicatorAppraiseReqDTO);

  /**
   * @param worker
   * @param req
   * @Description: 指标体系评价-评定分页
   * @Author: thw
   * @Date: 2023/9/13 16:48
   * @Params:
   * @return: com.crunii.micro.common.dto.Result<com.crunii.micro.common.dto.PageRsp < com.crunii.micro.service.qzh.api.domain.dto.IndicatorAppraiseDecideRespDTO>>
   **/
   PageRsp<IndicatorAppraiseDecideRespDTO> appraiseMienPage(Worker worker,
      PageReq<IndicatorAppraiseDecideReqDTO> req);


  /**
   * @Description: 指标体系评价-风采评定
   * @Author: thw
   * @Date: 2023/9/18 17:12
   * @Params:
   * @param worker
   * @param dto
   * @return: com.crunii.micro.common.dto.Result<java.lang.String>
   **/
  public Result<String> doMienEvaluate(Worker worker, MienAppraiseReqDTO dto);


  /**
   * @Description: 查询指标体系版本下拉
   * @Author: thw
   * @Date: 2023/9/7 10:18
   * @Params:
   * @return: com.crunii.micro.common.dto.Result<java.util.List < com.crunii.micro.service.qzh.api.domain.dto.IndexSystemSimpleRespDTO>>
   */
  public Result<List<IndexSystemSimpleRespDTO>> findIndexSystemVersion(Worker worker);

  /**
   * @Description: 查询符合条件的维权岗信息
   * @Author: thw
   * @Date: 2023/9/8 17:53
   * @Params:
   * @return: com.crunii.micro.common.dto.Result<java.util.List < com.crunii.micro.service.qzh.api.domain.dto.CoincidenceOrgrationRespDTO>>
   **/
  public Result<List<CoincidenceOrganizationRespDTO>> findPostInformation(Worker worker, String unitName);


}
