package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.qzh.api.domain.dto.activity.LocationDataDTO;

/**
 * @author lmlksy
 * @date 2023/12/2 14:25
 */
public interface LocationDataValidator {
    default Result validateLocationDataDTO(LocationDataDTO locationDataDTO) {
        if (locationDataDTO.getActivityId() == null) {
          throw  new BusinessException("活动id不能为空！");
        }
        if (locationDataDTO.getClockTag() == null) {
            throw  new BusinessException("签到标识不能为空！");
        }
        return Result.ofSuccess();
    }
}
