package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicForm;
import com.crunii.micro.service.qzh.api.domain.dto.activity.CreateActivityReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.activityPublish.*;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordSubmitDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormVO;
import com.crunii.micro.service.qzh.dto.BelongBusinessVo;

import java.util.List;

public interface PublishActivityService {


    Result<Long> createActivityAdd(ActivityAddReqDTO dto);


    Result<PageRsp<ActivityQueryRespDTO>> activityQuery(PageReq<ActivityQueryReqDTO> dto);

    Result<ActivityDetailRespDTO> activityDetail(Long id);

    Result updateActivityState(ActivityStateEditReqDTO dto);

    Result doActivityEdit(ActivityEditReqDTO dto);

    Result<Boolean> doActivityDelete(Long id);



    Result<PageRsp<ActivityRegisterRespDTO>> activityApplyDetail(PageReq<ActivityApplyDetailReqDTO> dto,Boolean isApp);

    Boolean updatePublishStatus(ActivityPublishStatusEditDTO dto);

    PageRsp<ActivityBaseVO> queryActivityBaseInfo(PageReq<ActivityBaseDTO> req);

    Result<PageRsp<ActivityQueryAuditRespDTO>> pageAuditActivity(PageReq<ActivityQueryAuditDTO> dto);

    Result<PageRsp<ActivityAppQueryRespDTO>> activityQueryForApp(PageReq<ActivityAppQueryReqDTO> dto);

    Result<PageRsp<ActivityAppQueryRespDTO>> activityQueryForAppQzh(PageReq<ActivityAppQueryReqDTO> dto);

    Result<AppActivityDetailRespDTO> doActivityDetailForApp(Long id);
    Result<AppActivityDetailRespDTO> doActivityDetailForAppWithoutToken(Long id);

    Result doActivityApply(Long id);

    Result<PageRsp<String>> appActivityApplyDetail(PageReq<ActivityApplyDetailReqDTO> dto,Boolean isApp);

    Result<ActivtiyJoinDetailRespDTO> doUserApplyDetail(Integer id);

    Result doActivityShutDown(ActivityStateReqDTO dto);

    Result doQZhJoinActivity(CreateActivityReqDTO dto);

    Result doActivityJoinDetailQuery(ActivityJoinDetailQueryReqDTO dto);

    Result doShowListQuery(PageReq<ShowListQueryReqDTO> dto);

    Result<BusinessSelectRespDTO> businessSelect();

    Result<YcqQzhDynamicForm> doOtherJoinActivityForm(Long id);

    Result doOtherJoinActivity(DynamicFormRecordReqDTO dto);

    Result<DynamicFormVO> getApplyFormByActivityId(Long id);

    Result<Boolean> submitForm(DynamicFormRecordSubmitDTO dto);

    Result<String> doCancelApply(Long id);

    Result<ActivityJoinDetailRespVO> getJoinDetail(ActivityJoinDetailQueryReqDTO dto);

    List<YcqActivityTypeVO> findActivityTypeList(List<String> codeList);

    Result<List<ActivityQrCodeDTO>> createQrCode(ActivitySignInReqVo req);

    Result<ActivityApplyRecordVO> getApplyInfo(ActivityJoinDetailQueryReqDTO dto);

    void updateBrowserCount(Long id);

    Result<Long> copyActivity(Long id);

    /**
     *  根据活动id与用户id查询原因
     * @param activityId 活动id
     * @return
     */
    Result<YcqActivityCauseVO> doCause(Long activityId);

    Result<PageRsp<ActivityAppQueryRespDTO>> activityQueryForAppWithoutToken(PageReq<ActivityAppQueryReqDTO> dto);

    /**
     * 查询所属业务
     */
    Result<List<BelongBusinessVo>> getBelongBUsiness();

    PageRsp<YcqActivityEvaluateVO> queryActivityEvaluateList(PageReq<ActivityAppQueryReqDTO> dto);
}
