package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqDynamicRecord;
import com.crunii.micro.domain.entity.main.YcqQzhQagApply;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordSubmitDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormsReqDTO;
import com.crunii.micro.service.qzh.dto.dynamicform.*;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface YcqDynamicFormService {


    Result<Boolean> doCreate(DynamicFormTableReqDTO req, Worker currWorker);

    Result<Boolean> doCreateActiveFrom(DynamicFormTableReqDTO req,Worker currWorker);

    void deleteByIdAndType(Long id, int type);

    Result<Boolean> delete(Long id);

    Result<DynamicFormTableReqDTO> getDetailsById(Long id);

    Result<PageRsp<DynamicFormValeRspDTO>> getPage(PageReq<DynamicFormReqDTO> req);

    Result<List<DynamicFormColumnDTO>> getHeads(Long id,Integer type);

    Result<Boolean> export(DynamicFormExportDTO req, HttpServletResponse response);

    Result<Boolean> applicationExport(DynamicFormExportDTO req, HttpServletResponse response);

    Result<Boolean> applicationDetailsExport(DynamicFormExportDTO req, HttpServletResponse response);

    Result<Boolean> createFormVale(DynamicFormValeReqDTO req);

    Result<Integer> createActiveFormVale(DynamicFormRecordSubmitDTO req);

    Result<Boolean> updateForm(DynamicFormTableReqDTO req);
    Result<Boolean> updateActiveForm(DynamicFormTableReqDTO req);

    Long saveContainUserInfo(DynamicFormsReqDTO dynamicForm, int loginId);

    String getDetailsByActiveId(Long id,Integer type);

    String getDetailsValueByActiveId(Long id);

    List<Map<String,Object>> getRecordByUsrAndActiveIds(Integer id, List<Long> ids,Integer type);

    Result<Boolean> createNode(YcqActiveFlowNodeReqDTO req);

    Result<Boolean> updateNode(YcqActiveFlowNodeReqDTO req);

    Result<List<YcqActiveFlowNodeRspDTO>> getNodeList(YcqActiveFlowNodeReqDTO req);

    Result<PageRsp<DynamicFormValeRspDTO>> getApplicationPage(PageReq<DynamicFormReqDTO> req);

    String getFeedbackByActiveId(Long id,Long loginId,Integer type);
}
