package com.crunii.micro.service.qzh.service;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.ObjectUtil;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqCxlTz;
import com.crunii.micro.domain.entity.main.YcqCxlTzLog;
import com.crunii.micro.domain.repo.main.YcqCxlTzLogRepo;
import com.crunii.micro.domain.repo.main.YcqCxlTzRepo;
import com.crunii.micro.service.qzh.dto.YcqCxlTzReqDto;
import com.crunii.micro.service.qzh.utils.BeanCopyUtil;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @BelongsProject: microservice
 * @BelongsPackage: com.crunii.micro.service.qzh.service
 * @Author: limy
 * @CreateTime: 2023-09-28  11:27
 * @Description: 青年大学习参学率统计台账数据保存
 * @Version: 1.0
 */
@Service
public class YcqQdCxlSaveService {
    @Resource
    private YcqCxlTzRepo ycqCxlTzRepo;
    @Resource
    private YcqCxlTzLogRepo ycqCxlTzLogRepo;
    @Resource
    private BeanCopyUtil beanCopyUtil;

    @Async
    public void createData(List<YcqCxlTzReqDto> importContents, String fileName, Worker worker){
        //保存数据
        List<YcqCxlTz> ycqCxlTzs = beanCopyUtil.copyList(importContents, YcqCxlTz.class);
        List<YcqCxlTz> cxlTzs = ycqCxlTzRepo.saveAllAndFlush(ycqCxlTzs);
        //日志表存入数据
        YcqCxlTzLog ycqCxlTzLog = new YcqCxlTzLog();
        Snowflake snowflake = new Snowflake();
        ycqCxlTzLog.setId(String.valueOf(snowflake.nextId()));
        ycqCxlTzLog.setFileName(fileName);
        ycqCxlTzLog.setImportId(worker.getLoginId());
        ycqCxlTzLog.setImportTime(LocalDateTime.now());
        ycqCxlTzLog.setTotalNum(ObjectUtil.isEmpty(cxlTzs)?0:cxlTzs.size());
        ycqCxlTzLogRepo.save(ycqCxlTzLog);
    }
}
