package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.activity.*;

import java.util.List;

/**
 * @Description: 风采Service
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2023/9/18
 */
public interface YcqQzhActivityService {

    /**
     * 创建风采
     *
     * @param dto
     * @return
     */
    Result<Void> createAnnouncement(CreateActivityReqDTO dto);

    /**
     * 分页查询风采
     *
     * @param dto
     * @return
     */
    Result<PageRsp<PageActivityRspDTO>> pageYcqQzhActivity(PageReq<PageActivityReqDTO> dto);

    /**
     * 修改风采
     *
     * @param dto
     * @return
     */
    Result updateYcqQzhActivity(CreateActivityReqDTO dto);

    /**
     * 获取风采详情
     *
     * @param dto
     * @return
     */
    Result<ActivityDetailsRspDTO> doFindDetails(OperationActivityReqDTO dto);

    /**
     * 删除风采
     *
     * @param dto
     * @return
     */
    Result deleteYcqQzhActivity(OperationActivityReqDTO dto);

    /**
     * 转发风采
     *
     * @param dto
     * @return
     */
    Result doForwardYcqQzhActivity(CreateActivityReqDTO dto);

    /**
     * 记录浏览量
     *
     * @param dto
     * @return
     */
    Result doBrowseActivity(OperationActivityReqDTO dto);

    /**
     * 查询所属对象
     *
     * @param type
     * @return
     */
    Result<List<ParentDTO>> findParent(Integer type);

    /**
     * 查询关联指标
     * @author leixb
     * @since 2023-11-21 16:17
     * @return List<ActivityTargetDTO>
     */
    List<ActivityTargetDTO> findTarget();

    Result<PageRsp<PageActivityRspDTO>> pageYcqQzhActivityTourists(PageReq<PageActivityReqDTO> dto);

}
