package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.announcement.*;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/9/11 18:45
 */
@Repository
public interface YcqQzhAnnouncementService {

    /**
     * 创建公告/公示
     * @param dto
     * @return
     */
    Result createAnnouncement(CreateAnnouncementReqDTO dto);

    /**
     * 分页查询公告公示
     * @param dto
     * @return
     */
    Result<PageRsp<PageAnnouncementRspDTO>> pageAnnouncement(PageReq<PageAnnouncementReqDTO> dto);

    /**
     * 查看公告公示详情
     * @param dto
     * @return
     */
    Result<AnnouncementDetailsRspDTO> findAnnouncementDetailsById(OperationAnnouncementReqDTO dto);

    /**
     * 编辑公告公示
     * @param dto
     * @return
     */
    Result updateAnnouncement(CreateAnnouncementReqDTO dto);

    /**
     * 修改公告公示状态
     * @param dto
     * @return
     */
    Result doDownAnnouncement(OperationAnnouncementReqDTO dto);

    /**
     * 删除公告公示
     * @param dto
     * @return
     */
    Result deleteAnnouncement(OperationAnnouncementReqDTO dto);

    /**
     * 置顶/取消置顶公告公示
     * @param dto
     * @return
     */
    Result doTopAnnouncement(OperationAnnouncementReqDTO dto);

    /**
     * 记录公告浏览量/点赞
     * @param dto
     * @return
     */
//    Result doBrowseAnnouncement(OperationAnnouncementReqDTO dto);

    /**
     * 取消点赞
     * @param dto
     * @return
     */
//    Result doBackBrowseAnnouncement(OperationAnnouncementReqDTO dto);

    /**
     * 获取最新公告公示
     * @return
     */
    Result<List<PageAnnouncementRspDTO>> getAnnouncementNewest();

    Result<PageRsp<PageAnnouncementRspDTO>> pageAnnouncementTourists(PageReq<PageAnnouncementReqDTO> dto);

    /**
     * 查找申报关联工单
     * @param dto
     * @return
     */
//    Result<List<WorkerOrderRspDTO>> findWorkerOrder(WorkerOrderReqDTO dto);
}
