package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.commandDo.*;

import java.util.List;

/**
 * @description: 青字号/青字号管理/突击队
 * @author: ly
 **/
public interface YcqQzhCommandoService {


    /**
     * @description: 1:  申请人-创建突击队 （青字号申请页面）
     * @date: 2023/9/15 17:29
     */
     
    public Result<String> save( SaveCommandoReqDTO saveCommandoReqDTO) ;

    /**
     * @description:突击队分页申请人查询  2  查询（青字号页面  -查询 登陆人所申请的数据）
     * @date: 2023/9/15 17:30
     */
     
    public Result<PageRsp<QueryCommandoRespDTO>> queryCommandoByApplicant(  PageReq<QueryCommandoReqDTO> queryCommandoReqDTO) ;


    /**
     * @description:突击队分页审批人查询 （突击队管理页面）
     * @date: 2023/9/15 16:33
     */

    public Result<PageRsp<QueryCommandoRespDTO>> queryCommandoByExamine(  PageReq<QueryCommandoReqDTO> queryCommandoReqDTO);


    /**
     * @description:突击队分页审批人查询 给其他页面调用  返回LIst （突击队管理页面）
     * @date: 2023/9/15 16:33
     */
    public List<QueryCommandoRespDTO> queryCommandoByExamineList(QueryCommandoReqDTO queryCommandoReqDTO) ;



        /**
		 * @description: 3：突击队修改队长   修改（青字号页面  -修改 登陆人修改队长数据）
		 * @date: 2023/9/15 17:33
		 */
     
    public Result<String> updateCommandoLeader(  ChangeLeaderCommandoReqDTO dto) ;


    /**
     * @description: 突击队修改   修改（青字号页面  -修改 登陆人修改申请数据）
     * @date: 2023/9/15 17:32
     */
     
    public Result<String> updateCommando(  CommandoUpdateReqDTO commandoUpdateReqDTO);

    /**
     * @description: 4 突击队删除   删除（青字号页面  -删除 登陆人删除申请的数据）
     * @date: 2023/9/15 17:31
     */
     
    public Result<String> deleteCommando(String id);

    /**
     * @description: 突击队详情查询   （查询单条数据详细的信息）
     * @date: 2023/9/15 17:31
     */
     
    public Result<CommandoDetailsRespDTO> queryById(String id);



    /**
     * @description:突击队审核   （突击队管理页面）
     * @date: 2023/9/15 17:30
     */
     
    public Result<String> saveExamineCommando(  ExamineCommandoReqDTO dto) ;
    /**
     * @description: 突击队排行榜
     * @date: 2023/9/15 17:32
     */
     
    public Result<PageRsp<CommandoRankListDetilRespDTO>> updateRankingCommandoList(  PageReq<CommandoRankListReqDTO> pageReq) ;

    /**
     * @description: t 突击队申请人 草稿查询
     * @param: [token, dto]
     * @return: com.crunii.micro.common.dto.Result
     * @author 13760
     * @date: 2023/9/18 14:54
     */
    public Result<CommandoDetailsRespDTO> queryCommandoDraft();



    /**
     * @description: 突击队申请人变更记录查询
     * @param: [token, dto]
     * @return: com.crunii.micro.common.dto.Result
     * @author 13760
     * @date: 2023/9/18 14:54
     */
    public Result<PageRsp<QueryCommandoChangeRespDTO>> queryApplicantChange(PageReq<QueryCommandoReqDTO>  dto);

    /**
     * @description: 突击队审批人变更记录查询
     * @param: [token, dto]
     * @return: com.crunii.micro.common.dto.Result
     * @author 13760
     * @date: 2023/9/18 14:54
     */
    public Result<PageRsp<QueryCommandoChangeRespDTO>> queryApplicantExamine(PageReq<QueryCommandoReqDTO> dto);



    /**
     * @description: 突击队审批人变更记录查询 其他接口查询用
     * @param: [token, dto]
     * @return: com.crunii.micro.common.dto.Result
     * @author 13760
     * @date: 2023/9/18 14:54
     */
    public List<QueryCommandoChangeRespDTO> queryApplicantExamineList(QueryCommandoReqDTO dto);



    /**
     * @description: 查询变更队长的详细信息（前后）
     * @param: [dto]
     * @return: com.crunii.micro.common.dto.Result<com.crunii.micro.service.qzh.api.domain.dto.commandDo.ChangeLeaderCommandoResqDTO>
     * @author 13760
     * @date: 2023/9/20 15:05
     */
    public Result<ChangeLeaderCommandoRespDTO> queryChangeData(QueryCommandoReqDTO dto);


    /**
     * @description: 突击队流程查询
     * @param: [token, dto]
     * @return: com.crunii.micro.common.dto.Result
     * @author 13760
     * @date: 2023/9/18 14:54
     */
    public Result<List<CommandoFlowRespDTO>> queryFlow(QueryCommandoReqDTO dto);


    /**
     * @description: 突击队申报页面变更记录草稿终止任务
     * @date: 2023/9/22 14:16
     */
    public Result saveEndChangeTask(ExamineCommandoReqDTO dto);

    /**
     * @description:  突击队统计待当前用户处理的数据条数
     * @param: [type]
     * @return: com.crunii.micro.common.dto.Result
     * @author 13760
     * @date: 2023/9/23 15:47
     */
    public Result<CommandoPendingNumRespDTO> pendingNum(QueryCommandoReqDTO dto);
}
