package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.document.CreateDocumentReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.document.*;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description: 政策Service
 * @Param:
 * @return:
 * @Author: xiang xin
 * @Date: 2023/9/19
 */
@Repository
public interface YcqQzhDocumentService {
    /**
     * 创建政策
     *
     * @param dto
     * @return
     */
    Result createDocument(CreateDocumentReqDTO dto);

    /**
     * 分页查询政策
     *
     * @param dto
     * @return
     */
    Result<PageRsp<PageDocumentRspDTO>> pageDocument(PageReq<PageDocumentReqDTO> dto);

    /**
     * 修改政策
     *
     * @param dto
     * @return
     */
    Result<String> updateDocument(CreateDocumentReqDTO dto);

    /**
     * 查看政策详情
     *
     * @param dto
     * @return
     */
    Result<DocumentDetailsRspDTO> findDocumentDetailsById(OperationDocumentReqDTO dto);

    /**
     * 修改政策状态
     *
     * @param dto
     * @return
     */
    Result doDownDocument(OperationDocumentReqDTO dto);

    /**
     * 删除政策
     *
     * @param dto
     * @return
     */
    Result deleteDocument(OperationDocumentReqDTO dto);

    /**
     * 置顶/取消置顶 政策
     *
     * @param dto
     * @return
     */
    Result doTopDocument(OperationDocumentReqDTO dto);

    /**
     * 文明号申报查询可关联政策
     *
     * @param dto
     * @return
     */
    Result<List<DocumentListRspDTO>> doFindDocumentByApplyType(OperationDocumentReqDTO dto);

    Result<PageRsp<PageDocumentRspDTO>> pageDocumentTourists(PageReq<PageDocumentReqDTO> dto);


    /**
     * 记录浏览记录
     *
     * @param dto
     * @return
     */
//    Result<String> doBrowseDocument(OperationDocumentReqDTO dto);

    /**
     * 取消点赞
     *
     * @param req
     * @return
     */
//    Result<String> doBackBrowseDocument(OperationDocumentReqDTO req);
}
