package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicForm;
import com.crunii.micro.domain.entity.main.dynamicform.YcqQzhDynamicFormRecord;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormRecordReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicFormReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.form.DynamicRecordDetailReqDTO;

import java.util.List;

/**
 * @ClassName YcqQzhDynamicFormService
 * @Description 动态表单模板
 * @Author Jiang
 * @Date 2023/9/27
 * @Version 1.0
 */
public interface YcqQzhDynamicFormService {

    /**
     * @MethodName createIndicatorSystem
     * @Description 新增活动动态表单模板
     * @param: dto
     * @param: worker
     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
     * @Author Jiang
     * @Date 2023/9/27 19:31
     */
    Result createDynamicForm(Worker worker, DynamicFormReqDTO dynamicFormReq);



    /**
     * @MethodName createIndicatorSystem
     * @Description PC 通过活动Id和用户获取活动表单数据详情
     * @param: dto
     * @param: worker
     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
     * @Author Jiang
     * @Date 2023/9/27 19:31
     */
    Result<YcqQzhDynamicFormRecord> findDynamicFormByActivityIdAndUserId(Worker worker, DynamicRecordDetailReqDTO dto);


    /**
     * @MethodName findDynamicFormByActivityId
     * @Description APP端和PC可以公用 通过活动Id获取活动表单数据
     * @param: worker
     * @param: activityId
     * @return: com.crunii.micro.common.dto.Result<java.util.List < com.crunii.micro.service.qzh.api.domain.dto.HomePageTopRespDTO>>
     * @Author Jiang
     * @Date 2023/9/27 21:59
     */
    Result<YcqQzhDynamicForm> findDynamicFormByActivityId(Worker worker, Long activityId);


    /**
     * @MethodName findDynamicFormByActivityId
     * @Description APP端 参加活动提交表单数据
     * @param: worker
     * @param: activityId
     * @return: com.crunii.micro.common.dto.Result<java.util.List < com.crunii.micro.service.qzh.api.domain.dto.HomePageTopRespDTO>>
     * @Author Jiang
     * @Date 2023/9/27 21:59
     */
    Result createDynamicFormRecord(Worker worker, DynamicFormRecordReqDTO dynamicFormRecord);

}
