package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.HomePageTopReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.HomePageTopRespDTO;
import com.crunii.micro.service.qzh.api.domain.dto.HomePageUserRelatedRespDTO;

import java.util.List;

/**
 * 青字号首页相关
 */
public interface YcqQzhHomePageService {


    /**
     * @MethodName findPersonalActivity
     * @Description 个人信息及活跃度相关信息（累计登录天数、风采发布量）
     * @param: worker
     * @return: com.crunii.micro.common.dto.Result<com.crunii.micro.service.qzh.api.domain.dto.HomePageUserRelatedRespDTO>
     * @Author Jiang
     * @Date 2023/9/23 10:10
     */
    Result<HomePageUserRelatedRespDTO> findPersonalActivity(Worker worker);

    /**
     * @MethodName findPolicyAndNoticeAndElegantDemeanourTop
     * @Description 首页 政策指引、公告公示、风采展示最新10条
     * @param: worker
     * @return: java.lang.Object
     * @Author Jiang
     * @Date 2023/9/23 10:10
     */
    Result<List<HomePageTopRespDTO>> findPolicyAndNoticeAndElegantDemeanourTop(Worker worker, HomePageTopReqDTO homePageTopReq);


}
