package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqQzhRightsProtection;
import com.crunii.micro.service.qzh.api.domain.dto.document.DocumentListRspDTO;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
import com.crunii.micro.service.qzh.dto.AddCreateDTO;

import java.util.List;

/**
 * @author lyx
 * @date 2023/11/15
 */
public interface YcqQzhProtectionService {
	Result<PageRsp<RightsProtectionRecordPageRespDTO>> recordPage(PageReq<Object> req);

	Result<Boolean> saveCreate(RightsProtectionCreateReqDTO req);

	Result<Object> doOperate(RightsProtectionOperateReqDTO req);

	Result<Boolean> doPublicity(RightsProtectionPublicityReqDTO req);

	Result<Boolean> addCreate(AddCreateDTO dto);

	Result<List<DocumentListRspDTO>> queryPolicy(Integer type);

	Result<YcqQzhRightsProtection> saveDraft(RightsProtectionCreateReqDTO req);

	Result<RightsProtectionCreateQueryRespDTO> getCreate(Long req);

	Result<Boolean> delete(Long id);

	Result<Boolean> update(RightsProtectionUpdateReqDTO req);

	Result<PageRsp<RightsProtectionRecordPageRespDTO>> updatePage(PageReq<Object> req);

	Result<Object> doBack(RightsProtectionOperateReqDTO req);

	Result<RightsProtectionAnnexDTO> getAnnex(Long id);

	Result<List<RightsProtectionFlowDTO>> getFlows(Long id);

	Result<PageRsp<RightsProtectionInventoryPageRespDTO>> inventoryPage(PageReq<RightsProtectionInventoryPageReqDTO> req);
}
