package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.cavalryTrumpet.YcqYnCaptainChangeFlow;
import com.crunii.micro.service.qzh.api.domain.dto.cavalryTrumpet.*;
import com.crunii.micro.web.mvc.CurrWorker;
import org.springframework.data.repository.query.Param;
import springfox.documentation.annotations.ApiIgnore;

import java.util.List;

/**
 * @author: LG
 * @date: 2023/11/14 16:06
 */
public interface YcqYnDeclarationRecordService {


    /**
     * 查询青年文明号申报-变更记录
     * @param worker
     * @param dto
     * @return
     */
    Result<PageRsp<QueryDeclarationRecordChangeVO>> queryDeclarationRecordChangeByWorker(Worker worker, PageReq<QueryDeclarationRecordChangeDTO> dto);

    /**
     * 查询青年文明号申报-变更记录
     * @param worker
     * @param dto
     * @return
     */
    Result<PageRsp<QueryDeclarationRecordChangeVO>> queryDeclarationRecordChange(Worker worker, PageReq<CivilizationReportPageDto> dto);

    /**
     * 变更号长
     * @param worker
     * @param dto
     * @return
     */
    Result<String> saveChangeCaptain(Worker worker,ChangeCaptainDTO dto);

    /**
     * 查询变更前后号长
     * @param changeId
     * @return
     */
    Result<QueryCaptainInfoVO> queryCaptainInfo(Long changeId );

    /**
     * 变更号长-审核通过
     * @param worker
     * @param dto
     * @return
     */
    Result<String> updateAuditCaptainPass(Worker worker,AuditCaptainDTO dto );

    /**
     * 变更号长-审核不通过
     * @param worker
     * @param dto
     * @return
     */
    Result<String> updateAuditCaptainNotPass(Worker worker,AuditCaptainDTO dto );

    /**
     * 曾被认定类别管理-新增
     * @param worker
     * @param dto
     * @return
     */
    String addConfig(Worker worker,AddConfigDTO dto);

    /**
     * 曾被认定类别管理-置无效 | 有效
     * @param worker 当前用户
     * @param configEffectiveDto 参数
     * @return str
     */
    String deleteConfig(Worker worker ,ConfigEffectiveDto configEffectiveDto );

    /**
     * 曾被认定类别管理-编辑
     * @param worker 当前用户
     * @param dto 参数
     * @return str
     */
    String updateConfig(Worker worker,UpdateConfigDTO dto);

    /**
     * 曾被认定类别管理-查询
     * @param dto 分页参数
     * @return data
     */
    PageRsp<QueryConfigVO> queryConfig(PageReq<QueryConfigDTO> dto);

    /**
     * 查询青年文明号申报-变更记录条数
     * @param worker
     * @param queryType
     * @return
     */
    Result<QueryNumVO> queryDeclarationRecordChangeNumber(Worker worker, Integer queryType);

    /**
     * 变更号长流程查询
     * @param worker
     * @param declarationId
     * @return
     */
    Result<List<QueryDeclarationRecordChangeFlowVO>> queryDeclarationRecordChangeFlow(Worker worker, Long declarationId );
}
