package com.crunii.micro.service.qzh.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.qzh.api.domain.dto.youthSafetyModel.*;
import com.itextpdf.text.DocumentException;
import org.springframework.http.ResponseEntity;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @Author: zwx
 * @CreateTime: 2023-11-13  16:19:43
 * @Description: 青年安全生产示范岗推荐申报
 */
public interface YouthSafetyModelRecommendService {
    Result createRecommend(YouthSafetyModelRecommendReqDTO dto);

    Result recommendDtail(Long id);

    Result doRecommendFillIn(Long id);

    Result doChangeLeader(YouthSafetyChangeLeaderReqDTO dto);

    Result applyChangeListPage(PageReq<LeaderChangeListPageReqDTO> req);

    Result leaderChangeListPage(PageReq<LeaderChangeListPageReqDTO> req);

    ResponseEntity<byte[]> applyPdfExport(String id, HttpServletRequest request, HttpServletResponse response);

    ResponseEntity<byte[]> recommendPdfExport(String id, HttpServletRequest request, HttpServletResponse response);

    Result doLeaderChangeExamine(ExamineChangeLeaderDTO dto);

    Result doLeaderChangeDelete(Long id);

    Result doLeaderChangeEdit(LeaderChangeEditDTO dto);

    Result flowHistory(String id);
}
