package com.crunii.micro.service.qzh.service.impl;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqActivityPeopleAudit;
import com.crunii.micro.domain.entity.main.YcqActivitySign;
import com.crunii.micro.domain.entity.main.YcqPublishActivity;
import com.crunii.micro.domain.repo.main.PublishActivityRepo;
import com.crunii.micro.domain.repo.main.YcqActivityPeopleAuditRepo;
import com.crunii.micro.domain.repo.main.YcqActivitySignRepo;
import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.service.CheckInCommonLogic;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * 定位签到
 * @author lmlksy
 * @date 2023/12/4 11:12
 */
@Service
public class CheckInCommonLogicImpl implements CheckInCommonLogic {

    @Autowired
    YcqActivityPeopleAuditRepo ycqActivityPeopleAuditRepo;

    @Autowired
    YcqActivitySignRepo ycqActivitySignRepo;

    @Override
    public Result<String> checkIn(YcqActivityPeopleAudit activityPeopleAudit,Boolean clockTag) {
        //打卡标识 1签到 0签退
        YcqActivitySign sign = ycqActivitySignRepo.findByActivityId(activityPeopleAudit.getActivityId());

        if (clockTag) {
            //修改用户打卡状态
            activityPeopleAudit.setCheckInResult(1);
            activityPeopleAudit.setCheckInTime(LocalDateTime.now());
            //设置流程状态为立即签退
            activityPeopleAudit.setProcessState(ActivityButtonStateEnum.SIGN_OUT_NOW.getCode());
            //如果扫描扫了2次了。。

            if (sign!=null&&sign.getSignInWay()!=null&&sign.getSignInWay()==0){

                if (!(activityPeopleAudit.getCountTrue()==1&&activityPeopleAudit.getCountFalse()==1)){
                    activityPeopleAudit.setCheckInResult(0);
                    activityPeopleAudit.setCheckInTime(null);
                    ycqActivityPeopleAuditRepo.saveAndFlush(activityPeopleAudit);
                    return Result.ofSuccessMsg("还需要再次定位签到！");
                }
            }
            ycqActivityPeopleAuditRepo.saveAndFlush(activityPeopleAudit);

            return Result.ofSuccessMsg("签到成功！");

        }else {
            //签退
            activityPeopleAudit.setCheckOutResult(1);
            activityPeopleAudit.setCheckOutTime(LocalDateTime.now());
            //设置流程状态为内容填写
            activityPeopleAudit.setProcessState(ActivityButtonStateEnum.EDIT.getCode());
            //定位加二维码

            if (sign!=null&&sign.getSignInWay()!=null&&sign.getSignOutWay()==0){

                if (!(activityPeopleAudit.getCountTrue()==2&&activityPeopleAudit.getCountFalse()==2)){
                    activityPeopleAudit.setCheckOutResult(0);
                    activityPeopleAudit.setCheckOutTime(null);
                    ycqActivityPeopleAuditRepo.saveAndFlush(activityPeopleAudit);
                    return Result.ofSuccessMsg("还需要再次定位签退！");
                }
            }
            ycqActivityPeopleAuditRepo.saveAndFlush(activityPeopleAudit);
            return Result.ofSuccessMsg("签退成功！");
        }
    }
}
