package com.crunii.micro.service.qzh.service.impl;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.YcqActivityPeopleAudit;
import com.crunii.micro.domain.repo.main.YcqActivityPeopleAuditRepo;
import com.crunii.micro.service.qzh.api.enums.ActivityButtonStateEnum;
import com.crunii.micro.service.qzh.service.CheckInCommonLogic;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * 定位签到
 * @author lmlksy
 * @date 2023/12/4 11:12
 */
@Service
public class CheckOutCommonLogicImpl implements CheckInCommonLogic {

    @Autowired
    YcqActivityPeopleAuditRepo ycqActivityPeopleAuditRepo;

    @Override
    public Result<String> checkIn(YcqActivityPeopleAudit activityPeopleAudit,Boolean clockTag) {
        //打卡标识 1签到 0签退
        if (clockTag) {
            //修改用户打卡状态
            activityPeopleAudit.setCheckInResult(0);
            activityPeopleAudit.setCheckInTime(LocalDateTime.now());
            ycqActivityPeopleAuditRepo.save(activityPeopleAudit);
            return Result.ofSuccessMsg("签到失败！");
        }else {
            //签退
            activityPeopleAudit.setCheckOutResult(0);
            activityPeopleAudit.setCheckOutTime(LocalDateTime.now());
            ycqActivityPeopleAuditRepo.save(activityPeopleAudit);
            return Result.ofSuccessMsg("签退失败！");
        }
    }
}
