//package com.crunii.micro.service.qzh.service.impl;
//
//import cn.hutool.core.lang.Snowflake;
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.core.util.CurrWorkerUtil;
//import com.crunii.micro.domain.dto.Worker;
//import com.crunii.micro.service.qzh.controller.CivilizationControllerApiDelegate;
//import com.crunii.micro.service.qzh.jdbc.CivilizationControllerApiDelegateDao;
//import lombok.RequiredArgsConstructor;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.lang3.RandomStringUtils;
//import org.springframework.beans.BeanUtils;
//import org.springframework.stereotype.Service;
//import org.springframework.transaction.annotation.Transactional;
//
//import javax.validation.Valid;
//import javax.validation.constraints.NotNull;
//import java.util.Date;
//import java.util.List;
//import java.util.Optional;
//
///**
// * @program: microservice
// * @description: 文明号Impl
// * @author: xiang xin
// * @create: 2023-09-07 10:00
// */
//@Service
//@Slf4j
//@RequiredArgsConstructor
//public class CivilizationControllerApiDelegateImpl implements CivilizationControllerApiDelegate {
//
//    private final CivilizationControllerApiDelegateDao apiDelegateDao;
//
//    private final YcqCivilizationAnnexRepo ycqCivilizationAnnexRepo;
//
//    private final YcqCivilizationListReqo ycqCivilizationListReqo;
//
//    private final YcqCivilizationSelfRepo selfRepo;
//
//    private final YcqCivilizationApplyReportRepo applyReportRepo;
//
//    private final YcqCivilizationStandbyReportRepo standbyReportRepo;
//
//    private final YcqCivilizationSelfRelationshipRepo relationshipRepo;
//
//    /**
//     * @Description: 文明号清单表分页查群
//     * @Param: [civilizationListReqDTO]
//     * @return: com.crunii.micro.common.dto.Result<com.crunii.micro.common.dto.PageRsp < com.crunii.micro.service.qzh.api.domain.dto.CivilizationListRespDTO>>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<PageRsp<CivilizationListRespDTO>> getCivilizationList(PageReq<CivilizationListReqDTO> civilizationListReqDTO) {
//        Result<PageRsp<CivilizationListRespDTO>> result = new Result<>();
//        result.setData(apiDelegateDao.getCivilizationList(civilizationListReqDTO));
//        result.setSuccess(Boolean.TRUE);
//        return result;
//    }
//
//    /**
//     * @Description: 文明号清单查询按钮
//     * @Param: [id]
//     * @return: com.crunii.micro.common.dto.Result<com.crunii.micro.service.qzh.api.domain.dto.CivilizationViewRespDTO>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<CivilizationViewRespDTO> getCivilizationView(String id) {
//        //查询报备
//        CivilizationStandbyReportRespDTO standbyReportRespDTO = apiDelegateDao.selectReport(id);
//
//
//        //附件暂时不知道前端需要如何展示
//
//
//        //查询自评（自评表中有分数list,要再封装一次）
//        CivilizationSelfRespDTO selfRespDTO = apiDelegateDao.selectSelf(id);
//        List<CivilizationFractionRespDTO> fractionRespDTOList = apiDelegateDao.selectFraction(id);
//        if (fractionRespDTOList.size() > 0) {
//            selfRespDTO.setSelfFraction(fractionRespDTOList);
//        }
//        //查询申报
//        CivilizationApplyReportRespDTO applyReportRespDTO = apiDelegateDao.selectCheck(id);
//        //清单
//        CivilizationListRespDTO listRespDTO = apiDelegateDao.getCivilizationView(id);
//        //组装数据
//        CivilizationViewRespDTO civilizationViewRespDTO = new CivilizationViewRespDTO();
//        civilizationViewRespDTO.setStandbyReport(standbyReportRespDTO);
//        civilizationViewRespDTO.setApplyReport(applyReportRespDTO);
//        civilizationViewRespDTO.selfOutside(selfRespDTO);
//        //关联政策（暂时还不知道政策在哪里取）
//        civilizationViewRespDTO.setPolicyId(listRespDTO.getPolicyId());
//        civilizationViewRespDTO.setId(id);
//        //当前状态
//        civilizationViewRespDTO.setState(listRespDTO.getState());
//        //该数据类型 创建/复核
//        civilizationViewRespDTO.setTypes(listRespDTO.getTypes());
//        Result<CivilizationViewRespDTO> result = new Result<>();
//        result.setData(civilizationViewRespDTO);
//        result.setSuccess(Boolean.TRUE);
//        return result;
//    }
//
//    /**
//     * @Description: 获取自评表静态参数
//     * @Param: []
//     * @return: com.crunii.micro.common.dto.Result<java.util.List < com.crunii.micro.service.qzh.api.domain.dto.CivilizationSelfListRespDTO>>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<List<CivilizationSelfListRespDTO>> getStatic() {
//        Result<List<CivilizationSelfListRespDTO>> result = new Result<>();
//        result.setData(apiDelegateDao.getStatic());
//        result.setSuccess(Boolean.TRUE);
//        return result;
//    }
//
//    /**
//     * @Description: 文明号创建申报
//     * @Param: [civilizationSaveReqDTO]
//     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    @Transactional
//    public Result<String> saveReport(CivilizationSaveReqDTO civilizationSaveReqDTO) {
//        Snowflake snowflake = new Snowflake();
//        //生成一个清单数据
//        YcqCivilizationInventory inventory = new YcqCivilizationInventory();
////        Worker currWorker = CurrWorkerUtil.getCurrWorker();
//        //生成ID
//        inventory.setId("Li" + snowflake.nextId());
//        //初次创建：N+WMH（不超过5个）+时间戳（秒）+4位随机码（26个英文字母+数字）
//        //复核：F+WMH（不超过5个）+时间戳（秒）+4位随机码（26个英文字母+数字）
//        //生成编码
//        if ("1".equals(civilizationSaveReqDTO.getTypes())) {
//            inventory.setDeclarationNumber("NWMH" + System.currentTimeMillis() / 1000 + RandomStringUtils.randomAlphanumeric(4));
//        } else if ("2".equals(civilizationSaveReqDTO.getTypes())) {
//            inventory.setDeclarationNumber("FWMH" + System.currentTimeMillis() / 1000 + RandomStringUtils.randomAlphanumeric(4));
//        }
//        //加入删除标识
//        inventory.setDelFlag("0");
//        //数据类型 1创建 2复核
//        inventory.setTypes(civilizationSaveReqDTO.getTypes());
//        //状态待定
//        inventory.setState("1");
//        //关联政策ID
//        inventory.setPolicyId(civilizationSaveReqDTO.getPolicyId());
////        inventory.setCreateId(String.valueOf(currWorker.getLoginId()));
//        inventory.setCreateTime(new Date());
////        inventory.setCreateBy(currWorker.getWorkerName());
//        ycqCivilizationListReqo.save(inventory);
//        //文明号申报
//        @NotNull @Valid CivilizationApplyReportReqDTO applyReport = civilizationSaveReqDTO.getApplyReport();
//        CivilizationApplyReport civilizationApplyReport = new CivilizationApplyReport();
//        BeanUtils.copyProperties(applyReport, civilizationApplyReport);
//        civilizationApplyReport.setMainId(inventory.getId());
//        civilizationApplyReport.setId("Ap" + snowflake.nextId());
//        applyReportRepo.save(civilizationApplyReport);
//        //文明号报备
//        @NotNull @Valid CivilizationStandbyReportReqDTO standbyReport = civilizationSaveReqDTO.getStandbyReport();
//        CivilizationStandbyReport civilizationStandbyReport = new CivilizationStandbyReport();
//        BeanUtils.copyProperties(standbyReport, civilizationStandbyReport);
//        civilizationStandbyReport.setMainId(inventory.getId());
//        civilizationStandbyReport.setId("St" + snowflake.nextId());
//        standbyReportRepo.save(civilizationStandbyReport);
//        //文明号自评
//        @NotNull @Valid CivilizationSelfReqDTO selfOutside = civilizationSaveReqDTO.getSelfOutside();
//        CivilizationSelf self = new CivilizationSelf();
//        BeanUtils.copyProperties(selfOutside, self);
//        self.setMainId(inventory.getId());
//        self.setId("Se" + snowflake.nextId());
//        selfRepo.save(self);
//        //文明号自评和分数关联表
//        @NotNull @Valid List<@Valid CivilizationFractionReqDTO> selfFraction = selfOutside.getSelfFraction();
//        for (CivilizationFractionReqDTO fractionRespDTO : selfFraction) {
//            YcqCivilizationSelfRelationship relationship = new YcqCivilizationSelfRelationship();
//            relationship.setId("Fr" + snowflake.nextId());
//            relationship.setMainId(inventory.getId());
//            relationship.setFraction(fractionRespDTO.getFraction());
//            relationship.setStaticId(fractionRespDTO.getFractionId());
//            relationshipRepo.save(relationship);
//        }
//        //附件存储
//        @NotNull @Valid List<@Valid CivilizationAnnexReqDTO> annexs = civilizationSaveReqDTO.getAnnexs();
//        for (CivilizationAnnexReqDTO annex : annexs) {
//            YcqCivilizationAnnex ycqCivilizationAnnex = new YcqCivilizationAnnex();
//            BeanUtils.copyProperties(annex, ycqCivilizationAnnex);
//            //添加关联关系
//            ycqCivilizationAnnex.setId("Sb" + snowflake.nextId());
//            ycqCivilizationAnnex.setMainId(inventory.getId());
////            ycqCivilizationAnnex.setCreateId(String.valueOf(currWorker.getLoginId()));
////            ycqCivilizationAnnex.setCreateBy(currWorker.getWorkerName());
//            ycqCivilizationAnnex.setCreateTime(new Date());
//            ycqCivilizationAnnexRepo.save(ycqCivilizationAnnex);
//        }
//        return new Result<>(true);
//    }
//
//    /**
//     * @Description: 文明号初评
//     * @Param: [civilizationExamineReqDTO]
//     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<String> updateEvaluate(CivilizationExamineReqDTO civilizationExamineReqDTO) {
//        @NotNull @Valid List<@Valid CivilizationAnnexReqDTO> annex = civilizationExamineReqDTO.getAnnex();
//        Snowflake snowflake = new Snowflake();
//        List<YcqCivilizationInventory> allById = ycqCivilizationListReqo.findAllById(civilizationExamineReqDTO.getIds());
//        for (YcqCivilizationInventory inventory : allById) {
//            //存储附件信息
//            for (CivilizationAnnexReqDTO civilizationAnnexReqDTO : annex) {
//                YcqCivilizationAnnex ycqCivilizationAnnex = new YcqCivilizationAnnex();
//                ycqCivilizationAnnex.setId("Cp" + snowflake.nextId());
//                BeanUtils.copyProperties(civilizationAnnexReqDTO, ycqCivilizationAnnex);
//                ycqCivilizationAnnex.setMainId(inventory.getId());
//                ycqCivilizationAnnexRepo.save(ycqCivilizationAnnex);
//            }
//            //此处状态还未设计好 需确定
//            inventory.setState(null);
//            ycqCivilizationListReqo.save(inventory);
//        }
//        return new Result<>(true);
//    }
//
//    /**
//     * @Description: 文明号申报删除
//     * @Param: [id]
//     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<String> deleteReport(String id) {
//        Optional<YcqCivilizationInventory> byId = ycqCivilizationListReqo.findById(id);
//        if (byId.isPresent()) {
//            YcqCivilizationInventory inventory = byId.get();
//            inventory.setDelFlag("0");
//            ycqCivilizationListReqo.save(inventory);
//        }
//        return new Result<>(true);
//    }
//
//    /**
//     * @Description: 文明号初核
//     * @Param: [civilizationEvaluateReqDTO]
//     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<String> updateExamine(CivilizationEvaluateReqDTO civilizationEvaluateReqDTO) {
//        List<YcqCivilizationInventory> allById = ycqCivilizationListReqo.findAllById(civilizationEvaluateReqDTO.getIds());
//        for (YcqCivilizationInventory respDTO : allById) {
//            //此处状态还未设计好 需确定
//            respDTO.setRvaluateReason(civilizationEvaluateReqDTO.getReason());
//            ycqCivilizationListReqo.save(respDTO);
//        }
//        return new Result<>(true);
//    }
//
//    /**
//     * @Description: 文明号认定
//     * @Param: [civilizationIdentifyReqDTO]
//     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<String> updateIdentify(CivilizationIdentifyReqDTO civilizationIdentifyReqDTO) {
//        List<YcqCivilizationInventory> allById = ycqCivilizationListReqo.findAllById(civilizationIdentifyReqDTO.getIds());
//        for (YcqCivilizationInventory inventory : allById) {
//            //此处状态还未设计好 需确定
//            //原因
//            inventory.setIdentifyReason(civilizationIdentifyReqDTO.getReason());
//            //认定等级
//            inventory.setRecognitionLevel(civilizationIdentifyReqDTO.getRatingLevel());
//            ycqCivilizationListReqo.save(inventory);
//        }
//        return new Result<>(true);
//    }
//
//    /**
//     * @Description: 文明号编辑申报
//     * @Param: [civilizationSaveReqDTO]
//     * @return: com.crunii.micro.common.dto.Result<java.lang.String>
//     * @Author: xiang xin
//     * @Date: 2023/9/7
//     */
//    @Override
//    public Result<String> updateReport(CivilizationSaveReqDTO civilizationSaveReqDTO) {
//        Snowflake snowflake = new Snowflake();
//        //文明号申报
//        @NotNull @Valid CivilizationApplyReportReqDTO applyReport = civilizationSaveReqDTO.getApplyReport();
//        CivilizationApplyReport byMainId = applyReportRepo.findByMainId(civilizationSaveReqDTO.getId());
//        BeanUtils.copyProperties(applyReport, byMainId);
//        applyReportRepo.save(byMainId);
//        //文明号报备
//        @NotNull @Valid CivilizationStandbyReportReqDTO standbyReport = civilizationSaveReqDTO.getStandbyReport();
//        CivilizationStandbyReport byMainId1 = standbyReportRepo.findByMainId(civilizationSaveReqDTO.getId());
//        BeanUtils.copyProperties(standbyReport, byMainId1);
//        standbyReportRepo.save(byMainId1);
//        //文明号自评
//        @NotNull @Valid CivilizationSelfReqDTO selfOutside = civilizationSaveReqDTO.getSelfOutside();
//        CivilizationSelf byMainId2 = selfRepo.findByMainId(civilizationSaveReqDTO.getId());
//        BeanUtils.copyProperties(selfOutside, byMainId2);
//        selfRepo.save(byMainId2);
//        //删除文明号自评和分数关联表
//        relationshipRepo.deleteByMainId(civilizationSaveReqDTO.getId());
//        //重新新增
//        @NotNull @Valid List<@Valid CivilizationFractionReqDTO> selfFraction = selfOutside.getSelfFraction();
//        for (CivilizationFractionReqDTO fractionRespDTO : selfFraction) {
//            YcqCivilizationSelfRelationship relationship = new YcqCivilizationSelfRelationship();
//            relationship.setId("Ufr" + snowflake.nextId());
//            relationship.setMainId(civilizationSaveReqDTO.getId());
//            relationship.setFraction(fractionRespDTO.getFraction());
//            relationship.setStaticId(fractionRespDTO.getFractionId());
//            relationshipRepo.save(relationship);
//        }
//        //生成一个清单数据
//        Optional<YcqCivilizationInventory> byIdList = ycqCivilizationListReqo.findById(civilizationSaveReqDTO.getId());
//        if (byIdList.isPresent()) {
//            YcqCivilizationInventory inventory = byIdList.get();
//            Worker currWorker = CurrWorkerUtil.getCurrWorker();
//            //数据类型 1创建 2复核
//            inventory.setTypes(civilizationSaveReqDTO.getTypes());
//            //状态待定
//            inventory.setState("1");
//            //关联政策ID
//            inventory.setPolicyId(civilizationSaveReqDTO.getPolicyId());
//            inventory.setUpdateId(String.valueOf(currWorker.getLoginId()));
//            inventory.setUpdateTime(new Date());
//            inventory.setUpdateBy(currWorker.getWorkerName());
//            //加入删除标识
//            inventory.setDelFlag("0");
//            ycqCivilizationListReqo.save(inventory);
//        }
//        //附件存储
//        List<YcqCivilizationAnnex> byMainId3 = ycqCivilizationAnnexRepo.findByMainId(civilizationSaveReqDTO.getId());
//        for (YcqCivilizationAnnex delAnnex : byMainId3) {
//            delAnnex.setDelFlag(1);
//        }
//        @NotNull @Valid List<@Valid CivilizationAnnexReqDTO> annexs = civilizationSaveReqDTO.getAnnexs();
//        for (CivilizationAnnexReqDTO annex : annexs) {
//            YcqCivilizationAnnex ycqCivilizationAnnex = new YcqCivilizationAnnex();
//            BeanUtils.copyProperties(annex, ycqCivilizationAnnex);
//            //添加关联关系
//            ycqCivilizationAnnex.setId("Usb" + snowflake.nextId());
//            ycqCivilizationAnnex.setMainId(civilizationSaveReqDTO.getId());
//            ycqCivilizationAnnexRepo.save(ycqCivilizationAnnex);
//        }
//        return new Result<>(true);
//    }
//}
