package com.crunii.micro.service.qzh.service.impl;

import cn.hutool.core.lang.Snowflake;
import com.crunii.micro.domain.entity.main.MessageSendLogTask;
import com.crunii.micro.domain.entity.main.MessageSendTask;
import com.crunii.micro.domain.entity.main.TsmWorker;
import com.crunii.micro.domain.repo.main.MessageSendLogTaskRepo;
import com.crunii.micro.domain.repo.main.MessageSendTaskRepo;
import com.crunii.micro.feign.client.ElsticService;
import com.crunii.micro.feign.client.dto.MessageSendSelect;
import com.crunii.micro.service.qzh.enums.PushTerminalEnum;
import com.crunii.micro.service.qzh.enums.SendWayEnum;
import com.crunii.micro.service.qzh.service.MessageSendLogSaveService;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.*;
import java.util.stream.Collectors;

import static org.reflections.Reflections.log;

/**
 * @author lmlksy
 * @date 2023/11/16 17:13
 */
@Log4j
@Service
public class MessageSendLogSaveImpl implements MessageSendLogSaveService {

    @Autowired
    private MessageSendLogTaskRepo messageSendLogTaskRepo;

    //前端已改
//    @Autowired
//    private ElsticService elsticService;


     @Override
     public void doSaveMessageSendLog(MessageSendTask task, TsmWorker worker

     ) {
        //发送ID
         String[] sendWays = task.getSendWay().split(",");
         String[] messageTypes = task.getMessageType().split(",");
         List<MessageSendLogTask> sendLogTaskList = new ArrayList<>();
         for (String sendWay : sendWays) {
             for (String messageType : messageTypes) {
                 MessageSendLogTask messageSendLogTask = new MessageSendLogTask();
                 Snowflake snowflake = new Snowflake();
                 messageSendLogTask.setMessageSendTaskId(task.getId());
                 messageSendLogTask.setSendId(snowflake.nextId());
                 messageSendLogTask.setSendWay(sendWay);
                 messageSendLogTask.setMessageType(messageType);
                 messageSendLogTask.setReceiver(worker.getWorkerName());
                 messageSendLogTask.setMessageContent(task.getMessageContent());
                 if (!sendWay.equals("1")) {
                     messageSendLogTask.setIsRead(0);
                 }else {
                     messageSendLogTask.setIsRead(1);
                 }
                 messageSendLogTask.setDataSource(task.getDataSource());
                 messageSendLogTask.setDataTitle("青春重庆");
                 messageSendLogTask.setNotifyObject(worker.getWorkerName());
                 if (!sendWay.equals("1")){
                     messageSendLogTask.setPushTerminal(PushTerminalEnum.getDescriptionsByCodes(messageType));
                 }
                 messageSendLogTask.setPushTime(LocalDateTime.now());
                 messageSendLogTask.setUserName(worker.getWorkerName());
                 messageSendLogTask.setMobilePhone(worker.getMobile());
                 messageSendLogTask.setAccountNumber(worker.getLoginCode());
                 messageSendLogTask.setMessageClassify(task.getMessageClassify());
                 messageSendLogTask.setLoginId(Long.valueOf(worker.getLoginId()));
                 messageSendLogTask.setSendLoginId(Long.valueOf(task.getCreateUser()));
                 messageSendLogTask.setPathAndJson(task.getPathAndJson());
                 messageSendLogTask.setExpandParam(task.getExpandParam());
//                 try {
//                     if (sendWay.equals("2")&&messageType.equals("2")){
//                         MessageSendSelect messageSendSelect = new MessageSendSelect();
//                         BeanUtils.copyProperties(messageSendLogTask,messageSendSelect);
//                         elsticService.saveEs(messageSendSelect);
//                     }
//                 }catch (Exception e){
//                    log.info("es服务异常{}",e);
//                    return;
//                 }
                 sendLogTaskList.add(messageSendLogTask);

             }
         }
         List<MessageSendLogTask> distinctSendLogTaskList = sendLogTaskList.stream()
                 .collect(Collectors.toMap(
                         t -> t.getSendWay() + "-" + t.getMessageType()+"-" + t.getMessageSendTaskId(),
                         t -> t,
                         (existing, replacement) -> existing
                 ))
                 .values()
                 .stream()
                 .collect(Collectors.toList());
         log.info("distinctSendLogTaskList数量:"+distinctSendLogTaskList.size());
         messageSendLogTaskRepo.saveAll(distinctSendLogTaskList);

    }



}
