//package com.crunii.micro.service.qzh.service.impl;
//
//
//import com.alibaba.excel.EasyExcel;
//import com.crunii.micro.common.dto.PageReq;
//import com.crunii.micro.common.dto.PageRsp;
//import com.crunii.micro.common.dto.Result;
//import com.crunii.micro.common.exception.BusinessException;
//import com.crunii.micro.domain.dto.Worker;
//import com.crunii.micro.domain.entity.main.YcqQuestionBank;
//import com.crunii.micro.domain.entity.main.YcqTopic;
//import com.crunii.micro.domain.entity.main.YcqTopicOption;
//import com.crunii.micro.domain.repo.main.YcqQuestionBankRepo;
//import com.crunii.micro.domain.repo.main.YcqTopicOptionRepo;
//import com.crunii.micro.domain.repo.main.YcqTopicRepo;
//import com.crunii.micro.domain.util.CurrWorkerUtil;
//import com.crunii.micro.feign.client.ObsService;
//import com.crunii.micro.service.qzh.api.domain.dto.*;
//import com.crunii.micro.service.qzh.api.enums.OperTypeEnum;
//import com.crunii.micro.service.qzh.api.enums.TopicTypeEnum;
//import com.crunii.micro.service.qzh.jdbc.YcqQuestionBankJdbcDao;
//import com.crunii.micro.service.qzh.jdbc.YcqTopicJdbcDao;
//import com.crunii.micro.service.qzh.jdbc.YcqTopicOptionJdbcDao;
//import com.crunii.micro.service.qzh.service.RequiredSkillExamService;
//import lombok.RequiredArgsConstructor;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.collections.CollectionUtils;
//import org.apache.commons.lang3.StringUtils;
//import org.assertj.core.util.Lists;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.core.io.ClassPathResource;
//import org.springframework.core.io.InputStreamResource;
//import org.springframework.http.HttpHeaders;
//import org.springframework.http.MediaType;
//import org.springframework.http.ResponseEntity;
//import org.springframework.stereotype.Service;
//import org.springframework.transaction.PlatformTransactionManager;
//import org.springframework.transaction.TransactionStatus;
//import org.springframework.transaction.annotation.Transactional;
//import org.springframework.transaction.support.DefaultTransactionDefinition;
//import org.springframework.web.multipart.MultipartFile;
//
//import java.io.File;
//import java.io.IOException;
//import java.io.InputStream;
//import java.net.URLEncoder;
//import java.time.LocalDateTime;
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
///**
// * @Author: zwx
// * @CreateTime: 2023-09-05  11:04:55
// * @Description: TODO
// */
//@Service
//@Slf4j
//@RequiredArgsConstructor
//public class RequiredSkillExamServiceImpl implements RequiredSkillExamService {
//
//    private final YcqQuestionBankRepo ycqQuestionBankRepo;
//
//    private final YcqTopicRepo ycqTopicRepo;
//
//    private final YcqTopicOptionRepo ycqTopicOptionRepo;
//
//    private final YcqQuestionBankJdbcDao ycqQuestionBankJdbcDao;
//
//    private final YcqTopicJdbcDao ycqTopicJdbcDao;
//
//    private final YcqTopicOptionJdbcDao ycqTopicOptionJdbcDao;
//
//    private final ObsService obsService;
//
//    @Autowired
//    private PlatformTransactionManager transactionManager;
//
//    private static final String[] MULTIPLE_OPTION = new String[]{"A", "B", "C", "D", "AB", "AC", "AD", "BC", "BD", "CD", "ABC", "ABD", "ACD", "BCD", "ABCD"};
//
//    /**
//     * excel导入文件模板地址
//     */
//    public static final String EXCEL_DEMO_PATH = "static/excel/题目导入模板.xlsx";
//
//    @Override
//    public Result<TopicDetailRespDTO> topicDetailQuery(Integer id, String token) {
//        YcqTopic ycqTopic = ycqTopicRepo.findByIdAndDeleted(id, 0);
//        if (ycqTopic == null) {
//            throw new BusinessException("题目不存在");
//        }
//        YcqQuestionBank ycqQuestionBank = ycqQuestionBankRepo.findByIdAndDeleted(ycqTopic.getQuestionBankId(), 0);
//        List<TopicOptionDTO> topicOptionRespDtos = ycqTopicOptionJdbcDao.queryOptionListByTopicId(ycqTopic.getId());
//        TopicDetailRespDTO detailRespDTO = new TopicDetailRespDTO();
//        detailRespDTO.setTopic(ycqTopic.getTopic());
//        detailRespDTO.setTopicType(ycqTopic.getTopicType());
//        detailRespDTO.setQuestionBankName(ycqQuestionBank.getQuestionBankName());
//        detailRespDTO.setQuestionBankId(ycqQuestionBank.getId());
//        detailRespDTO.setTopicOptions(topicOptionRespDtos);
//        return Result.ofSuccess(detailRespDTO);
//    }
//
//    @Override
//    public Result<PageRsp<TopicRespDTO>> topicListQuery(String token, PageReq<TopicListQueryReqDTO> req) {
//        YcqQuestionBank questionBank = ycqQuestionBankRepo.findByIdAndDeleted(req.getQuery().getQuestionBankId(), 0);
//        if (questionBank == null) {
//            throw new BusinessException("题库不存在");
//        }
//        return Result.ofSuccess(ycqTopicJdbcDao.pageList(req));
//    }
//
//    @Override
//    public Result<PageRsp<QuestionBankRespDTO>> questionBankQuery(String token, PageReq<QuestionBankQueryReqDTO> req) {
//        return Result.ofSuccess(ycqQuestionBankJdbcDao.pageList(req));
//    }
//
//
//    @Override
//    public Result<Integer> questionBankAdd(String token, QuestionBankAddReqDTO dto) {
//        Worker currWorker = workerIsExist();
//        YcqQuestionBank ycqQuestionBank = new YcqQuestionBank();
//        ycqQuestionBank.setQuestionBankName(dto.getQuestionBankName());
//        ycqQuestionBank.setSingleOptionCount(0);
//        ycqQuestionBank.setMulityOptionCount(0);
//        ycqQuestionBank.setJudgmentCount(0);
//        ycqQuestionBank.setCreateId((long) currWorker.getLoginId());
//        ycqQuestionBank.setCreateTime(LocalDateTime.now());
//        ycqQuestionBank.setCreatorName(currWorker.getWorkerName());
//        ycqQuestionBank.setBranchName(currWorker.getOrgName());
//        ycqQuestionBank.setBranchId(Integer.valueOf(currWorker.getOrgId()));
//        ycqQuestionBank.setDeleted(0);
//        ycqQuestionBankRepo.save(ycqQuestionBank);
//        return Result.ofSuccess(1);
//    }
//
//    @Override
//    public Result<Integer> topicAdd(String token, TopicAddReqDTO dto) {
//        Worker currWorker = workerIsExist();
//        List<TopicOptionDTO> topicOptions = dto.getTopicOptions();
//        if (Lists.newArrayList(1, 2, 3).contains(dto.getTopicType())) {
//            throw new BusinessException("题目类型不存在");
//        }
//        if (TopicTypeEnum.Judgment.getCode().equals(dto.getTopicType())) {
//            if (topicOptions.size() != 2) {
//                throw new BusinessException("判断题只能有两个选项");
//            }
//        }
//        if (TopicTypeEnum.Single.getCode().equals(dto.getTopicType()) || TopicTypeEnum.Mulity.getCode().equals(dto.getTopicType())) {
//            if (topicOptions.size() < 4) {
//                throw new BusinessException("选择题至少需要四个选项");
//            }
//            if (topicOptions.stream().filter(e -> e.getIsAnswer() == 1).count() > 1 && TopicTypeEnum.Single.getCode().equals(dto.getTopicType())) {
//                throw new BusinessException("单选题只能有一个正确答案");
//            }
//        }
//
//        Long size = ycqTopicRepo.countByTopicAndTopicTypeAndQuestionBankId(dto.getTopic(), dto.getTopicType(), dto.getQuestionBankId());
//        if (size > 0) {
//            throw new BusinessException("题库中已经存在该题目");
//        }
//        TransactionStatus status = transactionManager.getTransaction(new DefaultTransactionDefinition());
//        try {
//            //新增题目
//            YcqTopic ycqTopic = new YcqTopic();
//            ycqTopic.setTopic(dto.getTopic());
//            ycqTopic.setTopicType(dto.getTopicType());
//            ycqTopic.setQuestionBankId(dto.getQuestionBankId());
//            ycqTopic.setDeleted(0);
//            ycqTopic.setCreateId((long) currWorker.getLoginId());
//            ycqTopic.setCreateTime(LocalDateTime.now());
//            ycqTopic.setCreatorName(currWorker.getWorkerName());
//            YcqTopic topicAdd = ycqTopicRepo.saveAndFlush(ycqTopic);
//
//            //新增选项
//            ArrayList<YcqTopicOption> ycqTopicOptions = new ArrayList<>();
//            for (int i = 0; i < topicOptions.size(); i++) {
//                YcqTopicOption ycqTopicOption = new YcqTopicOption();
//                ycqTopicOption.setTopicId(topicAdd.getId());
//                ycqTopicOption.setOption(matchOption(i));
//                ycqTopicOption.setOptionContent(topicOptions.get(i).getOptionContent());
//                ycqTopicOption.setIsAnswer(topicOptions.get(i).getIsAnswer());
//                ycqTopicOption.setCreateId((long) currWorker.getLoginId());
//                ycqTopicOption.setCreatorName(currWorker.getWorkerName());
//                ycqTopicOption.setCreateTime(LocalDateTime.now());
//                ycqTopicOption.setDeleted(0);
//                ycqTopicOptions.add(ycqTopicOption);
//            }
//            ycqTopicOptionRepo.saveAllAndFlush(ycqTopicOptions);
//            transactionManager.commit(status);
//        } catch (Exception e) {
//            log.error("保存失败,失败信息:" + e);
//            status.setRollbackOnly();
//            throw new BusinessException("保存失败");
//        }
//        topicNumberUpdate(dto.getQuestionBankId());
//        return Result.ofSuccess(1);
//    }
//
//    private String matchOption(int id) {
//        HashMap<Integer, Character> matchMap = new HashMap<>(24);
//        for (int i = 0; i < 25; i++) {
//            matchMap.put(i, (char) ('A' + i));
//        }
//        return String.valueOf(matchMap.get(id));
//    }
//
//    @Override
//    public Result<Integer> questionBankEdit(String token, QuestionBankEditReqDTO dto) {
//        Worker currWorker = workerIsExist();
//        YcqQuestionBank questionBank = ycqQuestionBankRepo.findByIdAndDeleted(dto.getId(), 0);
//        if (questionBank == null) {
//            throw new BusinessException("所选题库不存在");
//        }
//        questionBank.setQuestionBankName(dto.getQuestionBankName());
//        questionBank.setUpdateId(Long.valueOf(currWorker.workerId()));
//        questionBank.setUpdateName(currWorker.getWorkerName());
//        questionBank.setUpdateTime(LocalDateTime.now());
//        ycqQuestionBankRepo.save(questionBank);
//        return Result.ofSuccess(1);
//    }
//
//    @Override
//    public Result<Integer> topicEdit(String token, TopicEditReqDTO dto) {
//        Worker currWorker = workerIsExist();
//        List<TopicOptionDTO> topicOptions = dto.getTopicOptions();
//        if (TopicTypeEnum.Judgment.getCode().equals(dto.getTopicType())) {
//            if (topicOptions.size() != 2) {
//                throw new BusinessException("判断题只能有两个选项");
//            }
//        }
//        if (TopicTypeEnum.Single.getCode().equals(dto.getTopicType()) || TopicTypeEnum.Mulity.getCode().equals(dto.getTopicType())) {
//            if (topicOptions.size() < 4) {
//                throw new BusinessException("选择题至少需要四个选项");
//            }
//            if (topicOptions.stream().filter(e -> e.getIsAnswer() == 1).count() > 1 && TopicTypeEnum.Single.getCode().equals(dto.getTopicType())) {
//                throw new BusinessException("单选题只能有一个正确答案");
//            }
//        }
//        //编辑题目
//        YcqTopic ycqtopicEdited = ycqTopicRepo.findByIdAndDeleted(dto.getId(), 0);
//        if (ycqtopicEdited == null) {
//            throw new BusinessException("题目不存在");
//        }
//        Long size = ycqTopicRepo.countByTopicAndTopicTypeAndQuestionBankId(dto.getTopic(), dto.getTopicType(), ycqtopicEdited.getQuestionBankId());
//        if (size > 0) {
//            throw new BusinessException("题库中已经存在该题目");
//        }
//        TransactionStatus status = transactionManager.getTransaction(new DefaultTransactionDefinition());
//        try {
//            ycqtopicEdited.setTopic(dto.getTopic());
//            ycqtopicEdited.setTopicType(dto.getTopicType());
//            ycqtopicEdited.setUpdateId((long) currWorker.getLoginId());
//            ycqtopicEdited.setUpdateTime(LocalDateTime.now());
//            ycqtopicEdited.setUpdateName(currWorker.getWorkerName());
//            YcqTopic topicAdd = ycqTopicRepo.saveAndFlush(ycqtopicEdited);
//
//            //删除选项
//            List<YcqTopicOption> deletOption = ycqTopicOptionRepo.findAllByTopicIdAndDeleted(ycqtopicEdited.getId(), 0);
//            deletOption.forEach(e -> e.setDeleted(1));
//            ycqTopicOptionRepo.saveAllAndFlush(deletOption);
//
//            //新增选项
//            ArrayList<YcqTopicOption> ycqTopicOptions = new ArrayList<>();
//            for (int i = 0; i < topicOptions.size(); i++) {
//                YcqTopicOption ycqTopicOption = new YcqTopicOption();
//                ycqTopicOption.setTopicId(topicAdd.getId());
//                ycqTopicOption.setOption(matchOption(i));
//                ycqTopicOption.setOptionContent(topicOptions.get(i).getOptionContent());
//                ycqTopicOption.setIsAnswer(topicOptions.get(i).getIsAnswer());
//                ycqTopicOption.setCreateId((long) currWorker.getLoginId());
//                ycqTopicOption.setCreatorName(currWorker.getWorkerName());
//                ycqTopicOption.setCreateTime(LocalDateTime.now());
//                ycqTopicOption.setDeleted(0);
//                ycqTopicOptions.add(ycqTopicOption);
//            }
//            ycqTopicOptionRepo.saveAllAndFlush(ycqTopicOptions);
//            transactionManager.commit(status);
//        } catch (Exception e) {
//            log.error("编辑失败,失败信息:" + e);
//            status.setRollbackOnly();
//            throw new BusinessException("编辑失败");
//        }
//        topicNumberUpdate(ycqtopicEdited.getQuestionBankId());
//        return Result.ofSuccess(1);
//    }
//
//    @Override
//    @Transactional(rollbackFor = Exception.class)
//    public Result<Integer> topicDelete(String token, IdArraysReqDTO idArraysReqDTO) {
//        topicDelete(idArraysReqDTO.getIds(), Boolean.TRUE);
//        return Result.ofSuccess(1);
//    }
//
//    @Override
//    @Transactional(rollbackFor = Exception.class)
//    public Result<Integer> questionBankDelete(String token, IdArraysReqDTO idArraysReqDTO) {
//        List<YcqQuestionBank> ycqQuestionBanks = ycqQuestionBankRepo.findAllByIdInAndDeleted(idArraysReqDTO.getIds(), 0);
//        List<Integer> questionBankIds = ycqQuestionBanks.stream().map(YcqQuestionBank::getId).collect(Collectors.toList());
//        ycqQuestionBanks.forEach(e -> e.setDeleted(1));
//        ycqQuestionBankRepo.saveAllAndFlush(ycqQuestionBanks);
//        topicDelete(questionBankIds, Boolean.FALSE);
//        return Result.ofSuccess(1);
//    }
//
//    public void topicDelete(List<Integer> ids, Boolean flag) {
//        TransactionStatus status = transactionManager.getTransaction(new DefaultTransactionDefinition());
//        List<YcqTopic> ycqTopics;
//        try {
//            if (Boolean.TRUE.equals(flag)) {
//                ycqTopics = ycqTopicRepo.findAllByIdIn(ids);
//            } else {
//                ycqTopics = ycqTopicRepo.findAllByQuestionBankIdInAndDeleted(ids, 0);
//            }
//            if (CollectionUtils.isEmpty(ycqTopics)) {
//                return;
//            }
//            List<Integer> topicIds = ycqTopics.stream().map(YcqTopic::getId).distinct().collect(Collectors.toList());
//            List<YcqTopicOption> ycqTopicOptionList = ycqTopicOptionRepo.findAllByTopicIdInAndDeleted(topicIds, 0);
//            ycqTopics.forEach(e -> e.setDeleted(1));
//            ycqTopicOptionList.forEach(e -> e.setDeleted(1));
//            ycqTopicRepo.saveAllAndFlush(ycqTopics);
//            ycqTopicOptionRepo.saveAllAndFlush(ycqTopicOptionList);
//            transactionManager.commit(status);
//        } catch (Exception e) {
//            log.error("删除失败,失败信息:" + e);
//            status.setRollbackOnly();
//            throw new BusinessException("删除失败");
//        }
//        topicNumberUpdate(ycqTopics.get(0).getQuestionBankId());
//    }
//
//    private Worker workerIsExist() {
//        CurrWorkerUtil.mockCurrWorker();
//        Worker currWorker = CurrWorkerUtil.getCurrWorker();
//        if (currWorker == null) {
//            throw new BusinessException("请先登录");
//        }
//        return currWorker;
//    }
//
//    private synchronized void topicNumberUpdate(Integer questionBankId) {
////        List<Long> list = ycqTopicJdbcDao.countTopicForQuestionBank(questionBankId);
////        Long single = list.get(0)==null?0L:list.get(0);
////        Long mutiply = list.get(1)==null?0L:list.get(1);
////        Long jugement = list.get(2)==null?0L:list.get(2);
//        Long single = ycqTopicRepo.countByTopicTypeAndDeletedAndQuestionBankId(TopicTypeEnum.Single.getCode(), 0, questionBankId);
//        Long mutiply = ycqTopicRepo.countByTopicTypeAndDeletedAndQuestionBankId(TopicTypeEnum.Mulity.getCode(), 0, questionBankId);
//        Long jugement = ycqTopicRepo.countByTopicTypeAndDeletedAndQuestionBankId(TopicTypeEnum.Judgment.getCode(), 0, questionBankId);
//        ycqQuestionBankJdbcDao.topicNumberCount(single, mutiply, jugement, questionBankId);
//    }
//
//    private synchronized void topicNumberCount(TopicTypeEnum source, TopicTypeEnum dist, Integer count, OperTypeEnum oper) {
//        Integer single = 0;
//        Integer multiply = 0;
//        Integer jugement = 0;
//        //新增
//        if (OperTypeEnum.ADD.getCode().equals(oper.getCode())) {
//            if (TopicTypeEnum.Single.getCode().equals(dist.getCode())) {
//                single++;
//            } else if (TopicTypeEnum.Mulity.getCode().equals(dist.getCode())) {
//                multiply++;
//            } else {
//                jugement++;
//            }
//        } else if (OperTypeEnum.UPDATE.getCode().equals(oper.getCode())) {
//            if (TopicTypeEnum.Single.getCode().equals(source)) {
//                if (TopicTypeEnum.Mulity.getCode().equals(dist)) {
//                    single--;
//                    multiply++;
//                } else {
//                    single--;
//                    jugement++;
//                }
//            } else if (TopicTypeEnum.Mulity.equals(source)) {
//                if (TopicTypeEnum.Single.getCode().equals(dist)) {
//                    multiply--;
//                    single++;
//                } else {
//                    multiply--;
//                    jugement++;
//                }
//            } else if (TopicTypeEnum.Judgment.getCode().equals(source)) {
//                if (TopicTypeEnum.Single.getCode().equals(dist)) {
//                    jugement--;
//                    single++;
//                } else {
//                    jugement--;
//                    multiply++;
//                }
//            }
//        } else {
//            if (TopicTypeEnum.Single.getCode().equals(source)) {
//                single--;
//            } else if (TopicTypeEnum.Mulity.getCode().equals(source)) {
//                multiply--;
//            } else {
//                jugement--;
//            }
//        }
////        ycqQuestionBankJdbcDao.topicNumberCount(single,multiply,jugement,null);
//    }
//
//    private Result<List<TopicImportReqDTO>> saveData(List<TopicImportReqDTO> con, Integer questionBankId) {
//        Integer totalSize = con.size(), successSize = 0, failSize = 0;
//        List<TopicImportReqDTO> erro = new ArrayList<>();
//        List<TopicImportReqDTO> correct = new ArrayList<>();
//        List<String> topics = con.stream().map(TopicImportReqDTO::getTopic).distinct().collect(Collectors.toList());
//        Map<String, Object> topicMap = ycqTopicJdbcDao.selectAllTopicForQuestionBankId(topics, questionBankId);
//        for (TopicImportReqDTO topicImportReqDTO : con) {
//            if (StringUtils.isNotBlank(topicImportReqDTO.getTopic())) {
//                failSize++;
//                topicImportReqDTO.setImportErroCause("题目不能为空");
//                erro.add(topicImportReqDTO);
//                continue;
//            }
//            if (StringUtils.isNotBlank(topicImportReqDTO.getAnswer())) {
//                failSize++;
//                topicImportReqDTO.setImportErroCause("答案不能为空");
//                erro.add(topicImportReqDTO);
//                continue;
//            }
//            if (topicMap.containsKey(topicImportReqDTO.getTopic())) {
//                failSize++;
//                topicImportReqDTO.setImportErroCause("题目在该题库中已经存在");
//                erro.add(topicImportReqDTO);
//                continue;
//            }
//            if (!StringUtils.containsAny(topicImportReqDTO.getTopicType(), TopicTypeEnum.Judgment.getName(), TopicTypeEnum.Single.getName(), TopicTypeEnum.Mulity.getName())) {
//                failSize++;
//                topicImportReqDTO.setImportErroCause("题目类型不存在");
//                erro.add(topicImportReqDTO);
//                continue;
//            }
//            //单选题的校验
//            if (TopicTypeEnum.Single.getName().equals(topicImportReqDTO.getTopicType())) {
//                if (!StringUtils.containsAny(topicImportReqDTO.getAnswer(), "A", "B", "C", "D")) {
//                    failSize++;
//                    topicImportReqDTO.setImportErroCause("答案类型不正确");
//                    erro.add(topicImportReqDTO);
//                    continue;
//                }
//                if (topicImportReqDTO.getOptionA().isEmpty()
//                        || topicImportReqDTO.getOptionB().isEmpty()
//                        || topicImportReqDTO.getOptionC().isEmpty()
//                        || topicImportReqDTO.getOptionD().isEmpty()) {
//                    failSize++;
//                    topicImportReqDTO.setImportErroCause("ABCD选项不能存在空选项");
//                    erro.add(topicImportReqDTO);
//                    continue;
//                }
//            }
//            //多选题的校验
//            if (TopicTypeEnum.Mulity.getName().equals(topicImportReqDTO.getTopicType())) {
//                if (StringUtils.containsAny(topicImportReqDTO.getAnswer(), MULTIPLE_OPTION)) {
//                    failSize++;
//                    topicImportReqDTO.setImportErroCause("答案类型不正确");
//                    erro.add(topicImportReqDTO);
//                    continue;
//                }
//                if (topicImportReqDTO.getOptionA().isEmpty()
//                        || topicImportReqDTO.getOptionB().isEmpty()
//                        || topicImportReqDTO.getOptionC().isEmpty()
//                        || topicImportReqDTO.getOptionD().isEmpty()) {
//                    failSize++;
//                    topicImportReqDTO.setImportErroCause("ABCD选项不能存在空选项");
//                    erro.add(topicImportReqDTO);
//                    continue;
//                }
//            }
//            //判断题的校验
//            if (TopicTypeEnum.Judgment.getName().equals(topicImportReqDTO.getTopicType())) {
//                if (StringUtils.containsAny(topicImportReqDTO.getAnswer(), "A", "B")) {
//                    failSize++;
//                    topicImportReqDTO.setImportErroCause("答案类型不正确");
//                    erro.add(topicImportReqDTO);
//                    continue;
//                }
//                if (topicImportReqDTO.getOptionA().isEmpty() || topicImportReqDTO.getOptionB().isEmpty()) {
//                    failSize++;
//                    topicImportReqDTO.setImportErroCause("AB选项不能存在空选项");
//                    erro.add(topicImportReqDTO);
//                    continue;
//                }
//            }
//            correct.add(topicImportReqDTO);
//
//            if (correct.size() >= 1000) {
//                successSize += correct.size();
//                SaveTopic(correct, questionBankId);
//                correct.clear();
//            }
//        }
//        String msg = "导入成功,总数:" + totalSize + "条,成功:" + successSize + "失败:" + failSize + "条";
//        return Result.ofSuccessWithMsg(erro, msg);
//    }
//
//    public void SaveTopic(List<TopicImportReqDTO> correct, Integer questionBankId) {
//        List<YcqTopic> list = new ArrayList<>();
//        HashMap<Integer, List<YcqTopicOption>> optionMap = new HashMap<>();
//        for (int i = 0; i < correct.size(); i++) {
//            TopicImportReqDTO importReqDTO = correct.get(i);
//            YcqTopic ycqTopic = new YcqTopic();
//            ycqTopic.setDeleted(0);
//            ycqTopic.setTopicType(TopicTypeEnum.findCodeByVal(importReqDTO.getTopicType()));
//            ycqTopic.setQuestionBankId(questionBankId);
//            ycqTopic.setRemark(importReqDTO.getAttr());
//            list.add(ycqTopic);
//            List<YcqTopicOption> options = new ArrayList<>();
//            for (int j = 0; j < 4; j++) {
//                YcqTopicOption ycqTopicOption = new YcqTopicOption();
//                ycqTopicOption.setOption(matchOption(j));
//                ycqTopicOption.setOptionContent(importReqDTO.getOptionA());
//                ycqTopicOption.setIsAnswer(importReqDTO.getAnswer().contains(ycqTopicOption.getOption()) ? 1 : 0);
//                options.add(ycqTopicOption);
//            }
//            optionMap.put(i, options);
//        }
//        List<YcqTopic> ycqTopics = ycqTopicRepo.saveAllAndFlush(list);
//        for (int i = 0; i < ycqTopics.size(); i++) {
//            YcqTopic ycqTopic = ycqTopics.get(i);
//            List<YcqTopicOption> options = optionMap.get(i);
//            for (YcqTopicOption option : options) {
//                option.setTopicId(ycqTopic.getId());
//            }
//        }
//
//        List<YcqTopicOption> optionSave = optionMap.values().stream()
//                .flatMap(List::stream)
//                .collect(Collectors.toList());
//        ycqTopicOptionRepo.saveAllAndFlush(optionSave);
//    }
//
//    @Override
//    public Result<String> topicImport(String token, Integer questionBankId, MultipartFile file) {
//        try {
//            List<TopicImportReqDTO> list = EasyExcel.read(file.getInputStream(), TopicImportReqDTO.class, null)
//                    .ignoreEmptyRow(true).sheet(2).doReadSync();
//            Result<List<TopicImportReqDTO>> listResult = saveData(list, questionBankId);
//            List<TopicImportReqDTO> erroList = listResult.getData();
//            if (erroList.size() == 0) {
//                return Result.ofSuccess("");
//            }
//            File outputFile = new File("C:\\Users\\ASUS\\Desktop\\test.xlsx");
//            EasyExcel.write(outputFile, TopicImportReqDTO.class).sheet().doWrite(list);
////            return Result.ofSuccessWithMsg(erroList,listResult.getMsg());
//        } catch (IOException e) {
//            log.error("导入失败信息:" + e);
//            return Result.ofFail("导入失败,请联系管理员");
//        }
//        return null;
//    }
//
//    @Override
//    public Result<String> topicImportTemplateDownload(String token) {
//        ResponseEntity<InputStreamResource> response = null;
//        try {
//            response = downloadExcelDemo(EXCEL_DEMO_PATH, "题目导入模板");
//        } catch (Exception e) {
//            log.warn("题目导入模板下载错误,报错：", e);
//        }
//        return Result.ofSuccess("");
//    }
//
//    /**
//     * 下载excel导入模板
//     */
//    public static ResponseEntity<InputStreamResource> downloadExcelDemo(String filePath, String newName)
//            throws IOException {
//        InputStream is = new ClassPathResource(filePath).getInputStream();
//        HttpHeaders headers = new HttpHeaders();
//        headers.add("Cache-Control", "no-cache, no-store, must-revalidate");
//        headers.add("Content-Disposition",
//                "attachment; filename=" + URLEncoder.encode(newName, "UTF-8") + ".xls");
//        headers.add("Pragma", "no-cache");
//        headers.add("Expires", "0");
//        return ResponseEntity.ok().headers(headers).contentType(MediaType.parseMediaType("application/octet-stream"))
//                .body(new InputStreamResource(is));
//    }
//}
