package com.crunii.micro.service.qzh.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqQzhDailySupervision;
import com.crunii.micro.domain.entity.main.YcqQzhDailySupervisionFile;
import com.crunii.micro.domain.repo.main.YcqQzhDailySupervisionFileRepo;
import com.crunii.micro.domain.repo.main.YcqQzhDailySupervisionRepo;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDailySupervisionReqDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDailySupervisionRespDto;
import com.crunii.micro.service.qzh.jdbc.YcqQzhDailySupervisionJdbcDao;
import com.crunii.micro.service.qzh.service.YcqQzhDailySupervisionService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
@Slf4j
@RequiredArgsConstructor
public class YcqQzhDailySupervisionServiceImpl implements YcqQzhDailySupervisionService {

    private final YcqQzhDailySupervisionJdbcDao jdbcDao;

    private final YcqQzhDailySupervisionRepo supervisionRepo;

    private final YcqQzhDailySupervisionFileRepo flieRepo;

    @Override
    public void createSupervisionManage(YcqQzhDailySupervisionReqDto req) {
        Worker currWorker = CurrWorkerUtil.getCurrWorker();
        YcqQzhDailySupervision entity = new YcqQzhDailySupervision();
        BeanUtils.copyProperties(req, entity);
        entity.setCreateId(Long.valueOf(currWorker.getLoginId()));
        entity.setCreateBy(currWorker.getWorkerName());
        entity.setCreateTime(new Date());
        YcqQzhDailySupervision yq = supervisionRepo.save(entity);
        Date date = new Date();
        List<YcqQzhDailySupervisionFile> list = new ArrayList<>();
        req.getFile().forEach(s -> {
            list.add(YcqQzhDailySupervisionFile.builder().dailySupervisionId(yq.getId()).fileId(s.getFileId()).createId(Long.valueOf(currWorker.getLoginId()))
                    .createBy(currWorker.getWorkerName()).createTime(date).build());
        });
        if (list != null && list.size() > 0) {
            flieRepo.saveAll(list);
        }
    }

    @Override
    public PageRsp<YcqQzhDailySupervisionRespDto> pageSupervisionManage(PageReq<YcqQzhDailySupervisionReqDto> req) {
        return jdbcDao.pageSupervisionManage(req);
    }
}
