package com.crunii.micro.service.qzh.service.impl;

import cn.hutool.json.JSONUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.util.CurrWorkerUtil;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoDto;
import com.crunii.micro.service.qzh.api.domain.dto.YcqQzhDemoVo;
import com.crunii.micro.service.qzh.converter.YcqQzhDemoConverter;
import com.crunii.micro.domain.entity.main.YcqQzhDemo;
import com.crunii.micro.domain.repo.main.YcqQzhDemoRepo;
import com.crunii.micro.service.qzh.jdbc.YcqQzhDemoJdbcDao;
import com.crunii.micro.service.qzh.service.YcqQzhDemoService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.Date;
import java.util.List;

@Service
@Slf4j
@RequiredArgsConstructor
public class YcqQzhDemoServiceImpl implements YcqQzhDemoService {

    private final YcqQzhDemoRepo repo;

    private final YcqQzhDemoJdbcDao jdbcDao;

    private final YcqQzhDemoConverter converter;

    @Override
    public YcqQzhDemoVo queryById(Long id) {
        YcqQzhDemo byId = repo.getById(id);
        return converter.entityToVo(byId);
    }

    @Override
    public PageRsp<YcqQzhDemoVo> queryPageList(PageReq<YcqQzhDemoDto> req) {
        Worker currWorker = CurrWorkerUtil.getCurrWorker();
        System.out.println(JSONUtil.toJsonStr(currWorker));
        return jdbcDao.pageList(req);
    }

    @Override
    public List<YcqQzhDemoVo> queryList(YcqQzhDemoDto req) {
        return jdbcDao.queryList(req);
    }

    @Override
    public void insertByDto(YcqQzhDemoDto dto) {
        Worker currWorker = CurrWorkerUtil.getCurrWorker();
        YcqQzhDemo entity = converter.dtoToEntity(dto);
        entity.setCreateId(Long.valueOf(currWorker.getLoginId()));
        entity.setCreateBy(currWorker.getWorkerName());
        entity.setCreateTime(new Date());
        repo.save(entity);
    }

    @Override
    public void updateByDto(YcqQzhDemoDto dto) {
        Worker currWorker = CurrWorkerUtil.getCurrWorker();
        YcqQzhDemo entity = converter.dtoToEntity(dto);
        entity.setUpdateId(Long.valueOf(currWorker.getLoginId()));
        entity.setUpdateBy(currWorker.getWorkerName());
        entity.setUpdateTime(new Date());
        repo.save(entity);
    }

    @Override
    public void deleteByIds(Collection<Long> ids) {
        Worker currWorker = CurrWorkerUtil.getCurrWorker();
        jdbcDao.deleteByIds(ids, Long.valueOf(currWorker.getLoginId()), currWorker.getWorkerName());
    }
}
