package com.crunii.micro.service.qzh.service.impl;


import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqLeague;
import com.crunii.micro.service.qzh.api.domain.dto.HomePageTopReqDTO;
import com.crunii.micro.service.qzh.api.domain.dto.HomePageTopRespDTO;
import com.crunii.micro.service.qzh.api.domain.dto.HomePageUserRelatedRespDTO;
import com.crunii.micro.service.qzh.jdbc.YcqQzhHomePageJdbc;
import com.crunii.micro.service.qzh.service.YcqQzhHomePageService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 青字号首页相关
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class YcqQzhHomePageServiceImpl implements YcqQzhHomePageService {


    @Autowired
    YcqQzhHomePageJdbc ycqQzhHomePageJdbc;


    /**
     * 个人信息及活跃度相关信息（累计登录天数、风采发布量）
     *
     * @param worker
     * @return
     */
    @Override
    public Result<HomePageUserRelatedRespDTO> findPersonalActivity(Worker worker) {
        HomePageUserRelatedRespDTO homePageUserRelatedRespDTO = ycqQzhHomePageJdbc.findPersonalActivity(worker);
        homePageUserRelatedRespDTO.setUserName(worker.getWorkerName());
        homePageUserRelatedRespDTO.setWorkPhone(mobilePhone(worker.getMobile()));
//        homePageUserRelatedRespDTO.setOrgName(worker.getOrgName());
//        YcqLeague byLeagueCode = ycqLeagueRepo.findByLeagueCode(worker.getOrgId());
//        if(byLeagueCode!=null) {
//            worker.setOrgName(byLeagueCode.getLeagueFullName());
//        }
//        homePageUserRelatedRespDTO.setOrgName(worker.getOrgName());
        return new Result(Boolean.TRUE, homePageUserRelatedRespDTO);
    }

    public static String mobilePhone(String num) {
        if (StringUtils.isBlank(num)) {
            return "";
        }
        return StringUtils.left(num, 3).concat(StringUtils.removeStart(StringUtils.leftPad(StringUtils.right(num, 4), StringUtils.length(num), "*"), "***"));
    }

    /**
     * @MethodName findPolicyAndNoticeAndElegantDemeanourTop
     * @Description 页 政策指引、公告公示、风采展示最新10条
     * @param: worker
     * @return: java.lang.Object
     * @Author Jiang
     * @Date 2023/9/23 10:11
     */
    @Override
    public Result<List<HomePageTopRespDTO>> findPolicyAndNoticeAndElegantDemeanourTop(Worker worker, HomePageTopReqDTO homePageTopReq) {
        return new Result<>(Boolean.TRUE, ycqQzhHomePageJdbc.findPolicyAndNoticeAndElegantDemeanourTop(homePageTopReq));
    }
}
