package com.crunii.micro.service.qzh.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.domain.entity.main.YcqYouthCommonFile;
import com.crunii.micro.domain.entity.main.YcqYouthStart;
import com.crunii.micro.domain.repo.main.YcqYouthCommonFileRepo;
import com.crunii.micro.domain.repo.main.YcqYouthStartRepo;
import com.crunii.micro.service.qzh.api.domain.dto.rightsProtection.*;
import com.crunii.micro.service.qzh.jdbc.YcqYouthStartAppJdbcDao;
import com.crunii.micro.service.qzh.service.YcqYouthStartAppService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author lmlksy
 * @date 2023/12/12 19:45
 */
@Service
public class YcqYouthStartAppServiceImpl implements YcqYouthStartAppService {

    @Autowired
    YcqYouthStartAppJdbcDao ycqYouthStartAppJdbcDao;

    @Autowired
    YcqYouthCommonFileRepo ycqYouthCommonFileRepo;

    @Autowired
    YcqYouthStartRepo ycqYouthStartRepo;
    @Override
    public Result<PageRsp<YcqYouthStartAppVO>> pageList(PageReq<YcqYouthStartAppDTO> req) {
        PageRsp<YcqYouthStartAppVO> ycqYouthStartVOPageRsp = ycqYouthStartAppJdbcDao.queryList(req);
        if (!CollectionUtils.isEmpty(ycqYouthStartVOPageRsp.getResult())){
            for (YcqYouthStartAppVO ycqYouthStartAppVO : ycqYouthStartVOPageRsp.getResult()) {
                //id不为null 设置正文以及文件
                List<YcqYouthCommonFile> ycqYouthCommonFileList = ycqYouthCommonFileRepo.findByYcqYouthStartId(ycqYouthStartAppVO.getId());
                if (!CollectionUtils.isEmpty(ycqYouthCommonFileList)){
                    List<CommonFile> files=new ArrayList<>();
                    for (YcqYouthCommonFile ycqYouthCommonFile : ycqYouthCommonFileList) {
                        CommonFile commonFile = new CommonFile();
                        BeanUtils.copyProperties(ycqYouthCommonFile,commonFile);
                        files.add(commonFile);
                    }
                    ycqYouthStartAppVO.setFiles(files);
                }
            }

        }
        // 对查询结果进行重新排序
        List<YcqYouthStartAppVO> sortedList = ycqYouthStartVOPageRsp.getResult().stream()
                .sorted(Comparator.comparing(YcqYouthStartAppVO::getPriority, Comparator.reverseOrder()) // 优先级降序排序
                        .thenComparing(YcqYouthStartAppVO::getPublishTime, Comparator.reverseOrder())) // 时间降序排序
                .collect(Collectors.toList());



        ycqYouthStartVOPageRsp.setResult(sortedList);
        return Result.ofSuccess(ycqYouthStartVOPageRsp);
    }

    @Override
    public Result<String> doPageView(YcqYouthStartAppDTO dto) {
        if (dto.getId()==null){
            throw new BusinessException("id不能为空");
        }
        YcqYouthStart one = ycqYouthStartRepo.getOne(dto.getId());
        one.setViewCount(one.getViewCount()+1);
        return Result.ofSuccess();
    }
}
