package com.crunii.micro.service.qzh.task;

import com.crunii.micro.platform.components.Locker;
import com.crunii.micro.service.qzh.jdbc.activitypublish.PublishActivityDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

@Component
public class ActivityScheduleTask {

    @Resource
    private PublishActivityDao activityDao;

    @Autowired
    private Locker locker;

    private final String ACTIVITY_START_LOCK = "ACTIVITY_START_LOCK";

    private final String ACTIVITY_NED_LOCK = "ACTIVITY_NED_LOCK";
    @Resource
    private RedisTemplate<String, Object> redisTemplate;

    //@Scheduled(fixedRate = 60000) // 每分钟执行一次，60000毫秒 = 60秒
    public void start() throws InterruptedException {
        Boolean aBoolean = redisTemplate.opsForValue().setIfAbsent(ACTIVITY_START_LOCK, 1, 60, TimeUnit.SECONDS);
        if (aBoolean){
            activityDao.autoStartActivity();
        }
    }

    //@Scheduled(fixedRate = 60000) // 每分钟执行一次，60000毫秒 = 60秒
    public void end() throws InterruptedException {
        Boolean aBoolean = redisTemplate.opsForValue().setIfAbsent(ACTIVITY_NED_LOCK, 1, 60, TimeUnit.SECONDS);
        if (aBoolean){
            activityDao.autoStopActivity();
        }
    }


}
