package com.crunii.micro.service.qzh.util;

import com.crunii.micro.domain.entity.main.YcqQzhBusinessAll;
import com.crunii.micro.domain.entity.main.document.YcqQzhAnnex;
import com.crunii.micro.domain.entity.main.document.YcqQzhCover;
import com.crunii.micro.service.qzh.api.domain.dto.document.AnnexDto;
import com.crunii.micro.service.qzh.api.domain.dto.document.CoverImageDto;

/**
 * @program: microservice
 * @description: 政策公告风采公用附件图片封装工具
 * @author: xiang xin
 * @create: 2023-09-19 10:13
 */
public class PictureEncapsulationUtil {
    /**
     * @Description: 图片
     * @Param:
     * @return:
     * @Author: xiang xin
     * @Date: 2023/9/19
     */
    public static YcqQzhAnnex doCrateConverter(AnnexDto annexDto) {
        if (annexDto == null) {
            return null;
        }
        YcqQzhAnnex ycqQzhAnnex = new YcqQzhAnnex();
        ycqQzhAnnex.setFileId(annexDto.getFileId());
        ycqQzhAnnex.setFileName(annexDto.getFileName());
        ycqQzhAnnex.setFileKey(annexDto.getFileKey());
        ycqQzhAnnex.setFileType(annexDto.getFileType());
        if (annexDto.getFileSize() != null) {
            ycqQzhAnnex.setFileSize(annexDto.getFileSize());
        }
        ycqQzhAnnex.setFileUrl(annexDto.getFileUrl());

        return ycqQzhAnnex;
    }

    public static AnnexDto doAnnexDtoConverter(YcqQzhAnnex ycqQzhAnnex) {
        if (ycqQzhAnnex == null) {
            return null;
        }
        AnnexDto annexDto = new AnnexDto();
        annexDto.setFileId(ycqQzhAnnex.getFileId());
        annexDto.setFileKey(ycqQzhAnnex.getFileKey());
        annexDto.setFileName(ycqQzhAnnex.getFileName());
        if (ycqQzhAnnex.getFileSize() != null) {
            annexDto.setFileSize(ycqQzhAnnex.getFileSize());
        }
        annexDto.setFileType(ycqQzhAnnex.getFileType());
        annexDto.setFileUrl(ycqQzhAnnex.getFileUrl());

        return annexDto;
    }

    /**
     * @Description: 附件
     * @Param:
     * @return:
     * @Author: xiang xin
     * @Date: 2023/9/19
     */
    public static YcqQzhCover doCrateConverter(CoverImageDto coverDto) {
        if (coverDto == null) {
            return null;
        }
        YcqQzhCover ycqQzhCover = new YcqQzhCover();
        ycqQzhCover.setFileId(coverDto.getFileId());
        ycqQzhCover.setFileName(coverDto.getFileName());
        ycqQzhCover.setFileKey(coverDto.getFileKey());
        ycqQzhCover.setFileType(coverDto.getFileType());
        if (coverDto.getFileSize() != null) {
            ycqQzhCover.setFileSize(Integer.parseInt(coverDto.getFileSize()));
        }
        ycqQzhCover.setFileUrl(coverDto.getFileUrl());
        ycqQzhCover.setPicHeight(coverDto.getPicHeight());
        ycqQzhCover.setPicWidth(coverDto.getPicWidth());

        return ycqQzhCover;
    }

    public static CoverImageDto doCoverRsp(YcqQzhCover coverDto) {
        if (coverDto == null) {
            return null;
        }
        CoverImageDto coverImageDto = new CoverImageDto();
        coverImageDto.setFileId(coverDto.getFileId());
        coverImageDto.setFileKey(coverDto.getFileKey());
        coverImageDto.setFileName(coverDto.getFileName());
        if (coverDto.getFileSize() != null) {
            coverImageDto.setFileSize(String.valueOf(coverDto.getFileSize()));
        }
        coverImageDto.setFileType(coverDto.getFileType());
        coverImageDto.setFileUrl(coverDto.getFileUrl());
        coverImageDto.setPicHeight(coverDto.getPicHeight());
        coverImageDto.setPicWidth(coverDto.getPicWidth());

        return coverImageDto;
    }
}
