package com.crunii.micro.service.qzh.utils;

import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
/**
 * @description: 属性复制工具类
 * @author: limy
 * @date: 2023/9/27 16:51
 **/
@Component
public class BeanCopyUtil {


    public <T> T copyObject(Object source, Class<T> clazz) {
        T t = null;
        try {
            t = clazz.newInstance();
            BeanUtils.copyProperties(source, t);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return t;
    }

    public <T> List<T> copyList(List sources, Class<T> clazz) {
        ArrayList<T> list = new ArrayList<T>();
        try {
            for (Object source : sources) {
                T t = clazz.newInstance();
                BeanUtils.copyProperties(source, t);
                list.add(t);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return list;
    }

}

