package com.crunii.micro.service.qzh.utils;

import java.util.List;

public class MemoryPageUtil {

    private MemoryPageUtil(){}

    public static <T> List<T> getPage(List<T> list, int currentPage, int pageSize) {
        int startIndex = (currentPage - 1) * pageSize;
        int endIndex = Math.min(startIndex + pageSize, list.size());
        return list.subList(startIndex, endIndex);
    }
}
