package com.crunii.micro.service.qzh.utils;

import com.itextpdf.text.Element;
import com.itextpdf.text.Rectangle;
import com.itextpdf.text.pdf.*;

import javax.swing.*;
import java.awt.*;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @Author: zwx
 * @CreateTime: 2023-11-17  14:13:47
 * @Description: TODO
 */
public class PDFAddWatermark {

    public static ByteArrayOutputStream addWatermarkToPDF(InputStream inputStream, String watermarkText) {
        try {
            int textH = 75;
            int textW = 170;
            int interval = 27;

            PdfReader reader = new PdfReader(inputStream);
            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
            PdfStamper stamper = new PdfStamper(reader, outputStream);
            BaseFont base = BaseFont.createFont("/font/华文中宋.ttf",BaseFont.IDENTITY_H, BaseFont.EMBEDDED);
            PdfGState gs = new PdfGState();
            gs.setFillOpacity(0.2f);
            gs.setStrokeOpacity(0.4f);
            int total = reader.getNumberOfPages() + 1;
            JLabel label = new JLabel();
            label.setText(watermarkText);
            PdfContentByte under;
            Rectangle pageRect = null;
            FontMetrics metrics;
            label.setText(watermarkText);
            metrics = label.getFontMetrics(label.getFont());

            for (int i = 1; i < total; i++) {
                pageRect = reader.getPageSizeWithRotation(i);
                under = stamper.getOverContent(i);
                under.saveState();
                under.setGState(gs);
                under.beginText();
                under.setFontAndSize(base, 17);

                for (int height = interval + textH; height < pageRect.getHeight(); height = height + textH * 3) {
                    for (int width = interval + textW; width < pageRect.getWidth() + textW; width = width + textW * 2) {
                        under.showTextAligned(Element.ALIGN_LEFT, watermarkText, width - textW, height - textH, 30);
                    }
                }
                under.endText();
            }

            stamper.close();
            reader.close();
            return outputStream;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
