package com.crunii.micro.service.qzh.utils;

import net.sourceforge.pinyin4j.PinyinHelper;
import org.apache.commons.lang3.StringUtils;

/**
 * @ClassName PinyinUtil
 * @Description 汉字转拼音首字母
 * @Author Jiang
 * @Date 2023/10/16
 * @Version 1.0
 */
public class PinyinUtil {

    /**
     * 返回中文的首字母
     *
     * @param str
     * @return
     */
    public static String getPinyinInitials(String str) {

        String convert = "";
        for (int j = 0; j < str.length(); j++) {
            char word = str.charAt(j);
            String[] pinyinArray = PinyinHelper.toHanyuPinyinStringArray(word);
            if (pinyinArray != null) {
                convert += pinyinArray[0].charAt(0);
            } else {
                convert += word;
            }
        }
        return StringUtils.removePattern(convert.toUpperCase(), "[^a-zA-Z0-9]");
    }

}
