package com.crunii.micro.service.qzh.utils;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.function.Function;
import java.util.stream.Collectors;

public class TreeUtil {

    public static <K, S> List<S> buildTree(List<S> source, Function<S, K> getCode, Function<S, K> getParentCode, Function<S, List<S>> getChildren){
        Map<K, S> collect = source.stream().collect(Collectors.toMap(getCode, Function.identity()));
        List<S> result = new ArrayList<>();
        source.forEach(item -> {
            S s = collect.get(getParentCode.apply(item));
            if (null == s){
                result.add(item);
            }else {
                getChildren.apply(s).add(item);
            }
        });

        return result;
    }
}
