package com.crunii.micro.service.record.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.record.dto.DoneConditionVo;
import com.crunii.micro.service.record.service.RecordEventsService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;


/**
 * @author: LG
 * @date: 2023/6/25 15:31
 */
@Api(tags = "纪实系统")
@RestController
@RequestMapping("/public/RecordEventsController")
public class PublicRecordEventsController {

    @Resource
    private RecordEventsService recordEventsService;

    @ApiOperation(value = "完成情况天数")
    @RequestMapping(path = "/doneCondition", method = RequestMethod.GET)
    @ResponseBody
    public Result<DoneConditionVo> doneCondition(@CurrWorker  @ApiIgnore Worker worker){
        return Result.ofSuccess(recordEventsService.doneCondition(worker));
    }

}
