package com.crunii.micro.service.record.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/7/11 14:24
 */
@Data
@ApiModel("个人修改信息回显vo")
public class EchoPersonalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户头像图片key")
    private String headPortraitPicKey;

    @ApiModelProperty("姓名")
    private String workerName;

    @ApiModelProperty("系统直属")
    private Integer registrationSystem;

    @ApiModelProperty("系统直属翻译")
    @PropertyTranslate(propertyCode = "registrationSystem",valueFiled = "registrationSystem")
    private String registrationSystemText;

    @ApiModelProperty(value = "身份类别（静态值）")
    private Integer identityCategory;

    @ApiModelProperty(value = "身份类别翻译")
    private String identityCategoryText;

    @ApiModelProperty("团组织")
    private String orgId;

    @ApiModelProperty("团组织翻译")
    private String orgIdText;

    @ApiModelProperty("职务")
    private String position;

}
