package com.crunii.micro.service.record.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/6/25 16:54
 */
@Data
@ApiModel("修改个人信息入参")
public class ModifyPersonalInformationDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户头像图片key")
    private String headPortraitPicKey;

    @ApiModelProperty("姓名")
    @NotBlank(message = "请输入用户姓名")
    private String userName;

    @ApiModelProperty("系统直属")
    @NotBlank(message = "请选系统直属")
    private String registrationSystem;

    @ApiModelProperty("所属组织")
    @NotBlank(message = "请选所属组织")
    private String leagueCode;

    @ApiModelProperty(value = "身份类别（静态值）")
    @NotBlank(message = "请选身份类别")
    private String identityCategory;

    @ApiModelProperty("职务")
    @NotBlank(message = "请输入职务")
    private String position;

    @ApiModelProperty("验证码")
    private String captcha;

    @ApiModelProperty("验证码Key，验证码图片header captchaKey的值")
    private String captchaKey;


}
