package com.crunii.micro.service.record.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/6/28 16:23
 */
@Data
@ApiModel("纪实数据统计列表查询Vo")
public class StatisticalListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("任务id")
    private Long eventsId;

    @ApiModelProperty("图片url")
    private List<String> picUrls;

    @ApiModelProperty("事项描述")
    private String transactionDescription;

    @ApiModelProperty("任务日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date taskTime;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("任务类别（静态值）")
    private Integer taskType;

    @ApiModelProperty("覆盖人数")
    private Integer coverPeople;

    @ApiModelProperty("联系天数（静态值）")
    private Integer contactDays;

    @ApiModelProperty("地点名称")
    private String placeName;

}
