package com.crunii.micro.service.record.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.crunii.micro.core.annotation.PropertyTranslate;
import com.crunii.micro.service.record.utils.MyUrlConverterUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.poi.ss.usermodel.HorizontalAlignment;

import java.io.Serializable;
import java.net.URL;
import java.util.Date;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/7/3 15:28
 */
@Data
@ApiModel("excel数据导出实体")
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@HeadStyle(horizontalAlignment = HorizontalAlignment.CENTER)
@ContentStyle(horizontalAlignment = HorizontalAlignment.CENTER)
@ContentRowHeight(100)
@ColumnWidth(100 / 8)
public class TaskLookOverExcel implements Serializable {
        private static final long serialVersionUID = 1L;


        @ApiModelProperty("团干部姓名")
        @ExcelProperty(value = "团干部姓名",index = 0)
        private String uploadWorkerName;

        @ApiModelProperty("系统直属")
        @ExcelIgnore
        private Integer registrationSystem;

        @ApiModelProperty("系统直属翻译")
        @ExcelProperty(value = "系统直属",index = 1)
        @PropertyTranslate(propertyCode = "registrationSystem",valueFiled = "registrationSystem")
        private String registrationSystemText;

        @ApiModelProperty("团组织")
        @ExcelIgnore
        private String orgId;

        @ApiModelProperty("团组织翻译")
        @ExcelProperty(value = "所属团组织/机关部门",index = 2)
//        @PropertyTranslate(propertyCode = "leagueCode",valueFiled = "orgId")
        private String orgIdText;

        @ApiModelProperty("任务id")
        @ExcelIgnore
        private String eventsId;

        @ApiModelProperty("打卡任务日期时间")
        @ExcelProperty(value = "打卡时间",index = 3)
        private String taskTime;

        @ApiModelProperty("事项描述")
        @ExcelProperty(value = "事项描述",index = 6)
        private String transactionDescription;


        @ApiModelProperty("任务类别（静态值）")
        @ExcelIgnore
        private Integer taskType;

        @ApiModelProperty("任务类别翻译")
        @ExcelProperty(value = "服务类型",index = 5)
        @PropertyTranslate(propertyCode = "taskTypeRecordEvents",valueFiled = "taskType")
        private String taskTypeText;

        @ApiModelProperty("服务覆盖人次")
        @ExcelProperty(value = "服务覆盖人次",index = 8)
        private Integer coverPeople;

        @ApiModelProperty("覆盖基层青年人次")
        @ExcelProperty(value = "覆盖基层青年人次",index = 9)
        private Integer coverPeopleYoung;

        @ApiModelProperty("覆盖团干部人次")
        @ExcelProperty(value = "覆盖团干部人次",index = 10)
        private Integer coverGroupPeople;

        @ApiModelProperty("联系天数（静态值）")
        @ExcelIgnore
        private Double contactDays;

        @ApiModelProperty("联系天数翻译")
        @ExcelProperty(value = "联系天数" ,index = 7)
        private String contactDaysText;

        @ApiModelProperty("任务地点名称")
        @ExcelProperty(value = "任务地点" ,index = 4)
        private String placeName;

        @ExcelProperty(value = "现场照片", index = 11, converter = MyUrlConverterUtil.class)
        private List<URL> picUrl;

}
