package com.crunii.micro.service.record.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/6/27 17:00
 */
@Data
@ApiModel("个人任务查看Vo")
public class TaskLookOverVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("序号")
    private Integer sequenceNumber;

    @ApiModelProperty("团干部姓名")
    private String uploadWorkerName;

    @ApiModelProperty("系统直属")
    private Integer registrationSystem;

    @ApiModelProperty("系统直属翻译")
    @PropertyTranslate(propertyCode = "registrationSystem",valueFiled = "registrationSystem")
    private String registrationSystemText;

    @ApiModelProperty("团组织")
    private String orgId;

    @ApiModelProperty("团组织翻译")
//    @PropertyTranslate(propertyCode = "leagueCode",valueFiled = "orgId")
    private String orgIdText;

    @ApiModelProperty("任务id")
    private String eventsId;

    @ApiModelProperty("文件信息")
    private List<ObsFileVo> fileInfo;

    @ApiModelProperty("事项描述")
    private String transactionDescription;

    @ApiModelProperty("打卡任务日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date taskTime;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("任务类别（静态值）")
    private Integer taskType;

    @ApiModelProperty("任务类别翻译")
    @PropertyTranslate(propertyCode = "taskTypeRecordEvents",valueFiled = "taskType")
    private String taskTypeText;

    @ApiModelProperty("覆盖人数(选择交流谈心时，作为覆盖基层青年人)")
    private Integer coverPeople;

    @ApiModelProperty("覆盖人数（覆盖团干部人次）")
    private Integer coverGroupPeople;

    @ApiModelProperty("联系天数")
    private Double contactDays;

    @ApiModelProperty("任务地点名称")
    private String placeName;

    @ApiModelProperty("职务")
    private String position;

}
