package com.crunii.micro.service.record.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/6/26 16:37
 */
@Data
@ApiModel("任务打卡入参")
public class TaskPunchDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("任务id")
    private String eventsId;

    @ApiModelProperty("任务日期时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8" )
    @NotNull(message = "请填任务时间")
    private Date taskTime;

    @ApiModelProperty("经度")
    @NotBlank(message = "请传入经度")
    private String longitude;

    @ApiModelProperty("纬度")
    @NotBlank(message = "请传入纬度")
    private String latitude;

    @ApiModelProperty("地点名称")
    @NotBlank(message = "请填入地点名称")
    private String placeName;

    @ApiModelProperty("事项描述")
    @NotBlank(message = "请填入事项描述")
    private String transactionDescription;

    @ApiModelProperty("类别（静态值）")
    @NotNull(message = "请选任务类别")
    private String taskType;

    @ApiModelProperty("覆盖人数(选择交流谈心时，作为覆盖基层青年人)")
    @NotNull(message = "请选服务覆盖人次")
    private String coverPeople;

    @ApiModelProperty("覆盖人数（覆盖团干部人次）")
    private String coverGroupPeople;

    @ApiModelProperty("联系天数")
    @NotNull(message = "请选联系天数")
    private String contactDays;

    @ApiModelProperty("上传图片")
    private List<String> picIds;

}
