package com.crunii.micro.service.record.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.record.dto.*;

import java.net.MalformedURLException;
import java.util.List;


/**
 * @author: LG
 * @date: 2023/6/25 17:17
 */
public interface RecordEventsService {


    /**
     * 修改个人信息
     * @param worker
     * @param modifyPersonalInformationDto
     * @return
     */
    Result<Object>  updatePersonalInformation(Worker worker, ModifyPersonalInformationDto modifyPersonalInformationDto);


    /**
     * 上传打卡任务
     * @param worker
     * @param taskPunchDto
     * @return
     */
    Result<Object> saveEventTask(Worker worker, TaskPunchDto taskPunchDto);

    /**
     * 查看任务列表
     * @param worker
     * @param keyWord
     * @return
     */
    PageRsp<TaskLookOverVo> taskLookOver(Worker worker, PageReq<Object> keyWord);

    /**
     * 完成天数情况
     * @param worker
     * @return
     */
    DoneConditionVo doneCondition (Worker worker);

    /**
     * 纪实数据统计列表查询
     * @param req
     * @return
     */
    PageRsp<TaskLookOverVo> statisticalList(PageReq<StatisticalListDto> req);

    /**
     * 个人信息修改校验
     * @param worker
     * @return
     */
    Result informationModificationCheck(Worker worker);

    /**
     * excel导出
     * @param eventsIds
     * @return
     * @throws MalformedURLException
     */
    List<TaskLookOverExcel> excelOutPut(List<String> eventsIds ) throws MalformedURLException;

    /**
     * 团组织查询
     * @return
     */
    List<LeagueCodeVo> queryLeagueCode();


    /**
     * 个人修改信息回显
     * @param worker
     * @return
     */
    EchoPersonalVo echoPersonalInformation(Worker worker);
}
