package com.crunii.mircro.service.redscarf.constants;

/**
 * @author baoxy
 * @date 2023-09-04
 */
public class RedscarfConstants {

    /**
     * 已删除
     */
    public static final Integer DELETED = 1;

    /**
     * 未删除
     */
    public static final Integer NOT_DELETED = 0;

    /**
     * 学期课程查看：全部
     */
    public static final String ALL_SEMESTER = "0";

    /**
     * 学期课程查看：已完成
     */
    public static final String COMPLETE_SEMESTER = "1";

    /**
     * 学期课程查看：未完成
     */
    public static final String UNFINISHED_SEMESTER = "-1";

    /**
     * 数字为1的Integer类型
     */
    public static final Integer ONE_INTEGER = 1;

    /**
     * 数字为0的Integer类型
     */
    public static final Integer ZERO_INTEGER = 0;

    /**
     * 数字为1的String类型
     */
    public static final String ONE_STRING = "1";

    /**
     * 通过的文字字样
     */
    public static final String PASS_FIELD = "通过";

    /**
     * 未通过的文字字样
     */
    public static final String NOT_PASS_FIELD = "未通过";

    /**
     * 第的文字字样
     */
    public static final String ORDINAL = "第";

    /**
     * 学季季度文字
     */
    public static final String QUARTER = "季度";

    /**
     * 特辑文字字样
     */
    public static final String SPECIAL_EDITION = "特辑";

    /**
     * 学“期”文字
     */
    public static final String SEMESTER = "期";

    /**
     * 中队的汉字字样
     */
    public static final String DETACHMENT_NAME = "中队";

    /**
     * 长度为50
     */
    public static final int LENGTH_FIFTY = 50;

    /**
     * 区县权限
     */
    public static final int ROLE_TYPE_2 = 2;

    /**
     * 学校权限
     */
    public static final int ROLE_TYPE_3 = 3;

    /**
     * 中队权限
     */
    public static final int ROLE_TYPE_4 = 4;

    /**
     * 拼接学季
     *
     * @param quarter
     * @return
     */
    public static String checkQuarter(String quarter) {
        // 学季有特辑这个特殊字样,因此这里需要判断:如果为特辑直接返回特辑即可,如果为数字的汉字(一,二,三),则需要拼接字段为第一季度
        return RedscarfConstants.SPECIAL_EDITION.equals(quarter) ? RedscarfConstants.SPECIAL_EDITION :
                RedscarfConstants.ORDINAL + quarter + RedscarfConstants.QUARTER;
    }

    /**
     * 拼接学期
     *
     * @param semester
     * @return
     */
    public static String checkSemester(String semester) {
        // 学期有特辑这个特殊字样,因此这里需要判断:如果为特辑直接返回特辑即可,如果为数字的汉字(一,二,三),则需要拼接字段为第一学期
        return RedscarfConstants.SPECIAL_EDITION.equals(semester) ? RedscarfConstants.SPECIAL_EDITION :
                RedscarfConstants.ORDINAL + semester + RedscarfConstants.SEMESTER;
    }
}
