package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: LG
 * @date: 2023/9/1 10:51
 */
@Data
@ApiModel("录入学生信息DTO")
public class SaveStudentInformationDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学生名字")
    @NotBlank
    private String stuName;

    @ApiModelProperty("学生身份证号")
    @NotBlank
    private String stuIdCard;

    @ApiModelProperty("区域名称")
    @NotBlank
    private String areaName;

    @ApiModelProperty("学校名称")
    @NotBlank
    private String schoolName;

    @ApiModelProperty("年级")
    @NotNull
    private Integer classGrade;

    @ApiModelProperty("中队")
    @NotBlank
    private String detachment;


}
