package com.crunii.mircro.service.redscarf.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-05
 */
@Data
@ApiModel(description = "学校权限列表传入实体类")
public class SchoolAccessDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "年级列表(传数字,例如2022,,2023)")
    private List<String> classGrade;

    @ApiModelProperty(value = "中队列表(填一,二,三...)")
    private List<String> squadron;

    @ApiModelProperty(value = "学季列表(传id)")
    private List<String> quarter;

    @ApiModelProperty(value = "学期列表(传id)")
    private List<String> semester;

    @ApiModelProperty(value = "操作类型(全部不传值,未审核传0,已审核传1)")
    private String operateType;

    @ApiModelProperty(value = "学校名称")
    private String school;
}
