package com.crunii.mircro.service.redscarf.domain.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-08
 */
@Data
@ApiModel(description = "学校权限列表导出实体类")
public class SchoolAccessExcel implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "年级")
    @ExcelProperty(value = "年级",index = 0)
    private Integer classGrade;

    @ApiModelProperty(value = "中队")
    @ExcelProperty(value = "中队",index = 1)
    private String squadron;

    @ApiModelProperty(value = "学季")
    @ExcelProperty(value = "学季",index = 2)
    private String quarter;

    @ApiModelProperty(value = "学期")
    @ExcelProperty(value = "学期",index = 3)
    private String semester;

    @ApiModelProperty(value = "参学率")
    @ExcelProperty(value = "参学率",index = 4)
    private String learnRate;

    @ApiModelProperty(value = "学季主题名称")
    @ExcelIgnore
    private String quarterThemeName;

    @ApiModelProperty(value = "学期主题名称")
    @ExcelIgnore
    private String semesterThemeName;
}
