package com.crunii.mircro.service.redscarf.domain.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-08
 */
@Data
@ApiModel(description = "中队详情列表的导出实体类")
public class SquadronDetailsExcel implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "姓名")
    @ExcelProperty(value = "姓名",index = 0)
    private String name;

    @ApiModelProperty(value = "学季")
    @ExcelProperty(value = "学季",index = 1)
    private String quarter;

    @ApiModelProperty(value = "学期")
    @ExcelProperty(value = "学期",index = 2)
    private String semester;

    @ApiModelProperty(value = "是否学习(1是,0否)")
    @ExcelIgnore
    private Integer isLearn;

    @ApiModelProperty(value = "是否学习导出字段(1是,0否)")
    @ExcelProperty(value = "是否学习",index = 3)
    private String isLearnExcel;

    @ApiModelProperty(value = "学季主题名称")
    @ExcelIgnore
    private String quarterThemeName;

    @ApiModelProperty(value = "学期主题名称")
    @ExcelIgnore
    private String semesterThemeName;
}
