package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @author baoxy
 * @date 2023-09-09
 */
@Entity
@Table(name = "ycq_redscarf_collective_Learn")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "collectiveLearnId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "红领巾学生集体学习表")
public class YcqRedscarfCollectiveLearn {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "collective_Learn_id")
    @ApiModelProperty(value = "主键id")
    private Long collectiveLearnId;

    @Column(name = "login_id")
    @ApiModelProperty(value = "用户id")
    private Integer loginId;

    @Column(name = "quarter_id")
    @ApiModelProperty(value = "学季id")
    private Long quarterId;

    @Column(name = "semester_id")
    @ApiModelProperty(value = "学期id")
    private Long semesterId;

    @Column(name = "create_time")
    @ApiModelProperty(value = "集体学习开始时间")
    private Date createTime;

    @Column(name = "location")
    @ApiModelProperty(value = "地点")
    private String location;

    @Column(name = "school_name")
    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @Column(name = "class_grade")
    @ApiModelProperty(value = "年级")
    private Integer classGrade;

    @Column(name = "detachment")
    @ApiModelProperty(value = "中队")
    private String detachment;

    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除(1删除,0没删除)")
    private Integer deleted;

    @Column(name = "is_examine")
    @ApiModelProperty(value = "是否审核(1已审核,0未审核)")
    private Integer isExamine;

    @Column(name = "examine_state")
    @ApiModelProperty(value = "审核状态(1已通过,0未通过)")
    private Integer examineState;
}
