package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * @author baoxy
 * @date 2023-09-09
 */
@Entity
@Table(name = "ycq_redscarf_collective_Learn_pic")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "learnPicId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "红领巾学生集体学习图片表")
public class YcqRedscarfCollectiveLearnPic {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "learn_pic_id")
    @ApiModelProperty(value = "主键id")
    private Long learnPicId;

    @Column(name = "collective_Learn_id")
    @ApiModelProperty(value = "集体学习表的id")
    private Long collectiveLearnId;

    @Column(name = "file_key")
    @ApiModelProperty(value = "图片key")
    private String fileKey;

    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除(1删除,0没删除)")
    private Integer deleted;
}
