package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-04
 */

@Entity
@Table(name = "ycq_redscarf_quarter")
@NamedQuery(name = "YcqRedscarfQuarter.findAll", query = "SELECT t FROM YcqRedscarfQuarter t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"quarterId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "红领巾学季表")
public class YcqRedscarfQuarter implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "quarter_id")
    @ApiModelProperty(value = "主键id")
    private Long quarterId;

    @Column(name = "quarter")
    @ApiModelProperty(value = "学季季度")
    private String quarter;

    @Column(name = "quarter_theme_name")
    @ApiModelProperty(value = "季度主题名称")
    private String quarterThemeName;

    @Column(name = "sort")
    @ApiModelProperty(value = "排序")
    private Integer sort;

    @Column(name = "creator_name")
    @ApiModelProperty(value = "创建人姓名")
    private String creatorName;

    @Column(name = "updater_name")
    @ApiModelProperty(value = "更新人姓名")
    private String updaterName;

    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;

    @Column(name = "update_time")
    @ApiModelProperty(value = "更新时间")
    private java.util.Date updateTime;

    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除(0:未删除,1:已删除)")
    private Integer deleted;
}
