package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;

/**
 * @author: LG
 * @date: 2023/9/6 14:26
 */
@Entity
@Table(name = "ycq_redscarf_stu")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "redscarfId" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "红领巾用户学生表")
public class YcqRedscarfStu {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "redscarf_id")
    @ApiModelProperty(value = "主键id")
    private Long redscarfId;

    @Column(name = "login_id")
    @ApiModelProperty(value = "用户id")
    private Integer loginId;

    @Column(name = "area_name")
    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @Column(name = "school_name")
    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @Column(name = "class_grade")
    @ApiModelProperty(value = "年级")
    private Integer classGrade;

    @Column(name = "detachment")
    @ApiModelProperty(value = "中队")
    private String detachment;

    @Column(name = "stu_name")
    @ApiModelProperty(value = "学生名称")
    private String stuName;

    @Column(name = "stu_id_card")
    @ApiModelProperty(value = "学生身份证")
    private String stuIdCard;

    @Column(name = "pick_stu")
    @ApiModelProperty(value = "最后选中学生;1选中")
    private Integer pickStu;

    @Column(name = "creator_name")
    @ApiModelProperty(value = "创建人姓名")
    private String creatorName;

    @Column(name = "updater_name")
    @ApiModelProperty(value = "更新人姓名")
    private String updaterName;

    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除")
    private Integer deleted;
}
