package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @author: LG
 * @date: 2023/9/6 15:06
 */
@Entity
@Table(name = "ycq_redscarf_stu_record")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = { "stu_record_id" })
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "红领巾学生学习学期完成表")
public class YcqRedscarfStuRecord {

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "stu_record_id")
    @ApiModelProperty(value = "主键id")
    private Long stuRecordId;

    @Column(name = "quarter_id")
    @ApiModelProperty(value = "学季id")
    private Long quarterId;

    @Column(name = "redscarf_id")
    @ApiModelProperty(value = "学生id")
    private Long redscarfId;

    @Column(name = "semester_id")
    @ApiModelProperty(value = "学期id")
    private Long semesterId;

    @Column(name = "creator_name")
    @ApiModelProperty(value = "创建人姓名")
    private String creatorName;

    @Column(name = "updater_name")
    @ApiModelProperty(value = "更新人姓名")
    private String updaterName;

    @Column(name = "create_time")
    @ApiModelProperty(value = "学习完成时间")
    private Date createTime;

    @Column(name = "deleted")
    @ApiModelProperty(value = "是否删除")
    private Integer deleted;
}
