package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-05
 */

@Entity
@Table(name = "ycq_redscarf_stu_test")
@NamedQuery(name = "YcqRedscarfStuTest.findAll", query = "SELECT t FROM YcqRedscarfStuTest t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"stuTestId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "红领巾学生数量测试表")
public class YcqRedscarfStuTest implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "stu_test_id")
    @ApiModelProperty(value = "主键id")
    private String stuTestId;

    @Column(name = "area_name")
    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @Column(name = "school_name")
    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @Column(name = "grade")
    @ApiModelProperty(value = "年级")
    private Integer grade;

    @Column(name = "detachment")
    @ApiModelProperty(value = "中队")
    private String detachment;

    @Column(name = "stu_num")
    @ApiModelProperty(value = "学生数量")
    private Integer stuNum;
}
