package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-09-08
 */

@Entity
@Table(name = "ycq_redscarf_worker_role_test")
@NamedQuery(name = "YcqRedscarfWorkerRoleTest.findAll", query = "SELECT t FROM YcqRedscarfWorkerRoleTest t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"roleTestId"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "红领巾爱学习用户权限测试表")
public class YcqRedscarfWorkerRoleTest implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "role_test_id")
    @ApiModelProperty(value = "主键id")
    private Long roleTestId;

    @Column(name = "login_id")
    @ApiModelProperty(value = "工号id")
    private int loginId;

    @Column(name = "worker_name")
    @ApiModelProperty(value = "姓名")
    private String workerName;

    @Column(name = "area_name")
    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @Column(name = "school_name")
    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @Column(name = "class_grade")
    @ApiModelProperty(value = "年级")
    private Integer classGrade;

    @Column(name = "detachment")
    @ApiModelProperty(value = "中队")
    private String detachment;

    @Column(name = "role_type")
    @ApiModelProperty(value = "1:市级,2:区县,3:学校,4:中队")
    private int roleType;
}
