package com.crunii.micro.service.redscarf.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.redscarf.service.CommonListService;
import com.crunii.micro.web.mvc.CurrWorker;
import com.crunii.mircro.service.redscarf.domain.dto.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-11
 */
@Api(tags = "公共下拉框列表接口")
@RestController
@RequestMapping("/auth/CommonListController")
public class CommonListController {

    @Resource
    private CommonListService commonListService;

    @ApiOperation(value = "查询学季下拉框接口")
    @RequestMapping(path = "/searchQuarter", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<SearchQuarterVO>> searchQuarter() {
        return Result.ofSuccess(commonListService.searchQuarter());
    }

    @ApiOperation(value = "查询学期下拉框接口")
    @RequestMapping(path = "/searchSemester", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<SearchSemesterVO>> searchSemester(@RequestBody SearchSemesterDTO dto) {
        return Result.ofSuccess(commonListService.searchSemester(dto));
    }

    @ApiOperation(value = "查询区县下拉框接口")
    @RequestMapping(path = "/searchCounty", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<SearchCountyVO>> searchCounty() {
        return Result.ofSuccess(commonListService.searchCounty());
    }

    @ApiOperation(value = "查询学校下拉框接口")
    @RequestMapping(path = "/searchSchool", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<SearchSchoolVO>> searchSchool(@RequestBody SearchSchoolDTO dto, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(commonListService.searchSchool(dto, worker));
    }

    @ApiOperation(value = "查询年级下拉框接口")
    @RequestMapping(path = "/searchClassGrade", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<SearchClassGradeVO>> searchClassGrade(@RequestBody SearchClassGradeDTO dto, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(commonListService.searchClassGrade(dto, worker));
    }

    @ApiOperation(value = "查询中队下拉框接口")
    @RequestMapping(path = "/searchSquadron", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<SearchSquadronVO>> searchSquadron(@RequestBody SearchSquadronDTO dto, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(commonListService.searchSquadron(dto, worker));
    }

    @ApiOperation(value = "查询学生姓名下拉框接口")
    @RequestMapping(path = "/searchStudent", method = RequestMethod.POST)
    @ResponseBody
    public Result<List<SearchStudentVO>> searchStudent(@RequestBody SearchStudentDTO dto, @CurrWorker  @ApiIgnore Worker worker) {
        return Result.ofSuccess(commonListService.searchStudent(dto, worker));
    }
}
