package com.crunii.micro.service.redscarf.controller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.redscarf.service.LearnRecordService;
import com.crunii.mircro.service.redscarf.domain.dto.LearnRecordDto;
import com.crunii.mircro.service.redscarf.domain.dto.LearnRecordVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author baoxy
 * @date 2024-01-04
 */
@Api(tags = "学习记录列表")
@RestController
@RequestMapping("/auth/LearnRecordController")
public class LearnRecordController {

    @Resource
    private LearnRecordService learnRecordService;

    @ApiOperation(value = "分页查询学习记录列表")
    @PostMapping("/pageLearnRecord")
    @ResponseBody
    public Result<PageRsp<LearnRecordVO>> pageLearnRecord(@RequestBody PageReq<LearnRecordDto> req) {
        return Result.ofSuccess(learnRecordService.pageLearnRecord(req));
    }

    @ApiOperation(value = "导出学习记录列表")
    @RequestMapping(path = "/exportLearnRecord", method = RequestMethod.POST)
    @ResponseBody
    public void exportLearnRecord(@RequestBody LearnRecordDto dto) {
        learnRecordService.exportLearnRecord(dto);
    }
}
