package com.crunii.micro.service.redscarf.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.mircro.service.redscarf.domain.dto.*;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author baoxy
 * @date 2023-09-11
 */
@Repository
public class CommonListDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    public static final String SEARCH_COUNTY_SQL = "select distinct area_name as county from ycq_redscarf_stu_test ";

    public static final String SEARCH_SCHOOL_SQL = "select distinct school_name as school from ycq_redscarf_stu_test " +
            "where area_name = ? ";

    public static final String SEARCH_CLASS_GRADE_SQL = "select distinct class_grade from ycq_redscarf_stu_test " +
            "where school_name = ? order by class_grade asc ";

    public static final String SEARCH_SQUADRON_SQL = "select distinct detachment as squadron from ycq_redscarf_stu_test " +
            "where school_name = ? ";

    public static final String SEARCH_STUDENT_SQL = "select distinct stu_name as name from ycq_redscarf_stu where school_name = ? " +
            "and class_grade = ? and detachment = ? ";

    public List<SearchCountyVO> searchCounty() {
        return jt.queryForBeans(SearchCountyVO.class, SEARCH_COUNTY_SQL);
    }

    public List<SearchSchoolVO> searchSchool(SearchSchoolDTO dto) {
        return jt.queryForBeans(SearchSchoolVO.class, SEARCH_SCHOOL_SQL, dto.getCounty());
    }

   public List<SearchClassGradeVO> searchClassGrade(SearchClassGradeDTO dto) {
        return jt.queryForBeans(SearchClassGradeVO.class, SEARCH_CLASS_GRADE_SQL, dto.getSchool());
    }

    public List<SearchSquadronVO> searchSquadron(SearchSquadronDTO dto) {
        return jt.queryForBeans(SearchSquadronVO.class, SEARCH_SQUADRON_SQL, dto.getSchool());
    }

    public List<SearchStudentVO> searchStudent(SearchStudentDTO dto) {
        return jt.queryForBeans(SearchStudentVO.class, SEARCH_STUDENT_SQL, dto.getSchool(), dto.getClassGrade(), dto.getSquadron());
    }

}
