package com.crunii.micro.service.redscarf.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.mircro.service.redscarf.constants.RedscarfConstants;
import com.crunii.mircro.service.redscarf.domain.dto.*;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/5 14:44
 */
@Repository
public class UserSideDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    public List<QueryLearnSeasonVO> queryLearnSeason(){
        String sql = "select * from YCQ_REDSCARF_QUARTER where deleted = 0 order by sort desc ,create_time desc";
        return jt.queryForBeans(QueryLearnSeasonVO.class,sql);
    }


    public void updateUserStudent(Worker worker, UserAddStudentDTO userAddStudentDTO){
        String sql = "update YCQ_REDSCARF_STU set pick_stu = 0 , updater_name = ? where deleted = 0 and login_id = ? and pick_stu = 1 ";
        jt.update(sql,worker.getWorkerName(),worker.getLoginId());
        String sql2 = "update YCQ_REDSCARF_STU set pick_stu = 1 ,updater_name = ? where deleted = 0 and login_id = ? and redscarf_id = ? ";
        jt.update(sql2,worker.getWorkerName(),worker.getLoginId(),Long.valueOf(userAddStudentDTO.getRedscarfId()));
    }

    public void deleteUserStudent(Worker worker, UserAddStudentDTO userAddStudentDTO){
        String sql = "update YCQ_REDSCARF_STU set deleted = 1 ,updater_name = ? where redscarf_id = ? ";
        jt.update(sql,worker.getWorkerName(),Long.valueOf(userAddStudentDTO.getRedscarfId()));
    }

    public void deleteStudentCourse(Long redScarfId){
        String sql = "delete from ycq_redscarf_stu_record where redscarf_id = ? ";
        jt.update(sql,redScarfId);
    }

    public List<SemesterDTO> queryStudentLearnSemester(QueryStudentLearnSemesterDTO queryStudentLearnSemesterDTO){
        if (RedscarfConstants.ALL_SEMESTER.equals(queryStudentLearnSemesterDTO.getSituation())){
            String sql = "select * from YCQ_REDSCARF_SEMESTER where deleted = 0 and quarter_id = ? order by sort desc ,create_time desc";
            return jt.queryForBeans(SemesterDTO.class,sql,Long.valueOf(queryStudentLearnSemesterDTO.getQuarterId()));
        }
        if (RedscarfConstants.COMPLETE_SEMESTER.equals(queryStudentLearnSemesterDTO.getSituation())){
            String sql = "select * from YCQ_REDSCARF_SEMESTER where semester_id in (select semester_id from YCQ_REDSCARF_STU_RECORD where deleted = 0 and quarter_id = ? and redscarf_id = ?) order by sort desc";
            return jt.queryForBeans(SemesterDTO.class,sql,Long.valueOf(queryStudentLearnSemesterDTO.getQuarterId()), Long.valueOf(queryStudentLearnSemesterDTO.getRedscarfId()));
        }
        if (RedscarfConstants.UNFINISHED_SEMESTER.equals(queryStudentLearnSemesterDTO.getSituation())){
            String sql = "select * from YCQ_REDSCARF_SEMESTER where semester_id not in (select semester_id from YCQ_REDSCARF_STU_RECORD where deleted = 0 and quarter_id = ? and redscarf_id = ?) and deleted = 0 and quarter_id = ? order by sort desc";
            return jt.queryForBeans(SemesterDTO.class,sql,Long.valueOf(queryStudentLearnSemesterDTO.getQuarterId()), Long.valueOf(queryStudentLearnSemesterDTO.getRedscarfId()),Long.valueOf(queryStudentLearnSemesterDTO.getQuarterId()));
        }
        List<SemesterDTO> empty = new ArrayList<>(0);
        return empty;
    }

     public List<QueryStudentInformationVO> queryUserStudent(Worker worker){
        String sql  = "select * from YCQ_REDSCARF_STU where deleted = 0 and login_id = ? ";
        return jt.queryForBeans(QueryStudentInformationVO.class,sql,worker.getLoginId());
    }

    public WhetherSchoolVO whetherSchoolInformation(Worker worker){
        String sql = "select * from YCQ_REDSCARF_STU where deleted = 0 and login_id = ? and pick_stu = 1 limit 1";
        return jt.queryForBean(WhetherSchoolVO.class,sql,worker.getLoginId());
    }

    public int checkRepeatStuRecord(String redscarfId, String quarterId, String semesterId) {
        String sql = "select count(1) from ycq_redscarf_stu_record where redscarf_id = ? and quarter_id = ? and " +
                "semester_id = ? ";
        return jt.queryForInt(sql, redscarfId, quarterId, semesterId);
    }
}
