package com.crunii.micro.service.redscarf.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.mircro.service.redscarf.domain.dto.*;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletResponse;

/**
 * @author baoxy
 * @date 2023-09-02
 */
public interface LearnDataService {
    PageRsp<CityAccessVO> pageSearchCityAccess(PageReq<CityAccessDTO> req, Worker worker);

    PageRsp<CountyAccessVO> pageSearchCountyAccess(PageReq<CountyAccessDTO> req, Worker worker);

    PageRsp<SchoolAccessVO> pageSearchSchoolAccess(@RequestBody PageReq<SchoolAccessDTO> req, Worker worker);

    PageRsp<SquadronAccessVO> pageSearchSquadronAccess(@RequestBody PageReq<SquadronAccessDTO> req, Worker worker);

    PageRsp<SquadronDetailsVO> pageSearchSquadronDetails(@RequestBody PageReq<SquadronDetailsDTO> req, Worker worker);

    void exportCityAccess(HttpServletResponse response, CityAccessDTO dto, Worker worker);

    void exportCountyAccess(HttpServletResponse response, CountyAccessDTO dto, Worker worker);

    void exportSchoolAccess(HttpServletResponse response, SchoolAccessDTO dto, Worker worker);

    void exportSquadronAccess(HttpServletResponse response, SquadronAccessDTO dto, Worker worker);

    void exportSquadronDetails(HttpServletResponse response, SquadronDetailsDTO dto, Worker worker);

    WorkerAccessVO workerAccess(Worker worker);
}
