package com.crunii.micro.service.redscarf.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.mircro.service.redscarf.domain.dto.*;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author: LG
 * @date: 2023/9/5 14:40
 */
public interface UserSideService {

    /**
     * 查看所有学季
     * @return
     */
    Result<List<QueryLearnSeasonVO>> queryLearnSeason();

    /**
     * 用户当前选中学生
     * @param worker
     * @param userAddStudentDTO
     * @return
     */
    Result<Object> updateUserStudent(Worker worker, UserAddStudentDTO userAddStudentDTO);

    /**
     * 录入学生信息
     * @param worker
     * @param saveStudentInformationDTO
     * @return
     */
    Result<Object> saveStudentInformation(Worker worker, SaveStudentInformationDTO saveStudentInformationDTO);

    /**
     * 删除用户的学生
     * @param worker
     * @param userAddStudentDTO
     * @return
     */
    Result<Object> deleteStudent(Worker worker,UserAddStudentDTO userAddStudentDTO);

    /**
     * 标记用户完成的课程
     * @param worker
     * @param updateLearningSeasonDTO
     * @return
     */
    Result<Object> updateLearningSeason(Worker worker, UpdateLearningSeasonDTO updateLearningSeasonDTO);

    /**
     * 查看学期根据各个学生学习情况划分
     * @param queryStudentLearnSemesterDTO
     * @return
     */
    Result<List<SemesterDTO>> queryStudentLearnSemester( QueryStudentLearnSemesterDTO queryStudentLearnSemesterDTO);

    /**
     * 用户查看所绑定的所有学生
     * @param worker
     * @return
     */
    Result<List<QueryStudentInformationVO>> queryUserStudent(Worker worker);

    /**
     * 判断用户手机号是否录入学生
     * @param worker
     * @return
     */
    Result<WhetherSchoolVO> whetherSchoolInformation(Worker worker);

    /**
     * 验证学生身份证号和姓名与IRS进行匹配查询
     * @param queryStudentInformationDTO
     * @return
     */
    Result<QueryStudentInformationVO> queryStudentInformation(@RequestBody QueryStudentInformationDTO queryStudentInformationDTO);


    /**
     * 我的奖章跳转页面
     * @param worker
     * @return
     */
    Result<String> skipPage(Worker worker);
}
