package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.cockpit.map.grid.CockpitGridMapDataReqVO;
import com.crunii.micro.service.report.dto.cockpit.map.grid.CockpitGridMapYouthNumRespVO;
import com.crunii.micro.service.report.dto.cockpit.map.grid.GridMapDataRespVO;
import com.crunii.micro.service.report.dto.cockpit.map.position.CockpitPositionAreaSumRespVO;
import com.crunii.micro.service.report.dto.cockpit.map.position.CockpitPositionDataReqVO;
import com.crunii.micro.service.report.dto.cockpit.map.position.CockpitPositionDataRespVO;
import com.crunii.micro.service.report.service.CockpitMapService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Api(tags = "驾驶舱地图")
@RestController
@RequestMapping("/auth/CockpitMapController")
public class CockpitMapController {

    @Resource
    private CockpitMapService cockpitMapService;

    @ApiOperation(value = "查询驾驶舱栅格图列表")
    @RequestMapping(path = "/listCockpitGridMapData", method = RequestMethod.POST)
    public Result<List<GridMapDataRespVO>> listCockpitGridMapData(@RequestBody CockpitGridMapDataReqVO reqVO) {
        return cockpitMapService.listCockpitGridMapData(reqVO);
    }

    @ApiOperation(value = "查询驾驶舱栅格图-人数极值")
    @RequestMapping(path = "/getCockpitGridMapYouthNum", method = RequestMethod.POST)
    public Result<CockpitGridMapYouthNumRespVO> getCockpitGridMapYouthNum(@RequestBody CockpitGridMapDataReqVO reqVO) {
        return cockpitMapService.getCockpitGridMapYouthNum(reqVO);
    }

    @ApiOperation(value = "查询驾驶舱阵地区域地图列表")
    @RequestMapping(path = "/listCockpitPositionDataAreaSum", method = RequestMethod.POST)
    public Result<List<CockpitPositionAreaSumRespVO>> listCockpitPositionDataAreaSum(@RequestBody CockpitPositionDataReqVO reqVO) {
        return cockpitMapService.listCockpitPositionDataAreaSum(reqVO);
    }

    @ApiOperation(value = "查询驾驶舱阵地地图列表")
    @RequestMapping(path = "/listCockpitPositionMapData", method = RequestMethod.POST)
    public Result<List<CockpitPositionDataRespVO>> listCockpitPositionMapData(@RequestBody CockpitPositionDataReqVO reqVO) {
        return cockpitMapService.listCockpitPositionMapData(reqVO);
    }

    @ApiOperation(value = "阵地地图数据同步")
    @RequestMapping(path = "/doPositionToAreaFlag", method = RequestMethod.POST)
    public Result<Integer> doPositionToAreaFlag() {
        return cockpitMapService.positionToAreaFlag();
    }

}
