package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.LeagueOrgVo;
import com.crunii.micro.service.report.service.LeagueSituationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wangchen create 2023/7/12 17:00
 */
@Api(tags = "团情")
@RestController
@RequestMapping("/auth/LeagueSituationController")
public class LeagueSituationController {

    private final LeagueSituationService leagueSituationService;

    public LeagueSituationController(LeagueSituationService leagueSituationService) {
        this.leagueSituationService = leagueSituationService;
    }

    @GetMapping("/findSituation")
    @ApiImplicitParam(name = "valueCode",value = "静态值code")
    @ApiOperation("查询团情")
    public Result<LeagueOrgVo> findSituation(String valueCode){
        return Result.ofSuccess(leagueSituationService.findSituation(valueCode));
    }
}
