package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.MapEduVo;
import com.crunii.micro.service.report.service.MapService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/14 14:28
 */
@Api(tags = "首页地图")
@RestController
@RequestMapping("/auth/MapController")
public class MapController {
    @Resource
    private MapService mapService;

    @ApiOperation(value = "地图数据")
    @RequestMapping(path = "/queryEdu", method = RequestMethod.GET)
    public Result<List<MapEduVo>> queryEdu() {
        return Result.ofSuccess(mapService.educationList());
    }
}
