package com.crunii.micro.service.report.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.WebsiteGatherVo;
import com.crunii.micro.service.report.service.WebsiteGatherService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wangchen create 2023/7/31 15:52
 */
@Api(tags = "网站数据")
@RestController
@RequestMapping("/auth/WebsiteGatherController")
public class WebsiteGatherController {

    private final WebsiteGatherService websiteGatherService;

    public WebsiteGatherController(WebsiteGatherService websiteGatherService) {
        this.websiteGatherService = websiteGatherService;
    }

    @ApiOperation("查询网站数据信息")
    @GetMapping("/getWebsiteGather")
    public Result<WebsiteGatherVo> getWebsiteGather(){
        return Result.ofSuccess(websiteGatherService.getWebsiteGather());
    }

    @ApiOperation("刷新网站数据")
    @GetMapping("/flushWebsiteGather")
    public Result<WebsiteGatherVo> flushWebsiteGather(){
        return Result.ofSuccess(websiteGatherService.flushWebsiteGather());
    }
}
