package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.entity.main.YcqReportEducation;
import com.crunii.micro.service.report.dto.SchoolEduVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 19:02
 */
@Repository
public class EducationJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    public List<YcqReportEducation> queryEducation(){
        String sql = "SELECT * FROM YCQ_REPORT_EDUCATION ORDER BY year";
        return jt.queryForBeans(YcqReportEducation.class,sql);
    }

    public List<SchoolEduVo> querySchoolEdu(String year){
        String sql = "SELECT*FROM (\n" +
                "SELECT '机构数' AS NAME,mechanism_num AS statistics,YEAR,'个' AS unit FROM YCQ_REPORT_EDUCATION UNION SELECT '阵地面积' AS NAME,area_position AS statistics,YEAR,'万平方米' AS unit FROM YCQ_REPORT_EDUCATION) tb WHERE tb.YEAR=?";
        return jt.queryForBeans(SchoolEduVo.class,sql,year);
    }

    public List<SchoolEduVo> queryTsRatio(String year){
        String sql = "SELECT*FROM (\n" +
                "SELECT '年均服务青少年人次' AS NAME,youth_service AS statistics,YEAR,'万' AS unit FROM YCQ_REPORT_EDUCATION UNION SELECT '校外教育工作者' AS NAME,external_educator AS statistics,YEAR,'人' AS unit FROM YCQ_REPORT_EDUCATION) tb WHERE tb.YEAR=?";
        return jt.queryForBeans(SchoolEduVo.class,sql,year);
    }
}
