package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.report.dto.FiveGoalVo;
import com.crunii.micro.service.report.dto.OverallContributionVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wangchen create 2023/7/14 10:14
 */
@Repository
public class FiveGoalDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;
    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNPJdbcTemplate;

    public FiveGoalVo findFiveGoalNowByType(String valueCode) {
        String sql = "SELECT * FROM YCQ_REPORT_NOW WHERE goal_type = ? ORDER BY goal_year DESC LIMIT 1";
        return jdbcTemplate.queryForBean(FiveGoalVo.class,sql,valueCode);
    }

    public FiveGoalVo findFiveGoalByType(String valueCode) {
        String sql = "SELECT * FROM YCQ_REPORT_FIVE_GOAL WHERE goal_type = ? ORDER BY goal_year DESC LIMIT 1";
        return jdbcTemplate.queryForBean(FiveGoalVo.class,sql,valueCode);
    }

    public OverallContributionVo findNowContributionByType(String valueCode) {
        String sql = "SELECT youth_civilization,youth_position_expert,youth_safety_production,economic_circle_build,set_up_youth_financing,young_volunteers,young_volunteers_org FROM YCQ_REPORT_NOW WHERE goal_type= ? ORDER BY goal_year DESC ";
        return jdbcTemplate.queryForBean(OverallContributionVo.class,sql,valueCode);
    }

    public OverallContributionVo findGoalContributionByType(String valueCode) {
        String sql = "SELECT youth_civilization,youth_position_expert,youth_safety_production,economic_circle_build,set_up_youth_financing,young_volunteers,young_volunteers_org FROM YCQ_REPORT_FIVE_GOAL WHERE goal_type= ? ORDER BY goal_year DESC";
        return jdbcTemplate.queryForBean(OverallContributionVo.class,sql,valueCode);
    }
}
