package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.report.dto.LeagueIndustryCountVo;
import com.crunii.micro.service.report.dto.LeagueProportionVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wangchen create 2023/7/12 17:03
 */
@Repository
public class LeagueSituationDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;
    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNPJdbcTemplate;

    public Integer findAllLeagueOrgCount() {
        String sql = "SELECT count(1) FROM YCQ_LEAGUE";
        return jdbcTemplate.queryForRawObject(Integer.class,sql);
    }

    public List<LeagueProportionVo> findLeagueOrgProportion() {
        String sql = "SELECT sys_type,count(1) sysTypeCount FROM YCQ_LEAGUE WHERE sys_type IS NOT NULL GROUP BY sys_type";
        return jdbcTemplate.queryForBeans(LeagueProportionVo.class,sql);
    }

    public List<LeagueIndustryCountVo> findLeagueOrgIndustry() {
        String sql = "SELECT industry_name,count(1) industryNameCount FROM YCQ_LEAGUE_DETAIL WHERE industry_name <> ''  GROUP BY industry_name ";
        return jdbcTemplate.queryForBeans(LeagueIndustryCountVo.class,sql);
    }

    public Integer findAllLeagueMemberCount() {
        String sql = "SELECT count(1) FROM YCQ_MEMBER";
        return jdbcTemplate.queryForRawObject(Integer.class,sql);
    }

    public List<LeagueProportionVo> findLeagueMemberProportion() {
        String sql = "SELECT b.sys_type,count(1) sysTypeCount FROM YCQ_MEMBER a LEFT JOIN YCQ_LEAGUE b ON a.league_code =b.league_code WHERE b.sys_type IS NOT NULL GROUP BY b.sys_type";
        return jdbcTemplate.queryForBeans(LeagueProportionVo.class,sql);
    }

    public List<LeagueIndustryCountVo> findLeagueMemberIndustry() {
        String sql = "SELECT b.industry_name,count(1) industryNameCount FROM YCQ_MEMBER a LEFT JOIN YCQ_LEAGUE_DETAIL b ON a.league_code =b.league_id WHERE b.industry_name <> '' GROUP BY b.industry_name";
        return jdbcTemplate.queryForBeans(LeagueIndustryCountVo.class,sql);
    }

    public Integer findAllLeagueLeaderCount() {
        String sql = "SELECT count(1) FROM YCQ_LEAGUE_LEADER";
        return jdbcTemplate.queryForRawObject(Integer.class,sql);
    }

    public List<LeagueProportionVo> findLeagueLeaderProportion() {
        String sql = "SELECT  b.sys_type,count(1) sysTypeCount FROM YCQ_LEAGUE_LEADER a LEFT JOIN YCQ_LEAGUE b ON a.league_code = b.league_code WHERE b.sys_type IS NOT NULL GROUP BY b.sys_type";
        return jdbcTemplate.queryForBeans(LeagueProportionVo.class,sql);
    }

    public List<LeagueIndustryCountVo> findLeagueLeaderIndustry() {
        String sql = "SELECT  b.industry_name,count(1) industryNameCount FROM YCQ_LEAGUE_LEADER a LEFT JOIN YCQ_LEAGUE_DETAIL b ON a.league_code = b.league_id WHERE b.industry_name <> '' GROUP BY b.industry_name";
        return jdbcTemplate.queryForBeans(LeagueIndustryCountVo.class,sql);
    }
}
