package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.report.dto.MapEduVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/14 14:46
 */
@Repository
public class MapJdbc {
    /**
     * 各区少年宫数
     * @return
     */

    /**
     * 各区青少年活动场所数
     * @return
     */

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNPJdbcTemplate;

    /**
     * 查询重庆所有区域
     * @return
     */
    public List<String> queryAllArea(){
        String sql = "SELECT name FROM YCQ_REPORT_AREA";
        return jdbcTemplate.queryForRawObjects(String.class,sql);
    }

    public List<MapEduVo> queryEduList(){
        String sql = "SELECT a.NAME,SUM(a.EVENTS+c.juvenile+d.teenHome) AS institution,a.EVENTS,c.juvenile,d.teenHome FROM (\n" +
                "SELECT a.NAME AS NAME,COUNT(b.NAME) AS EVENTS FROM YCQ_REPORT_AREA a LEFT JOIN YCQ_REPORT_ACTIVITIES_TEENAGERS b ON a.NAME=b.NAME GROUP BY a.NAME) a LEFT JOIN (\n" +
                "SELECT a.NAME AS NAME,COUNT(b.NAME) AS juvenile FROM YCQ_REPORT_AREA a LEFT JOIN YCQ_REPORT_CHILDREN_PALACE b ON a.NAME=b.NAME GROUP BY a.NAME) c ON a.NAME=c.NAME LEFT JOIN (\n" +
                "SELECT a.NAME AS NAME,IFNULL(b.number,0) AS teenHome FROM YCQ_REPORT_AREA a LEFT JOIN YCQ_REPORT_TEEN_HOME b ON a.NAME=b.NAME) d ON a.NAME=d.NAME GROUP BY a.NAME,a.EVENTS,c.juvenile,d.teenHome";
        return jdbcTemplate.queryForBeans(MapEduVo.class,sql);
    }

    public List<MapEduVo> findLeagueCount() {
        String sql = "SELECT * FROM YCQ_REPORT_AREA A LEFT JOIN YCQ_LEAGUE_COUNT B ON A.league_code = B.league_code";
        return jdbcTemplate.queryForBeans(MapEduVo.class,sql);
    }
}
