package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author wangchen create 2023/7/12 18:19
 */
@Repository
public class TestDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;
    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate baseNPJdbcTemplate;

    public List<String> findLeagueCode(String leagueCode) {
        String sql = "SELECT league_code FROM YCQ_LEAGUE START WITH league_code= ? CONNECT BY PRIOR league_code=parent_league_code";
        return jdbcTemplate.queryForRawObjects(String.class,sql,leagueCode);
    }

    public void updateType(List<String> leagueCodes,String type) {
        String sql = "UPDATE YCQ_LEAGUE SET sys_type = :sysType WHERE league_code in(:ids)";
        Map<String,Object> params = new HashMap<>(4);
        params.put("sysType",type);
        params.put("ids",leagueCodes);
        baseNPJdbcTemplate.update(sql,params);
    }

    public List<String> findLeagueOrg(String name) {
        String sql = "SELECT league_code FROM YCQ_LEAGUE WHERE league_name = ?";
        return jdbcTemplate.queryForRawObjects(String.class,sql,name);
    }

    public List<String> findFullLeagueOrg(String fullName) {
        String sql = "SELECT league_code FROM YCQ_LEAGUE WHERE league_full_name = ?";
        return jdbcTemplate.queryForRawObjects(String.class,sql,fullName);
    }
}
