package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.report.dto.WebsiteGatherVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @author wangchen create 2023/7/31 15:54
 */
@Repository
public class WebsiteGatherDao {
    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jdbcTemplate;

    public WebsiteGatherVo findRegisterAccessActiveCount(String yesterday, Date lastMonthDay) {
        String sql = "SELECT (SELECT count(1) FROM tsm_worker WHERE TO_CHAR(create_time,'yyyy-MM-dd') = ?) AS registerUserCount,(SELECT count(1) FROM TSM_PAGE_VISIT_LOG WHERE visit_type = 1 AND TO_CHAR(create_time,'yyyy-MM-dd') = ?) AS accessCount,(SELECT count(1) FROM tsm_worker WHERE last_login_time > ?) AS activeUserCount";
        return jdbcTemplate.queryForBean(WebsiteGatherVo.class,sql,yesterday,yesterday,lastMonthDay);
    }

    public String findHotAccessPageId() {
        String sql = "SELECT page_id FROM TSM_PAGE_VISIT_LOG GROUP BY page_id ORDER BY count(1) DESC LIMIT 1";
        return jdbcTemplate.queryForRawObject(String.class,sql);
    }

    public String findPageNameByMenuCode(String menuCode) {
        String sql  = "SELECT menu_name FROM TSM_MENU WHERE menu_code = ?";
        return jdbcTemplate.queryForRawObject(String.class,sql,menuCode);
    }

    public String findPageNameByAppCode(String appCode) {
        String sql  = "SELECT app_name FROM YCQ_APP_CONFIG_URL WHERE app_code = ?";
        return jdbcTemplate.queryForRawObject(String.class,sql,appCode);
    }
}
