package com.crunii.micro.service.report.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.entity.main.YcqReportYouthSituation;
import com.crunii.micro.service.report.dto.DegreeVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/13 14:58
 */
@Repository
public class YouthSituationJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate jt;

    public List<YcqReportYouthSituation> queryYouthSituation(){
        String sql = "SELECT * FROM YCQ_REPORT_YOUTH_SITUATION ORDER BY year";
        return jt.queryForBeans(YcqReportYouthSituation.class,sql);
    }

    public List<DegreeVo> queryDegree(String year){
        String sql = "SELECT tb.degreeName,tb.degreeNum FROM (\n" +
                "SELECT YEAR,doctoral_candidate_num AS degreeNum,'全日制博士研究生' AS degreeName FROM YCQ_REPORT_YOUTH_SITUATION UNION SELECT YEAR,postgraduate_num AS degreeNum,'全日制硕士研究生' AS degreeNmae FROM YCQ_REPORT_YOUTH_SITUATION UNION SELECT YEAR,undergraduate_num AS degreeNum,'全日制普通本科生' AS degreeNmae FROM YCQ_REPORT_YOUTH_SITUATION UNION SELECT YEAR,college_student_num AS degreeNum,'全日制高职专科生' AS degreeNmae FROM YCQ_REPORT_YOUTH_SITUATION UNION SELECT YEAR,school_student_num AS degreeNum,'全日制普通高中生' AS degreeNmae FROM YCQ_REPORT_YOUTH_SITUATION UNION SELECT YEAR,education_student_num AS degreeNum,'全日制中等职业教育学生' AS degreeNmae FROM YCQ_REPORT_YOUTH_SITUATION UNION SELECT YEAR,junior_student_num AS degreeNum,'全日制普通初中生' AS degreeNmae FROM YCQ_REPORT_YOUTH_SITUATION) tb WHERE tb.YEAR=?";
        return jt.queryForBeans(DegreeVo.class,sql,year);
    }
}
