package com.crunii.micro.service.report.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.cockpit.*;
import com.crunii.micro.service.report.dto.cockpit.CockpitDataInsertReq;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface CockpitDataService {

    /**
     * 获取属性
     */
    Result<List<CockpitDataGetAttributeResp>> getAttribute(CockpitDataGetAttributeReq req);

    /**
     * 查询
     */
    Result<Map<String, Object>> query(CockpitDataQueryReq req);

    /**
     * 分页查询
     */
    Result<PageRsp<Map<String, Object>>> pageQuery(PageReq<CockpitDataQueryReq> req);

    /**
     * 新增
     */
    Result<Boolean> insert(CockpitDataInsertReq req);

    /**
     * 修改
     */
    Result<Boolean> update(CockpitDataUpdateReq req);

    /**
     * 删除
     */
    Result<Boolean> delete(CockpitDataDeleteReq req);

    /**
     * 批量删除
     */
    Result<Boolean> batchDelete(CockpitDataBatchDeleteReq req);

    /**
     * 获取所有表名
     */
    Result<List<CockpitDataGetNamesResp>> getNames();

    /**
     * 获取属性值
     */
    Result<List<CockpitDataGetAttributeValueResp>> getAttributeValue(CockpitDataGetAttributeValueReq req);

    /**
     * 下载模板
     */
    Result<Boolean> download(CockpitDataDownloadReq req, HttpServletResponse response);

    /**
     * 导入Excel
     */
    Result<Object> importExcel(MultipartFile excel, HttpServletResponse response, String tableName);

    List<BasicDataColumnValueResp> getFilterMapValue(BasicDataColumnValueReq req);

    /**
     * 获取字段
     */
    Result<List<CockpitDataGetFieldResp>> getField(CockpitDataGetAttributeReq req);
}
