package com.crunii.micro.service.report.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.*;

import java.util.List;

public interface ModelManagerService {

	/*
	 * 建表mysql模型表语句
	 */
	String CREATE_MYSQL_MODEL_TABLE_SQL = "CREATE TABLE `{tableName}` ( `{id}` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '{id}' ,`{flo_work_id}` bigint(20) COMMENT '流程flo_work表的id',`{flo_form_id}` bigint(20) COMMENT '流程flo_form表的id',`{proc_inst_id}` varchar(64) COMMENT '流程act_ru_execution表的id',`{system_id}` bigint(20) COMMENT '系统ID',`{order_code}` varchar(64) COMMENT '工单编号',";

	/*
	 * 建表mysql基础类型表语句
	 */
	String CREATE_MYSQL_BASIC_TABLE_SQL = "CREATE TABLE `{tableName}` ( `{id}` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '{id}' ,`{system_id}` bigint(20) COMMENT '系统ID',`{create_time}` datetime COMMENT '创建时间',`{update_time}` datetime COMMENT '更新时间',`{create_worker_id}` int(10) COMMENT '创建人id',`{update_worker_id}` int(10) COMMENT '修改人id',`{create_worker_name}` varchar(100) COMMENT '创建人名称',`{update_worker_name}` varchar(100) COMMENT '修改人名称',";

	PageRsp<ModelRes> pageModel(PageReq<ModelReq> req );

	void createModel(ModelCVo modelCVo);

	void updateModel(ModelUVo modelUVo);

	void doCopyModel(ModelPVo modelPVo);

	String doPublishModel(Long modelId, String parentMenuCode );

	String saveColumn(ColumnCVo columnCVo);

	ModelResOneVo getModel(Long modelId );

	ModelResOneFixedVo getModelFixed(String name );

	Result<List<ModelResOneFixedVo>> doGetModelChilds(String name );

	List<ModelResFixed> getModelListFixed(GetModeListFixedReq req );
}
