package com.crunii.micro.service.report.service.impl;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.jex.*;
import com.crunii.micro.domain.repo.main.jex.*;
import com.crunii.micro.service.report.service.CockpitService2;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class CockpitService2Impl implements CockpitService2 {

    @Resource
    private YcqCockpitCenterRepo ycqCockpitCenterRepo;

    @Resource
    private YcqCockpitYouthRepo ycqCockpitYouthRepo;

    @Resource
    private YcqCockpitGroupRepo ycqCockpitGroupRepo;

    @Resource
    private YcqCockpitOrganizationRepo ycqCockpitOrganizationRepo;

    @Resource
    private YcqCockpitEducationRepo ycqCockpitEducationRepo;

    @Resource
    private YcqCockpitCompetitionRepo ycqCockpitCompetitionRepo;

    @Resource
    private YcqCockpitCompetition20231Repo ycqCockpitCompetition20231Repo;

    /**
     * 查询中心数据
     */
    @Override
    public Result<YcqCockpitCenter> queryCenter() {
        return new Result<YcqCockpitCenter>(ycqCockpitCenterRepo.findAll().get(0));
    }

    /**
     * 查询青情
     */
    @Override
    public Result<YcqCockpitYouth> queryYouth() {
        return new Result<YcqCockpitYouth>(ycqCockpitYouthRepo.findAll().get(0));
    }

    /**
     * 查询团情
     */
    @Override
    public Result<List<YcqCockpitGroup>> queryGroup() {
        return new Result<List<YcqCockpitGroup>>(ycqCockpitGroupRepo.findAll());
    }

    /**
     * 查询团组织
     */
    @Override
    public Result<List<YcqCockpitOrganization>> queryOrganization() {
        return new Result<List<YcqCockpitOrganization>>(ycqCockpitOrganizationRepo.findAll());
    }

    /**
     * 查询校外教育
     */
    @Override
    public Result<List<YcqCockpitEducation>> queryEducation() {
        return new Result<List<YcqCockpitEducation>>(ycqCockpitEducationRepo.findAll());
    }

    /**
     * 查询赛马比拼
     */
    @Override
    public Result<YcqCockpitCompetition> queryCompetition() {
        return new Result<YcqCockpitCompetition>(ycqCockpitCompetitionRepo.findAll().get(0));
    }

    /**
     * 查询赛马比拼2023年1季度
     */
    @Override
    public Result<YcqCockpitCompetition20231> queryCompetition20231() {
        return new Result<YcqCockpitCompetition20231>(ycqCockpitCompetition20231Repo.findAll().get(0));
    }

}
