package com.crunii.micro.service.report.service.impl;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.report.dto.*;
import com.crunii.micro.service.report.jdbc.ModelManagerDao;
import com.crunii.micro.service.report.service.ModelManagerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service(value = "modelManagerService")
public class ModelManagerServiceImpl implements ModelManagerService {


    @Autowired
    private ModelManagerDao modelManagerDao;
    @Override
    public PageRsp<ModelRes> pageModel(PageReq<ModelReq> req) {
        return modelManagerDao.pageModel(req);
    }
    @Override
    public void createModel(ModelCVo modelCVo) {
        modelManagerDao.createModel(modelCVo);
    }
    @Override
    public void updateModel(ModelUVo modelUVo) {
        modelManagerDao.updateModel(modelUVo);
    }
    @Override
    public void doCopyModel(ModelPVo modelPVo) {
        modelManagerDao.doCopyModel(modelPVo);
    }
    @Override
    public String doPublishModel(Long modelId, String parentMenuCode) {
        return modelManagerDao.doPublishModel(modelId, parentMenuCode);
    }
    @Override
    public ModelResOneVo getModel(Long modelId) {
        return modelManagerDao.getModel(modelId);
    }
    @Override
    public String saveColumn(ColumnCVo columnCVo) {
        return modelManagerDao.saveColumn(columnCVo);
    }
    @Override
    public ModelResOneFixedVo getModelFixed(String name) {
        return modelManagerDao.getModelFixed(name);
    }
    @Override
    public List<ModelResFixed> getModelListFixed(GetModeListFixedReq req) {
        return modelManagerDao.getModelListFixed(req);
    }

    @Override
    public Result<List<ModelResOneFixedVo>> doGetModelChilds(String name) {
        return modelManagerDao.doGetModelChilds(name);
    }
}
