package com.crunii.micro.service.sms.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sms.service.SmsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/28 17:30
 */
@Api(tags = "短信相关")
@RestController
@Slf4j
@RequestMapping("/auth/SmsController")
public class SmsController {

    @Autowired
    private SmsService service;

    @ApiOperation("短信验证码")
    @RequestMapping(value = "/smsCode", method = RequestMethod.GET)
    public Result<String> fileUpload(@RequestParam("phone") String phone) throws Exception {
        return service.sendSmsCode(phone);
    }


    @ApiOperation("通手机号发送短信")
    @RequestMapping(value = "/sendMessage", method = RequestMethod.GET)
    public Result<String> sendMessage(@RequestParam("phone") String phone, @RequestParam("content") String content) {
        return service.sendMessage(phone, content);
    }


    @ApiOperation("通手机号+短信模板+填充数据发送短信")
    @RequestMapping(value = "/sendSms", method = RequestMethod.GET)
    public Result<String> sendSms(@RequestParam("phone") String phone,@RequestParam("templateCode") String templateCode,@RequestParam("fillData") String fillData) {
        return service.sendSms(phone, templateCode,fillData);
    }


    @ApiOperation("测试")
    @RequestMapping(value = "/updateTestFile", method = RequestMethod.GET)
    public Result<String> updateTestFile() throws Exception {
        service.updateTestFile();
        return Result.ofSuccess();
    }


}
