package com.crunii.micro.domain.entity.main;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Table(name="YCQ_YOUTHCALL_CAMPUS_EDUCATION")
@Entity
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@ApiModel(description = "青呼我为-校外教育")
public class YcqYouthcallCampusEducation implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "carousel_chart")
    @ApiModelProperty(name = "校外教育轮播图",notes = "")
    private byte[] carouselChart;

    @Column(name = "recommend_by_teachers")
    @ApiModelProperty(name = "名师推荐",notes = "")
    private byte[] recommendByTeachers;

    @Column(name = "excellent_student")
    @ApiModelProperty(name = "优秀学员",notes = "")
    private byte[] excellentStudent;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识",notes = "")
    private String delFlag;

    @Column(name = "interest_courses_url")
    @ApiModelProperty(name = "兴趣课程",notes = "")
    private String interestCoursesUrl;

    @Column(name = "practical_activity")
    @ApiModelProperty(name = "实践活动",notes = "")
    private String practicalActivity;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

}
