package com.crunii.micro.service.sso.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sso.dto.OrgDto;
import com.crunii.micro.service.sso.service.GetService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/7/4 8:57
 */
@Api("外部获取接口")
@RestController
@RequestMapping("/getController")
public class GetController {

    @Autowired
    private GetService getService;

    /**
     * 获取组织
     * @param dto
     * @return
     */
    @PostMapping("/getOrgInfo")
    public Result<Object> getOrgInfo(@RequestBody OrgDto dto){
        return getService.getOrgInfo(dto);
    }

    @ApiOperation("获取青春头条后台")
    @GetMapping("/auth/getHeadline")
    public Result<String> getHeadline(){
        return getService.getHeadline();
    }
}
