package com.crunii.micro.service.sso.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.sso.dto.PushDto;
import com.crunii.micro.service.sso.dto.YcqYouthcallCampusEducationVo;
import com.crunii.micro.service.sso.service.PushService;
import com.crunii.micro.service.sso.service.VolunteerPushService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/25 17:02
 */
@Api(tags = "推送接口")
@RestController
@RequestMapping("/pushController")
public class PushController {

    @Autowired
    private PushService pushService;

    @Autowired
    private VolunteerPushService volunteerPushService;


    /**
     * app首页图片推送
     */
    @PostMapping("/syncYouchStudyPlacard")
    public Result<Object> pushData(@RequestBody PushDto pushDto){
        return pushService.saveHotPlacard(pushDto);
    }

    /**
     * 志愿山城-志愿服务推送
     */
    @PostMapping("/volunteerService")
    public Result<Object> pushService(@RequestBody PushDto pushDto){
        return volunteerPushService.saveService(pushDto);
    }

    /**
     * 志愿山城-服务时长推送
     */
    @PostMapping("/serviceTime")
    public Result<Object> pushServiceTime(@RequestBody PushDto pushDto){
        return volunteerPushService.saveServiceTime(pushDto);
    }

    @ApiOperation("青春头条-推送青春头条")
    @PostMapping("/pushYouthHeadlines")
    public Result<Object> pushYouthHeadlines(@RequestBody PushDto pushDto){
        return volunteerPushService.pushYouthHeadlines(pushDto);
    }

    @ApiOperation("青春头条-置顶取消置顶")
    @PostMapping("/headlinesTop")
    public Result<Object> headlinesTop(@RequestBody PushDto pushDto){
        return volunteerPushService.headlinesTop(pushDto);
    }

    @ApiOperation("青呼我为-校外教育")
    @PostMapping("/offCampusEducation")
    public Result<Object> offCampusEducation(@RequestBody PushDto pushDto){
        return volunteerPushService.offCampusEducation(pushDto);
    }

}
