/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.sso.dto.BaseReq;
import com.crunii.micro.service.sso.dto.CheckAuthCode;
import com.crunii.micro.service.sso.dto.SSOLoginDto;
import com.crunii.micro.service.sso.dto.UserInfoReq;
import com.crunii.micro.service.sso.service.SSOService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

/**
 * @author shenhs create 2023/6/2 16:52
 */
@Api("统一认证接口")
@RestController
@RequestMapping("/ssoController")
public class SSOController {

	@Autowired
	private SSOService service;

	/**
	 * 获取授权码
	 */
	@GetMapping("/auth/getAuthCode")
	public Result<Object> getAuthCode(@ApiIgnore @CurrWorker Worker worker, String sysCode){
		return service.generateAuthCode(worker,sysCode);
	}

	/**
	 * 校验授权码
	 */
	@PostMapping("/checkAuthCode")
	public Result<Object> checkAuthCode(@RequestBody CheckAuthCode checkAuthCode){
		return service.checkAuthCode(checkAuthCode);
	}

	@PostMapping("/getUserInfo")
	public Result<Object> getUserInfo(@RequestBody UserInfoReq req){
		return service.getUserInfo(req);
	}

	/**
	 * 青春重庆账号密码进行登录
	 * @return
	 */
	@PostMapping("/login")
	public Result<Object> login(@RequestBody SSOLoginDto loginDto){
		return service.doLogin(loginDto);
	}

	@PostMapping("/sendSmsCode")
	public Result<String> login(@RequestBody BaseReq req){
		return service.sendSmsCode(req);
	}

}
