/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.dto;

import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.common.utils.JsonUtil;
import com.crunii.micro.service.sso.config.Sm2SecretProperty;
import com.crunii.micro.service.sso.utils.Sm2Util;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author shenhs create 2023/7/10 14:25
 */
@Getter
@Setter
public class BaseReq implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("流水号")
	private String transactionId;

	@ApiModelProperty("系统编码")
	private String sysCode;

	@ApiModelProperty("加密字符串")
	private String encode;

	public <T> T getEncodeObj(Sm2SecretProperty property, Class<T> clazz) {
		String checkTokenJsonStr = "";
		try {
			checkTokenJsonStr = Sm2Util.decrypt(property.getPrivateKey(),property.isHex(), encode);
		} catch (Exception e) {
			throw new BusinessException("解密失败");
		}
		T t = JsonUtil.jsonToObject(checkTokenJsonStr, clazz);
		return t;
	}
}
