package com.crunii.micro.service.sso.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.sso.dto.ArticleInfoVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author qiaolin
 * @version 1.0
 * @date 2023/6/26 15:29
 */
@Slf4j
@Repository
public class PushJdbc {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate npJdbcTemplate;

    public void deletePlacard(String sysCode){
        String sql ="UPDATE YCQ_STUDY_PLACARD SET state = 0 WHERE sys_code = ?";
        JT.update(sql,sysCode);
    }

    /**
     * 删除志愿山城-志愿服务
     * @param dataTime
     */
    public void deleteService(String dataTime){
        String sql = "DELETE FROM YCQ_CQZYSC_SERVICE WHERE date_time = ?";
        JT.update(sql,dataTime);
    }

    /**
     * 删除志愿山城-服务时长
     * @param dataTime
     */
    public void deleteServiceTime(String dataTime){
        String sql = "DELETE FROM YCQ_CQZYSC_SERVICE_TIME  WHERE date_time = ?";
        JT.update(sql,dataTime);
    }

    public List<ArticleInfoVo> findExistArticleIds(List<String> collect) {
        String sql = "SELECT headline_id,headline_article_id,likes_count,reading_quantity FROM YCQ_HEADLINE_ARTICLE WHERE headline_article_id in(:ids)";
        Map<String,Object> params = new HashMap<>(2);
        params.put("ids",collect);
        return npJdbcTemplate.queryForBeans(ArticleInfoVo.class,sql,params);
    }

    public void deleteColumn(List<Long> headlineId) {
        String sql = "UPDATE YCQ_HEADLINE_ARTICLE_COLUMN SET deleted = '1' WHERE  headline_id in(:headlineId)";
        Map<String,Object> params = new HashMap<>(2);
        params.put("headlineId",headlineId);
        npJdbcTemplate.update(sql,params);
    }
}
