/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.service;

import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.sso.dto.LoginVo;
import com.crunii.micro.service.sso.dto.SSOWorkerInfo;

/**
 * @author shenhs create 2023/6/2 20:07
 */
public interface SSOCacheService {

	/**
	 * 写入一个单点登录信息
	 * @param authCode
	 * @param worker
	 */
	String put(String authCode, Worker worker);

	/**
	 * 登录使用
	 * @param authCode
	 * @param worker
	 * @return token
	 */
	LoginVo loginPut(String authCode, Worker worker);

	/**
	 * 根据authCode获取token
	 * @param authCode
	 * @return
	 */
	String getToken(String authCode);

	/**
	 * 根据token获取用户信息
	 * @param token
	 * @return
	 */
	SSOWorkerInfo getWorkerInfo(String token);
}
