/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sso.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.sso.dto.BaseReq;
import com.crunii.micro.service.sso.dto.CheckAuthCode;
import com.crunii.micro.service.sso.dto.SSOLoginDto;
import com.crunii.micro.service.sso.dto.UserInfoReq;

/**
 * @author shenhs create 2023/6/2 18:34
 */
public interface SSOService {

	/**
	 * 生成认证码
	 */
	Result<Object> generateAuthCode(Worker worker, String sysCode);

	/**
	 * 校验认证码
	 */
	Result<Object> checkAuthCode(CheckAuthCode checkAuthCode);


	/**
	 * 获取用户信息
	 */
	Result<Object> getUserInfo(UserInfoReq req);

	/**
	 * 青春重庆账号密码进行登录
	 * @return
	 */
	Result<Object> doLogin(SSOLoginDto loginDto);

	Result<String> sendSmsCode(BaseReq baseReq);
}
