package com.crunii.micro.service.studycenter.app.controller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsSpecialMgr;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUploadUserVideo;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUploadVideo;
import com.crunii.micro.service.studycenter.service.YcqYjsSpecialMgrService;
import com.crunii.micro.service.studycenter.service.YcqYjsUploadUserVideoService;
import com.crunii.micro.service.studycenter.util.CharacterCodeUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

@Slf4j
@Api(tags = "app六知六会")
@RestController
@RequestMapping("/ycqYjsSpecialMgrApp/auth")
public class YcqYjsSpecialMgrAppController {

    @Resource
    private YcqYjsSpecialMgrService ycqYjsSpecialMgrServiceImpl;

    @Resource
    private YcqYjsUploadUserVideoService YcqYjsUploadUserVideoServiceImpl;

    @ApiOperation(value = "app端查询六知六会一做视频列表")
    @RequestMapping(path = "queryAppVideoList", method = RequestMethod.POST)
    @ResponseBody
    public Result<Object> queryAppVideoList(@RequestBody YcqYjsSpecialMgr ycqYjsSpecialMgr) {
        try {
            return  ycqYjsSpecialMgrServiceImpl.queryAppVideoList(ycqYjsSpecialMgr);
        } catch (BusinessException e) {
            log.error("YcqYjsSpecialMgrAppController.queryAppVideoList.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("YcqYjsSpecialMgrAppController.queryAppVideoList.error: {}", e.getMessage());
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }

    @ApiOperation(value = "app端上传用户学习视频")
    @RequestMapping(path = "/uploadUserVideo", method = RequestMethod.POST)
    @ResponseBody
    public Result<YcqYjsUploadUserVideo> uploadCourseVideo(@RequestParam(value="file") MultipartFile file,
                                                           @RequestParam("fileNumber") String fileNumber,
                                                           @RequestParam("tableName") String tableName
                                                           ) {
        try {
            return  YcqYjsUploadUserVideoServiceImpl.insert(file, fileNumber, tableName);
        } catch (BusinessException e) {
            log.error("YcqYjsSpecialMgrAppController.uploadCourseVideo.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("YcqYjsSpecialMgrAppController.uploadCourseVideo.error: {}", e.getMessage());
            e.printStackTrace();
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }

    @ApiOperation(value = "app端获取视频文件下载地址")
    @RequestMapping(path = "/downloadCourseVideo", method = RequestMethod.POST)
    @ResponseBody
    public Result<Object> downloadCourseVideo(@RequestBody YcqYjsUploadUserVideo ycqYjsUploadUserVideo) {
        try {
            return  YcqYjsUploadUserVideoServiceImpl.downloadCourseVideo(ycqYjsUploadUserVideo.getFileNumber(), ycqYjsUploadUserVideo.getTableName());
        } catch (BusinessException e) {
            log.error("YcqYjsCourseMgrController.downloadCourseVideo.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("YcqYjsCourseMgrController.downloadCourseVideo.error: {}", e.getMessage());
            e.printStackTrace();
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }
}
