package com.crunii.micro.service.studycenter.common.base;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * Author：dadm
 * Date：2023-09-21 10:29
 * Description：<描述>
 */
public class ValueInPredicate<T,E> implements FieldRestriction<T> {
    private final List<E> valueList;
    private final String fieldName;

    public ValueInPredicate(String fieldName,List<E> valueList) {
        this.valueList = valueList;
        this.fieldName = fieldName;
    }

    @Override
    public List<Predicate> addRestriction(Root<T> root, CriteriaBuilder criteriaBuilder) {
        List<Predicate> extPredicates = new ArrayList<>();
        if (Objects.nonNull(valueList)&&!valueList.isEmpty()){
            extPredicates.add(root.get(fieldName).in(valueList));
        }
        return extPredicates;
    }
}

