package com.crunii.micro.service.studycenter.commoncontroller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.service.studycenter.dto.vo.TestPaperCondition;
import com.crunii.micro.service.studycenter.dto.vo.TestPaperVO;
import com.crunii.micro.service.studycenter.service.YcqYjsTestPaperService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author : hw
 * @date : 2023-11-23
 */
@Slf4j
@Api(tags = "青字号接口")
@RestController
@RequestMapping("/yjs/qzh/auth")
public class qzhController {

    @Autowired
    private YcqYjsTestPaperService testPaperService;

    @ApiOperation(value = "分页查询试卷")
    @RequestMapping(path = "/pageSearchTestPaper", method = RequestMethod.POST)
    @ResponseBody
    public Result<PageRsp<TestPaperVO>> pageSearchTestPaper(@RequestBody PageReq<TestPaperCondition> req) {
        log.info("TestPaperController.pageSearchTestPaper.param：{}", req.toString());
        try {
            return Result.ofSuccess(testPaperService.pageSearchTestPaperByQzh(req));
        } catch (BusinessException e) {
            log.error("TestPaperController.pageSearchTestPaper.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("TestPaperController.pageSearchTestPaper.error: {}", e.getMessage());
            e.printStackTrace();
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }
}
