package com.crunii.micro.service.studycenter.config;

import cn.hutool.json.JSONUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsServiceDuration;
import com.crunii.micro.service.studycenter.jdbc.YcqYjsServiceDurationDao;
import com.crunii.micro.service.studycenter.util.SpringContextUtil;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class ExcelListener extends AnalysisEventListener<YcqYjsServiceDuration> {

    private static final int BATCH_COUNT = 100000;
    //创建list集合封装最终的数据
    List<YcqYjsServiceDuration> list = new ArrayList<YcqYjsServiceDuration>();
    //一行一行去读取excle内容，把每行的内容封装到实体类对象中
    //注：读取是从第二行开始读取，第一行默认为表头，不进行读取。
    @Override
    public void invoke(YcqYjsServiceDuration YcqYjsServiceDuration, AnalysisContext analysisContext) {
        list.add(YcqYjsServiceDuration);
       if (list.size() >= BATCH_COUNT) {
//        System.out.println(JSONUtil.parse(YcqYjsServiceDuration).toString());
           saveData(list);
            list.clear();
        }
    }

    //读取excel表头信息，headMap即为表头信息
    @Override
    public void invokeHeadMap(Map<Integer, String> headMap, AnalysisContext context) {
        System.out.println("表头信息："+headMap);
    }
    //读取完成后执行
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        if (!CollectionUtils.isEmpty(list)) {
            saveData(list);
            list.clear();
        }
    }

    private void saveData(List dataList) {
        YcqYjsServiceDurationDao ycqYjsServiceDurationDao = (YcqYjsServiceDurationDao) SpringContextUtil.getBean("ycqYjsServiceDurationDao");
        //TODO: 批量保存数据
        ycqYjsServiceDurationDao.batchInsert(dataList);
    }


}

