/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.studycenter.controller;

import cn.hutool.core.date.DateUtil;
import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.TsmProperty;
import com.crunii.micro.domain.entity.main.TsmPropertyValue;
import com.crunii.micro.service.studycenter.service.PropertyService;
import io.swagger.annotations.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Date;
import java.util.List;

/**
* @author 田平 create 2023-02-21 10:48:20
 */
@Api(value = "属性和属性值相关api")
@Controller
@Slf4j
@RequestMapping("/auth/PropertyController")
public class PropertyController {
	@Autowired
	private PropertyService propertyService;

	@ApiOperation(value = "通过属性编码获取属性值列表")
	@ApiImplicitParams({
			@ApiImplicitParam(name = "propCode", value = "属性编码", required = true)
	})
	@RequestMapping(path = "/getValuesByCode", method = RequestMethod.GET)
	@ResponseBody
	public Result<List<TsmPropertyValue>> getValuesByCode(String propCode) {
		Result<List<TsmPropertyValue>> result = new Result<>();
		result.setData(propertyService.getValuesByCode(propCode));
		return result;
	}

	public static void main(String[] args) {
		System.out.println(DateUtil.age(DateUtil.parse("19910227"), new Date()));
	}

}
