package com.crunii.micro.service.studycenter.dto.studycenter;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/**
 * 试题表;
 *
 * @author : dinglian
 * @date : 2023-9-18
 */
@ToString
@Data
@ApiModel(description = "试题表")
@Table(name = "exa_test_question")
public class ExTestQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "主键", notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "题目", notes = "")
    private String title;

    @ApiModelProperty(name = "试题类型：1-单选题；2-多选题；3-判断题", notes = "")
    private Integer questionType;

    @ApiModelProperty(name = "单选题: 正确答案ID/多选题: 正确答案ID列表（逗号隔开）/判断题: 1-是，2-否", notes = "")
    private String answer;

    @ApiModelProperty(name = "创建人id", notes = "")
    private BigInteger createdId;

    @ApiModelProperty(name = "创建人名称", notes = "")
    private String createdName;

    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createdTime;

    @ApiModelProperty(name = "更新人id", notes = "")
    private BigInteger updatedId;

    @ApiModelProperty(name = "更新人名称", notes = "")
    private String updatedName;

    @ApiModelProperty(name = "更新时间", notes = "")
    private Date updatedTime;

}