package com.crunii.micro.service.studycenter.dto.studycenter;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "一件事-课程管理")
@ToString
@Data
@Table(name="YCQ_YJS_COURSE_MGR")
public class YcqYjsCourseMgr implements Serializable {
    
	private static final long serialVersionUID = 1L;

	@Column(name = "id")
	@ApiModelProperty(name = "业务标识",notes = "生成雪花id") 
    private BigInteger id;

	@Column(name = "course_cover")
	@ApiModelProperty(name = "课程封面",notes = "") 
    private String courseCover;

	@Column(name = "course_id")
	@ApiModelProperty(name = "课程编号",notes = "") 
    private String courseId;

	@Column(name = "course_name")
	@ApiModelProperty(name = "课程名称",notes = "") 
    private String courseName;

	@Column(name = "course_description")
	@ApiModelProperty(name = "课程描述",notes = "") 
    private String courseDescription;

	@Column(name = "course_type")
	@ApiModelProperty(name = "课程分类",notes = "") 
    private Integer courseType;

	@Column(name = "course_labels")
	@ApiModelProperty(name = "课程标签",notes = "") 
    private String courseLabels;

	@Column(name = "special_subject_id")
	@ApiModelProperty(name = "专题id",notes = "") 
    private BigInteger specialSubjectId;

	@Column(name = "status")
	@ApiModelProperty(name = "服务状态",notes = "") 
    private Integer status;

	@Column(name = "creator_id")
	@ApiModelProperty(name = "创建人id",notes = "") 
    private Integer creatorId;

	@Column(name = "create_time")
	@ApiModelProperty(name = "创建时间",notes = "") 
    private Date createTime;

	@Column(name = "updater_id")
	@ApiModelProperty(name = "修改人id",notes = "") 
    private Integer updaterId;

	@Column(name = "update_time")
	@ApiModelProperty(name = "修改时间",notes = "") 
    private Date updateTime;

	@Column(name = "is_subcourse")
	@ApiModelProperty(name = "是否有子课程(1:有，0:没有)",notes = "") 
    private Integer isSubcourse;

	@Column(name = "is_testquestions")
	@ApiModelProperty(name = "是否有试题(1:有，0:没有)",notes = "") 
    private Integer isTestquestions;

	@Column(name = "test_type")
	@ApiModelProperty(name = "测试类型(1:选择试卷，2:选择试题)",notes = "") 
    private Integer testType;

	@Column(name = "attachment")
	@ApiModelProperty(name = "附件",notes = "") 
    private String attachment;

	@Column(name = "is_uploadvideo")
	@ApiModelProperty(name = "是否上传视频(1:有，0:没有)",notes = "") 
    private Integer isUploadvideo;

	@Column(name = "uploadvideo_guide")
	@ApiModelProperty(name = "上传视频引导语",notes = "") 
    private String uploadvideoGuide;

	@Column(name = "del_flag")
	@ApiModelProperty(name = "是否删除(1:删除，0：未删除)",notes = "")
	private Integer delFlag;

	@Column(name = "course_duration")
	@ApiModelProperty(name = "课程时长",notes = "")
	private Integer courseDuration;

	@Column(name = "course_credit")
	@ApiModelProperty(name = "课程学分",notes = "")
	private Integer courseCredit;

	@Column(name = "video_name")
	@ApiModelProperty(name = "课程视频名称",notes = "")
	private String videoName;

	@Column(name = "is_drag_play")
	@ApiModelProperty(name = "是否拖动播放",notes = "")
	private Integer isDragPlay;

	@Column(name = "is_multiply_play")
	@ApiModelProperty(name = "是否倍数播放",notes = "")
	private Integer isMultiplyPlay;

	@Column(name = "attachment_name")
	@ApiModelProperty(name = "附件名称",notes = "")
	private String attachmentName;

	@Column(name = "creator_name")
	@ApiModelProperty(name = "创建人名称",notes = "")
	private String creatorName;
}