package com.crunii.micro.service.studycenter.dto.studycenter;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "一件事-课程与试卷、试题关联关系表")
@ToString
@Data
@Table(name="YCQ_YJS_COURSE_TEST_REL")
public class YcqYjsCourseTestRel implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "course_id")
    @ApiModelProperty(name = "课题编号",notes = "")
    private BigInteger courseId;

    @Column(name = "test_type")
    @ApiModelProperty(name = "测试类型(1:选择试卷，2:选择试题)",notes = "")
    private int testType;

    @Column(name = "test_id")
    @ApiModelProperty(name = "题目/试卷id",notes = "")
    private BigInteger testId;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识",notes = "")
    private Integer delFlag;

}
