package com.crunii.micro.service.studycenter.dto.studycenter;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Author：dadm
 * Date：2023-09-20 17:24
 * Description：<描述>
 */
@Entity
@Table(name = "YCQ_YJS_TEST_PAPER")
@DynamicInsert
@DynamicUpdate
@Data
@ToString
@EqualsAndHashCode(of= {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "试卷表")
public class YcqYjsTestPaper implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty("试卷编码")
    private String code;

    @ApiModelProperty("试卷标题")
    private String title;

    @ApiModelProperty("考试状态：0未开始 1进行中 2已结束")
    private Integer status;

    @ApiModelProperty("封面图片")
    @Column(name = "cover_pic")
    private String coverPic;

    @ApiModelProperty("所属业务编码")
    @Column(name = "business_code")
    private String businessCode;

    @ApiModelProperty("所属业务名称")
    @Column(name = "business_name")
    private String businessName;

    @ApiModelProperty("类型编码")
    @Column(name = "type_code")
    private String typeCode;

    @ApiModelProperty("类型名称")
    @Column(name = "type_name")
    private String typeName;

    @ApiModelProperty("选题模式(1系统-自定义选题 2-批量导入题目) 3-随机选题")
    @Column(name = "question_type")
    private Integer questionType;

    @ApiModelProperty("是否进行考试：0-否 1-是")
    @Column(name = "is_exam")
    private Integer isExam;

    @ApiModelProperty("答题时长(单位分钟)")
    @Column(name = "answer_duration")
    private Integer answerDuration;

    @ApiModelProperty("有效开始时间")
    @Column(name = "start_time")
    private Date startTime;

    @ApiModelProperty("有效结束时间")
    @Column(name = "end_time")
    private Date endTime;

    @ApiModelProperty("可考次数")
    @Column(name = "allow_times")
    private Integer allowTimes;

    @ApiModelProperty("考试要求：1-随时提交 2-全部答题完成提交")
    @Column(name = "exam_ask")
    private Integer examAsk;

    @ApiModelProperty("是否显示分数：0-否 1是")
    @Column(name = "show_score")
    private Integer showScore;

    @ApiModelProperty("单选题分数")
    @Column(name = "single_score")
    private Integer singleScore;

    @ApiModelProperty("多选题分数")
    @Column(name = "multi_score")
    private Integer multiScore;

    @ApiModelProperty("判断题分数")
    @Column(name = "judge_score")
    private Integer judgeScore;

    @ApiModelProperty("合格分数")
    @Column(name = "pass_score")
    private Integer passScore;

    @ApiModelProperty("总分数")
    @Column(name = "total_score")
    private Integer totalScore;

    @ApiModelProperty("发布者id")
    @Column(name = "publish_user_id")
    private Long publishUserId;

    @ApiModelProperty("发布者名称")
    @Column(name = "publish_user_name")
    private String publishUserName;

    @ApiModelProperty("发布时间")
    @Column(name = "publish_time")
    private Date publishTime;

    @ApiModelProperty("单选题数量")
    @Column(name = "single_count")
    private Integer singleCount;

    @ApiModelProperty("多选题数量")
    @Column(name = "multi_count")
    private Integer multiCount;

    @ApiModelProperty("判断题数量")
    @Column(name = "judge_count")
    private Integer judgeCount;

    @ApiModelProperty("总数量")
    @Column(name = "total_count")
    private Integer totalCount;

    @ApiModelProperty("参与者数量")
    @Column(name = "accept_count")
    private Integer acceptCount;

    @ApiModelProperty("是否删除：0未删除 1已删除")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty("创建人id")
    @Column(name = "create_id")
    private Long createId;

    @ApiModelProperty("创建时间")
    @Column(name = "create_time")
    private Date createTime;

    @ApiModelProperty("更新人id")
    @Column(name = "update_id")
    private Long updateId;

    @ApiModelProperty("更新时间")
    @Column(name = "update_time")
    private Date updateTime;

}
