package com.crunii.micro.service.studycenter.dto.studycenter;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Author：dadm
 * Date：2023-09-20 18:29
 * Description：<描述>
 */

@Entity
@Table(name = "YCQ_YJS_TEST_PAPER_QUESTION_REL")
@DynamicInsert
@DynamicUpdate
@Data
@ToString
@EqualsAndHashCode(of= {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@ApiModel(description = "试卷题目关联表")
public class YcqYjsTestPaperQuestionRel implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @Column(name = "id")
    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty("试卷id")
    @Column(name = "paper_id")
    private Long paperId;

    @ApiModelProperty("试题id")
    @Column(name = "question_id")
    private Long questionId;

    @ApiModelProperty("是否删除：0未删除 1已删除")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty("创建人id")
    @Column(name = "create_id")
    private Long createId;

    @ApiModelProperty("创建时间")
    @Column(name = "create_time")
    private Date createTime;

    @ApiModelProperty("更新人id")
    @Column(name = "update_id")
    private Long updateId;

    @ApiModelProperty("更新时间")
    @Column(name = "update_time")
    private Date updateTime;

}

