package com.crunii.micro.service.studycenter.dto.studycenter;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;


@Entity
@DynamicInsert
@DynamicUpdate
@ToString
@Data
@EqualsAndHashCode(of= {"id"})
@GenericGenerator(name = "idGenerator", strategy = "com.crunii.micro.core.distributed.DistributedSnowFlakeId")
@Table(name="YCQ_YJS_UNMATCHED_PERSON")
@ApiModel(description = "不匹配清单表")
public class YcqYjsUnmatchedPerson implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(name = "主键id",notes = "")
    private BigInteger id;

    @Column(name = "identity_Type")
    @ApiModelProperty(name = "身份类型",notes = "")
    private String identityType;

    @Column(name = "person_number")
    @ApiModelProperty(name = "人员编号",notes = "")
    private String personNumber;

    @Column(name = "person_name")
    @ApiModelProperty(name = "人员姓名",notes = "")
    private String personName;

    @Column(name = "id_number")
    @ApiModelProperty(name = "身份证号",notes = "")
    private String idNumber;

    @Column(name = "phone_number")
    @ApiModelProperty(name = "手机号",notes = "")
    private String phoneNumber;

    @Column(name = "is_mate")
    @ApiModelProperty(name = "是否匹配",notes = "")
    private String isMate;

    @Column(name = "political_outlook")
    @ApiModelProperty(name = "政治面貌",notes = "")
    private String politicalOutlook;

    @Column(name = "unmatched_reason")
    @ApiModelProperty(name = "不匹配原因",notes = "")
    private String unmatchedReason;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "是否删除(1删除0未删除)",notes = "")
    private Integer delFlag;

    @Column(name = "CREATED_BY")
    @ApiModelProperty(name = "创建人ID",notes = "")
    private BigInteger createdBy;

    @Column(name = "CREATED_TIME")
    @ApiModelProperty(name = "创建时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @Column(name = "UPDATED_BY")
    @ApiModelProperty(name = "更新人ID",notes = "")
    private BigInteger updatedBy;

    @Column(name = "UPDATED_TIME")
    @ApiModelProperty(name = "更新时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime;

}