package com.crunii.micro.service.studycenter.dto.studycenter;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "一件事-视频转码信息表")
@ToString
@Data
@Table(name="YCQ_YJS_UPLOAD_VIDEO")
public class YcqYjsUploadVideo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "file_number")
    @ApiModelProperty(name = "文件编号",notes = "")
    private String fileNumber;

    @Column(name = "table_name")
    @ApiModelProperty(name = "系统业务表",notes = "")
    private String tableName;

    @Column(name = "file_name")
    @ApiModelProperty(name = "文件名",notes = "")
    private String fileName;

    @Column(name = "file_type")
    @ApiModelProperty(name = "文件类型",notes = "")
    private String fileType;

    @Column(name = "file_size")
    @ApiModelProperty(name = "文件大小",notes = "")
    private BigInteger fileSize;

    @Column(name = "file_status")
    @ApiModelProperty(name = "文件状态(1:正在转化，0:转化完成)",notes = "")
    private Integer fileStatus;

    @Column(name = "picture_url")
    @ApiModelProperty(name = "文件缩略图",notes = "")
    private String pictureUrl;

    @Column(name = "file_id")
    @ApiModelProperty(name = "流媒体返回的fileId",notes = "")
    private String fileId;

    @Column(name = "system_name")
    @ApiModelProperty(name = "系统名称",notes = "")
    private String systemName;

    @Column(name = "user_name")
    @ApiModelProperty(name = "上传人名称",notes = "")
    private String userName;

    @Column(name = "upload_date")
    @ApiModelProperty(name = "上传日期",notes = "")
    private String uploadDate;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建日期",notes = "")
    private Date createTime;

    @Column(name = "update_time")
    @ApiModelProperty(name = "修改日期",notes = "")
    private Date updateTime;

    @Column(name = "file_duration")
    @ApiModelProperty(name = "视频时长",notes = "")
    private String fileDuration;

}
