package com.crunii.micro.service.studycenter.dto.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigInteger;

/**
 * Author：zzq
 * Date：2020-12-17 9:14
 * Description：<描述>
 */
@Data
public class ExcelImportTestQuestionModel {

    @ExcelProperty(value = "题目", index = 0)
    private String topic;

    @ExcelProperty(value = "题型", index = 1)
    private String topicType;

    @ExcelProperty(value = "选项A", index = 2)
    private String optionA;

    @ExcelProperty(value = "选项B", index = 3)
    private String optionB;

    @ExcelProperty(value = "选项C", index = 4)
    private String optionC;

    @ExcelProperty(value = "选项D", index = 5)
    private String optionD;

    @ExcelProperty(value = "选项E", index = 6)
    private String optionE;

    @ExcelProperty(value = "选项F", index = 7)
    private String optionF;

    @ExcelProperty(value = "正确答案", index = 8)
    private String answerOption;

    @ExcelProperty(value = "分类", index = 9)
    private String topicClassifyName;

    @ExcelProperty(value = "所属业务", index = 10)
    private String organizationName;

    @ExcelIgnore
    @ApiModelProperty("序号")
    private Integer no;

    @ExcelIgnore
    @ApiModelProperty("所属业务id")
    private BigInteger organizeId;

    @ExcelIgnore
    @ApiModelProperty("试卷所属业务id")
    private BigInteger organizeIdTestPaper;

    @ExcelIgnore
    @ApiModelProperty("分类id")
    private BigInteger topicClassifyId;

    @ExcelIgnore
    @ApiModelProperty("失败原因")
    private String failReason;

    @ExcelIgnore
    @ApiModelProperty("导入结果")
    private Boolean success = Boolean.TRUE;

}