package com.crunii.micro.service.studycenter.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Author：dadm
 * Date：2023-09-20 17:52
 * Description：<描述>
 */
@ToString
@Data
public class TestPaperReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("试卷标题")
    private String title;

    @ApiModelProperty("封面图片")
    private String coverPic;

    @ApiModelProperty("所属业务编码")
    private String businessCode;

    @ApiModelProperty("所属业务名称")
    private String businessName;

    @ApiModelProperty("类型编码")
    private String typeCode;

    @ApiModelProperty("类型名称")
    private String typeName;

    @ApiModelProperty("选题模式(1系统-自定义选题 2-批量导入题目) 3-随机选题")
    private Integer questionType;

    @ApiModelProperty("是否进行考试：0-否 1-是")
    private Integer isExam;

    @ApiModelProperty("答题时长(单位分钟)")
    private Integer answerDuration;

    @ApiModelProperty("有效开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date startTime;

    @ApiModelProperty("有效结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date endTime;

    @ApiModelProperty("可考次数")
    private Integer allowTimes;

    @ApiModelProperty("考试要求：1-随时提交 2-全部答题完成提交")
    private Integer examAsk;

    @ApiModelProperty("是否显示分数：0-否 1是")
    private Integer showScore;

    @ApiModelProperty("单选题分数")
    private Integer singleScore;

    @ApiModelProperty("多选题分数")
    private Integer multiScore;

    @ApiModelProperty("判断题分数")
    private Integer judgeScore;

    @ApiModelProperty("合格分数")
    private Integer passScore;

    @ApiModelProperty("总分数")
    private Integer totalScore;

    @ApiModelProperty("单选题数量")
    private Integer singleCount;

    @ApiModelProperty("多选题数量")
    private Integer multiCount;

    @ApiModelProperty("判断题数量")
    private Integer judgeCount;

    @ApiModelProperty("总数量")
    private Integer totalCount;

    @ApiModelProperty("试题ids,逗号隔开")
    private List<Long> questionIds;

}
