package com.crunii.micro.service.studycenter.dto.vo;

import com.crunii.micro.service.studycenter.annotation.FiledDesensitization;
import com.crunii.micro.service.studycenter.enums.MaskingTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;


@Data
public class YcqYjsNegativePersonVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(name = "主键id",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "身份类型",notes = "")
    private String identityType;

    @ApiModelProperty(name = "人员编号",notes = "")
    private String personNumber;

    @ApiModelProperty(name = "人员姓名",notes = "")
    private String personName;

    @ApiModelProperty(name = "身份证号",notes = "")
    @FiledDesensitization(type = MaskingTypeEnum.ID_CARD)
    private String idNumber;

    @ApiModelProperty(name = "手机号",notes = "")
    @FiledDesensitization(type = MaskingTypeEnum.PHONE)
    private String phoneNumber;

    @ApiModelProperty(name = "政治面貌",notes = "")
    private String politicalOutlook;

    @ApiModelProperty(name = "负面原因",notes = "")
    private String negativeReason;

    @ApiModelProperty(name = "数据来源",notes = "")
    private String dataSource;

    @ApiModelProperty(name = "是否删除(1删除0未删除)",notes = "")
    private Integer delFlag;

    @ApiModelProperty(name = "创建人ID",notes = "")
    private BigInteger createdBy;

    @ApiModelProperty(name = "创建时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    @ApiModelProperty(name = "更新人ID",notes = "")
    private BigInteger updatedBy;

    @ApiModelProperty(name = "更新时间",notes = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime;

}