package com.crunii.micro.service.studycenter.dto.vo;

import com.crunii.micro.service.studycenter.annotation.FiledDesensitization;
import com.crunii.micro.service.studycenter.enums.MaskingTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;


@Data
public class YcqYjsUnmatchedPersonVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(name = "主键id",notes = "")
    private BigInteger id;

    @ApiModelProperty(name = "身份类型",notes = "")
    private String identityType;

    @ApiModelProperty(name = "人员编号",notes = "")
    private String personNumber;

    @ApiModelProperty(name = "人员姓名",notes = "")
    private String personName;

    @ApiModelProperty(name = "身份证号",notes = "")
    @FiledDesensitization(type = MaskingTypeEnum.ID_CARD)
    private String idNumber;

    @ApiModelProperty(name = "手机号",notes = "")
    @FiledDesensitization(type = MaskingTypeEnum.PHONE)
    private String phoneNumber;

    @ApiModelProperty(name = "政治面貌",notes = "")
    private String politicalOutlook;

    @ApiModelProperty(name = "是否匹配(0匹配1不匹配)",notes = "")
    private String isMate;

    @ApiModelProperty(name = "不匹配原因",notes = "")
    private String unmatchedReason;

    @ApiModelProperty(name = "是否删除(1删除0未删除)",notes = "")
    private Integer delFlag;

    @ApiModelProperty(name = "创建人ID",notes = "")
    private BigInteger createdBy;

    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createdTime;

    @ApiModelProperty(name = "更新人ID",notes = "")
    private BigInteger updatedBy;

    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updatedTime;

}