package com.crunii.micro.service.studycenter.dto.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 年度服务时长信息表(YCQ_YJS_YAER_SERVICETIME)表 Excel导出对象
 */
@Data
public class YearServiceTimeExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty(value = "人员编号")
    private String personNumber;

    @ExcelProperty(value = "人员姓名")
    private String personName;

    @ExcelProperty(value = "身份证号")
    private String idNumber;

    @ExcelProperty(value = "手机号")
    private String phoneNumber;

    @ExcelProperty(value = "身份类型")
    private String identityType;

    @ExcelProperty(value = "政治面貌")
    private String politicalOutlook;

    @ExcelProperty(value = "年度服务时长")
    private String yearServiceTime;

    @ExcelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

}
