package com.crunii.micro.service.studycenter.jdbc;


import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCouresSpecial;
import com.crunii.micro.service.studycenter.util.BaseJdbcTemplateUtil;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 试题表;
 *
 * @author : dinglian
 * @date : 2023-9-18
 */
@Repository
public class YcqYjsCouresSpecialJdbcDao {

    public static final String DELETE_SPECIAL_ID_SQL = "delete from YCQ_YJS_COURES_SPECIAL a where a.special_id = ?";

    public static final String QUERY_SQL = "SELECT * FROM YCQ_YJS_COURES_SPECIAL a where id = ? ";


    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    @Resource(name = "mainNPJT")
    protected BaseNPJdbcTemplate NPJT;

    /**
     * 新增
     * */
    public void insert(YcqYjsCouresSpecial ycqYjsCouresSpecial) {
        ycqYjsCouresSpecial.setCreateTime(new Date());
        String insertsql = BaseJdbcTemplateUtil.insert(YcqYjsCouresSpecial.class);
        JT.update(insertsql, BaseJdbcTemplateUtil.getValues(ycqYjsCouresSpecial));
    }

    /**
     * 批量新增
     * */
    public void batchInsert(List<YcqYjsCouresSpecial> list) {
        YcqYjsCouresSpecial ycqYjsCouresSpecial = null;
        List<Object[]> listObj = new ArrayList<>();
        Object[] obj = null;
        for (int i = 0; i < list.size(); i++) {
            ycqYjsCouresSpecial = list.get(i);
            obj = BaseJdbcTemplateUtil.getValues(ycqYjsCouresSpecial);
            listObj.add(obj);
        }
        String insertsql = BaseJdbcTemplateUtil.insert(YcqYjsCouresSpecial.class);
        JT.batchUpdate(insertsql, listObj);
    }


    public YcqYjsCouresSpecial queryById(BigInteger id) {
        YcqYjsCouresSpecial ycqYjsCouresSpecial = JT.queryForBean(YcqYjsCouresSpecial.class, QUERY_SQL, new Object[]{id});
        return ycqYjsCouresSpecial;
    }

    public int deleteSpecialId(BigInteger id) {
        int i = JT.update(DELETE_SPECIAL_ID_SQL, new Object[]{id});
        return i;
    }
}
