package com.crunii.micro.service.studycenter.jdbc;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.domain.common.jdbc.BaseNPJdbcTemplate;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCouresSpecial;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCoursesubMgr;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCoursesubMgrResp;
import com.crunii.micro.service.studycenter.util.BaseJdbcTemplateUtil;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Repository
public class YcqYjsCoursesubMgrDao {

    public static final String DELETE_SQL ="Update YCQ_YJS_COURSESUB_MGR a set a.del_flag=1  where id = ? ";

    public static final String QUERY_SQL ="SELECT * FROM YCQ_YJS_COURSESUB_MGR a where id = ? ";

    public static final String QUERY_COURSE_SQL ="SELECT a.*,b.picture_url FROM YCQ_YJS_COURSESUB_MGR a" +
            " left join YCQ_YJS_UPLOAD_VIDEO b on (a.sub_course_id=b.file_number and b.table_name='YCQ_YJS_COURSESUB_MGR') where a.del_flag = 0 and a.course_id = ? ";

    public static final String UPDATE_SQL="Update YCQ_YJS_COURSESUB_MGR a " +
            "set a.subcourse_name=?,a.url=?,a.xh=?,a.is_drag_play=?a.is_multiply_play=?,a.attachment=?,a.attachment_name=?,a.video_name=?,a.course_duration=?  where a.id = ?";

    public static final String BATH_DELETE_SQL="delete from YCQ_YJS_COURSESUB_MGR a where a.course_id=?";

     @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    /**
     * 插入
     * */
    public void insert(YcqYjsCoursesubMgr ycqYjsCoursesubMgr) {
        ycqYjsCoursesubMgr.setCreateTime(new Date());
        ycqYjsCoursesubMgr.setDelFlag(0);
        String insertsql = BaseJdbcTemplateUtil.insert(YcqYjsCoursesubMgr.class);
        JT.update(insertsql,  BaseJdbcTemplateUtil.getValues(ycqYjsCoursesubMgr));
    }

    /**
     * 批量插入
     * */
    public void batchInsert(List<YcqYjsCoursesubMgr> list) {
        YcqYjsCoursesubMgr ycqYjsCoursesubMgr = null;
        List<Object[]> listObj = new ArrayList<>();
        Object[] obj = null;
        for (int i = 0; i < list.size(); i++) {
            ycqYjsCoursesubMgr = list.get(i);
            ycqYjsCoursesubMgr.setCreateTime(new Date());
            ycqYjsCoursesubMgr.setDelFlag(0);
            obj = BaseJdbcTemplateUtil.getValues(ycqYjsCoursesubMgr);
            listObj.add(obj);
        }
        String insertsql = BaseJdbcTemplateUtil.insert(YcqYjsCoursesubMgr.class);
        JT.batchUpdate(insertsql, listObj);
    }

    /**
     * 批量删除数据
     * */
    public void batchDeleteBycourseId(BigInteger courseId) {
        JT.update(BATH_DELETE_SQL, new Object[]{courseId});
    }

    /**
     * 根据主课程id,删除子课程
     * */


    /**
     * 修改
     * */
    public void update(YcqYjsCoursesubMgr ycqYjsCoursesubMgr)  {
        try {
            JT.update(UPDATE_SQL, ycqYjsCoursesubMgr.getSubcourseName(),
                    ycqYjsCoursesubMgr.getUrl(),ycqYjsCoursesubMgr.getXh(),ycqYjsCoursesubMgr.getIsDragPlay(),ycqYjsCoursesubMgr.getIsMultiplyPlay(),
                    ycqYjsCoursesubMgr.getAttachment(),ycqYjsCoursesubMgr.getAttachmentName(),ycqYjsCoursesubMgr.getVideoName(),ycqYjsCoursesubMgr.getCourseDuration(),
                    ycqYjsCoursesubMgr.getId()
            );
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 删除
     * */
    public void deleteById(BigInteger id) {
        JT.update(DELETE_SQL, new Object[]{id});
    }

    /**
     * 主键查询
     * */
    public YcqYjsCoursesubMgr queryById(BigInteger id) {
        YcqYjsCoursesubMgr ycqYjsCoursesubMgr = JT.queryForBean ( YcqYjsCoursesubMgr.class, QUERY_SQL, new Object[]{id});
        return ycqYjsCoursesubMgr;
    }

    /**
     * 根据主课程di查询子课程集合
     * */
    public List<YcqYjsCoursesubMgrResp> queryCourseById(BigInteger courseId) {
        List<YcqYjsCoursesubMgrResp> list = JT.queryForBeans ( YcqYjsCoursesubMgrResp.class, QUERY_COURSE_SQL, new Object[]{courseId});
        return list;
    }
}
