package com.crunii.micro.service.studycenter.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUploadUserVideo;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUploadVideo;
import com.crunii.micro.service.studycenter.util.BaseJdbcTemplateUtil;
import org.springframework.jdbc.core.PreparedStatementCreator;
import org.springframework.jdbc.support.GeneratedKeyHolder;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Date;
import java.util.List;

/**
 * 用户上传学习视频;
 *
 * @author : 胡威
 * @date : 2023-9-18
 */
@Repository
public class YcqYjsUploadUserVideoDao {

    public static final String QUERY_SQL ="select * from YCQ_YJS_UPLOAD_USER_VIDEO a where 1 = 1 and a.file_number=? and a.table_name=? ";


    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    public YcqYjsUploadUserVideo insert(YcqYjsUploadUserVideo ycqYjsUploadUserVideo) {
        ycqYjsUploadUserVideo.setCreateTime(new Date());
        String insertsql = BaseJdbcTemplateUtil.insert(YcqYjsUploadUserVideo.class);
        Object[] objs = BaseJdbcTemplateUtil.getValues(ycqYjsUploadUserVideo);
        PreparedStatementCreator create = new PreparedStatementCreator() {
            //利用传统的方法进行JDBC查询
            @Override
            public PreparedStatement createPreparedStatement(Connection connection) throws SQLException {
                //插入用户，返回主键
                PreparedStatement preparedStatement = connection.prepareStatement(insertsql,
                        PreparedStatement.RETURN_GENERATED_KEYS);
                for (int i = 0; i < objs.length; i++) {
                    preparedStatement.setObject(i+1, objs[i]);
                }
                return preparedStatement;
            }
        };
        //2.创建keyHoldle
        GeneratedKeyHolder keyHolder = new GeneratedKeyHolder();
        JT.update(create, keyHolder);
        //获取生成的主键key
        Long key = keyHolder.getKey().longValue();
        BigInteger id = new BigInteger(String.valueOf(key));
        ycqYjsUploadUserVideo.setId(id);
        return ycqYjsUploadUserVideo;
    }

    public YcqYjsUploadUserVideo query(String fileNumber, String tableName) {
        List<YcqYjsUploadUserVideo> ycqYjsUploadUserVideoList = JT.queryForBeans(YcqYjsUploadUserVideo.class, QUERY_SQL, new Object[]{fileNumber, tableName});
        YcqYjsUploadUserVideo ycqYjsUploadUserVideo=ycqYjsUploadUserVideoList.get(0);
        return ycqYjsUploadUserVideo;
    }
}
