package com.crunii.micro.service.studycenter.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsUploadVideo;
import com.crunii.micro.service.studycenter.util.BaseJdbcTemplateUtil;
import org.springframework.jdbc.core.PreparedStatementCreator;
import org.springframework.jdbc.support.GeneratedKeyHolder;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Date;
import java.util.List;

/**
 * 视频转码信息表;
 *
 * @author : dinglian
 * @date : 2023-9-18
 */
@Repository
public class YcqYjsUploadVideoDao {

    public static final String QUERY_SQL ="select * from YCQ_YJS_UPLOAD_VIDEO a where 1 = 1 and a.file_number=? and a.table_name=? ";

    public static final String UPDATE_STATUS_SQL =" update YCQ_YJS_UPLOAD_VIDEO a set a.file_status=0 where a.file_id=?";

    public static final String DELETE_SQL="delete from YCQ_YJS_UPLOAD_VIDEO a where a.file_number=? and a.table_name=?";

    public static final String DELETE_SUBCOURSEVIDEO_SQL = "select * from YCQ_YJS_UPLOAD_VIDEO t where exists (select 1 from YCQ_YJS_COURSESUB_MGR m where t.file_number=m.sub_course_id and t.table_name=? and m.course_id=?) ";

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    public YcqYjsUploadVideo insert(YcqYjsUploadVideo ycqYjsUploadVideo) {
        ycqYjsUploadVideo.setCreateTime(new Date());
        String insertsql = BaseJdbcTemplateUtil.insert(YcqYjsUploadVideo.class);
        Object[] objs = BaseJdbcTemplateUtil.getValues(ycqYjsUploadVideo);
        PreparedStatementCreator create = new PreparedStatementCreator() {
            //利用传统的方法进行JDBC查询
            @Override
            public PreparedStatement createPreparedStatement(Connection connection) throws SQLException {
                //插入用户，返回主键
                PreparedStatement preparedStatement = connection.prepareStatement(insertsql,
                        PreparedStatement.RETURN_GENERATED_KEYS);
                for (int i = 0; i < objs.length; i++) {
                    preparedStatement.setObject(i+1, objs[i]);
                }
                return preparedStatement;
            }
        };
        //2.创建keyHoldle
        GeneratedKeyHolder keyHolder = new GeneratedKeyHolder();
        JT.update(create, keyHolder);
        //获取生成的主键key
        Long key = keyHolder.getKey().longValue();
        BigInteger id = new BigInteger(String.valueOf(key));
        ycqYjsUploadVideo.setId(id);
        return ycqYjsUploadVideo;
    }

    public YcqYjsUploadVideo query(String fileNumber, String tableName) {
        List<YcqYjsUploadVideo> ycqYjsUploadVideoList = JT.queryForBeans(YcqYjsUploadVideo.class, QUERY_SQL, new Object[]{fileNumber, tableName});
        YcqYjsUploadVideo ycqYjsUploadVideo=ycqYjsUploadVideoList.get(0);
        return ycqYjsUploadVideo;
    }

    public void updateStatus(String fileId) {
        int i = JT.update(UPDATE_STATUS_SQL, fileId);
    }

    public void delete(String fileNumber, String tableName) {
        int i = JT.update(DELETE_SQL, new Object[]{fileNumber, tableName});
    }

    public void deleteCourseVideo(String tableName, BigInteger id) {
        int i = JT.update(DELETE_SUBCOURSEVIDEO_SQL, new Object[]{tableName, id});
    }
}
