package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsCourseMgrResp;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsSpecialMgrDto;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsCouresSpecialVo;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsSpecialMgr;
import com.crunii.micro.service.studycenter.dto.vo.YcqYjsSpecialMgrVo;

import java.math.BigInteger;
import java.util.List;

/**
 * 一件事-专题管理;(YCQ_YJS_SPECIAL_MGR)表服务接口
 * @author : http://www.chiner.pro
 * @date : 2023-9-21
 */
public interface YcqYjsSpecialMgrService{

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Result<YcqYjsSpecialMgrDto> queryById(BigInteger id);

    /**
     * 分页查询
     *
     * @param req 筛选条件
     * @return
     */
    Result<PageRsp<YcqYjsSpecialMgrDto>> paginQuery(PageReq<YcqYjsSpecialMgrVo> req);
    /**
     * 新增数据
     *
     * @param ycqYjsSpecialMgrVo 实例对象
     * @return 实例对象
     */
    Result<Object> insert(YcqYjsSpecialMgrVo ycqYjsSpecialMgrVo);
    /**
     * 更新数据
     *
     * @param ycqYjsSpecialMgrVo 实例对象
     * @return 实例对象
     */
    Result<Object> update(YcqYjsSpecialMgrVo ycqYjsSpecialMgrVo);
    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    Result<Object> deleteById(BigInteger id);

    /**
     * 专题管理关联课程
     *
     * @param YcqYjsCouresSpecialvo
     * @return 是否成功
     */
    Result<Object> createRelationship(YcqYjsCouresSpecialVo YcqYjsCouresSpecialvo);

    Result<Object> relatedCourses();

    List<YcqYjsSpecialMgr> querySpecialInfoList();

    Result<List<YcqYjsCourseMgrResp>> queryCourseInfoBySpecialType(YcqYjsSpecialMgr ycqYjsSpecialMgr);

    // app端查询六知六会一做视频列表
    Result<Object> queryAppVideoList(YcqYjsSpecialMgr ycqYjsSpecialMgr);
}