package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsTestPaper;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsTestQuestionReq;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * Author：dadm
 * Date：2023-09-20 18:40
 * Description：<描述>
 */
public interface YcqYjsTestPaperQuestionRelService {

    /**绑定试卷和题目*/
    void bindTestPaperQuestionRel(Long paperId, List<Long> questionIds);

    /**解绑试卷下题目*/
    void unBindTestPaperQuestionRel(Long paperId);

    /**解绑试卷和题目*/
    void unBindTestPaperQuestionRel(Long paperId, Long questionId);

    /**解绑试卷和题目*/
    void unBindTestPaperQuestionRel(Long paperId, List<Long> questionIds);

    /**查询试卷题目列表*/
    List<YcqYjsTestQuestionReq> getYcqYjsTestQuestionByPaperId(Long paperId);

    /**试卷下题目数量统计*/
    Map<Long, Long> getYcqYjsTestQuestionCountMap(List<Long> paperIds);

    /**根据题目id查询关联试卷数量*/
    Map<BigInteger, Integer> getTestPaperCountMapByQuestionIds(List<BigInteger> questionIds);

    /**根据题目id查询关联试卷数量*/
    int getTestPaperCountByQuestionId(BigInteger questionId);

    /**根据题目id查询关联试卷*/
    Map<BigInteger, List<YcqYjsTestPaper>> getTestPaperYcqYjsTestPaperMapByQuestionIds(List<BigInteger> questionIds);

    /**根据题目id查询关联试卷*/
    List<YcqYjsTestPaper> getTestPaperYcqYjsTestPaperByQuestionId(BigInteger questionId);



}
