package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.feign.client.dto.FileVo;
import com.crunii.micro.service.studycenter.dto.vo.TestPaperCondition;
import com.crunii.micro.service.studycenter.dto.vo.TestPaperReq;
import com.crunii.micro.service.studycenter.dto.vo.TestPaperVO;
import org.springframework.web.multipart.MultipartFile;

/**
 * Author：dadm
 * Date：2023-09-20 17:22
 * Description：<描述>
 */
public interface YcqYjsTestPaperService {

    /**创建试卷*/
    void createTestPaper(TestPaperReq createReq);

    /**删除试卷*/
    void delTestPaper(Long id);

    /**修改试卷*/
    void updateTestPaper(TestPaperReq updateReq);

    /**试卷详情*/
    TestPaperVO getTestPaperInfo(Long id);

    /**分页查询试卷*/
    PageRsp<TestPaperVO> pageSearchTestPaper(PageReq<TestPaperCondition> req);

    /**启用|禁用*/
    void startOrEndTestPaper(Long id, Integer status);

    /**上传图片*/
    FileVo doStoreImage(MultipartFile file);

    /**分页查询试卷-青字号*/
    PageRsp<TestPaperVO> pageSearchTestPaperByQzh(PageReq<TestPaperCondition> req);
}
