package com.crunii.micro.service.studycenter.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsTestQuestion;
import com.crunii.micro.service.studycenter.dto.studycenter.YcqYjsTestQuestionReq;
import com.crunii.micro.service.studycenter.dto.vo.ExcelImportTestQuestionModel;
import com.crunii.micro.service.studycenter.dto.vo.ImportVO;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigInteger;
import java.util.List;

/**
 * 试题表;
 *
 * @author : charler
 * @date : 2023-9-21
 */
public interface YcqYjsTestQuestionService {


    List<YcqYjsTestQuestion> searchAll();

    Result<Object> createTestQuestionInfo(YcqYjsTestQuestionReq createReq);

    Result<Object> updateTestQuestionInfo(YcqYjsTestQuestionReq createReq);


    Result<Object> deleteById(BigInteger id);

    Result<Object> deleteByIds(List<BigInteger> ids);

    Result<YcqYjsTestQuestionReq> queryById(BigInteger id);

    Result<List<YcqYjsTestQuestionReq>> queryByIds(List<BigInteger> ids);

    /**
     *  按照分类  题目和类型分页查询所有试题
     * @param req
     * @return
     */
    PageRsp<YcqYjsTestQuestion> pageYcqYjsTestQuestion(PageReq<YcqYjsTestQuestionReq> req);

    PageRsp<YcqYjsTestQuestion> pageYcqYjsTestQuestionByIds(PageReq<YcqYjsTestQuestionReq> req);


    /**批量导入试题*/
    ImportVO createImportTestQuestionExcel(MultipartFile file, BigInteger organizeId, String organizeName);

    /**批量新增试题*/
    ImportVO batchCreateTestQuestion(List<ExcelImportTestQuestionModel> models, ImportVO importVO);
}
