package com.crunii.micro.service.studycenter.util;

import java.security.SecureRandom;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class CharacterCodeUtil {
    private static final String CHARACTERS = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
    private static final int RANDOM_CODE_LENGTH = 4;

    public static String generateCharacterCode(String code) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        String timestamp = sdf.format(new Date());
        String randomCode = generateRandomCode();
        return code + timestamp + randomCode;
    }

    private static String generateRandomCode() {
        StringBuilder randomCode = new StringBuilder();
        Random random = new SecureRandom();

        for (int i = 0; i < RANDOM_CODE_LENGTH; i++) {
            int randomIndex = random.nextInt(CHARACTERS.length());
            char randomChar = CHARACTERS.charAt(randomIndex);
            randomCode.append(randomChar);
        }

        return randomCode.toString();
    }

    public static void main(String[] args) throws Exception {
        System.out.println(generateCharacterCode("QMXY"));
    }
}
