//package com.crunii.micro.service.studycenter.util;
//import cn.hutool.core.util.IdUtil;
//import cn.hutool.http.HttpRequest;
//import cn.hutool.http.HttpResponse;
//import com.crunii.micro.common.utils.FileUtil;
//import lombok.SneakyThrows;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.io.FileUtils;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.http.entity.ContentType;
//import org.bytedeco.javacv.FFmpegFrameGrabber;
//import org.bytedeco.javacv.Frame;
//import org.bytedeco.javacv.Java2DFrameConverter;
//import org.springframework.mock.web.MockMultipartFile;
//import org.springframework.web.multipart.MultipartFile;
//import ws.schild.jave.MultimediaInfo;
//import ws.schild.jave.MultimediaObject;
//
//import javax.imageio.ImageIO;
//import java.awt.image.BufferedImage;
//import  java.io.File;
//
//import java.io.*;
//import java.math.BigDecimal;
//import java.math.RoundingMode;
//import java.net.URL;
//import java.nio.channels.FileChannel;
//import java.security.SecureRandom;
//import java.text.DecimalFormat;
//import java.text.SimpleDateFormat;
//import java.util.*;
//
///**
// * MultipartFile和File互转工具类
// */
//@Slf4j
//public class MultipartFileUtil {
//
//    /**
//     * 输入流转MultipartFile
//     *
//     * @param fileName
//     * @param inputStream
//     * @return
//     */
//    public static MultipartFile getMultipartFile(String fileName, InputStream inputStream) {
//        MultipartFile multipartFile = null;
//        try {
//            multipartFile = new MockMultipartFile(fileName, fileName,
//                    ContentType.APPLICATION_OCTET_STREAM.toString(), inputStream);
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        return multipartFile;
//    }
//
//    /**
//     * 读取网络文件
//     *
//     * @param url      文件地址
//     * @param fileName 文件名称（需带文件名后缀）
//     * @return
//     */
//    public static MultipartFile getMultipartFile(String url, String fileName) {
//        HttpResponse response = HttpRequest.get(url).execute();
//        InputStream inputStream = response.bodyStream();
//        return MultipartFileUtil.getMultipartFile(fileName, inputStream);
//    }
//
//    /**
//     * File 转MultipartFile
//     *
//     * @param file
//     * @return
//     */
//    public static MultipartFile getMultipartFile(File file) {
//        FileInputStream fileInputStream = null;
//        MultipartFile multipartFile = null;
//        try {
//            fileInputStream = new FileInputStream(file);
//            multipartFile = new MockMultipartFile(file.getName(), file.getName(),
//                    ContentType.APPLICATION_OCTET_STREAM.toString(), fileInputStream);
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        return multipartFile;
//    }
//
//    /**
//     * MultipartFileUtil 转File
//     *
//     * @param multipartFile
//     * @return
//     */
//    public static File getFile(MultipartFile multipartFile) {
//        // 获取文件名
//        String fileName = multipartFile.getOriginalFilename();
//        // 获取文件后缀
//        String prefix = "." + getExtensionName(fileName);
//        File file = null;
//        try {
//            // 用uuid作为文件名，防止生成的临时文件重复
//            file = File.createTempFile(IdUtil.simpleUUID(), prefix);
//            // MultipartFile to File
//            FileUtils.copyInputStreamToFile(multipartFile.getInputStream(), file);
////            multipartFile.transferTo(file);
//        } catch (IOException e) {
//            e.printStackTrace();
//        }
//        return file;
//    }
//
//    /**
//     * 获取文件扩展名，不带 .
//     */
//    public static String getExtensionName(String filename) {
//        if ((filename != null) && (filename.length() > 0)) {
//            int dot = filename.lastIndexOf('.');
//            if ((dot > -1) && (dot < (filename.length() - 1))) {
//                return filename.substring(dot + 1);
//            }
//        }
//        return filename;
//    }
//
//    /**
//     前端上传视频之后，根据上传的视频文件获取视频的大小和时长
//     1、获取视频时长 (单位:分钟)
//     */
//    public static String readVideoTime(File source) {
//        String formattedResult = "-1";
//        try {
//            int vedioSecond =  Integer.parseInt(parseDuration(source.getAbsolutePath()));
//            // 将其中一个操作数强制转换为double类型，使得除法运算得到浮点数结果
//            double result = (double) vedioSecond / 60;
//            // 创建DecimalFormat对象，指定保留两位小数
//            DecimalFormat decimalFormat = new DecimalFormat("#0.00");
//            // 使用DecimalFormat格式化浮点数结果，得到字符串形式的结果
//            formattedResult = decimalFormat.format(result);
//        } catch (Exception e) {
//            log.info("获取视频时长失败: {}",e.getMessage());
//        }
//        return formattedResult;
//    }
//
//
//    /**
//     * 视频时长
//     *
//     * @param fileUrl
//     * @return String[] 0=秒时长，1=展示时长（格式如 01:00:00）
//     */
//    public static String parseDuration(String fileUrl) {
//        long ls = 0L;
//        String[] length = new String[2];
//        try {
//            //
////            URL source = new URL(fileUrl);
//            // 构造方法 接受URL对象
////            MultimediaObject instance = new MultimediaObject(source);
//            // 构造方法 接受File对象
//            MultimediaObject instance = new MultimediaObject(new File(fileUrl));
//            MultimediaInfo result = instance.getInfo();
//            ls = result.getDuration() / 1000;
//            length[0] = String.valueOf(ls);
//            Integer hour = (int) (ls / 3600);
//            Integer minute = (int) (ls % 3600) / 60;
//            Integer second = (int) (ls - hour * 3600 - minute * 60);
//            String hr = hour.toString();
//            String mi = minute.toString();
//            String se = second.toString();
//            if (hr.length() < 2) {
//                hr = "0" + hr;
//            }
//            if (mi.length() < 2) {
//                mi = "0" + mi;
//            }
//            if (se.length() < 2) {
//                se = "0" + se;
//            }
//
//            String noHour = "00";
//            if (noHour.equals(hr)) {
//                length[1] = mi + ":" + se;
//            } else {
//                length[1] = hr + ":" + mi + ":" + se;
//            }
//
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        return String.valueOf(ls);
//    }
//
//
//
//
//
//
//    /**
//     * 2、获取文件大小
//     * @param source
//     * @return
//     * //***获取视频大小的时候，由于用到了流，使用完之后一定要及时的关闭流，避免无法删除视频文件***
//     *
//     */
//    public static BigDecimal readFileSize(File source) {
//        //cn.hutool.core.io.unit.DataSize.ofMegabytes()
//        FileChannel fc= null;
//        //String size = "";
//        BigDecimal  size  = null ;
//        try {
//            @SuppressWarnings("resource")
//            FileInputStream fis = new FileInputStream(source);
//            fc= fis.getChannel();
//            BigDecimal fileSize = new BigDecimal(fc.size());
//            //size = fileSize.divide(new BigDecimal(1048576), 2, RoundingMode.HALF_UP) + "MB";
//            size = fileSize.divide(new BigDecimal(1024*1024), 2, RoundingMode.HALF_UP)  ;
//        } catch (FileNotFoundException e) {
//            e.printStackTrace();
//        } catch (IOException e) {
//            e.printStackTrace();
//        } finally {
//            if (null!=fc){
//                try{
//                    fc.close();
//                }catch(IOException e){
//                    e.printStackTrace();
//                }
//            }
//        }
//        return size;
//    }
//
//    /**
//     * 生成视频封面
//     * @author 明快de玄米61
//     * @date   2022/12/4 16:34
//     * @param  videoFile 视频全路径，目前发现支持mp4、webm，其他的需要自己去尝试
//     * @param  coverNum 封面数量
//     * @param  random 是否随机生成封面
//     * @return map，其中key是秒数，而value是图片全路径
//     **/
//    public static Map<Long, String> generateCover(File videoFile, long coverNum, boolean random) {
//        // 验证视频
//        if (!(videoFile != null && videoFile.isFile() && videoFile.exists())) {
//            throw new RuntimeException("参数：videoFile 不符合要求");
//        }
//        // 验证封面数量
//        if (coverNum <= 0) {
//            throw new RuntimeException("参数：coverNum 必须大于0");
//        }
//
//        // 存储封面
//        Map<Long, String> coverMap = new TreeMap<>();
//
//        // 生成封面
//        FFmpegFrameGrabber grabber = null;
//        try {
//            // 初始化FFmpegFrameGrabber
//            grabber = new FFmpegFrameGrabber(videoFile);
//            grabber.start();
//
//            // 获取截取秒数
//            Set<Long> secondSet = generateSecondList(grabber, coverNum, random);
//
//            // 循环生成封面
//            for (Long second : secondSet) {
//                // 设置封面截取时间
//                grabber.setTimestamp(second * 1000000L);
//                Frame f = grabber.grabImage();
//                Java2DFrameConverter converter = new Java2DFrameConverter();
//                BufferedImage bi = converter.getBufferedImage(f);
//
//                // 指定封面保存地址
//                File imgFile = createTempFile("cover.jpg");
//
//                // 生成封面图片
//                ImageIO.write(bi, "jpg", imgFile);
//
//                // 装载封面图片
//                coverMap.put(second, imgFile.getAbsolutePath());
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        } finally {
//            try {
//                if (grabber != null) {
//                    grabber.stop();
//                    grabber.release();
//                }
//            } catch (FFmpegFrameGrabber.Exception e) {
//                e.printStackTrace();
//            }
//        }
//
//        return coverMap;
//    }
//
//    /**
//     * 生成视频封面
//     * @author 明快de玄米61
//     * @date   2022/12/4 16:34
//     * @param  videoFile 视频全路径，目前发现支持mp4、webm，其他的需要自己去尝试
//     * @param  coverNum 封面数量
//     * @param  random 是否随机生成封面
//     * @return map，其中key是秒数，而value是图片全路径
//     **/
//    public static Map<Long, String> generateCoverInputStream(InputStream videoFile, long coverNum, boolean random, File imgFile) {
////        // 验证视频
////        if (!(videoFile != null && videoFile.isFile() && videoFile.exists())) {
////            throw new RuntimeException("参数：videoFile 不符合要求");
////        }
//        // 验证封面数量
//        if (coverNum <= 0) {
//            throw new RuntimeException("参数：coverNum 必须大于0");
//        }
//
//        // 存储封面
//        Map<Long, String> coverMap = new TreeMap<>();
//
//        // 生成封面
//        FFmpegFrameGrabber grabber = null;
//        try {
//            // 初始化FFmpegFrameGrabber
//            grabber = new FFmpegFrameGrabber(videoFile);
//            grabber.start();
//
//            // 获取截取秒数
//            Set<Long> secondSet = generateSecondList(grabber, coverNum, random);
//
//            // 循环生成封面
//            for (Long second : secondSet) {
//                // 设置封面截取时间
//                grabber.setTimestamp(second * 1000000L);
//                Frame f = grabber.grabImage();
//                Java2DFrameConverter converter = new Java2DFrameConverter();
//                BufferedImage bi = converter.getBufferedImage(f);
//
//                // 指定封面保存地址
////                File imgFile = createTempFile("cover.jpg");
//
//                // 生成封面图片
//                ImageIO.write(bi, "jpg", imgFile);
//
//                // 装载封面图片
//                coverMap.put(second, imgFile.getAbsolutePath());
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        } finally {
//            try {
//                if (grabber != null) {
//                    grabber.stop();
//                    grabber.release();
//                }
//            } catch (FFmpegFrameGrabber.Exception e) {
//                e.printStackTrace();
//            }
//        }
//
//        return coverMap;
//    }
//
//    /**
//     * 获取封面截图秒数集合
//     * @author 明快de玄米61
//     * @date   2022/12/4 17:51
//     * @param  grabber FFmpegFrameGrabber对象
//     * @param  coverNum 封面数量
//     * @param  random 是否随机生成封面
//     * @return 封面截图秒数集合
//     **/
//    @SneakyThrows
//    private static Set<Long> generateSecondList(FFmpegFrameGrabber grabber, long coverNum, boolean random) {
//        // 存储封面截图秒数集合
//        Set<Long> secondSet = new TreeSet<>();
//
//        // 获取视频时长秒数；说明：除以1000000可以获取秒数
//        long totalVideoSecond = grabber.getLengthInTime() / 1000000;
//
//        // 随机生成截图时间
//        if (random)
//        {
//            Random secureRandom = SecureRandom.getInstanceStrong();
//            for (int i = 1; i <= coverNum; i++) {
//                secondSet.add((long) (secureRandom.nextInt((int) totalVideoSecond - 1) + 1));
//            }
//        }
//        // 自定义截图时间
//        else
//        {
//            coverNum = totalVideoSecond > coverNum ? coverNum : totalVideoSecond;
//            for (long i = 1; i <= coverNum; i++) {
//                secondSet.add(i);
//            }
//        }
//
//        return secondSet;
//    }
//
//    /**
//     * 生成临时文件
//     * @author 明快de玄米61
//     * @date   2022/12/4 18:00
//     * @param  fileName 文件全名称
//     * @return file文件
//     **/
//    public static File createTempFile(String fileName) {
//        try {
//            // 参数判断
//            if (StringUtils.isBlank(fileName) || fileName.lastIndexOf(".") < 0) {
//                return null;
//            }
//            // 创建临时目录
//            String tmpdirPath = System.getProperty("java.io.tmpdir");
//            String dateStr = new SimpleDateFormat("yyyyMMdd").format(new Date());
//            String uuId = UUID.randomUUID().toString().replaceAll("-", "");
//            String[] params = {tmpdirPath, dateStr, uuId};
//            // 结果例如：C:\Users\Administrator\AppData\Local\Temp\20220630\0f774122c38b423793cc1c121611c142
//            String fileUrl = StringUtils.join( params, File.separator);
//            if (!new File(fileUrl).exists()) {
//                new File(fileUrl).mkdirs();
//            }
//            // 创建临时文件
//            File file = new File(fileUrl, fileName);
//            file.createNewFile();
//            return file;
//        } catch (Exception e) {
//            System.out.println("》》》创建临时文件失败，临时文件名称：" + fileName);
//            e.printStackTrace();
//        }
//        return null;
//    }
//
//    public static void main(String[] args) {
//        File videoFile = new File("G:\\电影\\TRJTA2.mp4");
//        String i= MultipartFileUtil.readVideoTime(videoFile);
//        System.out.println(i);
//        // 封面数量
//        long coverNum = 1;
//        // 是否随机生成封面
//        boolean random = false;
//        Map<Long, String> coverMap = generateCover(videoFile, coverNum, random);
//        coverMap.forEach((key, value) -> System.out.printf("截图秒数：%s秒；图片地址：%s\n", key, value));
//    }
//}
