/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.api.domain.dto;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 田平 create 2021/4/25 14:25
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建组织")
public class OrgNode implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private Long orgId;

	@ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
	private String orgCode;

	@ApiModelProperty(value = "组织名称")
	private String orgName;

	@ApiModelProperty(value = "组织描述")
	private String orgDesc;

	@ApiModelProperty(value = "父组织ID,根组织id为0")
	private Long parentOrgId;

	@ApiModelProperty(value = "排序")
	private Integer sortId;

	@ApiModelProperty(value = "0无效，1有效")
	private int state;

	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

	@ApiModelProperty(value = "是否叶子节点")
	private Integer leafs;

	@ApiModelProperty(value = "是否叶子节点")
	private boolean isLeaf;

	@ApiModelProperty(value = "组织管理员名称")
	private String managePeopleName;

	@ApiModelProperty(value = "组织管理员id")
	private String managePeople;

	@ApiModelProperty(value = "组织级别")
	private String orgLevel;

	@ApiModelProperty(value = "数据来源")
	private String dataSources;

	@ApiModelProperty(value = "所属级别")
	private String region;

	@ApiModelProperty(value = "所属级别(静态值显示值)")
	private String regionName;

	@ApiModelProperty(value = "所属区域")
	private String zone;

	@ApiModelProperty(value = "所属区域(静态值显示值)")
	private String zoneName;

	@ApiModelProperty(value = "所属行业类别")
	private String industryCategory;

	@ApiModelProperty(value = "所属行业类别(静态值显示值)")
	private String industryCategoryName;

	@ApiModelProperty(value = "组织类别树")
	private String orgCategoryTree;

	@ApiModelProperty(value = "组织类别树(静态值显示值)")
	private String orgCategoryTreeName;

	@ApiModelProperty(value = "所属行业类别(团组织)")
	private String ocylIndustryCategory;

	@ApiModelProperty(value = "所属行业类别(团组织-静态值显示值)")
	private String ocylIndustryCategoryName;

	@ApiModelProperty(value = "组织类别(团组织)")
	private String ocylOrgCategory;

	@ApiModelProperty(value = "组织类别(团组织-静态值显示值)")
	private String ocylOrgCategoryName;

	@ApiModelProperty(value = "是否乡镇团委(团组织)")
	private Integer ocylIsXztw;

	@ApiModelProperty(value = "是否乡镇团委(团组织-静态值显示值)")
	private String ocylIsXztwName;

	@ApiModelProperty(value = "联系电话(团组织)")
	private String telephone;

	@ApiModelProperty(value = "是否直属所在区域")
	private Integer whetherJurisdiction;

	@ApiModelProperty(value = "上级组织编码")
	private String parentOrgCode;

	@ApiModelProperty(value = "上级组织名称")
	private String parentOrgName;

	@ApiModelProperty(value = "所属系统")
	private String affiliatingSystem;

	@ApiModelProperty(value = "所属系统名称")
	private String affiliatingSystemName;

	@ApiModelProperty(value = "所属组织类型")
	private Integer registrationSystemType;
}
