package com.crunii.micro.service.sysmgr.api.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 消息模板入参
 */
@Data
@ApiModel(description = "消息通知表")
public class YcqMessageTemplateDTO implements Serializable {

    private Long templateId ;
    /** 系统id */
    private Long appId;
    /** 系统名称 */
    private String systemName ;
    /** 场景名称 */
    private String sceneName ;
    /** 标题 */
    private String title;
    /** 消息模板 */
    private String messageTemplate ;
    /** 推送方式 1短信 2站内*/
    private List<String> pushTypeList ;
    /** 推送终端 1PC 2APP 3管理台 4公众号*/
    private List<String> pushEndpointList ;
    /** 是否为常用模板 1是  2否*/
    private Byte templateType ;
    /**
     * 是否启用  1启用 2未启用
     * */
    private Byte status;

    @ApiModelProperty(name = "阿里云模板id",notes = "")
    private String templateCode;
}
