package com.crunii.micro.service.sysmgr.api.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 消息任务实体类
 */
@Data
public class SendMessageTaskPageVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 消息来源
     */
    private String dataSource;

    /**
     * 消息分类
     */
    private String messageClassify;

    /**
     * 消息标题
     */
    private String title;


    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 发送范围(1全用户、2角色、3组织、4单独用户)
     */
    private transient Integer scopeType;
    /**
     * 通知对象
     */
    private String notifyTarget;

    /**
     * 推送方式字符串
     */
    private String sendWayStr;

    /**
     * 推送方式( 1短信 、2站内)
     */
    private transient String sendWay;

    /**
     * 推送终端(1PC 、2APP 、3全部)
     */
    @ApiModelProperty(value = "消息类型(1PC 、2APP 、3全部)")
    private transient String messageType;

    /**
     * 推送终端str
     */
    private String messageTypeStr;

    /**
     * 推送时间
     */
    private String sendTime;
}
