package com.crunii.micro.service.sysmgr.api.domain.vo;

import com.crunii.micro.common.excel.excel.annotation.ExcelField;
import com.crunii.micro.common.excel.excel.annotation.ExcelSheet;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户消息导出
 */
@Data
@ApiModel(description = "用户消息导出")
@ExcelSheet(name = "消息记录", headFontColor = -1)
public class YcqExportMessageRecordVO implements Serializable {
    /**
     * 用户编号
     */
    @ExcelField(name = "用户编号")
    private Integer loginId;

    /**
     * 用户类型
     */
    @ExcelField(name = "用户类型")
    private String userType;

    /**
     * 用户姓名
     */
    @ExcelField(name = "用户姓名")
    private String userName;

    /**
     * 手机号
     */
    @ExcelField(name = "用户手机号码")
    private String mobilePhone;


    /**
     * 推送终端
     */
    @ExcelField(name = "推送终端")
    private String pushTerminal;


    /**
     * 推送方式（1 短信 2 站内 3 全部）
     */
    @ExcelField(name = "推送方式")
    private String sendWayStr;

    /**
     * 性别
     */
    @ExcelField(name = "性别")
    private String gender;

    /**
     * 角色列表
     */
    @ExcelField(name = "角色")
    private String roleName;




}
