package com.crunii.micro.service.sysmgr.api.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 消息模板响应
 */
@Data
@ApiModel(description = "消息通知表")
public class YcqMessageTemplateVO implements Serializable {

    private Long templateId ;
    /** 系统id */
    private Long appId;
    /** 系统名称 */
    private String systemName ;
    /** 场景名称 */
    private String sceneName ;
    /** 标题 */
    private String title;
    /** 消息模板 */
    private String messageTemplate ;
    /** 推送方式 */
    private String pushTypeStr;
    private Byte pushType;
    /** 推送终端 1PC 2APP 3管理台 4公众号 逗号分割*/
    private String pushEndpointStr;

    private Byte pushEndpoint;

    /**
     * 状态 0全部 1启用 2未启用
     */
    private Byte status;

    /** 是否为常用模板 1是 2否*/
    private Byte templateType ;

    /**
     * 创建人
     */
    private String createName;

    /**
     * 创建时间
     */
    private transient Date createTime;

    /**
     * 创建时间str
     */
    private String createTimeStr;

    /**
     * 所属组织
     */
    private String orgName;

    @ApiModelProperty(name = "阿里云模板id",notes = "")
    private String templateCode;


}
