package com.crunii.micro.service.sysmgr.api.domain.vo;

import com.crunii.micro.common.excel.excel.annotation.ExcelField;
import com.crunii.micro.common.excel.excel.annotation.ExcelSheet;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户消息分页实体
 */
@Data
@ApiModel(description = "用户消息分页实体")
@ExcelSheet(name = "消息记录", headFontColor = -1)
public class YcqPageMessageRecordVO implements Serializable {

    /**
     * 主键id
     */
    private Long id;
    /**
     * 消息来源
     */
    private String dataSource;

    /**
     * 消息分类
     */
    private String messageClassify;

    /**
     * 消息标题
     */
    private String dataTitle;

    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 通知对象
     */
    private String notifyObject;

    /**
     * 推送方式（1 短信 2 站内）
     */
    private String sendWay;

    /**
     * 推送方式（短信 站内）
     */
    private String sendWayStr;

    /**
     * 推送时间
     */
    private String pushTime;


    /**
     * 推送终端
     */
    private String pushTerminal;

    /**
     * 用户编号
     */
    @ExcelField(name = "用户编号")
    private Integer loginId;

    /**
     * 用户类型
     */
    @ExcelField(name = "用户类型")
    private String userType;

    /**
     * 用户姓名
     */
    @ExcelField(name = "用户姓名")
    private String userName;

    /**
     * 手机号
     */
    @ExcelField(name = "手机号")
    private String mobilePhone;

    /**
     * 性别
     */
    @ExcelField(name = "性别")
    private String gender;

    /**
     * 角色列表
     */
    @ExcelField(name = "角色列表")
    private String roleName;
}
