package com.crunii.micro.service.sysmgr.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "团组织-查询下级组织-返回参数")
public class ChildrenStatisticsRspVO {

    @ApiModelProperty(value = "序号")
    @ExcelProperty(value = "序号", index = 0)
    private Integer num;

    @ApiModelProperty(value = "组织名称")
    @ExcelProperty(value = "组织名称", index = 1)
    private String orgName;

    @ApiModelProperty(value = "组织类别")
    @ExcelProperty(value = "组织类别", index = 2)
    private String ocylOrgCategoryValue;

    @ApiModelProperty(value = "组织管理员")
    @ExcelProperty(value = "组织管理员", index = 3)
    private String managerName;

    @ApiModelProperty(value = "管理员联系电话")
    @ExcelProperty(value = "管理员联系电话", index = 4)
    private String managerPhone;

    @ApiModelProperty(value = "组织类别")
    @ExcelIgnore
    private String orgCategoryTree;

    @ApiModelProperty(value = "组织简称")
    @ExcelIgnore
    private String orgShortCalled;

    @ApiModelProperty(value = "所属行业类别")
    @ExcelIgnore
    private String ocylIndustryCategory;

    @ApiModelProperty(value = "组织全称")
    @ExcelIgnore
    private String orgFullName;

    @ApiModelProperty(value = "电话")
    @ExcelIgnore
    private String telephone;

    @ApiModelProperty(value = "是否乡镇街道团委")
    @ExcelIgnore
    private String ocylIsXztw;

    @ApiModelProperty(value = "待完善信息")
    @ExcelProperty(value = "待完善信息", index = 5)
    private String message;

    @ApiModelProperty(value = "组织书记")
    @ExcelIgnore
    private String orgSecretary;

}
