package com.crunii.micro.service.sysmgr.dto.org;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.crunii.micro.common.serializer.DateTimeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "团组织-查询下级组织-返货参数")
public class ChildrenOrgRspVO {

    @ApiModelProperty(value = "组织编码")
    private Long orgId;

    @ApiModelProperty(value = "组织简称")
    private String orgShortCalled;

    @ApiModelProperty(value = "组织名称")
    private String orgName;

    @ApiModelProperty(value = "组织编码")
    private String orgCode;

    @ApiModelProperty(value = "父组织ID")
    private Long parentOrgId;

    @ApiModelProperty(value = "父组织CODE")
    private String parentOrgCode;

    @ApiModelProperty(value = "父组织名称")
    private String parentOrgName;

    @ApiModelProperty(value = "电话")
    private String telephone;

    @ApiModelProperty(value = "是否乡镇街道团委")
    private Integer ocylIsXztw;

    @ApiModelProperty(value = "组织类别名称")
    private String orgCategoryTreeName;

    @ApiModelProperty(value = "组织类别")
    private String orgCategoryTree;

    @ApiModelProperty(value = "所属行业类别名称")
    private String ocylIndustryCategoryName;

    @ApiModelProperty(value = "所属行业类别")
    private String ocylIndustryCategory;

    @ApiModelProperty(value = "组织邮箱")
    private String orgEmail;

    @ApiModelProperty(value = "组织书记")
    private String orgSecretary;

    @ApiModelProperty(value = "组织管理员")
    private Long managePeople;

    @ApiModelProperty(value = "组织管理员")
    private String managePeopleName;

    @ApiModelProperty(value = "本级团组织行政编制数")
    private Integer admNum;

    @ApiModelProperty(value = "行政编制实际配备数")
    private Integer realAdmNum;

    @ApiModelProperty(value = "本级团组织事业编制数")
    private Integer enterPriseNum;

    @ApiModelProperty(value = "事业编制实际配备数")
    private String realEnterPriseNum;

    @ApiModelProperty("修改时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date updateTime;

    @ApiModelProperty("修改人")
    private String updateUserName;

    @ApiModelProperty("创建时间")
    @JsonSerialize(using = DateTimeSerializer.class)
    private Date createTime;

    @ApiModelProperty("微信")
    private String weixin;

    @ApiModelProperty("微博")
    private String weibo;


}
