/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * @author 田平 create 2021/4/25 14:25
 */
@Setter
@Getter
@ToString
@ApiModel(description = "创建组织")
public class OrgC implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "组织id")
	private Long orgId;

	@ApiModelProperty(value = "组织编码，按规律生成，体现上下级关系")
	private String orgCode;

	@ApiModelProperty(value = "组织名称")
	private String orgName;

	@ApiModelProperty(value = "组织描述")
	private String orgDesc;

	@ApiModelProperty(value = "父组织ID,根组织id为0")
	private Long parentOrgId;

	@ApiModelProperty(value = "排序")
	private int sortId;

	@ApiModelProperty(value = "组织管理员")
	private int managePeople;

	@ApiModelProperty(value = "组织等级")
	private String orgLevel;

	@ApiModelProperty(value = "数据来源")
	private String dataSources;

	@ApiModelProperty(value = "所属级别")
	private String region;

	@ApiModelProperty(value = "所属区域")
	private String zone;

	@ApiModelProperty(value = "所属行业类别")
	private String industryCategory;

	@ApiModelProperty(value = "组织类别树")
	private String orgCategoryTree;

	@ApiModelProperty(value = "组织类别(团组织)")
	private String ocylOrgCategory;

	@ApiModelProperty(value = "所属行业类别(团组织)")
	private String ocylIndustryCategory;

	@ApiModelProperty(value = "是否乡镇团委(团组织)")
	private Integer ocylIsXztw;

	@ApiModelProperty(value = "联系电话(团组织)")
	private String telephone;

	@ApiModelProperty(value = "是否直属所在区域")
	private Boolean whetherJurisdiction;

	@ApiModelProperty(value = "所属系统")
	private String affiliatingSystem;

	@ApiModelProperty(value = "所属组织类型")
	private Integer registrationSystemType;
}
