package com.crunii.micro.service.sysmgr.dto.org;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-12-12
 */
@Data
@ApiModel("团委组织导出参数")
public class OrgTabulationExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "上级组织名称")
    @ExcelProperty(value = "上级组织名称", index = 0)
    private String parentOrgName;

    @ApiModelProperty(value = "组织名称")
    @ExcelProperty(value = "组织名称", index = 1)
    private String orgName;

    @ApiModelProperty(value = "组织类别名称")
    @ExcelProperty(value = "组织类别", index = 2)
    private String orgCategoryTreeName;

    @ApiModelProperty(value = "所属行业类别名称")
    @ExcelProperty(value = "所属行业类别", index = 3)
    private String ocylIndustryCategoryName;

    @ApiModelProperty(value = "是否乡镇街道团委 0否 1是")
    @ExcelIgnore
    private Integer ocylIsXztw = 0;

    @ApiModelProperty(value = "是否乡镇街道团委名称 0否 1是")
    @ExcelProperty(value = "是否乡镇街道团委", index = 4)
    private String ocylIsXztwName;

    @ApiModelProperty(value = "管理员")
    @ExcelProperty(value = "管理员", index = 5)
    private String managePeopleName;

    @ApiModelProperty(value = "管理员联系电话")
    @ExcelProperty(value = "管理员联系电话", index = 6)
    private String managePeopleTelephone;

    @ApiModelProperty(value = "组织书记")
    @ExcelProperty(value = "组织书记", index = 7)
    private String orgSecretary;

    @ApiModelProperty(value = "联系电话")
    @ExcelProperty(value = "联系电话", index = 8)
    private String telephone;

    @ApiModelProperty(value = "电子邮箱")
    @ExcelProperty(value = "电子邮箱", index = 9)
    private String orgEmail;

}
