package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author baoxy
 * @date 2023-07-12
 */
@Data
@ApiModel(description = "接入管理-新增字段")
public class AccessCreateDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "系统名称")
    @NotEmpty(message = "请填写系统名称")
    private String systemName;

    @ApiModelProperty(value = "app的唯一编码")
    @NotEmpty(message = "请填写app编码")
    private String appCode;

    @ApiModelProperty(value = "主管单位(orgId)")
    @NotEmpty(message = "请填写主管单位")
    private String sponsor;

    @ApiModelProperty(value = "功能图标(传上传图片后返回的key即可)")
    @NotEmpty(message = "请输入功能图片")
    private String logoUrl;

    @ApiModelProperty(value = "app名称(功能名称)")
    @NotEmpty(message = "请填写功能名称")
    private String appName;

    @ApiModelProperty(value = "app地址url")
    @NotEmpty(message = "请填写地址")
    private String appUrl;

    @ApiModelProperty(value = "排序")
    @NotNull(message = "请填写排序")
    private Integer sort;

    @ApiModelProperty(value = "公钥")
    private String publicKey;

    @ApiModelProperty(value = "私钥")
    private String privateKey;

    @ApiModelProperty(value = "是否16进制 1:是 0:否")
    private Integer mustHex;

    @ApiModelProperty(value = "是否必须进行认证 1:必须认证 0:不需要认证")
    private Integer mustAuth;

    @ApiModelProperty(value = "备注")
    private String notes;

    @ApiModelProperty(value = "状态 1:有效 0:无效")
    private Integer state;

    @ApiModelProperty(value = "应用类别(1.自有应用、2.外部应用)")
    private Integer appType;

    @ApiModelProperty(value = "是否清除浏览器缓存(1是,0否)")
    private Integer isClearLocalStorage;

    @ApiModelProperty(value = "所属专题")
    private String subject;

    @ApiModelProperty(value = "状态")
    private Integer type;

    @ApiModelProperty(value = "1 是 0 否 ")
    private Integer isCheckLogin;
}
