package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel(description = "IRS用户")
public class IRSWorkerVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("1：个人，2：企业")
    private Integer type=1;

    @ApiModelProperty("真实姓名(type 为 2 时为法人姓名)")
    private String realName;

    @ApiModelProperty("手机号码(type 为 2 时为法人手机号码)")
    private String tel;

    @ApiModelProperty("身份证号码(type 为 2 时为法人身份证号码)")
    private String idCardNo;

    @ApiModelProperty("企业名称(type 为 2 时必传)")
    private String companyName;

    @ApiModelProperty("企业社会信用代码(type 为 2 时必传)")
    private String socialCode;

    @ApiModelProperty("证件类型：111：居民身份证号码 990：其它有效身份证件")
    private Integer idType=111;

}
