package com.crunii.micro.service.sysmgr.dto.sysmgr;

import com.crunii.micro.core.annotation.PropertyTranslate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangchen create 2023/6/7 15:44
 */
@Data
@ApiModel(description = "团员列表/超龄离团青年列表返回")
public class MemberVo implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("政治面貌")
    private String political;

    @ApiModelProperty("政治面貌翻译")
    @PropertyTranslate(propertyCode = "leagueLmState",valueFiled = "political")
    private String politicalTrans;

    @ApiModelProperty("民族")
    private String nationality;

    @ApiModelProperty("民族翻译")
    @PropertyTranslate(propertyCode = "leagueNationality",valueFiled = "nationality")
    private String nationalityTrans;

    @ApiModelProperty("手机号码")
    private String phoneNumber;

    @ApiModelProperty("电子邮箱")
    private String eMail;

    @ApiModelProperty("发展团员号")
    private String memberNumber;

    @ApiModelProperty("团委所在团支部")
    private String leagueBranch;

    @ApiModelProperty("入团时间")
    private String leagueEntryTime;

}
