package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * The persistent class for the tsm_menu database table.
 */
@Setter
@Getter
@ToString
@ApiModel(description = "菜单对象扩展")
public class MenuInfo implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "菜单编码")
	private String menuCode;

	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@ApiModelProperty(value = "菜单描述")
	private String menuDesc;

	@ApiModelProperty(value = "0:目录 1:菜单 2:按钮")
	private int menuType;

	@ApiModelProperty(value = "菜单名称")
	private String menuName;

	@ApiModelProperty(value = "状态 0无效|1有效")
	private int state;

	@ApiModelProperty(value = "菜单URL")
	private String menuUrl;

	@ApiModelProperty(value = "父菜单编码")
	private String parentMenuCode;

	@ApiModelProperty(value = "图标")
	private String icon;

	@ApiModelProperty(value = "排序id")
	private int sortId;

	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

//	@ApiModelProperty(value = "0 全选中 1 半选中（关联组件的特殊字段，和实际权限无关）")
//	private int halfChecked;

}