/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.dto.sysmgr;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import javax.validation.constraints.Email;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author 田平 create 2018年11月1日下午3:00:26
 */
@Setter
@Getter
@ToString
@ApiModel(description = "修改员工")
public class WorkerU implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "登录Id")
	private int loginId;

	@ApiModelProperty(value = "登录工号")
	private String loginCode;

	@ApiModelProperty(value = "组织id")
	private String orgId;

	@ApiModelProperty(value = "生日")
	private Date birthday;
	@ApiModelProperty(value = "邮件地址")
	@Email
	private String email;
	@ApiModelProperty(value = "手机号")
	private String mobile;
	@ApiModelProperty(value = "电话")
	private String phone;
	@ApiModelProperty(value = "性别|0女1男")
	private Integer sex;
	@ApiModelProperty(value = "姓名")
	private String workerName;
	@ApiModelProperty(value = "状态|0有效1无效")
	private int state;
	@ApiModelProperty(value = "用户头像图片key")
	private String headPortraitPicKey;

	@ApiModelProperty(value = "fileId")
	private Long fileId;

	@ApiModelProperty(value = "职务数组id")
	private List<Long> postIds;

	@ApiModelProperty(value = "是否临时用户(1是,0否)")
	private Integer whetherTemporary;

	@ApiModelProperty(value = "临时用户过期时间")
	private Date timeout;

	@ApiModelProperty(value = "挂职组织id")
	private List<Long> temporaryOrgs;

	@ApiModelProperty(value = "角色ids")
	private List<Integer> roleIds;

	@ApiModelProperty(value = "标签id列表")
	private List<Long> labelIds;

	@ApiModelProperty(value = "用户签名文件")
	private String signatureFileId;

	@ApiModelProperty(value = "所在部门")
	private String department;

	@ApiModelProperty(value = "用户类型（1:app,2:web")
	private Integer workerType;

	@ApiModelProperty(value = "登记系统直属（静态值）")
	private Integer registrationSystem;
}
