package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.sysmgr.dto.sysmgr.FrequentVisitMenuRspDTO;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MenuVisitReqDTO;
import com.crunii.micro.service.sysmgr.dto.sysmgr.VisitLogReq;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author gongsongtao
 * @date 2023/9/18 16:07
 */
public interface FrequentVisitMenuService {
    /**
     * 记录菜单访问记录
     * @param menuVisitReqDTO
     */
    Result createTsmWorkerMenuVisit(MenuVisitReqDTO menuVisitReqDTO,Worker worker);

    /**
     * 记录访客模式菜单记录
     */
    Result saveVisitLog( VisitLogReq req, HttpServletRequest request);



    /**
     * 查询常用菜单
     * @return
     */
    Result<List<FrequentVisitMenuRspDTO>> findFrequentVisitMenu(MenuVisitReqDTO menuVisitReqDTO);


}
