package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.entity.main.TsmRole;
import com.crunii.micro.service.sysmgr.dto.sysmgr.RoleResp;
import com.crunii.micro.service.sysmgr.dto.sysmgr.RoleC;
import com.crunii.micro.service.sysmgr.dto.sysmgr.RoleListRspVo;
import com.crunii.micro.service.sysmgr.dto.sysmgr.RoleReq;
import com.crunii.micro.service.sysmgr.dto.sysmgr.RoleU;

import java.util.List;

/**
 * @author 田平 create 2019年2月19日下午2:34:29
 */
public interface RoleService {

	/**
	 * 角色分页
	 * @param req 分页参数
	 * @return 分页角色
	 */
	PageRsp<RoleResp> pageRole(PageReq<RoleReq> req);

	/**
	 * 角色列表查询
	 * @param req
	 * @return
	 */
	List<TsmRole> selectRoleList(RoleReq req);

	/**
	 * 更新角色
	 * @param roleU 更新参数
	 */
	void updateRole(RoleU roleU);

	/**
	 * 创建角色
	 * @param roleC 创建参数
	 */
	void createRole(RoleC roleC);

	/**
	 * 获取角色列表
	 * @return
	 */
    List<RoleListRspVo> getRoleList(String roleName);

}
