package com.crunii.micro.service.youthcall.controller;

import com.crunii.micro.common.dto.OrderProp;
import com.crunii.micro.domain.repo.main.TsmPropertyValueRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderProcess;
import com.crunii.micro.service.youthcall.enums.DelFlagEnum;
import com.crunii.micro.service.youthcall.enums.WorkOrderStatusEnum;
import com.crunii.micro.service.youthcall.jdbc.YcqYouthcallWorkOrderDao;
import com.crunii.micro.service.youthcall.jdbc.YcqYouthcallWorkOrderOrgRepo;
import com.crunii.micro.service.youthcall.jdbc.YcqYouthcallWorkOrderProcessRepo;
import com.crunii.micro.service.youthcall.jdbc.YcqYouthcallWorkOrderRepo;
import com.crunii.micro.service.youthcall.service.YcqYouthcallWorkOrderDispatchService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * @author : yingtiansheng
 * @date : 2023-11-01
 */
@Slf4j
@Api(tags = "共性需求管理")
@RestController
@RequestMapping("/ycqYouthcallWorkOrderTo")
public class YcqYouthcallWorkOrderToDoController {

    @Resource
    private YcqYouthcallWorkOrderRepo ycqYouthcallWorkOrderRepo;

    @Resource
    private YcqYouthcallWorkOrderProcessRepo ycqYouthcallWorkOrderProcessRepo;


    @ApiOperation(value = "addPending")
    @RequestMapping(path = "addPending", method = RequestMethod.GET)
    @ResponseBody
    public ArrayList<YcqYouthcallWorkOrderProcess> pageQuery() throws Exception {

        List<YcqYouthcallWorkOrder> allWorkOrders = ycqYouthcallWorkOrderRepo.findByProp("delFlag", DelFlagEnum.UN_DELETE.code());
        ArrayList<YcqYouthcallWorkOrderProcess> list = new ArrayList<>();
        allWorkOrders.stream().forEach(it -> {
            HashMap<String, Object> map = new HashMap<>();
            map.put("delFlag", DelFlagEnum.UN_DELETE.code());
            map.put("workOrderId", it.getId());
            map.put("processStatus", WorkOrderStatusEnum.PENDING.getValue());
            List<YcqYouthcallWorkOrderProcess> processes = ycqYouthcallWorkOrderProcessRepo.findByProps(map,new OrderProp("id"));
            if (CollectionUtils.isEmpty(processes)) {
                YcqYouthcallWorkOrderProcess ycqYouthcallWorkOrderProcess = YcqYouthcallWorkOrderProcess.pendingProcess(it);
                list.add(ycqYouthcallWorkOrderProcess);
                System.out.println("order id is "+it.getId()+ycqYouthcallWorkOrderProcess);
                ycqYouthcallWorkOrderProcessRepo.saveAndFlush(ycqYouthcallWorkOrderProcess);
            }
        });
        return list;
    }
}
