package com.crunii.micro.service.youthcall.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "活动发布表")
@ToString
@Data
@Table(name="YCQ_PUBLISH_ACTIVITY")
public class YcqPublishActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "ID",notes = "")
    private BigInteger id;

    @Column(name = "activity_title")
    @ApiModelProperty(name = "活动标题",notes = "")
    private String activityTitle;

    @Column(name = "activity_type")
    @ApiModelProperty(name = "活动类型（1-青年突击队活动，2-青年文明号活动，3-青年安全生产示范岗活动，4-维护青少年权益岗活动）",notes = "")
    private Integer activityType;

    @Column(name = "activity_state")
    @ApiModelProperty(name = "活动状态（1-启用，0-未启用）",notes = "")
    private Integer activityState;

    @Column(name = "start_time")
    @ApiModelProperty(name = "开始时间",notes = "")
    private Date startTime;

    @Column(name = "end_time")
    @ApiModelProperty(name = "结束时间",notes = "")
    private Date endTime;

    @Column(name = "applyer_count")
    @ApiModelProperty(name = "已报名",notes = "")
    private Integer applyerCount;

    @Column(name = "publisher")
    @ApiModelProperty(name = "发布者",notes = "")
    private String publisher;

    @Column(name = "publish_time")
    @ApiModelProperty(name = "发布时间",notes = "")
    private Date publishTime;

    @Column(name = "is_deleted")
    @ApiModelProperty(name = "是否删除（1-删除，0-未删除）",notes = "")
    private Integer isDeleted;

    @Column(name = "create_user_id")
    @ApiModelProperty(name = "创建人ID",notes = "")
    private BigInteger createUserId;

    @Column(name = "create_user_name")
    @ApiModelProperty(name = "创建人名称",notes = "")
    private String createUserName;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    @Column(name = "update_user_id")
    @ApiModelProperty(name = "更新人ID",notes = "")
    private BigInteger updateUserId;

    @Column(name = "update_user_name")
    @ApiModelProperty(name = "更新人名称",notes = "")
    private String updateUserName;

    @Column(name = "update_time")
    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updateTime;

    @Column(name = "activity_address")
    @ApiModelProperty(name = "活动地址",notes = "")
    private String activityAddress;

    @Column(name = "activity_content")
    @ApiModelProperty(name = "活动内容",notes = "")
    private String activityContent;

    @Column(name = "is_top")
    @ApiModelProperty(name = "是否置顶（1-置顶，0-不置顶）",notes = "")
    private Integer isTop;

    @Column(name = "is_apply")
    @ApiModelProperty(name = "是否需要报名（1-需要，0-不需要）",notes = "")
    private Integer isApply;

    @Column(name = "is_limit")
    @ApiModelProperty(name = "是否限制人数（1-限制，0-不限制)",notes = "")
    private Integer isLimit;

    @Column(name = "limit_count")
    @ApiModelProperty(name = "限定人数",notes = "")
    private Integer limitCount;

    @Column(name = "contact_information")
    @ApiModelProperty(name = "联系方式",notes = "")
    private String contactInformation;

    @Column(name = "sponsor")
    @ApiModelProperty(name = "活动举办方",notes = "")
    private String sponsor;

    @Column(name = "browse_count")
    @ApiModelProperty(name = "浏览次数",notes = "")
    private Integer browseCount;

    @Column(name = "business_belong")
    @ApiModelProperty(name = "所属业务",notes = "")
    private String businessBelong;

    @Column(name = "is_manual_shutdown")
    @ApiModelProperty(name = "是否手动关闭(1-是，0-否)",notes = "")
    private Integer isManualShutdown;

    @Column(name = "business_belong_name")
    @ApiModelProperty(name = "所属业务系统名称",notes = "")
    private String businessBelongName;

}
