package com.crunii.micro.service.youthcall.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "青呼我为-校外教育")
@ToString
@Data
@Table(name="YCQ_YOUTHCALL_CAMPUS_EDUCATION")
public class YcqYouthcallCampusEducation implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "carousel_chart")
    @ApiModelProperty(name = "校外教育轮播图",notes = "")
    private byte[] carouselChart;

    @Column(name = "recommend_by_teachers")
    @ApiModelProperty(name = "名师推荐",notes = "")
    private byte[] recommendByTeachers;

    @Column(name = "excellent_student")
    @ApiModelProperty(name = "优秀学员",notes = "")
    private byte[] excellentStudent;

    @Column(name = "interest_courses_url")
    @ApiModelProperty(name = "兴趣课程",notes = "")
    private String interestCoursesUrl;

    @Column(name = "practical_activity")
    @ApiModelProperty(name = "实践活动",notes = "")
    private String practicalActivity;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识",notes = "")
    private String delFlag;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

}
