package com.crunii.micro.service.youthcall.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/**
 * 驿站入住申请记录
 *
 * @author PANJL
 * @date 2023-12-16 13:56
 */
@Entity
@Table(name = "YCQ_YOUTHCALL_HS_CHECKIN_APPLY")
@NamedQuery(name = "YcqYouthcallCheckInApply.findAll", query = "SELECT t FROM YcqYouthcallCheckInApply t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"applyId"})
@ApiModel(description = "青呼我为-驿站入住申请记录")
@Data
public class YcqYouthcallCheckInApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "apply_id")
    @ApiModelProperty(name = "申请id", notes = "")
    private BigInteger applyId;

    @Column(name = "apply_type")
    @ApiModelProperty(name = "申请类型", notes = "")
    private String applyType;

    @Column(name = "audit_status")
    @ApiModelProperty(name = "审核状态", notes = "")
    private String auditStatus;

    @Column(name = "original_audit_status_label")
    @ApiModelProperty(name = "原始的审核状态显示值", notes = "")
    private String originalAuditStatusLabel;

    @Column(name = "actual_audit_status_label")
    @ApiModelProperty(name = "实际的审核状态显示值", notes = "")
    private String actualAuditStatusLabel;

    @Column(name = "audit_comment", length = 1000)
    @ApiModelProperty(name = "审核意见", notes = "")
    private String auditComment;

    @Column(name = "hotel_id")
    @ApiModelProperty(name = "驿站id", notes = "")
    private String hotelId;

    @Column(name = "hotel_name")
    @ApiModelProperty(name = "驿站名称", notes = "")
    private String hotelName;

    @Column(name = "apply_user_id")
    @ApiModelProperty(name = "申请人id", notes = "")
    private String applyUserId;

    @Column(name = "apply_user_name")
    @ApiModelProperty(name = "申请人名称", notes = "")
    private String applyUserName;

    @Column(name = "apply_time")
    @ApiModelProperty(name = "申请时间", notes = "")
    private Date applyTime;

    @Column(name = "phone")
    @ApiModelProperty(name = "手机号", notes = "")
    private String phone;

    @Column(name = "id_card")
    @ApiModelProperty(name = "身份证号", notes = "")
    private String idCard;

    @Column(name = "check_in_date")
    @ApiModelProperty(name = "入住时间", notes = "")
    private Date checkInDate;

    @Column(name = "check_in_room")
    @ApiModelProperty(name = "入住房间", notes = "")
    private String checkInRoom;

    @Column(name = "check_in_days")
    @ApiModelProperty(name = "入住天数", notes = "")
    private Integer checkInDays;

    @Column(name = "check_out_date")
    @ApiModelProperty(name = "离店时间", notes = "")
    private Date checkOutDate;

    @Column(name = "id_card_front")
    @ApiModelProperty(name = "身份证正面", notes = "")
    private String idCardFront;

    @Column(name = "id_card_back")
    @ApiModelProperty(name = "身份证反面", notes = "")
    private String idCardBack;

    @Column(name = "grad")
    @ApiModelProperty(name = "是否毕业(1:是，0:否)", notes = "")
    private Integer grad;

    @Column(name = "student_card")
    @ApiModelProperty(name = "学籍证明或学生证", notes = "")
    private String studentCard;

    @Column(name = "grad_cert")
    @ApiModelProperty(name = "毕业证书", notes = "")
    private String gradCert;

    @Column(name = "degree_cert")
    @ApiModelProperty(name = "学位证书", notes = "")
    private String degreeCert;

    @Column(name = "interview", length = 1000)
    @ApiModelProperty(name = "面试通知", notes = "")
    private String interview;

    @Column(name = "create_user_id")
    @ApiModelProperty(name = "创建人id", notes = "")
    private Integer createUserId;

    @Column(name = "create_user_name")
    @ApiModelProperty(name = "创建人名称", notes = "")
    private String createUserName;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createTime;

    @Column(name = "update_user_id")
    @ApiModelProperty(name = "修改人id", notes = "")
    private Integer updateUserId;

    @Column(name = "update_user_name")
    @ApiModelProperty(name = "修改人名称", notes = "")
    private String updateUserName;

    @Column(name = "update_time")
    @ApiModelProperty(name = "修改时间", notes = "")
    private Date updateTime;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识(1:删除，0:未删除)", notes = "")
    private Integer delFlag;


}
