package com.crunii.micro.service.youthcall.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

/**
 * 驿站入住申请取消记录
 *
 * @author PANJL
 * @date 2023-12-16 13:56
 */
@Entity
@Table(name = "YCQ_YOUTHCALL_HS_CHECKIN_CANCEL_APPLY")
@NamedQuery(name = "YcqYouthcallCheckInCancelApply.findAll", query = "SELECT t FROM YcqYouthcallCheckInCancelApply t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"applyId"})
@ApiModel(description = "青呼我为-驿站入住申请取消记录")
@Data
public class YcqYouthcallCheckInCancelApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "apply_id")
    @ApiModelProperty(name = "申请id", notes = "")
    private BigInteger applyId;

    @Column(name = "apply_user_id")
    @ApiModelProperty(name = "申请人id", notes = "")
    private String applyUserId;

    @Column(name = "cancel_time")
    @ApiModelProperty(name = "取消时间", notes = "")
    private Date cancelTime;

}
