package com.crunii.micro.service.youthcall.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YOUTHCALL_COMMON_PERSONAL")
@NamedQuery(name = "YcqYouthcallCommonPersonal.findAll", query = "SELECT t FROM YcqYouthcallCommonPersonal t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "青呼我为-共性个性化关联表")
public class YcqYouthcallCommonPersonal implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "common_demand_id")
    @ApiModelProperty(name = "共性需求主键",notes = "")
    private BigInteger commonDemandId;

    @Column(name = "personal_demand_id")
    @ApiModelProperty(name = "个性化需求主键",notes = "")
    private BigInteger personalDemandId;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    @Column(name = "del_flag")
    private Integer delFlag;

}
