package com.crunii.micro.service.youthcall.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YOUTHCALL_PERSONAL_DEMAND")
@NamedQuery(name = "YcqYouthcallPersonalDemand.findAll", query = "SELECT t FROM YcqYouthcallPersonalDemand t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "青呼我为-个性化需求表")
public class YcqYouthcallPersonalDemand implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "personal_demand_no")
    @ApiModelProperty(name = "个性化需求编号",notes = "")
    private String personalDemandNo;

    @Column(name = "demand_content")
    @ApiModelProperty(name = "需求内容",notes = "")
    private String demandContent;

    @Column(name = "demand_img")
    @ApiModelProperty(name = "需求图片",notes = "")
    private String demandImg;

    @Column(name = "personal_demand_status")
    @ApiModelProperty(name = "需求状态(01:未转化 02:已转化 03:已撤销)",notes = "")
    private String personalDemandStatus;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "createdName", notes = "创建人名称")
    @Column(name = "created_name")
    private String createdName;

    @ApiModelProperty(name = "dealTime", notes = "处理时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "deal_time")
    private Date dealTime;

    @ApiModelProperty(name = "dealId", notes = "处理人ID")
    @Column(name = "deal_id")
    private Integer dealId;

    @ApiModelProperty(name = "dealName", notes = "处理人名称")
    @Column(name = "deal_name")
    private String dealName;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    @Column(name = "del_flag")
    private Integer delFlag;

}
