package com.crunii.micro.service.youthcall.dto;

import com.crunii.micro.service.youthcall.utils.ByteSerializer;
import com.crunii.micro.service.youthcall.utils.ByteDeserializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Column;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "青呼我为-青呼二维码")
@ToString
@Data
@Table(name="YCQ_YOUTHCALL_QRCODE")
public class YcqYouthcallQrcode implements Serializable {

    private static final long serialVersionUID = 1L;

    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "youthcall_code")
    @ApiModelProperty(name = "青呼码编码",notes = "")
    private String youthcallCode;

    @Column(name = "youthcall_name")
    @ApiModelProperty(name = "青呼码名称",notes = "")
    private String youthcallName;

    @Column(name = "org_id")
    @ApiModelProperty(name = "组织机构id",notes = "")
    private BigInteger orgId;

    @Column(name = "org_name")
    @ApiModelProperty(name = "组织机构名称",notes = "")
    private String orgName;

    @Column(name = "create_user_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer createUserId;

    @Column(name = "create_user_name")
    @ApiModelProperty(name = "创建人名称",notes = "")
    private String createUserName;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    @Column(name = "status")
    @ApiModelProperty(name = "服务状态(1:开启，0:关闭)",notes = "")
    private String status;

    @Column(name = "del_flag")
    @ApiModelProperty(name = "删除标识(1:删除，0:未删除)",notes = "")
    private Integer delFlag;

    @Column(name = "qr_code_url")
    @ApiModelProperty(name = "二维码图片地址",notes = "")
    private String qrCodeUrl;

    @Column(name = "purpose")
    @ApiModelProperty(name = "使用目的",notes = "")
    private String purpose;

    @Column(name = "update_time")
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date updateTime;

    @Column(name = "qr_code_config")
    @ApiModelProperty(name = "二维码配置项",notes = "")
    @JsonSerialize(using = ByteSerializer.class)
    @JsonDeserialize(using = ByteDeserializer.class)
    private byte[] qrCodeConfig;

    @Column(name = "is_visible_all")
    @ApiModelProperty(name = "是否可见全部",notes = "")
    private String isVisibleAll;


}
