package com.crunii.micro.service.youthcall.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@ApiModel(description = "青呼我为-青呼码活动关联关系表")
@ToString
@Data
@Table(name="YCQ_YOUTHCALL_QRCODE_ACTIVITY_REL")
public class YcqYouthcallQrcodeActivityRel implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    @ApiModelProperty(name = "主键",notes = "")
    private BigInteger id;

    @Column(name = "qrcode_id")
    @ApiModelProperty(name = "青呼码id",notes = "")
    private BigInteger qrcodeId;

    @Column(name = "activity_id")
    @ApiModelProperty(name = "活动id",notes = "")
    private BigInteger activityId;

    @Column(name = "create_time")
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createTime;

    @Column(name = "create_user_name")
    @ApiModelProperty(name = "创建人名称",notes = "")
    private String createUserName;

    @Column(name = "create_user_id")
    @ApiModelProperty(name = "创建人id",notes = "")
    private Integer createUserId;

    @Column(name = "qr_code_inlet")
    @ApiModelProperty(name = "青呼码入口",notes = "")
    private String qrCodeInlet;

}
