package com.crunii.micro.service.youthcall.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YOUTHCALL_WORK_ORDER_DISPATCH_ORG")
@NamedQuery(name = "YCQ_YOUTHCALL_WORK_ORDER_DISPATCH_ORG.findAll", query = "SELECT t FROM YcqYouthcallWorkOrderDispatchOrg t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "青呼我为-工单调度组织关联表")
public class YcqYouthcallWorkOrderDispatchOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @Column(name = "dispatch_id")
    @ApiModelProperty(name = "工单调度id",notes = "")
    private BigInteger dispatchId;

    @Column(name = "org_id")
    @ApiModelProperty(name = "组织id",notes = "")
    private BigInteger orgId;

    @Column(name = "org_name")
    @ApiModelProperty(name = "组织名称",notes = "")
    private String orgName;

    @Column(name = "ocyl_org_category")
    @ApiModelProperty(name = "机构性质",notes = "")
    private String ocylOrgCategory;

    @ApiModelProperty(name = "管理员",notes = "")
    @Column(name = "manage_people")
    private Integer managePeople;

    @Column(name = "worker_name")
    @ApiModelProperty(name = "管理员姓名",notes = "")
    private String workerName;

    @Column(name = "mobile")
    @ApiModelProperty(name = "管理员手机",notes = "")
    private String mobile;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    @Column(name = "del_flag")
    private Integer delFlag;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

}
