package com.crunii.micro.service.youthcall.dto;

import javax.persistence.*;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;
import java.math.BigInteger;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.validator.constraints.Length;

@Entity
@Table(name = "YCQ_YOUTHCALL_WORK_ORDER_FLOW1")
@NamedQuery(name = "YcqYouthcallWorkOrderFlow.findAll", query = "SELECT t FROM YcqYouthcallWorkOrderFlow t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "青呼我为-工作流表")
@Data
public class YcqYouthcallWorkOrderFlow implements Serializable {

    /**
    * 
    */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;
    /**
    * 工单id
    */

    @ApiModelProperty("工单id")
    @Column(name = "work_order_id")
    private String workOrderId;
    /**
    * 
    */
    @ApiModelProperty("")
    @Column(name = "work_order_instance_id")
    private String workOrderInstanceId;
    /**
    * 工单节点id
    */
    @ApiModelProperty("工单节点id")
    @Column(name = "node_instance_id")
    private String nodeInstanceId;
    /**
    * 创建工作流后页面显示的code
    */
    @ApiModelProperty("创建工作流后页面显示的code")
    @Column(name = "flow_code")
    private String flowCode;


}
