package com.crunii.micro.service.youthcall.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Entity
@Table(name = "YCQ_YOUTHCALL_WORK_ORDER_ORG")
@NamedQuery(name = "YcqYouthcallWorkOrderOrg.findAll", query = "SELECT t FROM YcqYouthcallWorkOrderOrg t")
@DynamicInsert
@DynamicUpdate
@Getter
@Setter
@ToString
@EqualsAndHashCode(of = {"id"})
@ApiModel(description = "青呼我为-工单组织表")
public class YcqYouthcallWorkOrderOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(name = "id", notes = "主键")
    @Column(name = "id")
    private BigInteger id;

    @ApiModelProperty(name = "工单表主键")
    @Column(name = "work_order_id")
    private BigInteger workOrderId;

    @Column(name = "app_code")
    @ApiModelProperty(name = "业务code",notes = "")
    private String appCode;

    @Column(name = "app_name")
    @ApiModelProperty(name = "业务名称",notes = "")
    private String appName;

    @Column(name = "org_id")
    @ApiModelProperty(name = "所属组织id",notes = "")
    private BigInteger orgId;

    @Column(name = "show_type")
    @ApiModelProperty(name = "展示类型",notes = "")
    private String showType;


    @Column(name = "org_name")
    @ApiModelProperty(name = "所属组织名称",notes = "")
    private String orgName;

    @Column(name = "work_order_type")
    @ApiModelProperty(name = "工单类型",notes = "")
    private String workOrderType;

    @Column(name = "org_type")
    @ApiModelProperty(name = "组织类型(1:工单指派 2:上报 3:下派 4:流转)",notes = "")
    private String orgType;

    @ApiModelProperty(name = "createdTime", notes = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "created_time")
    private Date createdTime;

    @ApiModelProperty(name = "createdId", notes = "创建人ID")
    @Column(name = "created_id")
    private Integer createdId;

    @ApiModelProperty(name = "lastUpdatedTime", notes = "最后更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "last_updated_time")
    private Date lastUpdatedTime;

    @ApiModelProperty(name = "lastUpdatedId", notes = "最后更新人ID")
    @Column(name = "last_updated_id")
    private Integer lastUpdatedId;

    @ApiModelProperty(name = "delFlag", notes = "是否删除：0-未删除；1-已删除")
    @Column(name = "del_flag")
    private Integer delFlag;

}
