package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@ApiModel(description = "工单详情-上报信息返回对象")
@ToString
@Data
public class WorkOrderEscalationVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "上报对象(1:上级组织 2:综治系统 3:民呼我为)",notes = "")
    private String escalationType;

    @ApiModelProperty(name = "被上报组织id",notes = "")
    private BigInteger escalationOrgId;

    @ApiModelProperty(name = "被上报组织名称",notes = "")
    private String escalationOrgName;

    @ApiModelProperty(name = "工单优先级(上报、下派: 1:低 2:中 3:高)",notes = "")
    private String priority;

    @ApiModelProperty(name = "上报说明",notes = "")
    private String dealContent;

    @ApiModelProperty(name = "上报人",notes = "")
    private String escalationWorkerName;

    @ApiModelProperty(name = "上报人联系方式",notes = "")
    private String escalationWorkerMobile;
}
