package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel(description = "工单详情-回复信息返回对象")
@ToString
@Data
public class WorkOrderReplyVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "回复人名称",notes = "")
    private String replyName;

    @ApiModelProperty(name = "createdTime", notes = "回复时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date replyTime;

    @ApiModelProperty(name = "回复内容",notes = "")
    private String replyContent;

    @ApiModelProperty(name = "回复附件列表",notes = "")
    private List<String> attachmentList;
}
