package com.crunii.micro.service.youthcall.dto.vo.workOrder;

import com.alibaba.excel.annotation.ExcelProperty;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallCommonDemand;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrder;
import com.crunii.micro.service.youthcall.enums.DelFlagEnum;
import com.crunii.micro.service.youthcall.enums.WorkOrderStatusEnum;
import com.crunii.micro.service.youthcall.utils.CharacterCodeUtil;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Data
public class YcqYouthcallWorkExcel implements Serializable {

    private static final long serialVersionUID = 1L;


    @ExcelProperty(value = "工单编号")
    private String workOrderNo;

    @ExcelProperty(value = "工单标题")
    private String workOrderName;

    @ExcelProperty(value = "工单类型名称")
    private String workOrderTypeName;

    @ExcelProperty(value = "所属组织名称")
    private String orgName;

    @ExcelProperty(value = "工单状态名称")
    private String processStatusName;

    @ExcelProperty(value = "工单来源名称")
    private String sourceName;

    @ExcelProperty(value = "提出人名称")
    private String proposerName;

    @ExcelProperty(value = "提出人联系方式")
    private String proposerMobile;

    @ExcelProperty(value = "提出时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date proposedTime;

    @ExcelProperty(value = "处理人名称")
    private String processUserName;

    @ExcelProperty(value = "处理人联系方式")
    private String processMobile;

    @ExcelProperty(value = "处理时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date processTime;

    @ExcelProperty(value = "工单内容")
    private String workOrderContent;

    @ExcelProperty(value = "业务名称")
    private String appName;

}
