package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum AdviceStatusEnum {
    UN_DEAL("1","未处理"),
    DEAL("2","已处理"),
    ;

    private String value;

    private String name;


    AdviceStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static AdviceStatusEnum fromValue(String value) {
        return Arrays.stream(AdviceStatusEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
