package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

/**
 * @author PANJL
 * @date 2023-12-16 14:57
 */
@Getter
public enum CheckInApplyStatusEnum {

    YSSTATE_0("0", "待审核", "待审核"),
    YSSTATE_1("1", "审核不通过", "审核不通过"),
    YSSTATE_2("2", "已关闭", "已关闭"),
    YSSTATE_3("3", "待酒店确认", "审核通过"),
    YSSTATE_4("4", "待重选", "审核通过"),
    YSSTATE_5("5", "待入住", "审核通过"),
    YSSTATE_6("6", "已入住", "审核通过"),
    YSSTATE_7("7", "已申请退房", "审核通过"),
    YSSTATE_8("8", "已退房", "审核通过"),
    YSSTATE_9("9", "已申请续住", "审核通过"),
    YSSTATE_10("10", "已续住", "审核通过"),
    ;

    private final String auditStatusCode;
    private final String originalLabel;
    private final String actualLabel;

    CheckInApplyStatusEnum(String auditStatusCode, String originalLabel, String actualLabel) {
        this.auditStatusCode = auditStatusCode;
        this.originalLabel = originalLabel;
        this.actualLabel = actualLabel;
    }

    public static CheckInApplyStatusEnum fromValue(String code) {
        return Arrays.stream(CheckInApplyStatusEnum.values())
                .filter(e -> e.getAuditStatusCode().equals(code))
                .findAny()
                .orElse(null);
    }

}
