package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum CommonDemandStatusEnum {
    PENDING("01","待处理"),
    TRANSFERRED("02","已转工单"),
    ;

    private String value;

    private String name;


    CommonDemandStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static CommonDemandStatusEnum fromValue(String value) {
        return Arrays.stream(CommonDemandStatusEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
