package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum CreateCommonDemandTypeEnum {
    HAVING("0","选择已创建的共性需求"),
    CREATE("1","新创建共性需求"),
    ;

    private String value;

    private String name;


    CreateCommonDemandTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static CreateCommonDemandTypeEnum fromValue(String value) {
        return Arrays.stream(CreateCommonDemandTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
