package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum DispatchStatusEnum {
    CLOSE("0","关闭"),
    OPEN("1","打开"),
    ;

    private String value;

    private String name;


    DispatchStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static DispatchStatusEnum fromValue(String value) {
        return Arrays.stream(DispatchStatusEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
