package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum OrderOrgShowTypeEnum {
    DEAL("1","处理"),
    REVOKE("2","撤回"),
    LOOK("3","查看"),
    ;

    private String value;

    private String name;


    OrderOrgShowTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static OrderOrgShowTypeEnum fromValue(String value) {
        return Arrays.stream(OrderOrgShowTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
