package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum OrderOrgTypeEnum {
    ONE("1","工单指派"),
    TWO("2","上报"),
    THREE("3","下派"),
    FOUR("4","流转"),
    FIVE("5","同级转派"),
    ;

    private String value;

    private String name;


    OrderOrgTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static OrderOrgTypeEnum fromValue(String value) {
        return Arrays.stream(OrderOrgTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
