package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum PersonalDemandStatusEnum {
    UN_TRANSFORM("01","未转化"),
    TRANSFORM("02","已转化"),
    REVOKE("03","已撤销"),
    ;

    private String value;

    private String name;


    PersonalDemandStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static PersonalDemandStatusEnum fromValue(String value) {
        return Arrays.stream(PersonalDemandStatusEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
