package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum ReportTypeEnum {
    ORG("1","上级组织"),
    SYSTEM("2","综治系统"),
    YOUTH_CALL("3","民呼我为"),
    ;

    private String value;

    private String name;


    ReportTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static ReportTypeEnum fromValue(String value) {
        return Arrays.stream(ReportTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
