package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum RevokeTypeEnum {
    PERSONAL("1","个性化需求撤销"),
    COMMON_ALL("2","共性需求全部撤销"),
    COMMON_ONE("3","共性需求编辑移除"),
    COMMON_TRANSFORM("4","转为共性"),
    COMMON_DELETE("5","共性删除后转回未处理"),
    ;

    private String value;

    private String name;


    RevokeTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static RevokeTypeEnum fromValue(String value) {
        return Arrays.stream(RevokeTypeEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
