package com.crunii.micro.service.youthcall.enums;

/**
 * @description 用户角色
 */
public enum UseRoleEnum {

    PUBLICROLE( 9999, "公共权限角色"),
    NORMAL( 10000, "普通用户"),
    SUPER_ADMIN_ROLE( 1, "公共权限角色"),
    ;

    private Integer code;
    private String name;

    UseRoleEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getDesc(Integer value) {
        if(value == null){
            return null;
        }
        UseRoleEnum[] items = values();
        for (UseRoleEnum item : items) {
            if (item.code().equals(value)) {
                return item.desc();
            }
        }
        return null;
    }

    public Integer code(){
        return this.code;
    }

    public String desc(){
        return this.name;
    }
}
