package com.crunii.micro.service.youthcall.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum WorkOrderStatusEnum {
    PENDING("01","待处理"),
    DONE("02","已处理"),
    FOLLOW_UP("03","已回访"),
    FILE("04","已归档"),
    UN_EVALUATE("05","待评价"),
    EVALUATE("06","已评价"),
    REPLY("07","已回复"),
    PENDING_ESCALATION("08","待处理-已上报"),
    PENDING_ALLOCATION("09","待处理-已下派"),
    PENDING_PEER_TRANSFER("10","待处理-同级转派"),
    ;

    private String value;

    private String name;


    WorkOrderStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }

    public static WorkOrderStatusEnum fromValue(String value) {
        return Arrays.stream(WorkOrderStatusEnum.values())
                .filter(e -> e.getValue().equals(value))
                .findAny()
                .orElse(null);
    }

}
