package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallCampusEducation;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallQrcode;
import com.crunii.micro.service.youthcall.utils.BaseJdbcTemplateUtil;
import org.springframework.jdbc.core.PreparedStatementCreator;
import org.springframework.jdbc.support.GeneratedKeyHolder;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Date;
import java.util.List;

@Repository
public class YcqYouthcallCampusEducationDao {

    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    public static final String QUERY_SQL ="SELECT * FROM YCQ_YOUTHCALL_CAMPUS_EDUCATION a where a.del_flag='0' ORDER BY a.CREATE_TIME desc";
    public YcqYouthcallCampusEducation query() {
        List<YcqYouthcallCampusEducation> ycqYouthcallCampusEducations = JT.queryForBeans(YcqYouthcallCampusEducation.class, QUERY_SQL);
        return ycqYouthcallCampusEducations.get(0);
    }

    public YcqYouthcallCampusEducation insert(YcqYouthcallCampusEducation ycqYouthcallCampusEducation) {
        ycqYouthcallCampusEducation.setCreateTime(new Date());
        ycqYouthcallCampusEducation.setDelFlag("0");
        String insertsql = BaseJdbcTemplateUtil.insert(YcqYouthcallCampusEducation.class);
        Object[] objs = BaseJdbcTemplateUtil.getValues(ycqYouthcallCampusEducation);
        PreparedStatementCreator create = new PreparedStatementCreator() {
            //利用传统的方法进行JDBC查询
            @Override
            public PreparedStatement createPreparedStatement(Connection connection) throws SQLException {
                //插入用户，返回主键
                PreparedStatement preparedStatement = connection.prepareStatement(insertsql,
                        PreparedStatement.RETURN_GENERATED_KEYS);
                for (int i = 0; i < objs.length; i++) {
                    preparedStatement.setObject(i+1, objs[i]);
                }
                return preparedStatement;
            }
        };
        //2.创建keyHoldle
        GeneratedKeyHolder keyHolder = new GeneratedKeyHolder();
        JT.update(create, keyHolder);
        //获取生成的主键key
        Long key = keyHolder.getKey().longValue();
        BigInteger id = new BigInteger(String.valueOf(key));
        ycqYouthcallCampusEducation.setId(id);
        return ycqYouthcallCampusEducation;
    }
}
