package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.jdbc.BaseJdbcTemplate;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallQrcode;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallQrcodeActivityRel;
import com.crunii.micro.service.youthcall.utils.BaseJdbcTemplateUtil;
import org.springframework.jdbc.core.PreparedStatementCreator;
import org.springframework.jdbc.support.GeneratedKeyHolder;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Repository
public class YcqYouthcallQrcodeActivityRelDao {
    // 根据青呼码id批量删除关联关系
    public static final String DELETE_SQL_BYQRCODEID ="delete from YCQ_YOUTHCALL_QRCODE_ACTIVITY_REL a where a.QRCODE_ID = ? ";

    // 根据青呼码id、活动id修改青呼码活动入口
    public static final String UPDATE_QRCODEINLET ="update YCQ_YOUTHCALL_QRCODE_ACTIVITY_REL a set a.qr_code_inlet=? where a.qrcode_id=? and a.activity_id=? ";


    @Resource(name = "mainJT")
    protected BaseJdbcTemplate JT;

    public YcqYouthcallQrcodeActivityRel insert(YcqYouthcallQrcodeActivityRel ycqYouthcallQrcodeActivityRelActivityRel) {
        ycqYouthcallQrcodeActivityRelActivityRel.setCreateTime(new Date());

        String insertsql = BaseJdbcTemplateUtil.insert(YcqYouthcallQrcodeActivityRel.class);
        Object[] objs = BaseJdbcTemplateUtil.getValues(ycqYouthcallQrcodeActivityRelActivityRel);
        PreparedStatementCreator create = new PreparedStatementCreator() {
            //利用传统的方法进行JDBC查询
            @Override
            public PreparedStatement createPreparedStatement(Connection connection) throws SQLException {
                //插入用户，返回主键
                PreparedStatement preparedStatement = connection.prepareStatement(insertsql,
                        PreparedStatement.RETURN_GENERATED_KEYS);
                for (int i = 0; i < objs.length; i++) {
                    preparedStatement.setObject(i+1, objs[i]);
                }
                return preparedStatement;
            }
        };
        //2.创建keyHoldle
        GeneratedKeyHolder keyHolder = new GeneratedKeyHolder();
        JT.update(create, keyHolder);
        //获取生成的主键key
        Long key = keyHolder.getKey().longValue();
        BigInteger id = new BigInteger(String.valueOf(key));
        ycqYouthcallQrcodeActivityRelActivityRel.setId(id);
        return ycqYouthcallQrcodeActivityRelActivityRel;
    }



    public void deleteSqlBYQrcodeId(BigInteger id) {
        JT.update(DELETE_SQL_BYQRCODEID, new Object[]{id});
    }

    public void updateQrcodeinlet(YcqYouthcallQrcodeActivityRel y) {
        JT.update(UPDATE_QRCODEINLET, new Object[]{y.getQrCodeInlet(),y.getQrcodeId(),y.getActivityId()});
    }
}
