package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderOrg;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderProcess;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-11-03 22:19:51
 */
@Repository
public interface YcqYouthcallWorkOrderOrgRepo extends BaseRepo<YcqYouthcallWorkOrderOrg, BigInteger>, JpaSpecificationExecutor<YcqYouthcallWorkOrderOrg> {

    List<YcqYouthcallWorkOrderOrg> findByWorkOrderIdAndOrgTypeAndShowTypeAndDelFlag(BigInteger workOrderId, String orgType, String showType,Integer delFlag);


    @Modifying
    @Query("update YcqYouthcallWorkOrderOrg m set m.showType= :newShowType where m.workOrderId = :workOrderId and m.showType= :oldShowType")
    void modifyShowType(@Param("workOrderId") BigInteger workOrderId, @Param("oldShowType")String oldShowType, @Param("newShowType")String newShowType);

    @Modifying
    @Query("update YcqYouthcallWorkOrderOrg m set m.showType= :newShowType ,m.orgType= :orgType where m.workOrderId = :workOrderId and m.orgId= :orgId")
    void modifyShowTypeAndOrgTypeByOrgIdAndWorkOrderId(@Param("workOrderId") BigInteger workOrderId, @Param("orgId")BigInteger orgId, @Param("newShowType")String newShowType,@Param("orgType")String orgType);

    List<YcqYouthcallWorkOrderOrg> findByWorkOrderIdAndShowTypeAndDelFlag(BigInteger workOrderId,String showType,Integer delFlag);

    List<YcqYouthcallWorkOrderOrg> findByWorkOrderIdAndOrgId(BigInteger workOrderId,BigInteger orgId);
    List<YcqYouthcallWorkOrderOrg> findByWorkOrderIdAndShowType(BigInteger workOrderId,String showType);

}
