package com.crunii.micro.service.youthcall.jdbc;

import com.crunii.micro.domain.common.BaseRepo;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderDispatch;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallWorkOrderProcess;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.math.BigInteger;
import java.util.List;

/**
 * @author yts create 2023-11-03 22:19:51
 */
@Repository
public interface YcqYouthcallWorkOrderProcessRepo extends BaseRepo<YcqYouthcallWorkOrderProcess, BigInteger>, JpaSpecificationExecutor<YcqYouthcallWorkOrderProcess> {

    List<YcqYouthcallWorkOrderProcess> findByWorkOrderIdAndDelFlagOrderByCreatedTimeAsc(BigInteger workOrderId, Integer delFlag);

    List<YcqYouthcallWorkOrderProcess> findByWorkOrderIdAndProcessStatusAndDelFlag(BigInteger workOrderId, String processStatus, Integer delFlag);

    long countByWorkOrderIdAndProcessStatusAndDelFlag(BigInteger workOrderId, String processStatus, Integer delFlag);

    long countByWorkOrderIdAndProcessStatusAndReportTypeAndDelFlag(BigInteger workOrderId, String processStatus, String reportType, Integer delFlag);

    long countByWorkOrderIdAndTransferOrgIdAndProcessStatusAndDelFlag(BigInteger workOrderId,BigInteger transferOrgId, String processStatus, Integer delFlag);
}
