/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.youthcall.notauthcontroller;

import cn.hutool.core.util.ObjectUtil;
import com.crunii.micro.common.annotations.LimitUploadFileTypeCheck;
import com.crunii.micro.common.dto.FileResponse;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.TsmEncryptTest;
import com.crunii.micro.feign.client.ObsService;
import com.crunii.micro.feign.client.dto.FileVo;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * @author 田平 create 2023-02-21 10:47:48
 */
@Api(value = "文件操作")
@RestController
@RequestMapping("/FileNauthController")
public class FileNauthController {
	@Resource
	private ObsService obsService;

	@ApiOperation("Web上传文件")
	@RequestMapping(value = "/fileUpload", method = RequestMethod.POST)
	public Result<FileVo> fileUpload(@RequestBody MultipartFile file) throws Exception {
		if (ObjectUtil.isEmpty(file)) {
			return Result.ofFail("文件不能为空");
		}
		return obsService.feignFileUpload(file);
	}
}
