/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.cqcis.com</a>
 */
package com.crunii.micro.service.youthcall.notauthcontroller;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.entity.main.TsmPropertyValue;
import com.crunii.micro.feign.client.PropertyService;
import com.crunii.micro.feign.client.dto.ValueReq;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
* @author 田平 create 2023-02-21 10:48:20
 */
@Api(value = "属性和属性值相关api")
@RestController
@Slf4j
@RequestMapping("/propertyControllerNauth")
public class PropertyNauthController {
	@Resource
	private PropertyService propertyService;


	@ApiOperation(value = "属性值分页")
	@RequestMapping(path = "/pageValue", method = RequestMethod.POST)
	public Result<PageRsp<TsmPropertyValue>> pageValue(@RequestBody @ApiParam PageReq<ValueReq> req) {
		log.info("req:" + req.toString());
		return propertyService.pageValue(req);
	}
}
