package com.crunii.micro.service.youthcall.notauthcontroller;

import com.crunii.micro.common.dto.Result;
import com.crunii.micro.common.exception.BusinessException;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.youthcall.dto.vo.personalDemand.YcqYouthcallPersonalDemandInsertVo;
import com.crunii.micro.service.youthcall.service.YcqYouthcallPersonalDemandService;
import com.crunii.micro.web.mvc.CurrWorker;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import lombok.extern.slf4j.Slf4j;
import springfox.documentation.annotations.ApiIgnore;

import javax.annotation.Resource;
import javax.validation.Valid;

@Slf4j
@Api(tags = "个性化需求管理")
@RestController
@RequestMapping("/ycqYouthcallPersonalDemandNauth")
public class YcqYouthcallPersonalDemandNauthController {
    @Resource
    private YcqYouthcallPersonalDemandService ycqYouthcallPersonalDemandService;

    @ApiOperation(value = "新增个性化需求")
    @RequestMapping(path = "create", method = RequestMethod.POST)
    public Result<Boolean> create(@Valid @RequestBody YcqYouthcallPersonalDemandInsertVo ycqYouthcallPersonalDemandInsertVo, @ApiIgnore @CurrWorker Worker worker) {
        try {
            return ycqYouthcallPersonalDemandService.insertPersonalDemand(ycqYouthcallPersonalDemandInsertVo,worker);
        } catch (BusinessException e) {
            log.error("YcqYouthcallPersonalDemandController.create.error:{}", e.getMessage());
            return Result.ofFail(e.getMessage());
        } catch (Exception e) {
            log.error("YcqYouthcallPersonalDemandController.create.error: {}", e.getMessage());
            e.printStackTrace();
            return Result.ofFail("系统内部异常，请联系管理员！");
        }
    }
}
