package com.crunii.micro.service.youthcall.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.youthcall.dto.YcqYouthcallCommonDemand;
import com.crunii.micro.service.youthcall.dto.vo.commonDemand.*;
import com.crunii.micro.service.youthcall.dto.vo.personalDemand.PersonalDemandVo;
import com.crunii.micro.service.youthcall.dto.vo.personalDemand.YcqYouthcallPersonalDemandInsertVo;
import com.crunii.micro.service.youthcall.dto.vo.personalDemand.YcqYouthcallPersonalDemandReq;
import com.crunii.micro.service.youthcall.dto.vo.personalDemand.YcqYouthcallPersonalToCommonVo;

import java.math.BigInteger;
import java.util.List;

public interface YcqYouthcallCommonDemandService {
    /**
     * 分页查询
     *
     * @param req 筛选条件
     * @return 查询结果
     */
    Result<PageRsp<CommonDemandVo>> pageQuery(PageReq<YcqYouthcallCommonDemandReq> req);

    /**
     * 列表查询
     *
     * @param req 筛选条件
     * @return 查询结果
     */
    Result<List<CommonDemandBaseVo>> listQuery(YcqYouthcallCommonDemandReq req);

    /**
     * 编辑数据
     *
     * @param commonDemandEditVo 实例对象
     * @return 实例对象
     */
    Result<Boolean> edit(CommonDemandEditVo commonDemandEditVo, Worker worker);

    /**
     * 删除共性需求
     *
     * @param id 共性需求id
     * @return 实例对象
     */
    void deleteCommonDemand(BigInteger id, Worker worker);

    /**
     * 移除所有绑定个性化需求
     *
     * @param id 共性需求id
     * @return 实例对象
     */
    void removeAllPersonalDemand(BigInteger id, Worker worker);

    /**
     * 根据id查询共性需求详情
     *
     * @param id 筛选条件
     * @return 查询结果
     */
    Result<CommonDemandDetailVo> queryDetailById(BigInteger id);

    /**
     * 共性需求转工单
     *
     * @param id 共性需求id
     * @return 实例对象
     */
    Result<Boolean> changeToWorkOrder(BigInteger id, Worker worker);
}
