package com.crunii.micro.service.youthcall.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.youthcall.dto.vo.personalDemand.*;

import java.math.BigInteger;
import java.util.List;

public interface YcqYouthcallPersonalDemandService {
    /**
     * 分页查询
     *
     * @param req 筛选条件
     * @return 查询结果
     */
    Result<PageRsp<PersonalDemandVo>> pageQuery(PageReq<YcqYouthcallPersonalDemandReq> req);

    /**
     * 新增数据
     *
     * @param ycqYouthcallWorkOrderDispatchInsertVo 实例对象
     * @return 实例对象
     */
    Result<Boolean> insertPersonalDemand(YcqYouthcallPersonalDemandInsertVo ycqYouthcallWorkOrderDispatchInsertVo, Worker worker);

    /**
     * 撤销个性化需求
     *
     * @param id 实例对象
     * @return 实例对象
     */
    Result<Boolean> revokePersonalDemand(BigInteger id, Worker worker);

    /**
     * 批量转为共性需求
     *
     * @param ycqYouthcallPersonalToCommonVo 实例对象
     * @return 实例对象
     */
    Result<Boolean> changeCommon(YcqYouthcallPersonalToCommonVo ycqYouthcallPersonalToCommonVo, Worker worker);

    /**
     * 根据idList查询个性化列表数据
     *
     * @param ycqYouthcallPersonalToCommonVo 实例对象
     * @return 实例对象
     */
    Result<List<PersonalDemandVo>> selectByIds(YcqYouthcallPersonalToCommonVo ycqYouthcallPersonalToCommonVo);

    /**
     * 根据idList查询个性化列表数据
     *
     * @param ycqYouthcallPersonalToCommonVo 实例对象
     * @return 实例对象
     */
    Result<List<String>> selectImgByIds(YcqYouthcallPersonalToCommonVo ycqYouthcallPersonalToCommonVo);

    /**
     * 删除个性化需求
     *
     * @param id 实例对象
     * @return 实例对象
     */
    void deletePersonalDemand(BigInteger id, Worker worker);

}
