package com.crunii.micro.service.youthcall.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.youthcall.dto.vo.productAdviceVo.ProductAdviceVo;
import com.crunii.micro.service.youthcall.dto.vo.productAdviceVo.YcqYouthcallProductAdviceDealReq;
import com.crunii.micro.service.youthcall.dto.vo.productAdviceVo.YcqYouthcallProductAdviceInsertVo;
import com.crunii.micro.service.youthcall.dto.vo.productAdviceVo.YcqYouthcallProductAdviceReq;
import com.crunii.micro.service.youthcall.dto.vo.workOrder.YcqYouthcallWorkOrderDealReq;

import java.math.BigInteger;

public interface YcqYouthcallProductAdviceService {
    /**
     * 分页查询
     *
     * @param req 筛选条件
     * @return 查询结果
     */
    Result<PageRsp<ProductAdviceVo>> pageQuery(PageReq<YcqYouthcallProductAdviceReq> req);

    /**
     * 新增数据
     *
     * @param ycqYouthcallProductAdviceInsertVo 实例对象
     * @return 实例对象
     */
    Result<Boolean> insertProductAdvice(YcqYouthcallProductAdviceInsertVo ycqYouthcallProductAdviceInsertVo, Worker worker);

    /**
     * 处理工单
     *
     * @param ycqYouthcallProductAdviceDealReq 对象
     * @return 实例对象
     */
    Result<Object> dealProductAdvice(YcqYouthcallProductAdviceDealReq ycqYouthcallProductAdviceDealReq);

    /**
     * 删除产品建议
     *
     * @param id 实例对象
     * @return 实例对象
     */
    void deleteProductAdvice(BigInteger id, Worker worker);

}
