package com.crunii.micro.service.youthcall.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.Result;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.service.youthcall.dto.vo.orderDispatch.*;

import java.math.BigInteger;

public interface YcqYouthcallWorkOrderDispatchService {
    /**
     * 分页查询
     *
     * @param req 筛选条件
     * @return 查询结果
     */
    Result<PageRsp<WorkOrderDispatchVo>> pageQuery(PageReq<YcqYouthcallWorkOrderDispatchReq> req);

    /**
     * 新增数据
     *
     * @param ycqYouthcallWorkOrderDispatchInsertVo 实例对象
     * @return 实例对象
     */
    Result<Boolean> insertWorkOrderDispatch(YcqYouthcallWorkOrderDispatchInsertVo ycqYouthcallWorkOrderDispatchInsertVo, Worker worker);

    /**
     * 修改工单类型数据
     *
     * @param updateReq 实例对象
     * @return 实例对象
     */
    Result<Boolean> updateWorkOrderDispatch(YcqYouthcallWorkOrderDispatchUpdateVo updateReq, Worker worker);

    /**
     * 切换工单调度状态
     *
     * @param updateReq 实例对象
     * @return 实例对象
     */
    Result<Boolean> switchStatus(YcqYouthcallWorkOrderDispatchStatusVo updateReq, Worker worker);

    /**
     * 删除工单调度
     *
     * @param id 实例对象
     * @return 实例对象
     */
    void deleteWorkOrderDispatch(BigInteger id);

    /**
     * 根据类型查询组织信息、业务信息
     *
     * @param workOrderType 类型
     * @return 实例对象
     */
    AppOrgVo findAppAndOrgByType(String workOrderType);

    /**
     * 根据类型查询组织信息、业务信息(打开关闭都需要)
     *
     * @param workOrderType 类型
     * @return 实例对象
     */
    AppOrgVo findAppAndOrgByTypeOnAndOff(String workOrderType);
}
