package com.crunii.micro.service.youthcall.utils;

import javax.persistence.Column;
import javax.persistence.Table;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 数据库拼接sql构建实体对象工具类
 * */
public class BaseJdbcTemplateUtil {

    // 获取对象属性值
    public static String[] getColumnValue(Class classz) {
        Field[] fields = classz.getDeclaredFields();
        Field field;
        String[] value = new String[fields.length - 2];
        for (int i = 0; i < fields.length; i++) {
            fields[i].setAccessible(true);
        }
        for (int i = 2; i < fields.length; i++) {
            try {
                field = classz.getDeclaredField(fields[i].getName());

                Column column = field.getAnnotation(Column.class); //获取指定类型注解
                if (column != null) {
                    value[i - 2] = column.name();
                }
            } catch (NoSuchFieldException e) {
                e.printStackTrace();
            }
        }
        return value;
    }

    // 获取对象属性值
    public static String[] getColumnValue1(Class classz) {
        Field[] fields = classz.getDeclaredFields();
        Field field;
        String[] value = new String[fields.length - 1];
        for (int i = 0; i < fields.length; i++) {
            fields[i].setAccessible(true);
        }
        for (int i = 1; i < fields.length; i++) {
            try {
                field = classz.getDeclaredField(fields[i].getName());

                Column column = field.getAnnotation(Column.class); //获取指定类型注解
                if (column != null) {
                    value[i - 1] = column.name();
                }
            } catch (NoSuchFieldException e) {
                e.printStackTrace();
            }
        }
        return value;
    }

    // 构造插入语句
    public static String insertById(Class classz) {
        Table table = (Table) classz.getAnnotation(Table.class);
        String[] arr = getColumnValue1(classz);
        StringBuffer insertBuf = new StringBuffer("insert into YOUTH_CQ." + table.name() + " (");
        for (int i = 0; i < arr.length; i++) {
            if (i == arr.length - 1) {
                insertBuf.append(arr[i] + ")");
            } else {
                insertBuf.append(arr[i] + ",");
            }
        }
        insertBuf.append(" values (");
        for (int i = 0; i < arr.length; i++) {
            if (i == arr.length - 1) {
                insertBuf.append("?)");
            } else {
                insertBuf.append("?,");
            }
        }
        return insertBuf.toString();
    }


    // 构造插入语句
    public static String insert(Class classz) {
        Table table = (Table) classz.getAnnotation(Table.class);
        String[] arr = getColumnValue(classz);
        StringBuffer insertBuf = new StringBuffer("insert into YOUTH_CQ." + table.name() + " (");
        for (int i = 0; i < arr.length; i++) {
            if (i == arr.length - 1) {
                insertBuf.append(arr[i] + ")");
            } else {
                insertBuf.append(arr[i] + ",");
            }
        }
        insertBuf.append(" values (");
        for (int i = 0; i < arr.length; i++) {
            if (i == arr.length - 1) {
                insertBuf.append("?)");
            } else {
                insertBuf.append("?,");
            }
        }
        return insertBuf.toString();
    }

    // 构造修改语句
    public static String update(Object obj) throws NoSuchFieldException {
        Map<String, Object> map = getNotNullObj(obj);
        List<String> columnList = (List<String>) map.get("column");
        Table table = (Table) obj.getClass().getAnnotation(Table.class);
        StringBuffer updateBuf = new StringBuffer("update YOUTH_CQ." + table.name() + "  SET ");
        // 去掉最后一个id属性
        for (int i = 0; i < columnList.size() - 1; i++) {
            if (i == columnList.size() - 2) {
                updateBuf.append(columnList.get(i) + "= ?");
            } else {
                updateBuf.append(columnList.get(i) + "= ?,");
            }
        }
        updateBuf.append(" where " + columnList.get(columnList.size() - 1) + "= ?");
        return updateBuf.toString();
    }

    // 获取不为空的属性值
    public static Map<String, Object> getNotNullObj(Object obj) throws NoSuchFieldException {
        Map<String, Object> map = new HashMap();
        List<String> columnList = new ArrayList<>();
        List<Object> columnValueList = new ArrayList<>();
        String[] strarr = getFiledName(obj);
        for (int i = 0; i < strarr.length; i++) {
            Object val = getFieldValueByName(strarr[i], obj);
            if (val != null) {
                Column column = obj.getClass().getField(strarr[i]).getAnnotation(Column.class);
                String columnName = column.name();
                columnList.add(columnName);
                columnValueList.add(val);
            }
        }
        map.put("column", columnList);
        map.put("columnValue", columnValueList);
        return map;
    }

    /**
     * 获取属性名数组
     */
    private static String[] getFiledName(Object o) {
        Field[] fields = o.getClass().getDeclaredFields();
        String[] fieldNames = new String[fields.length];
        for (int i = 0; i < fields.length; i++) {
            fieldNames[i] = fields[i].getName();
        }
        return fieldNames;
    }

    /* 根据属性名获取属性值
     * */
    private static Object getFieldValueByName(String fieldName, Object o) {
        try {
            String firstLetter = fieldName.substring(0, 1).toUpperCase();
            String getter = "get" + firstLetter + fieldName.substring(1);
            Method method = o.getClass().getMethod(getter, new Class[]{});
            Object value = method.invoke(o, new Object[]{});
            return value;
        } catch (Exception e) {

            return null;
        }
    }

    public static Object[] getValues(Object object) {
        String[] keys = getFiledName(object);
        List<Object> list = new ArrayList<>();
        for (int i = 2; i < keys.length; i++) {
            Object value = getFieldValueByName(keys[i], object);
            list.add(value);
        }
        return list.toArray();
    }

    public static Object[] getValuesById(Object object) {
        String[] keys = getFiledName(object);
        List<Object> list = new ArrayList<>();
        for (int i = 1; i < keys.length; i++) {
            Object value = getFieldValueByName(keys[i], object);
            list.add(value);
        }
        return list.toArray();
    }
}
