package com.crunii.micro.service.youthcall.utils;

import cn.hutool.core.bean.BeanUtil;
import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;

import java.beans.PropertyDescriptor;
import java.util.ArrayList;
import java.util.List;

public class CopyUtil {

    public static void copyPropertiesNonNull(Object source, Object target) {
        if (source != null) {
            final BeanWrapper src = new BeanWrapperImpl(source);
            PropertyDescriptor[] pds = src.getPropertyDescriptors();

            List<String> nullProperties = new ArrayList<>();
            for (PropertyDescriptor pd : pds) {
                String propertyName = pd.getName();
                if (src.getPropertyValue(propertyName) == null) {
                    nullProperties.add(propertyName);
                }
            }
            String[] nullPropertyNames = nullProperties.toArray(new String[0]);
            BeanUtil.copyProperties(source, target, nullPropertyNames);
        }
    }

}
